#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8662
#define LARGE_STATE_COUNT 2336
#define SYMBOL_COUNT 544
#define ALIAS_COUNT 5
#define TOKEN_COUNT 223
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 220

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym___attribute = 48,
  anon_sym_COLON_COLON = 49,
  anon_sym_LBRACK_LBRACK = 50,
  anon_sym_RBRACK_RBRACK = 51,
  anon_sym___declspec = 52,
  anon_sym___based = 53,
  anon_sym___cdecl = 54,
  anon_sym___clrcall = 55,
  anon_sym___stdcall = 56,
  anon_sym___fastcall = 57,
  anon_sym___thiscall = 58,
  anon_sym___vectorcall = 59,
  sym_ms_restrict_modifier = 60,
  sym_ms_unsigned_ptr_modifier = 61,
  sym_ms_signed_ptr_modifier = 62,
  anon_sym__unaligned = 63,
  anon_sym___unaligned = 64,
  anon_sym_LBRACE = 65,
  anon_sym_RBRACE = 66,
  anon_sym_signed = 67,
  anon_sym_unsigned = 68,
  anon_sym_long = 69,
  anon_sym_short = 70,
  anon_sym_LBRACK = 71,
  anon_sym_static = 72,
  anon_sym_RBRACK = 73,
  anon_sym_EQ = 74,
  anon_sym_register = 75,
  anon_sym_inline = 76,
  anon_sym___inline = 77,
  anon_sym___inline__ = 78,
  anon_sym___forceinline = 79,
  anon_sym_thread_local = 80,
  anon_sym___thread = 81,
  anon_sym_const = 82,
  anon_sym_constexpr = 83,
  anon_sym_volatile = 84,
  anon_sym_restrict = 85,
  anon_sym___restrict__ = 86,
  anon_sym__Atomic = 87,
  anon_sym__Noreturn = 88,
  anon_sym_noreturn = 89,
  anon_sym__Nonnull = 90,
  anon_sym_mutable = 91,
  anon_sym_constinit = 92,
  anon_sym_consteval = 93,
  anon_sym_PROGMEM = 94,
  anon_sym_alignas = 95,
  anon_sym__Alignas = 96,
  aux_sym_primitive_type_token1 = 97,
  anon_sym_byte = 98,
  anon_sym_word = 99,
  anon_sym_enum = 100,
  anon_sym_class = 101,
  anon_sym_struct = 102,
  anon_sym_union = 103,
  anon_sym_COLON = 104,
  anon_sym_if = 105,
  anon_sym_else = 106,
  anon_sym_switch = 107,
  anon_sym_case = 108,
  anon_sym_default = 109,
  anon_sym_while = 110,
  anon_sym_do = 111,
  anon_sym_for = 112,
  anon_sym_return = 113,
  anon_sym_break = 114,
  anon_sym_continue = 115,
  anon_sym_goto = 116,
  anon_sym___try = 117,
  anon_sym___except = 118,
  anon_sym___finally = 119,
  anon_sym___leave = 120,
  anon_sym_QMARK = 121,
  anon_sym_STAR_EQ = 122,
  anon_sym_SLASH_EQ = 123,
  anon_sym_PERCENT_EQ = 124,
  anon_sym_PLUS_EQ = 125,
  anon_sym_DASH_EQ = 126,
  anon_sym_LT_LT_EQ = 127,
  anon_sym_GT_GT_EQ = 128,
  anon_sym_AMP_EQ = 129,
  anon_sym_CARET_EQ = 130,
  anon_sym_PIPE_EQ = 131,
  anon_sym_and_eq = 132,
  anon_sym_or_eq = 133,
  anon_sym_xor_eq = 134,
  anon_sym_not = 135,
  anon_sym_compl = 136,
  anon_sym_LT_EQ_GT = 137,
  anon_sym_or = 138,
  anon_sym_and = 139,
  anon_sym_bitor = 140,
  anon_sym_xor = 141,
  anon_sym_bitand = 142,
  anon_sym_not_eq = 143,
  anon_sym_DASH_DASH = 144,
  anon_sym_PLUS_PLUS = 145,
  anon_sym_sizeof = 146,
  anon_sym___alignof__ = 147,
  anon_sym___alignof = 148,
  anon_sym__alignof = 149,
  anon_sym_alignof = 150,
  anon_sym__Alignof = 151,
  anon_sym_offsetof = 152,
  anon_sym__Generic = 153,
  anon_sym_asm = 154,
  anon_sym___asm__ = 155,
  anon_sym___asm = 156,
  anon_sym___volatile__ = 157,
  anon_sym_DOT = 158,
  anon_sym_DOT_STAR = 159,
  anon_sym_DASH_GT = 160,
  aux_sym_number_literal_token1 = 161,
  aux_sym_number_literal_token2 = 162,
  anon_sym_L_SQUOTE = 163,
  anon_sym_u_SQUOTE = 164,
  anon_sym_U_SQUOTE = 165,
  anon_sym_u8_SQUOTE = 166,
  anon_sym_SQUOTE = 167,
  aux_sym_char_literal_token1 = 168,
  anon_sym_L_DQUOTE = 169,
  anon_sym_u_DQUOTE = 170,
  anon_sym_U_DQUOTE = 171,
  anon_sym_u8_DQUOTE = 172,
  anon_sym_DQUOTE = 173,
  aux_sym_string_literal_token1 = 174,
  sym_escape_sequence = 175,
  sym_system_lib_string = 176,
  sym_true = 177,
  sym_false = 178,
  anon_sym_NULL = 179,
  anon_sym_nullptr = 180,
  sym_comment = 181,
  sym_auto = 182,
  anon_sym_decltype = 183,
  anon_sym_final = 184,
  anon_sym_override = 185,
  anon_sym_explicit = 186,
  anon_sym_typename = 187,
  anon_sym_template = 188,
  anon_sym_GT2 = 189,
  anon_sym_operator = 190,
  anon_sym_try = 191,
  anon_sym_delete = 192,
  aux_sym_pure_virtual_clause_token1 = 193,
  anon_sym_friend = 194,
  anon_sym_public = 195,
  anon_sym_private = 196,
  anon_sym_protected = 197,
  anon_sym_noexcept = 198,
  anon_sym_throw = 199,
  anon_sym_namespace = 200,
  anon_sym_using = 201,
  anon_sym_static_assert = 202,
  anon_sym_concept = 203,
  anon_sym_co_return = 204,
  anon_sym_co_yield = 205,
  anon_sym_catch = 206,
  anon_sym_R_DQUOTE = 207,
  anon_sym_LR_DQUOTE = 208,
  anon_sym_uR_DQUOTE = 209,
  anon_sym_UR_DQUOTE = 210,
  anon_sym_u8R_DQUOTE = 211,
  anon_sym_co_await = 212,
  anon_sym_new = 213,
  anon_sym_requires = 214,
  anon_sym_DASH_GT_STAR = 215,
  anon_sym_LPAREN_RPAREN = 216,
  anon_sym_LBRACK_RBRACK = 217,
  anon_sym_DQUOTE_DQUOTE = 218,
  sym_this = 219,
  sym_literal_suffix = 220,
  sym_raw_string_delimiter = 221,
  sym_raw_string_content = 222,
  sym_translation_unit = 223,
  sym__top_level_item = 224,
  sym__block_item = 225,
  sym_preproc_include = 226,
  sym_preproc_def = 227,
  sym_preproc_function_def = 228,
  sym_preproc_params = 229,
  sym_preproc_call = 230,
  sym_preproc_if = 231,
  sym_preproc_ifdef = 232,
  sym_preproc_else = 233,
  sym_preproc_elif = 234,
  sym_preproc_elifdef = 235,
  sym_preproc_if_in_field_declaration_list = 236,
  sym_preproc_ifdef_in_field_declaration_list = 237,
  sym_preproc_else_in_field_declaration_list = 238,
  sym_preproc_elif_in_field_declaration_list = 239,
  sym_preproc_elifdef_in_field_declaration_list = 240,
  sym_preproc_if_in_enumerator_list = 241,
  sym_preproc_ifdef_in_enumerator_list = 242,
  sym_preproc_else_in_enumerator_list = 243,
  sym_preproc_elif_in_enumerator_list = 244,
  sym_preproc_elifdef_in_enumerator_list = 245,
  sym_preproc_if_in_enumerator_list_no_comma = 246,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 247,
  sym_preproc_else_in_enumerator_list_no_comma = 248,
  sym_preproc_elif_in_enumerator_list_no_comma = 249,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 250,
  sym__preproc_expression = 251,
  sym_preproc_parenthesized_expression = 252,
  sym_preproc_defined = 253,
  sym_preproc_unary_expression = 254,
  sym_preproc_call_expression = 255,
  sym_preproc_argument_list = 256,
  sym_preproc_binary_expression = 257,
  sym_function_definition = 258,
  sym_declaration = 259,
  sym_type_definition = 260,
  sym__type_definition_type = 261,
  sym__type_definition_declarators = 262,
  sym__declaration_modifiers = 263,
  sym__declaration_specifiers = 264,
  sym_linkage_specification = 265,
  sym_attribute_specifier = 266,
  sym_attribute = 267,
  sym_attribute_declaration = 268,
  sym_ms_declspec_modifier = 269,
  sym_ms_based_modifier = 270,
  sym_ms_call_modifier = 271,
  sym_ms_unaligned_ptr_modifier = 272,
  sym_ms_pointer_modifier = 273,
  sym_declaration_list = 274,
  sym__declarator = 275,
  sym__field_declarator = 276,
  sym__type_declarator = 277,
  sym__abstract_declarator = 278,
  sym_parenthesized_declarator = 279,
  sym_parenthesized_field_declarator = 280,
  sym_parenthesized_type_declarator = 281,
  sym_abstract_parenthesized_declarator = 282,
  sym_attributed_declarator = 283,
  sym_attributed_field_declarator = 284,
  sym_attributed_type_declarator = 285,
  sym_pointer_declarator = 286,
  sym_pointer_field_declarator = 287,
  sym_pointer_type_declarator = 288,
  sym_abstract_pointer_declarator = 289,
  sym_function_declarator = 290,
  sym_function_field_declarator = 291,
  sym_function_type_declarator = 292,
  sym_abstract_function_declarator = 293,
  sym_array_declarator = 294,
  sym_array_field_declarator = 295,
  sym_array_type_declarator = 296,
  sym_abstract_array_declarator = 297,
  sym_init_declarator = 298,
  sym_compound_statement = 299,
  sym_storage_class_specifier = 300,
  sym_type_qualifier = 301,
  sym_alignas_qualifier = 302,
  sym_type_specifier = 303,
  sym_sized_type_specifier = 304,
  sym_primitive_type = 305,
  sym_enum_specifier = 306,
  sym_enumerator_list = 307,
  sym_struct_specifier = 308,
  sym_union_specifier = 309,
  sym_field_declaration_list = 310,
  sym__field_declaration_list_item = 311,
  sym_field_declaration = 312,
  sym_bitfield_clause = 313,
  sym_enumerator = 314,
  sym_parameter_list = 315,
  sym_parameter_declaration = 316,
  sym_attributed_statement = 317,
  sym_statement = 318,
  sym__top_level_statement = 319,
  sym_labeled_statement = 320,
  sym__top_level_expression_statement = 321,
  sym_expression_statement = 322,
  sym_if_statement = 323,
  sym_else_clause = 324,
  sym_switch_statement = 325,
  sym_case_statement = 326,
  sym_while_statement = 327,
  sym_do_statement = 328,
  sym_for_statement = 329,
  sym__for_statement_body = 330,
  sym_return_statement = 331,
  sym_break_statement = 332,
  sym_continue_statement = 333,
  sym_goto_statement = 334,
  sym_seh_try_statement = 335,
  sym_seh_except_clause = 336,
  sym_seh_finally_clause = 337,
  sym_seh_leave_statement = 338,
  sym_expression = 339,
  sym__string = 340,
  sym_comma_expression = 341,
  sym_conditional_expression = 342,
  sym_assignment_expression = 343,
  sym_pointer_expression = 344,
  sym_unary_expression = 345,
  sym_binary_expression = 346,
  sym_update_expression = 347,
  sym_cast_expression = 348,
  sym_type_descriptor = 349,
  sym_sizeof_expression = 350,
  sym_alignof_expression = 351,
  sym_offsetof_expression = 352,
  sym_generic_expression = 353,
  sym_subscript_expression = 354,
  sym_call_expression = 355,
  sym_gnu_asm_expression = 356,
  sym_gnu_asm_qualifier = 357,
  sym_gnu_asm_output_operand_list = 358,
  sym_gnu_asm_output_operand = 359,
  sym_gnu_asm_input_operand_list = 360,
  sym_gnu_asm_input_operand = 361,
  sym_gnu_asm_clobber_list = 362,
  sym_gnu_asm_goto_list = 363,
  sym_extension_expression = 364,
  sym_argument_list = 365,
  sym_field_expression = 366,
  sym_compound_literal_expression = 367,
  sym_parenthesized_expression = 368,
  sym_initializer_list = 369,
  sym_initializer_pair = 370,
  sym_subscript_designator = 371,
  sym_subscript_range_designator = 372,
  sym_field_designator = 373,
  sym_number_literal = 374,
  sym_char_literal = 375,
  sym_concatenated_string = 376,
  sym_string_literal = 377,
  sym_null = 378,
  sym__empty_declaration = 379,
  sym_placeholder_type_specifier = 380,
  sym_decltype_auto = 381,
  sym_decltype = 382,
  sym__class_declaration = 383,
  sym__class_declaration_item = 384,
  sym_class_specifier = 385,
  sym__class_name = 386,
  sym_virtual_specifier = 387,
  sym_explicit_function_specifier = 388,
  sym_base_class_clause = 389,
  sym__enum_base_clause = 390,
  sym_dependent_type = 391,
  sym_template_declaration = 392,
  sym_template_instantiation = 393,
  sym_template_parameter_list = 394,
  sym_type_parameter_declaration = 395,
  sym_variadic_type_parameter_declaration = 396,
  sym_optional_type_parameter_declaration = 397,
  sym_template_template_parameter_declaration = 398,
  sym_optional_parameter_declaration = 399,
  sym_variadic_parameter_declaration = 400,
  sym_variadic_declarator = 401,
  sym_variadic_reference_declarator = 402,
  sym_operator_cast = 403,
  sym_field_initializer_list = 404,
  sym_field_initializer = 405,
  sym_inline_method_definition = 406,
  sym__constructor_specifiers = 407,
  sym_operator_cast_definition = 408,
  sym_operator_cast_declaration = 409,
  sym_constructor_try_statement = 410,
  sym_constructor_or_destructor_definition = 411,
  sym_constructor_or_destructor_declaration = 412,
  sym_default_method_clause = 413,
  sym_delete_method_clause = 414,
  sym_pure_virtual_clause = 415,
  sym_friend_declaration = 416,
  sym_access_specifier = 417,
  sym_reference_declarator = 418,
  sym_reference_field_declarator = 419,
  sym_reference_type_declarator = 420,
  sym_abstract_reference_declarator = 421,
  sym_structured_binding_declarator = 422,
  sym_ref_qualifier = 423,
  sym__function_declarator_seq = 424,
  sym__function_attributes_start = 425,
  sym__function_exception_specification = 426,
  sym__function_attributes_end = 427,
  sym__function_postfix = 428,
  sym_trailing_return_type = 429,
  sym_noexcept = 430,
  sym_throw_specifier = 431,
  sym_template_type = 432,
  sym_template_method = 433,
  sym_template_function = 434,
  sym_template_argument_list = 435,
  sym_namespace_definition = 436,
  sym_namespace_alias_definition = 437,
  sym__namespace_specifier = 438,
  sym_nested_namespace_specifier = 439,
  sym_using_declaration = 440,
  sym_alias_declaration = 441,
  sym_static_assert_declaration = 442,
  sym_concept_definition = 443,
  sym_for_range_loop = 444,
  sym__for_range_loop_body = 445,
  sym_init_statement = 446,
  sym_condition_clause = 447,
  sym_condition_declaration = 448,
  sym_co_return_statement = 449,
  sym_co_yield_statement = 450,
  sym_throw_statement = 451,
  sym_try_statement = 452,
  sym_catch_clause = 453,
  sym_raw_string_literal = 454,
  sym_subscript_argument_list = 455,
  sym_co_await_expression = 456,
  sym_new_expression = 457,
  sym_new_declarator = 458,
  sym_delete_expression = 459,
  sym_type_requirement = 460,
  sym_compound_requirement = 461,
  sym__requirement = 462,
  sym_requirement_seq = 463,
  sym_constraint_conjunction = 464,
  sym_constraint_disjunction = 465,
  sym__requirement_clause_constraint = 466,
  sym_requires_clause = 467,
  sym_requires_parameter_list = 468,
  sym_requires_expression = 469,
  sym_lambda_expression = 470,
  sym_lambda_capture_specifier = 471,
  sym_lambda_default_capture = 472,
  sym__lambda_capture_identifier = 473,
  sym_lambda_capture_initializer = 474,
  sym__lambda_capture = 475,
  sym__fold_operator = 476,
  sym__binary_fold_operator = 477,
  sym__unary_left_fold = 478,
  sym__unary_right_fold = 479,
  sym__binary_fold = 480,
  sym_fold_expression = 481,
  sym_parameter_pack_expansion = 482,
  sym_type_parameter_pack_expansion = 483,
  sym_identifier_parameter_pack_expansion = 484,
  sym_destructor_name = 485,
  sym_dependent_identifier = 486,
  sym_dependent_field_identifier = 487,
  sym_dependent_type_identifier = 488,
  sym__scope_resolution = 489,
  sym_qualified_field_identifier = 490,
  sym_qualified_identifier = 491,
  sym_qualified_type_identifier = 492,
  sym_qualified_operator_cast_identifier = 493,
  sym__assignment_expression_lhs = 494,
  sym_operator_name = 495,
  sym_user_defined_literal = 496,
  aux_sym_translation_unit_repeat1 = 497,
  aux_sym_preproc_params_repeat1 = 498,
  aux_sym_preproc_if_repeat1 = 499,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 500,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 501,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 502,
  aux_sym_preproc_argument_list_repeat1 = 503,
  aux_sym_declaration_repeat1 = 504,
  aux_sym_type_definition_repeat1 = 505,
  aux_sym__type_definition_type_repeat1 = 506,
  aux_sym__type_definition_declarators_repeat1 = 507,
  aux_sym__declaration_specifiers_repeat1 = 508,
  aux_sym_attribute_declaration_repeat1 = 509,
  aux_sym_attributed_declarator_repeat1 = 510,
  aux_sym_pointer_declarator_repeat1 = 511,
  aux_sym_array_declarator_repeat1 = 512,
  aux_sym_sized_type_specifier_repeat1 = 513,
  aux_sym_enumerator_list_repeat1 = 514,
  aux_sym_field_declaration_repeat1 = 515,
  aux_sym_parameter_list_repeat1 = 516,
  aux_sym_case_statement_repeat1 = 517,
  aux_sym_generic_expression_repeat1 = 518,
  aux_sym_gnu_asm_expression_repeat1 = 519,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 520,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 521,
  aux_sym_gnu_asm_clobber_list_repeat1 = 522,
  aux_sym_gnu_asm_goto_list_repeat1 = 523,
  aux_sym_argument_list_repeat1 = 524,
  aux_sym_initializer_list_repeat1 = 525,
  aux_sym_initializer_pair_repeat1 = 526,
  aux_sym_char_literal_repeat1 = 527,
  aux_sym_concatenated_string_repeat1 = 528,
  aux_sym_string_literal_repeat1 = 529,
  aux_sym__class_declaration_repeat1 = 530,
  aux_sym_base_class_clause_repeat1 = 531,
  aux_sym_template_parameter_list_repeat1 = 532,
  aux_sym_field_initializer_list_repeat1 = 533,
  aux_sym_operator_cast_definition_repeat1 = 534,
  aux_sym_constructor_try_statement_repeat1 = 535,
  aux_sym_structured_binding_declarator_repeat1 = 536,
  aux_sym__function_postfix_repeat1 = 537,
  aux_sym_throw_specifier_repeat1 = 538,
  aux_sym_template_argument_list_repeat1 = 539,
  aux_sym_subscript_argument_list_repeat1 = 540,
  aux_sym_requirement_seq_repeat1 = 541,
  aux_sym_requires_parameter_list_repeat1 = 542,
  aux_sym_lambda_capture_specifier_repeat1 = 543,
  alias_sym_field_identifier = 544,
  alias_sym_namespace_identifier = 545,
  alias_sym_simple_requirement = 546,
  alias_sym_statement_identifier = 547,
  alias_sym_type_identifier = 548,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_PROGMEM] = "PROGMEM",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [aux_sym_primitive_type_token1] = "primitive_type_token1",
  [anon_sym_byte] = "byte",
  [anon_sym_word] = "word",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [aux_sym_number_literal_token1] = "number_literal_token1",
  [aux_sym_number_literal_token2] = "number_literal_token2",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_primitive_type] = "primitive_type",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_number_literal] = "number_literal",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__lambda_capture_identifier] = "_lambda_capture_identifier",
  [sym_lambda_capture_initializer] = "lambda_capture_initializer",
  [sym__lambda_capture] = "_lambda_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_identifier_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_PROGMEM] = anon_sym_PROGMEM,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_word] = anon_sym_word,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [aux_sym_number_literal_token1] = aux_sym_number_literal_token1,
  [aux_sym_number_literal_token2] = aux_sym_number_literal_token2,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_primitive_type] = sym_primitive_type,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_number_literal] = sym_number_literal,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__lambda_capture_identifier] = sym__lambda_capture_identifier,
  [sym_lambda_capture_initializer] = sym_lambda_capture_initializer,
  [sym__lambda_capture] = sym__lambda_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_identifier_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROGMEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_word] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_capture_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture] = {
    .visible = false,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 0, .length = 1},
  [18] = {.index = 17, .length = 1},
  [19] = {.index = 18, .length = 1},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 1},
  [22] = {.index = 21, .length = 2},
  [23] = {.index = 23, .length = 2},
  [24] = {.index = 25, .length = 1},
  [25] = {.index = 26, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 14, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 17, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 52, .length = 1},
  [76] = {.index = 103, .length = 2},
  [77] = {.index = 105, .length = 2},
  [78] = {.index = 107, .length = 2},
  [79] = {.index = 109, .length = 1},
  [80] = {.index = 110, .length = 2},
  [81] = {.index = 112, .length = 2},
  [82] = {.index = 114, .length = 2},
  [83] = {.index = 116, .length = 3},
  [84] = {.index = 119, .length = 2},
  [85] = {.index = 121, .length = 1},
  [86] = {.index = 122, .length = 2},
  [87] = {.index = 124, .length = 2},
  [88] = {.index = 126, .length = 2},
  [89] = {.index = 128, .length = 2},
  [90] = {.index = 130, .length = 2},
  [91] = {.index = 132, .length = 2},
  [92] = {.index = 134, .length = 2},
  [93] = {.index = 136, .length = 2},
  [94] = {.index = 138, .length = 1},
  [95] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 1},
  [109] = {.index = 156, .length = 3},
  [110] = {.index = 159, .length = 3},
  [111] = {.index = 162, .length = 3},
  [112] = {.index = 165, .length = 3},
  [113] = {.index = 168, .length = 2},
  [114] = {.index = 170, .length = 3},
  [115] = {.index = 173, .length = 3},
  [116] = {.index = 176, .length = 2},
  [117] = {.index = 178, .length = 3},
  [118] = {.index = 181, .length = 2},
  [119] = {.index = 15, .length = 2},
  [120] = {.index = 39, .length = 2},
  [121] = {.index = 183, .length = 2},
  [122] = {.index = 185, .length = 2},
  [123] = {.index = 187, .length = 1},
  [124] = {.index = 188, .length = 4},
  [125] = {.index = 192, .length = 4},
  [126] = {.index = 196, .length = 2},
  [127] = {.index = 198, .length = 3},
  [128] = {.index = 201, .length = 2},
  [129] = {.index = 203, .length = 2},
  [130] = {.index = 205, .length = 1},
  [131] = {.index = 206, .length = 2},
  [132] = {.index = 208, .length = 2},
  [133] = {.index = 210, .length = 3},
  [134] = {.index = 213, .length = 3},
  [135] = {.index = 216, .length = 3},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 2},
  [153] = {.index = 256, .length = 2},
  [154] = {.index = 258, .length = 1},
  [155] = {.index = 259, .length = 1},
  [156] = {.index = 260, .length = 2},
  [157] = {.index = 262, .length = 1},
  [159] = {.index = 263, .length = 1},
  [160] = {.index = 264, .length = 2},
  [161] = {.index = 266, .length = 2},
  [162] = {.index = 7, .length = 1},
  [163] = {.index = 7, .length = 1},
  [164] = {.index = 268, .length = 2},
  [165] = {.index = 270, .length = 1},
  [166] = {.index = 271, .length = 1},
  [167] = {.index = 272, .length = 4},
  [168] = {.index = 276, .length = 2},
  [169] = {.index = 278, .length = 4},
  [170] = {.index = 282, .length = 1},
  [171] = {.index = 283, .length = 3},
  [172] = {.index = 286, .length = 2},
  [173] = {.index = 288, .length = 3},
  [174] = {.index = 291, .length = 1},
  [175] = {.index = 292, .length = 5},
  [176] = {.index = 297, .length = 2},
  [177] = {.index = 299, .length = 2},
  [178] = {.index = 301, .length = 4},
  [179] = {.index = 305, .length = 2},
  [180] = {.index = 307, .length = 2},
  [181] = {.index = 309, .length = 3},
  [182] = {.index = 312, .length = 4},
  [183] = {.index = 316, .length = 4},
  [184] = {.index = 320, .length = 3},
  [185] = {.index = 323, .length = 2},
  [186] = {.index = 325, .length = 3},
  [187] = {.index = 328, .length = 3},
  [188] = {.index = 331, .length = 2},
  [189] = {.index = 333, .length = 2},
  [190] = {.index = 335, .length = 2},
  [191] = {.index = 337, .length = 2},
  [192] = {.index = 339, .length = 3},
  [193] = {.index = 342, .length = 2},
  [194] = {.index = 344, .length = 2},
  [195] = {.index = 346, .length = 3},
  [196] = {.index = 349, .length = 2},
  [197] = {.index = 351, .length = 2},
  [198] = {.index = 353, .length = 4},
  [199] = {.index = 357, .length = 5},
  [200] = {.index = 362, .length = 3},
  [201] = {.index = 365, .length = 4},
  [202] = {.index = 369, .length = 2},
  [203] = {.index = 371, .length = 2},
  [204] = {.index = 373, .length = 1},
  [205] = {.index = 374, .length = 4},
  [206] = {.index = 378, .length = 3},
  [207] = {.index = 381, .length = 2},
  [208] = {.index = 383, .length = 1},
  [209] = {.index = 384, .length = 5},
  [210] = {.index = 389, .length = 2},
  [211] = {.index = 391, .length = 2},
  [212] = {.index = 65, .length = 1},
  [213] = {.index = 393, .length = 5},
  [214] = {.index = 398, .length = 4},
  [215] = {.index = 402, .length = 2},
  [216] = {.index = 404, .length = 2},
  [217] = {.index = 406, .length = 5},
  [218] = {.index = 411, .length = 2},
  [219] = {.index = 413, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_body, 0},
  [9] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [11] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [13] =
    {field_value, 1},
  [14] =
    {field_scope, 0},
  [15] =
    {field_arguments, 1},
    {field_name, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_requirements, 1},
  [19] =
    {field_constraint, 1},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [23] =
    {field_body, 1},
    {field_declarator, 0},
  [25] =
    {field_declarator, 0},
  [26] =
    {field_constraint, 0},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_type, 0},
    {field_value, 1},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_left, 1},
    {field_right, 3},
  [221] =
    {field_body, 4},
    {field_name, 3},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_designator, 0},
    {field_value, 2},
  [258] =
    {field_value, 3},
  [259] =
    {field_operand, 1},
  [260] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [262] =
    {field_assembly_code, 3},
  [263] =
    {field_default_type, 2},
  [264] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [266] =
    {field_body, 2},
    {field_parameters, 1},
  [268] =
    {field_name, 1},
    {field_type, 3},
  [270] =
    {field_condition, 2},
  [271] =
    {field_length, 1},
  [272] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
  [278] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [282] =
    {field_declarator, 4},
  [283] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [286] =
    {field_declarator, 0},
    {field_size, 3},
  [288] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [291] =
    {field_size, 2},
  [292] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [297] =
    {field_declarator, 1},
    {field_default_value, 3},
  [299] =
    {field_alternative, 4},
    {field_condition, 1},
  [301] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [305] =
    {field_body, 2},
    {field_filter, 1},
  [307] =
    {field_left, 2},
    {field_right, 4},
  [309] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [316] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [320] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [323] =
    {field_condition, 1},
    {field_update, 3},
  [325] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [328] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [331] =
    {field_initializer, 0},
    {field_update, 3},
  [333] =
    {field_condition, 2},
    {field_initializer, 0},
  [335] =
    {field_member, 4},
    {field_type, 2},
  [337] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [339] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [342] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [344] =
    {field_default_type, 3},
    {field_name, 1},
  [346] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [349] =
    {field_name, 1},
    {field_type, 4},
  [351] =
    {field_declarator, 1},
    {field_default_value, 2},
  [353] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [357] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [362] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [365] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [369] =
    {field_end, 3},
    {field_start, 1},
  [371] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [373] =
    {field_register, 1},
  [374] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [378] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [381] =
    {field_condition, 2},
    {field_message, 4},
  [383] =
    {field_delimiter, 1},
  [384] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [389] =
    {field_constraint, 0},
    {field_value, 2},
  [391] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [393] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [398] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [402] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [404] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [406] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [411] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [413] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [13] = {
    [0] = alias_sym_namespace_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [17] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [75] = {
    [2] = alias_sym_type_identifier,
  },
  [93] = {
    [2] = alias_sym_namespace_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_field_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [119] = {
    [0] = alias_sym_field_identifier,
  },
  [120] = {
    [1] = alias_sym_field_identifier,
  },
  [137] = {
    [3] = alias_sym_namespace_identifier,
  },
  [152] = {
    [0] = alias_sym_field_identifier,
  },
  [158] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [163] = {
    [1] = alias_sym_namespace_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [190] = {
    [4] = alias_sym_field_identifier,
  },
  [194] = {
    [1] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 16,
  [20] = 20,
  [21] = 13,
  [22] = 22,
  [23] = 16,
  [24] = 18,
  [25] = 16,
  [26] = 18,
  [27] = 13,
  [28] = 13,
  [29] = 18,
  [30] = 20,
  [31] = 20,
  [32] = 20,
  [33] = 33,
  [34] = 34,
  [35] = 33,
  [36] = 34,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 38,
  [41] = 34,
  [42] = 33,
  [43] = 43,
  [44] = 34,
  [45] = 38,
  [46] = 39,
  [47] = 43,
  [48] = 48,
  [49] = 43,
  [50] = 34,
  [51] = 38,
  [52] = 39,
  [53] = 43,
  [54] = 34,
  [55] = 38,
  [56] = 34,
  [57] = 38,
  [58] = 34,
  [59] = 38,
  [60] = 34,
  [61] = 38,
  [62] = 34,
  [63] = 38,
  [64] = 34,
  [65] = 38,
  [66] = 34,
  [67] = 38,
  [68] = 34,
  [69] = 38,
  [70] = 34,
  [71] = 38,
  [72] = 34,
  [73] = 38,
  [74] = 38,
  [75] = 34,
  [76] = 38,
  [77] = 34,
  [78] = 38,
  [79] = 39,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 82,
  [88] = 83,
  [89] = 85,
  [90] = 82,
  [91] = 83,
  [92] = 83,
  [93] = 85,
  [94] = 85,
  [95] = 82,
  [96] = 86,
  [97] = 86,
  [98] = 84,
  [99] = 86,
  [100] = 84,
  [101] = 84,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 82,
  [106] = 83,
  [107] = 103,
  [108] = 85,
  [109] = 103,
  [110] = 103,
  [111] = 86,
  [112] = 84,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 114,
  [119] = 114,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 121,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 124,
  [129] = 129,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 135,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 135,
  [141] = 135,
  [142] = 135,
  [143] = 137,
  [144] = 135,
  [145] = 134,
  [146] = 137,
  [147] = 135,
  [148] = 137,
  [149] = 137,
  [150] = 137,
  [151] = 137,
  [152] = 137,
  [153] = 135,
  [154] = 135,
  [155] = 135,
  [156] = 135,
  [157] = 135,
  [158] = 137,
  [159] = 135,
  [160] = 137,
  [161] = 137,
  [162] = 134,
  [163] = 163,
  [164] = 164,
  [165] = 163,
  [166] = 166,
  [167] = 164,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 168,
  [172] = 166,
  [173] = 169,
  [174] = 170,
  [175] = 163,
  [176] = 176,
  [177] = 164,
  [178] = 170,
  [179] = 179,
  [180] = 169,
  [181] = 166,
  [182] = 163,
  [183] = 176,
  [184] = 164,
  [185] = 168,
  [186] = 170,
  [187] = 179,
  [188] = 179,
  [189] = 168,
  [190] = 169,
  [191] = 169,
  [192] = 166,
  [193] = 166,
  [194] = 163,
  [195] = 166,
  [196] = 179,
  [197] = 163,
  [198] = 176,
  [199] = 164,
  [200] = 200,
  [201] = 168,
  [202] = 176,
  [203] = 170,
  [204] = 179,
  [205] = 176,
  [206] = 168,
  [207] = 164,
  [208] = 134,
  [209] = 200,
  [210] = 169,
  [211] = 170,
  [212] = 200,
  [213] = 179,
  [214] = 200,
  [215] = 200,
  [216] = 176,
  [217] = 217,
  [218] = 134,
  [219] = 217,
  [220] = 217,
  [221] = 134,
  [222] = 217,
  [223] = 223,
  [224] = 224,
  [225] = 134,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 228,
  [230] = 132,
  [231] = 231,
  [232] = 228,
  [233] = 228,
  [234] = 228,
  [235] = 235,
  [236] = 236,
  [237] = 228,
  [238] = 228,
  [239] = 133,
  [240] = 228,
  [241] = 228,
  [242] = 228,
  [243] = 228,
  [244] = 228,
  [245] = 245,
  [246] = 228,
  [247] = 228,
  [248] = 248,
  [249] = 228,
  [250] = 250,
  [251] = 228,
  [252] = 228,
  [253] = 217,
  [254] = 217,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 217,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 217,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 217,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 290,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 217,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 224,
  [309] = 309,
  [310] = 310,
  [311] = 223,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 223,
  [352] = 352,
  [353] = 223,
  [354] = 354,
  [355] = 355,
  [356] = 224,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 352,
  [363] = 224,
  [364] = 352,
  [365] = 352,
  [366] = 352,
  [367] = 352,
  [368] = 352,
  [369] = 352,
  [370] = 352,
  [371] = 352,
  [372] = 352,
  [373] = 352,
  [374] = 361,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 226,
  [393] = 227,
  [394] = 394,
  [395] = 395,
  [396] = 395,
  [397] = 395,
  [398] = 398,
  [399] = 394,
  [400] = 400,
  [401] = 398,
  [402] = 226,
  [403] = 403,
  [404] = 404,
  [405] = 394,
  [406] = 398,
  [407] = 391,
  [408] = 391,
  [409] = 409,
  [410] = 227,
  [411] = 250,
  [412] = 250,
  [413] = 248,
  [414] = 231,
  [415] = 132,
  [416] = 133,
  [417] = 231,
  [418] = 133,
  [419] = 132,
  [420] = 248,
  [421] = 248,
  [422] = 231,
  [423] = 250,
  [424] = 264,
  [425] = 266,
  [426] = 267,
  [427] = 268,
  [428] = 296,
  [429] = 269,
  [430] = 270,
  [431] = 287,
  [432] = 297,
  [433] = 272,
  [434] = 273,
  [435] = 274,
  [436] = 275,
  [437] = 226,
  [438] = 299,
  [439] = 277,
  [440] = 291,
  [441] = 278,
  [442] = 291,
  [443] = 292,
  [444] = 294,
  [445] = 295,
  [446] = 296,
  [447] = 297,
  [448] = 255,
  [449] = 256,
  [450] = 255,
  [451] = 259,
  [452] = 260,
  [453] = 261,
  [454] = 262,
  [455] = 263,
  [456] = 264,
  [457] = 265,
  [458] = 266,
  [459] = 270,
  [460] = 279,
  [461] = 280,
  [462] = 281,
  [463] = 272,
  [464] = 278,
  [465] = 282,
  [466] = 279,
  [467] = 280,
  [468] = 281,
  [469] = 282,
  [470] = 283,
  [471] = 283,
  [472] = 286,
  [473] = 267,
  [474] = 268,
  [475] = 273,
  [476] = 274,
  [477] = 275,
  [478] = 284,
  [479] = 284,
  [480] = 289,
  [481] = 257,
  [482] = 287,
  [483] = 227,
  [484] = 269,
  [485] = 299,
  [486] = 277,
  [487] = 285,
  [488] = 285,
  [489] = 286,
  [490] = 289,
  [491] = 291,
  [492] = 292,
  [493] = 294,
  [494] = 295,
  [495] = 296,
  [496] = 297,
  [497] = 255,
  [498] = 256,
  [499] = 257,
  [500] = 259,
  [501] = 260,
  [502] = 261,
  [503] = 262,
  [504] = 263,
  [505] = 264,
  [506] = 265,
  [507] = 266,
  [508] = 267,
  [509] = 268,
  [510] = 269,
  [511] = 287,
  [512] = 270,
  [513] = 272,
  [514] = 256,
  [515] = 257,
  [516] = 273,
  [517] = 274,
  [518] = 275,
  [519] = 299,
  [520] = 277,
  [521] = 278,
  [522] = 279,
  [523] = 280,
  [524] = 281,
  [525] = 282,
  [526] = 283,
  [527] = 284,
  [528] = 292,
  [529] = 285,
  [530] = 286,
  [531] = 259,
  [532] = 294,
  [533] = 295,
  [534] = 260,
  [535] = 261,
  [536] = 262,
  [537] = 263,
  [538] = 289,
  [539] = 265,
  [540] = 300,
  [541] = 322,
  [542] = 377,
  [543] = 324,
  [544] = 325,
  [545] = 326,
  [546] = 342,
  [547] = 389,
  [548] = 347,
  [549] = 350,
  [550] = 300,
  [551] = 390,
  [552] = 335,
  [553] = 354,
  [554] = 355,
  [555] = 304,
  [556] = 357,
  [557] = 358,
  [558] = 359,
  [559] = 360,
  [560] = 305,
  [561] = 306,
  [562] = 316,
  [563] = 341,
  [564] = 354,
  [565] = 349,
  [566] = 355,
  [567] = 378,
  [568] = 303,
  [569] = 375,
  [570] = 309,
  [571] = 312,
  [572] = 314,
  [573] = 315,
  [574] = 318,
  [575] = 319,
  [576] = 384,
  [577] = 327,
  [578] = 387,
  [579] = 388,
  [580] = 301,
  [581] = 330,
  [582] = 302,
  [583] = 328,
  [584] = 317,
  [585] = 323,
  [586] = 335,
  [587] = 303,
  [588] = 316,
  [589] = 329,
  [590] = 287,
  [591] = 378,
  [592] = 333,
  [593] = 334,
  [594] = 307,
  [595] = 357,
  [596] = 359,
  [597] = 331,
  [598] = 332,
  [599] = 384,
  [600] = 336,
  [601] = 337,
  [602] = 338,
  [603] = 344,
  [604] = 360,
  [605] = 331,
  [606] = 301,
  [607] = 376,
  [608] = 377,
  [609] = 339,
  [610] = 379,
  [611] = 380,
  [612] = 381,
  [613] = 382,
  [614] = 383,
  [615] = 385,
  [616] = 386,
  [617] = 389,
  [618] = 320,
  [619] = 321,
  [620] = 340,
  [621] = 343,
  [622] = 345,
  [623] = 304,
  [624] = 305,
  [625] = 306,
  [626] = 626,
  [627] = 346,
  [628] = 348,
  [629] = 336,
  [630] = 375,
  [631] = 309,
  [632] = 310,
  [633] = 312,
  [634] = 313,
  [635] = 314,
  [636] = 315,
  [637] = 375,
  [638] = 387,
  [639] = 388,
  [640] = 318,
  [641] = 319,
  [642] = 320,
  [643] = 321,
  [644] = 322,
  [645] = 324,
  [646] = 325,
  [647] = 326,
  [648] = 327,
  [649] = 328,
  [650] = 329,
  [651] = 330,
  [652] = 302,
  [653] = 323,
  [654] = 333,
  [655] = 334,
  [656] = 303,
  [657] = 332,
  [658] = 344,
  [659] = 337,
  [660] = 338,
  [661] = 339,
  [662] = 340,
  [663] = 341,
  [664] = 342,
  [665] = 343,
  [666] = 379,
  [667] = 345,
  [668] = 346,
  [669] = 380,
  [670] = 347,
  [671] = 348,
  [672] = 381,
  [673] = 382,
  [674] = 349,
  [675] = 350,
  [676] = 383,
  [677] = 385,
  [678] = 307,
  [679] = 386,
  [680] = 310,
  [681] = 313,
  [682] = 358,
  [683] = 317,
  [684] = 376,
  [685] = 390,
  [686] = 134,
  [687] = 335,
  [688] = 383,
  [689] = 385,
  [690] = 341,
  [691] = 342,
  [692] = 343,
  [693] = 318,
  [694] = 389,
  [695] = 319,
  [696] = 320,
  [697] = 321,
  [698] = 322,
  [699] = 376,
  [700] = 324,
  [701] = 325,
  [702] = 326,
  [703] = 327,
  [704] = 345,
  [705] = 328,
  [706] = 302,
  [707] = 346,
  [708] = 329,
  [709] = 384,
  [710] = 300,
  [711] = 390,
  [712] = 377,
  [713] = 354,
  [714] = 355,
  [715] = 347,
  [716] = 316,
  [717] = 348,
  [718] = 333,
  [719] = 334,
  [720] = 378,
  [721] = 304,
  [722] = 379,
  [723] = 305,
  [724] = 323,
  [725] = 306,
  [726] = 344,
  [727] = 349,
  [728] = 728,
  [729] = 350,
  [730] = 357,
  [731] = 358,
  [732] = 380,
  [733] = 381,
  [734] = 317,
  [735] = 387,
  [736] = 388,
  [737] = 301,
  [738] = 339,
  [739] = 340,
  [740] = 359,
  [741] = 360,
  [742] = 309,
  [743] = 310,
  [744] = 330,
  [745] = 312,
  [746] = 313,
  [747] = 747,
  [748] = 748,
  [749] = 314,
  [750] = 315,
  [751] = 331,
  [752] = 332,
  [753] = 338,
  [754] = 336,
  [755] = 382,
  [756] = 337,
  [757] = 386,
  [758] = 134,
  [759] = 134,
  [760] = 760,
  [761] = 761,
  [762] = 760,
  [763] = 760,
  [764] = 761,
  [765] = 761,
  [766] = 761,
  [767] = 760,
  [768] = 626,
  [769] = 761,
  [770] = 626,
  [771] = 760,
  [772] = 772,
  [773] = 773,
  [774] = 761,
  [775] = 761,
  [776] = 760,
  [777] = 760,
  [778] = 760,
  [779] = 761,
  [780] = 760,
  [781] = 761,
  [782] = 761,
  [783] = 760,
  [784] = 134,
  [785] = 134,
  [786] = 134,
  [787] = 787,
  [788] = 361,
  [789] = 361,
  [790] = 361,
  [791] = 791,
  [792] = 791,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 795,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 798,
  [806] = 803,
  [807] = 795,
  [808] = 800,
  [809] = 795,
  [810] = 800,
  [811] = 811,
  [812] = 795,
  [813] = 800,
  [814] = 801,
  [815] = 795,
  [816] = 816,
  [817] = 801,
  [818] = 801,
  [819] = 819,
  [820] = 816,
  [821] = 795,
  [822] = 804,
  [823] = 823,
  [824] = 361,
  [825] = 823,
  [826] = 823,
  [827] = 823,
  [828] = 823,
  [829] = 823,
  [830] = 361,
  [831] = 823,
  [832] = 361,
  [833] = 833,
  [834] = 224,
  [835] = 223,
  [836] = 231,
  [837] = 132,
  [838] = 838,
  [839] = 838,
  [840] = 133,
  [841] = 248,
  [842] = 250,
  [843] = 299,
  [844] = 267,
  [845] = 292,
  [846] = 277,
  [847] = 294,
  [848] = 295,
  [849] = 281,
  [850] = 296,
  [851] = 297,
  [852] = 852,
  [853] = 282,
  [854] = 255,
  [855] = 283,
  [856] = 257,
  [857] = 794,
  [858] = 268,
  [859] = 284,
  [860] = 256,
  [861] = 285,
  [862] = 286,
  [863] = 259,
  [864] = 260,
  [865] = 278,
  [866] = 261,
  [867] = 262,
  [868] = 263,
  [869] = 264,
  [870] = 265,
  [871] = 833,
  [872] = 266,
  [873] = 291,
  [874] = 273,
  [875] = 274,
  [876] = 275,
  [877] = 793,
  [878] = 269,
  [879] = 270,
  [880] = 272,
  [881] = 279,
  [882] = 289,
  [883] = 280,
  [884] = 884,
  [885] = 884,
  [886] = 884,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 890,
  [892] = 889,
  [893] = 893,
  [894] = 893,
  [895] = 893,
  [896] = 889,
  [897] = 889,
  [898] = 890,
  [899] = 889,
  [900] = 900,
  [901] = 890,
  [902] = 889,
  [903] = 893,
  [904] = 890,
  [905] = 889,
  [906] = 906,
  [907] = 889,
  [908] = 893,
  [909] = 890,
  [910] = 890,
  [911] = 890,
  [912] = 893,
  [913] = 890,
  [914] = 889,
  [915] = 915,
  [916] = 916,
  [917] = 915,
  [918] = 916,
  [919] = 915,
  [920] = 916,
  [921] = 915,
  [922] = 915,
  [923] = 916,
  [924] = 915,
  [925] = 916,
  [926] = 916,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 931,
  [933] = 930,
  [934] = 930,
  [935] = 930,
  [936] = 930,
  [937] = 930,
  [938] = 931,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 939,
  [943] = 943,
  [944] = 939,
  [945] = 939,
  [946] = 939,
  [947] = 939,
  [948] = 948,
  [949] = 939,
  [950] = 940,
  [951] = 940,
  [952] = 943,
  [953] = 948,
  [954] = 948,
  [955] = 939,
  [956] = 943,
  [957] = 948,
  [958] = 940,
  [959] = 959,
  [960] = 948,
  [961] = 948,
  [962] = 940,
  [963] = 948,
  [964] = 939,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 966,
  [969] = 967,
  [970] = 970,
  [971] = 971,
  [972] = 967,
  [973] = 966,
  [974] = 966,
  [975] = 975,
  [976] = 976,
  [977] = 966,
  [978] = 966,
  [979] = 979,
  [980] = 980,
  [981] = 966,
  [982] = 967,
  [983] = 966,
  [984] = 984,
  [985] = 966,
  [986] = 966,
  [987] = 987,
  [988] = 967,
  [989] = 967,
  [990] = 966,
  [991] = 991,
  [992] = 967,
  [993] = 967,
  [994] = 994,
  [995] = 965,
  [996] = 967,
  [997] = 997,
  [998] = 965,
  [999] = 999,
  [1000] = 967,
  [1001] = 966,
  [1002] = 967,
  [1003] = 966,
  [1004] = 967,
  [1005] = 967,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1007,
  [1010] = 1006,
  [1011] = 1006,
  [1012] = 1007,
  [1013] = 1006,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1008,
  [1017] = 1007,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1007,
  [1022] = 1022,
  [1023] = 1008,
  [1024] = 1006,
  [1025] = 1006,
  [1026] = 1006,
  [1027] = 1006,
  [1028] = 1007,
  [1029] = 1029,
  [1030] = 1006,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1007,
  [1034] = 1034,
  [1035] = 1007,
  [1036] = 1036,
  [1037] = 1007,
  [1038] = 1006,
  [1039] = 1007,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1006,
  [1043] = 1008,
  [1044] = 1008,
  [1045] = 1045,
  [1046] = 1006,
  [1047] = 1047,
  [1048] = 1008,
  [1049] = 1007,
  [1050] = 1008,
  [1051] = 1007,
  [1052] = 1006,
  [1053] = 1053,
  [1054] = 1007,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1058,
  [1088] = 1059,
  [1089] = 1056,
  [1090] = 1060,
  [1091] = 1061,
  [1092] = 1068,
  [1093] = 1069,
  [1094] = 1070,
  [1095] = 1071,
  [1096] = 1072,
  [1097] = 1073,
  [1098] = 1064,
  [1099] = 1099,
  [1100] = 1057,
  [1101] = 1063,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1103,
  [1107] = 1065,
  [1108] = 1065,
  [1109] = 1066,
  [1110] = 1067,
  [1111] = 1104,
  [1112] = 1099,
  [1113] = 1105,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1063,
  [1117] = 1104,
  [1118] = 1105,
  [1119] = 1065,
  [1120] = 1066,
  [1121] = 1067,
  [1122] = 1066,
  [1123] = 1067,
  [1124] = 1063,
  [1125] = 1104,
  [1126] = 1065,
  [1127] = 1066,
  [1128] = 1067,
  [1129] = 1065,
  [1130] = 1065,
  [1131] = 1065,
  [1132] = 1074,
  [1133] = 1075,
  [1134] = 1065,
  [1135] = 1076,
  [1136] = 1077,
  [1137] = 1078,
  [1138] = 1079,
  [1139] = 1065,
  [1140] = 1080,
  [1141] = 1081,
  [1142] = 1082,
  [1143] = 1114,
  [1144] = 1102,
  [1145] = 1083,
  [1146] = 1146,
  [1147] = 1114,
  [1148] = 1148,
  [1149] = 1084,
  [1150] = 1114,
  [1151] = 1085,
  [1152] = 1114,
  [1153] = 1114,
  [1154] = 1114,
  [1155] = 1086,
  [1156] = 1114,
  [1157] = 1114,
  [1158] = 1114,
  [1159] = 1065,
  [1160] = 1065,
  [1161] = 1065,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1165,
  [1177] = 1166,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1169,
  [1184] = 1170,
  [1185] = 1172,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1186,
  [1189] = 1187,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1174,
  [1193] = 1190,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1174,
  [1199] = 1165,
  [1200] = 1166,
  [1201] = 1178,
  [1202] = 1179,
  [1203] = 1180,
  [1204] = 1181,
  [1205] = 1182,
  [1206] = 1169,
  [1207] = 1170,
  [1208] = 1172,
  [1209] = 1186,
  [1210] = 1187,
  [1211] = 1190,
  [1212] = 1191,
  [1213] = 1191,
  [1214] = 1194,
  [1215] = 1197,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1173,
  [1220] = 1220,
  [1221] = 1163,
  [1222] = 1222,
  [1223] = 1165,
  [1224] = 1166,
  [1225] = 1178,
  [1226] = 1179,
  [1227] = 1180,
  [1228] = 1181,
  [1229] = 1182,
  [1230] = 1169,
  [1231] = 1170,
  [1232] = 1172,
  [1233] = 1191,
  [1234] = 1234,
  [1235] = 1197,
  [1236] = 1217,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1216,
  [1243] = 1174,
  [1244] = 1165,
  [1245] = 1166,
  [1246] = 1178,
  [1247] = 1179,
  [1248] = 1180,
  [1249] = 1181,
  [1250] = 1182,
  [1251] = 1169,
  [1252] = 1170,
  [1253] = 1172,
  [1254] = 1186,
  [1255] = 1187,
  [1256] = 1190,
  [1257] = 1191,
  [1258] = 1194,
  [1259] = 1197,
  [1260] = 1216,
  [1261] = 1173,
  [1262] = 1217,
  [1263] = 1263,
  [1264] = 1178,
  [1265] = 1163,
  [1266] = 1194,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1186,
  [1272] = 1167,
  [1273] = 1168,
  [1274] = 1186,
  [1275] = 1187,
  [1276] = 1179,
  [1277] = 1173,
  [1278] = 1174,
  [1279] = 1190,
  [1280] = 1180,
  [1281] = 1174,
  [1282] = 1165,
  [1283] = 1166,
  [1284] = 1178,
  [1285] = 1179,
  [1286] = 1180,
  [1287] = 1181,
  [1288] = 1182,
  [1289] = 1169,
  [1290] = 1170,
  [1291] = 1172,
  [1292] = 1216,
  [1293] = 1197,
  [1294] = 1173,
  [1295] = 1163,
  [1296] = 1190,
  [1297] = 1181,
  [1298] = 1196,
  [1299] = 1299,
  [1300] = 1174,
  [1301] = 1165,
  [1302] = 1166,
  [1303] = 1178,
  [1304] = 1179,
  [1305] = 1180,
  [1306] = 1181,
  [1307] = 1182,
  [1308] = 1169,
  [1309] = 1170,
  [1310] = 1172,
  [1311] = 1216,
  [1312] = 1173,
  [1313] = 1313,
  [1314] = 1186,
  [1315] = 1187,
  [1316] = 1190,
  [1317] = 1174,
  [1318] = 1165,
  [1319] = 1166,
  [1320] = 1196,
  [1321] = 1179,
  [1322] = 1180,
  [1323] = 1181,
  [1324] = 1182,
  [1325] = 1169,
  [1326] = 1170,
  [1327] = 1172,
  [1328] = 1216,
  [1329] = 1173,
  [1330] = 1194,
  [1331] = 1186,
  [1332] = 1187,
  [1333] = 1191,
  [1334] = 1195,
  [1335] = 1174,
  [1336] = 1216,
  [1337] = 1173,
  [1338] = 1174,
  [1339] = 1190,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1163,
  [1343] = 1216,
  [1344] = 1173,
  [1345] = 1197,
  [1346] = 1191,
  [1347] = 1216,
  [1348] = 1165,
  [1349] = 1216,
  [1350] = 1166,
  [1351] = 1173,
  [1352] = 1352,
  [1353] = 1178,
  [1354] = 1179,
  [1355] = 1180,
  [1356] = 1181,
  [1357] = 1194,
  [1358] = 1182,
  [1359] = 1169,
  [1360] = 1170,
  [1361] = 1172,
  [1362] = 1191,
  [1363] = 1197,
  [1364] = 1165,
  [1365] = 1166,
  [1366] = 1178,
  [1367] = 1179,
  [1368] = 1180,
  [1369] = 1181,
  [1370] = 1182,
  [1371] = 1169,
  [1372] = 1170,
  [1373] = 1172,
  [1374] = 1191,
  [1375] = 1222,
  [1376] = 1341,
  [1377] = 1174,
  [1378] = 1190,
  [1379] = 1182,
  [1380] = 1380,
  [1381] = 1165,
  [1382] = 1166,
  [1383] = 1178,
  [1384] = 1179,
  [1385] = 1180,
  [1386] = 1181,
  [1387] = 1182,
  [1388] = 1169,
  [1389] = 1170,
  [1390] = 1172,
  [1391] = 1191,
  [1392] = 1220,
  [1393] = 1197,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1194,
  [1397] = 1263,
  [1398] = 1394,
  [1399] = 1197,
  [1400] = 1237,
  [1401] = 1222,
  [1402] = 1341,
  [1403] = 1175,
  [1404] = 1220,
  [1405] = 1394,
  [1406] = 1395,
  [1407] = 1263,
  [1408] = 1237,
  [1409] = 1222,
  [1410] = 1341,
  [1411] = 1220,
  [1412] = 1394,
  [1413] = 1395,
  [1414] = 1263,
  [1415] = 1237,
  [1416] = 1222,
  [1417] = 1341,
  [1418] = 1194,
  [1419] = 1220,
  [1420] = 1394,
  [1421] = 1395,
  [1422] = 1263,
  [1423] = 1395,
  [1424] = 1237,
  [1425] = 1425,
  [1426] = 1194,
  [1427] = 1220,
  [1428] = 1394,
  [1429] = 1395,
  [1430] = 1263,
  [1431] = 1237,
  [1432] = 1186,
  [1433] = 1220,
  [1434] = 1394,
  [1435] = 1263,
  [1436] = 1187,
  [1437] = 1186,
  [1438] = 1187,
  [1439] = 1197,
  [1440] = 1216,
  [1441] = 1173,
  [1442] = 1197,
  [1443] = 1186,
  [1444] = 1187,
  [1445] = 1190,
  [1446] = 1299,
  [1447] = 1216,
  [1448] = 1173,
  [1449] = 1190,
  [1450] = 1166,
  [1451] = 1191,
  [1452] = 1299,
  [1453] = 1299,
  [1454] = 1299,
  [1455] = 1299,
  [1456] = 1299,
  [1457] = 1163,
  [1458] = 1174,
  [1459] = 1165,
  [1460] = 1166,
  [1461] = 1178,
  [1462] = 1179,
  [1463] = 1180,
  [1464] = 1181,
  [1465] = 1182,
  [1466] = 1169,
  [1467] = 1170,
  [1468] = 1172,
  [1469] = 1186,
  [1470] = 1187,
  [1471] = 1190,
  [1472] = 1191,
  [1473] = 1194,
  [1474] = 1197,
  [1475] = 1174,
  [1476] = 1190,
  [1477] = 1165,
  [1478] = 1178,
  [1479] = 1179,
  [1480] = 1180,
  [1481] = 1181,
  [1482] = 1182,
  [1483] = 1169,
  [1484] = 1170,
  [1485] = 1172,
  [1486] = 1191,
  [1487] = 1194,
  [1488] = 1197,
  [1489] = 1216,
  [1490] = 1173,
  [1491] = 1187,
  [1492] = 1186,
  [1493] = 1187,
  [1494] = 1194,
  [1495] = 1194,
  [1496] = 1196,
  [1497] = 1196,
  [1498] = 1196,
  [1499] = 1178,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1500,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 341,
  [1513] = 349,
  [1514] = 1514,
  [1515] = 1514,
  [1516] = 1514,
  [1517] = 1514,
  [1518] = 1501,
  [1519] = 1501,
  [1520] = 1520,
  [1521] = 1511,
  [1522] = 1502,
  [1523] = 1503,
  [1524] = 1524,
  [1525] = 1504,
  [1526] = 1502,
  [1527] = 1507,
  [1528] = 1507,
  [1529] = 1505,
  [1530] = 1509,
  [1531] = 1504,
  [1532] = 1509,
  [1533] = 1501,
  [1534] = 1506,
  [1535] = 1511,
  [1536] = 1503,
  [1537] = 1505,
  [1538] = 1506,
  [1539] = 1539,
  [1540] = 931,
  [1541] = 1511,
  [1542] = 1542,
  [1543] = 931,
  [1544] = 1542,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1546,
  [1549] = 1511,
  [1550] = 1504,
  [1551] = 1509,
  [1552] = 1505,
  [1553] = 931,
  [1554] = 1502,
  [1555] = 1506,
  [1556] = 1507,
  [1557] = 1503,
  [1558] = 1546,
  [1559] = 1542,
  [1560] = 1506,
  [1561] = 1561,
  [1562] = 1505,
  [1563] = 1546,
  [1564] = 1503,
  [1565] = 1502,
  [1566] = 1504,
  [1567] = 1542,
  [1568] = 1507,
  [1569] = 1561,
  [1570] = 1509,
  [1571] = 1571,
  [1572] = 1571,
  [1573] = 1511,
  [1574] = 1571,
  [1575] = 1520,
  [1576] = 1571,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1546,
  [1580] = 1580,
  [1581] = 1580,
  [1582] = 1578,
  [1583] = 1520,
  [1584] = 1580,
  [1585] = 1580,
  [1586] = 1580,
  [1587] = 1578,
  [1588] = 1578,
  [1589] = 1578,
  [1590] = 1580,
  [1591] = 1578,
  [1592] = 1580,
  [1593] = 1578,
  [1594] = 1542,
  [1595] = 1595,
  [1596] = 1539,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1520,
  [1612] = 1561,
  [1613] = 1613,
  [1614] = 1520,
  [1615] = 1520,
  [1616] = 1561,
  [1617] = 1545,
  [1618] = 1613,
  [1619] = 1547,
  [1620] = 1539,
  [1621] = 1547,
  [1622] = 1622,
  [1623] = 1547,
  [1624] = 1545,
  [1625] = 1545,
  [1626] = 1561,
  [1627] = 1539,
  [1628] = 1539,
  [1629] = 1547,
  [1630] = 226,
  [1631] = 223,
  [1632] = 224,
  [1633] = 1545,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1511,
  [1637] = 227,
  [1638] = 1547,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1640,
  [1642] = 1545,
  [1643] = 1640,
  [1644] = 1640,
  [1645] = 1511,
  [1646] = 1503,
  [1647] = 1504,
  [1648] = 1648,
  [1649] = 1505,
  [1650] = 1650,
  [1651] = 1507,
  [1652] = 1506,
  [1653] = 1509,
  [1654] = 1502,
  [1655] = 132,
  [1656] = 231,
  [1657] = 1505,
  [1658] = 1506,
  [1659] = 1659,
  [1660] = 1504,
  [1661] = 287,
  [1662] = 1509,
  [1663] = 287,
  [1664] = 133,
  [1665] = 1507,
  [1666] = 1502,
  [1667] = 1667,
  [1668] = 1503,
  [1669] = 360,
  [1670] = 325,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 342,
  [1675] = 343,
  [1676] = 1676,
  [1677] = 345,
  [1678] = 1509,
  [1679] = 357,
  [1680] = 358,
  [1681] = 273,
  [1682] = 274,
  [1683] = 1683,
  [1684] = 275,
  [1685] = 326,
  [1686] = 346,
  [1687] = 1687,
  [1688] = 347,
  [1689] = 1689,
  [1690] = 310,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 350,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1547,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 354,
  [1704] = 284,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 359,
  [1708] = 355,
  [1709] = 313,
  [1710] = 314,
  [1711] = 315,
  [1712] = 269,
  [1713] = 1713,
  [1714] = 318,
  [1715] = 319,
  [1716] = 1716,
  [1717] = 375,
  [1718] = 299,
  [1719] = 277,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 387,
  [1725] = 388,
  [1726] = 301,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1545,
  [1731] = 330,
  [1732] = 302,
  [1733] = 285,
  [1734] = 1542,
  [1735] = 1735,
  [1736] = 349,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 323,
  [1740] = 303,
  [1741] = 267,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1502,
  [1745] = 1503,
  [1746] = 320,
  [1747] = 268,
  [1748] = 1542,
  [1749] = 1504,
  [1750] = 321,
  [1751] = 322,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 332,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 344,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 324,
  [1765] = 1505,
  [1766] = 1506,
  [1767] = 1507,
  [1768] = 1546,
  [1769] = 376,
  [1770] = 1770,
  [1771] = 377,
  [1772] = 1772,
  [1773] = 379,
  [1774] = 380,
  [1775] = 381,
  [1776] = 382,
  [1777] = 383,
  [1778] = 385,
  [1779] = 386,
  [1780] = 1546,
  [1781] = 1781,
  [1782] = 341,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 226,
  [1796] = 1796,
  [1797] = 223,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 226,
  [1805] = 224,
  [1806] = 224,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1501,
  [1811] = 1811,
  [1812] = 223,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 227,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 227,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1511,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1833,
  [1835] = 1835,
  [1836] = 1501,
  [1837] = 1837,
  [1838] = 1837,
  [1839] = 1839,
  [1840] = 1835,
  [1841] = 1837,
  [1842] = 1835,
  [1843] = 1837,
  [1844] = 1835,
  [1845] = 1837,
  [1846] = 1837,
  [1847] = 1837,
  [1848] = 1833,
  [1849] = 1833,
  [1850] = 1833,
  [1851] = 1833,
  [1852] = 1833,
  [1853] = 1853,
  [1854] = 287,
  [1855] = 1501,
  [1856] = 132,
  [1857] = 133,
  [1858] = 287,
  [1859] = 1853,
  [1860] = 1539,
  [1861] = 231,
  [1862] = 1853,
  [1863] = 1853,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 287,
  [1867] = 132,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1577,
  [1871] = 133,
  [1872] = 1872,
  [1873] = 231,
  [1874] = 1520,
  [1875] = 287,
  [1876] = 1511,
  [1877] = 1546,
  [1878] = 341,
  [1879] = 342,
  [1880] = 347,
  [1881] = 285,
  [1882] = 349,
  [1883] = 350,
  [1884] = 301,
  [1885] = 1561,
  [1886] = 376,
  [1887] = 377,
  [1888] = 354,
  [1889] = 314,
  [1890] = 315,
  [1891] = 318,
  [1892] = 319,
  [1893] = 332,
  [1894] = 1755,
  [1895] = 355,
  [1896] = 1763,
  [1897] = 344,
  [1898] = 343,
  [1899] = 345,
  [1900] = 346,
  [1901] = 267,
  [1902] = 268,
  [1903] = 273,
  [1904] = 274,
  [1905] = 275,
  [1906] = 284,
  [1907] = 375,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 387,
  [1911] = 388,
  [1912] = 301,
  [1913] = 330,
  [1914] = 302,
  [1915] = 323,
  [1916] = 303,
  [1917] = 332,
  [1918] = 344,
  [1919] = 376,
  [1920] = 377,
  [1921] = 379,
  [1922] = 380,
  [1923] = 381,
  [1924] = 382,
  [1925] = 383,
  [1926] = 385,
  [1927] = 386,
  [1928] = 379,
  [1929] = 354,
  [1930] = 355,
  [1931] = 310,
  [1932] = 313,
  [1933] = 314,
  [1934] = 315,
  [1935] = 318,
  [1936] = 319,
  [1937] = 320,
  [1938] = 321,
  [1939] = 322,
  [1940] = 324,
  [1941] = 325,
  [1942] = 326,
  [1943] = 357,
  [1944] = 358,
  [1945] = 342,
  [1946] = 343,
  [1947] = 345,
  [1948] = 346,
  [1949] = 347,
  [1950] = 359,
  [1951] = 360,
  [1952] = 350,
  [1953] = 380,
  [1954] = 381,
  [1955] = 382,
  [1956] = 383,
  [1957] = 385,
  [1958] = 386,
  [1959] = 267,
  [1960] = 268,
  [1961] = 273,
  [1962] = 274,
  [1963] = 275,
  [1964] = 269,
  [1965] = 284,
  [1966] = 1542,
  [1967] = 1501,
  [1968] = 1798,
  [1969] = 269,
  [1970] = 299,
  [1971] = 277,
  [1972] = 341,
  [1973] = 285,
  [1974] = 349,
  [1975] = 1561,
  [1976] = 1511,
  [1977] = 1781,
  [1978] = 357,
  [1979] = 1687,
  [1980] = 1754,
  [1981] = 313,
  [1982] = 1673,
  [1983] = 1676,
  [1984] = 1692,
  [1985] = 1713,
  [1986] = 1735,
  [1987] = 358,
  [1988] = 1667,
  [1989] = 1695,
  [1990] = 1696,
  [1991] = 1697,
  [1992] = 359,
  [1993] = 1755,
  [1994] = 1763,
  [1995] = 1699,
  [1996] = 1700,
  [1997] = 1701,
  [1998] = 1702,
  [1999] = 1705,
  [2000] = 1706,
  [2001] = 1716,
  [2002] = 360,
  [2003] = 1781,
  [2004] = 1687,
  [2005] = 1754,
  [2006] = 1673,
  [2007] = 1676,
  [2008] = 1692,
  [2009] = 1713,
  [2010] = 1735,
  [2011] = 1720,
  [2012] = 1721,
  [2013] = 1722,
  [2014] = 1723,
  [2015] = 320,
  [2016] = 321,
  [2017] = 1727,
  [2018] = 1728,
  [2019] = 1729,
  [2020] = 1737,
  [2021] = 2021,
  [2022] = 322,
  [2023] = 1742,
  [2024] = 1743,
  [2025] = 1753,
  [2026] = 1695,
  [2027] = 1696,
  [2028] = 1697,
  [2029] = 1756,
  [2030] = 1699,
  [2031] = 1700,
  [2032] = 1701,
  [2033] = 1702,
  [2034] = 324,
  [2035] = 1758,
  [2036] = 1705,
  [2037] = 1706,
  [2038] = 1716,
  [2039] = 1759,
  [2040] = 1720,
  [2041] = 1721,
  [2042] = 1722,
  [2043] = 1723,
  [2044] = 325,
  [2045] = 1727,
  [2046] = 1728,
  [2047] = 1729,
  [2048] = 326,
  [2049] = 1737,
  [2050] = 1742,
  [2051] = 1743,
  [2052] = 1753,
  [2053] = 1756,
  [2054] = 1758,
  [2055] = 1759,
  [2056] = 1761,
  [2057] = 1762,
  [2058] = 299,
  [2059] = 375,
  [2060] = 1761,
  [2061] = 1762,
  [2062] = 277,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 387,
  [2066] = 388,
  [2067] = 330,
  [2068] = 302,
  [2069] = 323,
  [2070] = 303,
  [2071] = 310,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 1539,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 1511,
  [2089] = 2089,
  [2090] = 2021,
  [2091] = 1909,
  [2092] = 1786,
  [2093] = 2093,
  [2094] = 1503,
  [2095] = 1577,
  [2096] = 1694,
  [2097] = 1772,
  [2098] = 793,
  [2099] = 1869,
  [2100] = 2100,
  [2101] = 1791,
  [2102] = 1545,
  [2103] = 1547,
  [2104] = 132,
  [2105] = 133,
  [2106] = 1509,
  [2107] = 1502,
  [2108] = 1504,
  [2109] = 1505,
  [2110] = 1506,
  [2111] = 1507,
  [2112] = 1786,
  [2113] = 1689,
  [2114] = 794,
  [2115] = 2063,
  [2116] = 2116,
  [2117] = 2063,
  [2118] = 2064,
  [2119] = 1672,
  [2120] = 2120,
  [2121] = 1542,
  [2122] = 1546,
  [2123] = 1694,
  [2124] = 1772,
  [2125] = 1672,
  [2126] = 1689,
  [2127] = 2064,
  [2128] = 2128,
  [2129] = 1791,
  [2130] = 1671,
  [2131] = 1772,
  [2132] = 2100,
  [2133] = 2133,
  [2134] = 1672,
  [2135] = 2135,
  [2136] = 1667,
  [2137] = 2128,
  [2138] = 2128,
  [2139] = 1667,
  [2140] = 1667,
  [2141] = 2141,
  [2142] = 1752,
  [2143] = 2143,
  [2144] = 2135,
  [2145] = 1694,
  [2146] = 1791,
  [2147] = 1683,
  [2148] = 1689,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2153,
  [2155] = 1671,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2143,
  [2159] = 2159,
  [2160] = 1770,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 1683,
  [2164] = 2164,
  [2165] = 2153,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 1667,
  [2170] = 1752,
  [2171] = 2149,
  [2172] = 2153,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 1691,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 1738,
  [2182] = 2182,
  [2183] = 2153,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2153,
  [2187] = 2187,
  [2188] = 1561,
  [2189] = 1667,
  [2190] = 2133,
  [2191] = 1809,
  [2192] = 1796,
  [2193] = 1788,
  [2194] = 2194,
  [2195] = 2182,
  [2196] = 2156,
  [2197] = 2093,
  [2198] = 2161,
  [2199] = 2180,
  [2200] = 1671,
  [2201] = 2084,
  [2202] = 1801,
  [2203] = 2086,
  [2204] = 1813,
  [2205] = 1814,
  [2206] = 2080,
  [2207] = 2085,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 1815,
  [2211] = 1818,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 1683,
  [2215] = 1799,
  [2216] = 1800,
  [2217] = 1808,
  [2218] = 1823,
  [2219] = 1787,
  [2220] = 2076,
  [2221] = 2077,
  [2222] = 2078,
  [2223] = 2079,
  [2224] = 2081,
  [2225] = 2225,
  [2226] = 1825,
  [2227] = 1783,
  [2228] = 2089,
  [2229] = 1752,
  [2230] = 1667,
  [2231] = 2082,
  [2232] = 2083,
  [2233] = 2100,
  [2234] = 1869,
  [2235] = 1820,
  [2236] = 1539,
  [2237] = 2173,
  [2238] = 2084,
  [2239] = 2086,
  [2240] = 1828,
  [2241] = 2080,
  [2242] = 2085,
  [2243] = 2175,
  [2244] = 2076,
  [2245] = 2077,
  [2246] = 2078,
  [2247] = 2079,
  [2248] = 2081,
  [2249] = 2089,
  [2250] = 2082,
  [2251] = 2083,
  [2252] = 2150,
  [2253] = 2179,
  [2254] = 1785,
  [2255] = 1872,
  [2256] = 2187,
  [2257] = 2257,
  [2258] = 2174,
  [2259] = 2259,
  [2260] = 1826,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 1501,
  [2264] = 2063,
  [2265] = 2064,
  [2266] = 1827,
  [2267] = 2267,
  [2268] = 1807,
  [2269] = 1784,
  [2270] = 2270,
  [2271] = 1811,
  [2272] = 1829,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 1830,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 1792,
  [2279] = 1793,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 1789,
  [2284] = 1864,
  [2285] = 1865,
  [2286] = 1819,
  [2287] = 1822,
  [2288] = 1790,
  [2289] = 1667,
  [2290] = 2167,
  [2291] = 1908,
  [2292] = 2168,
  [2293] = 1667,
  [2294] = 1832,
  [2295] = 1816,
  [2296] = 1802,
  [2297] = 1803,
  [2298] = 1868,
  [2299] = 1794,
  [2300] = 1798,
  [2301] = 1824,
  [2302] = 1667,
  [2303] = 2157,
  [2304] = 2304,
  [2305] = 2093,
  [2306] = 2084,
  [2307] = 2086,
  [2308] = 2080,
  [2309] = 2085,
  [2310] = 1511,
  [2311] = 2311,
  [2312] = 1786,
  [2313] = 2082,
  [2314] = 1691,
  [2315] = 1864,
  [2316] = 1865,
  [2317] = 1868,
  [2318] = 1561,
  [2319] = 1770,
  [2320] = 2076,
  [2321] = 2077,
  [2322] = 2322,
  [2323] = 2078,
  [2324] = 1872,
  [2325] = 2325,
  [2326] = 2083,
  [2327] = 2079,
  [2328] = 2081,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 1738,
  [2332] = 2332,
  [2333] = 2100,
  [2334] = 2089,
  [2335] = 2335,
  [2336] = 1786,
  [2337] = 1809,
  [2338] = 1787,
  [2339] = 1819,
  [2340] = 1788,
  [2341] = 2093,
  [2342] = 2342,
  [2343] = 1872,
  [2344] = 1802,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 1793,
  [2352] = 2352,
  [2353] = 1864,
  [2354] = 1865,
  [2355] = 1868,
  [2356] = 1872,
  [2357] = 2357,
  [2358] = 1820,
  [2359] = 1794,
  [2360] = 1826,
  [2361] = 1796,
  [2362] = 1828,
  [2363] = 1801,
  [2364] = 1785,
  [2365] = 1800,
  [2366] = 2366,
  [2367] = 1790,
  [2368] = 1813,
  [2369] = 1814,
  [2370] = 1815,
  [2371] = 1818,
  [2372] = 2149,
  [2373] = 1827,
  [2374] = 1799,
  [2375] = 2375,
  [2376] = 1808,
  [2377] = 1807,
  [2378] = 1823,
  [2379] = 1784,
  [2380] = 1546,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2021,
  [2384] = 1824,
  [2385] = 1752,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1825,
  [2389] = 2389,
  [2390] = 1811,
  [2391] = 1829,
  [2392] = 1830,
  [2393] = 1792,
  [2394] = 1783,
  [2395] = 1832,
  [2396] = 1789,
  [2397] = 1864,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 1865,
  [2401] = 2100,
  [2402] = 1671,
  [2403] = 2403,
  [2404] = 794,
  [2405] = 1683,
  [2406] = 1816,
  [2407] = 1542,
  [2408] = 1803,
  [2409] = 1909,
  [2410] = 1869,
  [2411] = 1868,
  [2412] = 1822,
  [2413] = 1869,
  [2414] = 793,
  [2415] = 2149,
  [2416] = 2416,
  [2417] = 1603,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 1597,
  [2424] = 1598,
  [2425] = 1599,
  [2426] = 1689,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 1872,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 1509,
  [2434] = 1868,
  [2435] = 1602,
  [2436] = 2304,
  [2437] = 2437,
  [2438] = 1604,
  [2439] = 1605,
  [2440] = 1872,
  [2441] = 2441,
  [2442] = 2149,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2133,
  [2449] = 1865,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 1672,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 1502,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 1503,
  [2460] = 1600,
  [2461] = 1606,
  [2462] = 2116,
  [2463] = 1601,
  [2464] = 2464,
  [2465] = 1608,
  [2466] = 1609,
  [2467] = 1504,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2335,
  [2473] = 2143,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 1607,
  [2484] = 2484,
  [2485] = 1505,
  [2486] = 1506,
  [2487] = 1507,
  [2488] = 2474,
  [2489] = 132,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 1864,
  [2495] = 1865,
  [2496] = 2474,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 1864,
  [2502] = 133,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 1868,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 1772,
  [2511] = 1869,
  [2512] = 2512,
  [2513] = 1610,
  [2514] = 2120,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2474,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 1577,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 1595,
  [2526] = 2526,
  [2527] = 1694,
  [2528] = 1503,
  [2529] = 1791,
  [2530] = 1509,
  [2531] = 1502,
  [2532] = 2086,
  [2533] = 1689,
  [2534] = 2179,
  [2535] = 2187,
  [2536] = 1504,
  [2537] = 1868,
  [2538] = 1539,
  [2539] = 1791,
  [2540] = 1872,
  [2541] = 2100,
  [2542] = 2542,
  [2543] = 2182,
  [2544] = 2086,
  [2545] = 2156,
  [2546] = 2173,
  [2547] = 2076,
  [2548] = 2161,
  [2549] = 1509,
  [2550] = 1502,
  [2551] = 2551,
  [2552] = 2082,
  [2553] = 2083,
  [2554] = 1503,
  [2555] = 1504,
  [2556] = 1505,
  [2557] = 1506,
  [2558] = 1507,
  [2559] = 2180,
  [2560] = 2175,
  [2561] = 1694,
  [2562] = 2080,
  [2563] = 289,
  [2564] = 2084,
  [2565] = 2565,
  [2566] = 2076,
  [2567] = 2077,
  [2568] = 2157,
  [2569] = 1738,
  [2570] = 2085,
  [2571] = 1505,
  [2572] = 1506,
  [2573] = 1507,
  [2574] = 2080,
  [2575] = 2079,
  [2576] = 1772,
  [2577] = 2085,
  [2578] = 2150,
  [2579] = 2081,
  [2580] = 2084,
  [2581] = 1770,
  [2582] = 2082,
  [2583] = 2083,
  [2584] = 2584,
  [2585] = 2078,
  [2586] = 2079,
  [2587] = 2081,
  [2588] = 1672,
  [2589] = 2077,
  [2590] = 1577,
  [2591] = 2174,
  [2592] = 2089,
  [2593] = 2593,
  [2594] = 1909,
  [2595] = 2167,
  [2596] = 2168,
  [2597] = 1691,
  [2598] = 257,
  [2599] = 2089,
  [2600] = 1864,
  [2601] = 1865,
  [2602] = 2021,
  [2603] = 2078,
  [2604] = 1802,
  [2605] = 1694,
  [2606] = 1788,
  [2607] = 1772,
  [2608] = 1820,
  [2609] = 1828,
  [2610] = 1689,
  [2611] = 1792,
  [2612] = 1800,
  [2613] = 1789,
  [2614] = 1819,
  [2615] = 1813,
  [2616] = 1814,
  [2617] = 1815,
  [2618] = 1818,
  [2619] = 2516,
  [2620] = 1785,
  [2621] = 1799,
  [2622] = 1577,
  [2623] = 2515,
  [2624] = 1752,
  [2625] = 1683,
  [2626] = 1793,
  [2627] = 1827,
  [2628] = 1807,
  [2629] = 1784,
  [2630] = 1801,
  [2631] = 2304,
  [2632] = 1808,
  [2633] = 1823,
  [2634] = 1825,
  [2635] = 1783,
  [2636] = 1794,
  [2637] = 2093,
  [2638] = 2173,
  [2639] = 1909,
  [2640] = 1869,
  [2641] = 2084,
  [2642] = 1908,
  [2643] = 1908,
  [2644] = 1872,
  [2645] = 2086,
  [2646] = 1826,
  [2647] = 1796,
  [2648] = 2080,
  [2649] = 2085,
  [2650] = 1786,
  [2651] = 1822,
  [2652] = 1790,
  [2653] = 2076,
  [2654] = 1864,
  [2655] = 1865,
  [2656] = 2515,
  [2657] = 2077,
  [2658] = 1829,
  [2659] = 2078,
  [2660] = 2335,
  [2661] = 2079,
  [2662] = 1832,
  [2663] = 1816,
  [2664] = 2516,
  [2665] = 2081,
  [2666] = 1787,
  [2667] = 1803,
  [2668] = 2149,
  [2669] = 1824,
  [2670] = 2089,
  [2671] = 1672,
  [2672] = 1830,
  [2673] = 1798,
  [2674] = 2082,
  [2675] = 2083,
  [2676] = 1868,
  [2677] = 2021,
  [2678] = 1671,
  [2679] = 1809,
  [2680] = 1798,
  [2681] = 1811,
  [2682] = 2682,
  [2683] = 1694,
  [2684] = 2335,
  [2685] = 1864,
  [2686] = 2464,
  [2687] = 1772,
  [2688] = 1865,
  [2689] = 1689,
  [2690] = 2682,
  [2691] = 1872,
  [2692] = 2682,
  [2693] = 1786,
  [2694] = 1547,
  [2695] = 2481,
  [2696] = 2682,
  [2697] = 2682,
  [2698] = 1577,
  [2699] = 1672,
  [2700] = 2304,
  [2701] = 1577,
  [2702] = 2475,
  [2703] = 2093,
  [2704] = 2682,
  [2705] = 1577,
  [2706] = 2682,
  [2707] = 1791,
  [2708] = 1868,
  [2709] = 1561,
  [2710] = 2710,
  [2711] = 2093,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2081,
  [2715] = 2173,
  [2716] = 2712,
  [2717] = 2149,
  [2718] = 2087,
  [2719] = 2021,
  [2720] = 2079,
  [2721] = 2077,
  [2722] = 2089,
  [2723] = 2133,
  [2724] = 2713,
  [2725] = 2084,
  [2726] = 2086,
  [2727] = 2713,
  [2728] = 2712,
  [2729] = 2082,
  [2730] = 2083,
  [2731] = 2712,
  [2732] = 2078,
  [2733] = 2143,
  [2734] = 2713,
  [2735] = 2712,
  [2736] = 1791,
  [2737] = 2072,
  [2738] = 2713,
  [2739] = 2712,
  [2740] = 2713,
  [2741] = 2713,
  [2742] = 2085,
  [2743] = 1909,
  [2744] = 2073,
  [2745] = 2076,
  [2746] = 2143,
  [2747] = 2133,
  [2748] = 2080,
  [2749] = 2712,
  [2750] = 2074,
  [2751] = 2751,
  [2752] = 1786,
  [2753] = 2753,
  [2754] = 1864,
  [2755] = 1791,
  [2756] = 2441,
  [2757] = 2515,
  [2758] = 2133,
  [2759] = 2516,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2179,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2187,
  [2775] = 2174,
  [2776] = 2157,
  [2777] = 2526,
  [2778] = 2418,
  [2779] = 2419,
  [2780] = 2420,
  [2781] = 1672,
  [2782] = 1509,
  [2783] = 1502,
  [2784] = 1503,
  [2785] = 1504,
  [2786] = 1505,
  [2787] = 1506,
  [2788] = 1507,
  [2789] = 1865,
  [2790] = 2790,
  [2791] = 2421,
  [2792] = 2182,
  [2793] = 2156,
  [2794] = 2422,
  [2795] = 2168,
  [2796] = 2180,
  [2797] = 2797,
  [2798] = 2173,
  [2799] = 2799,
  [2800] = 2175,
  [2801] = 2150,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2797,
  [2805] = 2143,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2802,
  [2812] = 2335,
  [2813] = 1868,
  [2814] = 2797,
  [2815] = 2072,
  [2816] = 2802,
  [2817] = 1694,
  [2818] = 1772,
  [2819] = 2797,
  [2820] = 1689,
  [2821] = 2087,
  [2822] = 2797,
  [2823] = 2304,
  [2824] = 1872,
  [2825] = 2797,
  [2826] = 2797,
  [2827] = 2799,
  [2828] = 2073,
  [2829] = 2790,
  [2830] = 2074,
  [2831] = 2802,
  [2832] = 2167,
  [2833] = 2790,
  [2834] = 2161,
  [2835] = 794,
  [2836] = 2156,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 1791,
  [2841] = 2841,
  [2842] = 2799,
  [2843] = 1820,
  [2844] = 2167,
  [2845] = 1809,
  [2846] = 2168,
  [2847] = 1827,
  [2848] = 1511,
  [2849] = 2838,
  [2850] = 1811,
  [2851] = 2841,
  [2852] = 2837,
  [2853] = 2161,
  [2854] = 2837,
  [2855] = 2799,
  [2856] = 2838,
  [2857] = 2838,
  [2858] = 2175,
  [2859] = 2841,
  [2860] = 2168,
  [2861] = 2150,
  [2862] = 2799,
  [2863] = 2180,
  [2864] = 2179,
  [2865] = 2841,
  [2866] = 2799,
  [2867] = 1813,
  [2868] = 793,
  [2869] = 2174,
  [2870] = 2157,
  [2871] = 2710,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2799,
  [2876] = 2874,
  [2877] = 2837,
  [2878] = 2837,
  [2879] = 2187,
  [2880] = 2799,
  [2881] = 2841,
  [2882] = 2179,
  [2883] = 2838,
  [2884] = 1793,
  [2885] = 2837,
  [2886] = 1909,
  [2887] = 2093,
  [2888] = 2167,
  [2889] = 2156,
  [2890] = 2874,
  [2891] = 2837,
  [2892] = 2175,
  [2893] = 2838,
  [2894] = 2874,
  [2895] = 2182,
  [2896] = 2841,
  [2897] = 2874,
  [2898] = 2161,
  [2899] = 2841,
  [2900] = 2187,
  [2901] = 2180,
  [2902] = 2874,
  [2903] = 2182,
  [2904] = 2874,
  [2905] = 2174,
  [2906] = 2021,
  [2907] = 2907,
  [2908] = 2157,
  [2909] = 2838,
  [2910] = 1511,
  [2911] = 2150,
  [2912] = 2912,
  [2913] = 1501,
  [2914] = 2770,
  [2915] = 1809,
  [2916] = 2773,
  [2917] = 1813,
  [2918] = 2078,
  [2919] = 2166,
  [2920] = 2799,
  [2921] = 2468,
  [2922] = 2799,
  [2923] = 2923,
  [2924] = 2077,
  [2925] = 2761,
  [2926] = 1820,
  [2927] = 2159,
  [2928] = 2444,
  [2929] = 2143,
  [2930] = 2799,
  [2931] = 2809,
  [2932] = 2771,
  [2933] = 2933,
  [2934] = 2304,
  [2935] = 2089,
  [2936] = 1793,
  [2937] = 2178,
  [2938] = 2335,
  [2939] = 2762,
  [2940] = 2799,
  [2941] = 2072,
  [2942] = 2772,
  [2943] = 1511,
  [2944] = 2079,
  [2945] = 1811,
  [2946] = 2799,
  [2947] = 2799,
  [2948] = 2074,
  [2949] = 1908,
  [2950] = 2185,
  [2951] = 2810,
  [2952] = 1869,
  [2953] = 2081,
  [2954] = 2933,
  [2955] = 1827,
  [2956] = 2807,
  [2957] = 2769,
  [2958] = 2437,
  [2959] = 2133,
  [2960] = 2912,
  [2961] = 1545,
  [2962] = 1691,
  [2963] = 2839,
  [2964] = 2808,
  [2965] = 2083,
  [2966] = 2799,
  [2967] = 2967,
  [2968] = 2799,
  [2969] = 1501,
  [2970] = 1770,
  [2971] = 2971,
  [2972] = 2087,
  [2973] = 2173,
  [2974] = 2907,
  [2975] = 2073,
  [2976] = 2799,
  [2977] = 2806,
  [2978] = 2872,
  [2979] = 1738,
  [2980] = 2093,
  [2981] = 2084,
  [2982] = 2933,
  [2983] = 2764,
  [2984] = 2799,
  [2985] = 2765,
  [2986] = 2766,
  [2987] = 2086,
  [2988] = 2076,
  [2989] = 2751,
  [2990] = 2152,
  [2991] = 2080,
  [2992] = 2085,
  [2993] = 2767,
  [2994] = 2768,
  [2995] = 2082,
  [2996] = 2021,
  [2997] = 2809,
  [2998] = 2150,
  [2999] = 2270,
  [3000] = 2166,
  [3001] = 1814,
  [3002] = 1815,
  [3003] = 1818,
  [3004] = 2168,
  [3005] = 1868,
  [3006] = 3006,
  [3007] = 1799,
  [3008] = 1787,
  [3009] = 1808,
  [3010] = 1823,
  [3011] = 1691,
  [3012] = 1788,
  [3013] = 2810,
  [3014] = 2768,
  [3015] = 1832,
  [3016] = 3006,
  [3017] = 1909,
  [3018] = 2100,
  [3019] = 1794,
  [3020] = 1770,
  [3021] = 1826,
  [3022] = 1511,
  [3023] = 1796,
  [3024] = 1825,
  [3025] = 2799,
  [3026] = 2753,
  [3027] = 2770,
  [3028] = 2799,
  [3029] = 2185,
  [3030] = 1801,
  [3031] = 3006,
  [3032] = 3032,
  [3033] = 2267,
  [3034] = 1800,
  [3035] = 1828,
  [3036] = 2771,
  [3037] = 1785,
  [3038] = 3006,
  [3039] = 1783,
  [3040] = 2174,
  [3041] = 1807,
  [3042] = 1784,
  [3043] = 1816,
  [3044] = 2769,
  [3045] = 1501,
  [3046] = 2178,
  [3047] = 1798,
  [3048] = 1829,
  [3049] = 1830,
  [3050] = 1824,
  [3051] = 2772,
  [3052] = 1792,
  [3053] = 2773,
  [3054] = 1789,
  [3055] = 2282,
  [3056] = 2182,
  [3057] = 2157,
  [3058] = 2159,
  [3059] = 3006,
  [3060] = 1822,
  [3061] = 1819,
  [3062] = 2156,
  [3063] = 2751,
  [3064] = 1790,
  [3065] = 3006,
  [3066] = 3066,
  [3067] = 1802,
  [3068] = 2161,
  [3069] = 2180,
  [3070] = 1803,
  [3071] = 2277,
  [3072] = 2179,
  [3073] = 2167,
  [3074] = 1908,
  [3075] = 2280,
  [3076] = 2187,
  [3077] = 2806,
  [3078] = 2807,
  [3079] = 2175,
  [3080] = 2761,
  [3081] = 2762,
  [3082] = 1872,
  [3083] = 1738,
  [3084] = 2261,
  [3085] = 2808,
  [3086] = 2764,
  [3087] = 2765,
  [3088] = 2767,
  [3089] = 2766,
  [3090] = 2152,
  [3091] = 3091,
  [3092] = 2799,
  [3093] = 3093,
  [3094] = 2765,
  [3095] = 1828,
  [3096] = 3093,
  [3097] = 2398,
  [3098] = 3091,
  [3099] = 3099,
  [3100] = 1794,
  [3101] = 3101,
  [3102] = 1826,
  [3103] = 1869,
  [3104] = 3099,
  [3105] = 2398,
  [3106] = 3099,
  [3107] = 3107,
  [3108] = 2799,
  [3109] = 2809,
  [3110] = 3099,
  [3111] = 2261,
  [3112] = 2839,
  [3113] = 1785,
  [3114] = 2810,
  [3115] = 2329,
  [3116] = 1787,
  [3117] = 3117,
  [3118] = 1501,
  [3119] = 2770,
  [3120] = 3093,
  [3121] = 2382,
  [3122] = 2282,
  [3123] = 2149,
  [3124] = 2021,
  [3125] = 3101,
  [3126] = 2766,
  [3127] = 2806,
  [3128] = 3099,
  [3129] = 3129,
  [3130] = 1671,
  [3131] = 3107,
  [3132] = 2767,
  [3133] = 3099,
  [3134] = 3101,
  [3135] = 1511,
  [3136] = 3099,
  [3137] = 3099,
  [3138] = 3093,
  [3139] = 2807,
  [3140] = 2387,
  [3141] = 1832,
  [3142] = 3099,
  [3143] = 3101,
  [3144] = 3099,
  [3145] = 1796,
  [3146] = 2768,
  [3147] = 2387,
  [3148] = 3107,
  [3149] = 3101,
  [3150] = 1816,
  [3151] = 1820,
  [3152] = 3093,
  [3153] = 1909,
  [3154] = 2773,
  [3155] = 2907,
  [3156] = 3107,
  [3157] = 3101,
  [3158] = 1827,
  [3159] = 1802,
  [3160] = 1822,
  [3161] = 3107,
  [3162] = 1783,
  [3163] = 2267,
  [3164] = 1813,
  [3165] = 3101,
  [3166] = 3099,
  [3167] = 3107,
  [3168] = 2270,
  [3169] = 3107,
  [3170] = 1683,
  [3171] = 3101,
  [3172] = 1829,
  [3173] = 3107,
  [3174] = 3099,
  [3175] = 3101,
  [3176] = 3107,
  [3177] = 1830,
  [3178] = 2799,
  [3179] = 3093,
  [3180] = 3180,
  [3181] = 2381,
  [3182] = 2772,
  [3183] = 2762,
  [3184] = 1792,
  [3185] = 2799,
  [3186] = 3117,
  [3187] = 2335,
  [3188] = 1807,
  [3189] = 1824,
  [3190] = 3180,
  [3191] = 2304,
  [3192] = 1801,
  [3193] = 1814,
  [3194] = 1811,
  [3195] = 3099,
  [3196] = 1815,
  [3197] = 1800,
  [3198] = 2799,
  [3199] = 1803,
  [3200] = 2761,
  [3201] = 2808,
  [3202] = 3180,
  [3203] = 1818,
  [3204] = 3117,
  [3205] = 3180,
  [3206] = 2386,
  [3207] = 3117,
  [3208] = 2416,
  [3209] = 3209,
  [3210] = 3180,
  [3211] = 2387,
  [3212] = 3117,
  [3213] = 1825,
  [3214] = 3180,
  [3215] = 1908,
  [3216] = 3117,
  [3217] = 1789,
  [3218] = 3180,
  [3219] = 3099,
  [3220] = 3117,
  [3221] = 2280,
  [3222] = 3180,
  [3223] = 3117,
  [3224] = 3180,
  [3225] = 3117,
  [3226] = 3091,
  [3227] = 1799,
  [3228] = 3209,
  [3229] = 1798,
  [3230] = 2277,
  [3231] = 2311,
  [3232] = 1819,
  [3233] = 2387,
  [3234] = 2771,
  [3235] = 1784,
  [3236] = 1808,
  [3237] = 1809,
  [3238] = 2799,
  [3239] = 2100,
  [3240] = 2389,
  [3241] = 1823,
  [3242] = 3242,
  [3243] = 1788,
  [3244] = 2751,
  [3245] = 3099,
  [3246] = 3099,
  [3247] = 2769,
  [3248] = 1752,
  [3249] = 2387,
  [3250] = 2764,
  [3251] = 3091,
  [3252] = 2912,
  [3253] = 3209,
  [3254] = 3254,
  [3255] = 1793,
  [3256] = 3209,
  [3257] = 3257,
  [3258] = 3091,
  [3259] = 3209,
  [3260] = 3091,
  [3261] = 3209,
  [3262] = 2352,
  [3263] = 2332,
  [3264] = 2375,
  [3265] = 1790,
  [3266] = 2761,
  [3267] = 2208,
  [3268] = 2209,
  [3269] = 2212,
  [3270] = 2225,
  [3271] = 2213,
  [3272] = 1501,
  [3273] = 2770,
  [3274] = 2799,
  [3275] = 2447,
  [3276] = 2771,
  [3277] = 1597,
  [3278] = 1598,
  [3279] = 1608,
  [3280] = 1609,
  [3281] = 2772,
  [3282] = 1599,
  [3283] = 2907,
  [3284] = 1511,
  [3285] = 2799,
  [3286] = 2332,
  [3287] = 1610,
  [3288] = 2773,
  [3289] = 3289,
  [3290] = 2173,
  [3291] = 3291,
  [3292] = 2273,
  [3293] = 2274,
  [3294] = 2276,
  [3295] = 3295,
  [3296] = 2403,
  [3297] = 2281,
  [3298] = 2468,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 2387,
  [3302] = 2912,
  [3303] = 2526,
  [3304] = 3304,
  [3305] = 2418,
  [3306] = 2419,
  [3307] = 3307,
  [3308] = 3308,
  [3309] = 2352,
  [3310] = 2173,
  [3311] = 3311,
  [3312] = 2420,
  [3313] = 132,
  [3314] = 2149,
  [3315] = 794,
  [3316] = 3308,
  [3317] = 2421,
  [3318] = 3311,
  [3319] = 3307,
  [3320] = 3320,
  [3321] = 2387,
  [3322] = 2422,
  [3323] = 2398,
  [3324] = 3289,
  [3325] = 1738,
  [3326] = 1770,
  [3327] = 1600,
  [3328] = 793,
  [3329] = 3300,
  [3330] = 3308,
  [3331] = 3311,
  [3332] = 133,
  [3333] = 3289,
  [3334] = 1606,
  [3335] = 2311,
  [3336] = 2387,
  [3337] = 1601,
  [3338] = 3289,
  [3339] = 1595,
  [3340] = 2839,
  [3341] = 3300,
  [3342] = 1607,
  [3343] = 2325,
  [3344] = 2399,
  [3345] = 2329,
  [3346] = 3289,
  [3347] = 3300,
  [3348] = 1691,
  [3349] = 2471,
  [3350] = 3300,
  [3351] = 1602,
  [3352] = 3289,
  [3353] = 3300,
  [3354] = 1603,
  [3355] = 1786,
  [3356] = 3289,
  [3357] = 3300,
  [3358] = 1605,
  [3359] = 2357,
  [3360] = 3300,
  [3361] = 3289,
  [3362] = 3300,
  [3363] = 2375,
  [3364] = 2806,
  [3365] = 3289,
  [3366] = 2416,
  [3367] = 2381,
  [3368] = 3368,
  [3369] = 2471,
  [3370] = 2366,
  [3371] = 3371,
  [3372] = 2807,
  [3373] = 2382,
  [3374] = 3289,
  [3375] = 2799,
  [3376] = 3289,
  [3377] = 3289,
  [3378] = 3289,
  [3379] = 3289,
  [3380] = 3289,
  [3381] = 2497,
  [3382] = 2761,
  [3383] = 2257,
  [3384] = 2259,
  [3385] = 3289,
  [3386] = 2441,
  [3387] = 2762,
  [3388] = 2497,
  [3389] = 2447,
  [3390] = 2808,
  [3391] = 2386,
  [3392] = 2764,
  [3393] = 2765,
  [3394] = 2766,
  [3395] = 2767,
  [3396] = 2768,
  [3397] = 2751,
  [3398] = 2769,
  [3399] = 2809,
  [3400] = 2799,
  [3401] = 2143,
  [3402] = 2133,
  [3403] = 2810,
  [3404] = 2375,
  [3405] = 2806,
  [3406] = 2416,
  [3407] = 2381,
  [3408] = 2807,
  [3409] = 2382,
  [3410] = 2762,
  [3411] = 2808,
  [3412] = 2386,
  [3413] = 2764,
  [3414] = 2765,
  [3415] = 2766,
  [3416] = 2767,
  [3417] = 2768,
  [3418] = 2751,
  [3419] = 2769,
  [3420] = 2809,
  [3421] = 2810,
  [3422] = 2389,
  [3423] = 2770,
  [3424] = 2771,
  [3425] = 2772,
  [3426] = 2773,
  [3427] = 1604,
  [3428] = 2352,
  [3429] = 2389,
  [3430] = 2468,
  [3431] = 3304,
  [3432] = 3307,
  [3433] = 1520,
  [3434] = 3289,
  [3435] = 3289,
  [3436] = 2475,
  [3437] = 1801,
  [3438] = 2270,
  [3439] = 2427,
  [3440] = 2280,
  [3441] = 2524,
  [3442] = 1798,
  [3443] = 2509,
  [3444] = 2457,
  [3445] = 2430,
  [3446] = 2468,
  [3447] = 1908,
  [3448] = 2512,
  [3449] = 2497,
  [3450] = 2519,
  [3451] = 132,
  [3452] = 2481,
  [3453] = 2458,
  [3454] = 2518,
  [3455] = 2482,
  [3456] = 1600,
  [3457] = 1606,
  [3458] = 2357,
  [3459] = 2116,
  [3460] = 1601,
  [3461] = 2282,
  [3462] = 1814,
  [3463] = 1815,
  [3464] = 1832,
  [3465] = 2403,
  [3466] = 1818,
  [3467] = 1816,
  [3468] = 1799,
  [3469] = 1802,
  [3470] = 1595,
  [3471] = 1808,
  [3472] = 1823,
  [3473] = 2432,
  [3474] = 1803,
  [3475] = 2431,
  [3476] = 1602,
  [3477] = 1603,
  [3478] = 1864,
  [3479] = 2447,
  [3480] = 1607,
  [3481] = 2753,
  [3482] = 2345,
  [3483] = 2347,
  [3484] = 2348,
  [3485] = 2468,
  [3486] = 2349,
  [3487] = 2520,
  [3488] = 1671,
  [3489] = 2387,
  [3490] = 2399,
  [3491] = 2476,
  [3492] = 2912,
  [3493] = 2484,
  [3494] = 2521,
  [3495] = 1825,
  [3496] = 1783,
  [3497] = 2490,
  [3498] = 794,
  [3499] = 2491,
  [3500] = 2839,
  [3501] = 2492,
  [3502] = 2493,
  [3503] = 2350,
  [3504] = 2346,
  [3505] = 793,
  [3506] = 2100,
  [3507] = 2325,
  [3508] = 2907,
  [3509] = 2464,
  [3510] = 1608,
  [3511] = 1609,
  [3512] = 1824,
  [3513] = 1868,
  [3514] = 1597,
  [3515] = 1598,
  [3516] = 2498,
  [3517] = 2499,
  [3518] = 2526,
  [3519] = 1865,
  [3520] = 2418,
  [3521] = 1800,
  [3522] = 2420,
  [3523] = 2523,
  [3524] = 2441,
  [3525] = 1909,
  [3526] = 2021,
  [3527] = 2421,
  [3528] = 2503,
  [3529] = 2504,
  [3530] = 2443,
  [3531] = 2422,
  [3532] = 1599,
  [3533] = 2505,
  [3534] = 2342,
  [3535] = 2507,
  [3536] = 1604,
  [3537] = 1605,
  [3538] = 2225,
  [3539] = 2508,
  [3540] = 2257,
  [3541] = 2366,
  [3542] = 2259,
  [3543] = 2469,
  [3544] = 2470,
  [3545] = 1610,
  [3546] = 1786,
  [3547] = 133,
  [3548] = 2277,
  [3549] = 2273,
  [3550] = 2274,
  [3551] = 2276,
  [3552] = 1828,
  [3553] = 2167,
  [3554] = 2168,
  [3555] = 1539,
  [3556] = 2179,
  [3557] = 2187,
  [3558] = 1785,
  [3559] = 2174,
  [3560] = 2157,
  [3561] = 2182,
  [3562] = 2445,
  [3563] = 2156,
  [3564] = 2161,
  [3565] = 2180,
  [3566] = 2451,
  [3567] = 2175,
  [3568] = 2150,
  [3569] = 2120,
  [3570] = 2453,
  [3571] = 2446,
  [3572] = 2454,
  [3573] = 1807,
  [3574] = 1784,
  [3575] = 2281,
  [3576] = 1829,
  [3577] = 1830,
  [3578] = 1792,
  [3579] = 1789,
  [3580] = 1822,
  [3581] = 1683,
  [3582] = 2387,
  [3583] = 2477,
  [3584] = 2387,
  [3585] = 1787,
  [3586] = 1788,
  [3587] = 2478,
  [3588] = 1542,
  [3589] = 2173,
  [3590] = 1794,
  [3591] = 2084,
  [3592] = 1826,
  [3593] = 2086,
  [3594] = 2080,
  [3595] = 2085,
  [3596] = 1546,
  [3597] = 2398,
  [3598] = 2471,
  [3599] = 2450,
  [3600] = 1796,
  [3601] = 2076,
  [3602] = 2077,
  [3603] = 2078,
  [3604] = 2455,
  [3605] = 2079,
  [3606] = 2081,
  [3607] = 2479,
  [3608] = 2089,
  [3609] = 2082,
  [3610] = 2083,
  [3611] = 1790,
  [3612] = 1872,
  [3613] = 2480,
  [3614] = 1752,
  [3615] = 2208,
  [3616] = 2209,
  [3617] = 1819,
  [3618] = 2212,
  [3619] = 2213,
  [3620] = 2419,
  [3621] = 2416,
  [3622] = 2418,
  [3623] = 2419,
  [3624] = 2420,
  [3625] = 2304,
  [3626] = 2421,
  [3627] = 2422,
  [3628] = 2375,
  [3629] = 2773,
  [3630] = 2447,
  [3631] = 1609,
  [3632] = 2454,
  [3633] = 1597,
  [3634] = 1598,
  [3635] = 1599,
  [3636] = 2808,
  [3637] = 2346,
  [3638] = 1503,
  [3639] = 3308,
  [3640] = 1504,
  [3641] = 2386,
  [3642] = 1505,
  [3643] = 1506,
  [3644] = 2116,
  [3645] = 2427,
  [3646] = 2481,
  [3647] = 2389,
  [3648] = 2967,
  [3649] = 2430,
  [3650] = 2971,
  [3651] = 2475,
  [3652] = 2120,
  [3653] = 2764,
  [3654] = 2761,
  [3655] = 2432,
  [3656] = 2464,
  [3657] = 2807,
  [3658] = 1602,
  [3659] = 1603,
  [3660] = 1672,
  [3661] = 2806,
  [3662] = 2468,
  [3663] = 1507,
  [3664] = 2771,
  [3665] = 1864,
  [3666] = 2509,
  [3667] = 2772,
  [3668] = 1865,
  [3669] = 1606,
  [3670] = 3670,
  [3671] = 2342,
  [3672] = 2450,
  [3673] = 3673,
  [3674] = 2469,
  [3675] = 2470,
  [3676] = 2382,
  [3677] = 2455,
  [3678] = 2765,
  [3679] = 2332,
  [3680] = 2479,
  [3681] = 3311,
  [3682] = 133,
  [3683] = 2480,
  [3684] = 2482,
  [3685] = 2345,
  [3686] = 1511,
  [3687] = 2347,
  [3688] = 2348,
  [3689] = 2476,
  [3690] = 1604,
  [3691] = 1605,
  [3692] = 2766,
  [3693] = 2350,
  [3694] = 2767,
  [3695] = 1868,
  [3696] = 1872,
  [3697] = 2503,
  [3698] = 2477,
  [3699] = 2507,
  [3700] = 3700,
  [3701] = 2484,
  [3702] = 2478,
  [3703] = 2457,
  [3704] = 2458,
  [3705] = 2453,
  [3706] = 2762,
  [3707] = 2387,
  [3708] = 1600,
  [3709] = 1601,
  [3710] = 2490,
  [3711] = 2381,
  [3712] = 1511,
  [3713] = 2768,
  [3714] = 2518,
  [3715] = 1511,
  [3716] = 2441,
  [3717] = 2491,
  [3718] = 2521,
  [3719] = 1786,
  [3720] = 2751,
  [3721] = 2451,
  [3722] = 2332,
  [3723] = 3723,
  [3724] = 2769,
  [3725] = 2809,
  [3726] = 1509,
  [3727] = 2810,
  [3728] = 2431,
  [3729] = 1502,
  [3730] = 2471,
  [3731] = 2492,
  [3732] = 1610,
  [3733] = 2335,
  [3734] = 1509,
  [3735] = 2493,
  [3736] = 2770,
  [3737] = 2498,
  [3738] = 2468,
  [3739] = 1607,
  [3740] = 2499,
  [3741] = 2519,
  [3742] = 2523,
  [3743] = 2445,
  [3744] = 2520,
  [3745] = 1502,
  [3746] = 1503,
  [3747] = 1504,
  [3748] = 2349,
  [3749] = 2524,
  [3750] = 1505,
  [3751] = 2443,
  [3752] = 1506,
  [3753] = 1694,
  [3754] = 1507,
  [3755] = 2512,
  [3756] = 2468,
  [3757] = 1772,
  [3758] = 2504,
  [3759] = 2497,
  [3760] = 2505,
  [3761] = 1595,
  [3762] = 1608,
  [3763] = 2446,
  [3764] = 1689,
  [3765] = 2526,
  [3766] = 2508,
  [3767] = 132,
  [3768] = 2468,
  [3769] = 1909,
  [3770] = 2021,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 2912,
  [3774] = 1868,
  [3775] = 1872,
  [3776] = 3776,
  [3777] = 3772,
  [3778] = 3772,
  [3779] = 3772,
  [3780] = 3780,
  [3781] = 3780,
  [3782] = 2427,
  [3783] = 3783,
  [3784] = 3780,
  [3785] = 3783,
  [3786] = 2416,
  [3787] = 2923,
  [3788] = 3783,
  [3789] = 2403,
  [3790] = 1545,
  [3791] = 3771,
  [3792] = 2490,
  [3793] = 2403,
  [3794] = 3771,
  [3795] = 3771,
  [3796] = 3772,
  [3797] = 1547,
  [3798] = 3780,
  [3799] = 3783,
  [3800] = 3771,
  [3801] = 3780,
  [3802] = 3308,
  [3803] = 3311,
  [3804] = 3783,
  [3805] = 2389,
  [3806] = 2381,
  [3807] = 2839,
  [3808] = 3311,
  [3809] = 3780,
  [3810] = 3308,
  [3811] = 1501,
  [3812] = 3783,
  [3813] = 2753,
  [3814] = 2100,
  [3815] = 1791,
  [3816] = 3780,
  [3817] = 2451,
  [3818] = 1864,
  [3819] = 1865,
  [3820] = 3783,
  [3821] = 2386,
  [3822] = 2477,
  [3823] = 2093,
  [3824] = 2375,
  [3825] = 3772,
  [3826] = 3772,
  [3827] = 2907,
  [3828] = 2382,
  [3829] = 3771,
  [3830] = 3771,
  [3831] = 1542,
  [3832] = 1607,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3834,
  [3836] = 2484,
  [3837] = 2520,
  [3838] = 2490,
  [3839] = 2491,
  [3840] = 2492,
  [3841] = 2493,
  [3842] = 3833,
  [3843] = 2498,
  [3844] = 2499,
  [3845] = 3833,
  [3846] = 2503,
  [3847] = 2504,
  [3848] = 2505,
  [3849] = 2507,
  [3850] = 2508,
  [3851] = 1609,
  [3852] = 3834,
  [3853] = 2143,
  [3854] = 2450,
  [3855] = 2445,
  [3856] = 3833,
  [3857] = 1610,
  [3858] = 2455,
  [3859] = 1872,
  [3860] = 3834,
  [3861] = 2491,
  [3862] = 3834,
  [3863] = 2492,
  [3864] = 2493,
  [3865] = 2446,
  [3866] = 2133,
  [3867] = 2427,
  [3868] = 2475,
  [3869] = 2519,
  [3870] = 2520,
  [3871] = 2453,
  [3872] = 2524,
  [3873] = 1600,
  [3874] = 3874,
  [3875] = 2445,
  [3876] = 2432,
  [3877] = 2498,
  [3878] = 2499,
  [3879] = 1595,
  [3880] = 2116,
  [3881] = 3834,
  [3882] = 2477,
  [3883] = 1601,
  [3884] = 2478,
  [3885] = 2479,
  [3886] = 2480,
  [3887] = 2120,
  [3888] = 2482,
  [3889] = 2335,
  [3890] = 2304,
  [3891] = 1546,
  [3892] = 1602,
  [3893] = 1603,
  [3894] = 2454,
  [3895] = 2335,
  [3896] = 2519,
  [3897] = 2469,
  [3898] = 2430,
  [3899] = 3833,
  [3900] = 2470,
  [3901] = 3874,
  [3902] = 3874,
  [3903] = 2450,
  [3904] = 2451,
  [3905] = 1608,
  [3906] = 1597,
  [3907] = 2149,
  [3908] = 3874,
  [3909] = 1598,
  [3910] = 1599,
  [3911] = 2524,
  [3912] = 2453,
  [3913] = 3874,
  [3914] = 2454,
  [3915] = 1604,
  [3916] = 3874,
  [3917] = 2503,
  [3918] = 2481,
  [3919] = 2504,
  [3920] = 3874,
  [3921] = 2457,
  [3922] = 2505,
  [3923] = 3834,
  [3924] = 2432,
  [3925] = 1605,
  [3926] = 2507,
  [3927] = 2508,
  [3928] = 1869,
  [3929] = 2458,
  [3930] = 2482,
  [3931] = 2430,
  [3932] = 1511,
  [3933] = 2455,
  [3934] = 3311,
  [3935] = 132,
  [3936] = 3833,
  [3937] = 2072,
  [3938] = 2469,
  [3939] = 2457,
  [3940] = 2458,
  [3941] = 3308,
  [3942] = 2304,
  [3943] = 133,
  [3944] = 1868,
  [3945] = 3833,
  [3946] = 2087,
  [3947] = 1606,
  [3948] = 2446,
  [3949] = 2073,
  [3950] = 2470,
  [3951] = 1864,
  [3952] = 1865,
  [3953] = 2478,
  [3954] = 2074,
  [3955] = 2479,
  [3956] = 2480,
  [3957] = 2484,
  [3958] = 2464,
  [3959] = 349,
  [3960] = 285,
  [3961] = 3961,
  [3962] = 2087,
  [3963] = 1864,
  [3964] = 3311,
  [3965] = 3965,
  [3966] = 2179,
  [3967] = 2167,
  [3968] = 3965,
  [3969] = 3311,
  [3970] = 2182,
  [3971] = 1868,
  [3972] = 341,
  [3973] = 2187,
  [3974] = 2168,
  [3975] = 3975,
  [3976] = 3975,
  [3977] = 277,
  [3978] = 3978,
  [3979] = 2073,
  [3980] = 3308,
  [3981] = 2156,
  [3982] = 1865,
  [3983] = 2161,
  [3984] = 2180,
  [3985] = 1510,
  [3986] = 1561,
  [3987] = 2074,
  [3988] = 3308,
  [3989] = 3978,
  [3990] = 3975,
  [3991] = 3965,
  [3992] = 2174,
  [3993] = 2157,
  [3994] = 1539,
  [3995] = 269,
  [3996] = 3308,
  [3997] = 1872,
  [3998] = 3311,
  [3999] = 3311,
  [4000] = 2175,
  [4001] = 2150,
  [4002] = 3308,
  [4003] = 2072,
  [4004] = 299,
  [4005] = 2173,
  [4006] = 2280,
  [4007] = 3311,
  [4008] = 1820,
  [4009] = 3308,
  [4010] = 3371,
  [4011] = 2322,
  [4012] = 1809,
  [4013] = 2330,
  [4014] = 1546,
  [4015] = 2173,
  [4016] = 3311,
  [4017] = 1909,
  [4018] = 2270,
  [4019] = 1542,
  [4020] = 1827,
  [4021] = 1501,
  [4022] = 2021,
  [4023] = 2277,
  [4024] = 1813,
  [4025] = 2149,
  [4026] = 1520,
  [4027] = 1811,
  [4028] = 2173,
  [4029] = 3291,
  [4030] = 2021,
  [4031] = 1909,
  [4032] = 2282,
  [4033] = 1793,
  [4034] = 3308,
  [4035] = 2304,
  [4036] = 1691,
  [4037] = 1546,
  [4038] = 2335,
  [4039] = 3965,
  [4040] = 3975,
  [4041] = 1738,
  [4042] = 4042,
  [4043] = 1542,
  [4044] = 3961,
  [4045] = 2335,
  [4046] = 2304,
  [4047] = 3308,
  [4048] = 3311,
  [4049] = 1770,
  [4050] = 4050,
  [4051] = 4051,
  [4052] = 1787,
  [4053] = 1788,
  [4054] = 4054,
  [4055] = 4055,
  [4056] = 1539,
  [4057] = 1794,
  [4058] = 4058,
  [4059] = 1826,
  [4060] = 1796,
  [4061] = 1801,
  [4062] = 3975,
  [4063] = 1520,
  [4064] = 1800,
  [4065] = 4051,
  [4066] = 4050,
  [4067] = 1822,
  [4068] = 1790,
  [4069] = 4069,
  [4070] = 3308,
  [4071] = 3311,
  [4072] = 4055,
  [4073] = 3975,
  [4074] = 1828,
  [4075] = 4058,
  [4076] = 1501,
  [4077] = 1785,
  [4078] = 3965,
  [4079] = 1561,
  [4080] = 4051,
  [4081] = 4081,
  [4082] = 4054,
  [4083] = 2072,
  [4084] = 3308,
  [4085] = 2073,
  [4086] = 4058,
  [4087] = 1784,
  [4088] = 2074,
  [4089] = 1829,
  [4090] = 1830,
  [4091] = 1792,
  [4092] = 1789,
  [4093] = 1819,
  [4094] = 4094,
  [4095] = 4081,
  [4096] = 1832,
  [4097] = 1816,
  [4098] = 4081,
  [4099] = 1802,
  [4100] = 1803,
  [4101] = 1814,
  [4102] = 1815,
  [4103] = 1818,
  [4104] = 3965,
  [4105] = 1799,
  [4106] = 4069,
  [4107] = 1808,
  [4108] = 1823,
  [4109] = 1824,
  [4110] = 4094,
  [4111] = 1825,
  [4112] = 1783,
  [4113] = 4055,
  [4114] = 2087,
  [4115] = 3311,
  [4116] = 1807,
  [4117] = 2765,
  [4118] = 3975,
  [4119] = 2084,
  [4120] = 2444,
  [4121] = 2481,
  [4122] = 2089,
  [4123] = 3311,
  [4124] = 2270,
  [4125] = 2082,
  [4126] = 2083,
  [4127] = 2086,
  [4128] = 4128,
  [4129] = 2428,
  [4130] = 2173,
  [4131] = 2074,
  [4132] = 3308,
  [4133] = 2761,
  [4134] = 3965,
  [4135] = 2762,
  [4136] = 2808,
  [4137] = 2764,
  [4138] = 2080,
  [4139] = 2766,
  [4140] = 2085,
  [4141] = 2767,
  [4142] = 2768,
  [4143] = 3311,
  [4144] = 2751,
  [4145] = 2081,
  [4146] = 4146,
  [4147] = 2500,
  [4148] = 2809,
  [4149] = 2810,
  [4150] = 2770,
  [4151] = 2771,
  [4152] = 2073,
  [4153] = 2772,
  [4154] = 2773,
  [4155] = 2149,
  [4156] = 4156,
  [4157] = 2335,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 2304,
  [4161] = 2280,
  [4162] = 2806,
  [4163] = 4163,
  [4164] = 2807,
  [4165] = 4165,
  [4166] = 2072,
  [4167] = 3308,
  [4168] = 2464,
  [4169] = 2093,
  [4170] = 2277,
  [4171] = 2282,
  [4172] = 1547,
  [4173] = 1545,
  [4174] = 2076,
  [4175] = 2077,
  [4176] = 2078,
  [4177] = 2079,
  [4178] = 2475,
  [4179] = 2087,
  [4180] = 2769,
  [4181] = 4051,
  [4182] = 2357,
  [4183] = 2839,
  [4184] = 3965,
  [4185] = 2912,
  [4186] = 2120,
  [4187] = 4058,
  [4188] = 2021,
  [4189] = 3975,
  [4190] = 4190,
  [4191] = 4081,
  [4192] = 2907,
  [4193] = 2366,
  [4194] = 3975,
  [4195] = 4195,
  [4196] = 3965,
  [4197] = 4195,
  [4198] = 3965,
  [4199] = 2399,
  [4200] = 1561,
  [4201] = 2116,
  [4202] = 1869,
  [4203] = 3975,
  [4204] = 3965,
  [4205] = 4055,
  [4206] = 3975,
  [4207] = 4195,
  [4208] = 1786,
  [4209] = 1909,
  [4210] = 1511,
  [4211] = 4211,
  [4212] = 2335,
  [4213] = 1869,
  [4214] = 4214,
  [4215] = 132,
  [4216] = 4081,
  [4217] = 4055,
  [4218] = 1798,
  [4219] = 4051,
  [4220] = 4214,
  [4221] = 1561,
  [4222] = 4058,
  [4223] = 1602,
  [4224] = 1603,
  [4225] = 4211,
  [4226] = 1601,
  [4227] = 3965,
  [4228] = 4214,
  [4229] = 4081,
  [4230] = 1604,
  [4231] = 4051,
  [4232] = 1608,
  [4233] = 4233,
  [4234] = 1547,
  [4235] = 4211,
  [4236] = 1605,
  [4237] = 4233,
  [4238] = 2120,
  [4239] = 1545,
  [4240] = 4214,
  [4241] = 4211,
  [4242] = 1610,
  [4243] = 4211,
  [4244] = 4233,
  [4245] = 3975,
  [4246] = 3975,
  [4247] = 133,
  [4248] = 2304,
  [4249] = 4055,
  [4250] = 4165,
  [4251] = 4214,
  [4252] = 3308,
  [4253] = 1595,
  [4254] = 1606,
  [4255] = 1600,
  [4256] = 2907,
  [4257] = 2149,
  [4258] = 4211,
  [4259] = 4233,
  [4260] = 4233,
  [4261] = 4146,
  [4262] = 4233,
  [4263] = 1597,
  [4264] = 1598,
  [4265] = 1599,
  [4266] = 2116,
  [4267] = 2173,
  [4268] = 4214,
  [4269] = 1607,
  [4270] = 4211,
  [4271] = 3965,
  [4272] = 1609,
  [4273] = 4146,
  [4274] = 4058,
  [4275] = 4158,
  [4276] = 2912,
  [4277] = 3311,
  [4278] = 4214,
  [4279] = 2839,
  [4280] = 4233,
  [4281] = 1672,
  [4282] = 1509,
  [4283] = 2082,
  [4284] = 2773,
  [4285] = 2021,
  [4286] = 4058,
  [4287] = 2762,
  [4288] = 2083,
  [4289] = 4051,
  [4290] = 2149,
  [4291] = 2770,
  [4292] = 4292,
  [4293] = 2080,
  [4294] = 2079,
  [4295] = 2143,
  [4296] = 2771,
  [4297] = 2761,
  [4298] = 2081,
  [4299] = 1505,
  [4300] = 2085,
  [4301] = 1506,
  [4302] = 2773,
  [4303] = 2810,
  [4304] = 1869,
  [4305] = 1507,
  [4306] = 2084,
  [4307] = 2772,
  [4308] = 4190,
  [4309] = 1577,
  [4310] = 1502,
  [4311] = 2808,
  [4312] = 2764,
  [4313] = 2765,
  [4314] = 2766,
  [4315] = 2806,
  [4316] = 2767,
  [4317] = 3965,
  [4318] = 2770,
  [4319] = 3975,
  [4320] = 2768,
  [4321] = 2078,
  [4322] = 2769,
  [4323] = 2809,
  [4324] = 2089,
  [4325] = 4055,
  [4326] = 2810,
  [4327] = 2076,
  [4328] = 2762,
  [4329] = 2771,
  [4330] = 2077,
  [4331] = 4331,
  [4332] = 2761,
  [4333] = 2808,
  [4334] = 2764,
  [4335] = 2133,
  [4336] = 2093,
  [4337] = 1694,
  [4338] = 1772,
  [4339] = 1503,
  [4340] = 4340,
  [4341] = 1689,
  [4342] = 1909,
  [4343] = 2765,
  [4344] = 2807,
  [4345] = 2766,
  [4346] = 2767,
  [4347] = 2768,
  [4348] = 2751,
  [4349] = 2769,
  [4350] = 2809,
  [4351] = 1504,
  [4352] = 2806,
  [4353] = 2772,
  [4354] = 4081,
  [4355] = 2807,
  [4356] = 2086,
  [4357] = 2751,
  [4358] = 2280,
  [4359] = 2907,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 2157,
  [4363] = 4363,
  [4364] = 3975,
  [4365] = 4365,
  [4366] = 4363,
  [4367] = 2282,
  [4368] = 4051,
  [4369] = 4363,
  [4370] = 2156,
  [4371] = 4363,
  [4372] = 4372,
  [4373] = 4363,
  [4374] = 4363,
  [4375] = 4055,
  [4376] = 2270,
  [4377] = 4360,
  [4378] = 4363,
  [4379] = 2173,
  [4380] = 4363,
  [4381] = 4363,
  [4382] = 4058,
  [4383] = 4081,
  [4384] = 4365,
  [4385] = 2167,
  [4386] = 4363,
  [4387] = 2021,
  [4388] = 4365,
  [4389] = 2168,
  [4390] = 4361,
  [4391] = 4363,
  [4392] = 2021,
  [4393] = 1542,
  [4394] = 2839,
  [4395] = 4363,
  [4396] = 4360,
  [4397] = 2912,
  [4398] = 4365,
  [4399] = 4051,
  [4400] = 4055,
  [4401] = 4058,
  [4402] = 1691,
  [4403] = 4051,
  [4404] = 4360,
  [4405] = 4365,
  [4406] = 2174,
  [4407] = 4360,
  [4408] = 4408,
  [4409] = 4363,
  [4410] = 1786,
  [4411] = 4361,
  [4412] = 2150,
  [4413] = 4361,
  [4414] = 2335,
  [4415] = 4361,
  [4416] = 2161,
  [4417] = 4055,
  [4418] = 4360,
  [4419] = 2175,
  [4420] = 4363,
  [4421] = 3965,
  [4422] = 2304,
  [4423] = 2179,
  [4424] = 4081,
  [4425] = 4363,
  [4426] = 4426,
  [4427] = 2187,
  [4428] = 4365,
  [4429] = 4372,
  [4430] = 4058,
  [4431] = 4361,
  [4432] = 4363,
  [4433] = 1909,
  [4434] = 1909,
  [4435] = 4372,
  [4436] = 4055,
  [4437] = 4051,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 2277,
  [4441] = 4058,
  [4442] = 4442,
  [4443] = 1546,
  [4444] = 4081,
  [4445] = 4365,
  [4446] = 4081,
  [4447] = 2182,
  [4448] = 4448,
  [4449] = 4363,
  [4450] = 1791,
  [4451] = 2180,
  [4452] = 2767,
  [4453] = 1823,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 2149,
  [4457] = 1800,
  [4458] = 4458,
  [4459] = 1830,
  [4460] = 4458,
  [4461] = 4055,
  [4462] = 2810,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 3975,
  [4466] = 3965,
  [4467] = 4467,
  [4468] = 4156,
  [4469] = 2765,
  [4470] = 1815,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4081,
  [4474] = 1829,
  [4475] = 4475,
  [4476] = 3965,
  [4477] = 4477,
  [4478] = 4058,
  [4479] = 2761,
  [4480] = 4480,
  [4481] = 4051,
  [4482] = 4482,
  [4483] = 2762,
  [4484] = 2762,
  [4485] = 1784,
  [4486] = 4486,
  [4487] = 2389,
  [4488] = 4455,
  [4489] = 4055,
  [4490] = 4458,
  [4491] = 4455,
  [4492] = 4058,
  [4493] = 4454,
  [4494] = 1811,
  [4495] = 1827,
  [4496] = 4051,
  [4497] = 2771,
  [4498] = 2375,
  [4499] = 4463,
  [4500] = 2808,
  [4501] = 4467,
  [4502] = 1825,
  [4503] = 2764,
  [4504] = 2761,
  [4505] = 2762,
  [4506] = 2808,
  [4507] = 2764,
  [4508] = 2765,
  [4509] = 2766,
  [4510] = 4455,
  [4511] = 2768,
  [4512] = 2751,
  [4513] = 2769,
  [4514] = 2809,
  [4515] = 2810,
  [4516] = 4516,
  [4517] = 2770,
  [4518] = 2771,
  [4519] = 2772,
  [4520] = 2773,
  [4521] = 4521,
  [4522] = 2765,
  [4523] = 2806,
  [4524] = 2766,
  [4525] = 2806,
  [4526] = 2416,
  [4527] = 2807,
  [4528] = 2381,
  [4529] = 2767,
  [4530] = 4530,
  [4531] = 2768,
  [4532] = 3304,
  [4533] = 2751,
  [4534] = 2769,
  [4535] = 2809,
  [4536] = 4458,
  [4537] = 4463,
  [4538] = 2810,
  [4539] = 4463,
  [4540] = 1807,
  [4541] = 4541,
  [4542] = 4463,
  [4543] = 4543,
  [4544] = 2332,
  [4545] = 1813,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 2335,
  [4549] = 4458,
  [4550] = 4448,
  [4551] = 4455,
  [4552] = 4463,
  [4553] = 2375,
  [4554] = 4455,
  [4555] = 2416,
  [4556] = 1818,
  [4557] = 2381,
  [4558] = 2808,
  [4559] = 2382,
  [4560] = 2304,
  [4561] = 4561,
  [4562] = 1809,
  [4563] = 4467,
  [4564] = 2382,
  [4565] = 2770,
  [4566] = 1814,
  [4567] = 2771,
  [4568] = 1819,
  [4569] = 4569,
  [4570] = 1801,
  [4571] = 2806,
  [4572] = 4146,
  [4573] = 1787,
  [4574] = 4458,
  [4575] = 1788,
  [4576] = 3975,
  [4577] = 2772,
  [4578] = 1824,
  [4579] = 4458,
  [4580] = 2773,
  [4581] = 2386,
  [4582] = 2751,
  [4583] = 2768,
  [4584] = 2766,
  [4585] = 2773,
  [4586] = 4463,
  [4587] = 4587,
  [4588] = 4467,
  [4589] = 4589,
  [4590] = 1793,
  [4591] = 1832,
  [4592] = 2807,
  [4593] = 2764,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 1816,
  [4598] = 1794,
  [4599] = 1799,
  [4600] = 4081,
  [4601] = 4601,
  [4602] = 2770,
  [4603] = 1783,
  [4604] = 4463,
  [4605] = 1822,
  [4606] = 1826,
  [4607] = 1789,
  [4608] = 1511,
  [4609] = 4609,
  [4610] = 1802,
  [4611] = 1803,
  [4612] = 4463,
  [4613] = 2769,
  [4614] = 2386,
  [4615] = 1790,
  [4616] = 1796,
  [4617] = 4463,
  [4618] = 2389,
  [4619] = 4471,
  [4620] = 4463,
  [4621] = 4467,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 2772,
  [4625] = 2761,
  [4626] = 4589,
  [4627] = 1808,
  [4628] = 4463,
  [4629] = 2809,
  [4630] = 1820,
  [4631] = 1828,
  [4632] = 2767,
  [4633] = 1792,
  [4634] = 1785,
  [4635] = 4463,
  [4636] = 2807,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4643,
  [4654] = 4644,
  [4655] = 4641,
  [4656] = 4638,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4639,
  [4661] = 4640,
  [4662] = 4647,
  [4663] = 4648,
  [4664] = 4649,
  [4665] = 4651,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4657,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 2912,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4650,
  [4675] = 4666,
  [4676] = 2839,
  [4677] = 4652,
  [4678] = 4643,
  [4679] = 4644,
  [4680] = 4641,
  [4681] = 4667,
  [4682] = 4657,
  [4683] = 4683,
  [4684] = 4658,
  [4685] = 4639,
  [4686] = 4640,
  [4687] = 4649,
  [4688] = 4651,
  [4689] = 4667,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4650,
  [4693] = 4693,
  [4694] = 4652,
  [4695] = 4643,
  [4696] = 4644,
  [4697] = 4641,
  [4698] = 4657,
  [4699] = 4658,
  [4700] = 4639,
  [4701] = 4640,
  [4702] = 4649,
  [4703] = 4651,
  [4704] = 4667,
  [4705] = 4650,
  [4706] = 4658,
  [4707] = 4652,
  [4708] = 4643,
  [4709] = 4644,
  [4710] = 4641,
  [4711] = 4711,
  [4712] = 4657,
  [4713] = 4658,
  [4714] = 4659,
  [4715] = 4639,
  [4716] = 4640,
  [4717] = 4649,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4641,
  [4722] = 4657,
  [4723] = 4658,
  [4724] = 4639,
  [4725] = 4640,
  [4726] = 4649,
  [4727] = 4727,
  [4728] = 4641,
  [4729] = 4657,
  [4730] = 4658,
  [4731] = 4639,
  [4732] = 4649,
  [4733] = 4641,
  [4734] = 4657,
  [4735] = 2907,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4641,
  [4739] = 4657,
  [4740] = 4641,
  [4741] = 4641,
  [4742] = 4641,
  [4743] = 4743,
  [4744] = 4637,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4650,
  [4748] = 4646,
  [4749] = 4637,
  [4750] = 4637,
  [4751] = 4637,
  [4752] = 4637,
  [4753] = 4637,
  [4754] = 4081,
  [4755] = 4055,
  [4756] = 4058,
  [4757] = 4051,
  [4758] = 4758,
  [4759] = 4652,
  [4760] = 2143,
  [4761] = 2133,
  [4762] = 4638,
  [4763] = 4638,
  [4764] = 4638,
  [4765] = 4638,
  [4766] = 2403,
  [4767] = 4767,
  [4768] = 2173,
  [4769] = 4769,
  [4770] = 2498,
  [4771] = 4771,
  [4772] = 2505,
  [4773] = 4081,
  [4774] = 4055,
  [4775] = 4058,
  [4776] = 4051,
  [4777] = 4777,
  [4778] = 2481,
  [4779] = 1546,
  [4780] = 2507,
  [4781] = 2508,
  [4782] = 2475,
  [4783] = 2493,
  [4784] = 4784,
  [4785] = 2491,
  [4786] = 4646,
  [4787] = 2450,
  [4788] = 2455,
  [4789] = 4055,
  [4790] = 4790,
  [4791] = 2499,
  [4792] = 2464,
  [4793] = 4646,
  [4794] = 4794,
  [4795] = 2120,
  [4796] = 2519,
  [4797] = 2520,
  [4798] = 2524,
  [4799] = 2335,
  [4800] = 4769,
  [4801] = 3975,
  [4802] = 4051,
  [4803] = 2427,
  [4804] = 2430,
  [4805] = 2432,
  [4806] = 4769,
  [4807] = 3965,
  [4808] = 1770,
  [4809] = 4769,
  [4810] = 2445,
  [4811] = 4769,
  [4812] = 2446,
  [4813] = 2503,
  [4814] = 4769,
  [4815] = 2304,
  [4816] = 4769,
  [4817] = 4646,
  [4818] = 4767,
  [4819] = 2453,
  [4820] = 2454,
  [4821] = 2457,
  [4822] = 2458,
  [4823] = 2116,
  [4824] = 1738,
  [4825] = 4646,
  [4826] = 2143,
  [4827] = 4827,
  [4828] = 2133,
  [4829] = 4829,
  [4830] = 2504,
  [4831] = 2167,
  [4832] = 2335,
  [4833] = 2168,
  [4834] = 2469,
  [4835] = 2470,
  [4836] = 1691,
  [4837] = 2179,
  [4838] = 2304,
  [4839] = 2187,
  [4840] = 4790,
  [4841] = 2174,
  [4842] = 2157,
  [4843] = 2477,
  [4844] = 2478,
  [4845] = 2479,
  [4846] = 2480,
  [4847] = 2182,
  [4848] = 2156,
  [4849] = 2161,
  [4850] = 2180,
  [4851] = 2175,
  [4852] = 2150,
  [4853] = 2482,
  [4854] = 2492,
  [4855] = 2484,
  [4856] = 4646,
  [4857] = 4794,
  [4858] = 1542,
  [4859] = 4646,
  [4860] = 2490,
  [4861] = 2451,
  [4862] = 4058,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 2080,
  [4866] = 4051,
  [4867] = 4864,
  [4868] = 4864,
  [4869] = 4058,
  [4870] = 2085,
  [4871] = 1561,
  [4872] = 4863,
  [4873] = 4646,
  [4874] = 4864,
  [4875] = 4081,
  [4876] = 4055,
  [4877] = 2076,
  [4878] = 2173,
  [4879] = 4863,
  [4880] = 4864,
  [4881] = 4646,
  [4882] = 4882,
  [4883] = 4646,
  [4884] = 4863,
  [4885] = 4646,
  [4886] = 1822,
  [4887] = 1790,
  [4888] = 2077,
  [4889] = 2082,
  [4890] = 2086,
  [4891] = 1832,
  [4892] = 1816,
  [4893] = 1802,
  [4894] = 1803,
  [4895] = 4864,
  [4896] = 2083,
  [4897] = 2078,
  [4898] = 1824,
  [4899] = 4899,
  [4900] = 1809,
  [4901] = 4863,
  [4902] = 2079,
  [4903] = 1787,
  [4904] = 1788,
  [4905] = 2089,
  [4906] = 2084,
  [4907] = 1793,
  [4908] = 1794,
  [4909] = 1826,
  [4910] = 1796,
  [4911] = 4864,
  [4912] = 1801,
  [4913] = 1800,
  [4914] = 4646,
  [4915] = 4646,
  [4916] = 1798,
  [4917] = 4646,
  [4918] = 1820,
  [4919] = 1828,
  [4920] = 1785,
  [4921] = 4921,
  [4922] = 1827,
  [4923] = 1807,
  [4924] = 1784,
  [4925] = 4055,
  [4926] = 1811,
  [4927] = 1829,
  [4928] = 1830,
  [4929] = 4051,
  [4930] = 1792,
  [4931] = 4863,
  [4932] = 1789,
  [4933] = 1819,
  [4934] = 1813,
  [4935] = 1814,
  [4936] = 1815,
  [4937] = 4937,
  [4938] = 1818,
  [4939] = 1799,
  [4940] = 4081,
  [4941] = 1808,
  [4942] = 1823,
  [4943] = 1825,
  [4944] = 1783,
  [4945] = 4863,
  [4946] = 4646,
  [4947] = 4863,
  [4948] = 4864,
  [4949] = 4646,
  [4950] = 4646,
  [4951] = 4863,
  [4952] = 4864,
  [4953] = 1908,
  [4954] = 2081,
  [4955] = 4646,
  [4956] = 2167,
  [4957] = 2168,
  [4958] = 2182,
  [4959] = 4959,
  [4960] = 2156,
  [4961] = 2335,
  [4962] = 2437,
  [4963] = 2304,
  [4964] = 2161,
  [4965] = 2180,
  [4966] = 4966,
  [4967] = 2179,
  [4968] = 2175,
  [4969] = 4959,
  [4970] = 2150,
  [4971] = 2187,
  [4972] = 4966,
  [4973] = 2174,
  [4974] = 4646,
  [4975] = 2157,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4977,
  [4979] = 4977,
  [4980] = 4980,
  [4981] = 4976,
  [4982] = 4977,
  [4983] = 4977,
  [4984] = 4980,
  [4985] = 4980,
  [4986] = 4976,
  [4987] = 4976,
  [4988] = 4980,
  [4989] = 4976,
  [4990] = 4646,
  [4991] = 4966,
  [4992] = 4980,
  [4993] = 4977,
  [4994] = 4980,
  [4995] = 4976,
  [4996] = 4959,
  [4997] = 4966,
  [4998] = 4977,
  [4999] = 4977,
  [5000] = 4966,
  [5001] = 4980,
  [5002] = 4977,
  [5003] = 4977,
  [5004] = 4646,
  [5005] = 4977,
  [5006] = 4980,
  [5007] = 4081,
  [5008] = 4976,
  [5009] = 4646,
  [5010] = 4977,
  [5011] = 4977,
  [5012] = 4055,
  [5013] = 4977,
  [5014] = 4058,
  [5015] = 4977,
  [5016] = 4977,
  [5017] = 4959,
  [5018] = 5018,
  [5019] = 4646,
  [5020] = 4977,
  [5021] = 4966,
  [5022] = 4977,
  [5023] = 2923,
  [5024] = 4051,
  [5025] = 4977,
  [5026] = 4966,
  [5027] = 4976,
  [5028] = 4959,
  [5029] = 4977,
  [5030] = 4966,
  [5031] = 4980,
  [5032] = 4976,
  [5033] = 4646,
  [5034] = 4959,
  [5035] = 4959,
  [5036] = 5036,
  [5037] = 4959,
  [5038] = 4646,
  [5039] = 4959,
  [5040] = 4966,
  [5041] = 2093,
  [5042] = 4966,
  [5043] = 4646,
  [5044] = 4646,
  [5045] = 4966,
  [5046] = 5046,
  [5047] = 4959,
  [5048] = 4959,
  [5049] = 4959,
  [5050] = 4966,
  [5051] = 4959,
  [5052] = 4646,
  [5053] = 4959,
  [5054] = 2437,
  [5055] = 2437,
  [5056] = 4966,
  [5057] = 4966,
  [5058] = 4959,
  [5059] = 4959,
  [5060] = 4959,
  [5061] = 4966,
  [5062] = 4966,
  [5063] = 1561,
  [5064] = 4959,
  [5065] = 4966,
  [5066] = 4646,
  [5067] = 5067,
  [5068] = 4966,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5069,
  [5073] = 5070,
  [5074] = 5071,
  [5075] = 5069,
  [5076] = 5070,
  [5077] = 5071,
  [5078] = 5069,
  [5079] = 5070,
  [5080] = 5070,
  [5081] = 5071,
  [5082] = 5069,
  [5083] = 5070,
  [5084] = 5071,
  [5085] = 5069,
  [5086] = 5070,
  [5087] = 5071,
  [5088] = 5069,
  [5089] = 5070,
  [5090] = 5071,
  [5091] = 5069,
  [5092] = 5070,
  [5093] = 5071,
  [5094] = 5069,
  [5095] = 5070,
  [5096] = 5071,
  [5097] = 5069,
  [5098] = 5070,
  [5099] = 5071,
  [5100] = 5071,
  [5101] = 5070,
  [5102] = 5071,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 4959,
  [5110] = 4966,
  [5111] = 4959,
  [5112] = 4966,
  [5113] = 5071,
  [5114] = 5069,
  [5115] = 5070,
  [5116] = 5103,
  [5117] = 5104,
  [5118] = 5105,
  [5119] = 5106,
  [5120] = 5107,
  [5121] = 5108,
  [5122] = 5106,
  [5123] = 5103,
  [5124] = 5104,
  [5125] = 5105,
  [5126] = 5106,
  [5127] = 5107,
  [5128] = 5108,
  [5129] = 5069,
  [5130] = 5107,
  [5131] = 5103,
  [5132] = 5104,
  [5133] = 5105,
  [5134] = 5103,
  [5135] = 5104,
  [5136] = 5105,
  [5137] = 5106,
  [5138] = 5107,
  [5139] = 5108,
  [5140] = 5103,
  [5141] = 5104,
  [5142] = 5105,
  [5143] = 5106,
  [5144] = 5107,
  [5145] = 5108,
  [5146] = 5070,
  [5147] = 5103,
  [5148] = 5104,
  [5149] = 5105,
  [5150] = 5106,
  [5151] = 5107,
  [5152] = 5108,
  [5153] = 5108,
  [5154] = 5071,
  [5155] = 5069,
  [5156] = 5071,
  [5157] = 5069,
  [5158] = 5071,
  [5159] = 5070,
  [5160] = 5069,
  [5161] = 5070,
  [5162] = 5070,
  [5163] = 5071,
  [5164] = 5069,
  [5165] = 5070,
  [5166] = 2267,
  [5167] = 5071,
  [5168] = 5069,
  [5169] = 5069,
  [5170] = 4959,
  [5171] = 4966,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5172,
  [5175] = 5172,
  [5176] = 5172,
  [5177] = 5172,
  [5178] = 4966,
  [5179] = 5172,
  [5180] = 5172,
  [5181] = 5172,
  [5182] = 5172,
  [5183] = 4959,
  [5184] = 5184,
  [5185] = 5172,
  [5186] = 3291,
  [5187] = 3371,
  [5188] = 4966,
  [5189] = 4966,
  [5190] = 4959,
  [5191] = 4959,
  [5192] = 4966,
  [5193] = 5172,
  [5194] = 5173,
  [5195] = 5172,
  [5196] = 5196,
  [5197] = 5172,
  [5198] = 5173,
  [5199] = 5172,
  [5200] = 4959,
  [5201] = 5173,
  [5202] = 5173,
  [5203] = 5172,
  [5204] = 5172,
  [5205] = 4966,
  [5206] = 5172,
  [5207] = 5172,
  [5208] = 5208,
  [5209] = 4959,
  [5210] = 4966,
  [5211] = 5211,
  [5212] = 4966,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5213,
  [5217] = 2967,
  [5218] = 5218,
  [5219] = 5214,
  [5220] = 5215,
  [5221] = 5221,
  [5222] = 5213,
  [5223] = 5214,
  [5224] = 5224,
  [5225] = 5224,
  [5226] = 4959,
  [5227] = 5224,
  [5228] = 5228,
  [5229] = 5215,
  [5230] = 5211,
  [5231] = 5221,
  [5232] = 5232,
  [5233] = 4959,
  [5234] = 5213,
  [5235] = 5214,
  [5236] = 5214,
  [5237] = 5237,
  [5238] = 5214,
  [5239] = 5213,
  [5240] = 5240,
  [5241] = 5218,
  [5242] = 5232,
  [5243] = 5215,
  [5244] = 4966,
  [5245] = 5213,
  [5246] = 4959,
  [5247] = 5215,
  [5248] = 5211,
  [5249] = 5214,
  [5250] = 5213,
  [5251] = 4959,
  [5252] = 5215,
  [5253] = 5224,
  [5254] = 4966,
  [5255] = 5215,
  [5256] = 5211,
  [5257] = 5232,
  [5258] = 5218,
  [5259] = 5232,
  [5260] = 5232,
  [5261] = 5218,
  [5262] = 5218,
  [5263] = 5218,
  [5264] = 5218,
  [5265] = 5218,
  [5266] = 5221,
  [5267] = 2971,
  [5268] = 5232,
  [5269] = 5221,
  [5270] = 5221,
  [5271] = 5221,
  [5272] = 5221,
  [5273] = 5232,
  [5274] = 5232,
  [5275] = 5221,
  [5276] = 5232,
  [5277] = 5218,
  [5278] = 5218,
  [5279] = 5221,
  [5280] = 5232,
  [5281] = 5218,
  [5282] = 5221,
  [5283] = 5221,
  [5284] = 5221,
  [5285] = 5232,
  [5286] = 5221,
  [5287] = 5218,
  [5288] = 5232,
  [5289] = 5232,
  [5290] = 5218,
  [5291] = 5232,
  [5292] = 5218,
  [5293] = 5221,
  [5294] = 5218,
  [5295] = 5221,
  [5296] = 5221,
  [5297] = 5232,
  [5298] = 5218,
  [5299] = 5232,
  [5300] = 5221,
  [5301] = 5221,
  [5302] = 5218,
  [5303] = 5232,
  [5304] = 5218,
  [5305] = 5232,
  [5306] = 5221,
  [5307] = 5232,
  [5308] = 5218,
  [5309] = 5218,
  [5310] = 5221,
  [5311] = 5232,
  [5312] = 5221,
  [5313] = 5232,
  [5314] = 5221,
  [5315] = 5232,
  [5316] = 5232,
  [5317] = 5218,
  [5318] = 5218,
  [5319] = 5319,
  [5320] = 5319,
  [5321] = 5218,
  [5322] = 5322,
  [5323] = 5232,
  [5324] = 5232,
  [5325] = 5218,
  [5326] = 5221,
  [5327] = 5319,
  [5328] = 5319,
  [5329] = 5232,
  [5330] = 5322,
  [5331] = 5319,
  [5332] = 5221,
  [5333] = 5319,
  [5334] = 5322,
  [5335] = 5218,
  [5336] = 5319,
  [5337] = 5221,
  [5338] = 5221,
  [5339] = 5218,
  [5340] = 5340,
  [5341] = 5232,
  [5342] = 5221,
  [5343] = 5232,
  [5344] = 5218,
  [5345] = 5345,
  [5346] = 5340,
  [5347] = 5221,
  [5348] = 5221,
  [5349] = 5232,
  [5350] = 5218,
  [5351] = 5232,
  [5352] = 5218,
  [5353] = 5340,
  [5354] = 5354,
  [5355] = 5218,
  [5356] = 5356,
  [5357] = 5221,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5359,
  [5361] = 5361,
  [5362] = 5359,
  [5363] = 5361,
  [5364] = 5361,
  [5365] = 5361,
  [5366] = 5359,
  [5367] = 5358,
  [5368] = 5361,
  [5369] = 5359,
  [5370] = 5361,
  [5371] = 5322,
  [5372] = 5359,
  [5373] = 5359,
  [5374] = 5358,
  [5375] = 5361,
  [5376] = 5361,
  [5377] = 5377,
  [5378] = 5359,
  [5379] = 5359,
  [5380] = 5361,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5382,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5393,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5386,
  [5407] = 5383,
  [5408] = 5385,
  [5409] = 5409,
  [5410] = 5388,
  [5411] = 5389,
  [5412] = 5412,
  [5413] = 5394,
  [5414] = 5392,
  [5415] = 5401,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5402,
  [5420] = 5409,
  [5421] = 5402,
  [5422] = 5417,
  [5423] = 5418,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5384,
  [5427] = 5395,
  [5428] = 5396,
  [5429] = 5417,
  [5430] = 5322,
  [5431] = 5418,
  [5432] = 2120,
  [5433] = 5390,
  [5434] = 5416,
  [5435] = 5398,
  [5436] = 5399,
  [5437] = 5418,
  [5438] = 5402,
  [5439] = 5409,
  [5440] = 5409,
  [5441] = 5441,
  [5442] = 5354,
  [5443] = 5322,
  [5444] = 5417,
  [5445] = 5418,
  [5446] = 5402,
  [5447] = 5417,
  [5448] = 5386,
  [5449] = 5418,
  [5450] = 5386,
  [5451] = 5381,
  [5452] = 5412,
  [5453] = 5453,
  [5454] = 5417,
  [5455] = 5418,
  [5456] = 5456,
  [5457] = 5417,
  [5458] = 5409,
  [5459] = 5418,
  [5460] = 5412,
  [5461] = 5416,
  [5462] = 5409,
  [5463] = 5402,
  [5464] = 5381,
  [5465] = 5416,
  [5466] = 5417,
  [5467] = 5418,
  [5468] = 5417,
  [5469] = 5418,
  [5470] = 5402,
  [5471] = 5402,
  [5472] = 5417,
  [5473] = 5418,
  [5474] = 5391,
  [5475] = 5417,
  [5476] = 5418,
  [5477] = 5477,
  [5478] = 5417,
  [5479] = 5479,
  [5480] = 5417,
  [5481] = 5418,
  [5482] = 5417,
  [5483] = 5418,
  [5484] = 5484,
  [5485] = 2116,
  [5486] = 5424,
  [5487] = 5409,
  [5488] = 5417,
  [5489] = 5417,
  [5490] = 5418,
  [5491] = 5402,
  [5492] = 5418,
  [5493] = 5356,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5497,
  [5500] = 5498,
  [5501] = 5497,
  [5502] = 5496,
  [5503] = 5503,
  [5504] = 5503,
  [5505] = 5496,
  [5506] = 5503,
  [5507] = 5507,
  [5508] = 5496,
  [5509] = 1597,
  [5510] = 1598,
  [5511] = 1599,
  [5512] = 5507,
  [5513] = 5322,
  [5514] = 5507,
  [5515] = 5497,
  [5516] = 5498,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5507,
  [5520] = 5497,
  [5521] = 5521,
  [5522] = 5390,
  [5523] = 132,
  [5524] = 5524,
  [5525] = 1606,
  [5526] = 5496,
  [5527] = 5503,
  [5528] = 5497,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5393,
  [5533] = 5496,
  [5534] = 5507,
  [5535] = 5497,
  [5536] = 5507,
  [5537] = 5497,
  [5538] = 5392,
  [5539] = 5498,
  [5540] = 133,
  [5541] = 1602,
  [5542] = 5518,
  [5543] = 5503,
  [5544] = 5498,
  [5545] = 5496,
  [5546] = 5498,
  [5547] = 5503,
  [5548] = 1603,
  [5549] = 5503,
  [5550] = 5391,
  [5551] = 5507,
  [5552] = 5518,
  [5553] = 5553,
  [5554] = 5498,
  [5555] = 5503,
  [5556] = 5507,
  [5557] = 5497,
  [5558] = 5390,
  [5559] = 5503,
  [5560] = 5496,
  [5561] = 1604,
  [5562] = 5496,
  [5563] = 5496,
  [5564] = 1605,
  [5565] = 5507,
  [5566] = 5507,
  [5567] = 5518,
  [5568] = 1607,
  [5569] = 5384,
  [5570] = 5496,
  [5571] = 1608,
  [5572] = 5503,
  [5573] = 5497,
  [5574] = 5518,
  [5575] = 5498,
  [5576] = 5553,
  [5577] = 5498,
  [5578] = 5503,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5496,
  [5582] = 5503,
  [5583] = 5496,
  [5584] = 5496,
  [5585] = 5507,
  [5586] = 5507,
  [5587] = 5497,
  [5588] = 1609,
  [5589] = 5497,
  [5590] = 5503,
  [5591] = 5579,
  [5592] = 5400,
  [5593] = 5496,
  [5594] = 5392,
  [5595] = 5498,
  [5596] = 5553,
  [5597] = 5496,
  [5598] = 5497,
  [5599] = 5393,
  [5600] = 5498,
  [5601] = 5503,
  [5602] = 5497,
  [5603] = 1600,
  [5604] = 5498,
  [5605] = 5518,
  [5606] = 5507,
  [5607] = 5507,
  [5608] = 2116,
  [5609] = 5498,
  [5610] = 5503,
  [5611] = 5579,
  [5612] = 5507,
  [5613] = 5613,
  [5614] = 5498,
  [5615] = 5503,
  [5616] = 5498,
  [5617] = 5498,
  [5618] = 1601,
  [5619] = 5518,
  [5620] = 5507,
  [5621] = 5503,
  [5622] = 5507,
  [5623] = 5391,
  [5624] = 2120,
  [5625] = 5625,
  [5626] = 5496,
  [5627] = 5497,
  [5628] = 5496,
  [5629] = 5507,
  [5630] = 5503,
  [5631] = 5384,
  [5632] = 5498,
  [5633] = 5497,
  [5634] = 5497,
  [5635] = 1610,
  [5636] = 5498,
  [5637] = 1595,
  [5638] = 5497,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5322,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5644,
  [5646] = 5641,
  [5647] = 5322,
  [5648] = 5643,
  [5649] = 5649,
  [5650] = 5644,
  [5651] = 5641,
  [5652] = 5643,
  [5653] = 5653,
  [5654] = 5641,
  [5655] = 5644,
  [5656] = 5641,
  [5657] = 5643,
  [5658] = 5479,
  [5659] = 5644,
  [5660] = 5641,
  [5661] = 5661,
  [5662] = 5643,
  [5663] = 2839,
  [5664] = 5664,
  [5665] = 5644,
  [5666] = 5641,
  [5667] = 5643,
  [5668] = 5404,
  [5669] = 5644,
  [5670] = 5644,
  [5671] = 5644,
  [5672] = 5644,
  [5673] = 5644,
  [5674] = 5641,
  [5675] = 5675,
  [5676] = 5322,
  [5677] = 5643,
  [5678] = 5678,
  [5679] = 5643,
  [5680] = 5680,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5678,
  [5684] = 5680,
  [5685] = 5681,
  [5686] = 5682,
  [5687] = 5687,
  [5688] = 5680,
  [5689] = 5681,
  [5690] = 5682,
  [5691] = 5678,
  [5692] = 5680,
  [5693] = 5681,
  [5694] = 5682,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5678,
  [5701] = 5680,
  [5702] = 5681,
  [5703] = 5682,
  [5704] = 5678,
  [5705] = 5680,
  [5706] = 5681,
  [5707] = 5682,
  [5708] = 5708,
  [5709] = 5425,
  [5710] = 2912,
  [5711] = 5644,
  [5712] = 2267,
  [5713] = 5641,
  [5714] = 5643,
  [5715] = 5644,
  [5716] = 5641,
  [5717] = 5322,
  [5718] = 5643,
  [5719] = 5643,
  [5720] = 5641,
  [5721] = 5644,
  [5722] = 5722,
  [5723] = 5641,
  [5724] = 5643,
  [5725] = 5641,
  [5726] = 5643,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5678,
  [5734] = 5734,
  [5735] = 5729,
  [5736] = 5639,
  [5737] = 5734,
  [5738] = 5730,
  [5739] = 5731,
  [5740] = 5732,
  [5741] = 5687,
  [5742] = 5742,
  [5743] = 5698,
  [5744] = 5695,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5734,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5322,
  [5753] = 5734,
  [5754] = 5722,
  [5755] = 5748,
  [5756] = 5653,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5661,
  [5761] = 5757,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5699,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5734,
  [5773] = 5773,
  [5774] = 5748,
  [5775] = 5757,
  [5776] = 5776,
  [5777] = 5764,
  [5778] = 5734,
  [5779] = 5734,
  [5780] = 5734,
  [5781] = 2021,
  [5782] = 5782,
  [5783] = 5734,
  [5784] = 5757,
  [5785] = 5649,
  [5786] = 5757,
  [5787] = 5757,
  [5788] = 2839,
  [5789] = 5734,
  [5790] = 5748,
  [5791] = 5757,
  [5792] = 5640,
  [5793] = 2398,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5734,
  [5797] = 5797,
  [5798] = 5322,
  [5799] = 5799,
  [5800] = 5727,
  [5801] = 5734,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5734,
  [5809] = 5764,
  [5810] = 1909,
  [5811] = 5734,
  [5812] = 5664,
  [5813] = 5734,
  [5814] = 5708,
  [5815] = 5815,
  [5816] = 5734,
  [5817] = 5762,
  [5818] = 5734,
  [5819] = 5734,
  [5820] = 5728,
  [5821] = 2912,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5734,
  [5825] = 5391,
  [5826] = 2178,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5393,
  [5830] = 5828,
  [5831] = 5384,
  [5832] = 793,
  [5833] = 5625,
  [5834] = 2387,
  [5835] = 2447,
  [5836] = 5384,
  [5837] = 2185,
  [5838] = 5678,
  [5839] = 5680,
  [5840] = 5681,
  [5841] = 5682,
  [5842] = 5391,
  [5843] = 5678,
  [5844] = 5680,
  [5845] = 5681,
  [5846] = 5682,
  [5847] = 794,
  [5848] = 2152,
  [5849] = 1610,
  [5850] = 2120,
  [5851] = 5390,
  [5852] = 1595,
  [5853] = 2166,
  [5854] = 5854,
  [5855] = 1597,
  [5856] = 1598,
  [5857] = 1599,
  [5858] = 5858,
  [5859] = 1602,
  [5860] = 1603,
  [5861] = 1604,
  [5862] = 1605,
  [5863] = 5828,
  [5864] = 5864,
  [5865] = 5828,
  [5866] = 2471,
  [5867] = 1600,
  [5868] = 1606,
  [5869] = 1601,
  [5870] = 132,
  [5871] = 1608,
  [5872] = 1609,
  [5873] = 5322,
  [5874] = 5828,
  [5875] = 5875,
  [5876] = 1607,
  [5877] = 5530,
  [5878] = 133,
  [5879] = 5392,
  [5880] = 5392,
  [5881] = 5393,
  [5882] = 5390,
  [5883] = 2116,
  [5884] = 2159,
  [5885] = 2267,
  [5886] = 5886,
  [5887] = 5678,
  [5888] = 1671,
  [5889] = 5889,
  [5890] = 5889,
  [5891] = 5681,
  [5892] = 1511,
  [5893] = 5322,
  [5894] = 5894,
  [5895] = 5895,
  [5896] = 5681,
  [5897] = 5897,
  [5898] = 5889,
  [5899] = 2497,
  [5900] = 5900,
  [5901] = 1752,
  [5902] = 5682,
  [5903] = 5897,
  [5904] = 5897,
  [5905] = 5889,
  [5906] = 5906,
  [5907] = 5889,
  [5908] = 5897,
  [5909] = 5889,
  [5910] = 5889,
  [5911] = 5897,
  [5912] = 5912,
  [5913] = 5897,
  [5914] = 5914,
  [5915] = 5889,
  [5916] = 5889,
  [5917] = 5897,
  [5918] = 5897,
  [5919] = 5919,
  [5920] = 1683,
  [5921] = 5678,
  [5922] = 5680,
  [5923] = 5681,
  [5924] = 5682,
  [5925] = 5678,
  [5926] = 5680,
  [5927] = 5681,
  [5928] = 5682,
  [5929] = 2261,
  [5930] = 5682,
  [5931] = 5680,
  [5932] = 5897,
  [5933] = 5889,
  [5934] = 5934,
  [5935] = 5678,
  [5936] = 5322,
  [5937] = 5934,
  [5938] = 5680,
  [5939] = 5897,
  [5940] = 5940,
  [5941] = 5804,
  [5942] = 5390,
  [5943] = 5943,
  [5944] = 5680,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5943,
  [5950] = 5947,
  [5951] = 2441,
  [5952] = 5940,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5392,
  [5957] = 5957,
  [5958] = 5940,
  [5959] = 5953,
  [5960] = 5954,
  [5961] = 2225,
  [5962] = 5384,
  [5963] = 5751,
  [5964] = 2257,
  [5965] = 5945,
  [5966] = 5955,
  [5967] = 5794,
  [5968] = 5393,
  [5969] = 5322,
  [5970] = 5806,
  [5971] = 5322,
  [5972] = 5392,
  [5973] = 5973,
  [5974] = 5815,
  [5975] = 2422,
  [5976] = 2120,
  [5977] = 5977,
  [5978] = 5750,
  [5979] = 5678,
  [5980] = 5980,
  [5981] = 5981,
  [5982] = 5678,
  [5983] = 2259,
  [5984] = 2208,
  [5985] = 5681,
  [5986] = 5986,
  [5987] = 5763,
  [5988] = 2209,
  [5989] = 2116,
  [5990] = 2212,
  [5991] = 2273,
  [5992] = 5992,
  [5993] = 5805,
  [5994] = 5391,
  [5995] = 2274,
  [5996] = 5802,
  [5997] = 5997,
  [5998] = 2213,
  [5999] = 2276,
  [6000] = 5768,
  [6001] = 5384,
  [6002] = 5393,
  [6003] = 5390,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 5807,
  [6007] = 5742,
  [6008] = 5391,
  [6009] = 5682,
  [6010] = 5946,
  [6011] = 5747,
  [6012] = 5770,
  [6013] = 6013,
  [6014] = 5680,
  [6015] = 5945,
  [6016] = 5946,
  [6017] = 5943,
  [6018] = 5947,
  [6019] = 5682,
  [6020] = 5681,
  [6021] = 5799,
  [6022] = 5953,
  [6023] = 5954,
  [6024] = 5955,
  [6025] = 5767,
  [6026] = 5771,
  [6027] = 2281,
  [6028] = 5773,
  [6029] = 5803,
  [6030] = 2526,
  [6031] = 5776,
  [6032] = 5782,
  [6033] = 2418,
  [6034] = 2419,
  [6035] = 2420,
  [6036] = 2421,
  [6037] = 5680,
  [6038] = 5678,
  [6039] = 2100,
  [6040] = 5680,
  [6041] = 6041,
  [6042] = 5682,
  [6043] = 5681,
  [6044] = 5682,
  [6045] = 6045,
  [6046] = 6046,
  [6047] = 6046,
  [6048] = 6048,
  [6049] = 5682,
  [6050] = 6048,
  [6051] = 5678,
  [6052] = 6052,
  [6053] = 5681,
  [6054] = 5678,
  [6055] = 6055,
  [6056] = 6045,
  [6057] = 5678,
  [6058] = 6046,
  [6059] = 5682,
  [6060] = 6060,
  [6061] = 5681,
  [6062] = 5680,
  [6063] = 6045,
  [6064] = 5678,
  [6065] = 5680,
  [6066] = 5681,
  [6067] = 5682,
  [6068] = 5680,
  [6069] = 6046,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6048,
  [6073] = 6073,
  [6074] = 6045,
  [6075] = 6046,
  [6076] = 6076,
  [6077] = 6046,
  [6078] = 6076,
  [6079] = 6046,
  [6080] = 6046,
  [6081] = 6081,
  [6082] = 6076,
  [6083] = 6070,
  [6084] = 6045,
  [6085] = 6076,
  [6086] = 5682,
  [6087] = 5678,
  [6088] = 6052,
  [6089] = 5680,
  [6090] = 5680,
  [6091] = 6045,
  [6092] = 5681,
  [6093] = 5682,
  [6094] = 5678,
  [6095] = 6081,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6081,
  [6099] = 6097,
  [6100] = 6100,
  [6101] = 5681,
  [6102] = 6046,
  [6103] = 6096,
  [6104] = 6104,
  [6105] = 6076,
  [6106] = 6048,
  [6107] = 6107,
  [6108] = 5681,
  [6109] = 5678,
  [6110] = 6110,
  [6111] = 5681,
  [6112] = 5682,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6046,
  [6116] = 6076,
  [6117] = 6045,
  [6118] = 6048,
  [6119] = 5680,
  [6120] = 6104,
  [6121] = 6081,
  [6122] = 6048,
  [6123] = 6048,
  [6124] = 6076,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 2178,
  [6128] = 6126,
  [6129] = 6126,
  [6130] = 6126,
  [6131] = 6126,
  [6132] = 6126,
  [6133] = 6126,
  [6134] = 6134,
  [6135] = 5322,
  [6136] = 6134,
  [6137] = 2166,
  [6138] = 5384,
  [6139] = 2152,
  [6140] = 5390,
  [6141] = 6125,
  [6142] = 5391,
  [6143] = 6134,
  [6144] = 5392,
  [6145] = 5393,
  [6146] = 6134,
  [6147] = 5384,
  [6148] = 5390,
  [6149] = 5391,
  [6150] = 5392,
  [6151] = 5393,
  [6152] = 5678,
  [6153] = 5680,
  [6154] = 5681,
  [6155] = 5682,
  [6156] = 5384,
  [6157] = 5390,
  [6158] = 5391,
  [6159] = 5392,
  [6160] = 5393,
  [6161] = 5945,
  [6162] = 5678,
  [6163] = 5680,
  [6164] = 5681,
  [6165] = 5682,
  [6166] = 5946,
  [6167] = 5943,
  [6168] = 5947,
  [6169] = 5940,
  [6170] = 6125,
  [6171] = 5953,
  [6172] = 5954,
  [6173] = 5955,
  [6174] = 6126,
  [6175] = 2185,
  [6176] = 2116,
  [6177] = 6126,
  [6178] = 6126,
  [6179] = 2116,
  [6180] = 2152,
  [6181] = 6134,
  [6182] = 2159,
  [6183] = 6125,
  [6184] = 2166,
  [6185] = 2178,
  [6186] = 2120,
  [6187] = 6134,
  [6188] = 6126,
  [6189] = 2185,
  [6190] = 6126,
  [6191] = 5678,
  [6192] = 5680,
  [6193] = 5681,
  [6194] = 5682,
  [6195] = 5678,
  [6196] = 5680,
  [6197] = 5681,
  [6198] = 5682,
  [6199] = 5384,
  [6200] = 5390,
  [6201] = 6126,
  [6202] = 5391,
  [6203] = 5392,
  [6204] = 6204,
  [6205] = 5393,
  [6206] = 6125,
  [6207] = 2120,
  [6208] = 6208,
  [6209] = 6125,
  [6210] = 6210,
  [6211] = 6126,
  [6212] = 6126,
  [6213] = 6213,
  [6214] = 1864,
  [6215] = 6134,
  [6216] = 1865,
  [6217] = 6126,
  [6218] = 2159,
  [6219] = 6125,
  [6220] = 6126,
  [6221] = 6126,
  [6222] = 6126,
  [6223] = 1868,
  [6224] = 6210,
  [6225] = 1872,
  [6226] = 6226,
  [6227] = 6126,
  [6228] = 5945,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6230,
  [6234] = 5947,
  [6235] = 5953,
  [6236] = 5945,
  [6237] = 5947,
  [6238] = 5940,
  [6239] = 5954,
  [6240] = 6231,
  [6241] = 5946,
  [6242] = 5943,
  [6243] = 5953,
  [6244] = 5955,
  [6245] = 5954,
  [6246] = 2261,
  [6247] = 6230,
  [6248] = 6232,
  [6249] = 6231,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 5678,
  [6253] = 5680,
  [6254] = 5681,
  [6255] = 5682,
  [6256] = 6256,
  [6257] = 6250,
  [6258] = 5678,
  [6259] = 5680,
  [6260] = 5681,
  [6261] = 5682,
  [6262] = 5955,
  [6263] = 5940,
  [6264] = 6230,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 2261,
  [6268] = 6251,
  [6269] = 6269,
  [6270] = 6232,
  [6271] = 6231,
  [6272] = 6266,
  [6273] = 6231,
  [6274] = 6230,
  [6275] = 6070,
  [6276] = 6052,
  [6277] = 6230,
  [6278] = 6230,
  [6279] = 6266,
  [6280] = 6251,
  [6281] = 6251,
  [6282] = 6230,
  [6283] = 6096,
  [6284] = 6284,
  [6285] = 6231,
  [6286] = 6231,
  [6287] = 6231,
  [6288] = 6288,
  [6289] = 6232,
  [6290] = 5900,
  [6291] = 6232,
  [6292] = 6230,
  [6293] = 5946,
  [6294] = 6097,
  [6295] = 5943,
  [6296] = 6104,
  [6297] = 6297,
  [6298] = 6230,
  [6299] = 6266,
  [6300] = 6231,
  [6301] = 6231,
  [6302] = 5945,
  [6303] = 6303,
  [6304] = 6303,
  [6305] = 6303,
  [6306] = 6303,
  [6307] = 5682,
  [6308] = 6303,
  [6309] = 6303,
  [6310] = 6303,
  [6311] = 6311,
  [6312] = 6312,
  [6313] = 6303,
  [6314] = 5953,
  [6315] = 6303,
  [6316] = 6303,
  [6317] = 5946,
  [6318] = 6318,
  [6319] = 5678,
  [6320] = 6320,
  [6321] = 5947,
  [6322] = 6303,
  [6323] = 3299,
  [6324] = 6303,
  [6325] = 6303,
  [6326] = 6326,
  [6327] = 6327,
  [6328] = 6303,
  [6329] = 5680,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 5678,
  [6333] = 5680,
  [6334] = 5940,
  [6335] = 5681,
  [6336] = 6303,
  [6337] = 5943,
  [6338] = 5954,
  [6339] = 6339,
  [6340] = 5955,
  [6341] = 6303,
  [6342] = 6303,
  [6343] = 5681,
  [6344] = 6303,
  [6345] = 5682,
  [6346] = 2349,
  [6347] = 6303,
  [6348] = 6348,
  [6349] = 6303,
  [6350] = 5945,
  [6351] = 5940,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6353,
  [6356] = 5953,
  [6357] = 6357,
  [6358] = 5954,
  [6359] = 5955,
  [6360] = 5947,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6354,
  [6365] = 6361,
  [6366] = 5384,
  [6367] = 6367,
  [6368] = 6353,
  [6369] = 6353,
  [6370] = 6097,
  [6371] = 5945,
  [6372] = 6361,
  [6373] = 6362,
  [6374] = 5947,
  [6375] = 5953,
  [6376] = 6354,
  [6377] = 5940,
  [6378] = 5954,
  [6379] = 6379,
  [6380] = 6354,
  [6381] = 6362,
  [6382] = 5954,
  [6383] = 6383,
  [6384] = 6052,
  [6385] = 6385,
  [6386] = 5955,
  [6387] = 5390,
  [6388] = 6354,
  [6389] = 5391,
  [6390] = 6390,
  [6391] = 5392,
  [6392] = 6362,
  [6393] = 5946,
  [6394] = 5943,
  [6395] = 6395,
  [6396] = 6096,
  [6397] = 5393,
  [6398] = 5953,
  [6399] = 5955,
  [6400] = 5384,
  [6401] = 6401,
  [6402] = 5390,
  [6403] = 6403,
  [6404] = 5391,
  [6405] = 5392,
  [6406] = 5393,
  [6407] = 6407,
  [6408] = 2116,
  [6409] = 6353,
  [6410] = 5946,
  [6411] = 6353,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6415,
  [6416] = 6354,
  [6417] = 6104,
  [6418] = 6361,
  [6419] = 5946,
  [6420] = 5943,
  [6421] = 5953,
  [6422] = 2120,
  [6423] = 5955,
  [6424] = 6361,
  [6425] = 6361,
  [6426] = 6362,
  [6427] = 5947,
  [6428] = 6362,
  [6429] = 5940,
  [6430] = 1509,
  [6431] = 6431,
  [6432] = 6353,
  [6433] = 5945,
  [6434] = 6354,
  [6435] = 5943,
  [6436] = 5947,
  [6437] = 5940,
  [6438] = 1502,
  [6439] = 1503,
  [6440] = 1504,
  [6441] = 1505,
  [6442] = 1506,
  [6443] = 1507,
  [6444] = 6361,
  [6445] = 6362,
  [6446] = 6446,
  [6447] = 2335,
  [6448] = 2304,
  [6449] = 6449,
  [6450] = 5946,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 5954,
  [6454] = 6070,
  [6455] = 5943,
  [6456] = 5945,
  [6457] = 5940,
  [6458] = 5943,
  [6459] = 5945,
  [6460] = 6460,
  [6461] = 5953,
  [6462] = 5955,
  [6463] = 5946,
  [6464] = 6464,
  [6465] = 5953,
  [6466] = 5955,
  [6467] = 5946,
  [6468] = 6468,
  [6469] = 5943,
  [6470] = 5947,
  [6471] = 5940,
  [6472] = 6472,
  [6473] = 5945,
  [6474] = 5947,
  [6475] = 6472,
  [6476] = 6476,
  [6477] = 6472,
  [6478] = 6478,
  [6479] = 5954,
  [6480] = 5943,
  [6481] = 6481,
  [6482] = 6472,
  [6483] = 6472,
  [6484] = 6484,
  [6485] = 6472,
  [6486] = 6472,
  [6487] = 6472,
  [6488] = 6472,
  [6489] = 6489,
  [6490] = 5953,
  [6491] = 5954,
  [6492] = 6472,
  [6493] = 6472,
  [6494] = 6472,
  [6495] = 5955,
  [6496] = 6460,
  [6497] = 6497,
  [6498] = 5946,
  [6499] = 6472,
  [6500] = 6500,
  [6501] = 6501,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 5945,
  [6506] = 6504,
  [6507] = 6503,
  [6508] = 6504,
  [6509] = 6504,
  [6510] = 6504,
  [6511] = 5745,
  [6512] = 2120,
  [6513] = 6504,
  [6514] = 5946,
  [6515] = 6504,
  [6516] = 6502,
  [6517] = 6504,
  [6518] = 6518,
  [6519] = 6501,
  [6520] = 6504,
  [6521] = 6518,
  [6522] = 2116,
  [6523] = 6504,
  [6524] = 5943,
  [6525] = 6501,
  [6526] = 6501,
  [6527] = 6504,
  [6528] = 6502,
  [6529] = 6504,
  [6530] = 6504,
  [6531] = 6504,
  [6532] = 6504,
  [6533] = 6502,
  [6534] = 6503,
  [6535] = 6504,
  [6536] = 5947,
  [6537] = 5940,
  [6538] = 6070,
  [6539] = 6052,
  [6540] = 6504,
  [6541] = 6504,
  [6542] = 5795,
  [6543] = 6501,
  [6544] = 6096,
  [6545] = 6518,
  [6546] = 6104,
  [6547] = 6501,
  [6548] = 6501,
  [6549] = 6504,
  [6550] = 6504,
  [6551] = 5953,
  [6552] = 6097,
  [6553] = 6518,
  [6554] = 5954,
  [6555] = 6503,
  [6556] = 5955,
  [6557] = 6504,
  [6558] = 6041,
  [6559] = 6559,
  [6560] = 5946,
  [6561] = 6561,
  [6562] = 5943,
  [6563] = 2387,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6568,
  [6570] = 6570,
  [6571] = 5946,
  [6572] = 6104,
  [6573] = 6073,
  [6574] = 5945,
  [6575] = 6559,
  [6576] = 5947,
  [6577] = 6568,
  [6578] = 5940,
  [6579] = 5953,
  [6580] = 5954,
  [6581] = 6581,
  [6582] = 6570,
  [6583] = 6568,
  [6584] = 6559,
  [6585] = 6570,
  [6586] = 6570,
  [6587] = 6570,
  [6588] = 5943,
  [6589] = 5745,
  [6590] = 6570,
  [6591] = 6052,
  [6592] = 6592,
  [6593] = 6593,
  [6594] = 5953,
  [6595] = 6595,
  [6596] = 6559,
  [6597] = 5955,
  [6598] = 5946,
  [6599] = 5943,
  [6600] = 5955,
  [6601] = 5795,
  [6602] = 6602,
  [6603] = 5953,
  [6604] = 5955,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6060,
  [6608] = 6570,
  [6609] = 6070,
  [6610] = 6610,
  [6611] = 6097,
  [6612] = 6612,
  [6613] = 6110,
  [6614] = 6096,
  [6615] = 5946,
  [6616] = 5943,
  [6617] = 5953,
  [6618] = 5955,
  [6619] = 6055,
  [6620] = 2162,
  [6621] = 6621,
  [6622] = 5953,
  [6623] = 5954,
  [6624] = 2387,
  [6625] = 5945,
  [6626] = 6626,
  [6627] = 6621,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 6630,
  [6631] = 2185,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6634,
  [6635] = 6621,
  [6636] = 6636,
  [6637] = 6637,
  [6638] = 6637,
  [6639] = 2152,
  [6640] = 6637,
  [6641] = 6641,
  [6642] = 5945,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 5946,
  [6647] = 6647,
  [6648] = 6633,
  [6649] = 6649,
  [6650] = 6630,
  [6651] = 6621,
  [6652] = 6649,
  [6653] = 6653,
  [6654] = 6630,
  [6655] = 2166,
  [6656] = 6649,
  [6657] = 6657,
  [6658] = 5947,
  [6659] = 6630,
  [6660] = 6660,
  [6661] = 6649,
  [6662] = 6630,
  [6663] = 6663,
  [6664] = 6649,
  [6665] = 6637,
  [6666] = 6649,
  [6667] = 6630,
  [6668] = 5946,
  [6669] = 6633,
  [6670] = 6633,
  [6671] = 6671,
  [6672] = 5943,
  [6673] = 5943,
  [6674] = 5953,
  [6675] = 6630,
  [6676] = 6676,
  [6677] = 2151,
  [6678] = 2178,
  [6679] = 2159,
  [6680] = 5947,
  [6681] = 5955,
  [6682] = 6641,
  [6683] = 6683,
  [6684] = 5940,
  [6685] = 6641,
  [6686] = 5955,
  [6687] = 2176,
  [6688] = 6688,
  [6689] = 6683,
  [6690] = 6649,
  [6691] = 6663,
  [6692] = 6641,
  [6693] = 5940,
  [6694] = 5954,
  [6695] = 6695,
  [6696] = 2261,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6265,
  [6702] = 6702,
  [6703] = 6269,
  [6704] = 2387,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6698,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6698,
  [6711] = 6709,
  [6712] = 6712,
  [6713] = 6706,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 6695,
  [6717] = 6709,
  [6718] = 6700,
  [6719] = 6719,
  [6720] = 6715,
  [6721] = 6712,
  [6722] = 6698,
  [6723] = 6698,
  [6724] = 6700,
  [6725] = 6698,
  [6726] = 6726,
  [6727] = 6695,
  [6728] = 6715,
  [6729] = 6729,
  [6730] = 6297,
  [6731] = 6731,
  [6732] = 6706,
  [6733] = 6705,
  [6734] = 6726,
  [6735] = 6735,
  [6736] = 6712,
  [6737] = 6726,
  [6738] = 6738,
  [6739] = 6729,
  [6740] = 6726,
  [6741] = 2387,
  [6742] = 6742,
  [6743] = 6726,
  [6744] = 6726,
  [6745] = 6705,
  [6746] = 6698,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6726,
  [6752] = 6729,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6755,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6757,
  [6760] = 5955,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 5943,
  [6764] = 6764,
  [6765] = 6764,
  [6766] = 6758,
  [6767] = 6755,
  [6768] = 6768,
  [6769] = 6761,
  [6770] = 6764,
  [6771] = 6757,
  [6772] = 6772,
  [6773] = 5945,
  [6774] = 6774,
  [6775] = 6758,
  [6776] = 6758,
  [6777] = 6755,
  [6778] = 6757,
  [6779] = 6779,
  [6780] = 6758,
  [6781] = 6781,
  [6782] = 6761,
  [6783] = 6755,
  [6784] = 6761,
  [6785] = 6757,
  [6786] = 6755,
  [6787] = 6757,
  [6788] = 6761,
  [6789] = 6789,
  [6790] = 6764,
  [6791] = 6761,
  [6792] = 5795,
  [6793] = 6793,
  [6794] = 5947,
  [6795] = 5940,
  [6796] = 6755,
  [6797] = 6757,
  [6798] = 5953,
  [6799] = 2311,
  [6800] = 6800,
  [6801] = 6761,
  [6802] = 6758,
  [6803] = 6758,
  [6804] = 6754,
  [6805] = 6755,
  [6806] = 5954,
  [6807] = 6761,
  [6808] = 6808,
  [6809] = 6761,
  [6810] = 6758,
  [6811] = 6757,
  [6812] = 6754,
  [6813] = 6754,
  [6814] = 6762,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 2387,
  [6818] = 6755,
  [6819] = 5946,
  [6820] = 2387,
  [6821] = 6781,
  [6822] = 6764,
  [6823] = 6758,
  [6824] = 6757,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6831,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6829,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6834,
  [6842] = 6836,
  [6843] = 6843,
  [6844] = 6831,
  [6845] = 6845,
  [6846] = 6846,
  [6847] = 6847,
  [6848] = 6848,
  [6849] = 6847,
  [6850] = 6833,
  [6851] = 6833,
  [6852] = 6838,
  [6853] = 6840,
  [6854] = 6854,
  [6855] = 6848,
  [6856] = 6840,
  [6857] = 6857,
  [6858] = 6845,
  [6859] = 6833,
  [6860] = 6834,
  [6861] = 6839,
  [6862] = 6831,
  [6863] = 6863,
  [6864] = 6831,
  [6865] = 6865,
  [6866] = 6839,
  [6867] = 6831,
  [6868] = 6833,
  [6869] = 6839,
  [6870] = 6827,
  [6871] = 6829,
  [6872] = 6847,
  [6873] = 6840,
  [6874] = 6834,
  [6875] = 6834,
  [6876] = 6833,
  [6877] = 6827,
  [6878] = 6829,
  [6879] = 6829,
  [6880] = 6843,
  [6881] = 6830,
  [6882] = 6843,
  [6883] = 6854,
  [6884] = 6840,
  [6885] = 6834,
  [6886] = 6886,
  [6887] = 6865,
  [6888] = 6833,
  [6889] = 6833,
  [6890] = 6829,
  [6891] = 6831,
  [6892] = 6845,
  [6893] = 6834,
  [6894] = 6834,
  [6895] = 6839,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 6839,
  [6899] = 6899,
  [6900] = 6848,
  [6901] = 6843,
  [6902] = 6839,
  [6903] = 6834,
  [6904] = 6904,
  [6905] = 6834,
  [6906] = 6836,
  [6907] = 6830,
  [6908] = 6839,
  [6909] = 6827,
  [6910] = 6838,
  [6911] = 6843,
  [6912] = 6912,
  [6913] = 6833,
  [6914] = 6834,
  [6915] = 6831,
  [6916] = 6865,
  [6917] = 6836,
  [6918] = 6845,
  [6919] = 6839,
  [6920] = 6886,
  [6921] = 6838,
  [6922] = 6854,
  [6923] = 6923,
  [6924] = 6854,
  [6925] = 6830,
  [6926] = 6899,
  [6927] = 6865,
  [6928] = 6836,
  [6929] = 6848,
  [6930] = 6829,
  [6931] = 6833,
  [6932] = 6886,
  [6933] = 6839,
  [6934] = 6839,
  [6935] = 6897,
  [6936] = 6865,
  [6937] = 6836,
  [6938] = 6897,
  [6939] = 6886,
  [6940] = 6940,
  [6941] = 6843,
  [6942] = 6833,
  [6943] = 6943,
  [6944] = 6865,
  [6945] = 6836,
  [6946] = 6946,
  [6947] = 6854,
  [6948] = 6845,
  [6949] = 6886,
  [6950] = 6829,
  [6951] = 6839,
  [6952] = 6952,
  [6953] = 6865,
  [6954] = 6836,
  [6955] = 6829,
  [6956] = 6833,
  [6957] = 6843,
  [6958] = 6865,
  [6959] = 6836,
  [6960] = 6834,
  [6961] = 6865,
  [6962] = 6834,
  [6963] = 6833,
  [6964] = 6848,
  [6965] = 6965,
  [6966] = 6843,
  [6967] = 6829,
  [6968] = 6899,
  [6969] = 6830,
  [6970] = 6827,
  [6971] = 6845,
  [6972] = 6838,
  [6973] = 6854,
  [6974] = 6831,
  [6975] = 6833,
  [6976] = 6848,
  [6977] = 6840,
  [6978] = 6978,
  [6979] = 6830,
  [6980] = 6899,
  [6981] = 6834,
  [6982] = 6982,
  [6983] = 6886,
  [6984] = 6984,
  [6985] = 6833,
  [6986] = 6845,
  [6987] = 6830,
  [6988] = 6988,
  [6989] = 6845,
  [6990] = 6831,
  [6991] = 6840,
  [6992] = 6992,
  [6993] = 6829,
  [6994] = 6839,
  [6995] = 6840,
  [6996] = 6834,
  [6997] = 6997,
  [6998] = 6897,
  [6999] = 6840,
  [7000] = 6838,
  [7001] = 6838,
  [7002] = 6838,
  [7003] = 6899,
  [7004] = 7004,
  [7005] = 6827,
  [7006] = 6833,
  [7007] = 6834,
  [7008] = 6834,
  [7009] = 6847,
  [7010] = 7010,
  [7011] = 6834,
  [7012] = 6838,
  [7013] = 6827,
  [7014] = 6827,
  [7015] = 6854,
  [7016] = 7016,
  [7017] = 6833,
  [7018] = 7018,
  [7019] = 2387,
  [7020] = 7020,
  [7021] = 6831,
  [7022] = 6833,
  [7023] = 6897,
  [7024] = 7024,
  [7025] = 6829,
  [7026] = 6839,
  [7027] = 6899,
  [7028] = 7028,
  [7029] = 6843,
  [7030] = 6838,
  [7031] = 7031,
  [7032] = 6827,
  [7033] = 6839,
  [7034] = 6827,
  [7035] = 7035,
  [7036] = 6845,
  [7037] = 6843,
  [7038] = 6886,
  [7039] = 6833,
  [7040] = 6840,
  [7041] = 6834,
  [7042] = 5795,
  [7043] = 7043,
  [7044] = 6897,
  [7045] = 6839,
  [7046] = 6831,
  [7047] = 6840,
  [7048] = 6840,
  [7049] = 6899,
  [7050] = 6839,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 7052,
  [7057] = 7057,
  [7058] = 2479,
  [7059] = 7059,
  [7060] = 2480,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7053,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7064,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 7069,
  [7070] = 7067,
  [7071] = 7071,
  [7072] = 7068,
  [7073] = 7059,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7051,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7053,
  [7080] = 7080,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7059,
  [7084] = 7084,
  [7085] = 7059,
  [7086] = 7086,
  [7087] = 7064,
  [7088] = 7067,
  [7089] = 7068,
  [7090] = 7090,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7095,
  [7096] = 7053,
  [7097] = 7097,
  [7098] = 7059,
  [7099] = 7064,
  [7100] = 7067,
  [7101] = 7068,
  [7102] = 7102,
  [7103] = 7053,
  [7104] = 7059,
  [7105] = 7064,
  [7106] = 7067,
  [7107] = 7068,
  [7108] = 7108,
  [7109] = 7109,
  [7110] = 6593,
  [7111] = 7111,
  [7112] = 7112,
  [7113] = 7086,
  [7114] = 7053,
  [7115] = 7115,
  [7116] = 7059,
  [7117] = 7064,
  [7118] = 7067,
  [7119] = 7068,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 7053,
  [7123] = 7053,
  [7124] = 2492,
  [7125] = 7059,
  [7126] = 7064,
  [7127] = 7067,
  [7128] = 7068,
  [7129] = 7129,
  [7130] = 2493,
  [7131] = 7131,
  [7132] = 7057,
  [7133] = 7061,
  [7134] = 7062,
  [7135] = 7064,
  [7136] = 7067,
  [7137] = 7053,
  [7138] = 7068,
  [7139] = 7059,
  [7140] = 7064,
  [7141] = 7067,
  [7142] = 7068,
  [7143] = 7143,
  [7144] = 7090,
  [7145] = 7053,
  [7146] = 7059,
  [7147] = 7064,
  [7148] = 7067,
  [7149] = 7068,
  [7150] = 7108,
  [7151] = 7112,
  [7152] = 7152,
  [7153] = 7053,
  [7154] = 7059,
  [7155] = 7064,
  [7156] = 7067,
  [7157] = 7068,
  [7158] = 7053,
  [7159] = 7159,
  [7160] = 2498,
  [7161] = 7053,
  [7162] = 7053,
  [7163] = 2499,
  [7164] = 7053,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7065,
  [7168] = 7168,
  [7169] = 7069,
  [7170] = 7071,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 2504,
  [7174] = 2505,
  [7175] = 7092,
  [7176] = 2508,
  [7177] = 7177,
  [7178] = 7093,
  [7179] = 7179,
  [7180] = 7053,
  [7181] = 2387,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7081,
  [7187] = 7159,
  [7188] = 7052,
  [7189] = 7189,
  [7190] = 7094,
  [7191] = 7084,
  [7192] = 7053,
  [7193] = 7165,
  [7194] = 7168,
  [7195] = 7166,
  [7196] = 7196,
  [7197] = 7131,
  [7198] = 7198,
  [7199] = 7095,
  [7200] = 7200,
  [7201] = 7179,
  [7202] = 7074,
  [7203] = 7084,
  [7204] = 7051,
  [7205] = 7078,
  [7206] = 7206,
  [7207] = 7052,
  [7208] = 7208,
  [7209] = 7053,
  [7210] = 7069,
  [7211] = 7071,
  [7212] = 7074,
  [7213] = 7051,
  [7214] = 7081,
  [7215] = 7082,
  [7216] = 7216,
  [7217] = 7059,
  [7218] = 7081,
  [7219] = 7082,
  [7220] = 7059,
  [7221] = 7074,
  [7222] = 7092,
  [7223] = 7093,
  [7224] = 7094,
  [7225] = 7102,
  [7226] = 7092,
  [7227] = 7093,
  [7228] = 7094,
  [7229] = 7171,
  [7230] = 7095,
  [7231] = 7115,
  [7232] = 7115,
  [7233] = 7057,
  [7234] = 7061,
  [7235] = 7062,
  [7236] = 7064,
  [7237] = 7067,
  [7238] = 7068,
  [7239] = 7102,
  [7240] = 7090,
  [7241] = 7112,
  [7242] = 7080,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7172,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7165,
  [7250] = 7166,
  [7251] = 7078,
  [7252] = 7069,
  [7253] = 7071,
  [7254] = 7254,
  [7255] = 7171,
  [7256] = 7172,
  [7257] = 7257,
  [7258] = 7120,
  [7259] = 7065,
  [7260] = 7168,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7082,
  [7264] = 7115,
  [7265] = 7265,
  [7266] = 7177,
  [7267] = 7120,
  [7268] = 7057,
  [7269] = 7061,
  [7270] = 7062,
  [7271] = 7064,
  [7272] = 7131,
  [7273] = 7067,
  [7274] = 7171,
  [7275] = 250,
  [7276] = 7090,
  [7277] = 7277,
  [7278] = 248,
  [7279] = 7090,
  [7280] = 7280,
  [7281] = 7179,
  [7282] = 7108,
  [7283] = 7112,
  [7284] = 7086,
  [7285] = 7052,
  [7286] = 7065,
  [7287] = 7168,
  [7288] = 7159,
  [7289] = 7053,
  [7290] = 7290,
  [7291] = 7081,
  [7292] = 7177,
  [7293] = 7074,
  [7294] = 7051,
  [7295] = 7082,
  [7296] = 7296,
  [7297] = 7059,
  [7298] = 7081,
  [7299] = 7082,
  [7300] = 7165,
  [7301] = 7166,
  [7302] = 7059,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7131,
  [7306] = 7092,
  [7307] = 7093,
  [7308] = 7094,
  [7309] = 7262,
  [7310] = 7168,
  [7311] = 7102,
  [7312] = 7177,
  [7313] = 7131,
  [7314] = 7115,
  [7315] = 7315,
  [7316] = 7057,
  [7317] = 7168,
  [7318] = 7061,
  [7319] = 7062,
  [7320] = 7064,
  [7321] = 7067,
  [7322] = 7068,
  [7323] = 7069,
  [7324] = 7177,
  [7325] = 7071,
  [7326] = 7090,
  [7327] = 7112,
  [7328] = 7328,
  [7329] = 7177,
  [7330] = 7330,
  [7331] = 7165,
  [7332] = 7166,
  [7333] = 7168,
  [7334] = 7069,
  [7335] = 7071,
  [7336] = 7171,
  [7337] = 7172,
  [7338] = 7177,
  [7339] = 7171,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7172,
  [7343] = 7078,
  [7344] = 7344,
  [7345] = 7168,
  [7346] = 7092,
  [7347] = 7093,
  [7348] = 7348,
  [7349] = 7094,
  [7350] = 7168,
  [7351] = 7351,
  [7352] = 7095,
  [7353] = 7168,
  [7354] = 7108,
  [7355] = 7168,
  [7356] = 7168,
  [7357] = 7165,
  [7358] = 7166,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 7131,
  [7362] = 7362,
  [7363] = 7363,
  [7364] = 7364,
  [7365] = 7102,
  [7366] = 2454,
  [7367] = 7172,
  [7368] = 7179,
  [7369] = 7080,
  [7370] = 7370,
  [7371] = 7052,
  [7372] = 7372,
  [7373] = 7053,
  [7374] = 7374,
  [7375] = 7074,
  [7376] = 7077,
  [7377] = 7051,
  [7378] = 7065,
  [7379] = 7379,
  [7380] = 7082,
  [7381] = 7381,
  [7382] = 7382,
  [7383] = 7059,
  [7384] = 7384,
  [7385] = 7385,
  [7386] = 7092,
  [7387] = 7093,
  [7388] = 7094,
  [7389] = 7102,
  [7390] = 7179,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7115,
  [7394] = 7394,
  [7395] = 7061,
  [7396] = 7062,
  [7397] = 7064,
  [7398] = 7067,
  [7399] = 7068,
  [7400] = 7090,
  [7401] = 7112,
  [7402] = 7165,
  [7403] = 7166,
  [7404] = 7069,
  [7405] = 7057,
  [7406] = 7071,
  [7407] = 7074,
  [7408] = 7171,
  [7409] = 7061,
  [7410] = 7062,
  [7411] = 7051,
  [7412] = 7412,
  [7413] = 7179,
  [7414] = 7052,
  [7415] = 7415,
  [7416] = 7084,
  [7417] = 7102,
  [7418] = 7131,
  [7419] = 7064,
  [7420] = 7420,
  [7421] = 7179,
  [7422] = 7422,
  [7423] = 7052,
  [7424] = 7053,
  [7425] = 7074,
  [7426] = 7426,
  [7427] = 7115,
  [7428] = 7067,
  [7429] = 7131,
  [7430] = 7059,
  [7431] = 7431,
  [7432] = 7092,
  [7433] = 7093,
  [7434] = 7094,
  [7435] = 7053,
  [7436] = 7068,
  [7437] = 7120,
  [7438] = 7438,
  [7439] = 7064,
  [7440] = 7067,
  [7441] = 7068,
  [7442] = 7090,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7065,
  [7449] = 7179,
  [7450] = 7112,
  [7451] = 7451,
  [7452] = 7068,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7461,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7453,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7461,
  [7471] = 7464,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7464,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7476,
  [7482] = 7465,
  [7483] = 7455,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7455,
  [7488] = 7454,
  [7489] = 7454,
  [7490] = 7454,
  [7491] = 7491,
  [7492] = 7459,
  [7493] = 7461,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7464,
  [7498] = 7476,
  [7499] = 7459,
  [7500] = 7491,
  [7501] = 7465,
  [7502] = 7456,
  [7503] = 7458,
  [7504] = 7504,
  [7505] = 7462,
  [7506] = 7453,
  [7507] = 7467,
  [7508] = 7468,
  [7509] = 7461,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7479,
  [7513] = 7480,
  [7514] = 7464,
  [7515] = 7455,
  [7516] = 7516,
  [7517] = 7484,
  [7518] = 7453,
  [7519] = 7486,
  [7520] = 7454,
  [7521] = 7521,
  [7522] = 7522,
  [7523] = 7456,
  [7524] = 7491,
  [7525] = 7462,
  [7526] = 7460,
  [7527] = 7464,
  [7528] = 7462,
  [7529] = 7453,
  [7530] = 7476,
  [7531] = 7467,
  [7532] = 7532,
  [7533] = 7485,
  [7534] = 7516,
  [7535] = 7521,
  [7536] = 7455,
  [7537] = 7454,
  [7538] = 7475,
  [7539] = 7480,
  [7540] = 7459,
  [7541] = 7521,
  [7542] = 7484,
  [7543] = 7486,
  [7544] = 7475,
  [7545] = 7476,
  [7546] = 7546,
  [7547] = 7456,
  [7548] = 7456,
  [7549] = 7549,
  [7550] = 7462,
  [7551] = 7453,
  [7552] = 7472,
  [7553] = 7467,
  [7554] = 7554,
  [7555] = 7473,
  [7556] = 7465,
  [7557] = 7458,
  [7558] = 7460,
  [7559] = 7480,
  [7560] = 7510,
  [7561] = 7561,
  [7562] = 7462,
  [7563] = 7484,
  [7564] = 7469,
  [7565] = 7465,
  [7566] = 7456,
  [7567] = 7521,
  [7568] = 7462,
  [7569] = 7569,
  [7570] = 7467,
  [7571] = 7464,
  [7572] = 7516,
  [7573] = 7573,
  [7574] = 7480,
  [7575] = 7575,
  [7576] = 7453,
  [7577] = 7577,
  [7578] = 7467,
  [7579] = 7486,
  [7580] = 7521,
  [7581] = 7546,
  [7582] = 7465,
  [7583] = 7467,
  [7584] = 7472,
  [7585] = 7464,
  [7586] = 7465,
  [7587] = 7467,
  [7588] = 7521,
  [7589] = 7496,
  [7590] = 7468,
  [7591] = 7465,
  [7592] = 7468,
  [7593] = 7485,
  [7594] = 7516,
  [7595] = 7510,
  [7596] = 7596,
  [7597] = 7597,
  [7598] = 7575,
  [7599] = 7474,
  [7600] = 7464,
  [7601] = 7575,
  [7602] = 7602,
  [7603] = 7476,
  [7604] = 7472,
  [7605] = 7546,
  [7606] = 7465,
  [7607] = 7461,
  [7608] = 7608,
  [7609] = 7456,
  [7610] = 7469,
  [7611] = 7469,
  [7612] = 7496,
  [7613] = 7485,
  [7614] = 7614,
  [7615] = 7615,
  [7616] = 7459,
  [7617] = 7479,
  [7618] = 7618,
  [7619] = 7475,
  [7620] = 7474,
  [7621] = 7461,
  [7622] = 7464,
  [7623] = 7475,
  [7624] = 7624,
  [7625] = 7625,
  [7626] = 7494,
  [7627] = 7627,
  [7628] = 7476,
  [7629] = 7455,
  [7630] = 7630,
  [7631] = 7455,
  [7632] = 7454,
  [7633] = 7464,
  [7634] = 7476,
  [7635] = 7472,
  [7636] = 7496,
  [7637] = 7496,
  [7638] = 7494,
  [7639] = 7468,
  [7640] = 7615,
  [7641] = 7510,
  [7642] = 7456,
  [7643] = 7546,
  [7644] = 7479,
  [7645] = 7458,
  [7646] = 7510,
  [7647] = 7460,
  [7648] = 7480,
  [7649] = 7453,
  [7650] = 7462,
  [7651] = 7521,
  [7652] = 7652,
  [7653] = 7476,
  [7654] = 7465,
  [7655] = 7549,
  [7656] = 7455,
  [7657] = 7485,
  [7658] = 7546,
  [7659] = 7659,
  [7660] = 7459,
  [7661] = 7467,
  [7662] = 7510,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7472,
  [7666] = 7455,
  [7667] = 7454,
  [7668] = 7521,
  [7669] = 7468,
  [7670] = 7469,
  [7671] = 7494,
  [7672] = 7630,
  [7673] = 7575,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7676,
  [7677] = 7454,
  [7678] = 7516,
  [7679] = 7496,
  [7680] = 7546,
  [7681] = 7546,
  [7682] = 7682,
  [7683] = 7485,
  [7684] = 7549,
  [7685] = 7453,
  [7686] = 7458,
  [7687] = 7479,
  [7688] = 7688,
  [7689] = 7575,
  [7690] = 7615,
  [7691] = 7465,
  [7692] = 7480,
  [7693] = 7460,
  [7694] = 7467,
  [7695] = 7465,
  [7696] = 7696,
  [7697] = 7697,
  [7698] = 7521,
  [7699] = 7472,
  [7700] = 7615,
  [7701] = 7484,
  [7702] = 7455,
  [7703] = 7484,
  [7704] = 7496,
  [7705] = 7486,
  [7706] = 7464,
  [7707] = 7697,
  [7708] = 7465,
  [7709] = 7464,
  [7710] = 7710,
  [7711] = 7454,
  [7712] = 7652,
  [7713] = 7484,
  [7714] = 7714,
  [7715] = 7476,
  [7716] = 7472,
  [7717] = 7516,
  [7718] = 7455,
  [7719] = 7454,
  [7720] = 7455,
  [7721] = 7454,
  [7722] = 7521,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7460,
  [7726] = 7459,
  [7727] = 7615,
  [7728] = 7728,
  [7729] = 7464,
  [7730] = 7480,
  [7731] = 7731,
  [7732] = 7615,
  [7733] = 7485,
  [7734] = 7630,
  [7735] = 7549,
  [7736] = 7472,
  [7737] = 7521,
  [7738] = 7465,
  [7739] = 7469,
  [7740] = 7486,
  [7741] = 7485,
  [7742] = 7742,
  [7743] = 7472,
  [7744] = 7630,
  [7745] = 7453,
  [7746] = 7474,
  [7747] = 7475,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7510,
  [7753] = 7652,
  [7754] = 7474,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7464,
  [7758] = 7472,
  [7759] = 7652,
  [7760] = 7465,
  [7761] = 7465,
  [7762] = 7652,
  [7763] = 7763,
  [7764] = 7652,
  [7765] = 7464,
  [7766] = 7766,
  [7767] = 7652,
  [7768] = 7652,
  [7769] = 7652,
  [7770] = 7652,
  [7771] = 7652,
  [7772] = 7652,
  [7773] = 7652,
  [7774] = 7652,
  [7775] = 7652,
  [7776] = 7652,
  [7777] = 7652,
  [7778] = 7778,
  [7779] = 7521,
  [7780] = 7496,
  [7781] = 7491,
  [7782] = 7697,
  [7783] = 7472,
  [7784] = 7496,
  [7785] = 7697,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 5649,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 7796,
  [7797] = 7797,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7799,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7788,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 1868,
  [7810] = 7810,
  [7811] = 7811,
  [7812] = 7812,
  [7813] = 7813,
  [7814] = 7814,
  [7815] = 7815,
  [7816] = 7816,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7820,
  [7821] = 7821,
  [7822] = 7822,
  [7823] = 7808,
  [7824] = 7824,
  [7825] = 7825,
  [7826] = 7826,
  [7827] = 7827,
  [7828] = 7820,
  [7829] = 7812,
  [7830] = 7830,
  [7831] = 7831,
  [7832] = 7832,
  [7833] = 7833,
  [7834] = 7834,
  [7835] = 7818,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 7842,
  [7843] = 7834,
  [7844] = 7844,
  [7845] = 7845,
  [7846] = 7846,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 7825,
  [7851] = 7826,
  [7852] = 7852,
  [7853] = 7853,
  [7854] = 7854,
  [7855] = 7796,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7832,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7788,
  [7864] = 7864,
  [7865] = 7865,
  [7866] = 7791,
  [7867] = 7867,
  [7868] = 7818,
  [7869] = 7856,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7856,
  [7877] = 7877,
  [7878] = 7878,
  [7879] = 7879,
  [7880] = 7880,
  [7881] = 5661,
  [7882] = 7882,
  [7883] = 7825,
  [7884] = 7826,
  [7885] = 7827,
  [7886] = 7867,
  [7887] = 7852,
  [7888] = 7796,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7891,
  [7892] = 7840,
  [7893] = 7893,
  [7894] = 7834,
  [7895] = 7836,
  [7896] = 7896,
  [7897] = 7814,
  [7898] = 7898,
  [7899] = 7818,
  [7900] = 7791,
  [7901] = 7793,
  [7902] = 7794,
  [7903] = 7812,
  [7904] = 7792,
  [7905] = 7859,
  [7906] = 7906,
  [7907] = 7795,
  [7908] = 7871,
  [7909] = 7874,
  [7910] = 7910,
  [7911] = 7801,
  [7912] = 7802,
  [7913] = 7906,
  [7914] = 7914,
  [7915] = 7915,
  [7916] = 7916,
  [7917] = 7812,
  [7918] = 7838,
  [7919] = 7832,
  [7920] = 7792,
  [7921] = 7873,
  [7922] = 7922,
  [7923] = 7923,
  [7924] = 7867,
  [7925] = 7925,
  [7926] = 7860,
  [7927] = 7799,
  [7928] = 7889,
  [7929] = 7929,
  [7930] = 7836,
  [7931] = 7931,
  [7932] = 7791,
  [7933] = 7820,
  [7934] = 7934,
  [7935] = 7846,
  [7936] = 7860,
  [7937] = 7793,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 7940,
  [7941] = 7853,
  [7942] = 7882,
  [7943] = 7813,
  [7944] = 7944,
  [7945] = 7931,
  [7946] = 7814,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7808,
  [7955] = 7955,
  [7956] = 7875,
  [7957] = 7880,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7873,
  [7962] = 7923,
  [7963] = 7827,
  [7964] = 7964,
  [7965] = 7801,
  [7966] = 7802,
  [7967] = 7967,
  [7968] = 7968,
  [7969] = 7840,
  [7970] = 7807,
  [7971] = 7971,
  [7972] = 7972,
  [7973] = 7818,
  [7974] = 7974,
  [7975] = 7788,
  [7976] = 7976,
  [7977] = 7807,
  [7978] = 7792,
  [7979] = 7856,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7801,
  [7985] = 7802,
  [7986] = 7923,
  [7987] = 7836,
  [7988] = 7796,
  [7989] = 7813,
  [7990] = 7814,
  [7991] = 7991,
  [7992] = 7992,
  [7993] = 7993,
  [7994] = 7853,
  [7995] = 7853,
  [7996] = 7872,
  [7997] = 7816,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 7950,
  [8001] = 7824,
  [8002] = 7814,
  [8003] = 7816,
  [8004] = 7934,
  [8005] = 7818,
  [8006] = 7818,
  [8007] = 7852,
  [8008] = 7875,
  [8009] = 7891,
  [8010] = 7808,
  [8011] = 7914,
  [8012] = 8012,
  [8013] = 7931,
  [8014] = 7827,
  [8015] = 7856,
  [8016] = 7867,
  [8017] = 7820,
  [8018] = 7968,
  [8019] = 8019,
  [8020] = 7840,
  [8021] = 7953,
  [8022] = 8022,
  [8023] = 8023,
  [8024] = 7791,
  [8025] = 7938,
  [8026] = 8026,
  [8027] = 7890,
  [8028] = 7940,
  [8029] = 7792,
  [8030] = 7837,
  [8031] = 8031,
  [8032] = 7906,
  [8033] = 8033,
  [8034] = 7816,
  [8035] = 7801,
  [8036] = 7802,
  [8037] = 7793,
  [8038] = 7836,
  [8039] = 7923,
  [8040] = 7867,
  [8041] = 7808,
  [8042] = 7944,
  [8043] = 8043,
  [8044] = 8044,
  [8045] = 7853,
  [8046] = 7794,
  [8047] = 7818,
  [8048] = 7889,
  [8049] = 7856,
  [8050] = 8012,
  [8051] = 7856,
  [8052] = 7818,
  [8053] = 7798,
  [8054] = 8054,
  [8055] = 7818,
  [8056] = 7882,
  [8057] = 8057,
  [8058] = 7875,
  [8059] = 8059,
  [8060] = 7798,
  [8061] = 7856,
  [8062] = 8062,
  [8063] = 7832,
  [8064] = 7964,
  [8065] = 8065,
  [8066] = 7860,
  [8067] = 7840,
  [8068] = 8068,
  [8069] = 7856,
  [8070] = 8057,
  [8071] = 8071,
  [8072] = 7950,
  [8073] = 8073,
  [8074] = 7896,
  [8075] = 7827,
  [8076] = 7811,
  [8077] = 8077,
  [8078] = 8078,
  [8079] = 7801,
  [8080] = 7802,
  [8081] = 7967,
  [8082] = 7872,
  [8083] = 7794,
  [8084] = 7960,
  [8085] = 7982,
  [8086] = 7872,
  [8087] = 7816,
  [8088] = 7875,
  [8089] = 7844,
  [8090] = 7860,
  [8091] = 7953,
  [8092] = 7840,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 7802,
  [8096] = 8096,
  [8097] = 7944,
  [8098] = 7825,
  [8099] = 7826,
  [8100] = 7859,
  [8101] = 7875,
  [8102] = 8102,
  [8103] = 7867,
  [8104] = 7840,
  [8105] = 8062,
  [8106] = 7802,
  [8107] = 7854,
  [8108] = 7889,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 7875,
  [8112] = 7840,
  [8113] = 7802,
  [8114] = 7871,
  [8115] = 7934,
  [8116] = 7840,
  [8117] = 7802,
  [8118] = 7874,
  [8119] = 7906,
  [8120] = 7840,
  [8121] = 7802,
  [8122] = 7840,
  [8123] = 7802,
  [8124] = 7840,
  [8125] = 7802,
  [8126] = 7840,
  [8127] = 7802,
  [8128] = 7840,
  [8129] = 7802,
  [8130] = 7840,
  [8131] = 7802,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 7849,
  [8136] = 7938,
  [8137] = 8137,
  [8138] = 7980,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 7795,
  [8142] = 8142,
  [8143] = 7873,
  [8144] = 8144,
  [8145] = 7940,
  [8146] = 8012,
  [8147] = 8065,
  [8148] = 7791,
  [8149] = 8139,
  [8150] = 7948,
  [8151] = 8151,
  [8152] = 7852,
  [8153] = 7795,
  [8154] = 8154,
  [8155] = 7856,
  [8156] = 7791,
  [8157] = 7793,
  [8158] = 1872,
  [8159] = 8054,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 7794,
  [8163] = 7795,
  [8164] = 8164,
  [8165] = 7859,
  [8166] = 8166,
  [8167] = 8102,
  [8168] = 8168,
  [8169] = 7812,
  [8170] = 7833,
  [8171] = 7832,
  [8172] = 8172,
  [8173] = 7871,
  [8174] = 7874,
  [8175] = 7818,
  [8176] = 7871,
  [8177] = 7968,
  [8178] = 7960,
  [8179] = 7856,
  [8180] = 7812,
  [8181] = 7786,
  [8182] = 7871,
  [8183] = 8183,
  [8184] = 7944,
  [8185] = 8185,
  [8186] = 8142,
  [8187] = 8019,
  [8188] = 7948,
  [8189] = 8189,
  [8190] = 7873,
  [8191] = 8019,
  [8192] = 7820,
  [8193] = 7790,
  [8194] = 7833,
  [8195] = 8195,
  [8196] = 8196,
  [8197] = 7960,
  [8198] = 8198,
  [8199] = 7948,
  [8200] = 8200,
  [8201] = 8022,
  [8202] = 7873,
  [8203] = 8203,
  [8204] = 8022,
  [8205] = 8132,
  [8206] = 7948,
  [8207] = 7934,
  [8208] = 7938,
  [8209] = 7860,
  [8210] = 7940,
  [8211] = 7846,
  [8212] = 7934,
  [8213] = 7938,
  [8214] = 8214,
  [8215] = 7944,
  [8216] = 7940,
  [8217] = 7872,
  [8218] = 7964,
  [8219] = 8219,
  [8220] = 7874,
  [8221] = 7948,
  [8222] = 8031,
  [8223] = 8223,
  [8224] = 8043,
  [8225] = 7867,
  [8226] = 7791,
  [8227] = 7889,
  [8228] = 8228,
  [8229] = 7967,
  [8230] = 8031,
  [8231] = 7798,
  [8232] = 7982,
  [8233] = 7948,
  [8234] = 7872,
  [8235] = 7871,
  [8236] = 7890,
  [8237] = 7959,
  [8238] = 7838,
  [8239] = 7867,
  [8240] = 7812,
  [8241] = 8183,
  [8242] = 8242,
  [8243] = 7845,
  [8244] = 7873,
  [8245] = 7992,
  [8246] = 8057,
  [8247] = 7860,
  [8248] = 7992,
  [8249] = 8249,
  [8250] = 7934,
  [8251] = 7824,
  [8252] = 8252,
  [8253] = 5708,
  [8254] = 7890,
  [8255] = 7934,
  [8256] = 7938,
  [8257] = 7940,
  [8258] = 7836,
  [8259] = 7944,
  [8260] = 7993,
  [8261] = 7948,
  [8262] = 7837,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 7840,
  [8266] = 7872,
  [8267] = 7931,
  [8268] = 8268,
  [8269] = 7993,
  [8270] = 7959,
  [8271] = 8271,
  [8272] = 7906,
  [8273] = 8273,
  [8274] = 8274,
  [8275] = 8275,
  [8276] = 7959,
  [8277] = 7788,
  [8278] = 7852,
  [8279] = 7807,
  [8280] = 8164,
  [8281] = 7788,
  [8282] = 7825,
  [8283] = 8283,
  [8284] = 7938,
  [8285] = 7807,
  [8286] = 7940,
  [8287] = 7859,
  [8288] = 8062,
  [8289] = 7833,
  [8290] = 7814,
  [8291] = 7816,
  [8292] = 8043,
  [8293] = 7818,
  [8294] = 7867,
  [8295] = 8295,
  [8296] = 7796,
  [8297] = 7923,
  [8298] = 7844,
  [8299] = 7889,
  [8300] = 8300,
  [8301] = 7959,
  [8302] = 7818,
  [8303] = 8303,
  [8304] = 7890,
  [8305] = 7856,
  [8306] = 7814,
  [8307] = 8307,
  [8308] = 7846,
  [8309] = 7816,
  [8310] = 7971,
  [8311] = 8311,
  [8312] = 7871,
  [8313] = 7923,
  [8314] = 8314,
  [8315] = 7838,
  [8316] = 7818,
  [8317] = 8161,
  [8318] = 8318,
  [8319] = 7854,
  [8320] = 8012,
  [8321] = 8200,
  [8322] = 7856,
  [8323] = 7796,
  [8324] = 7798,
  [8325] = 7944,
  [8326] = 7792,
  [8327] = 8196,
  [8328] = 8328,
  [8329] = 8057,
  [8330] = 8012,
  [8331] = 8331,
  [8332] = 7971,
  [8333] = 7844,
  [8334] = 7849,
  [8335] = 7980,
  [8336] = 8139,
  [8337] = 8142,
  [8338] = 7845,
  [8339] = 8144,
  [8340] = 8340,
  [8341] = 7791,
  [8342] = 8137,
  [8343] = 8331,
  [8344] = 8344,
  [8345] = 8054,
  [8346] = 7824,
  [8347] = 8161,
  [8348] = 7853,
  [8349] = 8349,
  [8350] = 7786,
  [8351] = 8166,
  [8352] = 8102,
  [8353] = 7826,
  [8354] = 7871,
  [8355] = 8183,
  [8356] = 8356,
  [8357] = 8065,
  [8358] = 7948,
  [8359] = 8200,
  [8360] = 8132,
  [8361] = 7799,
  [8362] = 8057,
  [8363] = 7849,
  [8364] = 7980,
  [8365] = 8142,
  [8366] = 8012,
  [8367] = 8144,
  [8368] = 8368,
  [8369] = 8369,
  [8370] = 8054,
  [8371] = 7871,
  [8372] = 8161,
  [8373] = 8373,
  [8374] = 7791,
  [8375] = 8166,
  [8376] = 8102,
  [8377] = 8183,
  [8378] = 7793,
  [8379] = 7794,
  [8380] = 7795,
  [8381] = 8200,
  [8382] = 8132,
  [8383] = 7891,
  [8384] = 7849,
  [8385] = 7980,
  [8386] = 8142,
  [8387] = 7890,
  [8388] = 8144,
  [8389] = 8389,
  [8390] = 7856,
  [8391] = 8054,
  [8392] = 8161,
  [8393] = 7852,
  [8394] = 8394,
  [8395] = 8166,
  [8396] = 8102,
  [8397] = 8183,
  [8398] = 8398,
  [8399] = 7852,
  [8400] = 8400,
  [8401] = 8200,
  [8402] = 8132,
  [8403] = 7906,
  [8404] = 7849,
  [8405] = 7980,
  [8406] = 8142,
  [8407] = 8407,
  [8408] = 8144,
  [8409] = 8409,
  [8410] = 7923,
  [8411] = 8161,
  [8412] = 7791,
  [8413] = 7793,
  [8414] = 8166,
  [8415] = 8102,
  [8416] = 8183,
  [8417] = 7793,
  [8418] = 7798,
  [8419] = 7794,
  [8420] = 8200,
  [8421] = 8132,
  [8422] = 7795,
  [8423] = 7849,
  [8424] = 7980,
  [8425] = 7794,
  [8426] = 8144,
  [8427] = 7845,
  [8428] = 7867,
  [8429] = 8012,
  [8430] = 7856,
  [8431] = 8166,
  [8432] = 8102,
  [8433] = 8331,
  [8434] = 8434,
  [8435] = 7798,
  [8436] = 8200,
  [8437] = 8057,
  [8438] = 7849,
  [8439] = 7980,
  [8440] = 8144,
  [8441] = 7820,
  [8442] = 8102,
  [8443] = 8443,
  [8444] = 7923,
  [8445] = 8200,
  [8446] = 7872,
  [8447] = 7849,
  [8448] = 7980,
  [8449] = 8144,
  [8450] = 7871,
  [8451] = 8102,
  [8452] = 7799,
  [8453] = 8200,
  [8454] = 7849,
  [8455] = 7980,
  [8456] = 8144,
  [8457] = 8102,
  [8458] = 8200,
  [8459] = 7980,
  [8460] = 8102,
  [8461] = 8200,
  [8462] = 7980,
  [8463] = 8102,
  [8464] = 8200,
  [8465] = 8102,
  [8466] = 8200,
  [8467] = 8102,
  [8468] = 8200,
  [8469] = 8102,
  [8470] = 8200,
  [8471] = 8102,
  [8472] = 8200,
  [8473] = 8102,
  [8474] = 8200,
  [8475] = 7801,
  [8476] = 8057,
  [8477] = 8139,
  [8478] = 8478,
  [8479] = 8096,
  [8480] = 8078,
  [8481] = 7874,
  [8482] = 7836,
  [8483] = 7867,
  [8484] = 7837,
  [8485] = 7795,
  [8486] = 7889,
  [8487] = 7867,
  [8488] = 7802,
  [8489] = 8489,
  [8490] = 7832,
  [8491] = 7838,
  [8492] = 7871,
  [8493] = 7818,
  [8494] = 7812,
  [8495] = 7786,
  [8496] = 8263,
  [8497] = 7944,
  [8498] = 8498,
  [8499] = 7844,
  [8500] = 7891,
  [8501] = 7846,
  [8502] = 7812,
  [8503] = 7845,
  [8504] = 7931,
  [8505] = 7948,
  [8506] = 8166,
  [8507] = 8507,
  [8508] = 7959,
  [8509] = 7944,
  [8510] = 8510,
  [8511] = 7948,
  [8512] = 7808,
  [8513] = 7944,
  [8514] = 8514,
  [8515] = 7971,
  [8516] = 8516,
  [8517] = 7853,
  [8518] = 7872,
  [8519] = 8519,
  [8520] = 5640,
  [8521] = 7791,
  [8522] = 7992,
  [8523] = 8331,
  [8524] = 7788,
  [8525] = 7889,
  [8526] = 7993,
  [8527] = 8164,
  [8528] = 7948,
  [8529] = 8529,
  [8530] = 7889,
  [8531] = 7814,
  [8532] = 7818,
  [8533] = 7871,
  [8534] = 8534,
  [8535] = 8144,
  [8536] = 8536,
  [8537] = 7788,
  [8538] = 7923,
  [8539] = 7854,
  [8540] = 7856,
  [8541] = 8541,
  [8542] = 8478,
  [8543] = 8543,
  [8544] = 8544,
  [8545] = 8545,
  [8546] = 6808,
  [8547] = 8547,
  [8548] = 7859,
  [8549] = 7812,
  [8550] = 7992,
  [8551] = 7896,
  [8552] = 7993,
  [8553] = 7807,
  [8554] = 7832,
  [8555] = 8555,
  [8556] = 7818,
  [8557] = 8557,
  [8558] = 7948,
  [8559] = 8559,
  [8560] = 8560,
  [8561] = 8139,
  [8562] = 8478,
  [8563] = 8096,
  [8564] = 7856,
  [8565] = 7872,
  [8566] = 7875,
  [8567] = 7889,
  [8568] = 7786,
  [8569] = 8263,
  [8570] = 7824,
  [8571] = 7875,
  [8572] = 7999,
  [8573] = 7824,
  [8574] = 8139,
  [8575] = 8478,
  [8576] = 8096,
  [8577] = 8577,
  [8578] = 7788,
  [8579] = 7880,
  [8580] = 8263,
  [8581] = 7959,
  [8582] = 7791,
  [8583] = 7793,
  [8584] = 8478,
  [8585] = 8096,
  [8586] = 7788,
  [8587] = 7794,
  [8588] = 7786,
  [8589] = 8263,
  [8590] = 7795,
  [8591] = 7811,
  [8592] = 8478,
  [8593] = 8096,
  [8594] = 8594,
  [8595] = 8595,
  [8596] = 7786,
  [8597] = 8263,
  [8598] = 7807,
  [8599] = 8478,
  [8600] = 8096,
  [8601] = 8601,
  [8602] = 7786,
  [8603] = 8263,
  [8604] = 7825,
  [8605] = 7786,
  [8606] = 8263,
  [8607] = 7826,
  [8608] = 8263,
  [8609] = 7827,
  [8610] = 8263,
  [8611] = 8611,
  [8612] = 8263,
  [8613] = 8613,
  [8614] = 8263,
  [8615] = 7999,
  [8616] = 8263,
  [8617] = 7875,
  [8618] = 8263,
  [8619] = 8619,
  [8620] = 8263,
  [8621] = 8621,
  [8622] = 8263,
  [8623] = 7840,
  [8624] = 8263,
  [8625] = 8242,
  [8626] = 8094,
  [8627] = 7814,
  [8628] = 8242,
  [8629] = 8094,
  [8630] = 7799,
  [8631] = 8242,
  [8632] = 8094,
  [8633] = 8633,
  [8634] = 8242,
  [8635] = 8094,
  [8636] = 8636,
  [8637] = 8242,
  [8638] = 8094,
  [8639] = 7833,
  [8640] = 8094,
  [8641] = 8094,
  [8642] = 8094,
  [8643] = 8094,
  [8644] = 8094,
  [8645] = 8094,
  [8646] = 8094,
  [8647] = 8094,
  [8648] = 8094,
  [8649] = 8094,
  [8650] = 8094,
  [8651] = 7813,
  [8652] = 8652,
  [8653] = 7890,
  [8654] = 7820,
  [8655] = 8314,
  [8656] = 7847,
  [8657] = 7847,
  [8658] = 7847,
  [8659] = 7847,
  [8660] = 7847,
  [8661] = 8661,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 341,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 346,
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 416,
        '-', 406,
        '/', 425,
        '<', 451,
        '=', 271,
        '>', 442,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(434);
      if (lookahead == '|') ADVANCE(433);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(531);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(534);
      if (lookahead != 0) ADVANCE(535);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '\r') ADVANCE(536);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(325);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(539);
      if (lookahead != 0) ADVANCE(536);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(521);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(523);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(525);
      if (lookahead != 0) ADVANCE(522);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '(') ADVANCE(341);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(640);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 408,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 119,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 409,
        '.', 488,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 145,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 16,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 408,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 18,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 409,
        '.', 488,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 121,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 433,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 404,
        '"', 234,
        '%', 428,
        '&', 438,
        '(', 250,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '[', 280,
        '\\', 26,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 404,
        '"', 234,
        '%', 428,
        '&', 438,
        '(', 250,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '[', 281,
        '\\', 82,
        '^', 435,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 283,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '<', 269,
        '>', 272,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 6,
        ']', 282,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 431,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 287,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 4,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 306,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 291,
        '&', 436,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        '-', 410,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '>', 274,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 10,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 285,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '>', 441,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 8,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 12,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '&', 436,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 252,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 14,
        ']', 466,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 403,
        '\'', 521,
        '(', 402,
        ')', 344,
        '+', 421,
        '-', 414,
        '.', 312,
        '/', 252,
        '0', 495,
        'B', 636,
        'L', 565,
        'U', 566,
        '\\', 96,
        'u', 567,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 44,
        ']', 466,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 56,
        ']', 466,
        '^', 435,
        'u', 555,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 56,
        ']', 466,
        '^', 435,
        'u', 661,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 131,
        ']', 466,
        '^', 434,
        'u', 555,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 131,
        ']', 466,
        '^', 434,
        'u', 661,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 463,
        '\\', 30,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 40,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 66,
        '^', 435,
        'u', 555,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 66,
        '^', 435,
        'u', 661,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 463,
        '\\', 28,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 42,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 70,
        '^', 435,
        'u', 555,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 70,
        '^', 435,
        'u', 661,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 137,
        '^', 434,
        'u', 555,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 137,
        '^', 434,
        'u', 661,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 270,
        '#', 303,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 34,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 270,
        '#', 288,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 416,
        ',', 343,
        '-', 406,
        '/', 425,
        ':', 268,
        ';', 456,
        '<', 451,
        '=', 271,
        '>', 442,
        '[', 463,
        '\\', 22,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '0', 648,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 32,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 48,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 157,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 36,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 125,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 139,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 139,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 465,
        '\\', 72,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 60,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 123,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 147,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 151,
        ']', 466,
        '^', 434,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 151,
        ']', 466,
        '^', 434,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 52,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 471,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 129,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 464,
        '\\', 86,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 46,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 143,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 143,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 465,
        '\\', 155,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 54,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 149,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 464,
        '\\', 84,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 463,
        '\\', 80,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 50,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 141,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 141,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 465,
        '\\', 153,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '*', 424,
        '+', 422,
        ',', 343,
        '-', 415,
        '.', 251,
        '/', 426,
        '<', 449,
        '=', 468,
        '>', 443,
        '\\', 92,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 468,
        '>', 442,
        '?', 473,
        '[', 463,
        '\\', 38,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 58,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 268,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 133,
        ']', 282,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 135,
        '^', 434,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 68,
        '^', 434,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 127,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 159,
        '^', 434,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 159,
        '^', 434,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '"', 530,
        '&', 437,
        '(', 402,
        '*', 423,
        '/', 252,
        ':', 268,
        'L', 549,
        'U', 553,
        '[', 463,
        '\\', 74,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 556,
        'v', 616,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 530,
        ')', 344,
        ',', 343,
        '/', 252,
        ':', 471,
        'L', 548,
        'R', 550,
        'U', 552,
        '\\', 105,
        'u', 555,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(549);
      if (lookahead == 'U') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(657);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 292,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 62,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 284,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 416,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 20,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 286,
        '&', 437,
        '(', 402,
        '*', 423,
        ',', 343,
        '/', 252,
        ':', 268,
        ';', 456,
        '[', 463,
        '\\', 24,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 64,
        ']', 466,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 78,
        ']', 466,
        '{', 460,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 76,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 456,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 90,
        '{', 460,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '/', 252,
        ';', 456,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 88,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 436,
        '*', 423,
        '.', 257,
        '/', 252,
        ':', 268,
        '=', 467,
        '\\', 101,
        ']', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(521);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 402,
        ')', 344,
        ',', 343,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 464,
        '\\', 103,
        ']', 466,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 402,
        '/', 252,
        ':', 268,
        'F', 573,
        'T', 577,
        '[', 462,
        '\\', 94,
        'f', 583,
        't', 624,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(655);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(654);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(638);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(342);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 269:
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(273);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(543);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 279:
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(459);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(292);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(347);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(355);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(357);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(298);
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 306:
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 307:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 308:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 309:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 310:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(637);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(542);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(331);
      END_STATE();
    case 334:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(369);
      END_STATE();
    case 335:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 336:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 287,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 4,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 306,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(336);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(380);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(382);
      if (lookahead == 'n') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(645);
      if (lookahead == '\r') ADVANCE(639);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(363);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(370);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(368);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(644);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(369);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(369);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(338);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 's') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(394);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(483);
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(430);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(430);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(455);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(484);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(453);
      if (lookahead == '=') ADVANCE(446);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(453);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(446);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '1') ADVANCE(572);
      if (lookahead == '3') ADVANCE(570);
      if (lookahead == '6') ADVANCE(571);
      if (lookahead == '8') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(654);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 312,
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 309,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 311,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'B') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 316,
        '.', 308,
        'L', 503,
        'l', 506,
        'P', 307,
        'p', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(516);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(509);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(510);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(512);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(514);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '\r') ADVANCE(536);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(325);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(539);
      if (lookahead != 0) ADVANCE(536);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(533);
      if (lookahead == '/') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(532);
      if (lookahead == '/') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(533);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(532);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(533);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(531);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(534);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(536);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(538);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(540);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(541);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(543);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(649);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == '\'') ADVANCE(519);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '8') ADVANCE(560);
      if (lookahead == 'R') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(561);
      if (lookahead == 'R') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == '\'') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == 'R') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '8') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(572);
      if (lookahead == '3') ADVANCE(570);
      if (lookahead == '6') ADVANCE(571);
      if (lookahead == '8') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(546);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(578);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(579);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(574);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(627);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(605);
      if (lookahead == 'l') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(634);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(627);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'b') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(545);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(546);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'g') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'h') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(635);
      if (lookahead == 's') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(635);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(626);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(631);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(633);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 's') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'z') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(515);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(645);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(640);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(644);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(643);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(643);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(662);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(649);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == 'R') ADVANCE(663);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(664);
      if (lookahead == 'R') ADVANCE(665);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == 'R') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == 'P') ADVANCE(2);
      if (lookahead == '\\') SKIP(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'u') ADVANCE(21);
      if (lookahead == 'v') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(23);
      if (lookahead == 'x') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'R') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(28);
      if (lookahead == 'G') ADVANCE(29);
      if (lookahead == 'N') ADVANCE(30);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'f') ADVANCE(61);
      if (lookahead == 'p') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      if (lookahead == 'w') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'h') ADVANCE(73);
      if (lookahead == 'r') ADVANCE(74);
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'h') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(83);
      END_STATE();
    case 26:
      if (lookahead == 'O') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        'a', 89,
        'b', 90,
        'c', 91,
        'd', 92,
        'e', 93,
        'f', 94,
        'i', 95,
        'l', 96,
        'r', 97,
        's', 98,
        't', 99,
        'u', 100,
        'v', 101,
      );
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(106);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 43:
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(117);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(121);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(131);
      END_STATE();
    case 58:
      if (lookahead == 'w') ADVANCE(132);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(133);
      if (lookahead == 'r') ADVANCE(134);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 'f') ADVANCE(137);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(139);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(143);
      END_STATE();
    case 67:
      if (lookahead == 'g') ADVANCE(144);
      if (lookahead == 'q') ADVANCE(145);
      if (lookahead == 's') ADVANCE(146);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(149);
      if (lookahead == 'z') ADVANCE(150);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(151);
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 75:
      if (lookahead == 'p') ADVANCE(158);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(164);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 83:
      if (lookahead == 'L') ADVANCE(167);
      END_STATE();
    case 84:
      if (lookahead == 'G') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(174);
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 'l') ADVANCE(179);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 93:
      if (lookahead == 'x') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == 'o') ADVANCE(184);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(188);
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(190);
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 'p') ADVANCE(193);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == 'o') ADVANCE(195);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(196);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(198);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(199);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(200);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'o') ADVANCE(202);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(208);
      if (lookahead == 'r') ADVANCE(209);
      if (lookahead == 'y') ADVANCE(210);
      END_STATE();
    case 115:
      if (lookahead == 'p') ADVANCE(211);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(212);
      if (lookahead == 's') ADVANCE(213);
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(216);
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 121:
      if (lookahead == 'm') ADVANCE(220);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(223);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(225);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 129:
      if (lookahead == 'g') ADVANCE(227);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 133:
      if (lookahead == 'x') ADVANCE(230);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 138:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 141:
      if (lookahead == 'v') ADVANCE(238);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 145:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 147:
      if (lookahead == 'u') ADVANCE(244);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(249);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(250);
      END_STATE();
    case 154:
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(252);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(253);
      if (lookahead == 'o') ADVANCE(254);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 164:
      if (lookahead == 'l') ADVANCE(261);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(263);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 168:
      if (lookahead == 'M') ADVANCE(264);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(265);
      END_STATE();
    case 170:
      if (lookahead == 'm') ADVANCE(266);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 175:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(273);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(275);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 181:
      if (lookahead == 'c') ADVANCE(277);
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(283);
      END_STATE();
    case 187:
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 189:
      if (lookahead == 'd') ADVANCE(286);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(287);
      if (lookahead == 'r') ADVANCE(288);
      END_STATE();
    case 191:
      if (lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 196:
      if (lookahead == 'g') ADVANCE(294);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 198:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 201:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 202:
      if (lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 203:
      if (lookahead == 'k') ADVANCE(300);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 206:
      if (lookahead == 'h') ADVANCE(301);
      END_STATE();
    case 207:
      if (lookahead == 's') ADVANCE(302);
      END_STATE();
    case 208:
      if (lookahead == 'w') ADVANCE(303);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 211:
      if (lookahead == 'l') ADVANCE(306);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 216:
      if (lookahead == 'u') ADVANCE(311);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(312);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(316);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 226:
      if (lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(319);
      END_STATE();
    case 229:
      if (lookahead == 's') ADVANCE(320);
      END_STATE();
    case 230:
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 231:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 233:
      if (lookahead == 'p') ADVANCE(324);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 236:
      if (lookahead == 'q') ADVANCE(327);
      END_STATE();
    case 237:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(329);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(331);
      END_STATE();
    case 241:
      if (lookahead == 's') ADVANCE(332);
      END_STATE();
    case 242:
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 243:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 244:
      if (lookahead == 'r') ADVANCE(335);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 247:
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(340);
      END_STATE();
    case 250:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(342);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 253:
      if (lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 254:
      if (lookahead == 'w') ADVANCE(344);
      END_STATE();
    case 255:
      if (lookahead == 'd') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(349);
      END_STATE();
    case 259:
      if (lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(352);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_word);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 264:
      if (lookahead == 'E') ADVANCE(354);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(355);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 267:
      if (lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 268:
      if (lookahead == 'u') ADVANCE(358);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 270:
      if (lookahead == 'g') ADVANCE(360);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(361);
      END_STATE();
    case 272:
      if (lookahead == 'r') ADVANCE(362);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(364);
      END_STATE();
    case 275:
      if (lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 280:
      if (lookahead == 'a') ADVANCE(370);
      END_STATE();
    case 281:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 283:
      if (lookahead == 'v') ADVANCE(373);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 286:
      if (lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 287:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(381);
      END_STATE();
    case 293:
      if (lookahead == 'a') ADVANCE(382);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 296:
      if (lookahead == 'a') ADVANCE(385);
      if (lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 297:
      if (lookahead == 'q') ADVANCE(387);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(388);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 303:
      if (lookahead == 'a') ADVANCE(389);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(390);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 310:
      if (lookahead == 'y') ADVANCE(396);
      END_STATE();
    case 311:
      if (lookahead == 'l') ADVANCE(397);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 314:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 319:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 320:
      if (lookahead == 'p') ADVANCE(405);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 322:
      if (lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 323:
      if (lookahead == 'q') ADVANCE(408);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(409);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 328:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 330:
      if (lookahead == 'c') ADVANCE(414);
      END_STATE();
    case 331:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 333:
      if (lookahead == 'r') ADVANCE(417);
      END_STATE();
    case 334:
      if (lookahead == 'i') ADVANCE(418);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(420);
      END_STATE();
    case 338:
      if (lookahead == 'f') ADVANCE(421);
      END_STATE();
    case 339:
      if (lookahead == 'c') ADVANCE(422);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(423);
      END_STATE();
    case 341:
      if (lookahead == 'h') ADVANCE(424);
      END_STATE();
    case 342:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(426);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(427);
      END_STATE();
    case 346:
      if (lookahead == 'a') ADVANCE(428);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 350:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 351:
      if (lookahead == 'i') ADVANCE(431);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 353:
      if (lookahead == 'q') ADVANCE(432);
      END_STATE();
    case 354:
      if (lookahead == 'M') ADVANCE(433);
      END_STATE();
    case 355:
      if (lookahead == 'a') ADVANCE(434);
      if (lookahead == 'o') ADVANCE(435);
      END_STATE();
    case 356:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 357:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 359:
      if (lookahead == 'u') ADVANCE(439);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(440);
      END_STATE();
    case 361:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 363:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(444);
      END_STATE();
    case 365:
      if (lookahead == 'a') ADVANCE(445);
      END_STATE();
    case 366:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 367:
      if (lookahead == 'p') ADVANCE(447);
      END_STATE();
    case 368:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 369:
      if (lookahead == 'c') ADVANCE(449);
      END_STATE();
    case 370:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 373:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 374:
      if (lookahead == 'r') ADVANCE(454);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 376:
      if (lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 377:
      if (lookahead == 'c') ADVANCE(456);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 379:
      if (lookahead == 'i') ADVANCE(458);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 381:
      if (lookahead == 'o') ADVANCE(459);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(460);
      END_STATE();
    case 383:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 384:
      if (lookahead == 'g') ADVANCE(462);
      END_STATE();
    case 385:
      if (lookahead == 's') ADVANCE(463);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(464);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 389:
      if (lookahead == 'i') ADVANCE(465);
      END_STATE();
    case 390:
      if (lookahead == 'u') ADVANCE(466);
      END_STATE();
    case 391:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 393:
      if (lookahead == 'v') ADVANCE(469);
      if (lookahead == 'x') ADVANCE(470);
      END_STATE();
    case 394:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 395:
      if (lookahead == 'u') ADVANCE(472);
      END_STATE();
    case 396:
      if (lookahead == 'p') ADVANCE(473);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 398:
      if (lookahead == 'd') ADVANCE(475);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 400:
      if (lookahead == 'i') ADVANCE(476);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 404:
      if (lookahead == 'e') ADVANCE(477);
      END_STATE();
    case 405:
      if (lookahead == 'a') ADVANCE(478);
      END_STATE();
    case 406:
      if (lookahead == 'p') ADVANCE(479);
      END_STATE();
    case 407:
      if (lookahead == 'r') ADVANCE(480);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 409:
      if (lookahead == 'r') ADVANCE(481);
      END_STATE();
    case 410:
      if (lookahead == 'o') ADVANCE(482);
      END_STATE();
    case 411:
      if (lookahead == 'o') ADVANCE(483);
      END_STATE();
    case 412:
      if (lookahead == 'd') ADVANCE(484);
      END_STATE();
    case 413:
      if (lookahead == 'e') ADVANCE(485);
      END_STATE();
    case 414:
      if (lookahead == 't') ADVANCE(486);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 416:
      if (lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 418:
      if (lookahead == 'c') ADVANCE(489);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(490);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 425:
      if (lookahead == 't') ADVANCE(491);
      END_STATE();
    case 426:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 427:
      if (lookahead == 'f') ADVANCE(493);
      END_STATE();
    case 428:
      if (lookahead == 'm') ADVANCE(494);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(495);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(496);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_PROGMEM);
      END_STATE();
    case 434:
      if (lookahead == 's') ADVANCE(498);
      END_STATE();
    case 435:
      if (lookahead == 'f') ADVANCE(499);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 437:
      if (lookahead == 'c') ADVANCE(500);
      END_STATE();
    case 438:
      if (lookahead == 'l') ADVANCE(501);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(502);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 442:
      if (lookahead == 'b') ADVANCE(504);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 445:
      if (lookahead == 'l') ADVANCE(505);
      END_STATE();
    case 446:
      if (lookahead == 'p') ADVANCE(506);
      END_STATE();
    case 447:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 448:
      if (lookahead == 's') ADVANCE(508);
      END_STATE();
    case 449:
      if (lookahead == 'a') ADVANCE(509);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(510);
      END_STATE();
    case 451:
      if (lookahead == 'i') ADVANCE(511);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 454:
      if (lookahead == 'i') ADVANCE(513);
      END_STATE();
    case 455:
      if (lookahead == 'l') ADVANCE(514);
      END_STATE();
    case 456:
      if (lookahead == 'a') ADVANCE(515);
      END_STATE();
    case 457:
      if (lookahead == 'd') ADVANCE(516);
      END_STATE();
    case 458:
      if (lookahead == 'g') ADVANCE(517);
      END_STATE();
    case 459:
      if (lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 460:
      if (lookahead == 'i') ADVANCE(519);
      END_STATE();
    case 461:
      if (lookahead == 'f') ADVANCE(520);
      END_STATE();
    case 462:
      if (lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 465:
      if (lookahead == 't') ADVANCE(522);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(523);
      END_STATE();
    case 467:
      if (lookahead == 'd') ADVANCE(524);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(525);
      END_STATE();
    case 470:
      if (lookahead == 'p') ADVANCE(526);
      END_STATE();
    case 471:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(529);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 476:
      if (lookahead == 't') ADVANCE(530);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 478:
      if (lookahead == 'c') ADVANCE(531);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 482:
      if (lookahead == 'f') ADVANCE(534);
      END_STATE();
    case 483:
      if (lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 486:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 487:
      if (lookahead == 'r') ADVANCE(538);
      END_STATE();
    case 488:
      if (lookahead == 's') ADVANCE(539);
      END_STATE();
    case 489:
      if (lookahead == 't') ADVANCE(540);
      END_STATE();
    case 490:
      if (lookahead == 'a') ADVANCE(541);
      END_STATE();
    case 491:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(543);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 494:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 495:
      if (lookahead == 'd') ADVANCE(545);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 497:
      if (lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 502:
      if (lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 503:
      if (lookahead == 'f') ADVANCE(548);
      END_STATE();
    case 504:
      if (lookahead == 'u') ADVANCE(549);
      END_STATE();
    case 505:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(551);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 508:
      if (lookahead == 'i') ADVANCE(552);
      END_STATE();
    case 509:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 510:
      if (lookahead == 'y') ADVANCE(554);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(556);
      END_STATE();
    case 513:
      if (lookahead == 'c') ADVANCE(557);
      END_STATE();
    case 514:
      if (lookahead == 'l') ADVANCE(558);
      END_STATE();
    case 515:
      if (lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 517:
      if (lookahead == 'n') ADVANCE(560);
      END_STATE();
    case 518:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 519:
      if (lookahead == 'l') ADVANCE(562);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 521:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 523:
      if (lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 525:
      if (lookahead == 'l') ADVANCE(565);
      END_STATE();
    case 526:
      if (lookahead == 'r') ADVANCE(566);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(567);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 531:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(569);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 541:
      if (lookahead == 's') ADVANCE(570);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 543:
      if (lookahead == 'o') ADVANCE(571);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 551:
      if (lookahead == 'c') ADVANCE(574);
      END_STATE();
    case 552:
      if (lookahead == 'o') ADVANCE(575);
      END_STATE();
    case 553:
      if (lookahead == 'l') ADVANCE(576);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 555:
      if (lookahead == 'l') ADVANCE(577);
      END_STATE();
    case 556:
      if (lookahead == '_') ADVANCE(578);
      END_STATE();
    case 557:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 559:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(582);
      END_STATE();
    case 562:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 563:
      if (lookahead == 'd') ADVANCE(584);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 570:
      if (lookahead == 's') ADVANCE(585);
      END_STATE();
    case 571:
      if (lookahead == 'c') ADVANCE(586);
      END_STATE();
    case 572:
      if (lookahead == '_') ADVANCE(587);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(588);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 575:
      if (lookahead == 'n') ADVANCE(589);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 577:
      if (lookahead == 'i') ADVANCE(590);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(591);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 581:
      if (lookahead == 'd') ADVANCE(592);
      END_STATE();
    case 582:
      if (lookahead == 'l') ADVANCE(593);
      END_STATE();
    case 583:
      if (lookahead == '_') ADVANCE(594);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 585:
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 586:
      if (lookahead == 'a') ADVANCE(596);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(597);
      END_STATE();
    case 589:
      if (lookahead == '_') ADVANCE(598);
      END_STATE();
    case 590:
      if (lookahead == 'n') ADVANCE(599);
      END_STATE();
    case 591:
      if (lookahead == '_') ADVANCE(600);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 593:
      if (lookahead == 'l') ADVANCE(601);
      END_STATE();
    case 594:
      if (lookahead == '_') ADVANCE(602);
      END_STATE();
    case 595:
      if (lookahead == 'r') ADVANCE(603);
      END_STATE();
    case 596:
      if (lookahead == 'l') ADVANCE(604);
      END_STATE();
    case 597:
      if (lookahead == '_') ADVANCE(605);
      END_STATE();
    case 598:
      if (lookahead == '_') ADVANCE(606);
      END_STATE();
    case 599:
      if (lookahead == 'e') ADVANCE(607);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 603:
      if (lookahead == 't') ADVANCE(608);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 336},
  [2] = {.lex_state = 336},
  [3] = {.lex_state = 336},
  [4] = {.lex_state = 336},
  [5] = {.lex_state = 336},
  [6] = {.lex_state = 336},
  [7] = {.lex_state = 336},
  [8] = {.lex_state = 336},
  [9] = {.lex_state = 336},
  [10] = {.lex_state = 336},
  [11] = {.lex_state = 336},
  [12] = {.lex_state = 336},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 336},
  [35] = {.lex_state = 172},
  [36] = {.lex_state = 336},
  [37] = {.lex_state = 172},
  [38] = {.lex_state = 336},
  [39] = {.lex_state = 336},
  [40] = {.lex_state = 336},
  [41] = {.lex_state = 336},
  [42] = {.lex_state = 336},
  [43] = {.lex_state = 336},
  [44] = {.lex_state = 336},
  [45] = {.lex_state = 336},
  [46] = {.lex_state = 336},
  [47] = {.lex_state = 336},
  [48] = {.lex_state = 172},
  [49] = {.lex_state = 336},
  [50] = {.lex_state = 336},
  [51] = {.lex_state = 336},
  [52] = {.lex_state = 336},
  [53] = {.lex_state = 336},
  [54] = {.lex_state = 336},
  [55] = {.lex_state = 336},
  [56] = {.lex_state = 336},
  [57] = {.lex_state = 336},
  [58] = {.lex_state = 336},
  [59] = {.lex_state = 336},
  [60] = {.lex_state = 336},
  [61] = {.lex_state = 336},
  [62] = {.lex_state = 336},
  [63] = {.lex_state = 336},
  [64] = {.lex_state = 336},
  [65] = {.lex_state = 336},
  [66] = {.lex_state = 336},
  [67] = {.lex_state = 336},
  [68] = {.lex_state = 336},
  [69] = {.lex_state = 336},
  [70] = {.lex_state = 336},
  [71] = {.lex_state = 336},
  [72] = {.lex_state = 336},
  [73] = {.lex_state = 336},
  [74] = {.lex_state = 336},
  [75] = {.lex_state = 336},
  [76] = {.lex_state = 336},
  [77] = {.lex_state = 336},
  [78] = {.lex_state = 336},
  [79] = {.lex_state = 336},
  [80] = {.lex_state = 336},
  [81] = {.lex_state = 336},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 336},
  [88] = {.lex_state = 336},
  [89] = {.lex_state = 336},
  [90] = {.lex_state = 172},
  [91] = {.lex_state = 336},
  [92] = {.lex_state = 172},
  [93] = {.lex_state = 336},
  [94] = {.lex_state = 172},
  [95] = {.lex_state = 336},
  [96] = {.lex_state = 336},
  [97] = {.lex_state = 172},
  [98] = {.lex_state = 172},
  [99] = {.lex_state = 336},
  [100] = {.lex_state = 336},
  [101] = {.lex_state = 336},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 171},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 171},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 173},
  [122] = {.lex_state = 173},
  [123] = {.lex_state = 173},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 171},
  [126] = {.lex_state = 171},
  [127] = {.lex_state = 171},
  [128] = {.lex_state = 171},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 171},
  [131] = {.lex_state = 171},
  [132] = {.lex_state = 336},
  [133] = {.lex_state = 336},
  [134] = {.lex_state = 162},
  [135] = {.lex_state = 174},
  [136] = {.lex_state = 174},
  [137] = {.lex_state = 174},
  [138] = {.lex_state = 174},
  [139] = {.lex_state = 174},
  [140] = {.lex_state = 174},
  [141] = {.lex_state = 174},
  [142] = {.lex_state = 174},
  [143] = {.lex_state = 174},
  [144] = {.lex_state = 174},
  [145] = {.lex_state = 162},
  [146] = {.lex_state = 174},
  [147] = {.lex_state = 174},
  [148] = {.lex_state = 174},
  [149] = {.lex_state = 174},
  [150] = {.lex_state = 174},
  [151] = {.lex_state = 174},
  [152] = {.lex_state = 174},
  [153] = {.lex_state = 174},
  [154] = {.lex_state = 174},
  [155] = {.lex_state = 174},
  [156] = {.lex_state = 174},
  [157] = {.lex_state = 174},
  [158] = {.lex_state = 174},
  [159] = {.lex_state = 174},
  [160] = {.lex_state = 174},
  [161] = {.lex_state = 174},
  [162] = {.lex_state = 162},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 171},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 171},
  [169] = {.lex_state = 171},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 171},
  [173] = {.lex_state = 171},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 171},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 171},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 171},
  [192] = {.lex_state = 171},
  [193] = {.lex_state = 171},
  [194] = {.lex_state = 171},
  [195] = {.lex_state = 171},
  [196] = {.lex_state = 171},
  [197] = {.lex_state = 171},
  [198] = {.lex_state = 171},
  [199] = {.lex_state = 171},
  [200] = {.lex_state = 171},
  [201] = {.lex_state = 171},
  [202] = {.lex_state = 171},
  [203] = {.lex_state = 171},
  [204] = {.lex_state = 171},
  [205] = {.lex_state = 171},
  [206] = {.lex_state = 171},
  [207] = {.lex_state = 171},
  [208] = {.lex_state = 164},
  [209] = {.lex_state = 171},
  [210] = {.lex_state = 171},
  [211] = {.lex_state = 171},
  [212] = {.lex_state = 171},
  [213] = {.lex_state = 171},
  [214] = {.lex_state = 171},
  [215] = {.lex_state = 171},
  [216] = {.lex_state = 171},
  [217] = {.lex_state = 336},
  [218] = {.lex_state = 162},
  [219] = {.lex_state = 336},
  [220] = {.lex_state = 336},
  [221] = {.lex_state = 165},
  [222] = {.lex_state = 336},
  [223] = {.lex_state = 169},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 164},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 174},
  [229] = {.lex_state = 174},
  [230] = {.lex_state = 169},
  [231] = {.lex_state = 169},
  [232] = {.lex_state = 174},
  [233] = {.lex_state = 174},
  [234] = {.lex_state = 174},
  [235] = {.lex_state = 171},
  [236] = {.lex_state = 171},
  [237] = {.lex_state = 174},
  [238] = {.lex_state = 174},
  [239] = {.lex_state = 169},
  [240] = {.lex_state = 174},
  [241] = {.lex_state = 174},
  [242] = {.lex_state = 174},
  [243] = {.lex_state = 174},
  [244] = {.lex_state = 174},
  [245] = {.lex_state = 171},
  [246] = {.lex_state = 174},
  [247] = {.lex_state = 174},
  [248] = {.lex_state = 169},
  [249] = {.lex_state = 174},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 174},
  [252] = {.lex_state = 174},
  [253] = {.lex_state = 171},
  [254] = {.lex_state = 171},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 171},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 169},
  [264] = {.lex_state = 169},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 169},
  [269] = {.lex_state = 169},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 174},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 171},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 169},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 169},
  [284] = {.lex_state = 169},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 169},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 171},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 173},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 173},
  [294] = {.lex_state = 169},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 171},
  [299] = {.lex_state = 169},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 169},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 169},
  [307] = {.lex_state = 169},
  [308] = {.lex_state = 336},
  [309] = {.lex_state = 169},
  [310] = {.lex_state = 169},
  [311] = {.lex_state = 336},
  [312] = {.lex_state = 169},
  [313] = {.lex_state = 169},
  [314] = {.lex_state = 169},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 169},
  [317] = {.lex_state = 169},
  [318] = {.lex_state = 169},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 169},
  [321] = {.lex_state = 169},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 169},
  [324] = {.lex_state = 169},
  [325] = {.lex_state = 169},
  [326] = {.lex_state = 169},
  [327] = {.lex_state = 169},
  [328] = {.lex_state = 169},
  [329] = {.lex_state = 169},
  [330] = {.lex_state = 169},
  [331] = {.lex_state = 169},
  [332] = {.lex_state = 169},
  [333] = {.lex_state = 169},
  [334] = {.lex_state = 169},
  [335] = {.lex_state = 169},
  [336] = {.lex_state = 169},
  [337] = {.lex_state = 169},
  [338] = {.lex_state = 169},
  [339] = {.lex_state = 169},
  [340] = {.lex_state = 169},
  [341] = {.lex_state = 169},
  [342] = {.lex_state = 169},
  [343] = {.lex_state = 169},
  [344] = {.lex_state = 169},
  [345] = {.lex_state = 169},
  [346] = {.lex_state = 169},
  [347] = {.lex_state = 169},
  [348] = {.lex_state = 169},
  [349] = {.lex_state = 169},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 336},
  [352] = {.lex_state = 174},
  [353] = {.lex_state = 172},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 169},
  [356] = {.lex_state = 172},
  [357] = {.lex_state = 169},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 169},
  [360] = {.lex_state = 169},
  [361] = {.lex_state = 171},
  [362] = {.lex_state = 174},
  [363] = {.lex_state = 336},
  [364] = {.lex_state = 174},
  [365] = {.lex_state = 174},
  [366] = {.lex_state = 174},
  [367] = {.lex_state = 174},
  [368] = {.lex_state = 174},
  [369] = {.lex_state = 174},
  [370] = {.lex_state = 174},
  [371] = {.lex_state = 174},
  [372] = {.lex_state = 174},
  [373] = {.lex_state = 174},
  [374] = {.lex_state = 171},
  [375] = {.lex_state = 169},
  [376] = {.lex_state = 169},
  [377] = {.lex_state = 169},
  [378] = {.lex_state = 169},
  [379] = {.lex_state = 169},
  [380] = {.lex_state = 169},
  [381] = {.lex_state = 169},
  [382] = {.lex_state = 169},
  [383] = {.lex_state = 169},
  [384] = {.lex_state = 169},
  [385] = {.lex_state = 169},
  [386] = {.lex_state = 169},
  [387] = {.lex_state = 169},
  [388] = {.lex_state = 169},
  [389] = {.lex_state = 169},
  [390] = {.lex_state = 169},
  [391] = {.lex_state = 236},
  [392] = {.lex_state = 172},
  [393] = {.lex_state = 172},
  [394] = {.lex_state = 236},
  [395] = {.lex_state = 236},
  [396] = {.lex_state = 236},
  [397] = {.lex_state = 236},
  [398] = {.lex_state = 236},
  [399] = {.lex_state = 236},
  [400] = {.lex_state = 236},
  [401] = {.lex_state = 236},
  [402] = {.lex_state = 336},
  [403] = {.lex_state = 236},
  [404] = {.lex_state = 236},
  [405] = {.lex_state = 236},
  [406] = {.lex_state = 236},
  [407] = {.lex_state = 236},
  [408] = {.lex_state = 236},
  [409] = {.lex_state = 236},
  [410] = {.lex_state = 336},
  [411] = {.lex_state = 336},
  [412] = {.lex_state = 172},
  [413] = {.lex_state = 172},
  [414] = {.lex_state = 336},
  [415] = {.lex_state = 172},
  [416] = {.lex_state = 172},
  [417] = {.lex_state = 172},
  [418] = {.lex_state = 336},
  [419] = {.lex_state = 336},
  [420] = {.lex_state = 336},
  [421] = {.lex_state = 336},
  [422] = {.lex_state = 336},
  [423] = {.lex_state = 336},
  [424] = {.lex_state = 336},
  [425] = {.lex_state = 336},
  [426] = {.lex_state = 336},
  [427] = {.lex_state = 336},
  [428] = {.lex_state = 336},
  [429] = {.lex_state = 336},
  [430] = {.lex_state = 336},
  [431] = {.lex_state = 336},
  [432] = {.lex_state = 336},
  [433] = {.lex_state = 336},
  [434] = {.lex_state = 336},
  [435] = {.lex_state = 336},
  [436] = {.lex_state = 336},
  [437] = {.lex_state = 336},
  [438] = {.lex_state = 336},
  [439] = {.lex_state = 336},
  [440] = {.lex_state = 336},
  [441] = {.lex_state = 336},
  [442] = {.lex_state = 172},
  [443] = {.lex_state = 172},
  [444] = {.lex_state = 172},
  [445] = {.lex_state = 172},
  [446] = {.lex_state = 172},
  [447] = {.lex_state = 172},
  [448] = {.lex_state = 172},
  [449] = {.lex_state = 172},
  [450] = {.lex_state = 336},
  [451] = {.lex_state = 172},
  [452] = {.lex_state = 172},
  [453] = {.lex_state = 172},
  [454] = {.lex_state = 172},
  [455] = {.lex_state = 172},
  [456] = {.lex_state = 172},
  [457] = {.lex_state = 172},
  [458] = {.lex_state = 172},
  [459] = {.lex_state = 172},
  [460] = {.lex_state = 336},
  [461] = {.lex_state = 336},
  [462] = {.lex_state = 336},
  [463] = {.lex_state = 172},
  [464] = {.lex_state = 172},
  [465] = {.lex_state = 336},
  [466] = {.lex_state = 172},
  [467] = {.lex_state = 172},
  [468] = {.lex_state = 172},
  [469] = {.lex_state = 172},
  [470] = {.lex_state = 172},
  [471] = {.lex_state = 336},
  [472] = {.lex_state = 172},
  [473] = {.lex_state = 172},
  [474] = {.lex_state = 172},
  [475] = {.lex_state = 172},
  [476] = {.lex_state = 172},
  [477] = {.lex_state = 172},
  [478] = {.lex_state = 336},
  [479] = {.lex_state = 172},
  [480] = {.lex_state = 172},
  [481] = {.lex_state = 172},
  [482] = {.lex_state = 172},
  [483] = {.lex_state = 336},
  [484] = {.lex_state = 172},
  [485] = {.lex_state = 172},
  [486] = {.lex_state = 172},
  [487] = {.lex_state = 172},
  [488] = {.lex_state = 336},
  [489] = {.lex_state = 336},
  [490] = {.lex_state = 336},
  [491] = {.lex_state = 336},
  [492] = {.lex_state = 336},
  [493] = {.lex_state = 336},
  [494] = {.lex_state = 336},
  [495] = {.lex_state = 336},
  [496] = {.lex_state = 336},
  [497] = {.lex_state = 336},
  [498] = {.lex_state = 336},
  [499] = {.lex_state = 336},
  [500] = {.lex_state = 336},
  [501] = {.lex_state = 336},
  [502] = {.lex_state = 336},
  [503] = {.lex_state = 336},
  [504] = {.lex_state = 336},
  [505] = {.lex_state = 336},
  [506] = {.lex_state = 336},
  [507] = {.lex_state = 336},
  [508] = {.lex_state = 336},
  [509] = {.lex_state = 336},
  [510] = {.lex_state = 336},
  [511] = {.lex_state = 336},
  [512] = {.lex_state = 336},
  [513] = {.lex_state = 336},
  [514] = {.lex_state = 336},
  [515] = {.lex_state = 336},
  [516] = {.lex_state = 336},
  [517] = {.lex_state = 336},
  [518] = {.lex_state = 336},
  [519] = {.lex_state = 336},
  [520] = {.lex_state = 336},
  [521] = {.lex_state = 336},
  [522] = {.lex_state = 336},
  [523] = {.lex_state = 336},
  [524] = {.lex_state = 336},
  [525] = {.lex_state = 336},
  [526] = {.lex_state = 336},
  [527] = {.lex_state = 336},
  [528] = {.lex_state = 336},
  [529] = {.lex_state = 336},
  [530] = {.lex_state = 336},
  [531] = {.lex_state = 336},
  [532] = {.lex_state = 336},
  [533] = {.lex_state = 336},
  [534] = {.lex_state = 336},
  [535] = {.lex_state = 336},
  [536] = {.lex_state = 336},
  [537] = {.lex_state = 336},
  [538] = {.lex_state = 336},
  [539] = {.lex_state = 336},
  [540] = {.lex_state = 336},
  [541] = {.lex_state = 172},
  [542] = {.lex_state = 172},
  [543] = {.lex_state = 172},
  [544] = {.lex_state = 172},
  [545] = {.lex_state = 172},
  [546] = {.lex_state = 172},
  [547] = {.lex_state = 172},
  [548] = {.lex_state = 172},
  [549] = {.lex_state = 172},
  [550] = {.lex_state = 172},
  [551] = {.lex_state = 172},
  [552] = {.lex_state = 172},
  [553] = {.lex_state = 172},
  [554] = {.lex_state = 172},
  [555] = {.lex_state = 172},
  [556] = {.lex_state = 172},
  [557] = {.lex_state = 172},
  [558] = {.lex_state = 172},
  [559] = {.lex_state = 172},
  [560] = {.lex_state = 172},
  [561] = {.lex_state = 172},
  [562] = {.lex_state = 172},
  [563] = {.lex_state = 172},
  [564] = {.lex_state = 336},
  [565] = {.lex_state = 172},
  [566] = {.lex_state = 336},
  [567] = {.lex_state = 172},
  [568] = {.lex_state = 336},
  [569] = {.lex_state = 336},
  [570] = {.lex_state = 172},
  [571] = {.lex_state = 172},
  [572] = {.lex_state = 172},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 172},
  [575] = {.lex_state = 172},
  [576] = {.lex_state = 336},
  [577] = {.lex_state = 172},
  [578] = {.lex_state = 336},
  [579] = {.lex_state = 336},
  [580] = {.lex_state = 336},
  [581] = {.lex_state = 336},
  [582] = {.lex_state = 336},
  [583] = {.lex_state = 172},
  [584] = {.lex_state = 336},
  [585] = {.lex_state = 336},
  [586] = {.lex_state = 336},
  [587] = {.lex_state = 336},
  [588] = {.lex_state = 336},
  [589] = {.lex_state = 172},
  [590] = {.lex_state = 336},
  [591] = {.lex_state = 336},
  [592] = {.lex_state = 172},
  [593] = {.lex_state = 172},
  [594] = {.lex_state = 336},
  [595] = {.lex_state = 336},
  [596] = {.lex_state = 336},
  [597] = {.lex_state = 336},
  [598] = {.lex_state = 336},
  [599] = {.lex_state = 172},
  [600] = {.lex_state = 336},
  [601] = {.lex_state = 336},
  [602] = {.lex_state = 336},
  [603] = {.lex_state = 336},
  [604] = {.lex_state = 336},
  [605] = {.lex_state = 172},
  [606] = {.lex_state = 172},
  [607] = {.lex_state = 336},
  [608] = {.lex_state = 336},
  [609] = {.lex_state = 172},
  [610] = {.lex_state = 336},
  [611] = {.lex_state = 336},
  [612] = {.lex_state = 336},
  [613] = {.lex_state = 336},
  [614] = {.lex_state = 336},
  [615] = {.lex_state = 336},
  [616] = {.lex_state = 336},
  [617] = {.lex_state = 336},
  [618] = {.lex_state = 172},
  [619] = {.lex_state = 172},
  [620] = {.lex_state = 172},
  [621] = {.lex_state = 172},
  [622] = {.lex_state = 172},
  [623] = {.lex_state = 336},
  [624] = {.lex_state = 336},
  [625] = {.lex_state = 336},
  [626] = {.lex_state = 236},
  [627] = {.lex_state = 172},
  [628] = {.lex_state = 172},
  [629] = {.lex_state = 172},
  [630] = {.lex_state = 336},
  [631] = {.lex_state = 336},
  [632] = {.lex_state = 336},
  [633] = {.lex_state = 336},
  [634] = {.lex_state = 336},
  [635] = {.lex_state = 336},
  [636] = {.lex_state = 336},
  [637] = {.lex_state = 172},
  [638] = {.lex_state = 172},
  [639] = {.lex_state = 172},
  [640] = {.lex_state = 336},
  [641] = {.lex_state = 336},
  [642] = {.lex_state = 336},
  [643] = {.lex_state = 336},
  [644] = {.lex_state = 336},
  [645] = {.lex_state = 336},
  [646] = {.lex_state = 336},
  [647] = {.lex_state = 336},
  [648] = {.lex_state = 336},
  [649] = {.lex_state = 336},
  [650] = {.lex_state = 336},
  [651] = {.lex_state = 172},
  [652] = {.lex_state = 172},
  [653] = {.lex_state = 172},
  [654] = {.lex_state = 336},
  [655] = {.lex_state = 336},
  [656] = {.lex_state = 172},
  [657] = {.lex_state = 172},
  [658] = {.lex_state = 172},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 172},
  [661] = {.lex_state = 336},
  [662] = {.lex_state = 336},
  [663] = {.lex_state = 336},
  [664] = {.lex_state = 336},
  [665] = {.lex_state = 336},
  [666] = {.lex_state = 172},
  [667] = {.lex_state = 336},
  [668] = {.lex_state = 336},
  [669] = {.lex_state = 172},
  [670] = {.lex_state = 336},
  [671] = {.lex_state = 336},
  [672] = {.lex_state = 172},
  [673] = {.lex_state = 172},
  [674] = {.lex_state = 336},
  [675] = {.lex_state = 336},
  [676] = {.lex_state = 172},
  [677] = {.lex_state = 172},
  [678] = {.lex_state = 172},
  [679] = {.lex_state = 172},
  [680] = {.lex_state = 172},
  [681] = {.lex_state = 172},
  [682] = {.lex_state = 336},
  [683] = {.lex_state = 172},
  [684] = {.lex_state = 172},
  [685] = {.lex_state = 336},
  [686] = {.lex_state = 163},
  [687] = {.lex_state = 336},
  [688] = {.lex_state = 336},
  [689] = {.lex_state = 336},
  [690] = {.lex_state = 336},
  [691] = {.lex_state = 336},
  [692] = {.lex_state = 336},
  [693] = {.lex_state = 336},
  [694] = {.lex_state = 336},
  [695] = {.lex_state = 336},
  [696] = {.lex_state = 336},
  [697] = {.lex_state = 336},
  [698] = {.lex_state = 336},
  [699] = {.lex_state = 336},
  [700] = {.lex_state = 336},
  [701] = {.lex_state = 336},
  [702] = {.lex_state = 336},
  [703] = {.lex_state = 336},
  [704] = {.lex_state = 336},
  [705] = {.lex_state = 336},
  [706] = {.lex_state = 336},
  [707] = {.lex_state = 336},
  [708] = {.lex_state = 336},
  [709] = {.lex_state = 336},
  [710] = {.lex_state = 336},
  [711] = {.lex_state = 336},
  [712] = {.lex_state = 336},
  [713] = {.lex_state = 336},
  [714] = {.lex_state = 336},
  [715] = {.lex_state = 336},
  [716] = {.lex_state = 336},
  [717] = {.lex_state = 336},
  [718] = {.lex_state = 336},
  [719] = {.lex_state = 336},
  [720] = {.lex_state = 336},
  [721] = {.lex_state = 336},
  [722] = {.lex_state = 336},
  [723] = {.lex_state = 336},
  [724] = {.lex_state = 336},
  [725] = {.lex_state = 336},
  [726] = {.lex_state = 336},
  [727] = {.lex_state = 336},
  [728] = {.lex_state = 336},
  [729] = {.lex_state = 336},
  [730] = {.lex_state = 336},
  [731] = {.lex_state = 336},
  [732] = {.lex_state = 336},
  [733] = {.lex_state = 336},
  [734] = {.lex_state = 336},
  [735] = {.lex_state = 336},
  [736] = {.lex_state = 336},
  [737] = {.lex_state = 336},
  [738] = {.lex_state = 336},
  [739] = {.lex_state = 336},
  [740] = {.lex_state = 336},
  [741] = {.lex_state = 336},
  [742] = {.lex_state = 336},
  [743] = {.lex_state = 336},
  [744] = {.lex_state = 336},
  [745] = {.lex_state = 336},
  [746] = {.lex_state = 336},
  [747] = {.lex_state = 336},
  [748] = {.lex_state = 336},
  [749] = {.lex_state = 336},
  [750] = {.lex_state = 336},
  [751] = {.lex_state = 336},
  [752] = {.lex_state = 336},
  [753] = {.lex_state = 336},
  [754] = {.lex_state = 336},
  [755] = {.lex_state = 336},
  [756] = {.lex_state = 336},
  [757] = {.lex_state = 336},
  [758] = {.lex_state = 163},
  [759] = {.lex_state = 163},
  [760] = {.lex_state = 192},
  [761] = {.lex_state = 192},
  [762] = {.lex_state = 192},
  [763] = {.lex_state = 192},
  [764] = {.lex_state = 192},
  [765] = {.lex_state = 192},
  [766] = {.lex_state = 192},
  [767] = {.lex_state = 192},
  [768] = {.lex_state = 192},
  [769] = {.lex_state = 192},
  [770] = {.lex_state = 237},
  [771] = {.lex_state = 192},
  [772] = {.lex_state = 237},
  [773] = {.lex_state = 237},
  [774] = {.lex_state = 192},
  [775] = {.lex_state = 192},
  [776] = {.lex_state = 192},
  [777] = {.lex_state = 192},
  [778] = {.lex_state = 192},
  [779] = {.lex_state = 192},
  [780] = {.lex_state = 192},
  [781] = {.lex_state = 192},
  [782] = {.lex_state = 192},
  [783] = {.lex_state = 192},
  [784] = {.lex_state = 163},
  [785] = {.lex_state = 163},
  [786] = {.lex_state = 166},
  [787] = {.lex_state = 163},
  [788] = {.lex_state = 174},
  [789] = {.lex_state = 174},
  [790] = {.lex_state = 174},
  [791] = {.lex_state = 167},
  [792] = {.lex_state = 167},
  [793] = {.lex_state = 336},
  [794] = {.lex_state = 336},
  [795] = {.lex_state = 236},
  [796] = {.lex_state = 174},
  [797] = {.lex_state = 236},
  [798] = {.lex_state = 174},
  [799] = {.lex_state = 174},
  [800] = {.lex_state = 174},
  [801] = {.lex_state = 174},
  [802] = {.lex_state = 174},
  [803] = {.lex_state = 174},
  [804] = {.lex_state = 174},
  [805] = {.lex_state = 174},
  [806] = {.lex_state = 174},
  [807] = {.lex_state = 236},
  [808] = {.lex_state = 174},
  [809] = {.lex_state = 236},
  [810] = {.lex_state = 174},
  [811] = {.lex_state = 174},
  [812] = {.lex_state = 236},
  [813] = {.lex_state = 174},
  [814] = {.lex_state = 174},
  [815] = {.lex_state = 236},
  [816] = {.lex_state = 174},
  [817] = {.lex_state = 174},
  [818] = {.lex_state = 174},
  [819] = {.lex_state = 174},
  [820] = {.lex_state = 174},
  [821] = {.lex_state = 236},
  [822] = {.lex_state = 174},
  [823] = {.lex_state = 236},
  [824] = {.lex_state = 173},
  [825] = {.lex_state = 236},
  [826] = {.lex_state = 236},
  [827] = {.lex_state = 236},
  [828] = {.lex_state = 236},
  [829] = {.lex_state = 236},
  [830] = {.lex_state = 173},
  [831] = {.lex_state = 236},
  [832] = {.lex_state = 174},
  [833] = {.lex_state = 336},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 171},
  [836] = {.lex_state = 171},
  [837] = {.lex_state = 171},
  [838] = {.lex_state = 173},
  [839] = {.lex_state = 173},
  [840] = {.lex_state = 171},
  [841] = {.lex_state = 171},
  [842] = {.lex_state = 171},
  [843] = {.lex_state = 171},
  [844] = {.lex_state = 171},
  [845] = {.lex_state = 171},
  [846] = {.lex_state = 171},
  [847] = {.lex_state = 171},
  [848] = {.lex_state = 171},
  [849] = {.lex_state = 171},
  [850] = {.lex_state = 171},
  [851] = {.lex_state = 171},
  [852] = {.lex_state = 185},
  [853] = {.lex_state = 171},
  [854] = {.lex_state = 171},
  [855] = {.lex_state = 171},
  [856] = {.lex_state = 171},
  [857] = {.lex_state = 171},
  [858] = {.lex_state = 171},
  [859] = {.lex_state = 171},
  [860] = {.lex_state = 171},
  [861] = {.lex_state = 171},
  [862] = {.lex_state = 171},
  [863] = {.lex_state = 171},
  [864] = {.lex_state = 171},
  [865] = {.lex_state = 171},
  [866] = {.lex_state = 171},
  [867] = {.lex_state = 171},
  [868] = {.lex_state = 171},
  [869] = {.lex_state = 171},
  [870] = {.lex_state = 171},
  [871] = {.lex_state = 171},
  [872] = {.lex_state = 171},
  [873] = {.lex_state = 171},
  [874] = {.lex_state = 171},
  [875] = {.lex_state = 171},
  [876] = {.lex_state = 171},
  [877] = {.lex_state = 171},
  [878] = {.lex_state = 171},
  [879] = {.lex_state = 171},
  [880] = {.lex_state = 171},
  [881] = {.lex_state = 171},
  [882] = {.lex_state = 171},
  [883] = {.lex_state = 171},
  [884] = {.lex_state = 185},
  [885] = {.lex_state = 185},
  [886] = {.lex_state = 185},
  [887] = {.lex_state = 236},
  [888] = {.lex_state = 185},
  [889] = {.lex_state = 174},
  [890] = {.lex_state = 174},
  [891] = {.lex_state = 174},
  [892] = {.lex_state = 174},
  [893] = {.lex_state = 174},
  [894] = {.lex_state = 174},
  [895] = {.lex_state = 174},
  [896] = {.lex_state = 174},
  [897] = {.lex_state = 174},
  [898] = {.lex_state = 174},
  [899] = {.lex_state = 174},
  [900] = {.lex_state = 174},
  [901] = {.lex_state = 174},
  [902] = {.lex_state = 174},
  [903] = {.lex_state = 174},
  [904] = {.lex_state = 174},
  [905] = {.lex_state = 174},
  [906] = {.lex_state = 174},
  [907] = {.lex_state = 174},
  [908] = {.lex_state = 174},
  [909] = {.lex_state = 174},
  [910] = {.lex_state = 174},
  [911] = {.lex_state = 174},
  [912] = {.lex_state = 174},
  [913] = {.lex_state = 174},
  [914] = {.lex_state = 174},
  [915] = {.lex_state = 174},
  [916] = {.lex_state = 174},
  [917] = {.lex_state = 174},
  [918] = {.lex_state = 174},
  [919] = {.lex_state = 174},
  [920] = {.lex_state = 174},
  [921] = {.lex_state = 174},
  [922] = {.lex_state = 174},
  [923] = {.lex_state = 174},
  [924] = {.lex_state = 174},
  [925] = {.lex_state = 174},
  [926] = {.lex_state = 174},
  [927] = {.lex_state = 174},
  [928] = {.lex_state = 174},
  [929] = {.lex_state = 174},
  [930] = {.lex_state = 185},
  [931] = {.lex_state = 181},
  [932] = {.lex_state = 185},
  [933] = {.lex_state = 185},
  [934] = {.lex_state = 185},
  [935] = {.lex_state = 185},
  [936] = {.lex_state = 185},
  [937] = {.lex_state = 185},
  [938] = {.lex_state = 185},
  [939] = {.lex_state = 174},
  [940] = {.lex_state = 174},
  [941] = {.lex_state = 174},
  [942] = {.lex_state = 174},
  [943] = {.lex_state = 174},
  [944] = {.lex_state = 174},
  [945] = {.lex_state = 174},
  [946] = {.lex_state = 174},
  [947] = {.lex_state = 174},
  [948] = {.lex_state = 174},
  [949] = {.lex_state = 174},
  [950] = {.lex_state = 174},
  [951] = {.lex_state = 174},
  [952] = {.lex_state = 174},
  [953] = {.lex_state = 174},
  [954] = {.lex_state = 174},
  [955] = {.lex_state = 174},
  [956] = {.lex_state = 174},
  [957] = {.lex_state = 174},
  [958] = {.lex_state = 174},
  [959] = {.lex_state = 174},
  [960] = {.lex_state = 174},
  [961] = {.lex_state = 174},
  [962] = {.lex_state = 174},
  [963] = {.lex_state = 174},
  [964] = {.lex_state = 174},
  [965] = {.lex_state = 174},
  [966] = {.lex_state = 173},
  [967] = {.lex_state = 173},
  [968] = {.lex_state = 173},
  [969] = {.lex_state = 173},
  [970] = {.lex_state = 174},
  [971] = {.lex_state = 174},
  [972] = {.lex_state = 173},
  [973] = {.lex_state = 173},
  [974] = {.lex_state = 173},
  [975] = {.lex_state = 174},
  [976] = {.lex_state = 174},
  [977] = {.lex_state = 173},
  [978] = {.lex_state = 173},
  [979] = {.lex_state = 174},
  [980] = {.lex_state = 174},
  [981] = {.lex_state = 173},
  [982] = {.lex_state = 173},
  [983] = {.lex_state = 173},
  [984] = {.lex_state = 174},
  [985] = {.lex_state = 173},
  [986] = {.lex_state = 173},
  [987] = {.lex_state = 174},
  [988] = {.lex_state = 173},
  [989] = {.lex_state = 173},
  [990] = {.lex_state = 173},
  [991] = {.lex_state = 174},
  [992] = {.lex_state = 173},
  [993] = {.lex_state = 173},
  [994] = {.lex_state = 174},
  [995] = {.lex_state = 174},
  [996] = {.lex_state = 173},
  [997] = {.lex_state = 174},
  [998] = {.lex_state = 174},
  [999] = {.lex_state = 174},
  [1000] = {.lex_state = 173},
  [1001] = {.lex_state = 173},
  [1002] = {.lex_state = 173},
  [1003] = {.lex_state = 173},
  [1004] = {.lex_state = 173},
  [1005] = {.lex_state = 173},
  [1006] = {.lex_state = 174},
  [1007] = {.lex_state = 174},
  [1008] = {.lex_state = 174},
  [1009] = {.lex_state = 174},
  [1010] = {.lex_state = 174},
  [1011] = {.lex_state = 174},
  [1012] = {.lex_state = 174},
  [1013] = {.lex_state = 174},
  [1014] = {.lex_state = 174},
  [1015] = {.lex_state = 174},
  [1016] = {.lex_state = 174},
  [1017] = {.lex_state = 174},
  [1018] = {.lex_state = 174},
  [1019] = {.lex_state = 174},
  [1020] = {.lex_state = 174},
  [1021] = {.lex_state = 174},
  [1022] = {.lex_state = 174},
  [1023] = {.lex_state = 174},
  [1024] = {.lex_state = 174},
  [1025] = {.lex_state = 174},
  [1026] = {.lex_state = 174},
  [1027] = {.lex_state = 174},
  [1028] = {.lex_state = 174},
  [1029] = {.lex_state = 174},
  [1030] = {.lex_state = 174},
  [1031] = {.lex_state = 174},
  [1032] = {.lex_state = 174},
  [1033] = {.lex_state = 174},
  [1034] = {.lex_state = 174},
  [1035] = {.lex_state = 174},
  [1036] = {.lex_state = 174},
  [1037] = {.lex_state = 174},
  [1038] = {.lex_state = 174},
  [1039] = {.lex_state = 174},
  [1040] = {.lex_state = 174},
  [1041] = {.lex_state = 174},
  [1042] = {.lex_state = 174},
  [1043] = {.lex_state = 174},
  [1044] = {.lex_state = 174},
  [1045] = {.lex_state = 174},
  [1046] = {.lex_state = 174},
  [1047] = {.lex_state = 174},
  [1048] = {.lex_state = 174},
  [1049] = {.lex_state = 174},
  [1050] = {.lex_state = 174},
  [1051] = {.lex_state = 174},
  [1052] = {.lex_state = 174},
  [1053] = {.lex_state = 174},
  [1054] = {.lex_state = 174},
  [1055] = {.lex_state = 174},
  [1056] = {.lex_state = 174},
  [1057] = {.lex_state = 174},
  [1058] = {.lex_state = 174},
  [1059] = {.lex_state = 174},
  [1060] = {.lex_state = 174},
  [1061] = {.lex_state = 174},
  [1062] = {.lex_state = 174},
  [1063] = {.lex_state = 174},
  [1064] = {.lex_state = 174},
  [1065] = {.lex_state = 174},
  [1066] = {.lex_state = 174},
  [1067] = {.lex_state = 174},
  [1068] = {.lex_state = 174},
  [1069] = {.lex_state = 174},
  [1070] = {.lex_state = 174},
  [1071] = {.lex_state = 174},
  [1072] = {.lex_state = 174},
  [1073] = {.lex_state = 174},
  [1074] = {.lex_state = 174},
  [1075] = {.lex_state = 174},
  [1076] = {.lex_state = 174},
  [1077] = {.lex_state = 174},
  [1078] = {.lex_state = 174},
  [1079] = {.lex_state = 174},
  [1080] = {.lex_state = 174},
  [1081] = {.lex_state = 174},
  [1082] = {.lex_state = 174},
  [1083] = {.lex_state = 174},
  [1084] = {.lex_state = 174},
  [1085] = {.lex_state = 174},
  [1086] = {.lex_state = 174},
  [1087] = {.lex_state = 174},
  [1088] = {.lex_state = 174},
  [1089] = {.lex_state = 174},
  [1090] = {.lex_state = 174},
  [1091] = {.lex_state = 174},
  [1092] = {.lex_state = 174},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 174},
  [1096] = {.lex_state = 174},
  [1097] = {.lex_state = 174},
  [1098] = {.lex_state = 174},
  [1099] = {.lex_state = 174},
  [1100] = {.lex_state = 174},
  [1101] = {.lex_state = 174},
  [1102] = {.lex_state = 174},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 174},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 174},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 174},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 174},
  [1126] = {.lex_state = 174},
  [1127] = {.lex_state = 174},
  [1128] = {.lex_state = 174},
  [1129] = {.lex_state = 174},
  [1130] = {.lex_state = 174},
  [1131] = {.lex_state = 174},
  [1132] = {.lex_state = 174},
  [1133] = {.lex_state = 174},
  [1134] = {.lex_state = 174},
  [1135] = {.lex_state = 174},
  [1136] = {.lex_state = 174},
  [1137] = {.lex_state = 174},
  [1138] = {.lex_state = 174},
  [1139] = {.lex_state = 174},
  [1140] = {.lex_state = 174},
  [1141] = {.lex_state = 174},
  [1142] = {.lex_state = 174},
  [1143] = {.lex_state = 174},
  [1144] = {.lex_state = 174},
  [1145] = {.lex_state = 174},
  [1146] = {.lex_state = 174},
  [1147] = {.lex_state = 174},
  [1148] = {.lex_state = 174},
  [1149] = {.lex_state = 174},
  [1150] = {.lex_state = 174},
  [1151] = {.lex_state = 174},
  [1152] = {.lex_state = 174},
  [1153] = {.lex_state = 174},
  [1154] = {.lex_state = 174},
  [1155] = {.lex_state = 174},
  [1156] = {.lex_state = 174},
  [1157] = {.lex_state = 174},
  [1158] = {.lex_state = 174},
  [1159] = {.lex_state = 174},
  [1160] = {.lex_state = 174},
  [1161] = {.lex_state = 174},
  [1162] = {.lex_state = 174},
  [1163] = {.lex_state = 174},
  [1164] = {.lex_state = 174},
  [1165] = {.lex_state = 174},
  [1166] = {.lex_state = 174},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 174},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 174},
  [1173] = {.lex_state = 174},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 174},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 174},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 174},
  [1207] = {.lex_state = 174},
  [1208] = {.lex_state = 174},
  [1209] = {.lex_state = 174},
  [1210] = {.lex_state = 174},
  [1211] = {.lex_state = 174},
  [1212] = {.lex_state = 174},
  [1213] = {.lex_state = 174},
  [1214] = {.lex_state = 174},
  [1215] = {.lex_state = 174},
  [1216] = {.lex_state = 174},
  [1217] = {.lex_state = 174},
  [1218] = {.lex_state = 174},
  [1219] = {.lex_state = 174},
  [1220] = {.lex_state = 174},
  [1221] = {.lex_state = 174},
  [1222] = {.lex_state = 174},
  [1223] = {.lex_state = 174},
  [1224] = {.lex_state = 174},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 174},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 174},
  [1262] = {.lex_state = 174},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 174},
  [1267] = {.lex_state = 174},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 174},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 174},
  [1273] = {.lex_state = 174},
  [1274] = {.lex_state = 174},
  [1275] = {.lex_state = 174},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 174},
  [1278] = {.lex_state = 174},
  [1279] = {.lex_state = 174},
  [1280] = {.lex_state = 174},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 174},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 174},
  [1292] = {.lex_state = 174},
  [1293] = {.lex_state = 174},
  [1294] = {.lex_state = 174},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 174},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 174},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 174},
  [1310] = {.lex_state = 174},
  [1311] = {.lex_state = 174},
  [1312] = {.lex_state = 174},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 174},
  [1316] = {.lex_state = 174},
  [1317] = {.lex_state = 174},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 174},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 174},
  [1333] = {.lex_state = 174},
  [1334] = {.lex_state = 174},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 174},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 174},
  [1352] = {.lex_state = 174},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 174},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 174},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 174},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 174},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 174},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 174},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 174},
  [1498] = {.lex_state = 174},
  [1499] = {.lex_state = 174},
  [1500] = {.lex_state = 236},
  [1501] = {.lex_state = 193},
  [1502] = {.lex_state = 193},
  [1503] = {.lex_state = 193},
  [1504] = {.lex_state = 193},
  [1505] = {.lex_state = 193},
  [1506] = {.lex_state = 193},
  [1507] = {.lex_state = 193},
  [1508] = {.lex_state = 236},
  [1509] = {.lex_state = 193},
  [1510] = {.lex_state = 171},
  [1511] = {.lex_state = 193},
  [1512] = {.lex_state = 171},
  [1513] = {.lex_state = 171},
  [1514] = {.lex_state = 236},
  [1515] = {.lex_state = 236},
  [1516] = {.lex_state = 236},
  [1517] = {.lex_state = 236},
  [1518] = {.lex_state = 193},
  [1519] = {.lex_state = 191},
  [1520] = {.lex_state = 196},
  [1521] = {.lex_state = 193},
  [1522] = {.lex_state = 191},
  [1523] = {.lex_state = 191},
  [1524] = {.lex_state = 181},
  [1525] = {.lex_state = 222},
  [1526] = {.lex_state = 222},
  [1527] = {.lex_state = 222},
  [1528] = {.lex_state = 191},
  [1529] = {.lex_state = 222},
  [1530] = {.lex_state = 222},
  [1531] = {.lex_state = 191},
  [1532] = {.lex_state = 191},
  [1533] = {.lex_state = 193},
  [1534] = {.lex_state = 222},
  [1535] = {.lex_state = 191},
  [1536] = {.lex_state = 222},
  [1537] = {.lex_state = 191},
  [1538] = {.lex_state = 191},
  [1539] = {.lex_state = 196},
  [1540] = {.lex_state = 182},
  [1541] = {.lex_state = 193},
  [1542] = {.lex_state = 196},
  [1543] = {.lex_state = 186},
  [1544] = {.lex_state = 196},
  [1545] = {.lex_state = 196},
  [1546] = {.lex_state = 196},
  [1547] = {.lex_state = 196},
  [1548] = {.lex_state = 196},
  [1549] = {.lex_state = 191},
  [1550] = {.lex_state = 191},
  [1551] = {.lex_state = 191},
  [1552] = {.lex_state = 191},
  [1553] = {.lex_state = 176},
  [1554] = {.lex_state = 191},
  [1555] = {.lex_state = 191},
  [1556] = {.lex_state = 191},
  [1557] = {.lex_state = 191},
  [1558] = {.lex_state = 209},
  [1559] = {.lex_state = 209},
  [1560] = {.lex_state = 194},
  [1561] = {.lex_state = 196},
  [1562] = {.lex_state = 194},
  [1563] = {.lex_state = 217},
  [1564] = {.lex_state = 194},
  [1565] = {.lex_state = 194},
  [1566] = {.lex_state = 194},
  [1567] = {.lex_state = 217},
  [1568] = {.lex_state = 194},
  [1569] = {.lex_state = 196},
  [1570] = {.lex_state = 194},
  [1571] = {.lex_state = 236},
  [1572] = {.lex_state = 236},
  [1573] = {.lex_state = 222},
  [1574] = {.lex_state = 236},
  [1575] = {.lex_state = 209},
  [1576] = {.lex_state = 236},
  [1577] = {.lex_state = 236},
  [1578] = {.lex_state = 236},
  [1579] = {.lex_state = 209},
  [1580] = {.lex_state = 236},
  [1581] = {.lex_state = 236},
  [1582] = {.lex_state = 236},
  [1583] = {.lex_state = 217},
  [1584] = {.lex_state = 236},
  [1585] = {.lex_state = 236},
  [1586] = {.lex_state = 236},
  [1587] = {.lex_state = 236},
  [1588] = {.lex_state = 236},
  [1589] = {.lex_state = 236},
  [1590] = {.lex_state = 236},
  [1591] = {.lex_state = 236},
  [1592] = {.lex_state = 236},
  [1593] = {.lex_state = 236},
  [1594] = {.lex_state = 209},
  [1595] = {.lex_state = 236},
  [1596] = {.lex_state = 209},
  [1597] = {.lex_state = 236},
  [1598] = {.lex_state = 236},
  [1599] = {.lex_state = 236},
  [1600] = {.lex_state = 236},
  [1601] = {.lex_state = 236},
  [1602] = {.lex_state = 236},
  [1603] = {.lex_state = 236},
  [1604] = {.lex_state = 236},
  [1605] = {.lex_state = 236},
  [1606] = {.lex_state = 236},
  [1607] = {.lex_state = 236},
  [1608] = {.lex_state = 236},
  [1609] = {.lex_state = 236},
  [1610] = {.lex_state = 236},
  [1611] = {.lex_state = 236},
  [1612] = {.lex_state = 209},
  [1613] = {.lex_state = 236},
  [1614] = {.lex_state = 209},
  [1615] = {.lex_state = 202},
  [1616] = {.lex_state = 217},
  [1617] = {.lex_state = 209},
  [1618] = {.lex_state = 236},
  [1619] = {.lex_state = 209},
  [1620] = {.lex_state = 217},
  [1621] = {.lex_state = 217},
  [1622] = {.lex_state = 236},
  [1623] = {.lex_state = 236},
  [1624] = {.lex_state = 217},
  [1625] = {.lex_state = 236},
  [1626] = {.lex_state = 209},
  [1627] = {.lex_state = 209},
  [1628] = {.lex_state = 202},
  [1629] = {.lex_state = 209},
  [1630] = {.lex_state = 236},
  [1631] = {.lex_state = 236},
  [1632] = {.lex_state = 236},
  [1633] = {.lex_state = 202},
  [1634] = {.lex_state = 174},
  [1635] = {.lex_state = 171},
  [1636] = {.lex_state = 222},
  [1637] = {.lex_state = 236},
  [1638] = {.lex_state = 202},
  [1639] = {.lex_state = 171},
  [1640] = {.lex_state = 236},
  [1641] = {.lex_state = 236},
  [1642] = {.lex_state = 209},
  [1643] = {.lex_state = 236},
  [1644] = {.lex_state = 236},
  [1645] = {.lex_state = 222},
  [1646] = {.lex_state = 206},
  [1647] = {.lex_state = 206},
  [1648] = {.lex_state = 236},
  [1649] = {.lex_state = 206},
  [1650] = {.lex_state = 236},
  [1651] = {.lex_state = 206},
  [1652] = {.lex_state = 206},
  [1653] = {.lex_state = 206},
  [1654] = {.lex_state = 206},
  [1655] = {.lex_state = 236},
  [1656] = {.lex_state = 236},
  [1657] = {.lex_state = 213},
  [1658] = {.lex_state = 213},
  [1659] = {.lex_state = 236},
  [1660] = {.lex_state = 213},
  [1661] = {.lex_state = 236},
  [1662] = {.lex_state = 213},
  [1663] = {.lex_state = 236},
  [1664] = {.lex_state = 236},
  [1665] = {.lex_state = 213},
  [1666] = {.lex_state = 213},
  [1667] = {.lex_state = 176},
  [1668] = {.lex_state = 213},
  [1669] = {.lex_state = 236},
  [1670] = {.lex_state = 236},
  [1671] = {.lex_state = 178},
  [1672] = {.lex_state = 223},
  [1673] = {.lex_state = 236},
  [1674] = {.lex_state = 236},
  [1675] = {.lex_state = 236},
  [1676] = {.lex_state = 236},
  [1677] = {.lex_state = 236},
  [1678] = {.lex_state = 223},
  [1679] = {.lex_state = 236},
  [1680] = {.lex_state = 236},
  [1681] = {.lex_state = 236},
  [1682] = {.lex_state = 236},
  [1683] = {.lex_state = 178},
  [1684] = {.lex_state = 236},
  [1685] = {.lex_state = 236},
  [1686] = {.lex_state = 236},
  [1687] = {.lex_state = 236},
  [1688] = {.lex_state = 236},
  [1689] = {.lex_state = 223},
  [1690] = {.lex_state = 236},
  [1691] = {.lex_state = 202},
  [1692] = {.lex_state = 236},
  [1693] = {.lex_state = 236},
  [1694] = {.lex_state = 223},
  [1695] = {.lex_state = 236},
  [1696] = {.lex_state = 236},
  [1697] = {.lex_state = 236},
  [1698] = {.lex_state = 174},
  [1699] = {.lex_state = 236},
  [1700] = {.lex_state = 236},
  [1701] = {.lex_state = 236},
  [1702] = {.lex_state = 236},
  [1703] = {.lex_state = 236},
  [1704] = {.lex_state = 236},
  [1705] = {.lex_state = 236},
  [1706] = {.lex_state = 236},
  [1707] = {.lex_state = 236},
  [1708] = {.lex_state = 236},
  [1709] = {.lex_state = 236},
  [1710] = {.lex_state = 236},
  [1711] = {.lex_state = 236},
  [1712] = {.lex_state = 236},
  [1713] = {.lex_state = 236},
  [1714] = {.lex_state = 236},
  [1715] = {.lex_state = 236},
  [1716] = {.lex_state = 236},
  [1717] = {.lex_state = 236},
  [1718] = {.lex_state = 236},
  [1719] = {.lex_state = 236},
  [1720] = {.lex_state = 236},
  [1721] = {.lex_state = 236},
  [1722] = {.lex_state = 236},
  [1723] = {.lex_state = 236},
  [1724] = {.lex_state = 236},
  [1725] = {.lex_state = 236},
  [1726] = {.lex_state = 236},
  [1727] = {.lex_state = 236},
  [1728] = {.lex_state = 236},
  [1729] = {.lex_state = 236},
  [1730] = {.lex_state = 174},
  [1731] = {.lex_state = 236},
  [1732] = {.lex_state = 236},
  [1733] = {.lex_state = 236},
  [1734] = {.lex_state = 202},
  [1735] = {.lex_state = 236},
  [1736] = {.lex_state = 236},
  [1737] = {.lex_state = 236},
  [1738] = {.lex_state = 223},
  [1739] = {.lex_state = 236},
  [1740] = {.lex_state = 236},
  [1741] = {.lex_state = 236},
  [1742] = {.lex_state = 236},
  [1743] = {.lex_state = 236},
  [1744] = {.lex_state = 223},
  [1745] = {.lex_state = 223},
  [1746] = {.lex_state = 236},
  [1747] = {.lex_state = 236},
  [1748] = {.lex_state = 202},
  [1749] = {.lex_state = 223},
  [1750] = {.lex_state = 236},
  [1751] = {.lex_state = 236},
  [1752] = {.lex_state = 178},
  [1753] = {.lex_state = 236},
  [1754] = {.lex_state = 236},
  [1755] = {.lex_state = 236},
  [1756] = {.lex_state = 236},
  [1757] = {.lex_state = 236},
  [1758] = {.lex_state = 236},
  [1759] = {.lex_state = 236},
  [1760] = {.lex_state = 236},
  [1761] = {.lex_state = 236},
  [1762] = {.lex_state = 236},
  [1763] = {.lex_state = 236},
  [1764] = {.lex_state = 236},
  [1765] = {.lex_state = 223},
  [1766] = {.lex_state = 223},
  [1767] = {.lex_state = 223},
  [1768] = {.lex_state = 202},
  [1769] = {.lex_state = 236},
  [1770] = {.lex_state = 223},
  [1771] = {.lex_state = 236},
  [1772] = {.lex_state = 223},
  [1773] = {.lex_state = 236},
  [1774] = {.lex_state = 236},
  [1775] = {.lex_state = 236},
  [1776] = {.lex_state = 236},
  [1777] = {.lex_state = 236},
  [1778] = {.lex_state = 236},
  [1779] = {.lex_state = 236},
  [1780] = {.lex_state = 202},
  [1781] = {.lex_state = 236},
  [1782] = {.lex_state = 236},
  [1783] = {.lex_state = 202},
  [1784] = {.lex_state = 202},
  [1785] = {.lex_state = 202},
  [1786] = {.lex_state = 202},
  [1787] = {.lex_state = 202},
  [1788] = {.lex_state = 202},
  [1789] = {.lex_state = 202},
  [1790] = {.lex_state = 202},
  [1791] = {.lex_state = 202},
  [1792] = {.lex_state = 202},
  [1793] = {.lex_state = 202},
  [1794] = {.lex_state = 202},
  [1795] = {.lex_state = 192},
  [1796] = {.lex_state = 202},
  [1797] = {.lex_state = 237},
  [1798] = {.lex_state = 236},
  [1799] = {.lex_state = 202},
  [1800] = {.lex_state = 202},
  [1801] = {.lex_state = 202},
  [1802] = {.lex_state = 202},
  [1803] = {.lex_state = 202},
  [1804] = {.lex_state = 237},
  [1805] = {.lex_state = 237},
  [1806] = {.lex_state = 192},
  [1807] = {.lex_state = 202},
  [1808] = {.lex_state = 202},
  [1809] = {.lex_state = 202},
  [1810] = {.lex_state = 191},
  [1811] = {.lex_state = 202},
  [1812] = {.lex_state = 192},
  [1813] = {.lex_state = 202},
  [1814] = {.lex_state = 202},
  [1815] = {.lex_state = 202},
  [1816] = {.lex_state = 202},
  [1817] = {.lex_state = 237},
  [1818] = {.lex_state = 202},
  [1819] = {.lex_state = 202},
  [1820] = {.lex_state = 202},
  [1821] = {.lex_state = 192},
  [1822] = {.lex_state = 202},
  [1823] = {.lex_state = 202},
  [1824] = {.lex_state = 202},
  [1825] = {.lex_state = 202},
  [1826] = {.lex_state = 202},
  [1827] = {.lex_state = 202},
  [1828] = {.lex_state = 202},
  [1829] = {.lex_state = 202},
  [1830] = {.lex_state = 202},
  [1831] = {.lex_state = 191},
  [1832] = {.lex_state = 202},
  [1833] = {.lex_state = 236},
  [1834] = {.lex_state = 236},
  [1835] = {.lex_state = 222},
  [1836] = {.lex_state = 206},
  [1837] = {.lex_state = 222},
  [1838] = {.lex_state = 222},
  [1839] = {.lex_state = 236},
  [1840] = {.lex_state = 222},
  [1841] = {.lex_state = 222},
  [1842] = {.lex_state = 222},
  [1843] = {.lex_state = 222},
  [1844] = {.lex_state = 222},
  [1845] = {.lex_state = 222},
  [1846] = {.lex_state = 222},
  [1847] = {.lex_state = 222},
  [1848] = {.lex_state = 236},
  [1849] = {.lex_state = 236},
  [1850] = {.lex_state = 236},
  [1851] = {.lex_state = 236},
  [1852] = {.lex_state = 236},
  [1853] = {.lex_state = 236},
  [1854] = {.lex_state = 237},
  [1855] = {.lex_state = 213},
  [1856] = {.lex_state = 237},
  [1857] = {.lex_state = 237},
  [1858] = {.lex_state = 192},
  [1859] = {.lex_state = 236},
  [1860] = {.lex_state = 236},
  [1861] = {.lex_state = 192},
  [1862] = {.lex_state = 236},
  [1863] = {.lex_state = 236},
  [1864] = {.lex_state = 178},
  [1865] = {.lex_state = 178},
  [1866] = {.lex_state = 192},
  [1867] = {.lex_state = 192},
  [1868] = {.lex_state = 178},
  [1869] = {.lex_state = 197},
  [1870] = {.lex_state = 201},
  [1871] = {.lex_state = 192},
  [1872] = {.lex_state = 178},
  [1873] = {.lex_state = 237},
  [1874] = {.lex_state = 227},
  [1875] = {.lex_state = 237},
  [1876] = {.lex_state = 206},
  [1877] = {.lex_state = 227},
  [1878] = {.lex_state = 192},
  [1879] = {.lex_state = 192},
  [1880] = {.lex_state = 192},
  [1881] = {.lex_state = 192},
  [1882] = {.lex_state = 192},
  [1883] = {.lex_state = 192},
  [1884] = {.lex_state = 192},
  [1885] = {.lex_state = 202},
  [1886] = {.lex_state = 192},
  [1887] = {.lex_state = 192},
  [1888] = {.lex_state = 192},
  [1889] = {.lex_state = 192},
  [1890] = {.lex_state = 192},
  [1891] = {.lex_state = 192},
  [1892] = {.lex_state = 192},
  [1893] = {.lex_state = 192},
  [1894] = {.lex_state = 192},
  [1895] = {.lex_state = 192},
  [1896] = {.lex_state = 192},
  [1897] = {.lex_state = 192},
  [1898] = {.lex_state = 192},
  [1899] = {.lex_state = 192},
  [1900] = {.lex_state = 192},
  [1901] = {.lex_state = 192},
  [1902] = {.lex_state = 192},
  [1903] = {.lex_state = 192},
  [1904] = {.lex_state = 192},
  [1905] = {.lex_state = 192},
  [1906] = {.lex_state = 192},
  [1907] = {.lex_state = 237},
  [1908] = {.lex_state = 203},
  [1909] = {.lex_state = 236},
  [1910] = {.lex_state = 237},
  [1911] = {.lex_state = 237},
  [1912] = {.lex_state = 237},
  [1913] = {.lex_state = 237},
  [1914] = {.lex_state = 237},
  [1915] = {.lex_state = 237},
  [1916] = {.lex_state = 237},
  [1917] = {.lex_state = 237},
  [1918] = {.lex_state = 237},
  [1919] = {.lex_state = 237},
  [1920] = {.lex_state = 237},
  [1921] = {.lex_state = 237},
  [1922] = {.lex_state = 237},
  [1923] = {.lex_state = 237},
  [1924] = {.lex_state = 237},
  [1925] = {.lex_state = 237},
  [1926] = {.lex_state = 237},
  [1927] = {.lex_state = 237},
  [1928] = {.lex_state = 192},
  [1929] = {.lex_state = 237},
  [1930] = {.lex_state = 237},
  [1931] = {.lex_state = 237},
  [1932] = {.lex_state = 237},
  [1933] = {.lex_state = 237},
  [1934] = {.lex_state = 237},
  [1935] = {.lex_state = 237},
  [1936] = {.lex_state = 237},
  [1937] = {.lex_state = 237},
  [1938] = {.lex_state = 237},
  [1939] = {.lex_state = 237},
  [1940] = {.lex_state = 237},
  [1941] = {.lex_state = 237},
  [1942] = {.lex_state = 237},
  [1943] = {.lex_state = 237},
  [1944] = {.lex_state = 237},
  [1945] = {.lex_state = 237},
  [1946] = {.lex_state = 237},
  [1947] = {.lex_state = 237},
  [1948] = {.lex_state = 237},
  [1949] = {.lex_state = 237},
  [1950] = {.lex_state = 237},
  [1951] = {.lex_state = 237},
  [1952] = {.lex_state = 237},
  [1953] = {.lex_state = 192},
  [1954] = {.lex_state = 192},
  [1955] = {.lex_state = 192},
  [1956] = {.lex_state = 192},
  [1957] = {.lex_state = 192},
  [1958] = {.lex_state = 192},
  [1959] = {.lex_state = 237},
  [1960] = {.lex_state = 237},
  [1961] = {.lex_state = 237},
  [1962] = {.lex_state = 237},
  [1963] = {.lex_state = 237},
  [1964] = {.lex_state = 192},
  [1965] = {.lex_state = 237},
  [1966] = {.lex_state = 227},
  [1967] = {.lex_state = 194},
  [1968] = {.lex_state = 203},
  [1969] = {.lex_state = 237},
  [1970] = {.lex_state = 237},
  [1971] = {.lex_state = 237},
  [1972] = {.lex_state = 237},
  [1973] = {.lex_state = 237},
  [1974] = {.lex_state = 237},
  [1975] = {.lex_state = 202},
  [1976] = {.lex_state = 213},
  [1977] = {.lex_state = 192},
  [1978] = {.lex_state = 192},
  [1979] = {.lex_state = 192},
  [1980] = {.lex_state = 192},
  [1981] = {.lex_state = 192},
  [1982] = {.lex_state = 192},
  [1983] = {.lex_state = 192},
  [1984] = {.lex_state = 192},
  [1985] = {.lex_state = 192},
  [1986] = {.lex_state = 192},
  [1987] = {.lex_state = 192},
  [1988] = {.lex_state = 176},
  [1989] = {.lex_state = 192},
  [1990] = {.lex_state = 192},
  [1991] = {.lex_state = 192},
  [1992] = {.lex_state = 192},
  [1993] = {.lex_state = 237},
  [1994] = {.lex_state = 237},
  [1995] = {.lex_state = 192},
  [1996] = {.lex_state = 192},
  [1997] = {.lex_state = 192},
  [1998] = {.lex_state = 192},
  [1999] = {.lex_state = 192},
  [2000] = {.lex_state = 192},
  [2001] = {.lex_state = 192},
  [2002] = {.lex_state = 192},
  [2003] = {.lex_state = 237},
  [2004] = {.lex_state = 237},
  [2005] = {.lex_state = 237},
  [2006] = {.lex_state = 237},
  [2007] = {.lex_state = 237},
  [2008] = {.lex_state = 237},
  [2009] = {.lex_state = 237},
  [2010] = {.lex_state = 237},
  [2011] = {.lex_state = 192},
  [2012] = {.lex_state = 192},
  [2013] = {.lex_state = 192},
  [2014] = {.lex_state = 192},
  [2015] = {.lex_state = 192},
  [2016] = {.lex_state = 192},
  [2017] = {.lex_state = 192},
  [2018] = {.lex_state = 192},
  [2019] = {.lex_state = 192},
  [2020] = {.lex_state = 192},
  [2021] = {.lex_state = 236},
  [2022] = {.lex_state = 192},
  [2023] = {.lex_state = 192},
  [2024] = {.lex_state = 192},
  [2025] = {.lex_state = 192},
  [2026] = {.lex_state = 237},
  [2027] = {.lex_state = 237},
  [2028] = {.lex_state = 237},
  [2029] = {.lex_state = 192},
  [2030] = {.lex_state = 237},
  [2031] = {.lex_state = 237},
  [2032] = {.lex_state = 237},
  [2033] = {.lex_state = 237},
  [2034] = {.lex_state = 192},
  [2035] = {.lex_state = 192},
  [2036] = {.lex_state = 237},
  [2037] = {.lex_state = 237},
  [2038] = {.lex_state = 237},
  [2039] = {.lex_state = 192},
  [2040] = {.lex_state = 237},
  [2041] = {.lex_state = 237},
  [2042] = {.lex_state = 237},
  [2043] = {.lex_state = 237},
  [2044] = {.lex_state = 192},
  [2045] = {.lex_state = 237},
  [2046] = {.lex_state = 237},
  [2047] = {.lex_state = 237},
  [2048] = {.lex_state = 192},
  [2049] = {.lex_state = 237},
  [2050] = {.lex_state = 237},
  [2051] = {.lex_state = 237},
  [2052] = {.lex_state = 237},
  [2053] = {.lex_state = 237},
  [2054] = {.lex_state = 237},
  [2055] = {.lex_state = 237},
  [2056] = {.lex_state = 237},
  [2057] = {.lex_state = 237},
  [2058] = {.lex_state = 192},
  [2059] = {.lex_state = 192},
  [2060] = {.lex_state = 192},
  [2061] = {.lex_state = 192},
  [2062] = {.lex_state = 192},
  [2063] = {.lex_state = 235},
  [2064] = {.lex_state = 235},
  [2065] = {.lex_state = 192},
  [2066] = {.lex_state = 192},
  [2067] = {.lex_state = 192},
  [2068] = {.lex_state = 192},
  [2069] = {.lex_state = 192},
  [2070] = {.lex_state = 192},
  [2071] = {.lex_state = 192},
  [2072] = {.lex_state = 197},
  [2073] = {.lex_state = 197},
  [2074] = {.lex_state = 197},
  [2075] = {.lex_state = 227},
  [2076] = {.lex_state = 203},
  [2077] = {.lex_state = 203},
  [2078] = {.lex_state = 203},
  [2079] = {.lex_state = 203},
  [2080] = {.lex_state = 203},
  [2081] = {.lex_state = 203},
  [2082] = {.lex_state = 203},
  [2083] = {.lex_state = 203},
  [2084] = {.lex_state = 203},
  [2085] = {.lex_state = 203},
  [2086] = {.lex_state = 203},
  [2087] = {.lex_state = 197},
  [2088] = {.lex_state = 194},
  [2089] = {.lex_state = 203},
  [2090] = {.lex_state = 194},
  [2091] = {.lex_state = 194},
  [2092] = {.lex_state = 197},
  [2093] = {.lex_state = 203},
  [2094] = {.lex_state = 236},
  [2095] = {.lex_state = 194},
  [2096] = {.lex_state = 236},
  [2097] = {.lex_state = 236},
  [2098] = {.lex_state = 238},
  [2099] = {.lex_state = 203},
  [2100] = {.lex_state = 178},
  [2101] = {.lex_state = 236},
  [2102] = {.lex_state = 227},
  [2103] = {.lex_state = 227},
  [2104] = {.lex_state = 236},
  [2105] = {.lex_state = 236},
  [2106] = {.lex_state = 236},
  [2107] = {.lex_state = 236},
  [2108] = {.lex_state = 236},
  [2109] = {.lex_state = 236},
  [2110] = {.lex_state = 236},
  [2111] = {.lex_state = 236},
  [2112] = {.lex_state = 238},
  [2113] = {.lex_state = 236},
  [2114] = {.lex_state = 238},
  [2115] = {.lex_state = 235},
  [2116] = {.lex_state = 236},
  [2117] = {.lex_state = 201},
  [2118] = {.lex_state = 201},
  [2119] = {.lex_state = 194},
  [2120] = {.lex_state = 236},
  [2121] = {.lex_state = 236},
  [2122] = {.lex_state = 236},
  [2123] = {.lex_state = 194},
  [2124] = {.lex_state = 194},
  [2125] = {.lex_state = 236},
  [2126] = {.lex_state = 194},
  [2127] = {.lex_state = 235},
  [2128] = {.lex_state = 185},
  [2129] = {.lex_state = 238},
  [2130] = {.lex_state = 178},
  [2131] = {.lex_state = 238},
  [2132] = {.lex_state = 178},
  [2133] = {.lex_state = 197},
  [2134] = {.lex_state = 238},
  [2135] = {.lex_state = 181},
  [2136] = {.lex_state = 176},
  [2137] = {.lex_state = 185},
  [2138] = {.lex_state = 181},
  [2139] = {.lex_state = 176},
  [2140] = {.lex_state = 176},
  [2141] = {.lex_state = 176},
  [2142] = {.lex_state = 178},
  [2143] = {.lex_state = 197},
  [2144] = {.lex_state = 185},
  [2145] = {.lex_state = 238},
  [2146] = {.lex_state = 197},
  [2147] = {.lex_state = 178},
  [2148] = {.lex_state = 238},
  [2149] = {.lex_state = 194},
  [2150] = {.lex_state = 197},
  [2151] = {.lex_state = 236},
  [2152] = {.lex_state = 195},
  [2153] = {.lex_state = 176},
  [2154] = {.lex_state = 176},
  [2155] = {.lex_state = 184},
  [2156] = {.lex_state = 197},
  [2157] = {.lex_state = 197},
  [2158] = {.lex_state = 203},
  [2159] = {.lex_state = 195},
  [2160] = {.lex_state = 194},
  [2161] = {.lex_state = 197},
  [2162] = {.lex_state = 236},
  [2163] = {.lex_state = 184},
  [2164] = {.lex_state = 176},
  [2165] = {.lex_state = 176},
  [2166] = {.lex_state = 195},
  [2167] = {.lex_state = 197},
  [2168] = {.lex_state = 197},
  [2169] = {.lex_state = 182},
  [2170] = {.lex_state = 184},
  [2171] = {.lex_state = 194},
  [2172] = {.lex_state = 176},
  [2173] = {.lex_state = 194},
  [2174] = {.lex_state = 197},
  [2175] = {.lex_state = 197},
  [2176] = {.lex_state = 236},
  [2177] = {.lex_state = 197},
  [2178] = {.lex_state = 195},
  [2179] = {.lex_state = 197},
  [2180] = {.lex_state = 197},
  [2181] = {.lex_state = 194},
  [2182] = {.lex_state = 197},
  [2183] = {.lex_state = 176},
  [2184] = {.lex_state = 176},
  [2185] = {.lex_state = 195},
  [2186] = {.lex_state = 176},
  [2187] = {.lex_state = 197},
  [2188] = {.lex_state = 227},
  [2189] = {.lex_state = 182},
  [2190] = {.lex_state = 203},
  [2191] = {.lex_state = 197},
  [2192] = {.lex_state = 197},
  [2193] = {.lex_state = 197},
  [2194] = {.lex_state = 176},
  [2195] = {.lex_state = 203},
  [2196] = {.lex_state = 203},
  [2197] = {.lex_state = 226},
  [2198] = {.lex_state = 203},
  [2199] = {.lex_state = 203},
  [2200] = {.lex_state = 188},
  [2201] = {.lex_state = 226},
  [2202] = {.lex_state = 197},
  [2203] = {.lex_state = 226},
  [2204] = {.lex_state = 197},
  [2205] = {.lex_state = 197},
  [2206] = {.lex_state = 226},
  [2207] = {.lex_state = 226},
  [2208] = {.lex_state = 195},
  [2209] = {.lex_state = 195},
  [2210] = {.lex_state = 197},
  [2211] = {.lex_state = 197},
  [2212] = {.lex_state = 195},
  [2213] = {.lex_state = 195},
  [2214] = {.lex_state = 188},
  [2215] = {.lex_state = 197},
  [2216] = {.lex_state = 197},
  [2217] = {.lex_state = 197},
  [2218] = {.lex_state = 197},
  [2219] = {.lex_state = 197},
  [2220] = {.lex_state = 226},
  [2221] = {.lex_state = 226},
  [2222] = {.lex_state = 226},
  [2223] = {.lex_state = 226},
  [2224] = {.lex_state = 226},
  [2225] = {.lex_state = 195},
  [2226] = {.lex_state = 197},
  [2227] = {.lex_state = 197},
  [2228] = {.lex_state = 226},
  [2229] = {.lex_state = 188},
  [2230] = {.lex_state = 186},
  [2231] = {.lex_state = 226},
  [2232] = {.lex_state = 226},
  [2233] = {.lex_state = 178},
  [2234] = {.lex_state = 226},
  [2235] = {.lex_state = 197},
  [2236] = {.lex_state = 194},
  [2237] = {.lex_state = 194},
  [2238] = {.lex_state = 194},
  [2239] = {.lex_state = 194},
  [2240] = {.lex_state = 197},
  [2241] = {.lex_state = 194},
  [2242] = {.lex_state = 194},
  [2243] = {.lex_state = 203},
  [2244] = {.lex_state = 194},
  [2245] = {.lex_state = 194},
  [2246] = {.lex_state = 194},
  [2247] = {.lex_state = 194},
  [2248] = {.lex_state = 194},
  [2249] = {.lex_state = 194},
  [2250] = {.lex_state = 194},
  [2251] = {.lex_state = 194},
  [2252] = {.lex_state = 203},
  [2253] = {.lex_state = 203},
  [2254] = {.lex_state = 197},
  [2255] = {.lex_state = 178},
  [2256] = {.lex_state = 203},
  [2257] = {.lex_state = 195},
  [2258] = {.lex_state = 203},
  [2259] = {.lex_state = 195},
  [2260] = {.lex_state = 197},
  [2261] = {.lex_state = 195},
  [2262] = {.lex_state = 176},
  [2263] = {.lex_state = 194},
  [2264] = {.lex_state = 201},
  [2265] = {.lex_state = 201},
  [2266] = {.lex_state = 197},
  [2267] = {.lex_state = 195},
  [2268] = {.lex_state = 197},
  [2269] = {.lex_state = 197},
  [2270] = {.lex_state = 197},
  [2271] = {.lex_state = 197},
  [2272] = {.lex_state = 197},
  [2273] = {.lex_state = 195},
  [2274] = {.lex_state = 195},
  [2275] = {.lex_state = 197},
  [2276] = {.lex_state = 195},
  [2277] = {.lex_state = 197},
  [2278] = {.lex_state = 197},
  [2279] = {.lex_state = 197},
  [2280] = {.lex_state = 197},
  [2281] = {.lex_state = 195},
  [2282] = {.lex_state = 197},
  [2283] = {.lex_state = 197},
  [2284] = {.lex_state = 178},
  [2285] = {.lex_state = 178},
  [2286] = {.lex_state = 197},
  [2287] = {.lex_state = 197},
  [2288] = {.lex_state = 197},
  [2289] = {.lex_state = 186},
  [2290] = {.lex_state = 203},
  [2291] = {.lex_state = 197},
  [2292] = {.lex_state = 203},
  [2293] = {.lex_state = 176},
  [2294] = {.lex_state = 197},
  [2295] = {.lex_state = 197},
  [2296] = {.lex_state = 197},
  [2297] = {.lex_state = 197},
  [2298] = {.lex_state = 178},
  [2299] = {.lex_state = 197},
  [2300] = {.lex_state = 197},
  [2301] = {.lex_state = 197},
  [2302] = {.lex_state = 176},
  [2303] = {.lex_state = 203},
  [2304] = {.lex_state = 197},
  [2305] = {.lex_state = 197},
  [2306] = {.lex_state = 197},
  [2307] = {.lex_state = 197},
  [2308] = {.lex_state = 197},
  [2309] = {.lex_state = 197},
  [2310] = {.lex_state = 194},
  [2311] = {.lex_state = 194},
  [2312] = {.lex_state = 226},
  [2313] = {.lex_state = 197},
  [2314] = {.lex_state = 238},
  [2315] = {.lex_state = 178},
  [2316] = {.lex_state = 178},
  [2317] = {.lex_state = 178},
  [2318] = {.lex_state = 236},
  [2319] = {.lex_state = 238},
  [2320] = {.lex_state = 197},
  [2321] = {.lex_state = 197},
  [2322] = {.lex_state = 238},
  [2323] = {.lex_state = 197},
  [2324] = {.lex_state = 178},
  [2325] = {.lex_state = 194},
  [2326] = {.lex_state = 197},
  [2327] = {.lex_state = 197},
  [2328] = {.lex_state = 197},
  [2329] = {.lex_state = 194},
  [2330] = {.lex_state = 238},
  [2331] = {.lex_state = 238},
  [2332] = {.lex_state = 197},
  [2333] = {.lex_state = 184},
  [2334] = {.lex_state = 197},
  [2335] = {.lex_state = 197},
  [2336] = {.lex_state = 195},
  [2337] = {.lex_state = 238},
  [2338] = {.lex_state = 238},
  [2339] = {.lex_state = 238},
  [2340] = {.lex_state = 238},
  [2341] = {.lex_state = 194},
  [2342] = {.lex_state = 197},
  [2343] = {.lex_state = 184},
  [2344] = {.lex_state = 238},
  [2345] = {.lex_state = 197},
  [2346] = {.lex_state = 197},
  [2347] = {.lex_state = 197},
  [2348] = {.lex_state = 197},
  [2349] = {.lex_state = 197},
  [2350] = {.lex_state = 197},
  [2351] = {.lex_state = 238},
  [2352] = {.lex_state = 194},
  [2353] = {.lex_state = 178},
  [2354] = {.lex_state = 178},
  [2355] = {.lex_state = 178},
  [2356] = {.lex_state = 178},
  [2357] = {.lex_state = 195},
  [2358] = {.lex_state = 238},
  [2359] = {.lex_state = 238},
  [2360] = {.lex_state = 238},
  [2361] = {.lex_state = 238},
  [2362] = {.lex_state = 238},
  [2363] = {.lex_state = 238},
  [2364] = {.lex_state = 238},
  [2365] = {.lex_state = 238},
  [2366] = {.lex_state = 195},
  [2367] = {.lex_state = 238},
  [2368] = {.lex_state = 238},
  [2369] = {.lex_state = 238},
  [2370] = {.lex_state = 238},
  [2371] = {.lex_state = 238},
  [2372] = {.lex_state = 238},
  [2373] = {.lex_state = 238},
  [2374] = {.lex_state = 238},
  [2375] = {.lex_state = 194},
  [2376] = {.lex_state = 238},
  [2377] = {.lex_state = 238},
  [2378] = {.lex_state = 238},
  [2379] = {.lex_state = 238},
  [2380] = {.lex_state = 236},
  [2381] = {.lex_state = 194},
  [2382] = {.lex_state = 194},
  [2383] = {.lex_state = 174},
  [2384] = {.lex_state = 238},
  [2385] = {.lex_state = 184},
  [2386] = {.lex_state = 194},
  [2387] = {.lex_state = 197},
  [2388] = {.lex_state = 238},
  [2389] = {.lex_state = 194},
  [2390] = {.lex_state = 238},
  [2391] = {.lex_state = 238},
  [2392] = {.lex_state = 238},
  [2393] = {.lex_state = 238},
  [2394] = {.lex_state = 238},
  [2395] = {.lex_state = 238},
  [2396] = {.lex_state = 238},
  [2397] = {.lex_state = 184},
  [2398] = {.lex_state = 200},
  [2399] = {.lex_state = 195},
  [2400] = {.lex_state = 184},
  [2401] = {.lex_state = 188},
  [2402] = {.lex_state = 184},
  [2403] = {.lex_state = 197},
  [2404] = {.lex_state = 195},
  [2405] = {.lex_state = 184},
  [2406] = {.lex_state = 238},
  [2407] = {.lex_state = 236},
  [2408] = {.lex_state = 238},
  [2409] = {.lex_state = 174},
  [2410] = {.lex_state = 207},
  [2411] = {.lex_state = 184},
  [2412] = {.lex_state = 238},
  [2413] = {.lex_state = 238},
  [2414] = {.lex_state = 195},
  [2415] = {.lex_state = 206},
  [2416] = {.lex_state = 194},
  [2417] = {.lex_state = 197},
  [2418] = {.lex_state = 197},
  [2419] = {.lex_state = 197},
  [2420] = {.lex_state = 197},
  [2421] = {.lex_state = 197},
  [2422] = {.lex_state = 197},
  [2423] = {.lex_state = 197},
  [2424] = {.lex_state = 197},
  [2425] = {.lex_state = 197},
  [2426] = {.lex_state = 225},
  [2427] = {.lex_state = 197},
  [2428] = {.lex_state = 238},
  [2429] = {.lex_state = 184},
  [2430] = {.lex_state = 197},
  [2431] = {.lex_state = 197},
  [2432] = {.lex_state = 197},
  [2433] = {.lex_state = 225},
  [2434] = {.lex_state = 188},
  [2435] = {.lex_state = 197},
  [2436] = {.lex_state = 197},
  [2437] = {.lex_state = 238},
  [2438] = {.lex_state = 197},
  [2439] = {.lex_state = 197},
  [2440] = {.lex_state = 188},
  [2441] = {.lex_state = 197},
  [2442] = {.lex_state = 213},
  [2443] = {.lex_state = 197},
  [2444] = {.lex_state = 238},
  [2445] = {.lex_state = 197},
  [2446] = {.lex_state = 197},
  [2447] = {.lex_state = 197},
  [2448] = {.lex_state = 226},
  [2449] = {.lex_state = 184},
  [2450] = {.lex_state = 197},
  [2451] = {.lex_state = 197},
  [2452] = {.lex_state = 225},
  [2453] = {.lex_state = 197},
  [2454] = {.lex_state = 197},
  [2455] = {.lex_state = 197},
  [2456] = {.lex_state = 225},
  [2457] = {.lex_state = 197},
  [2458] = {.lex_state = 197},
  [2459] = {.lex_state = 225},
  [2460] = {.lex_state = 197},
  [2461] = {.lex_state = 197},
  [2462] = {.lex_state = 197},
  [2463] = {.lex_state = 197},
  [2464] = {.lex_state = 197},
  [2465] = {.lex_state = 197},
  [2466] = {.lex_state = 197},
  [2467] = {.lex_state = 225},
  [2468] = {.lex_state = 197},
  [2469] = {.lex_state = 197},
  [2470] = {.lex_state = 197},
  [2471] = {.lex_state = 197},
  [2472] = {.lex_state = 197},
  [2473] = {.lex_state = 226},
  [2474] = {.lex_state = 230},
  [2475] = {.lex_state = 197},
  [2476] = {.lex_state = 197},
  [2477] = {.lex_state = 197},
  [2478] = {.lex_state = 197},
  [2479] = {.lex_state = 197},
  [2480] = {.lex_state = 197},
  [2481] = {.lex_state = 197},
  [2482] = {.lex_state = 197},
  [2483] = {.lex_state = 197},
  [2484] = {.lex_state = 197},
  [2485] = {.lex_state = 225},
  [2486] = {.lex_state = 225},
  [2487] = {.lex_state = 225},
  [2488] = {.lex_state = 230},
  [2489] = {.lex_state = 197},
  [2490] = {.lex_state = 197},
  [2491] = {.lex_state = 197},
  [2492] = {.lex_state = 197},
  [2493] = {.lex_state = 197},
  [2494] = {.lex_state = 188},
  [2495] = {.lex_state = 188},
  [2496] = {.lex_state = 230},
  [2497] = {.lex_state = 197},
  [2498] = {.lex_state = 197},
  [2499] = {.lex_state = 197},
  [2500] = {.lex_state = 238},
  [2501] = {.lex_state = 184},
  [2502] = {.lex_state = 197},
  [2503] = {.lex_state = 197},
  [2504] = {.lex_state = 197},
  [2505] = {.lex_state = 197},
  [2506] = {.lex_state = 184},
  [2507] = {.lex_state = 197},
  [2508] = {.lex_state = 197},
  [2509] = {.lex_state = 197},
  [2510] = {.lex_state = 225},
  [2511] = {.lex_state = 214},
  [2512] = {.lex_state = 197},
  [2513] = {.lex_state = 197},
  [2514] = {.lex_state = 197},
  [2515] = {.lex_state = 235},
  [2516] = {.lex_state = 235},
  [2517] = {.lex_state = 230},
  [2518] = {.lex_state = 197},
  [2519] = {.lex_state = 197},
  [2520] = {.lex_state = 197},
  [2521] = {.lex_state = 197},
  [2522] = {.lex_state = 225},
  [2523] = {.lex_state = 197},
  [2524] = {.lex_state = 197},
  [2525] = {.lex_state = 197},
  [2526] = {.lex_state = 197},
  [2527] = {.lex_state = 225},
  [2528] = {.lex_state = 238},
  [2529] = {.lex_state = 226},
  [2530] = {.lex_state = 238},
  [2531] = {.lex_state = 238},
  [2532] = {.lex_state = 238},
  [2533] = {.lex_state = 174},
  [2534] = {.lex_state = 226},
  [2535] = {.lex_state = 226},
  [2536] = {.lex_state = 238},
  [2537] = {.lex_state = 188},
  [2538] = {.lex_state = 238},
  [2539] = {.lex_state = 174},
  [2540] = {.lex_state = 188},
  [2541] = {.lex_state = 184},
  [2542] = {.lex_state = 174},
  [2543] = {.lex_state = 226},
  [2544] = {.lex_state = 206},
  [2545] = {.lex_state = 226},
  [2546] = {.lex_state = 206},
  [2547] = {.lex_state = 238},
  [2548] = {.lex_state = 226},
  [2549] = {.lex_state = 174},
  [2550] = {.lex_state = 174},
  [2551] = {.lex_state = 174},
  [2552] = {.lex_state = 206},
  [2553] = {.lex_state = 206},
  [2554] = {.lex_state = 174},
  [2555] = {.lex_state = 174},
  [2556] = {.lex_state = 174},
  [2557] = {.lex_state = 174},
  [2558] = {.lex_state = 174},
  [2559] = {.lex_state = 226},
  [2560] = {.lex_state = 226},
  [2561] = {.lex_state = 174},
  [2562] = {.lex_state = 238},
  [2563] = {.lex_state = 174},
  [2564] = {.lex_state = 238},
  [2565] = {.lex_state = 174},
  [2566] = {.lex_state = 206},
  [2567] = {.lex_state = 206},
  [2568] = {.lex_state = 226},
  [2569] = {.lex_state = 225},
  [2570] = {.lex_state = 238},
  [2571] = {.lex_state = 238},
  [2572] = {.lex_state = 238},
  [2573] = {.lex_state = 238},
  [2574] = {.lex_state = 206},
  [2575] = {.lex_state = 206},
  [2576] = {.lex_state = 174},
  [2577] = {.lex_state = 206},
  [2578] = {.lex_state = 226},
  [2579] = {.lex_state = 206},
  [2580] = {.lex_state = 206},
  [2581] = {.lex_state = 225},
  [2582] = {.lex_state = 238},
  [2583] = {.lex_state = 238},
  [2584] = {.lex_state = 174},
  [2585] = {.lex_state = 238},
  [2586] = {.lex_state = 238},
  [2587] = {.lex_state = 238},
  [2588] = {.lex_state = 174},
  [2589] = {.lex_state = 238},
  [2590] = {.lex_state = 174},
  [2591] = {.lex_state = 226},
  [2592] = {.lex_state = 206},
  [2593] = {.lex_state = 174},
  [2594] = {.lex_state = 206},
  [2595] = {.lex_state = 226},
  [2596] = {.lex_state = 226},
  [2597] = {.lex_state = 226},
  [2598] = {.lex_state = 174},
  [2599] = {.lex_state = 238},
  [2600] = {.lex_state = 188},
  [2601] = {.lex_state = 188},
  [2602] = {.lex_state = 206},
  [2603] = {.lex_state = 206},
  [2604] = {.lex_state = 226},
  [2605] = {.lex_state = 206},
  [2606] = {.lex_state = 226},
  [2607] = {.lex_state = 206},
  [2608] = {.lex_state = 226},
  [2609] = {.lex_state = 226},
  [2610] = {.lex_state = 206},
  [2611] = {.lex_state = 226},
  [2612] = {.lex_state = 226},
  [2613] = {.lex_state = 226},
  [2614] = {.lex_state = 226},
  [2615] = {.lex_state = 226},
  [2616] = {.lex_state = 226},
  [2617] = {.lex_state = 226},
  [2618] = {.lex_state = 226},
  [2619] = {.lex_state = 235},
  [2620] = {.lex_state = 226},
  [2621] = {.lex_state = 226},
  [2622] = {.lex_state = 206},
  [2623] = {.lex_state = 235},
  [2624] = {.lex_state = 180},
  [2625] = {.lex_state = 180},
  [2626] = {.lex_state = 226},
  [2627] = {.lex_state = 226},
  [2628] = {.lex_state = 226},
  [2629] = {.lex_state = 226},
  [2630] = {.lex_state = 226},
  [2631] = {.lex_state = 207},
  [2632] = {.lex_state = 226},
  [2633] = {.lex_state = 226},
  [2634] = {.lex_state = 226},
  [2635] = {.lex_state = 226},
  [2636] = {.lex_state = 226},
  [2637] = {.lex_state = 238},
  [2638] = {.lex_state = 213},
  [2639] = {.lex_state = 213},
  [2640] = {.lex_state = 207},
  [2641] = {.lex_state = 213},
  [2642] = {.lex_state = 226},
  [2643] = {.lex_state = 240},
  [2644] = {.lex_state = 184},
  [2645] = {.lex_state = 213},
  [2646] = {.lex_state = 226},
  [2647] = {.lex_state = 226},
  [2648] = {.lex_state = 213},
  [2649] = {.lex_state = 213},
  [2650] = {.lex_state = 206},
  [2651] = {.lex_state = 226},
  [2652] = {.lex_state = 226},
  [2653] = {.lex_state = 213},
  [2654] = {.lex_state = 184},
  [2655] = {.lex_state = 184},
  [2656] = {.lex_state = 201},
  [2657] = {.lex_state = 213},
  [2658] = {.lex_state = 226},
  [2659] = {.lex_state = 213},
  [2660] = {.lex_state = 207},
  [2661] = {.lex_state = 213},
  [2662] = {.lex_state = 226},
  [2663] = {.lex_state = 226},
  [2664] = {.lex_state = 201},
  [2665] = {.lex_state = 213},
  [2666] = {.lex_state = 226},
  [2667] = {.lex_state = 226},
  [2668] = {.lex_state = 206},
  [2669] = {.lex_state = 226},
  [2670] = {.lex_state = 213},
  [2671] = {.lex_state = 206},
  [2672] = {.lex_state = 226},
  [2673] = {.lex_state = 226},
  [2674] = {.lex_state = 213},
  [2675] = {.lex_state = 213},
  [2676] = {.lex_state = 184},
  [2677] = {.lex_state = 213},
  [2678] = {.lex_state = 180},
  [2679] = {.lex_state = 226},
  [2680] = {.lex_state = 238},
  [2681] = {.lex_state = 226},
  [2682] = {.lex_state = 222},
  [2683] = {.lex_state = 213},
  [2684] = {.lex_state = 214},
  [2685] = {.lex_state = 184},
  [2686] = {.lex_state = 224},
  [2687] = {.lex_state = 213},
  [2688] = {.lex_state = 184},
  [2689] = {.lex_state = 213},
  [2690] = {.lex_state = 222},
  [2691] = {.lex_state = 184},
  [2692] = {.lex_state = 222},
  [2693] = {.lex_state = 213},
  [2694] = {.lex_state = 238},
  [2695] = {.lex_state = 224},
  [2696] = {.lex_state = 222},
  [2697] = {.lex_state = 222},
  [2698] = {.lex_state = 206},
  [2699] = {.lex_state = 213},
  [2700] = {.lex_state = 214},
  [2701] = {.lex_state = 213},
  [2702] = {.lex_state = 224},
  [2703] = {.lex_state = 206},
  [2704] = {.lex_state = 222},
  [2705] = {.lex_state = 238},
  [2706] = {.lex_state = 222},
  [2707] = {.lex_state = 207},
  [2708] = {.lex_state = 184},
  [2709] = {.lex_state = 236},
  [2710] = {.lex_state = 238},
  [2711] = {.lex_state = 213},
  [2712] = {.lex_state = 222},
  [2713] = {.lex_state = 222},
  [2714] = {.lex_state = 206},
  [2715] = {.lex_state = 206},
  [2716] = {.lex_state = 222},
  [2717] = {.lex_state = 238},
  [2718] = {.lex_state = 206},
  [2719] = {.lex_state = 206},
  [2720] = {.lex_state = 206},
  [2721] = {.lex_state = 206},
  [2722] = {.lex_state = 206},
  [2723] = {.lex_state = 238},
  [2724] = {.lex_state = 222},
  [2725] = {.lex_state = 206},
  [2726] = {.lex_state = 206},
  [2727] = {.lex_state = 222},
  [2728] = {.lex_state = 222},
  [2729] = {.lex_state = 206},
  [2730] = {.lex_state = 206},
  [2731] = {.lex_state = 222},
  [2732] = {.lex_state = 206},
  [2733] = {.lex_state = 238},
  [2734] = {.lex_state = 222},
  [2735] = {.lex_state = 222},
  [2736] = {.lex_state = 214},
  [2737] = {.lex_state = 206},
  [2738] = {.lex_state = 222},
  [2739] = {.lex_state = 222},
  [2740] = {.lex_state = 222},
  [2741] = {.lex_state = 222},
  [2742] = {.lex_state = 206},
  [2743] = {.lex_state = 206},
  [2744] = {.lex_state = 206},
  [2745] = {.lex_state = 206},
  [2746] = {.lex_state = 206},
  [2747] = {.lex_state = 206},
  [2748] = {.lex_state = 206},
  [2749] = {.lex_state = 222},
  [2750] = {.lex_state = 206},
  [2751] = {.lex_state = 194},
  [2752] = {.lex_state = 206},
  [2753] = {.lex_state = 238},
  [2754] = {.lex_state = 180},
  [2755] = {.lex_state = 239},
  [2756] = {.lex_state = 195},
  [2757] = {.lex_state = 201},
  [2758] = {.lex_state = 213},
  [2759] = {.lex_state = 201},
  [2760] = {.lex_state = 238},
  [2761] = {.lex_state = 194},
  [2762] = {.lex_state = 194},
  [2763] = {.lex_state = 206},
  [2764] = {.lex_state = 194},
  [2765] = {.lex_state = 194},
  [2766] = {.lex_state = 194},
  [2767] = {.lex_state = 194},
  [2768] = {.lex_state = 194},
  [2769] = {.lex_state = 194},
  [2770] = {.lex_state = 194},
  [2771] = {.lex_state = 194},
  [2772] = {.lex_state = 194},
  [2773] = {.lex_state = 194},
  [2774] = {.lex_state = 206},
  [2775] = {.lex_state = 206},
  [2776] = {.lex_state = 206},
  [2777] = {.lex_state = 195},
  [2778] = {.lex_state = 195},
  [2779] = {.lex_state = 195},
  [2780] = {.lex_state = 195},
  [2781] = {.lex_state = 206},
  [2782] = {.lex_state = 206},
  [2783] = {.lex_state = 206},
  [2784] = {.lex_state = 206},
  [2785] = {.lex_state = 206},
  [2786] = {.lex_state = 206},
  [2787] = {.lex_state = 206},
  [2788] = {.lex_state = 206},
  [2789] = {.lex_state = 180},
  [2790] = {.lex_state = 236},
  [2791] = {.lex_state = 195},
  [2792] = {.lex_state = 206},
  [2793] = {.lex_state = 206},
  [2794] = {.lex_state = 195},
  [2795] = {.lex_state = 206},
  [2796] = {.lex_state = 206},
  [2797] = {.lex_state = 236},
  [2798] = {.lex_state = 238},
  [2799] = {.lex_state = 239},
  [2800] = {.lex_state = 206},
  [2801] = {.lex_state = 206},
  [2802] = {.lex_state = 236},
  [2803] = {.lex_state = 174},
  [2804] = {.lex_state = 236},
  [2805] = {.lex_state = 213},
  [2806] = {.lex_state = 194},
  [2807] = {.lex_state = 194},
  [2808] = {.lex_state = 194},
  [2809] = {.lex_state = 194},
  [2810] = {.lex_state = 194},
  [2811] = {.lex_state = 236},
  [2812] = {.lex_state = 207},
  [2813] = {.lex_state = 180},
  [2814] = {.lex_state = 236},
  [2815] = {.lex_state = 213},
  [2816] = {.lex_state = 236},
  [2817] = {.lex_state = 206},
  [2818] = {.lex_state = 206},
  [2819] = {.lex_state = 236},
  [2820] = {.lex_state = 206},
  [2821] = {.lex_state = 213},
  [2822] = {.lex_state = 236},
  [2823] = {.lex_state = 207},
  [2824] = {.lex_state = 180},
  [2825] = {.lex_state = 236},
  [2826] = {.lex_state = 236},
  [2827] = {.lex_state = 239},
  [2828] = {.lex_state = 213},
  [2829] = {.lex_state = 236},
  [2830] = {.lex_state = 213},
  [2831] = {.lex_state = 236},
  [2832] = {.lex_state = 206},
  [2833] = {.lex_state = 236},
  [2834] = {.lex_state = 206},
  [2835] = {.lex_state = 236},
  [2836] = {.lex_state = 238},
  [2837] = {.lex_state = 201},
  [2838] = {.lex_state = 201},
  [2839] = {.lex_state = 198},
  [2840] = {.lex_state = 207},
  [2841] = {.lex_state = 201},
  [2842] = {.lex_state = 239},
  [2843] = {.lex_state = 206},
  [2844] = {.lex_state = 213},
  [2845] = {.lex_state = 206},
  [2846] = {.lex_state = 213},
  [2847] = {.lex_state = 206},
  [2848] = {.lex_state = 225},
  [2849] = {.lex_state = 201},
  [2850] = {.lex_state = 206},
  [2851] = {.lex_state = 201},
  [2852] = {.lex_state = 201},
  [2853] = {.lex_state = 238},
  [2854] = {.lex_state = 201},
  [2855] = {.lex_state = 238},
  [2856] = {.lex_state = 201},
  [2857] = {.lex_state = 201},
  [2858] = {.lex_state = 213},
  [2859] = {.lex_state = 201},
  [2860] = {.lex_state = 238},
  [2861] = {.lex_state = 213},
  [2862] = {.lex_state = 239},
  [2863] = {.lex_state = 238},
  [2864] = {.lex_state = 213},
  [2865] = {.lex_state = 201},
  [2866] = {.lex_state = 239},
  [2867] = {.lex_state = 206},
  [2868] = {.lex_state = 236},
  [2869] = {.lex_state = 238},
  [2870] = {.lex_state = 238},
  [2871] = {.lex_state = 236},
  [2872] = {.lex_state = 236},
  [2873] = {.lex_state = 236},
  [2874] = {.lex_state = 201},
  [2875] = {.lex_state = 238},
  [2876] = {.lex_state = 201},
  [2877] = {.lex_state = 201},
  [2878] = {.lex_state = 201},
  [2879] = {.lex_state = 213},
  [2880] = {.lex_state = 239},
  [2881] = {.lex_state = 201},
  [2882] = {.lex_state = 238},
  [2883] = {.lex_state = 201},
  [2884] = {.lex_state = 206},
  [2885] = {.lex_state = 201},
  [2886] = {.lex_state = 238},
  [2887] = {.lex_state = 206},
  [2888] = {.lex_state = 238},
  [2889] = {.lex_state = 213},
  [2890] = {.lex_state = 201},
  [2891] = {.lex_state = 201},
  [2892] = {.lex_state = 238},
  [2893] = {.lex_state = 201},
  [2894] = {.lex_state = 201},
  [2895] = {.lex_state = 238},
  [2896] = {.lex_state = 201},
  [2897] = {.lex_state = 201},
  [2898] = {.lex_state = 213},
  [2899] = {.lex_state = 201},
  [2900] = {.lex_state = 238},
  [2901] = {.lex_state = 213},
  [2902] = {.lex_state = 201},
  [2903] = {.lex_state = 213},
  [2904] = {.lex_state = 201},
  [2905] = {.lex_state = 213},
  [2906] = {.lex_state = 238},
  [2907] = {.lex_state = 198},
  [2908] = {.lex_state = 213},
  [2909] = {.lex_state = 201},
  [2910] = {.lex_state = 193},
  [2911] = {.lex_state = 238},
  [2912] = {.lex_state = 198},
  [2913] = {.lex_state = 193},
  [2914] = {.lex_state = 194},
  [2915] = {.lex_state = 213},
  [2916] = {.lex_state = 194},
  [2917] = {.lex_state = 213},
  [2918] = {.lex_state = 238},
  [2919] = {.lex_state = 191},
  [2920] = {.lex_state = 238},
  [2921] = {.lex_state = 194},
  [2922] = {.lex_state = 238},
  [2923] = {.lex_state = 240},
  [2924] = {.lex_state = 238},
  [2925] = {.lex_state = 194},
  [2926] = {.lex_state = 213},
  [2927] = {.lex_state = 191},
  [2928] = {.lex_state = 236},
  [2929] = {.lex_state = 206},
  [2930] = {.lex_state = 222},
  [2931] = {.lex_state = 194},
  [2932] = {.lex_state = 194},
  [2933] = {.lex_state = 206},
  [2934] = {.lex_state = 222},
  [2935] = {.lex_state = 238},
  [2936] = {.lex_state = 213},
  [2937] = {.lex_state = 191},
  [2938] = {.lex_state = 222},
  [2939] = {.lex_state = 194},
  [2940] = {.lex_state = 238},
  [2941] = {.lex_state = 206},
  [2942] = {.lex_state = 194},
  [2943] = {.lex_state = 201},
  [2944] = {.lex_state = 238},
  [2945] = {.lex_state = 213},
  [2946] = {.lex_state = 222},
  [2947] = {.lex_state = 238},
  [2948] = {.lex_state = 206},
  [2949] = {.lex_state = 238},
  [2950] = {.lex_state = 191},
  [2951] = {.lex_state = 194},
  [2952] = {.lex_state = 239},
  [2953] = {.lex_state = 238},
  [2954] = {.lex_state = 206},
  [2955] = {.lex_state = 213},
  [2956] = {.lex_state = 194},
  [2957] = {.lex_state = 194},
  [2958] = {.lex_state = 238},
  [2959] = {.lex_state = 206},
  [2960] = {.lex_state = 198},
  [2961] = {.lex_state = 238},
  [2962] = {.lex_state = 206},
  [2963] = {.lex_state = 198},
  [2964] = {.lex_state = 194},
  [2965] = {.lex_state = 238},
  [2966] = {.lex_state = 222},
  [2967] = {.lex_state = 238},
  [2968] = {.lex_state = 222},
  [2969] = {.lex_state = 191},
  [2970] = {.lex_state = 206},
  [2971] = {.lex_state = 238},
  [2972] = {.lex_state = 206},
  [2973] = {.lex_state = 238},
  [2974] = {.lex_state = 198},
  [2975] = {.lex_state = 206},
  [2976] = {.lex_state = 238},
  [2977] = {.lex_state = 194},
  [2978] = {.lex_state = 238},
  [2979] = {.lex_state = 206},
  [2980] = {.lex_state = 238},
  [2981] = {.lex_state = 238},
  [2982] = {.lex_state = 206},
  [2983] = {.lex_state = 194},
  [2984] = {.lex_state = 238},
  [2985] = {.lex_state = 194},
  [2986] = {.lex_state = 194},
  [2987] = {.lex_state = 238},
  [2988] = {.lex_state = 238},
  [2989] = {.lex_state = 194},
  [2990] = {.lex_state = 191},
  [2991] = {.lex_state = 238},
  [2992] = {.lex_state = 238},
  [2993] = {.lex_state = 194},
  [2994] = {.lex_state = 194},
  [2995] = {.lex_state = 238},
  [2996] = {.lex_state = 238},
  [2997] = {.lex_state = 194},
  [2998] = {.lex_state = 206},
  [2999] = {.lex_state = 206},
  [3000] = {.lex_state = 216},
  [3001] = {.lex_state = 206},
  [3002] = {.lex_state = 206},
  [3003] = {.lex_state = 206},
  [3004] = {.lex_state = 206},
  [3005] = {.lex_state = 236},
  [3006] = {.lex_state = 168},
  [3007] = {.lex_state = 206},
  [3008] = {.lex_state = 206},
  [3009] = {.lex_state = 206},
  [3010] = {.lex_state = 206},
  [3011] = {.lex_state = 213},
  [3012] = {.lex_state = 206},
  [3013] = {.lex_state = 194},
  [3014] = {.lex_state = 194},
  [3015] = {.lex_state = 206},
  [3016] = {.lex_state = 168},
  [3017] = {.lex_state = 238},
  [3018] = {.lex_state = 180},
  [3019] = {.lex_state = 206},
  [3020] = {.lex_state = 213},
  [3021] = {.lex_state = 206},
  [3022] = {.lex_state = 191},
  [3023] = {.lex_state = 206},
  [3024] = {.lex_state = 206},
  [3025] = {.lex_state = 238},
  [3026] = {.lex_state = 238},
  [3027] = {.lex_state = 194},
  [3028] = {.lex_state = 238},
  [3029] = {.lex_state = 216},
  [3030] = {.lex_state = 206},
  [3031] = {.lex_state = 168},
  [3032] = {.lex_state = 238},
  [3033] = {.lex_state = 191},
  [3034] = {.lex_state = 206},
  [3035] = {.lex_state = 206},
  [3036] = {.lex_state = 194},
  [3037] = {.lex_state = 206},
  [3038] = {.lex_state = 168},
  [3039] = {.lex_state = 206},
  [3040] = {.lex_state = 206},
  [3041] = {.lex_state = 206},
  [3042] = {.lex_state = 206},
  [3043] = {.lex_state = 206},
  [3044] = {.lex_state = 194},
  [3045] = {.lex_state = 206},
  [3046] = {.lex_state = 216},
  [3047] = {.lex_state = 206},
  [3048] = {.lex_state = 206},
  [3049] = {.lex_state = 206},
  [3050] = {.lex_state = 206},
  [3051] = {.lex_state = 194},
  [3052] = {.lex_state = 206},
  [3053] = {.lex_state = 194},
  [3054] = {.lex_state = 206},
  [3055] = {.lex_state = 206},
  [3056] = {.lex_state = 206},
  [3057] = {.lex_state = 206},
  [3058] = {.lex_state = 216},
  [3059] = {.lex_state = 168},
  [3060] = {.lex_state = 206},
  [3061] = {.lex_state = 206},
  [3062] = {.lex_state = 206},
  [3063] = {.lex_state = 194},
  [3064] = {.lex_state = 206},
  [3065] = {.lex_state = 168},
  [3066] = {.lex_state = 236},
  [3067] = {.lex_state = 206},
  [3068] = {.lex_state = 206},
  [3069] = {.lex_state = 206},
  [3070] = {.lex_state = 206},
  [3071] = {.lex_state = 206},
  [3072] = {.lex_state = 206},
  [3073] = {.lex_state = 206},
  [3074] = {.lex_state = 206},
  [3075] = {.lex_state = 206},
  [3076] = {.lex_state = 206},
  [3077] = {.lex_state = 194},
  [3078] = {.lex_state = 194},
  [3079] = {.lex_state = 206},
  [3080] = {.lex_state = 194},
  [3081] = {.lex_state = 194},
  [3082] = {.lex_state = 236},
  [3083] = {.lex_state = 213},
  [3084] = {.lex_state = 191},
  [3085] = {.lex_state = 194},
  [3086] = {.lex_state = 194},
  [3087] = {.lex_state = 194},
  [3088] = {.lex_state = 194},
  [3089] = {.lex_state = 194},
  [3090] = {.lex_state = 216},
  [3091] = {.lex_state = 236},
  [3092] = {.lex_state = 222},
  [3093] = {.lex_state = 236},
  [3094] = {.lex_state = 206},
  [3095] = {.lex_state = 213},
  [3096] = {.lex_state = 236},
  [3097] = {.lex_state = 215},
  [3098] = {.lex_state = 236},
  [3099] = {.lex_state = 236},
  [3100] = {.lex_state = 213},
  [3101] = {.lex_state = 236},
  [3102] = {.lex_state = 213},
  [3103] = {.lex_state = 203},
  [3104] = {.lex_state = 236},
  [3105] = {.lex_state = 208},
  [3106] = {.lex_state = 236},
  [3107] = {.lex_state = 236},
  [3108] = {.lex_state = 238},
  [3109] = {.lex_state = 206},
  [3110] = {.lex_state = 236},
  [3111] = {.lex_state = 216},
  [3112] = {.lex_state = 198},
  [3113] = {.lex_state = 213},
  [3114] = {.lex_state = 206},
  [3115] = {.lex_state = 206},
  [3116] = {.lex_state = 213},
  [3117] = {.lex_state = 236},
  [3118] = {.lex_state = 213},
  [3119] = {.lex_state = 206},
  [3120] = {.lex_state = 236},
  [3121] = {.lex_state = 206},
  [3122] = {.lex_state = 213},
  [3123] = {.lex_state = 201},
  [3124] = {.lex_state = 238},
  [3125] = {.lex_state = 236},
  [3126] = {.lex_state = 206},
  [3127] = {.lex_state = 206},
  [3128] = {.lex_state = 236},
  [3129] = {.lex_state = 236},
  [3130] = {.lex_state = 180},
  [3131] = {.lex_state = 236},
  [3132] = {.lex_state = 206},
  [3133] = {.lex_state = 236},
  [3134] = {.lex_state = 236},
  [3135] = {.lex_state = 206},
  [3136] = {.lex_state = 236},
  [3137] = {.lex_state = 236},
  [3138] = {.lex_state = 236},
  [3139] = {.lex_state = 206},
  [3140] = {.lex_state = 191},
  [3141] = {.lex_state = 213},
  [3142] = {.lex_state = 236},
  [3143] = {.lex_state = 236},
  [3144] = {.lex_state = 236},
  [3145] = {.lex_state = 213},
  [3146] = {.lex_state = 206},
  [3147] = {.lex_state = 193},
  [3148] = {.lex_state = 236},
  [3149] = {.lex_state = 236},
  [3150] = {.lex_state = 213},
  [3151] = {.lex_state = 206},
  [3152] = {.lex_state = 236},
  [3153] = {.lex_state = 238},
  [3154] = {.lex_state = 206},
  [3155] = {.lex_state = 198},
  [3156] = {.lex_state = 236},
  [3157] = {.lex_state = 236},
  [3158] = {.lex_state = 206},
  [3159] = {.lex_state = 213},
  [3160] = {.lex_state = 213},
  [3161] = {.lex_state = 236},
  [3162] = {.lex_state = 213},
  [3163] = {.lex_state = 216},
  [3164] = {.lex_state = 206},
  [3165] = {.lex_state = 236},
  [3166] = {.lex_state = 236},
  [3167] = {.lex_state = 236},
  [3168] = {.lex_state = 213},
  [3169] = {.lex_state = 236},
  [3170] = {.lex_state = 180},
  [3171] = {.lex_state = 236},
  [3172] = {.lex_state = 213},
  [3173] = {.lex_state = 236},
  [3174] = {.lex_state = 236},
  [3175] = {.lex_state = 236},
  [3176] = {.lex_state = 236},
  [3177] = {.lex_state = 213},
  [3178] = {.lex_state = 238},
  [3179] = {.lex_state = 236},
  [3180] = {.lex_state = 236},
  [3181] = {.lex_state = 206},
  [3182] = {.lex_state = 206},
  [3183] = {.lex_state = 206},
  [3184] = {.lex_state = 213},
  [3185] = {.lex_state = 238},
  [3186] = {.lex_state = 236},
  [3187] = {.lex_state = 238},
  [3188] = {.lex_state = 213},
  [3189] = {.lex_state = 213},
  [3190] = {.lex_state = 236},
  [3191] = {.lex_state = 238},
  [3192] = {.lex_state = 213},
  [3193] = {.lex_state = 213},
  [3194] = {.lex_state = 206},
  [3195] = {.lex_state = 236},
  [3196] = {.lex_state = 213},
  [3197] = {.lex_state = 213},
  [3198] = {.lex_state = 238},
  [3199] = {.lex_state = 213},
  [3200] = {.lex_state = 206},
  [3201] = {.lex_state = 206},
  [3202] = {.lex_state = 236},
  [3203] = {.lex_state = 213},
  [3204] = {.lex_state = 236},
  [3205] = {.lex_state = 236},
  [3206] = {.lex_state = 206},
  [3207] = {.lex_state = 236},
  [3208] = {.lex_state = 206},
  [3209] = {.lex_state = 236},
  [3210] = {.lex_state = 236},
  [3211] = {.lex_state = 191},
  [3212] = {.lex_state = 236},
  [3213] = {.lex_state = 213},
  [3214] = {.lex_state = 236},
  [3215] = {.lex_state = 213},
  [3216] = {.lex_state = 236},
  [3217] = {.lex_state = 213},
  [3218] = {.lex_state = 236},
  [3219] = {.lex_state = 236},
  [3220] = {.lex_state = 236},
  [3221] = {.lex_state = 213},
  [3222] = {.lex_state = 236},
  [3223] = {.lex_state = 236},
  [3224] = {.lex_state = 236},
  [3225] = {.lex_state = 236},
  [3226] = {.lex_state = 236},
  [3227] = {.lex_state = 213},
  [3228] = {.lex_state = 236},
  [3229] = {.lex_state = 213},
  [3230] = {.lex_state = 213},
  [3231] = {.lex_state = 206},
  [3232] = {.lex_state = 213},
  [3233] = {.lex_state = 193},
  [3234] = {.lex_state = 206},
  [3235] = {.lex_state = 213},
  [3236] = {.lex_state = 213},
  [3237] = {.lex_state = 206},
  [3238] = {.lex_state = 222},
  [3239] = {.lex_state = 180},
  [3240] = {.lex_state = 206},
  [3241] = {.lex_state = 213},
  [3242] = {.lex_state = 236},
  [3243] = {.lex_state = 213},
  [3244] = {.lex_state = 206},
  [3245] = {.lex_state = 236},
  [3246] = {.lex_state = 236},
  [3247] = {.lex_state = 206},
  [3248] = {.lex_state = 180},
  [3249] = {.lex_state = 194},
  [3250] = {.lex_state = 206},
  [3251] = {.lex_state = 236},
  [3252] = {.lex_state = 198},
  [3253] = {.lex_state = 236},
  [3254] = {.lex_state = 238},
  [3255] = {.lex_state = 206},
  [3256] = {.lex_state = 236},
  [3257] = {.lex_state = 222},
  [3258] = {.lex_state = 236},
  [3259] = {.lex_state = 236},
  [3260] = {.lex_state = 236},
  [3261] = {.lex_state = 236},
  [3262] = {.lex_state = 206},
  [3263] = {.lex_state = 206},
  [3264] = {.lex_state = 206},
  [3265] = {.lex_state = 213},
  [3266] = {.lex_state = 197},
  [3267] = {.lex_state = 191},
  [3268] = {.lex_state = 191},
  [3269] = {.lex_state = 191},
  [3270] = {.lex_state = 191},
  [3271] = {.lex_state = 191},
  [3272] = {.lex_state = 238},
  [3273] = {.lex_state = 213},
  [3274] = {.lex_state = 239},
  [3275] = {.lex_state = 193},
  [3276] = {.lex_state = 213},
  [3277] = {.lex_state = 203},
  [3278] = {.lex_state = 203},
  [3279] = {.lex_state = 203},
  [3280] = {.lex_state = 203},
  [3281] = {.lex_state = 213},
  [3282] = {.lex_state = 203},
  [3283] = {.lex_state = 210},
  [3284] = {.lex_state = 213},
  [3285] = {.lex_state = 239},
  [3286] = {.lex_state = 213},
  [3287] = {.lex_state = 203},
  [3288] = {.lex_state = 213},
  [3289] = {.lex_state = 236},
  [3290] = {.lex_state = 238},
  [3291] = {.lex_state = 240},
  [3292] = {.lex_state = 191},
  [3293] = {.lex_state = 191},
  [3294] = {.lex_state = 191},
  [3295] = {.lex_state = 236},
  [3296] = {.lex_state = 206},
  [3297] = {.lex_state = 191},
  [3298] = {.lex_state = 194},
  [3299] = {.lex_state = 236},
  [3300] = {.lex_state = 206},
  [3301] = {.lex_state = 206},
  [3302] = {.lex_state = 210},
  [3303] = {.lex_state = 191},
  [3304] = {.lex_state = 191},
  [3305] = {.lex_state = 191},
  [3306] = {.lex_state = 191},
  [3307] = {.lex_state = 193},
  [3308] = {.lex_state = 239},
  [3309] = {.lex_state = 213},
  [3310] = {.lex_state = 201},
  [3311] = {.lex_state = 239},
  [3312] = {.lex_state = 191},
  [3313] = {.lex_state = 203},
  [3314] = {.lex_state = 201},
  [3315] = {.lex_state = 191},
  [3316] = {.lex_state = 238},
  [3317] = {.lex_state = 191},
  [3318] = {.lex_state = 238},
  [3319] = {.lex_state = 191},
  [3320] = {.lex_state = 194},
  [3321] = {.lex_state = 206},
  [3322] = {.lex_state = 191},
  [3323] = {.lex_state = 212},
  [3324] = {.lex_state = 236},
  [3325] = {.lex_state = 206},
  [3326] = {.lex_state = 206},
  [3327] = {.lex_state = 203},
  [3328] = {.lex_state = 191},
  [3329] = {.lex_state = 206},
  [3330] = {.lex_state = 239},
  [3331] = {.lex_state = 239},
  [3332] = {.lex_state = 203},
  [3333] = {.lex_state = 236},
  [3334] = {.lex_state = 203},
  [3335] = {.lex_state = 213},
  [3336] = {.lex_state = 206},
  [3337] = {.lex_state = 203},
  [3338] = {.lex_state = 236},
  [3339] = {.lex_state = 203},
  [3340] = {.lex_state = 210},
  [3341] = {.lex_state = 206},
  [3342] = {.lex_state = 203},
  [3343] = {.lex_state = 206},
  [3344] = {.lex_state = 191},
  [3345] = {.lex_state = 213},
  [3346] = {.lex_state = 236},
  [3347] = {.lex_state = 206},
  [3348] = {.lex_state = 206},
  [3349] = {.lex_state = 193},
  [3350] = {.lex_state = 206},
  [3351] = {.lex_state = 203},
  [3352] = {.lex_state = 236},
  [3353] = {.lex_state = 206},
  [3354] = {.lex_state = 203},
  [3355] = {.lex_state = 191},
  [3356] = {.lex_state = 236},
  [3357] = {.lex_state = 206},
  [3358] = {.lex_state = 203},
  [3359] = {.lex_state = 191},
  [3360] = {.lex_state = 206},
  [3361] = {.lex_state = 236},
  [3362] = {.lex_state = 206},
  [3363] = {.lex_state = 213},
  [3364] = {.lex_state = 213},
  [3365] = {.lex_state = 236},
  [3366] = {.lex_state = 213},
  [3367] = {.lex_state = 213},
  [3368] = {.lex_state = 194},
  [3369] = {.lex_state = 191},
  [3370] = {.lex_state = 191},
  [3371] = {.lex_state = 240},
  [3372] = {.lex_state = 213},
  [3373] = {.lex_state = 213},
  [3374] = {.lex_state = 236},
  [3375] = {.lex_state = 239},
  [3376] = {.lex_state = 236},
  [3377] = {.lex_state = 236},
  [3378] = {.lex_state = 236},
  [3379] = {.lex_state = 236},
  [3380] = {.lex_state = 236},
  [3381] = {.lex_state = 191},
  [3382] = {.lex_state = 213},
  [3383] = {.lex_state = 191},
  [3384] = {.lex_state = 191},
  [3385] = {.lex_state = 236},
  [3386] = {.lex_state = 191},
  [3387] = {.lex_state = 213},
  [3388] = {.lex_state = 193},
  [3389] = {.lex_state = 191},
  [3390] = {.lex_state = 213},
  [3391] = {.lex_state = 213},
  [3392] = {.lex_state = 213},
  [3393] = {.lex_state = 213},
  [3394] = {.lex_state = 213},
  [3395] = {.lex_state = 213},
  [3396] = {.lex_state = 213},
  [3397] = {.lex_state = 213},
  [3398] = {.lex_state = 213},
  [3399] = {.lex_state = 213},
  [3400] = {.lex_state = 239},
  [3401] = {.lex_state = 238},
  [3402] = {.lex_state = 238},
  [3403] = {.lex_state = 213},
  [3404] = {.lex_state = 197},
  [3405] = {.lex_state = 197},
  [3406] = {.lex_state = 197},
  [3407] = {.lex_state = 197},
  [3408] = {.lex_state = 197},
  [3409] = {.lex_state = 197},
  [3410] = {.lex_state = 197},
  [3411] = {.lex_state = 197},
  [3412] = {.lex_state = 197},
  [3413] = {.lex_state = 197},
  [3414] = {.lex_state = 197},
  [3415] = {.lex_state = 197},
  [3416] = {.lex_state = 197},
  [3417] = {.lex_state = 197},
  [3418] = {.lex_state = 197},
  [3419] = {.lex_state = 197},
  [3420] = {.lex_state = 197},
  [3421] = {.lex_state = 197},
  [3422] = {.lex_state = 197},
  [3423] = {.lex_state = 197},
  [3424] = {.lex_state = 197},
  [3425] = {.lex_state = 197},
  [3426] = {.lex_state = 197},
  [3427] = {.lex_state = 203},
  [3428] = {.lex_state = 197},
  [3429] = {.lex_state = 213},
  [3430] = {.lex_state = 194},
  [3431] = {.lex_state = 193},
  [3432] = {.lex_state = 193},
  [3433] = {.lex_state = 240},
  [3434] = {.lex_state = 236},
  [3435] = {.lex_state = 236},
  [3436] = {.lex_state = 206},
  [3437] = {.lex_state = 206},
  [3438] = {.lex_state = 206},
  [3439] = {.lex_state = 206},
  [3440] = {.lex_state = 206},
  [3441] = {.lex_state = 206},
  [3442] = {.lex_state = 206},
  [3443] = {.lex_state = 206},
  [3444] = {.lex_state = 206},
  [3445] = {.lex_state = 206},
  [3446] = {.lex_state = 206},
  [3447] = {.lex_state = 206},
  [3448] = {.lex_state = 206},
  [3449] = {.lex_state = 206},
  [3450] = {.lex_state = 206},
  [3451] = {.lex_state = 206},
  [3452] = {.lex_state = 206},
  [3453] = {.lex_state = 206},
  [3454] = {.lex_state = 206},
  [3455] = {.lex_state = 206},
  [3456] = {.lex_state = 206},
  [3457] = {.lex_state = 206},
  [3458] = {.lex_state = 216},
  [3459] = {.lex_state = 206},
  [3460] = {.lex_state = 206},
  [3461] = {.lex_state = 206},
  [3462] = {.lex_state = 206},
  [3463] = {.lex_state = 206},
  [3464] = {.lex_state = 206},
  [3465] = {.lex_state = 213},
  [3466] = {.lex_state = 206},
  [3467] = {.lex_state = 206},
  [3468] = {.lex_state = 206},
  [3469] = {.lex_state = 206},
  [3470] = {.lex_state = 206},
  [3471] = {.lex_state = 206},
  [3472] = {.lex_state = 206},
  [3473] = {.lex_state = 206},
  [3474] = {.lex_state = 206},
  [3475] = {.lex_state = 206},
  [3476] = {.lex_state = 206},
  [3477] = {.lex_state = 206},
  [3478] = {.lex_state = 180},
  [3479] = {.lex_state = 206},
  [3480] = {.lex_state = 206},
  [3481] = {.lex_state = 238},
  [3482] = {.lex_state = 206},
  [3483] = {.lex_state = 206},
  [3484] = {.lex_state = 206},
  [3485] = {.lex_state = 206},
  [3486] = {.lex_state = 206},
  [3487] = {.lex_state = 206},
  [3488] = {.lex_state = 190},
  [3489] = {.lex_state = 194},
  [3490] = {.lex_state = 216},
  [3491] = {.lex_state = 206},
  [3492] = {.lex_state = 218},
  [3493] = {.lex_state = 206},
  [3494] = {.lex_state = 206},
  [3495] = {.lex_state = 206},
  [3496] = {.lex_state = 206},
  [3497] = {.lex_state = 206},
  [3498] = {.lex_state = 216},
  [3499] = {.lex_state = 206},
  [3500] = {.lex_state = 218},
  [3501] = {.lex_state = 206},
  [3502] = {.lex_state = 206},
  [3503] = {.lex_state = 206},
  [3504] = {.lex_state = 206},
  [3505] = {.lex_state = 216},
  [3506] = {.lex_state = 180},
  [3507] = {.lex_state = 213},
  [3508] = {.lex_state = 218},
  [3509] = {.lex_state = 206},
  [3510] = {.lex_state = 206},
  [3511] = {.lex_state = 206},
  [3512] = {.lex_state = 206},
  [3513] = {.lex_state = 180},
  [3514] = {.lex_state = 206},
  [3515] = {.lex_state = 206},
  [3516] = {.lex_state = 206},
  [3517] = {.lex_state = 206},
  [3518] = {.lex_state = 206},
  [3519] = {.lex_state = 180},
  [3520] = {.lex_state = 206},
  [3521] = {.lex_state = 206},
  [3522] = {.lex_state = 206},
  [3523] = {.lex_state = 206},
  [3524] = {.lex_state = 206},
  [3525] = {.lex_state = 201},
  [3526] = {.lex_state = 201},
  [3527] = {.lex_state = 206},
  [3528] = {.lex_state = 206},
  [3529] = {.lex_state = 206},
  [3530] = {.lex_state = 206},
  [3531] = {.lex_state = 206},
  [3532] = {.lex_state = 206},
  [3533] = {.lex_state = 206},
  [3534] = {.lex_state = 206},
  [3535] = {.lex_state = 206},
  [3536] = {.lex_state = 206},
  [3537] = {.lex_state = 206},
  [3538] = {.lex_state = 216},
  [3539] = {.lex_state = 206},
  [3540] = {.lex_state = 216},
  [3541] = {.lex_state = 216},
  [3542] = {.lex_state = 216},
  [3543] = {.lex_state = 206},
  [3544] = {.lex_state = 206},
  [3545] = {.lex_state = 206},
  [3546] = {.lex_state = 216},
  [3547] = {.lex_state = 206},
  [3548] = {.lex_state = 206},
  [3549] = {.lex_state = 216},
  [3550] = {.lex_state = 216},
  [3551] = {.lex_state = 216},
  [3552] = {.lex_state = 206},
  [3553] = {.lex_state = 238},
  [3554] = {.lex_state = 238},
  [3555] = {.lex_state = 201},
  [3556] = {.lex_state = 238},
  [3557] = {.lex_state = 238},
  [3558] = {.lex_state = 206},
  [3559] = {.lex_state = 238},
  [3560] = {.lex_state = 238},
  [3561] = {.lex_state = 238},
  [3562] = {.lex_state = 206},
  [3563] = {.lex_state = 238},
  [3564] = {.lex_state = 238},
  [3565] = {.lex_state = 238},
  [3566] = {.lex_state = 206},
  [3567] = {.lex_state = 238},
  [3568] = {.lex_state = 238},
  [3569] = {.lex_state = 206},
  [3570] = {.lex_state = 206},
  [3571] = {.lex_state = 206},
  [3572] = {.lex_state = 206},
  [3573] = {.lex_state = 206},
  [3574] = {.lex_state = 206},
  [3575] = {.lex_state = 216},
  [3576] = {.lex_state = 206},
  [3577] = {.lex_state = 206},
  [3578] = {.lex_state = 206},
  [3579] = {.lex_state = 206},
  [3580] = {.lex_state = 206},
  [3581] = {.lex_state = 190},
  [3582] = {.lex_state = 213},
  [3583] = {.lex_state = 206},
  [3584] = {.lex_state = 213},
  [3585] = {.lex_state = 206},
  [3586] = {.lex_state = 206},
  [3587] = {.lex_state = 206},
  [3588] = {.lex_state = 240},
  [3589] = {.lex_state = 201},
  [3590] = {.lex_state = 206},
  [3591] = {.lex_state = 201},
  [3592] = {.lex_state = 206},
  [3593] = {.lex_state = 201},
  [3594] = {.lex_state = 201},
  [3595] = {.lex_state = 201},
  [3596] = {.lex_state = 240},
  [3597] = {.lex_state = 220},
  [3598] = {.lex_state = 206},
  [3599] = {.lex_state = 206},
  [3600] = {.lex_state = 206},
  [3601] = {.lex_state = 201},
  [3602] = {.lex_state = 201},
  [3603] = {.lex_state = 201},
  [3604] = {.lex_state = 206},
  [3605] = {.lex_state = 201},
  [3606] = {.lex_state = 201},
  [3607] = {.lex_state = 206},
  [3608] = {.lex_state = 201},
  [3609] = {.lex_state = 201},
  [3610] = {.lex_state = 201},
  [3611] = {.lex_state = 206},
  [3612] = {.lex_state = 180},
  [3613] = {.lex_state = 206},
  [3614] = {.lex_state = 190},
  [3615] = {.lex_state = 216},
  [3616] = {.lex_state = 216},
  [3617] = {.lex_state = 206},
  [3618] = {.lex_state = 216},
  [3619] = {.lex_state = 216},
  [3620] = {.lex_state = 206},
  [3621] = {.lex_state = 206},
  [3622] = {.lex_state = 213},
  [3623] = {.lex_state = 213},
  [3624] = {.lex_state = 213},
  [3625] = {.lex_state = 203},
  [3626] = {.lex_state = 213},
  [3627] = {.lex_state = 213},
  [3628] = {.lex_state = 206},
  [3629] = {.lex_state = 206},
  [3630] = {.lex_state = 213},
  [3631] = {.lex_state = 213},
  [3632] = {.lex_state = 213},
  [3633] = {.lex_state = 213},
  [3634] = {.lex_state = 213},
  [3635] = {.lex_state = 213},
  [3636] = {.lex_state = 206},
  [3637] = {.lex_state = 213},
  [3638] = {.lex_state = 201},
  [3639] = {.lex_state = 238},
  [3640] = {.lex_state = 201},
  [3641] = {.lex_state = 206},
  [3642] = {.lex_state = 201},
  [3643] = {.lex_state = 201},
  [3644] = {.lex_state = 213},
  [3645] = {.lex_state = 213},
  [3646] = {.lex_state = 213},
  [3647] = {.lex_state = 206},
  [3648] = {.lex_state = 222},
  [3649] = {.lex_state = 213},
  [3650] = {.lex_state = 222},
  [3651] = {.lex_state = 213},
  [3652] = {.lex_state = 213},
  [3653] = {.lex_state = 206},
  [3654] = {.lex_state = 206},
  [3655] = {.lex_state = 213},
  [3656] = {.lex_state = 213},
  [3657] = {.lex_state = 206},
  [3658] = {.lex_state = 213},
  [3659] = {.lex_state = 213},
  [3660] = {.lex_state = 201},
  [3661] = {.lex_state = 206},
  [3662] = {.lex_state = 213},
  [3663] = {.lex_state = 201},
  [3664] = {.lex_state = 206},
  [3665] = {.lex_state = 180},
  [3666] = {.lex_state = 213},
  [3667] = {.lex_state = 206},
  [3668] = {.lex_state = 180},
  [3669] = {.lex_state = 213},
  [3670] = {.lex_state = 194},
  [3671] = {.lex_state = 213},
  [3672] = {.lex_state = 213},
  [3673] = {.lex_state = 193},
  [3674] = {.lex_state = 213},
  [3675] = {.lex_state = 213},
  [3676] = {.lex_state = 206},
  [3677] = {.lex_state = 213},
  [3678] = {.lex_state = 206},
  [3679] = {.lex_state = 203},
  [3680] = {.lex_state = 213},
  [3681] = {.lex_state = 238},
  [3682] = {.lex_state = 213},
  [3683] = {.lex_state = 213},
  [3684] = {.lex_state = 213},
  [3685] = {.lex_state = 213},
  [3686] = {.lex_state = 222},
  [3687] = {.lex_state = 213},
  [3688] = {.lex_state = 213},
  [3689] = {.lex_state = 213},
  [3690] = {.lex_state = 213},
  [3691] = {.lex_state = 213},
  [3692] = {.lex_state = 206},
  [3693] = {.lex_state = 213},
  [3694] = {.lex_state = 206},
  [3695] = {.lex_state = 180},
  [3696] = {.lex_state = 180},
  [3697] = {.lex_state = 213},
  [3698] = {.lex_state = 213},
  [3699] = {.lex_state = 213},
  [3700] = {.lex_state = 194},
  [3701] = {.lex_state = 213},
  [3702] = {.lex_state = 213},
  [3703] = {.lex_state = 213},
  [3704] = {.lex_state = 213},
  [3705] = {.lex_state = 213},
  [3706] = {.lex_state = 206},
  [3707] = {.lex_state = 194},
  [3708] = {.lex_state = 213},
  [3709] = {.lex_state = 213},
  [3710] = {.lex_state = 213},
  [3711] = {.lex_state = 206},
  [3712] = {.lex_state = 206},
  [3713] = {.lex_state = 206},
  [3714] = {.lex_state = 213},
  [3715] = {.lex_state = 201},
  [3716] = {.lex_state = 213},
  [3717] = {.lex_state = 213},
  [3718] = {.lex_state = 213},
  [3719] = {.lex_state = 201},
  [3720] = {.lex_state = 206},
  [3721] = {.lex_state = 213},
  [3722] = {.lex_state = 206},
  [3723] = {.lex_state = 194},
  [3724] = {.lex_state = 206},
  [3725] = {.lex_state = 206},
  [3726] = {.lex_state = 201},
  [3727] = {.lex_state = 206},
  [3728] = {.lex_state = 213},
  [3729] = {.lex_state = 201},
  [3730] = {.lex_state = 213},
  [3731] = {.lex_state = 213},
  [3732] = {.lex_state = 213},
  [3733] = {.lex_state = 203},
  [3734] = {.lex_state = 197},
  [3735] = {.lex_state = 213},
  [3736] = {.lex_state = 206},
  [3737] = {.lex_state = 213},
  [3738] = {.lex_state = 197},
  [3739] = {.lex_state = 213},
  [3740] = {.lex_state = 213},
  [3741] = {.lex_state = 213},
  [3742] = {.lex_state = 213},
  [3743] = {.lex_state = 213},
  [3744] = {.lex_state = 213},
  [3745] = {.lex_state = 197},
  [3746] = {.lex_state = 197},
  [3747] = {.lex_state = 197},
  [3748] = {.lex_state = 213},
  [3749] = {.lex_state = 213},
  [3750] = {.lex_state = 197},
  [3751] = {.lex_state = 213},
  [3752] = {.lex_state = 197},
  [3753] = {.lex_state = 201},
  [3754] = {.lex_state = 197},
  [3755] = {.lex_state = 213},
  [3756] = {.lex_state = 194},
  [3757] = {.lex_state = 201},
  [3758] = {.lex_state = 213},
  [3759] = {.lex_state = 213},
  [3760] = {.lex_state = 213},
  [3761] = {.lex_state = 213},
  [3762] = {.lex_state = 213},
  [3763] = {.lex_state = 213},
  [3764] = {.lex_state = 201},
  [3765] = {.lex_state = 213},
  [3766] = {.lex_state = 213},
  [3767] = {.lex_state = 213},
  [3768] = {.lex_state = 213},
  [3769] = {.lex_state = 201},
  [3770] = {.lex_state = 201},
  [3771] = {.lex_state = 236},
  [3772] = {.lex_state = 236},
  [3773] = {.lex_state = 210},
  [3774] = {.lex_state = 180},
  [3775] = {.lex_state = 180},
  [3776] = {.lex_state = 194},
  [3777] = {.lex_state = 236},
  [3778] = {.lex_state = 236},
  [3779] = {.lex_state = 236},
  [3780] = {.lex_state = 236},
  [3781] = {.lex_state = 236},
  [3782] = {.lex_state = 203},
  [3783] = {.lex_state = 236},
  [3784] = {.lex_state = 236},
  [3785] = {.lex_state = 236},
  [3786] = {.lex_state = 201},
  [3787] = {.lex_state = 235},
  [3788] = {.lex_state = 236},
  [3789] = {.lex_state = 206},
  [3790] = {.lex_state = 240},
  [3791] = {.lex_state = 236},
  [3792] = {.lex_state = 203},
  [3793] = {.lex_state = 203},
  [3794] = {.lex_state = 236},
  [3795] = {.lex_state = 236},
  [3796] = {.lex_state = 236},
  [3797] = {.lex_state = 240},
  [3798] = {.lex_state = 236},
  [3799] = {.lex_state = 236},
  [3800] = {.lex_state = 236},
  [3801] = {.lex_state = 236},
  [3802] = {.lex_state = 235},
  [3803] = {.lex_state = 235},
  [3804] = {.lex_state = 236},
  [3805] = {.lex_state = 201},
  [3806] = {.lex_state = 201},
  [3807] = {.lex_state = 210},
  [3808] = {.lex_state = 239},
  [3809] = {.lex_state = 236},
  [3810] = {.lex_state = 239},
  [3811] = {.lex_state = 238},
  [3812] = {.lex_state = 236},
  [3813] = {.lex_state = 238},
  [3814] = {.lex_state = 190},
  [3815] = {.lex_state = 203},
  [3816] = {.lex_state = 236},
  [3817] = {.lex_state = 203},
  [3818] = {.lex_state = 180},
  [3819] = {.lex_state = 180},
  [3820] = {.lex_state = 236},
  [3821] = {.lex_state = 201},
  [3822] = {.lex_state = 203},
  [3823] = {.lex_state = 201},
  [3824] = {.lex_state = 201},
  [3825] = {.lex_state = 236},
  [3826] = {.lex_state = 236},
  [3827] = {.lex_state = 210},
  [3828] = {.lex_state = 201},
  [3829] = {.lex_state = 236},
  [3830] = {.lex_state = 236},
  [3831] = {.lex_state = 242},
  [3832] = {.lex_state = 206},
  [3833] = {.lex_state = 201},
  [3834] = {.lex_state = 201},
  [3835] = {.lex_state = 201},
  [3836] = {.lex_state = 206},
  [3837] = {.lex_state = 203},
  [3838] = {.lex_state = 206},
  [3839] = {.lex_state = 206},
  [3840] = {.lex_state = 206},
  [3841] = {.lex_state = 206},
  [3842] = {.lex_state = 201},
  [3843] = {.lex_state = 206},
  [3844] = {.lex_state = 206},
  [3845] = {.lex_state = 201},
  [3846] = {.lex_state = 206},
  [3847] = {.lex_state = 206},
  [3848] = {.lex_state = 206},
  [3849] = {.lex_state = 206},
  [3850] = {.lex_state = 206},
  [3851] = {.lex_state = 206},
  [3852] = {.lex_state = 201},
  [3853] = {.lex_state = 201},
  [3854] = {.lex_state = 203},
  [3855] = {.lex_state = 206},
  [3856] = {.lex_state = 201},
  [3857] = {.lex_state = 206},
  [3858] = {.lex_state = 203},
  [3859] = {.lex_state = 190},
  [3860] = {.lex_state = 201},
  [3861] = {.lex_state = 203},
  [3862] = {.lex_state = 201},
  [3863] = {.lex_state = 203},
  [3864] = {.lex_state = 203},
  [3865] = {.lex_state = 206},
  [3866] = {.lex_state = 201},
  [3867] = {.lex_state = 206},
  [3868] = {.lex_state = 206},
  [3869] = {.lex_state = 206},
  [3870] = {.lex_state = 206},
  [3871] = {.lex_state = 203},
  [3872] = {.lex_state = 206},
  [3873] = {.lex_state = 206},
  [3874] = {.lex_state = 201},
  [3875] = {.lex_state = 203},
  [3876] = {.lex_state = 206},
  [3877] = {.lex_state = 203},
  [3878] = {.lex_state = 203},
  [3879] = {.lex_state = 206},
  [3880] = {.lex_state = 206},
  [3881] = {.lex_state = 201},
  [3882] = {.lex_state = 206},
  [3883] = {.lex_state = 206},
  [3884] = {.lex_state = 206},
  [3885] = {.lex_state = 206},
  [3886] = {.lex_state = 206},
  [3887] = {.lex_state = 206},
  [3888] = {.lex_state = 203},
  [3889] = {.lex_state = 203},
  [3890] = {.lex_state = 203},
  [3891] = {.lex_state = 242},
  [3892] = {.lex_state = 206},
  [3893] = {.lex_state = 206},
  [3894] = {.lex_state = 203},
  [3895] = {.lex_state = 239},
  [3896] = {.lex_state = 203},
  [3897] = {.lex_state = 203},
  [3898] = {.lex_state = 206},
  [3899] = {.lex_state = 201},
  [3900] = {.lex_state = 203},
  [3901] = {.lex_state = 201},
  [3902] = {.lex_state = 201},
  [3903] = {.lex_state = 206},
  [3904] = {.lex_state = 206},
  [3905] = {.lex_state = 206},
  [3906] = {.lex_state = 206},
  [3907] = {.lex_state = 225},
  [3908] = {.lex_state = 201},
  [3909] = {.lex_state = 206},
  [3910] = {.lex_state = 206},
  [3911] = {.lex_state = 203},
  [3912] = {.lex_state = 206},
  [3913] = {.lex_state = 201},
  [3914] = {.lex_state = 206},
  [3915] = {.lex_state = 206},
  [3916] = {.lex_state = 201},
  [3917] = {.lex_state = 203},
  [3918] = {.lex_state = 206},
  [3919] = {.lex_state = 203},
  [3920] = {.lex_state = 201},
  [3921] = {.lex_state = 203},
  [3922] = {.lex_state = 203},
  [3923] = {.lex_state = 201},
  [3924] = {.lex_state = 203},
  [3925] = {.lex_state = 206},
  [3926] = {.lex_state = 203},
  [3927] = {.lex_state = 203},
  [3928] = {.lex_state = 239},
  [3929] = {.lex_state = 203},
  [3930] = {.lex_state = 206},
  [3931] = {.lex_state = 203},
  [3932] = {.lex_state = 238},
  [3933] = {.lex_state = 206},
  [3934] = {.lex_state = 222},
  [3935] = {.lex_state = 206},
  [3936] = {.lex_state = 201},
  [3937] = {.lex_state = 201},
  [3938] = {.lex_state = 206},
  [3939] = {.lex_state = 206},
  [3940] = {.lex_state = 206},
  [3941] = {.lex_state = 222},
  [3942] = {.lex_state = 239},
  [3943] = {.lex_state = 206},
  [3944] = {.lex_state = 190},
  [3945] = {.lex_state = 201},
  [3946] = {.lex_state = 201},
  [3947] = {.lex_state = 206},
  [3948] = {.lex_state = 203},
  [3949] = {.lex_state = 201},
  [3950] = {.lex_state = 206},
  [3951] = {.lex_state = 190},
  [3952] = {.lex_state = 190},
  [3953] = {.lex_state = 203},
  [3954] = {.lex_state = 201},
  [3955] = {.lex_state = 203},
  [3956] = {.lex_state = 203},
  [3957] = {.lex_state = 203},
  [3958] = {.lex_state = 206},
  [3959] = {.lex_state = 236},
  [3960] = {.lex_state = 236},
  [3961] = {.lex_state = 238},
  [3962] = {.lex_state = 201},
  [3963] = {.lex_state = 190},
  [3964] = {.lex_state = 201},
  [3965] = {.lex_state = 239},
  [3966] = {.lex_state = 201},
  [3967] = {.lex_state = 201},
  [3968] = {.lex_state = 238},
  [3969] = {.lex_state = 235},
  [3970] = {.lex_state = 201},
  [3971] = {.lex_state = 190},
  [3972] = {.lex_state = 236},
  [3973] = {.lex_state = 201},
  [3974] = {.lex_state = 201},
  [3975] = {.lex_state = 238},
  [3976] = {.lex_state = 239},
  [3977] = {.lex_state = 236},
  [3978] = {.lex_state = 235},
  [3979] = {.lex_state = 201},
  [3980] = {.lex_state = 235},
  [3981] = {.lex_state = 201},
  [3982] = {.lex_state = 190},
  [3983] = {.lex_state = 201},
  [3984] = {.lex_state = 201},
  [3985] = {.lex_state = 236},
  [3986] = {.lex_state = 240},
  [3987] = {.lex_state = 201},
  [3988] = {.lex_state = 201},
  [3989] = {.lex_state = 235},
  [3990] = {.lex_state = 239},
  [3991] = {.lex_state = 239},
  [3992] = {.lex_state = 201},
  [3993] = {.lex_state = 201},
  [3994] = {.lex_state = 240},
  [3995] = {.lex_state = 236},
  [3996] = {.lex_state = 201},
  [3997] = {.lex_state = 190},
  [3998] = {.lex_state = 201},
  [3999] = {.lex_state = 235},
  [4000] = {.lex_state = 201},
  [4001] = {.lex_state = 201},
  [4002] = {.lex_state = 235},
  [4003] = {.lex_state = 201},
  [4004] = {.lex_state = 236},
  [4005] = {.lex_state = 238},
  [4006] = {.lex_state = 203},
  [4007] = {.lex_state = 235},
  [4008] = {.lex_state = 201},
  [4009] = {.lex_state = 238},
  [4010] = {.lex_state = 235},
  [4011] = {.lex_state = 222},
  [4012] = {.lex_state = 201},
  [4013] = {.lex_state = 222},
  [4014] = {.lex_state = 202},
  [4015] = {.lex_state = 225},
  [4016] = {.lex_state = 238},
  [4017] = {.lex_state = 238},
  [4018] = {.lex_state = 203},
  [4019] = {.lex_state = 202},
  [4020] = {.lex_state = 201},
  [4021] = {.lex_state = 238},
  [4022] = {.lex_state = 238},
  [4023] = {.lex_state = 203},
  [4024] = {.lex_state = 201},
  [4025] = {.lex_state = 238},
  [4026] = {.lex_state = 242},
  [4027] = {.lex_state = 201},
  [4028] = {.lex_state = 238},
  [4029] = {.lex_state = 235},
  [4030] = {.lex_state = 225},
  [4031] = {.lex_state = 225},
  [4032] = {.lex_state = 203},
  [4033] = {.lex_state = 201},
  [4034] = {.lex_state = 235},
  [4035] = {.lex_state = 239},
  [4036] = {.lex_state = 201},
  [4037] = {.lex_state = 227},
  [4038] = {.lex_state = 239},
  [4039] = {.lex_state = 238},
  [4040] = {.lex_state = 238},
  [4041] = {.lex_state = 201},
  [4042] = {.lex_state = 235},
  [4043] = {.lex_state = 227},
  [4044] = {.lex_state = 239},
  [4045] = {.lex_state = 226},
  [4046] = {.lex_state = 226},
  [4047] = {.lex_state = 239},
  [4048] = {.lex_state = 239},
  [4049] = {.lex_state = 201},
  [4050] = {.lex_state = 222},
  [4051] = {.lex_state = 239},
  [4052] = {.lex_state = 201},
  [4053] = {.lex_state = 201},
  [4054] = {.lex_state = 222},
  [4055] = {.lex_state = 238},
  [4056] = {.lex_state = 242},
  [4057] = {.lex_state = 201},
  [4058] = {.lex_state = 238},
  [4059] = {.lex_state = 201},
  [4060] = {.lex_state = 201},
  [4061] = {.lex_state = 201},
  [4062] = {.lex_state = 239},
  [4063] = {.lex_state = 235},
  [4064] = {.lex_state = 201},
  [4065] = {.lex_state = 238},
  [4066] = {.lex_state = 222},
  [4067] = {.lex_state = 201},
  [4068] = {.lex_state = 201},
  [4069] = {.lex_state = 222},
  [4070] = {.lex_state = 203},
  [4071] = {.lex_state = 203},
  [4072] = {.lex_state = 239},
  [4073] = {.lex_state = 235},
  [4074] = {.lex_state = 201},
  [4075] = {.lex_state = 239},
  [4076] = {.lex_state = 238},
  [4077] = {.lex_state = 201},
  [4078] = {.lex_state = 235},
  [4079] = {.lex_state = 242},
  [4080] = {.lex_state = 239},
  [4081] = {.lex_state = 238},
  [4082] = {.lex_state = 222},
  [4083] = {.lex_state = 203},
  [4084] = {.lex_state = 235},
  [4085] = {.lex_state = 203},
  [4086] = {.lex_state = 239},
  [4087] = {.lex_state = 201},
  [4088] = {.lex_state = 203},
  [4089] = {.lex_state = 201},
  [4090] = {.lex_state = 201},
  [4091] = {.lex_state = 201},
  [4092] = {.lex_state = 201},
  [4093] = {.lex_state = 201},
  [4094] = {.lex_state = 222},
  [4095] = {.lex_state = 239},
  [4096] = {.lex_state = 201},
  [4097] = {.lex_state = 201},
  [4098] = {.lex_state = 239},
  [4099] = {.lex_state = 201},
  [4100] = {.lex_state = 201},
  [4101] = {.lex_state = 201},
  [4102] = {.lex_state = 201},
  [4103] = {.lex_state = 201},
  [4104] = {.lex_state = 239},
  [4105] = {.lex_state = 201},
  [4106] = {.lex_state = 222},
  [4107] = {.lex_state = 201},
  [4108] = {.lex_state = 201},
  [4109] = {.lex_state = 201},
  [4110] = {.lex_state = 222},
  [4111] = {.lex_state = 201},
  [4112] = {.lex_state = 201},
  [4113] = {.lex_state = 239},
  [4114] = {.lex_state = 203},
  [4115] = {.lex_state = 235},
  [4116] = {.lex_state = 201},
  [4117] = {.lex_state = 201},
  [4118] = {.lex_state = 222},
  [4119] = {.lex_state = 239},
  [4120] = {.lex_state = 222},
  [4121] = {.lex_state = 203},
  [4122] = {.lex_state = 239},
  [4123] = {.lex_state = 201},
  [4124] = {.lex_state = 201},
  [4125] = {.lex_state = 239},
  [4126] = {.lex_state = 239},
  [4127] = {.lex_state = 239},
  [4128] = {.lex_state = 222},
  [4129] = {.lex_state = 222},
  [4130] = {.lex_state = 235},
  [4131] = {.lex_state = 226},
  [4132] = {.lex_state = 235},
  [4133] = {.lex_state = 201},
  [4134] = {.lex_state = 222},
  [4135] = {.lex_state = 201},
  [4136] = {.lex_state = 201},
  [4137] = {.lex_state = 201},
  [4138] = {.lex_state = 239},
  [4139] = {.lex_state = 201},
  [4140] = {.lex_state = 239},
  [4141] = {.lex_state = 201},
  [4142] = {.lex_state = 201},
  [4143] = {.lex_state = 235},
  [4144] = {.lex_state = 201},
  [4145] = {.lex_state = 239},
  [4146] = {.lex_state = 235},
  [4147] = {.lex_state = 222},
  [4148] = {.lex_state = 201},
  [4149] = {.lex_state = 201},
  [4150] = {.lex_state = 201},
  [4151] = {.lex_state = 201},
  [4152] = {.lex_state = 226},
  [4153] = {.lex_state = 201},
  [4154] = {.lex_state = 201},
  [4155] = {.lex_state = 235},
  [4156] = {.lex_state = 201},
  [4157] = {.lex_state = 239},
  [4158] = {.lex_state = 238},
  [4159] = {.lex_state = 222},
  [4160] = {.lex_state = 239},
  [4161] = {.lex_state = 201},
  [4162] = {.lex_state = 201},
  [4163] = {.lex_state = 222},
  [4164] = {.lex_state = 201},
  [4165] = {.lex_state = 238},
  [4166] = {.lex_state = 226},
  [4167] = {.lex_state = 201},
  [4168] = {.lex_state = 203},
  [4169] = {.lex_state = 239},
  [4170] = {.lex_state = 201},
  [4171] = {.lex_state = 201},
  [4172] = {.lex_state = 242},
  [4173] = {.lex_state = 242},
  [4174] = {.lex_state = 239},
  [4175] = {.lex_state = 239},
  [4176] = {.lex_state = 239},
  [4177] = {.lex_state = 239},
  [4178] = {.lex_state = 203},
  [4179] = {.lex_state = 226},
  [4180] = {.lex_state = 201},
  [4181] = {.lex_state = 238},
  [4182] = {.lex_state = 239},
  [4183] = {.lex_state = 204},
  [4184] = {.lex_state = 201},
  [4185] = {.lex_state = 204},
  [4186] = {.lex_state = 203},
  [4187] = {.lex_state = 238},
  [4188] = {.lex_state = 235},
  [4189] = {.lex_state = 235},
  [4190] = {.lex_state = 238},
  [4191] = {.lex_state = 238},
  [4192] = {.lex_state = 204},
  [4193] = {.lex_state = 239},
  [4194] = {.lex_state = 235},
  [4195] = {.lex_state = 201},
  [4196] = {.lex_state = 201},
  [4197] = {.lex_state = 201},
  [4198] = {.lex_state = 235},
  [4199] = {.lex_state = 239},
  [4200] = {.lex_state = 202},
  [4201] = {.lex_state = 203},
  [4202] = {.lex_state = 239},
  [4203] = {.lex_state = 201},
  [4204] = {.lex_state = 235},
  [4205] = {.lex_state = 238},
  [4206] = {.lex_state = 201},
  [4207] = {.lex_state = 201},
  [4208] = {.lex_state = 239},
  [4209] = {.lex_state = 235},
  [4210] = {.lex_state = 222},
  [4211] = {.lex_state = 236},
  [4212] = {.lex_state = 239},
  [4213] = {.lex_state = 202},
  [4214] = {.lex_state = 236},
  [4215] = {.lex_state = 226},
  [4216] = {.lex_state = 235},
  [4217] = {.lex_state = 235},
  [4218] = {.lex_state = 239},
  [4219] = {.lex_state = 239},
  [4220] = {.lex_state = 236},
  [4221] = {.lex_state = 227},
  [4222] = {.lex_state = 235},
  [4223] = {.lex_state = 226},
  [4224] = {.lex_state = 226},
  [4225] = {.lex_state = 236},
  [4226] = {.lex_state = 226},
  [4227] = {.lex_state = 238},
  [4228] = {.lex_state = 236},
  [4229] = {.lex_state = 239},
  [4230] = {.lex_state = 226},
  [4231] = {.lex_state = 235},
  [4232] = {.lex_state = 226},
  [4233] = {.lex_state = 236},
  [4234] = {.lex_state = 235},
  [4235] = {.lex_state = 236},
  [4236] = {.lex_state = 226},
  [4237] = {.lex_state = 236},
  [4238] = {.lex_state = 201},
  [4239] = {.lex_state = 235},
  [4240] = {.lex_state = 236},
  [4241] = {.lex_state = 236},
  [4242] = {.lex_state = 226},
  [4243] = {.lex_state = 236},
  [4244] = {.lex_state = 236},
  [4245] = {.lex_state = 238},
  [4246] = {.lex_state = 235},
  [4247] = {.lex_state = 226},
  [4248] = {.lex_state = 239},
  [4249] = {.lex_state = 239},
  [4250] = {.lex_state = 239},
  [4251] = {.lex_state = 236},
  [4252] = {.lex_state = 203},
  [4253] = {.lex_state = 226},
  [4254] = {.lex_state = 226},
  [4255] = {.lex_state = 226},
  [4256] = {.lex_state = 204},
  [4257] = {.lex_state = 235},
  [4258] = {.lex_state = 236},
  [4259] = {.lex_state = 236},
  [4260] = {.lex_state = 236},
  [4261] = {.lex_state = 235},
  [4262] = {.lex_state = 236},
  [4263] = {.lex_state = 226},
  [4264] = {.lex_state = 226},
  [4265] = {.lex_state = 226},
  [4266] = {.lex_state = 201},
  [4267] = {.lex_state = 235},
  [4268] = {.lex_state = 236},
  [4269] = {.lex_state = 226},
  [4270] = {.lex_state = 236},
  [4271] = {.lex_state = 235},
  [4272] = {.lex_state = 226},
  [4273] = {.lex_state = 201},
  [4274] = {.lex_state = 239},
  [4275] = {.lex_state = 239},
  [4276] = {.lex_state = 204},
  [4277] = {.lex_state = 203},
  [4278] = {.lex_state = 236},
  [4279] = {.lex_state = 204},
  [4280] = {.lex_state = 236},
  [4281] = {.lex_state = 235},
  [4282] = {.lex_state = 235},
  [4283] = {.lex_state = 235},
  [4284] = {.lex_state = 201},
  [4285] = {.lex_state = 236},
  [4286] = {.lex_state = 222},
  [4287] = {.lex_state = 201},
  [4288] = {.lex_state = 235},
  [4289] = {.lex_state = 222},
  [4290] = {.lex_state = 235},
  [4291] = {.lex_state = 201},
  [4292] = {.lex_state = 201},
  [4293] = {.lex_state = 235},
  [4294] = {.lex_state = 235},
  [4295] = {.lex_state = 239},
  [4296] = {.lex_state = 201},
  [4297] = {.lex_state = 201},
  [4298] = {.lex_state = 235},
  [4299] = {.lex_state = 235},
  [4300] = {.lex_state = 235},
  [4301] = {.lex_state = 235},
  [4302] = {.lex_state = 201},
  [4303] = {.lex_state = 201},
  [4304] = {.lex_state = 241},
  [4305] = {.lex_state = 235},
  [4306] = {.lex_state = 235},
  [4307] = {.lex_state = 201},
  [4308] = {.lex_state = 239},
  [4309] = {.lex_state = 235},
  [4310] = {.lex_state = 235},
  [4311] = {.lex_state = 201},
  [4312] = {.lex_state = 201},
  [4313] = {.lex_state = 201},
  [4314] = {.lex_state = 201},
  [4315] = {.lex_state = 201},
  [4316] = {.lex_state = 201},
  [4317] = {.lex_state = 239},
  [4318] = {.lex_state = 201},
  [4319] = {.lex_state = 239},
  [4320] = {.lex_state = 201},
  [4321] = {.lex_state = 235},
  [4322] = {.lex_state = 201},
  [4323] = {.lex_state = 201},
  [4324] = {.lex_state = 235},
  [4325] = {.lex_state = 222},
  [4326] = {.lex_state = 201},
  [4327] = {.lex_state = 235},
  [4328] = {.lex_state = 201},
  [4329] = {.lex_state = 201},
  [4330] = {.lex_state = 235},
  [4331] = {.lex_state = 201},
  [4332] = {.lex_state = 201},
  [4333] = {.lex_state = 201},
  [4334] = {.lex_state = 201},
  [4335] = {.lex_state = 239},
  [4336] = {.lex_state = 235},
  [4337] = {.lex_state = 235},
  [4338] = {.lex_state = 235},
  [4339] = {.lex_state = 235},
  [4340] = {.lex_state = 201},
  [4341] = {.lex_state = 235},
  [4342] = {.lex_state = 236},
  [4343] = {.lex_state = 201},
  [4344] = {.lex_state = 201},
  [4345] = {.lex_state = 201},
  [4346] = {.lex_state = 201},
  [4347] = {.lex_state = 201},
  [4348] = {.lex_state = 201},
  [4349] = {.lex_state = 201},
  [4350] = {.lex_state = 201},
  [4351] = {.lex_state = 235},
  [4352] = {.lex_state = 201},
  [4353] = {.lex_state = 201},
  [4354] = {.lex_state = 222},
  [4355] = {.lex_state = 201},
  [4356] = {.lex_state = 235},
  [4357] = {.lex_state = 201},
  [4358] = {.lex_state = 226},
  [4359] = {.lex_state = 204},
  [4360] = {.lex_state = 201},
  [4361] = {.lex_state = 201},
  [4362] = {.lex_state = 239},
  [4363] = {.lex_state = 226},
  [4364] = {.lex_state = 203},
  [4365] = {.lex_state = 201},
  [4366] = {.lex_state = 226},
  [4367] = {.lex_state = 226},
  [4368] = {.lex_state = 235},
  [4369] = {.lex_state = 226},
  [4370] = {.lex_state = 239},
  [4371] = {.lex_state = 226},
  [4372] = {.lex_state = 201},
  [4373] = {.lex_state = 226},
  [4374] = {.lex_state = 226},
  [4375] = {.lex_state = 235},
  [4376] = {.lex_state = 226},
  [4377] = {.lex_state = 201},
  [4378] = {.lex_state = 226},
  [4379] = {.lex_state = 235},
  [4380] = {.lex_state = 226},
  [4381] = {.lex_state = 226},
  [4382] = {.lex_state = 235},
  [4383] = {.lex_state = 201},
  [4384] = {.lex_state = 201},
  [4385] = {.lex_state = 239},
  [4386] = {.lex_state = 226},
  [4387] = {.lex_state = 235},
  [4388] = {.lex_state = 201},
  [4389] = {.lex_state = 239},
  [4390] = {.lex_state = 201},
  [4391] = {.lex_state = 226},
  [4392] = {.lex_state = 235},
  [4393] = {.lex_state = 236},
  [4394] = {.lex_state = 204},
  [4395] = {.lex_state = 226},
  [4396] = {.lex_state = 201},
  [4397] = {.lex_state = 204},
  [4398] = {.lex_state = 201},
  [4399] = {.lex_state = 235},
  [4400] = {.lex_state = 201},
  [4401] = {.lex_state = 201},
  [4402] = {.lex_state = 239},
  [4403] = {.lex_state = 201},
  [4404] = {.lex_state = 201},
  [4405] = {.lex_state = 201},
  [4406] = {.lex_state = 239},
  [4407] = {.lex_state = 201},
  [4408] = {.lex_state = 201},
  [4409] = {.lex_state = 226},
  [4410] = {.lex_state = 235},
  [4411] = {.lex_state = 201},
  [4412] = {.lex_state = 239},
  [4413] = {.lex_state = 201},
  [4414] = {.lex_state = 241},
  [4415] = {.lex_state = 201},
  [4416] = {.lex_state = 239},
  [4417] = {.lex_state = 235},
  [4418] = {.lex_state = 201},
  [4419] = {.lex_state = 239},
  [4420] = {.lex_state = 226},
  [4421] = {.lex_state = 203},
  [4422] = {.lex_state = 241},
  [4423] = {.lex_state = 239},
  [4424] = {.lex_state = 201},
  [4425] = {.lex_state = 226},
  [4426] = {.lex_state = 201},
  [4427] = {.lex_state = 239},
  [4428] = {.lex_state = 201},
  [4429] = {.lex_state = 201},
  [4430] = {.lex_state = 235},
  [4431] = {.lex_state = 201},
  [4432] = {.lex_state = 226},
  [4433] = {.lex_state = 235},
  [4434] = {.lex_state = 235},
  [4435] = {.lex_state = 201},
  [4436] = {.lex_state = 201},
  [4437] = {.lex_state = 201},
  [4438] = {.lex_state = 201},
  [4439] = {.lex_state = 221},
  [4440] = {.lex_state = 226},
  [4441] = {.lex_state = 201},
  [4442] = {.lex_state = 201},
  [4443] = {.lex_state = 236},
  [4444] = {.lex_state = 235},
  [4445] = {.lex_state = 201},
  [4446] = {.lex_state = 235},
  [4447] = {.lex_state = 239},
  [4448] = {.lex_state = 201},
  [4449] = {.lex_state = 226},
  [4450] = {.lex_state = 241},
  [4451] = {.lex_state = 239},
  [4452] = {.lex_state = 201},
  [4453] = {.lex_state = 239},
  [4454] = {.lex_state = 226},
  [4455] = {.lex_state = 201},
  [4456] = {.lex_state = 236},
  [4457] = {.lex_state = 239},
  [4458] = {.lex_state = 201},
  [4459] = {.lex_state = 239},
  [4460] = {.lex_state = 201},
  [4461] = {.lex_state = 235},
  [4462] = {.lex_state = 226},
  [4463] = {.lex_state = 203},
  [4464] = {.lex_state = 239},
  [4465] = {.lex_state = 235},
  [4466] = {.lex_state = 201},
  [4467] = {.lex_state = 201},
  [4468] = {.lex_state = 201},
  [4469] = {.lex_state = 226},
  [4470] = {.lex_state = 239},
  [4471] = {.lex_state = 226},
  [4472] = {.lex_state = 201},
  [4473] = {.lex_state = 238},
  [4474] = {.lex_state = 239},
  [4475] = {.lex_state = 201},
  [4476] = {.lex_state = 235},
  [4477] = {.lex_state = 201},
  [4478] = {.lex_state = 235},
  [4479] = {.lex_state = 203},
  [4480] = {.lex_state = 201},
  [4481] = {.lex_state = 235},
  [4482] = {.lex_state = 201},
  [4483] = {.lex_state = 226},
  [4484] = {.lex_state = 203},
  [4485] = {.lex_state = 239},
  [4486] = {.lex_state = 201},
  [4487] = {.lex_state = 226},
  [4488] = {.lex_state = 201},
  [4489] = {.lex_state = 238},
  [4490] = {.lex_state = 201},
  [4491] = {.lex_state = 201},
  [4492] = {.lex_state = 238},
  [4493] = {.lex_state = 201},
  [4494] = {.lex_state = 239},
  [4495] = {.lex_state = 239},
  [4496] = {.lex_state = 238},
  [4497] = {.lex_state = 226},
  [4498] = {.lex_state = 226},
  [4499] = {.lex_state = 203},
  [4500] = {.lex_state = 203},
  [4501] = {.lex_state = 201},
  [4502] = {.lex_state = 239},
  [4503] = {.lex_state = 203},
  [4504] = {.lex_state = 201},
  [4505] = {.lex_state = 201},
  [4506] = {.lex_state = 201},
  [4507] = {.lex_state = 201},
  [4508] = {.lex_state = 201},
  [4509] = {.lex_state = 201},
  [4510] = {.lex_state = 201},
  [4511] = {.lex_state = 201},
  [4512] = {.lex_state = 201},
  [4513] = {.lex_state = 201},
  [4514] = {.lex_state = 201},
  [4515] = {.lex_state = 201},
  [4516] = {.lex_state = 201},
  [4517] = {.lex_state = 201},
  [4518] = {.lex_state = 201},
  [4519] = {.lex_state = 201},
  [4520] = {.lex_state = 201},
  [4521] = {.lex_state = 201},
  [4522] = {.lex_state = 203},
  [4523] = {.lex_state = 226},
  [4524] = {.lex_state = 203},
  [4525] = {.lex_state = 201},
  [4526] = {.lex_state = 226},
  [4527] = {.lex_state = 201},
  [4528] = {.lex_state = 226},
  [4529] = {.lex_state = 203},
  [4530] = {.lex_state = 201},
  [4531] = {.lex_state = 203},
  [4532] = {.lex_state = 222},
  [4533] = {.lex_state = 203},
  [4534] = {.lex_state = 203},
  [4535] = {.lex_state = 203},
  [4536] = {.lex_state = 201},
  [4537] = {.lex_state = 203},
  [4538] = {.lex_state = 203},
  [4539] = {.lex_state = 203},
  [4540] = {.lex_state = 239},
  [4541] = {.lex_state = 201},
  [4542] = {.lex_state = 203},
  [4543] = {.lex_state = 201},
  [4544] = {.lex_state = 226},
  [4545] = {.lex_state = 239},
  [4546] = {.lex_state = 201},
  [4547] = {.lex_state = 201},
  [4548] = {.lex_state = 202},
  [4549] = {.lex_state = 201},
  [4550] = {.lex_state = 203},
  [4551] = {.lex_state = 201},
  [4552] = {.lex_state = 203},
  [4553] = {.lex_state = 203},
  [4554] = {.lex_state = 201},
  [4555] = {.lex_state = 203},
  [4556] = {.lex_state = 239},
  [4557] = {.lex_state = 203},
  [4558] = {.lex_state = 226},
  [4559] = {.lex_state = 203},
  [4560] = {.lex_state = 202},
  [4561] = {.lex_state = 201},
  [4562] = {.lex_state = 239},
  [4563] = {.lex_state = 201},
  [4564] = {.lex_state = 226},
  [4565] = {.lex_state = 203},
  [4566] = {.lex_state = 239},
  [4567] = {.lex_state = 203},
  [4568] = {.lex_state = 239},
  [4569] = {.lex_state = 201},
  [4570] = {.lex_state = 239},
  [4571] = {.lex_state = 203},
  [4572] = {.lex_state = 201},
  [4573] = {.lex_state = 239},
  [4574] = {.lex_state = 201},
  [4575] = {.lex_state = 239},
  [4576] = {.lex_state = 201},
  [4577] = {.lex_state = 203},
  [4578] = {.lex_state = 239},
  [4579] = {.lex_state = 201},
  [4580] = {.lex_state = 203},
  [4581] = {.lex_state = 226},
  [4582] = {.lex_state = 226},
  [4583] = {.lex_state = 226},
  [4584] = {.lex_state = 226},
  [4585] = {.lex_state = 226},
  [4586] = {.lex_state = 203},
  [4587] = {.lex_state = 201},
  [4588] = {.lex_state = 201},
  [4589] = {.lex_state = 201},
  [4590] = {.lex_state = 239},
  [4591] = {.lex_state = 239},
  [4592] = {.lex_state = 203},
  [4593] = {.lex_state = 226},
  [4594] = {.lex_state = 201},
  [4595] = {.lex_state = 201},
  [4596] = {.lex_state = 201},
  [4597] = {.lex_state = 239},
  [4598] = {.lex_state = 239},
  [4599] = {.lex_state = 239},
  [4600] = {.lex_state = 235},
  [4601] = {.lex_state = 201},
  [4602] = {.lex_state = 226},
  [4603] = {.lex_state = 239},
  [4604] = {.lex_state = 203},
  [4605] = {.lex_state = 239},
  [4606] = {.lex_state = 239},
  [4607] = {.lex_state = 239},
  [4608] = {.lex_state = 225},
  [4609] = {.lex_state = 201},
  [4610] = {.lex_state = 239},
  [4611] = {.lex_state = 239},
  [4612] = {.lex_state = 203},
  [4613] = {.lex_state = 226},
  [4614] = {.lex_state = 203},
  [4615] = {.lex_state = 239},
  [4616] = {.lex_state = 239},
  [4617] = {.lex_state = 203},
  [4618] = {.lex_state = 203},
  [4619] = {.lex_state = 201},
  [4620] = {.lex_state = 203},
  [4621] = {.lex_state = 201},
  [4622] = {.lex_state = 226},
  [4623] = {.lex_state = 201},
  [4624] = {.lex_state = 226},
  [4625] = {.lex_state = 226},
  [4626] = {.lex_state = 226},
  [4627] = {.lex_state = 239},
  [4628] = {.lex_state = 203},
  [4629] = {.lex_state = 226},
  [4630] = {.lex_state = 239},
  [4631] = {.lex_state = 239},
  [4632] = {.lex_state = 226},
  [4633] = {.lex_state = 239},
  [4634] = {.lex_state = 239},
  [4635] = {.lex_state = 203},
  [4636] = {.lex_state = 226},
  [4637] = {.lex_state = 201},
  [4638] = {.lex_state = 201},
  [4639] = {.lex_state = 201},
  [4640] = {.lex_state = 201},
  [4641] = {.lex_state = 201},
  [4642] = {.lex_state = 201},
  [4643] = {.lex_state = 201},
  [4644] = {.lex_state = 201},
  [4645] = {.lex_state = 201},
  [4646] = {.lex_state = 239},
  [4647] = {.lex_state = 201},
  [4648] = {.lex_state = 201},
  [4649] = {.lex_state = 201},
  [4650] = {.lex_state = 203},
  [4651] = {.lex_state = 201},
  [4652] = {.lex_state = 201},
  [4653] = {.lex_state = 201},
  [4654] = {.lex_state = 201},
  [4655] = {.lex_state = 201},
  [4656] = {.lex_state = 201},
  [4657] = {.lex_state = 201},
  [4658] = {.lex_state = 201},
  [4659] = {.lex_state = 201},
  [4660] = {.lex_state = 201},
  [4661] = {.lex_state = 201},
  [4662] = {.lex_state = 201},
  [4663] = {.lex_state = 201},
  [4664] = {.lex_state = 201},
  [4665] = {.lex_state = 201},
  [4666] = {.lex_state = 201},
  [4667] = {.lex_state = 201},
  [4668] = {.lex_state = 201},
  [4669] = {.lex_state = 201},
  [4670] = {.lex_state = 236},
  [4671] = {.lex_state = 228},
  [4672] = {.lex_state = 201},
  [4673] = {.lex_state = 201},
  [4674] = {.lex_state = 203},
  [4675] = {.lex_state = 201},
  [4676] = {.lex_state = 228},
  [4677] = {.lex_state = 201},
  [4678] = {.lex_state = 201},
  [4679] = {.lex_state = 201},
  [4680] = {.lex_state = 201},
  [4681] = {.lex_state = 201},
  [4682] = {.lex_state = 201},
  [4683] = {.lex_state = 201},
  [4684] = {.lex_state = 201},
  [4685] = {.lex_state = 201},
  [4686] = {.lex_state = 201},
  [4687] = {.lex_state = 201},
  [4688] = {.lex_state = 201},
  [4689] = {.lex_state = 201},
  [4690] = {.lex_state = 201},
  [4691] = {.lex_state = 201},
  [4692] = {.lex_state = 203},
  [4693] = {.lex_state = 201},
  [4694] = {.lex_state = 201},
  [4695] = {.lex_state = 201},
  [4696] = {.lex_state = 201},
  [4697] = {.lex_state = 201},
  [4698] = {.lex_state = 201},
  [4699] = {.lex_state = 201},
  [4700] = {.lex_state = 201},
  [4701] = {.lex_state = 201},
  [4702] = {.lex_state = 201},
  [4703] = {.lex_state = 201},
  [4704] = {.lex_state = 201},
  [4705] = {.lex_state = 203},
  [4706] = {.lex_state = 201},
  [4707] = {.lex_state = 201},
  [4708] = {.lex_state = 201},
  [4709] = {.lex_state = 201},
  [4710] = {.lex_state = 201},
  [4711] = {.lex_state = 201},
  [4712] = {.lex_state = 201},
  [4713] = {.lex_state = 201},
  [4714] = {.lex_state = 201},
  [4715] = {.lex_state = 201},
  [4716] = {.lex_state = 201},
  [4717] = {.lex_state = 201},
  [4718] = {.lex_state = 201},
  [4719] = {.lex_state = 201},
  [4720] = {.lex_state = 201},
  [4721] = {.lex_state = 201},
  [4722] = {.lex_state = 201},
  [4723] = {.lex_state = 201},
  [4724] = {.lex_state = 201},
  [4725] = {.lex_state = 201},
  [4726] = {.lex_state = 201},
  [4727] = {.lex_state = 201},
  [4728] = {.lex_state = 201},
  [4729] = {.lex_state = 201},
  [4730] = {.lex_state = 201},
  [4731] = {.lex_state = 201},
  [4732] = {.lex_state = 201},
  [4733] = {.lex_state = 201},
  [4734] = {.lex_state = 201},
  [4735] = {.lex_state = 228},
  [4736] = {.lex_state = 201},
  [4737] = {.lex_state = 201},
  [4738] = {.lex_state = 201},
  [4739] = {.lex_state = 201},
  [4740] = {.lex_state = 201},
  [4741] = {.lex_state = 201},
  [4742] = {.lex_state = 201},
  [4743] = {.lex_state = 201},
  [4744] = {.lex_state = 201},
  [4745] = {.lex_state = 201},
  [4746] = {.lex_state = 201},
  [4747] = {.lex_state = 203},
  [4748] = {.lex_state = 239},
  [4749] = {.lex_state = 201},
  [4750] = {.lex_state = 201},
  [4751] = {.lex_state = 201},
  [4752] = {.lex_state = 201},
  [4753] = {.lex_state = 201},
  [4754] = {.lex_state = 239},
  [4755] = {.lex_state = 239},
  [4756] = {.lex_state = 239},
  [4757] = {.lex_state = 239},
  [4758] = {.lex_state = 201},
  [4759] = {.lex_state = 201},
  [4760] = {.lex_state = 235},
  [4761] = {.lex_state = 235},
  [4762] = {.lex_state = 201},
  [4763] = {.lex_state = 201},
  [4764] = {.lex_state = 201},
  [4765] = {.lex_state = 201},
  [4766] = {.lex_state = 226},
  [4767] = {.lex_state = 222},
  [4768] = {.lex_state = 238},
  [4769] = {.lex_state = 201},
  [4770] = {.lex_state = 226},
  [4771] = {.lex_state = 201},
  [4772] = {.lex_state = 226},
  [4773] = {.lex_state = 203},
  [4774] = {.lex_state = 203},
  [4775] = {.lex_state = 203},
  [4776] = {.lex_state = 203},
  [4777] = {.lex_state = 204},
  [4778] = {.lex_state = 226},
  [4779] = {.lex_state = 236},
  [4780] = {.lex_state = 226},
  [4781] = {.lex_state = 226},
  [4782] = {.lex_state = 226},
  [4783] = {.lex_state = 226},
  [4784] = {.lex_state = 201},
  [4785] = {.lex_state = 226},
  [4786] = {.lex_state = 238},
  [4787] = {.lex_state = 226},
  [4788] = {.lex_state = 226},
  [4789] = {.lex_state = 235},
  [4790] = {.lex_state = 222},
  [4791] = {.lex_state = 226},
  [4792] = {.lex_state = 226},
  [4793] = {.lex_state = 239},
  [4794] = {.lex_state = 222},
  [4795] = {.lex_state = 226},
  [4796] = {.lex_state = 226},
  [4797] = {.lex_state = 226},
  [4798] = {.lex_state = 226},
  [4799] = {.lex_state = 203},
  [4800] = {.lex_state = 201},
  [4801] = {.lex_state = 203},
  [4802] = {.lex_state = 235},
  [4803] = {.lex_state = 226},
  [4804] = {.lex_state = 226},
  [4805] = {.lex_state = 226},
  [4806] = {.lex_state = 201},
  [4807] = {.lex_state = 203},
  [4808] = {.lex_state = 235},
  [4809] = {.lex_state = 201},
  [4810] = {.lex_state = 226},
  [4811] = {.lex_state = 201},
  [4812] = {.lex_state = 226},
  [4813] = {.lex_state = 226},
  [4814] = {.lex_state = 201},
  [4815] = {.lex_state = 203},
  [4816] = {.lex_state = 201},
  [4817] = {.lex_state = 239},
  [4818] = {.lex_state = 222},
  [4819] = {.lex_state = 226},
  [4820] = {.lex_state = 226},
  [4821] = {.lex_state = 226},
  [4822] = {.lex_state = 226},
  [4823] = {.lex_state = 226},
  [4824] = {.lex_state = 235},
  [4825] = {.lex_state = 239},
  [4826] = {.lex_state = 236},
  [4827] = {.lex_state = 222},
  [4828] = {.lex_state = 236},
  [4829] = {.lex_state = 201},
  [4830] = {.lex_state = 226},
  [4831] = {.lex_state = 235},
  [4832] = {.lex_state = 226},
  [4833] = {.lex_state = 235},
  [4834] = {.lex_state = 226},
  [4835] = {.lex_state = 226},
  [4836] = {.lex_state = 235},
  [4837] = {.lex_state = 235},
  [4838] = {.lex_state = 226},
  [4839] = {.lex_state = 235},
  [4840] = {.lex_state = 222},
  [4841] = {.lex_state = 235},
  [4842] = {.lex_state = 235},
  [4843] = {.lex_state = 226},
  [4844] = {.lex_state = 226},
  [4845] = {.lex_state = 226},
  [4846] = {.lex_state = 226},
  [4847] = {.lex_state = 235},
  [4848] = {.lex_state = 235},
  [4849] = {.lex_state = 235},
  [4850] = {.lex_state = 235},
  [4851] = {.lex_state = 235},
  [4852] = {.lex_state = 235},
  [4853] = {.lex_state = 226},
  [4854] = {.lex_state = 226},
  [4855] = {.lex_state = 226},
  [4856] = {.lex_state = 238},
  [4857] = {.lex_state = 222},
  [4858] = {.lex_state = 236},
  [4859] = {.lex_state = 239},
  [4860] = {.lex_state = 226},
  [4861] = {.lex_state = 226},
  [4862] = {.lex_state = 201},
  [4863] = {.lex_state = 236},
  [4864] = {.lex_state = 236},
  [4865] = {.lex_state = 236},
  [4866] = {.lex_state = 201},
  [4867] = {.lex_state = 236},
  [4868] = {.lex_state = 236},
  [4869] = {.lex_state = 235},
  [4870] = {.lex_state = 236},
  [4871] = {.lex_state = 236},
  [4872] = {.lex_state = 236},
  [4873] = {.lex_state = 222},
  [4874] = {.lex_state = 236},
  [4875] = {.lex_state = 201},
  [4876] = {.lex_state = 201},
  [4877] = {.lex_state = 236},
  [4878] = {.lex_state = 236},
  [4879] = {.lex_state = 236},
  [4880] = {.lex_state = 236},
  [4881] = {.lex_state = 238},
  [4882] = {.lex_state = 236},
  [4883] = {.lex_state = 222},
  [4884] = {.lex_state = 236},
  [4885] = {.lex_state = 222},
  [4886] = {.lex_state = 235},
  [4887] = {.lex_state = 235},
  [4888] = {.lex_state = 236},
  [4889] = {.lex_state = 236},
  [4890] = {.lex_state = 236},
  [4891] = {.lex_state = 235},
  [4892] = {.lex_state = 235},
  [4893] = {.lex_state = 235},
  [4894] = {.lex_state = 235},
  [4895] = {.lex_state = 236},
  [4896] = {.lex_state = 236},
  [4897] = {.lex_state = 236},
  [4898] = {.lex_state = 235},
  [4899] = {.lex_state = 236},
  [4900] = {.lex_state = 235},
  [4901] = {.lex_state = 236},
  [4902] = {.lex_state = 236},
  [4903] = {.lex_state = 235},
  [4904] = {.lex_state = 235},
  [4905] = {.lex_state = 236},
  [4906] = {.lex_state = 236},
  [4907] = {.lex_state = 235},
  [4908] = {.lex_state = 235},
  [4909] = {.lex_state = 235},
  [4910] = {.lex_state = 235},
  [4911] = {.lex_state = 236},
  [4912] = {.lex_state = 235},
  [4913] = {.lex_state = 235},
  [4914] = {.lex_state = 238},
  [4915] = {.lex_state = 238},
  [4916] = {.lex_state = 235},
  [4917] = {.lex_state = 238},
  [4918] = {.lex_state = 235},
  [4919] = {.lex_state = 235},
  [4920] = {.lex_state = 235},
  [4921] = {.lex_state = 238},
  [4922] = {.lex_state = 235},
  [4923] = {.lex_state = 235},
  [4924] = {.lex_state = 235},
  [4925] = {.lex_state = 235},
  [4926] = {.lex_state = 235},
  [4927] = {.lex_state = 235},
  [4928] = {.lex_state = 235},
  [4929] = {.lex_state = 235},
  [4930] = {.lex_state = 235},
  [4931] = {.lex_state = 236},
  [4932] = {.lex_state = 235},
  [4933] = {.lex_state = 235},
  [4934] = {.lex_state = 235},
  [4935] = {.lex_state = 235},
  [4936] = {.lex_state = 235},
  [4937] = {.lex_state = 201},
  [4938] = {.lex_state = 235},
  [4939] = {.lex_state = 235},
  [4940] = {.lex_state = 235},
  [4941] = {.lex_state = 235},
  [4942] = {.lex_state = 235},
  [4943] = {.lex_state = 235},
  [4944] = {.lex_state = 235},
  [4945] = {.lex_state = 236},
  [4946] = {.lex_state = 238},
  [4947] = {.lex_state = 236},
  [4948] = {.lex_state = 236},
  [4949] = {.lex_state = 238},
  [4950] = {.lex_state = 222},
  [4951] = {.lex_state = 236},
  [4952] = {.lex_state = 236},
  [4953] = {.lex_state = 235},
  [4954] = {.lex_state = 236},
  [4955] = {.lex_state = 238},
  [4956] = {.lex_state = 236},
  [4957] = {.lex_state = 236},
  [4958] = {.lex_state = 236},
  [4959] = {.lex_state = 239},
  [4960] = {.lex_state = 236},
  [4961] = {.lex_state = 239},
  [4962] = {.lex_state = 235},
  [4963] = {.lex_state = 239},
  [4964] = {.lex_state = 236},
  [4965] = {.lex_state = 236},
  [4966] = {.lex_state = 239},
  [4967] = {.lex_state = 236},
  [4968] = {.lex_state = 236},
  [4969] = {.lex_state = 239},
  [4970] = {.lex_state = 236},
  [4971] = {.lex_state = 236},
  [4972] = {.lex_state = 239},
  [4973] = {.lex_state = 236},
  [4974] = {.lex_state = 238},
  [4975] = {.lex_state = 236},
  [4976] = {.lex_state = 236},
  [4977] = {.lex_state = 236},
  [4978] = {.lex_state = 236},
  [4979] = {.lex_state = 236},
  [4980] = {.lex_state = 236},
  [4981] = {.lex_state = 236},
  [4982] = {.lex_state = 236},
  [4983] = {.lex_state = 236},
  [4984] = {.lex_state = 236},
  [4985] = {.lex_state = 236},
  [4986] = {.lex_state = 236},
  [4987] = {.lex_state = 236},
  [4988] = {.lex_state = 236},
  [4989] = {.lex_state = 236},
  [4990] = {.lex_state = 222},
  [4991] = {.lex_state = 238},
  [4992] = {.lex_state = 236},
  [4993] = {.lex_state = 236},
  [4994] = {.lex_state = 236},
  [4995] = {.lex_state = 236},
  [4996] = {.lex_state = 238},
  [4997] = {.lex_state = 239},
  [4998] = {.lex_state = 236},
  [4999] = {.lex_state = 236},
  [5000] = {.lex_state = 238},
  [5001] = {.lex_state = 236},
  [5002] = {.lex_state = 236},
  [5003] = {.lex_state = 236},
  [5004] = {.lex_state = 238},
  [5005] = {.lex_state = 236},
  [5006] = {.lex_state = 236},
  [5007] = {.lex_state = 203},
  [5008] = {.lex_state = 236},
  [5009] = {.lex_state = 238},
  [5010] = {.lex_state = 236},
  [5011] = {.lex_state = 236},
  [5012] = {.lex_state = 203},
  [5013] = {.lex_state = 236},
  [5014] = {.lex_state = 203},
  [5015] = {.lex_state = 236},
  [5016] = {.lex_state = 236},
  [5017] = {.lex_state = 239},
  [5018] = {.lex_state = 236},
  [5019] = {.lex_state = 222},
  [5020] = {.lex_state = 236},
  [5021] = {.lex_state = 239},
  [5022] = {.lex_state = 236},
  [5023] = {.lex_state = 203},
  [5024] = {.lex_state = 203},
  [5025] = {.lex_state = 236},
  [5026] = {.lex_state = 239},
  [5027] = {.lex_state = 236},
  [5028] = {.lex_state = 239},
  [5029] = {.lex_state = 236},
  [5030] = {.lex_state = 239},
  [5031] = {.lex_state = 236},
  [5032] = {.lex_state = 236},
  [5033] = {.lex_state = 238},
  [5034] = {.lex_state = 238},
  [5035] = {.lex_state = 239},
  [5036] = {.lex_state = 236},
  [5037] = {.lex_state = 239},
  [5038] = {.lex_state = 238},
  [5039] = {.lex_state = 238},
  [5040] = {.lex_state = 238},
  [5041] = {.lex_state = 236},
  [5042] = {.lex_state = 193},
  [5043] = {.lex_state = 239},
  [5044] = {.lex_state = 239},
  [5045] = {.lex_state = 238},
  [5046] = {.lex_state = 236},
  [5047] = {.lex_state = 193},
  [5048] = {.lex_state = 193},
  [5049] = {.lex_state = 238},
  [5050] = {.lex_state = 238},
  [5051] = {.lex_state = 238},
  [5052] = {.lex_state = 239},
  [5053] = {.lex_state = 238},
  [5054] = {.lex_state = 201},
  [5055] = {.lex_state = 201},
  [5056] = {.lex_state = 238},
  [5057] = {.lex_state = 193},
  [5058] = {.lex_state = 238},
  [5059] = {.lex_state = 238},
  [5060] = {.lex_state = 193},
  [5061] = {.lex_state = 193},
  [5062] = {.lex_state = 238},
  [5063] = {.lex_state = 236},
  [5064] = {.lex_state = 193},
  [5065] = {.lex_state = 238},
  [5066] = {.lex_state = 239},
  [5067] = {.lex_state = 236},
  [5068] = {.lex_state = 193},
  [5069] = {.lex_state = 193},
  [5070] = {.lex_state = 193},
  [5071] = {.lex_state = 193},
  [5072] = {.lex_state = 193},
  [5073] = {.lex_state = 193},
  [5074] = {.lex_state = 193},
  [5075] = {.lex_state = 193},
  [5076] = {.lex_state = 193},
  [5077] = {.lex_state = 193},
  [5078] = {.lex_state = 193},
  [5079] = {.lex_state = 193},
  [5080] = {.lex_state = 193},
  [5081] = {.lex_state = 193},
  [5082] = {.lex_state = 193},
  [5083] = {.lex_state = 193},
  [5084] = {.lex_state = 193},
  [5085] = {.lex_state = 193},
  [5086] = {.lex_state = 193},
  [5087] = {.lex_state = 193},
  [5088] = {.lex_state = 193},
  [5089] = {.lex_state = 193},
  [5090] = {.lex_state = 193},
  [5091] = {.lex_state = 193},
  [5092] = {.lex_state = 193},
  [5093] = {.lex_state = 193},
  [5094] = {.lex_state = 193},
  [5095] = {.lex_state = 193},
  [5096] = {.lex_state = 193},
  [5097] = {.lex_state = 193},
  [5098] = {.lex_state = 193},
  [5099] = {.lex_state = 193},
  [5100] = {.lex_state = 193},
  [5101] = {.lex_state = 193},
  [5102] = {.lex_state = 193},
  [5103] = {.lex_state = 193},
  [5104] = {.lex_state = 193},
  [5105] = {.lex_state = 193},
  [5106] = {.lex_state = 193},
  [5107] = {.lex_state = 193},
  [5108] = {.lex_state = 193},
  [5109] = {.lex_state = 238},
  [5110] = {.lex_state = 238},
  [5111] = {.lex_state = 238},
  [5112] = {.lex_state = 238},
  [5113] = {.lex_state = 193},
  [5114] = {.lex_state = 193},
  [5115] = {.lex_state = 193},
  [5116] = {.lex_state = 193},
  [5117] = {.lex_state = 193},
  [5118] = {.lex_state = 193},
  [5119] = {.lex_state = 193},
  [5120] = {.lex_state = 193},
  [5121] = {.lex_state = 193},
  [5122] = {.lex_state = 193},
  [5123] = {.lex_state = 193},
  [5124] = {.lex_state = 193},
  [5125] = {.lex_state = 193},
  [5126] = {.lex_state = 193},
  [5127] = {.lex_state = 193},
  [5128] = {.lex_state = 193},
  [5129] = {.lex_state = 193},
  [5130] = {.lex_state = 193},
  [5131] = {.lex_state = 193},
  [5132] = {.lex_state = 193},
  [5133] = {.lex_state = 193},
  [5134] = {.lex_state = 193},
  [5135] = {.lex_state = 193},
  [5136] = {.lex_state = 193},
  [5137] = {.lex_state = 193},
  [5138] = {.lex_state = 193},
  [5139] = {.lex_state = 193},
  [5140] = {.lex_state = 193},
  [5141] = {.lex_state = 193},
  [5142] = {.lex_state = 193},
  [5143] = {.lex_state = 193},
  [5144] = {.lex_state = 193},
  [5145] = {.lex_state = 193},
  [5146] = {.lex_state = 193},
  [5147] = {.lex_state = 193},
  [5148] = {.lex_state = 193},
  [5149] = {.lex_state = 193},
  [5150] = {.lex_state = 193},
  [5151] = {.lex_state = 193},
  [5152] = {.lex_state = 193},
  [5153] = {.lex_state = 193},
  [5154] = {.lex_state = 193},
  [5155] = {.lex_state = 193},
  [5156] = {.lex_state = 193},
  [5157] = {.lex_state = 193},
  [5158] = {.lex_state = 193},
  [5159] = {.lex_state = 193},
  [5160] = {.lex_state = 193},
  [5161] = {.lex_state = 193},
  [5162] = {.lex_state = 193},
  [5163] = {.lex_state = 193},
  [5164] = {.lex_state = 193},
  [5165] = {.lex_state = 193},
  [5166] = {.lex_state = 238},
  [5167] = {.lex_state = 193},
  [5168] = {.lex_state = 193},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 238},
  [5171] = {.lex_state = 238},
  [5172] = {.lex_state = 193},
  [5173] = {.lex_state = 201},
  [5174] = {.lex_state = 193},
  [5175] = {.lex_state = 193},
  [5176] = {.lex_state = 193},
  [5177] = {.lex_state = 193},
  [5178] = {.lex_state = 238},
  [5179] = {.lex_state = 193},
  [5180] = {.lex_state = 193},
  [5181] = {.lex_state = 193},
  [5182] = {.lex_state = 193},
  [5183] = {.lex_state = 238},
  [5184] = {.lex_state = 201},
  [5185] = {.lex_state = 193},
  [5186] = {.lex_state = 203},
  [5187] = {.lex_state = 203},
  [5188] = {.lex_state = 238},
  [5189] = {.lex_state = 238},
  [5190] = {.lex_state = 193},
  [5191] = {.lex_state = 193},
  [5192] = {.lex_state = 193},
  [5193] = {.lex_state = 193},
  [5194] = {.lex_state = 201},
  [5195] = {.lex_state = 193},
  [5196] = {.lex_state = 201},
  [5197] = {.lex_state = 193},
  [5198] = {.lex_state = 201},
  [5199] = {.lex_state = 193},
  [5200] = {.lex_state = 238},
  [5201] = {.lex_state = 201},
  [5202] = {.lex_state = 201},
  [5203] = {.lex_state = 193},
  [5204] = {.lex_state = 193},
  [5205] = {.lex_state = 193},
  [5206] = {.lex_state = 193},
  [5207] = {.lex_state = 193},
  [5208] = {.lex_state = 201},
  [5209] = {.lex_state = 238},
  [5210] = {.lex_state = 195},
  [5211] = {.lex_state = 236},
  [5212] = {.lex_state = 195},
  [5213] = {.lex_state = 201},
  [5214] = {.lex_state = 201},
  [5215] = {.lex_state = 201},
  [5216] = {.lex_state = 201},
  [5217] = {.lex_state = 235},
  [5218] = {.lex_state = 239},
  [5219] = {.lex_state = 201},
  [5220] = {.lex_state = 201},
  [5221] = {.lex_state = 239},
  [5222] = {.lex_state = 201},
  [5223] = {.lex_state = 201},
  [5224] = {.lex_state = 201},
  [5225] = {.lex_state = 201},
  [5226] = {.lex_state = 195},
  [5227] = {.lex_state = 201},
  [5228] = {.lex_state = 201},
  [5229] = {.lex_state = 201},
  [5230] = {.lex_state = 236},
  [5231] = {.lex_state = 239},
  [5232] = {.lex_state = 239},
  [5233] = {.lex_state = 195},
  [5234] = {.lex_state = 201},
  [5235] = {.lex_state = 201},
  [5236] = {.lex_state = 201},
  [5237] = {.lex_state = 201},
  [5238] = {.lex_state = 201},
  [5239] = {.lex_state = 201},
  [5240] = {.lex_state = 201},
  [5241] = {.lex_state = 239},
  [5242] = {.lex_state = 239},
  [5243] = {.lex_state = 201},
  [5244] = {.lex_state = 195},
  [5245] = {.lex_state = 201},
  [5246] = {.lex_state = 195},
  [5247] = {.lex_state = 201},
  [5248] = {.lex_state = 236},
  [5249] = {.lex_state = 201},
  [5250] = {.lex_state = 201},
  [5251] = {.lex_state = 195},
  [5252] = {.lex_state = 201},
  [5253] = {.lex_state = 201},
  [5254] = {.lex_state = 195},
  [5255] = {.lex_state = 201},
  [5256] = {.lex_state = 236},
  [5257] = {.lex_state = 238},
  [5258] = {.lex_state = 239},
  [5259] = {.lex_state = 238},
  [5260] = {.lex_state = 239},
  [5261] = {.lex_state = 239},
  [5262] = {.lex_state = 239},
  [5263] = {.lex_state = 238},
  [5264] = {.lex_state = 239},
  [5265] = {.lex_state = 238},
  [5266] = {.lex_state = 239},
  [5267] = {.lex_state = 235},
  [5268] = {.lex_state = 239},
  [5269] = {.lex_state = 239},
  [5270] = {.lex_state = 238},
  [5271] = {.lex_state = 239},
  [5272] = {.lex_state = 238},
  [5273] = {.lex_state = 239},
  [5274] = {.lex_state = 239},
  [5275] = {.lex_state = 239},
  [5276] = {.lex_state = 238},
  [5277] = {.lex_state = 193},
  [5278] = {.lex_state = 193},
  [5279] = {.lex_state = 238},
  [5280] = {.lex_state = 238},
  [5281] = {.lex_state = 238},
  [5282] = {.lex_state = 193},
  [5283] = {.lex_state = 238},
  [5284] = {.lex_state = 193},
  [5285] = {.lex_state = 193},
  [5286] = {.lex_state = 238},
  [5287] = {.lex_state = 193},
  [5288] = {.lex_state = 193},
  [5289] = {.lex_state = 193},
  [5290] = {.lex_state = 238},
  [5291] = {.lex_state = 238},
  [5292] = {.lex_state = 238},
  [5293] = {.lex_state = 238},
  [5294] = {.lex_state = 193},
  [5295] = {.lex_state = 193},
  [5296] = {.lex_state = 238},
  [5297] = {.lex_state = 238},
  [5298] = {.lex_state = 238},
  [5299] = {.lex_state = 193},
  [5300] = {.lex_state = 238},
  [5301] = {.lex_state = 193},
  [5302] = {.lex_state = 238},
  [5303] = {.lex_state = 238},
  [5304] = {.lex_state = 238},
  [5305] = {.lex_state = 238},
  [5306] = {.lex_state = 238},
  [5307] = {.lex_state = 238},
  [5308] = {.lex_state = 238},
  [5309] = {.lex_state = 238},
  [5310] = {.lex_state = 238},
  [5311] = {.lex_state = 238},
  [5312] = {.lex_state = 238},
  [5313] = {.lex_state = 238},
  [5314] = {.lex_state = 238},
  [5315] = {.lex_state = 193},
  [5316] = {.lex_state = 238},
  [5317] = {.lex_state = 238},
  [5318] = {.lex_state = 238},
  [5319] = {.lex_state = 248},
  [5320] = {.lex_state = 248},
  [5321] = {.lex_state = 238},
  [5322] = {.lex_state = 238},
  [5323] = {.lex_state = 193},
  [5324] = {.lex_state = 238},
  [5325] = {.lex_state = 193},
  [5326] = {.lex_state = 238},
  [5327] = {.lex_state = 248},
  [5328] = {.lex_state = 248},
  [5329] = {.lex_state = 238},
  [5330] = {.lex_state = 239},
  [5331] = {.lex_state = 248},
  [5332] = {.lex_state = 193},
  [5333] = {.lex_state = 248},
  [5334] = {.lex_state = 239},
  [5335] = {.lex_state = 238},
  [5336] = {.lex_state = 248},
  [5337] = {.lex_state = 238},
  [5338] = {.lex_state = 193},
  [5339] = {.lex_state = 193},
  [5340] = {.lex_state = 239},
  [5341] = {.lex_state = 195},
  [5342] = {.lex_state = 195},
  [5343] = {.lex_state = 195},
  [5344] = {.lex_state = 195},
  [5345] = {.lex_state = 222},
  [5346] = {.lex_state = 239},
  [5347] = {.lex_state = 195},
  [5348] = {.lex_state = 195},
  [5349] = {.lex_state = 195},
  [5350] = {.lex_state = 195},
  [5351] = {.lex_state = 195},
  [5352] = {.lex_state = 195},
  [5353] = {.lex_state = 239},
  [5354] = {.lex_state = 238},
  [5355] = {.lex_state = 195},
  [5356] = {.lex_state = 238},
  [5357] = {.lex_state = 195},
  [5358] = {.lex_state = 175},
  [5359] = {.lex_state = 236},
  [5360] = {.lex_state = 236},
  [5361] = {.lex_state = 236},
  [5362] = {.lex_state = 236},
  [5363] = {.lex_state = 236},
  [5364] = {.lex_state = 236},
  [5365] = {.lex_state = 236},
  [5366] = {.lex_state = 236},
  [5367] = {.lex_state = 175},
  [5368] = {.lex_state = 236},
  [5369] = {.lex_state = 236},
  [5370] = {.lex_state = 236},
  [5371] = {.lex_state = 238},
  [5372] = {.lex_state = 236},
  [5373] = {.lex_state = 236},
  [5374] = {.lex_state = 175},
  [5375] = {.lex_state = 236},
  [5376] = {.lex_state = 236},
  [5377] = {.lex_state = 239},
  [5378] = {.lex_state = 236},
  [5379] = {.lex_state = 236},
  [5380] = {.lex_state = 236},
  [5381] = {.lex_state = 175},
  [5382] = {.lex_state = 175},
  [5383] = {.lex_state = 175},
  [5384] = {.lex_state = 238},
  [5385] = {.lex_state = 175},
  [5386] = {.lex_state = 236},
  [5387] = {.lex_state = 175},
  [5388] = {.lex_state = 175},
  [5389] = {.lex_state = 175},
  [5390] = {.lex_state = 238},
  [5391] = {.lex_state = 238},
  [5392] = {.lex_state = 238},
  [5393] = {.lex_state = 238},
  [5394] = {.lex_state = 175},
  [5395] = {.lex_state = 175},
  [5396] = {.lex_state = 175},
  [5397] = {.lex_state = 175},
  [5398] = {.lex_state = 175},
  [5399] = {.lex_state = 175},
  [5400] = {.lex_state = 192},
  [5401] = {.lex_state = 175},
  [5402] = {.lex_state = 248},
  [5403] = {.lex_state = 238},
  [5404] = {.lex_state = 238},
  [5405] = {.lex_state = 175},
  [5406] = {.lex_state = 236},
  [5407] = {.lex_state = 175},
  [5408] = {.lex_state = 175},
  [5409] = {.lex_state = 236},
  [5410] = {.lex_state = 175},
  [5411] = {.lex_state = 175},
  [5412] = {.lex_state = 222},
  [5413] = {.lex_state = 175},
  [5414] = {.lex_state = 238},
  [5415] = {.lex_state = 175},
  [5416] = {.lex_state = 175},
  [5417] = {.lex_state = 248},
  [5418] = {.lex_state = 248},
  [5419] = {.lex_state = 248},
  [5420] = {.lex_state = 236},
  [5421] = {.lex_state = 248},
  [5422] = {.lex_state = 248},
  [5423] = {.lex_state = 248},
  [5424] = {.lex_state = 175},
  [5425] = {.lex_state = 238},
  [5426] = {.lex_state = 238},
  [5427] = {.lex_state = 175},
  [5428] = {.lex_state = 175},
  [5429] = {.lex_state = 248},
  [5430] = {.lex_state = 239},
  [5431] = {.lex_state = 248},
  [5432] = {.lex_state = 238},
  [5433] = {.lex_state = 238},
  [5434] = {.lex_state = 175},
  [5435] = {.lex_state = 175},
  [5436] = {.lex_state = 175},
  [5437] = {.lex_state = 248},
  [5438] = {.lex_state = 248},
  [5439] = {.lex_state = 236},
  [5440] = {.lex_state = 236},
  [5441] = {.lex_state = 175},
  [5442] = {.lex_state = 239},
  [5443] = {.lex_state = 235},
  [5444] = {.lex_state = 248},
  [5445] = {.lex_state = 248},
  [5446] = {.lex_state = 248},
  [5447] = {.lex_state = 248},
  [5448] = {.lex_state = 236},
  [5449] = {.lex_state = 248},
  [5450] = {.lex_state = 236},
  [5451] = {.lex_state = 175},
  [5452] = {.lex_state = 222},
  [5453] = {.lex_state = 175},
  [5454] = {.lex_state = 248},
  [5455] = {.lex_state = 248},
  [5456] = {.lex_state = 236},
  [5457] = {.lex_state = 248},
  [5458] = {.lex_state = 236},
  [5459] = {.lex_state = 248},
  [5460] = {.lex_state = 222},
  [5461] = {.lex_state = 175},
  [5462] = {.lex_state = 236},
  [5463] = {.lex_state = 248},
  [5464] = {.lex_state = 175},
  [5465] = {.lex_state = 175},
  [5466] = {.lex_state = 248},
  [5467] = {.lex_state = 248},
  [5468] = {.lex_state = 248},
  [5469] = {.lex_state = 248},
  [5470] = {.lex_state = 248},
  [5471] = {.lex_state = 248},
  [5472] = {.lex_state = 248},
  [5473] = {.lex_state = 248},
  [5474] = {.lex_state = 238},
  [5475] = {.lex_state = 248},
  [5476] = {.lex_state = 248},
  [5477] = {.lex_state = 175},
  [5478] = {.lex_state = 248},
  [5479] = {.lex_state = 238},
  [5480] = {.lex_state = 248},
  [5481] = {.lex_state = 248},
  [5482] = {.lex_state = 248},
  [5483] = {.lex_state = 248},
  [5484] = {.lex_state = 175},
  [5485] = {.lex_state = 238},
  [5486] = {.lex_state = 175},
  [5487] = {.lex_state = 236},
  [5488] = {.lex_state = 248},
  [5489] = {.lex_state = 248},
  [5490] = {.lex_state = 248},
  [5491] = {.lex_state = 248},
  [5492] = {.lex_state = 248},
  [5493] = {.lex_state = 239},
  [5494] = {.lex_state = 175},
  [5495] = {.lex_state = 175},
  [5496] = {.lex_state = 193},
  [5497] = {.lex_state = 193},
  [5498] = {.lex_state = 193},
  [5499] = {.lex_state = 193},
  [5500] = {.lex_state = 193},
  [5501] = {.lex_state = 193},
  [5502] = {.lex_state = 193},
  [5503] = {.lex_state = 193},
  [5504] = {.lex_state = 193},
  [5505] = {.lex_state = 193},
  [5506] = {.lex_state = 193},
  [5507] = {.lex_state = 193},
  [5508] = {.lex_state = 193},
  [5509] = {.lex_state = 239},
  [5510] = {.lex_state = 239},
  [5511] = {.lex_state = 239},
  [5512] = {.lex_state = 193},
  [5513] = {.lex_state = 222},
  [5514] = {.lex_state = 193},
  [5515] = {.lex_state = 193},
  [5516] = {.lex_state = 193},
  [5517] = {.lex_state = 239},
  [5518] = {.lex_state = 238},
  [5519] = {.lex_state = 193},
  [5520] = {.lex_state = 193},
  [5521] = {.lex_state = 239},
  [5522] = {.lex_state = 239},
  [5523] = {.lex_state = 239},
  [5524] = {.lex_state = 239},
  [5525] = {.lex_state = 239},
  [5526] = {.lex_state = 193},
  [5527] = {.lex_state = 193},
  [5528] = {.lex_state = 193},
  [5529] = {.lex_state = 239},
  [5530] = {.lex_state = 239},
  [5531] = {.lex_state = 239},
  [5532] = {.lex_state = 239},
  [5533] = {.lex_state = 193},
  [5534] = {.lex_state = 193},
  [5535] = {.lex_state = 193},
  [5536] = {.lex_state = 193},
  [5537] = {.lex_state = 193},
  [5538] = {.lex_state = 239},
  [5539] = {.lex_state = 193},
  [5540] = {.lex_state = 239},
  [5541] = {.lex_state = 239},
  [5542] = {.lex_state = 238},
  [5543] = {.lex_state = 193},
  [5544] = {.lex_state = 193},
  [5545] = {.lex_state = 193},
  [5546] = {.lex_state = 193},
  [5547] = {.lex_state = 193},
  [5548] = {.lex_state = 239},
  [5549] = {.lex_state = 193},
  [5550] = {.lex_state = 239},
  [5551] = {.lex_state = 193},
  [5552] = {.lex_state = 238},
  [5553] = {.lex_state = 192},
  [5554] = {.lex_state = 193},
  [5555] = {.lex_state = 193},
  [5556] = {.lex_state = 193},
  [5557] = {.lex_state = 193},
  [5558] = {.lex_state = 239},
  [5559] = {.lex_state = 193},
  [5560] = {.lex_state = 193},
  [5561] = {.lex_state = 239},
  [5562] = {.lex_state = 193},
  [5563] = {.lex_state = 193},
  [5564] = {.lex_state = 239},
  [5565] = {.lex_state = 193},
  [5566] = {.lex_state = 193},
  [5567] = {.lex_state = 238},
  [5568] = {.lex_state = 239},
  [5569] = {.lex_state = 239},
  [5570] = {.lex_state = 193},
  [5571] = {.lex_state = 239},
  [5572] = {.lex_state = 193},
  [5573] = {.lex_state = 193},
  [5574] = {.lex_state = 238},
  [5575] = {.lex_state = 193},
  [5576] = {.lex_state = 192},
  [5577] = {.lex_state = 193},
  [5578] = {.lex_state = 193},
  [5579] = {.lex_state = 222},
  [5580] = {.lex_state = 222},
  [5581] = {.lex_state = 193},
  [5582] = {.lex_state = 193},
  [5583] = {.lex_state = 193},
  [5584] = {.lex_state = 193},
  [5585] = {.lex_state = 193},
  [5586] = {.lex_state = 193},
  [5587] = {.lex_state = 193},
  [5588] = {.lex_state = 239},
  [5589] = {.lex_state = 193},
  [5590] = {.lex_state = 193},
  [5591] = {.lex_state = 222},
  [5592] = {.lex_state = 99},
  [5593] = {.lex_state = 193},
  [5594] = {.lex_state = 239},
  [5595] = {.lex_state = 193},
  [5596] = {.lex_state = 192},
  [5597] = {.lex_state = 193},
  [5598] = {.lex_state = 193},
  [5599] = {.lex_state = 239},
  [5600] = {.lex_state = 193},
  [5601] = {.lex_state = 193},
  [5602] = {.lex_state = 193},
  [5603] = {.lex_state = 239},
  [5604] = {.lex_state = 193},
  [5605] = {.lex_state = 238},
  [5606] = {.lex_state = 193},
  [5607] = {.lex_state = 193},
  [5608] = {.lex_state = 239},
  [5609] = {.lex_state = 193},
  [5610] = {.lex_state = 193},
  [5611] = {.lex_state = 222},
  [5612] = {.lex_state = 193},
  [5613] = {.lex_state = 239},
  [5614] = {.lex_state = 193},
  [5615] = {.lex_state = 193},
  [5616] = {.lex_state = 193},
  [5617] = {.lex_state = 193},
  [5618] = {.lex_state = 239},
  [5619] = {.lex_state = 238},
  [5620] = {.lex_state = 193},
  [5621] = {.lex_state = 193},
  [5622] = {.lex_state = 193},
  [5623] = {.lex_state = 239},
  [5624] = {.lex_state = 239},
  [5625] = {.lex_state = 239},
  [5626] = {.lex_state = 193},
  [5627] = {.lex_state = 193},
  [5628] = {.lex_state = 193},
  [5629] = {.lex_state = 193},
  [5630] = {.lex_state = 193},
  [5631] = {.lex_state = 239},
  [5632] = {.lex_state = 193},
  [5633] = {.lex_state = 193},
  [5634] = {.lex_state = 193},
  [5635] = {.lex_state = 239},
  [5636] = {.lex_state = 193},
  [5637] = {.lex_state = 239},
  [5638] = {.lex_state = 193},
  [5639] = {.lex_state = 192},
  [5640] = {.lex_state = 192},
  [5641] = {.lex_state = 243},
  [5642] = {.lex_state = 235},
  [5643] = {.lex_state = 243},
  [5644] = {.lex_state = 222},
  [5645] = {.lex_state = 222},
  [5646] = {.lex_state = 243},
  [5647] = {.lex_state = 201},
  [5648] = {.lex_state = 243},
  [5649] = {.lex_state = 192},
  [5650] = {.lex_state = 222},
  [5651] = {.lex_state = 243},
  [5652] = {.lex_state = 243},
  [5653] = {.lex_state = 192},
  [5654] = {.lex_state = 243},
  [5655] = {.lex_state = 222},
  [5656] = {.lex_state = 243},
  [5657] = {.lex_state = 243},
  [5658] = {.lex_state = 239},
  [5659] = {.lex_state = 222},
  [5660] = {.lex_state = 243},
  [5661] = {.lex_state = 192},
  [5662] = {.lex_state = 243},
  [5663] = {.lex_state = 192},
  [5664] = {.lex_state = 192},
  [5665] = {.lex_state = 222},
  [5666] = {.lex_state = 243},
  [5667] = {.lex_state = 243},
  [5668] = {.lex_state = 239},
  [5669] = {.lex_state = 222},
  [5670] = {.lex_state = 222},
  [5671] = {.lex_state = 222},
  [5672] = {.lex_state = 222},
  [5673] = {.lex_state = 222},
  [5674] = {.lex_state = 243},
  [5675] = {.lex_state = 192},
  [5676] = {.lex_state = 201},
  [5677] = {.lex_state = 243},
  [5678] = {.lex_state = 239},
  [5679] = {.lex_state = 243},
  [5680] = {.lex_state = 239},
  [5681] = {.lex_state = 239},
  [5682] = {.lex_state = 239},
  [5683] = {.lex_state = 238},
  [5684] = {.lex_state = 238},
  [5685] = {.lex_state = 238},
  [5686] = {.lex_state = 238},
  [5687] = {.lex_state = 192},
  [5688] = {.lex_state = 239},
  [5689] = {.lex_state = 239},
  [5690] = {.lex_state = 239},
  [5691] = {.lex_state = 238},
  [5692] = {.lex_state = 238},
  [5693] = {.lex_state = 238},
  [5694] = {.lex_state = 238},
  [5695] = {.lex_state = 192},
  [5696] = {.lex_state = 243},
  [5697] = {.lex_state = 243},
  [5698] = {.lex_state = 192},
  [5699] = {.lex_state = 192},
  [5700] = {.lex_state = 239},
  [5701] = {.lex_state = 239},
  [5702] = {.lex_state = 239},
  [5703] = {.lex_state = 239},
  [5704] = {.lex_state = 239},
  [5705] = {.lex_state = 239},
  [5706] = {.lex_state = 239},
  [5707] = {.lex_state = 239},
  [5708] = {.lex_state = 192},
  [5709] = {.lex_state = 239},
  [5710] = {.lex_state = 192},
  [5711] = {.lex_state = 222},
  [5712] = {.lex_state = 239},
  [5713] = {.lex_state = 243},
  [5714] = {.lex_state = 243},
  [5715] = {.lex_state = 222},
  [5716] = {.lex_state = 243},
  [5717] = {.lex_state = 235},
  [5718] = {.lex_state = 243},
  [5719] = {.lex_state = 243},
  [5720] = {.lex_state = 243},
  [5721] = {.lex_state = 222},
  [5722] = {.lex_state = 192},
  [5723] = {.lex_state = 243},
  [5724] = {.lex_state = 243},
  [5725] = {.lex_state = 243},
  [5726] = {.lex_state = 243},
  [5727] = {.lex_state = 192},
  [5728] = {.lex_state = 192},
  [5729] = {.lex_state = 192},
  [5730] = {.lex_state = 192},
  [5731] = {.lex_state = 192},
  [5732] = {.lex_state = 192},
  [5733] = {.lex_state = 239},
  [5734] = {.lex_state = 236},
  [5735] = {.lex_state = 99},
  [5736] = {.lex_state = 99},
  [5737] = {.lex_state = 236},
  [5738] = {.lex_state = 99},
  [5739] = {.lex_state = 99},
  [5740] = {.lex_state = 99},
  [5741] = {.lex_state = 99},
  [5742] = {.lex_state = 239},
  [5743] = {.lex_state = 99},
  [5744] = {.lex_state = 99},
  [5745] = {.lex_state = 238},
  [5746] = {.lex_state = 99},
  [5747] = {.lex_state = 239},
  [5748] = {.lex_state = 99},
  [5749] = {.lex_state = 236},
  [5750] = {.lex_state = 239},
  [5751] = {.lex_state = 239},
  [5752] = {.lex_state = 235},
  [5753] = {.lex_state = 236},
  [5754] = {.lex_state = 99},
  [5755] = {.lex_state = 99},
  [5756] = {.lex_state = 99},
  [5757] = {.lex_state = 222},
  [5758] = {.lex_state = 99},
  [5759] = {.lex_state = 99},
  [5760] = {.lex_state = 99},
  [5761] = {.lex_state = 222},
  [5762] = {.lex_state = 192},
  [5763] = {.lex_state = 239},
  [5764] = {.lex_state = 99},
  [5765] = {.lex_state = 99},
  [5766] = {.lex_state = 99},
  [5767] = {.lex_state = 239},
  [5768] = {.lex_state = 239},
  [5769] = {.lex_state = 99},
  [5770] = {.lex_state = 239},
  [5771] = {.lex_state = 239},
  [5772] = {.lex_state = 236},
  [5773] = {.lex_state = 239},
  [5774] = {.lex_state = 99},
  [5775] = {.lex_state = 222},
  [5776] = {.lex_state = 239},
  [5777] = {.lex_state = 99},
  [5778] = {.lex_state = 236},
  [5779] = {.lex_state = 236},
  [5780] = {.lex_state = 236},
  [5781] = {.lex_state = 235},
  [5782] = {.lex_state = 239},
  [5783] = {.lex_state = 236},
  [5784] = {.lex_state = 222},
  [5785] = {.lex_state = 99},
  [5786] = {.lex_state = 222},
  [5787] = {.lex_state = 222},
  [5788] = {.lex_state = 99},
  [5789] = {.lex_state = 236},
  [5790] = {.lex_state = 99},
  [5791] = {.lex_state = 222},
  [5792] = {.lex_state = 99},
  [5793] = {.lex_state = 247},
  [5794] = {.lex_state = 239},
  [5795] = {.lex_state = 238},
  [5796] = {.lex_state = 236},
  [5797] = {.lex_state = 239},
  [5798] = {.lex_state = 238},
  [5799] = {.lex_state = 239},
  [5800] = {.lex_state = 99},
  [5801] = {.lex_state = 236},
  [5802] = {.lex_state = 239},
  [5803] = {.lex_state = 239},
  [5804] = {.lex_state = 239},
  [5805] = {.lex_state = 239},
  [5806] = {.lex_state = 239},
  [5807] = {.lex_state = 239},
  [5808] = {.lex_state = 236},
  [5809] = {.lex_state = 99},
  [5810] = {.lex_state = 235},
  [5811] = {.lex_state = 236},
  [5812] = {.lex_state = 99},
  [5813] = {.lex_state = 236},
  [5814] = {.lex_state = 99},
  [5815] = {.lex_state = 239},
  [5816] = {.lex_state = 236},
  [5817] = {.lex_state = 192},
  [5818] = {.lex_state = 236},
  [5819] = {.lex_state = 236},
  [5820] = {.lex_state = 99},
  [5821] = {.lex_state = 99},
  [5822] = {.lex_state = 99},
  [5823] = {.lex_state = 99},
  [5824] = {.lex_state = 236},
  [5825] = {.lex_state = 235},
  [5826] = {.lex_state = 238},
  [5827] = {.lex_state = 193},
  [5828] = {.lex_state = 238},
  [5829] = {.lex_state = 235},
  [5830] = {.lex_state = 238},
  [5831] = {.lex_state = 235},
  [5832] = {.lex_state = 239},
  [5833] = {.lex_state = 241},
  [5834] = {.lex_state = 239},
  [5835] = {.lex_state = 239},
  [5836] = {.lex_state = 235},
  [5837] = {.lex_state = 238},
  [5838] = {.lex_state = 238},
  [5839] = {.lex_state = 238},
  [5840] = {.lex_state = 238},
  [5841] = {.lex_state = 238},
  [5842] = {.lex_state = 235},
  [5843] = {.lex_state = 238},
  [5844] = {.lex_state = 238},
  [5845] = {.lex_state = 238},
  [5846] = {.lex_state = 238},
  [5847] = {.lex_state = 239},
  [5848] = {.lex_state = 238},
  [5849] = {.lex_state = 235},
  [5850] = {.lex_state = 235},
  [5851] = {.lex_state = 235},
  [5852] = {.lex_state = 235},
  [5853] = {.lex_state = 238},
  [5854] = {.lex_state = 193},
  [5855] = {.lex_state = 235},
  [5856] = {.lex_state = 235},
  [5857] = {.lex_state = 235},
  [5858] = {.lex_state = 193},
  [5859] = {.lex_state = 235},
  [5860] = {.lex_state = 235},
  [5861] = {.lex_state = 235},
  [5862] = {.lex_state = 235},
  [5863] = {.lex_state = 238},
  [5864] = {.lex_state = 238},
  [5865] = {.lex_state = 238},
  [5866] = {.lex_state = 239},
  [5867] = {.lex_state = 235},
  [5868] = {.lex_state = 235},
  [5869] = {.lex_state = 235},
  [5870] = {.lex_state = 235},
  [5871] = {.lex_state = 235},
  [5872] = {.lex_state = 235},
  [5873] = {.lex_state = 239},
  [5874] = {.lex_state = 238},
  [5875] = {.lex_state = 193},
  [5876] = {.lex_state = 235},
  [5877] = {.lex_state = 241},
  [5878] = {.lex_state = 235},
  [5879] = {.lex_state = 235},
  [5880] = {.lex_state = 235},
  [5881] = {.lex_state = 235},
  [5882] = {.lex_state = 235},
  [5883] = {.lex_state = 235},
  [5884] = {.lex_state = 238},
  [5885] = {.lex_state = 238},
  [5886] = {.lex_state = 222},
  [5887] = {.lex_state = 239},
  [5888] = {.lex_state = 231},
  [5889] = {.lex_state = 173},
  [5890] = {.lex_state = 173},
  [5891] = {.lex_state = 239},
  [5892] = {.lex_state = 238},
  [5893] = {.lex_state = 203},
  [5894] = {.lex_state = 222},
  [5895] = {.lex_state = 243},
  [5896] = {.lex_state = 239},
  [5897] = {.lex_state = 201},
  [5898] = {.lex_state = 173},
  [5899] = {.lex_state = 239},
  [5900] = {.lex_state = 238},
  [5901] = {.lex_state = 231},
  [5902] = {.lex_state = 239},
  [5903] = {.lex_state = 201},
  [5904] = {.lex_state = 201},
  [5905] = {.lex_state = 173},
  [5906] = {.lex_state = 238},
  [5907] = {.lex_state = 173},
  [5908] = {.lex_state = 201},
  [5909] = {.lex_state = 173},
  [5910] = {.lex_state = 173},
  [5911] = {.lex_state = 201},
  [5912] = {.lex_state = 243},
  [5913] = {.lex_state = 201},
  [5914] = {.lex_state = 231},
  [5915] = {.lex_state = 173},
  [5916] = {.lex_state = 173},
  [5917] = {.lex_state = 201},
  [5918] = {.lex_state = 201},
  [5919] = {.lex_state = 193},
  [5920] = {.lex_state = 231},
  [5921] = {.lex_state = 235},
  [5922] = {.lex_state = 235},
  [5923] = {.lex_state = 235},
  [5924] = {.lex_state = 235},
  [5925] = {.lex_state = 235},
  [5926] = {.lex_state = 235},
  [5927] = {.lex_state = 235},
  [5928] = {.lex_state = 235},
  [5929] = {.lex_state = 238},
  [5930] = {.lex_state = 239},
  [5931] = {.lex_state = 239},
  [5932] = {.lex_state = 201},
  [5933] = {.lex_state = 173},
  [5934] = {.lex_state = 222},
  [5935] = {.lex_state = 239},
  [5936] = {.lex_state = 235},
  [5937] = {.lex_state = 222},
  [5938] = {.lex_state = 239},
  [5939] = {.lex_state = 201},
  [5940] = {.lex_state = 239},
  [5941] = {.lex_state = 241},
  [5942] = {.lex_state = 197},
  [5943] = {.lex_state = 239},
  [5944] = {.lex_state = 193},
  [5945] = {.lex_state = 238},
  [5946] = {.lex_state = 238},
  [5947] = {.lex_state = 239},
  [5948] = {.lex_state = 239},
  [5949] = {.lex_state = 238},
  [5950] = {.lex_state = 238},
  [5951] = {.lex_state = 239},
  [5952] = {.lex_state = 238},
  [5953] = {.lex_state = 238},
  [5954] = {.lex_state = 238},
  [5955] = {.lex_state = 238},
  [5956] = {.lex_state = 197},
  [5957] = {.lex_state = 193},
  [5958] = {.lex_state = 239},
  [5959] = {.lex_state = 239},
  [5960] = {.lex_state = 239},
  [5961] = {.lex_state = 239},
  [5962] = {.lex_state = 197},
  [5963] = {.lex_state = 241},
  [5964] = {.lex_state = 239},
  [5965] = {.lex_state = 239},
  [5966] = {.lex_state = 239},
  [5967] = {.lex_state = 241},
  [5968] = {.lex_state = 197},
  [5969] = {.lex_state = 173},
  [5970] = {.lex_state = 241},
  [5971] = {.lex_state = 173},
  [5972] = {.lex_state = 197},
  [5973] = {.lex_state = 239},
  [5974] = {.lex_state = 241},
  [5975] = {.lex_state = 239},
  [5976] = {.lex_state = 197},
  [5977] = {.lex_state = 239},
  [5978] = {.lex_state = 241},
  [5979] = {.lex_state = 193},
  [5980] = {.lex_state = 239},
  [5981] = {.lex_state = 239},
  [5982] = {.lex_state = 193},
  [5983] = {.lex_state = 239},
  [5984] = {.lex_state = 239},
  [5985] = {.lex_state = 193},
  [5986] = {.lex_state = 239},
  [5987] = {.lex_state = 241},
  [5988] = {.lex_state = 239},
  [5989] = {.lex_state = 197},
  [5990] = {.lex_state = 239},
  [5991] = {.lex_state = 239},
  [5992] = {.lex_state = 239},
  [5993] = {.lex_state = 241},
  [5994] = {.lex_state = 197},
  [5995] = {.lex_state = 239},
  [5996] = {.lex_state = 241},
  [5997] = {.lex_state = 239},
  [5998] = {.lex_state = 239},
  [5999] = {.lex_state = 239},
  [6000] = {.lex_state = 241},
  [6001] = {.lex_state = 197},
  [6002] = {.lex_state = 197},
  [6003] = {.lex_state = 197},
  [6004] = {.lex_state = 239},
  [6005] = {.lex_state = 239},
  [6006] = {.lex_state = 241},
  [6007] = {.lex_state = 241},
  [6008] = {.lex_state = 197},
  [6009] = {.lex_state = 193},
  [6010] = {.lex_state = 239},
  [6011] = {.lex_state = 241},
  [6012] = {.lex_state = 241},
  [6013] = {.lex_state = 239},
  [6014] = {.lex_state = 193},
  [6015] = {.lex_state = 239},
  [6016] = {.lex_state = 239},
  [6017] = {.lex_state = 239},
  [6018] = {.lex_state = 239},
  [6019] = {.lex_state = 193},
  [6020] = {.lex_state = 193},
  [6021] = {.lex_state = 241},
  [6022] = {.lex_state = 239},
  [6023] = {.lex_state = 239},
  [6024] = {.lex_state = 239},
  [6025] = {.lex_state = 241},
  [6026] = {.lex_state = 241},
  [6027] = {.lex_state = 239},
  [6028] = {.lex_state = 241},
  [6029] = {.lex_state = 241},
  [6030] = {.lex_state = 239},
  [6031] = {.lex_state = 241},
  [6032] = {.lex_state = 241},
  [6033] = {.lex_state = 239},
  [6034] = {.lex_state = 239},
  [6035] = {.lex_state = 239},
  [6036] = {.lex_state = 239},
  [6037] = {.lex_state = 235},
  [6038] = {.lex_state = 194},
  [6039] = {.lex_state = 178},
  [6040] = {.lex_state = 194},
  [6041] = {.lex_state = 239},
  [6042] = {.lex_state = 213},
  [6043] = {.lex_state = 194},
  [6044] = {.lex_state = 194},
  [6045] = {.lex_state = 185},
  [6046] = {.lex_state = 173},
  [6047] = {.lex_state = 173},
  [6048] = {.lex_state = 185},
  [6049] = {.lex_state = 194},
  [6050] = {.lex_state = 185},
  [6051] = {.lex_state = 213},
  [6052] = {.lex_state = 238},
  [6053] = {.lex_state = 194},
  [6054] = {.lex_state = 194},
  [6055] = {.lex_state = 239},
  [6056] = {.lex_state = 185},
  [6057] = {.lex_state = 235},
  [6058] = {.lex_state = 173},
  [6059] = {.lex_state = 235},
  [6060] = {.lex_state = 239},
  [6061] = {.lex_state = 235},
  [6062] = {.lex_state = 194},
  [6063] = {.lex_state = 185},
  [6064] = {.lex_state = 194},
  [6065] = {.lex_state = 194},
  [6066] = {.lex_state = 194},
  [6067] = {.lex_state = 194},
  [6068] = {.lex_state = 213},
  [6069] = {.lex_state = 173},
  [6070] = {.lex_state = 238},
  [6071] = {.lex_state = 185},
  [6072] = {.lex_state = 185},
  [6073] = {.lex_state = 239},
  [6074] = {.lex_state = 185},
  [6075] = {.lex_state = 173},
  [6076] = {.lex_state = 185},
  [6077] = {.lex_state = 173},
  [6078] = {.lex_state = 185},
  [6079] = {.lex_state = 173},
  [6080] = {.lex_state = 173},
  [6081] = {.lex_state = 193},
  [6082] = {.lex_state = 185},
  [6083] = {.lex_state = 239},
  [6084] = {.lex_state = 185},
  [6085] = {.lex_state = 185},
  [6086] = {.lex_state = 194},
  [6087] = {.lex_state = 213},
  [6088] = {.lex_state = 239},
  [6089] = {.lex_state = 213},
  [6090] = {.lex_state = 194},
  [6091] = {.lex_state = 185},
  [6092] = {.lex_state = 213},
  [6093] = {.lex_state = 213},
  [6094] = {.lex_state = 194},
  [6095] = {.lex_state = 193},
  [6096] = {.lex_state = 239},
  [6097] = {.lex_state = 239},
  [6098] = {.lex_state = 193},
  [6099] = {.lex_state = 238},
  [6100] = {.lex_state = 193},
  [6101] = {.lex_state = 213},
  [6102] = {.lex_state = 173},
  [6103] = {.lex_state = 238},
  [6104] = {.lex_state = 239},
  [6105] = {.lex_state = 185},
  [6106] = {.lex_state = 185},
  [6107] = {.lex_state = 193},
  [6108] = {.lex_state = 235},
  [6109] = {.lex_state = 235},
  [6110] = {.lex_state = 239},
  [6111] = {.lex_state = 194},
  [6112] = {.lex_state = 235},
  [6113] = {.lex_state = 193},
  [6114] = {.lex_state = 193},
  [6115] = {.lex_state = 173},
  [6116] = {.lex_state = 185},
  [6117] = {.lex_state = 185},
  [6118] = {.lex_state = 185},
  [6119] = {.lex_state = 235},
  [6120] = {.lex_state = 238},
  [6121] = {.lex_state = 193},
  [6122] = {.lex_state = 185},
  [6123] = {.lex_state = 185},
  [6124] = {.lex_state = 185},
  [6125] = {.lex_state = 239},
  [6126] = {.lex_state = 193},
  [6127] = {.lex_state = 193},
  [6128] = {.lex_state = 193},
  [6129] = {.lex_state = 193},
  [6130] = {.lex_state = 193},
  [6131] = {.lex_state = 193},
  [6132] = {.lex_state = 193},
  [6133] = {.lex_state = 193},
  [6134] = {.lex_state = 239},
  [6135] = {.lex_state = 202},
  [6136] = {.lex_state = 239},
  [6137] = {.lex_state = 193},
  [6138] = {.lex_state = 193},
  [6139] = {.lex_state = 193},
  [6140] = {.lex_state = 193},
  [6141] = {.lex_state = 239},
  [6142] = {.lex_state = 193},
  [6143] = {.lex_state = 239},
  [6144] = {.lex_state = 193},
  [6145] = {.lex_state = 193},
  [6146] = {.lex_state = 239},
  [6147] = {.lex_state = 213},
  [6148] = {.lex_state = 213},
  [6149] = {.lex_state = 213},
  [6150] = {.lex_state = 213},
  [6151] = {.lex_state = 213},
  [6152] = {.lex_state = 213},
  [6153] = {.lex_state = 213},
  [6154] = {.lex_state = 213},
  [6155] = {.lex_state = 213},
  [6156] = {.lex_state = 213},
  [6157] = {.lex_state = 213},
  [6158] = {.lex_state = 213},
  [6159] = {.lex_state = 213},
  [6160] = {.lex_state = 213},
  [6161] = {.lex_state = 238},
  [6162] = {.lex_state = 213},
  [6163] = {.lex_state = 213},
  [6164] = {.lex_state = 213},
  [6165] = {.lex_state = 213},
  [6166] = {.lex_state = 238},
  [6167] = {.lex_state = 238},
  [6168] = {.lex_state = 238},
  [6169] = {.lex_state = 238},
  [6170] = {.lex_state = 239},
  [6171] = {.lex_state = 238},
  [6172] = {.lex_state = 238},
  [6173] = {.lex_state = 238},
  [6174] = {.lex_state = 193},
  [6175] = {.lex_state = 239},
  [6176] = {.lex_state = 193},
  [6177] = {.lex_state = 193},
  [6178] = {.lex_state = 193},
  [6179] = {.lex_state = 213},
  [6180] = {.lex_state = 239},
  [6181] = {.lex_state = 239},
  [6182] = {.lex_state = 239},
  [6183] = {.lex_state = 239},
  [6184] = {.lex_state = 239},
  [6185] = {.lex_state = 239},
  [6186] = {.lex_state = 213},
  [6187] = {.lex_state = 239},
  [6188] = {.lex_state = 193},
  [6189] = {.lex_state = 193},
  [6190] = {.lex_state = 193},
  [6191] = {.lex_state = 238},
  [6192] = {.lex_state = 238},
  [6193] = {.lex_state = 238},
  [6194] = {.lex_state = 238},
  [6195] = {.lex_state = 238},
  [6196] = {.lex_state = 238},
  [6197] = {.lex_state = 238},
  [6198] = {.lex_state = 238},
  [6199] = {.lex_state = 193},
  [6200] = {.lex_state = 193},
  [6201] = {.lex_state = 193},
  [6202] = {.lex_state = 193},
  [6203] = {.lex_state = 193},
  [6204] = {.lex_state = 193},
  [6205] = {.lex_state = 193},
  [6206] = {.lex_state = 239},
  [6207] = {.lex_state = 193},
  [6208] = {.lex_state = 193},
  [6209] = {.lex_state = 239},
  [6210] = {.lex_state = 238},
  [6211] = {.lex_state = 193},
  [6212] = {.lex_state = 193},
  [6213] = {.lex_state = 193},
  [6214] = {.lex_state = 231},
  [6215] = {.lex_state = 239},
  [6216] = {.lex_state = 231},
  [6217] = {.lex_state = 193},
  [6218] = {.lex_state = 193},
  [6219] = {.lex_state = 239},
  [6220] = {.lex_state = 193},
  [6221] = {.lex_state = 193},
  [6222] = {.lex_state = 193},
  [6223] = {.lex_state = 231},
  [6224] = {.lex_state = 238},
  [6225] = {.lex_state = 231},
  [6226] = {.lex_state = 193},
  [6227] = {.lex_state = 193},
  [6228] = {.lex_state = 239},
  [6229] = {.lex_state = 193},
  [6230] = {.lex_state = 191},
  [6231] = {.lex_state = 191},
  [6232] = {.lex_state = 193},
  [6233] = {.lex_state = 191},
  [6234] = {.lex_state = 239},
  [6235] = {.lex_state = 239},
  [6236] = {.lex_state = 235},
  [6237] = {.lex_state = 235},
  [6238] = {.lex_state = 235},
  [6239] = {.lex_state = 235},
  [6240] = {.lex_state = 191},
  [6241] = {.lex_state = 235},
  [6242] = {.lex_state = 235},
  [6243] = {.lex_state = 235},
  [6244] = {.lex_state = 235},
  [6245] = {.lex_state = 239},
  [6246] = {.lex_state = 239},
  [6247] = {.lex_state = 191},
  [6248] = {.lex_state = 193},
  [6249] = {.lex_state = 191},
  [6250] = {.lex_state = 173},
  [6251] = {.lex_state = 239},
  [6252] = {.lex_state = 195},
  [6253] = {.lex_state = 195},
  [6254] = {.lex_state = 195},
  [6255] = {.lex_state = 195},
  [6256] = {.lex_state = 193},
  [6257] = {.lex_state = 173},
  [6258] = {.lex_state = 195},
  [6259] = {.lex_state = 195},
  [6260] = {.lex_state = 195},
  [6261] = {.lex_state = 195},
  [6262] = {.lex_state = 239},
  [6263] = {.lex_state = 239},
  [6264] = {.lex_state = 191},
  [6265] = {.lex_state = 239},
  [6266] = {.lex_state = 239},
  [6267] = {.lex_state = 193},
  [6268] = {.lex_state = 239},
  [6269] = {.lex_state = 239},
  [6270] = {.lex_state = 193},
  [6271] = {.lex_state = 191},
  [6272] = {.lex_state = 239},
  [6273] = {.lex_state = 191},
  [6274] = {.lex_state = 191},
  [6275] = {.lex_state = 238},
  [6276] = {.lex_state = 238},
  [6277] = {.lex_state = 191},
  [6278] = {.lex_state = 191},
  [6279] = {.lex_state = 239},
  [6280] = {.lex_state = 239},
  [6281] = {.lex_state = 239},
  [6282] = {.lex_state = 191},
  [6283] = {.lex_state = 238},
  [6284] = {.lex_state = 173},
  [6285] = {.lex_state = 191},
  [6286] = {.lex_state = 191},
  [6287] = {.lex_state = 191},
  [6288] = {.lex_state = 193},
  [6289] = {.lex_state = 193},
  [6290] = {.lex_state = 239},
  [6291] = {.lex_state = 193},
  [6292] = {.lex_state = 191},
  [6293] = {.lex_state = 239},
  [6294] = {.lex_state = 238},
  [6295] = {.lex_state = 239},
  [6296] = {.lex_state = 238},
  [6297] = {.lex_state = 239},
  [6298] = {.lex_state = 191},
  [6299] = {.lex_state = 239},
  [6300] = {.lex_state = 191},
  [6301] = {.lex_state = 191},
  [6302] = {.lex_state = 193},
  [6303] = {.lex_state = 193},
  [6304] = {.lex_state = 193},
  [6305] = {.lex_state = 193},
  [6306] = {.lex_state = 193},
  [6307] = {.lex_state = 197},
  [6308] = {.lex_state = 193},
  [6309] = {.lex_state = 193},
  [6310] = {.lex_state = 193},
  [6311] = {.lex_state = 239},
  [6312] = {.lex_state = 239},
  [6313] = {.lex_state = 193},
  [6314] = {.lex_state = 193},
  [6315] = {.lex_state = 193},
  [6316] = {.lex_state = 193},
  [6317] = {.lex_state = 193},
  [6318] = {.lex_state = 239},
  [6319] = {.lex_state = 197},
  [6320] = {.lex_state = 239},
  [6321] = {.lex_state = 193},
  [6322] = {.lex_state = 193},
  [6323] = {.lex_state = 201},
  [6324] = {.lex_state = 193},
  [6325] = {.lex_state = 193},
  [6326] = {.lex_state = 239},
  [6327] = {.lex_state = 239},
  [6328] = {.lex_state = 193},
  [6329] = {.lex_state = 197},
  [6330] = {.lex_state = 239},
  [6331] = {.lex_state = 0},
  [6332] = {.lex_state = 197},
  [6333] = {.lex_state = 197},
  [6334] = {.lex_state = 193},
  [6335] = {.lex_state = 197},
  [6336] = {.lex_state = 193},
  [6337] = {.lex_state = 193},
  [6338] = {.lex_state = 193},
  [6339] = {.lex_state = 239},
  [6340] = {.lex_state = 193},
  [6341] = {.lex_state = 193},
  [6342] = {.lex_state = 193},
  [6343] = {.lex_state = 197},
  [6344] = {.lex_state = 193},
  [6345] = {.lex_state = 197},
  [6346] = {.lex_state = 239},
  [6347] = {.lex_state = 193},
  [6348] = {.lex_state = 239},
  [6349] = {.lex_state = 193},
  [6350] = {.lex_state = 235},
  [6351] = {.lex_state = 194},
  [6352] = {.lex_state = 193},
  [6353] = {.lex_state = 193},
  [6354] = {.lex_state = 193},
  [6355] = {.lex_state = 193},
  [6356] = {.lex_state = 235},
  [6357] = {.lex_state = 193},
  [6358] = {.lex_state = 194},
  [6359] = {.lex_state = 235},
  [6360] = {.lex_state = 194},
  [6361] = {.lex_state = 193},
  [6362] = {.lex_state = 193},
  [6363] = {.lex_state = 191},
  [6364] = {.lex_state = 193},
  [6365] = {.lex_state = 193},
  [6366] = {.lex_state = 195},
  [6367] = {.lex_state = 193},
  [6368] = {.lex_state = 193},
  [6369] = {.lex_state = 193},
  [6370] = {.lex_state = 193},
  [6371] = {.lex_state = 194},
  [6372] = {.lex_state = 193},
  [6373] = {.lex_state = 193},
  [6374] = {.lex_state = 213},
  [6375] = {.lex_state = 194},
  [6376] = {.lex_state = 193},
  [6377] = {.lex_state = 213},
  [6378] = {.lex_state = 235},
  [6379] = {.lex_state = 193},
  [6380] = {.lex_state = 193},
  [6381] = {.lex_state = 193},
  [6382] = {.lex_state = 194},
  [6383] = {.lex_state = 193},
  [6384] = {.lex_state = 193},
  [6385] = {.lex_state = 193},
  [6386] = {.lex_state = 194},
  [6387] = {.lex_state = 195},
  [6388] = {.lex_state = 193},
  [6389] = {.lex_state = 195},
  [6390] = {.lex_state = 193},
  [6391] = {.lex_state = 195},
  [6392] = {.lex_state = 193},
  [6393] = {.lex_state = 213},
  [6394] = {.lex_state = 213},
  [6395] = {.lex_state = 193},
  [6396] = {.lex_state = 193},
  [6397] = {.lex_state = 195},
  [6398] = {.lex_state = 213},
  [6399] = {.lex_state = 213},
  [6400] = {.lex_state = 195},
  [6401] = {.lex_state = 193},
  [6402] = {.lex_state = 195},
  [6403] = {.lex_state = 193},
  [6404] = {.lex_state = 195},
  [6405] = {.lex_state = 195},
  [6406] = {.lex_state = 195},
  [6407] = {.lex_state = 193},
  [6408] = {.lex_state = 195},
  [6409] = {.lex_state = 193},
  [6410] = {.lex_state = 194},
  [6411] = {.lex_state = 193},
  [6412] = {.lex_state = 193},
  [6413] = {.lex_state = 193},
  [6414] = {.lex_state = 193},
  [6415] = {.lex_state = 193},
  [6416] = {.lex_state = 193},
  [6417] = {.lex_state = 193},
  [6418] = {.lex_state = 193},
  [6419] = {.lex_state = 194},
  [6420] = {.lex_state = 194},
  [6421] = {.lex_state = 194},
  [6422] = {.lex_state = 195},
  [6423] = {.lex_state = 194},
  [6424] = {.lex_state = 193},
  [6425] = {.lex_state = 193},
  [6426] = {.lex_state = 193},
  [6427] = {.lex_state = 235},
  [6428] = {.lex_state = 193},
  [6429] = {.lex_state = 235},
  [6430] = {.lex_state = 239},
  [6431] = {.lex_state = 193},
  [6432] = {.lex_state = 193},
  [6433] = {.lex_state = 194},
  [6434] = {.lex_state = 193},
  [6435] = {.lex_state = 194},
  [6436] = {.lex_state = 194},
  [6437] = {.lex_state = 194},
  [6438] = {.lex_state = 239},
  [6439] = {.lex_state = 239},
  [6440] = {.lex_state = 239},
  [6441] = {.lex_state = 239},
  [6442] = {.lex_state = 239},
  [6443] = {.lex_state = 239},
  [6444] = {.lex_state = 193},
  [6445] = {.lex_state = 193},
  [6446] = {.lex_state = 193},
  [6447] = {.lex_state = 226},
  [6448] = {.lex_state = 226},
  [6449] = {.lex_state = 193},
  [6450] = {.lex_state = 235},
  [6451] = {.lex_state = 193},
  [6452] = {.lex_state = 193},
  [6453] = {.lex_state = 213},
  [6454] = {.lex_state = 193},
  [6455] = {.lex_state = 235},
  [6456] = {.lex_state = 213},
  [6457] = {.lex_state = 213},
  [6458] = {.lex_state = 213},
  [6459] = {.lex_state = 238},
  [6460] = {.lex_state = 213},
  [6461] = {.lex_state = 213},
  [6462] = {.lex_state = 213},
  [6463] = {.lex_state = 235},
  [6464] = {.lex_state = 193},
  [6465] = {.lex_state = 235},
  [6466] = {.lex_state = 235},
  [6467] = {.lex_state = 238},
  [6468] = {.lex_state = 178},
  [6469] = {.lex_state = 238},
  [6470] = {.lex_state = 238},
  [6471] = {.lex_state = 238},
  [6472] = {.lex_state = 222},
  [6473] = {.lex_state = 213},
  [6474] = {.lex_state = 213},
  [6475] = {.lex_state = 222},
  [6476] = {.lex_state = 193},
  [6477] = {.lex_state = 222},
  [6478] = {.lex_state = 193},
  [6479] = {.lex_state = 213},
  [6480] = {.lex_state = 235},
  [6481] = {.lex_state = 178},
  [6482] = {.lex_state = 222},
  [6483] = {.lex_state = 222},
  [6484] = {.lex_state = 336},
  [6485] = {.lex_state = 222},
  [6486] = {.lex_state = 222},
  [6487] = {.lex_state = 222},
  [6488] = {.lex_state = 222},
  [6489] = {.lex_state = 193},
  [6490] = {.lex_state = 238},
  [6491] = {.lex_state = 238},
  [6492] = {.lex_state = 222},
  [6493] = {.lex_state = 222},
  [6494] = {.lex_state = 222},
  [6495] = {.lex_state = 238},
  [6496] = {.lex_state = 194},
  [6497] = {.lex_state = 193},
  [6498] = {.lex_state = 213},
  [6499] = {.lex_state = 222},
  [6500] = {.lex_state = 193},
  [6501] = {.lex_state = 193},
  [6502] = {.lex_state = 232},
  [6503] = {.lex_state = 193},
  [6504] = {.lex_state = 193},
  [6505] = {.lex_state = 195},
  [6506] = {.lex_state = 193},
  [6507] = {.lex_state = 193},
  [6508] = {.lex_state = 193},
  [6509] = {.lex_state = 193},
  [6510] = {.lex_state = 193},
  [6511] = {.lex_state = 336},
  [6512] = {.lex_state = 201},
  [6513] = {.lex_state = 193},
  [6514] = {.lex_state = 195},
  [6515] = {.lex_state = 193},
  [6516] = {.lex_state = 232},
  [6517] = {.lex_state = 193},
  [6518] = {.lex_state = 193},
  [6519] = {.lex_state = 193},
  [6520] = {.lex_state = 193},
  [6521] = {.lex_state = 193},
  [6522] = {.lex_state = 201},
  [6523] = {.lex_state = 193},
  [6524] = {.lex_state = 195},
  [6525] = {.lex_state = 193},
  [6526] = {.lex_state = 193},
  [6527] = {.lex_state = 193},
  [6528] = {.lex_state = 232},
  [6529] = {.lex_state = 193},
  [6530] = {.lex_state = 193},
  [6531] = {.lex_state = 193},
  [6532] = {.lex_state = 193},
  [6533] = {.lex_state = 232},
  [6534] = {.lex_state = 193},
  [6535] = {.lex_state = 193},
  [6536] = {.lex_state = 195},
  [6537] = {.lex_state = 195},
  [6538] = {.lex_state = 336},
  [6539] = {.lex_state = 336},
  [6540] = {.lex_state = 193},
  [6541] = {.lex_state = 193},
  [6542] = {.lex_state = 336},
  [6543] = {.lex_state = 193},
  [6544] = {.lex_state = 336},
  [6545] = {.lex_state = 193},
  [6546] = {.lex_state = 336},
  [6547] = {.lex_state = 193},
  [6548] = {.lex_state = 193},
  [6549] = {.lex_state = 193},
  [6550] = {.lex_state = 193},
  [6551] = {.lex_state = 195},
  [6552] = {.lex_state = 336},
  [6553] = {.lex_state = 193},
  [6554] = {.lex_state = 195},
  [6555] = {.lex_state = 193},
  [6556] = {.lex_state = 195},
  [6557] = {.lex_state = 193},
  [6558] = {.lex_state = 336},
  [6559] = {.lex_state = 336},
  [6560] = {.lex_state = 235},
  [6561] = {.lex_state = 195},
  [6562] = {.lex_state = 235},
  [6563] = {.lex_state = 240},
  [6564] = {.lex_state = 222},
  [6565] = {.lex_state = 336},
  [6566] = {.lex_state = 336},
  [6567] = {.lex_state = 222},
  [6568] = {.lex_state = 336},
  [6569] = {.lex_state = 336},
  [6570] = {.lex_state = 336},
  [6571] = {.lex_state = 213},
  [6572] = {.lex_state = 195},
  [6573] = {.lex_state = 336},
  [6574] = {.lex_state = 197},
  [6575] = {.lex_state = 336},
  [6576] = {.lex_state = 197},
  [6577] = {.lex_state = 336},
  [6578] = {.lex_state = 197},
  [6579] = {.lex_state = 213},
  [6580] = {.lex_state = 197},
  [6581] = {.lex_state = 173},
  [6582] = {.lex_state = 336},
  [6583] = {.lex_state = 336},
  [6584] = {.lex_state = 336},
  [6585] = {.lex_state = 336},
  [6586] = {.lex_state = 336},
  [6587] = {.lex_state = 336},
  [6588] = {.lex_state = 213},
  [6589] = {.lex_state = 238},
  [6590] = {.lex_state = 336},
  [6591] = {.lex_state = 195},
  [6592] = {.lex_state = 193},
  [6593] = {.lex_state = 235},
  [6594] = {.lex_state = 235},
  [6595] = {.lex_state = 336},
  [6596] = {.lex_state = 336},
  [6597] = {.lex_state = 235},
  [6598] = {.lex_state = 194},
  [6599] = {.lex_state = 194},
  [6600] = {.lex_state = 213},
  [6601] = {.lex_state = 238},
  [6602] = {.lex_state = 193},
  [6603] = {.lex_state = 194},
  [6604] = {.lex_state = 194},
  [6605] = {.lex_state = 173},
  [6606] = {.lex_state = 235},
  [6607] = {.lex_state = 336},
  [6608] = {.lex_state = 336},
  [6609] = {.lex_state = 195},
  [6610] = {.lex_state = 336},
  [6611] = {.lex_state = 195},
  [6612] = {.lex_state = 336},
  [6613] = {.lex_state = 336},
  [6614] = {.lex_state = 195},
  [6615] = {.lex_state = 197},
  [6616] = {.lex_state = 197},
  [6617] = {.lex_state = 197},
  [6618] = {.lex_state = 197},
  [6619] = {.lex_state = 336},
  [6620] = {.lex_state = 201},
  [6621] = {.lex_state = 336},
  [6622] = {.lex_state = 173},
  [6623] = {.lex_state = 173},
  [6624] = {.lex_state = 238},
  [6625] = {.lex_state = 173},
  [6626] = {.lex_state = 173},
  [6627] = {.lex_state = 336},
  [6628] = {.lex_state = 213},
  [6629] = {.lex_state = 336},
  [6630] = {.lex_state = 193},
  [6631] = {.lex_state = 195},
  [6632] = {.lex_state = 193},
  [6633] = {.lex_state = 336},
  [6634] = {.lex_state = 173},
  [6635] = {.lex_state = 336},
  [6636] = {.lex_state = 173},
  [6637] = {.lex_state = 193},
  [6638] = {.lex_state = 193},
  [6639] = {.lex_state = 195},
  [6640] = {.lex_state = 193},
  [6641] = {.lex_state = 193},
  [6642] = {.lex_state = 173},
  [6643] = {.lex_state = 336},
  [6644] = {.lex_state = 173},
  [6645] = {.lex_state = 173},
  [6646] = {.lex_state = 173},
  [6647] = {.lex_state = 173},
  [6648] = {.lex_state = 336},
  [6649] = {.lex_state = 193},
  [6650] = {.lex_state = 193},
  [6651] = {.lex_state = 336},
  [6652] = {.lex_state = 193},
  [6653] = {.lex_state = 213},
  [6654] = {.lex_state = 193},
  [6655] = {.lex_state = 195},
  [6656] = {.lex_state = 193},
  [6657] = {.lex_state = 193},
  [6658] = {.lex_state = 173},
  [6659] = {.lex_state = 193},
  [6660] = {.lex_state = 173},
  [6661] = {.lex_state = 193},
  [6662] = {.lex_state = 193},
  [6663] = {.lex_state = 235},
  [6664] = {.lex_state = 193},
  [6665] = {.lex_state = 193},
  [6666] = {.lex_state = 193},
  [6667] = {.lex_state = 193},
  [6668] = {.lex_state = 173},
  [6669] = {.lex_state = 336},
  [6670] = {.lex_state = 336},
  [6671] = {.lex_state = 213},
  [6672] = {.lex_state = 173},
  [6673] = {.lex_state = 173},
  [6674] = {.lex_state = 173},
  [6675] = {.lex_state = 193},
  [6676] = {.lex_state = 336},
  [6677] = {.lex_state = 201},
  [6678] = {.lex_state = 195},
  [6679] = {.lex_state = 195},
  [6680] = {.lex_state = 173},
  [6681] = {.lex_state = 173},
  [6682] = {.lex_state = 193},
  [6683] = {.lex_state = 193},
  [6684] = {.lex_state = 173},
  [6685] = {.lex_state = 193},
  [6686] = {.lex_state = 173},
  [6687] = {.lex_state = 201},
  [6688] = {.lex_state = 336},
  [6689] = {.lex_state = 193},
  [6690] = {.lex_state = 193},
  [6691] = {.lex_state = 235},
  [6692] = {.lex_state = 193},
  [6693] = {.lex_state = 173},
  [6694] = {.lex_state = 173},
  [6695] = {.lex_state = 193},
  [6696] = {.lex_state = 195},
  [6697] = {.lex_state = 191},
  [6698] = {.lex_state = 235},
  [6699] = {.lex_state = 193},
  [6700] = {.lex_state = 193},
  [6701] = {.lex_state = 336},
  [6702] = {.lex_state = 191},
  [6703] = {.lex_state = 336},
  [6704] = {.lex_state = 336},
  [6705] = {.lex_state = 193},
  [6706] = {.lex_state = 193},
  [6707] = {.lex_state = 235},
  [6708] = {.lex_state = 191},
  [6709] = {.lex_state = 193},
  [6710] = {.lex_state = 235},
  [6711] = {.lex_state = 193},
  [6712] = {.lex_state = 193},
  [6713] = {.lex_state = 193},
  [6714] = {.lex_state = 191},
  [6715] = {.lex_state = 193},
  [6716] = {.lex_state = 193},
  [6717] = {.lex_state = 193},
  [6718] = {.lex_state = 193},
  [6719] = {.lex_state = 191},
  [6720] = {.lex_state = 193},
  [6721] = {.lex_state = 193},
  [6722] = {.lex_state = 235},
  [6723] = {.lex_state = 235},
  [6724] = {.lex_state = 193},
  [6725] = {.lex_state = 235},
  [6726] = {.lex_state = 235},
  [6727] = {.lex_state = 193},
  [6728] = {.lex_state = 193},
  [6729] = {.lex_state = 193},
  [6730] = {.lex_state = 336},
  [6731] = {.lex_state = 191},
  [6732] = {.lex_state = 193},
  [6733] = {.lex_state = 193},
  [6734] = {.lex_state = 235},
  [6735] = {.lex_state = 191},
  [6736] = {.lex_state = 193},
  [6737] = {.lex_state = 235},
  [6738] = {.lex_state = 191},
  [6739] = {.lex_state = 193},
  [6740] = {.lex_state = 235},
  [6741] = {.lex_state = 336},
  [6742] = {.lex_state = 191},
  [6743] = {.lex_state = 235},
  [6744] = {.lex_state = 235},
  [6745] = {.lex_state = 193},
  [6746] = {.lex_state = 235},
  [6747] = {.lex_state = 0},
  [6748] = {.lex_state = 191},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 191},
  [6751] = {.lex_state = 235},
  [6752] = {.lex_state = 193},
  [6753] = {.lex_state = 235},
  [6754] = {.lex_state = 193},
  [6755] = {.lex_state = 193},
  [6756] = {.lex_state = 193},
  [6757] = {.lex_state = 193},
  [6758] = {.lex_state = 193},
  [6759] = {.lex_state = 193},
  [6760] = {.lex_state = 196},
  [6761] = {.lex_state = 193},
  [6762] = {.lex_state = 173},
  [6763] = {.lex_state = 196},
  [6764] = {.lex_state = 193},
  [6765] = {.lex_state = 193},
  [6766] = {.lex_state = 193},
  [6767] = {.lex_state = 193},
  [6768] = {.lex_state = 193},
  [6769] = {.lex_state = 193},
  [6770] = {.lex_state = 193},
  [6771] = {.lex_state = 193},
  [6772] = {.lex_state = 193},
  [6773] = {.lex_state = 196},
  [6774] = {.lex_state = 213},
  [6775] = {.lex_state = 193},
  [6776] = {.lex_state = 193},
  [6777] = {.lex_state = 193},
  [6778] = {.lex_state = 193},
  [6779] = {.lex_state = 193},
  [6780] = {.lex_state = 193},
  [6781] = {.lex_state = 173},
  [6782] = {.lex_state = 193},
  [6783] = {.lex_state = 193},
  [6784] = {.lex_state = 193},
  [6785] = {.lex_state = 193},
  [6786] = {.lex_state = 193},
  [6787] = {.lex_state = 193},
  [6788] = {.lex_state = 193},
  [6789] = {.lex_state = 193},
  [6790] = {.lex_state = 193},
  [6791] = {.lex_state = 193},
  [6792] = {.lex_state = 336},
  [6793] = {.lex_state = 213},
  [6794] = {.lex_state = 196},
  [6795] = {.lex_state = 196},
  [6796] = {.lex_state = 193},
  [6797] = {.lex_state = 193},
  [6798] = {.lex_state = 196},
  [6799] = {.lex_state = 336},
  [6800] = {.lex_state = 193},
  [6801] = {.lex_state = 193},
  [6802] = {.lex_state = 193},
  [6803] = {.lex_state = 193},
  [6804] = {.lex_state = 193},
  [6805] = {.lex_state = 193},
  [6806] = {.lex_state = 196},
  [6807] = {.lex_state = 193},
  [6808] = {.lex_state = 193},
  [6809] = {.lex_state = 193},
  [6810] = {.lex_state = 193},
  [6811] = {.lex_state = 193},
  [6812] = {.lex_state = 193},
  [6813] = {.lex_state = 193},
  [6814] = {.lex_state = 173},
  [6815] = {.lex_state = 193},
  [6816] = {.lex_state = 169},
  [6817] = {.lex_state = 336},
  [6818] = {.lex_state = 193},
  [6819] = {.lex_state = 196},
  [6820] = {.lex_state = 336},
  [6821] = {.lex_state = 173},
  [6822] = {.lex_state = 193},
  [6823] = {.lex_state = 193},
  [6824] = {.lex_state = 193},
  [6825] = {.lex_state = 193},
  [6826] = {.lex_state = 193},
  [6827] = {.lex_state = 173},
  [6828] = {.lex_state = 193},
  [6829] = {.lex_state = 196},
  [6830] = {.lex_state = 235},
  [6831] = {.lex_state = 196},
  [6832] = {.lex_state = 196},
  [6833] = {.lex_state = 108},
  [6834] = {.lex_state = 108},
  [6835] = {.lex_state = 169},
  [6836] = {.lex_state = 336},
  [6837] = {.lex_state = 196},
  [6838] = {.lex_state = 173},
  [6839] = {.lex_state = 0},
  [6840] = {.lex_state = 110},
  [6841] = {.lex_state = 108},
  [6842] = {.lex_state = 336},
  [6843] = {.lex_state = 173},
  [6844] = {.lex_state = 196},
  [6845] = {.lex_state = 336},
  [6846] = {.lex_state = 235},
  [6847] = {.lex_state = 336},
  [6848] = {.lex_state = 193},
  [6849] = {.lex_state = 336},
  [6850] = {.lex_state = 108},
  [6851] = {.lex_state = 108},
  [6852] = {.lex_state = 173},
  [6853] = {.lex_state = 110},
  [6854] = {.lex_state = 336},
  [6855] = {.lex_state = 193},
  [6856] = {.lex_state = 110},
  [6857] = {.lex_state = 193},
  [6858] = {.lex_state = 336},
  [6859] = {.lex_state = 108},
  [6860] = {.lex_state = 108},
  [6861] = {.lex_state = 0},
  [6862] = {.lex_state = 196},
  [6863] = {.lex_state = 196},
  [6864] = {.lex_state = 196},
  [6865] = {.lex_state = 336},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 196},
  [6868] = {.lex_state = 108},
  [6869] = {.lex_state = 0},
  [6870] = {.lex_state = 173},
  [6871] = {.lex_state = 196},
  [6872] = {.lex_state = 336},
  [6873] = {.lex_state = 110},
  [6874] = {.lex_state = 108},
  [6875] = {.lex_state = 108},
  [6876] = {.lex_state = 108},
  [6877] = {.lex_state = 173},
  [6878] = {.lex_state = 196},
  [6879] = {.lex_state = 196},
  [6880] = {.lex_state = 173},
  [6881] = {.lex_state = 235},
  [6882] = {.lex_state = 173},
  [6883] = {.lex_state = 336},
  [6884] = {.lex_state = 110},
  [6885] = {.lex_state = 108},
  [6886] = {.lex_state = 196},
  [6887] = {.lex_state = 336},
  [6888] = {.lex_state = 108},
  [6889] = {.lex_state = 108},
  [6890] = {.lex_state = 196},
  [6891] = {.lex_state = 196},
  [6892] = {.lex_state = 336},
  [6893] = {.lex_state = 108},
  [6894] = {.lex_state = 108},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 193},
  [6897] = {.lex_state = 336},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 111},
  [6900] = {.lex_state = 193},
  [6901] = {.lex_state = 173},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 108},
  [6904] = {.lex_state = 193},
  [6905] = {.lex_state = 108},
  [6906] = {.lex_state = 336},
  [6907] = {.lex_state = 235},
  [6908] = {.lex_state = 0},
  [6909] = {.lex_state = 173},
  [6910] = {.lex_state = 173},
  [6911] = {.lex_state = 173},
  [6912] = {.lex_state = 110},
  [6913] = {.lex_state = 108},
  [6914] = {.lex_state = 108},
  [6915] = {.lex_state = 196},
  [6916] = {.lex_state = 336},
  [6917] = {.lex_state = 336},
  [6918] = {.lex_state = 336},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 196},
  [6921] = {.lex_state = 173},
  [6922] = {.lex_state = 336},
  [6923] = {.lex_state = 196},
  [6924] = {.lex_state = 336},
  [6925] = {.lex_state = 235},
  [6926] = {.lex_state = 111},
  [6927] = {.lex_state = 336},
  [6928] = {.lex_state = 336},
  [6929] = {.lex_state = 193},
  [6930] = {.lex_state = 196},
  [6931] = {.lex_state = 108},
  [6932] = {.lex_state = 196},
  [6933] = {.lex_state = 0},
  [6934] = {.lex_state = 0},
  [6935] = {.lex_state = 336},
  [6936] = {.lex_state = 336},
  [6937] = {.lex_state = 336},
  [6938] = {.lex_state = 336},
  [6939] = {.lex_state = 196},
  [6940] = {.lex_state = 0},
  [6941] = {.lex_state = 173},
  [6942] = {.lex_state = 108},
  [6943] = {.lex_state = 193},
  [6944] = {.lex_state = 336},
  [6945] = {.lex_state = 336},
  [6946] = {.lex_state = 336},
  [6947] = {.lex_state = 336},
  [6948] = {.lex_state = 336},
  [6949] = {.lex_state = 196},
  [6950] = {.lex_state = 196},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 196},
  [6953] = {.lex_state = 336},
  [6954] = {.lex_state = 336},
  [6955] = {.lex_state = 196},
  [6956] = {.lex_state = 108},
  [6957] = {.lex_state = 173},
  [6958] = {.lex_state = 336},
  [6959] = {.lex_state = 336},
  [6960] = {.lex_state = 108},
  [6961] = {.lex_state = 336},
  [6962] = {.lex_state = 108},
  [6963] = {.lex_state = 108},
  [6964] = {.lex_state = 193},
  [6965] = {.lex_state = 235},
  [6966] = {.lex_state = 173},
  [6967] = {.lex_state = 196},
  [6968] = {.lex_state = 111},
  [6969] = {.lex_state = 235},
  [6970] = {.lex_state = 173},
  [6971] = {.lex_state = 336},
  [6972] = {.lex_state = 173},
  [6973] = {.lex_state = 336},
  [6974] = {.lex_state = 196},
  [6975] = {.lex_state = 108},
  [6976] = {.lex_state = 193},
  [6977] = {.lex_state = 110},
  [6978] = {.lex_state = 0},
  [6979] = {.lex_state = 235},
  [6980] = {.lex_state = 111},
  [6981] = {.lex_state = 108},
  [6982] = {.lex_state = 108},
  [6983] = {.lex_state = 196},
  [6984] = {.lex_state = 0},
  [6985] = {.lex_state = 108},
  [6986] = {.lex_state = 336},
  [6987] = {.lex_state = 235},
  [6988] = {.lex_state = 196},
  [6989] = {.lex_state = 336},
  [6990] = {.lex_state = 196},
  [6991] = {.lex_state = 110},
  [6992] = {.lex_state = 173},
  [6993] = {.lex_state = 196},
  [6994] = {.lex_state = 0},
  [6995] = {.lex_state = 110},
  [6996] = {.lex_state = 108},
  [6997] = {.lex_state = 196},
  [6998] = {.lex_state = 336},
  [6999] = {.lex_state = 110},
  [7000] = {.lex_state = 173},
  [7001] = {.lex_state = 173},
  [7002] = {.lex_state = 173},
  [7003] = {.lex_state = 111},
  [7004] = {.lex_state = 196},
  [7005] = {.lex_state = 173},
  [7006] = {.lex_state = 108},
  [7007] = {.lex_state = 108},
  [7008] = {.lex_state = 108},
  [7009] = {.lex_state = 336},
  [7010] = {.lex_state = 193},
  [7011] = {.lex_state = 108},
  [7012] = {.lex_state = 173},
  [7013] = {.lex_state = 173},
  [7014] = {.lex_state = 173},
  [7015] = {.lex_state = 336},
  [7016] = {.lex_state = 196},
  [7017] = {.lex_state = 108},
  [7018] = {.lex_state = 213},
  [7019] = {.lex_state = 336},
  [7020] = {.lex_state = 196},
  [7021] = {.lex_state = 196},
  [7022] = {.lex_state = 108},
  [7023] = {.lex_state = 336},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 196},
  [7026] = {.lex_state = 0},
  [7027] = {.lex_state = 111},
  [7028] = {.lex_state = 193},
  [7029] = {.lex_state = 173},
  [7030] = {.lex_state = 173},
  [7031] = {.lex_state = 235},
  [7032] = {.lex_state = 173},
  [7033] = {.lex_state = 0},
  [7034] = {.lex_state = 173},
  [7035] = {.lex_state = 193},
  [7036] = {.lex_state = 336},
  [7037] = {.lex_state = 173},
  [7038] = {.lex_state = 196},
  [7039] = {.lex_state = 108},
  [7040] = {.lex_state = 110},
  [7041] = {.lex_state = 108},
  [7042] = {.lex_state = 336},
  [7043] = {.lex_state = 196},
  [7044] = {.lex_state = 336},
  [7045] = {.lex_state = 0},
  [7046] = {.lex_state = 196},
  [7047] = {.lex_state = 110},
  [7048] = {.lex_state = 110},
  [7049] = {.lex_state = 111},
  [7050] = {.lex_state = 0},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 0},
  [7053] = {.lex_state = 193},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 196},
  [7056] = {.lex_state = 0},
  [7057] = {.lex_state = 0},
  [7058] = {.lex_state = 193},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 193},
  [7061] = {.lex_state = 196},
  [7062] = {.lex_state = 196},
  [7063] = {.lex_state = 193},
  [7064] = {.lex_state = 0},
  [7065] = {.lex_state = 193},
  [7066] = {.lex_state = 0},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 196},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 196},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 169},
  [7075] = {.lex_state = 336},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 193},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 196},
  [7083] = {.lex_state = 0},
  [7084] = {.lex_state = 113},
  [7085] = {.lex_state = 0},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 0},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 0},
  [7090] = {.lex_state = 0},
  [7091] = {.lex_state = 0},
  [7092] = {.lex_state = 0},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 0},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 193},
  [7097] = {.lex_state = 162},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 0},
  [7100] = {.lex_state = 0},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 193},
  [7103] = {.lex_state = 193},
  [7104] = {.lex_state = 0},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 0},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 0},
  [7110] = {.lex_state = 336},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 193},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 193},
  [7115] = {.lex_state = 0},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 0},
  [7122] = {.lex_state = 193},
  [7123] = {.lex_state = 193},
  [7124] = {.lex_state = 193},
  [7125] = {.lex_state = 0},
  [7126] = {.lex_state = 0},
  [7127] = {.lex_state = 0},
  [7128] = {.lex_state = 0},
  [7129] = {.lex_state = 196},
  [7130] = {.lex_state = 193},
  [7131] = {.lex_state = 169},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 196},
  [7134] = {.lex_state = 196},
  [7135] = {.lex_state = 0},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 193},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 0},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 0},
  [7143] = {.lex_state = 193},
  [7144] = {.lex_state = 0},
  [7145] = {.lex_state = 193},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 0},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 193},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 193},
  [7154] = {.lex_state = 0},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 0},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 193},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 193},
  [7161] = {.lex_state = 193},
  [7162] = {.lex_state = 193},
  [7163] = {.lex_state = 193},
  [7164] = {.lex_state = 193},
  [7165] = {.lex_state = 196},
  [7166] = {.lex_state = 196},
  [7167] = {.lex_state = 193},
  [7168] = {.lex_state = 110},
  [7169] = {.lex_state = 196},
  [7170] = {.lex_state = 196},
  [7171] = {.lex_state = 196},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 193},
  [7174] = {.lex_state = 193},
  [7175] = {.lex_state = 0},
  [7176] = {.lex_state = 193},
  [7177] = {.lex_state = 193},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 193},
  [7180] = {.lex_state = 193},
  [7181] = {.lex_state = 336},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 0},
  [7186] = {.lex_state = 0},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 113},
  [7192] = {.lex_state = 193},
  [7193] = {.lex_state = 196},
  [7194] = {.lex_state = 110},
  [7195] = {.lex_state = 196},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 169},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 193},
  [7202] = {.lex_state = 169},
  [7203] = {.lex_state = 113},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 193},
  [7210] = {.lex_state = 196},
  [7211] = {.lex_state = 196},
  [7212] = {.lex_state = 169},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 196},
  [7216] = {.lex_state = 169},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 0},
  [7219] = {.lex_state = 196},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 169},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 193},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 196},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 196},
  [7235] = {.lex_state = 196},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 193},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 193},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 196},
  [7250] = {.lex_state = 196},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 196},
  [7253] = {.lex_state = 196},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 196},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 193},
  [7260] = {.lex_state = 110},
  [7261] = {.lex_state = 173},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 196},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 196},
  [7266] = {.lex_state = 193},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 196},
  [7270] = {.lex_state = 196},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 169},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 196},
  [7275] = {.lex_state = 193},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 193},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 193},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 193},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 193},
  [7287] = {.lex_state = 110},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 193},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 193},
  [7293] = {.lex_state = 169},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 196},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 196},
  [7300] = {.lex_state = 196},
  [7301] = {.lex_state = 196},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 169},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 110},
  [7311] = {.lex_state = 193},
  [7312] = {.lex_state = 193},
  [7313] = {.lex_state = 169},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 110},
  [7318] = {.lex_state = 196},
  [7319] = {.lex_state = 196},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 196},
  [7324] = {.lex_state = 193},
  [7325] = {.lex_state = 196},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 193},
  [7328] = {.lex_state = 173},
  [7329] = {.lex_state = 193},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 196},
  [7332] = {.lex_state = 196},
  [7333] = {.lex_state = 110},
  [7334] = {.lex_state = 196},
  [7335] = {.lex_state = 196},
  [7336] = {.lex_state = 196},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 193},
  [7339] = {.lex_state = 196},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 110},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 110},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 110},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 110},
  [7356] = {.lex_state = 110},
  [7357] = {.lex_state = 196},
  [7358] = {.lex_state = 196},
  [7359] = {.lex_state = 0},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 169},
  [7362] = {.lex_state = 0},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 193},
  [7366] = {.lex_state = 193},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 193},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 196},
  [7373] = {.lex_state = 193},
  [7374] = {.lex_state = 196},
  [7375] = {.lex_state = 169},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 193},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 196},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 193},
  [7390] = {.lex_state = 193},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 173},
  [7395] = {.lex_state = 196},
  [7396] = {.lex_state = 196},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 193},
  [7402] = {.lex_state = 196},
  [7403] = {.lex_state = 196},
  [7404] = {.lex_state = 196},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 196},
  [7407] = {.lex_state = 169},
  [7408] = {.lex_state = 196},
  [7409] = {.lex_state = 196},
  [7410] = {.lex_state = 196},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 193},
  [7414] = {.lex_state = 0},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 113},
  [7417] = {.lex_state = 193},
  [7418] = {.lex_state = 169},
  [7419] = {.lex_state = 0},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 193},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 193},
  [7425] = {.lex_state = 169},
  [7426] = {.lex_state = 196},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 169},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 196},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 193},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 196},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 213},
  [7445] = {.lex_state = 0},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 193},
  [7449] = {.lex_state = 193},
  [7450] = {.lex_state = 193},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 193},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 336},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 336},
  [7461] = {.lex_state = 112},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 112},
  [7464] = {.lex_state = 336},
  [7465] = {.lex_state = 193},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 336},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 336},
  [7470] = {.lex_state = 112},
  [7471] = {.lex_state = 336},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 193},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 336},
  [7478] = {.lex_state = 112},
  [7479] = {.lex_state = 336},
  [7480] = {.lex_state = 336},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 193},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 336},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 336},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 112},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 336},
  [7498] = {.lex_state = 0},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 336},
  [7501] = {.lex_state = 193},
  [7502] = {.lex_state = 193},
  [7503] = {.lex_state = 336},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 336},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 112},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 336},
  [7513] = {.lex_state = 336},
  [7514] = {.lex_state = 336},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 336},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 169},
  [7523] = {.lex_state = 193},
  [7524] = {.lex_state = 336},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 336},
  [7527] = {.lex_state = 336},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 0},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 336},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 336},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 336},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 112},
  [7547] = {.lex_state = 193},
  [7548] = {.lex_state = 193},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 336},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 193},
  [7556] = {.lex_state = 193},
  [7557] = {.lex_state = 336},
  [7558] = {.lex_state = 336},
  [7559] = {.lex_state = 336},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 336},
  [7565] = {.lex_state = 193},
  [7566] = {.lex_state = 193},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 336},
  [7571] = {.lex_state = 336},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 336},
  [7575] = {.lex_state = 336},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 336},
  [7579] = {.lex_state = 336},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 112},
  [7582] = {.lex_state = 193},
  [7583] = {.lex_state = 336},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 336},
  [7586] = {.lex_state = 193},
  [7587] = {.lex_state = 336},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 193},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 336},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 336},
  [7601] = {.lex_state = 336},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 112},
  [7606] = {.lex_state = 193},
  [7607] = {.lex_state = 112},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 193},
  [7610] = {.lex_state = 336},
  [7611] = {.lex_state = 336},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 336},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 112},
  [7622] = {.lex_state = 336},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 0},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 336},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 193},
  [7643] = {.lex_state = 112},
  [7644] = {.lex_state = 336},
  [7645] = {.lex_state = 336},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 336},
  [7648] = {.lex_state = 336},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 336, .external_lex_state = 2},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 193},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 112},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 336},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 0},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 336},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 336},
  [7674] = {.lex_state = 169},
  [7675] = {.lex_state = 193},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 112},
  [7681] = {.lex_state = 112},
  [7682] = {.lex_state = 169},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 336},
  [7687] = {.lex_state = 336},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 336},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 193},
  [7692] = {.lex_state = 336},
  [7693] = {.lex_state = 336},
  [7694] = {.lex_state = 336},
  [7695] = {.lex_state = 193},
  [7696] = {.lex_state = 112},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 336},
  [7706] = {.lex_state = 336},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 193},
  [7709] = {.lex_state = 336},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 336, .external_lex_state = 2},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 193},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 112},
  [7725] = {.lex_state = 336},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 193},
  [7729] = {.lex_state = 336},
  [7730] = {.lex_state = 336},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 193},
  [7739] = {.lex_state = 336},
  [7740] = {.lex_state = 336},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 336},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 336, .external_lex_state = 2},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 336},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 336, .external_lex_state = 2},
  [7760] = {.lex_state = 193},
  [7761] = {.lex_state = 193},
  [7762] = {.lex_state = 336, .external_lex_state = 2},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 336, .external_lex_state = 2},
  [7765] = {.lex_state = 336},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 336, .external_lex_state = 2},
  [7768] = {.lex_state = 336, .external_lex_state = 2},
  [7769] = {.lex_state = 336, .external_lex_state = 2},
  [7770] = {.lex_state = 336, .external_lex_state = 2},
  [7771] = {.lex_state = 336, .external_lex_state = 2},
  [7772] = {.lex_state = 336, .external_lex_state = 2},
  [7773] = {.lex_state = 336, .external_lex_state = 2},
  [7774] = {.lex_state = 336, .external_lex_state = 2},
  [7775] = {.lex_state = 336, .external_lex_state = 2},
  [7776] = {.lex_state = 336, .external_lex_state = 2},
  [7777] = {.lex_state = 336, .external_lex_state = 2},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 336},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 193},
  [7787] = {.lex_state = 169},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 113},
  [7790] = {.lex_state = 193},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 193},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 193},
  [7800] = {.lex_state = 193},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 0, .external_lex_state = 2},
  [7803] = {.lex_state = 171},
  [7804] = {.lex_state = 0},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 113},
  [7810] = {.lex_state = 193},
  [7811] = {.lex_state = 193},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 193},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 171},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 171},
  [7822] = {.lex_state = 193},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 193},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 193},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 193},
  [7832] = {.lex_state = 336},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 193},
  [7837] = {.lex_state = 193},
  [7838] = {.lex_state = 196},
  [7839] = {.lex_state = 193},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 171},
  [7842] = {.lex_state = 193},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 193},
  [7847] = {.lex_state = 336},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 336},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 113},
  [7853] = {.lex_state = 336},
  [7854] = {.lex_state = 171},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 193},
  [7858] = {.lex_state = 336},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 113},
  [7861] = {.lex_state = 193},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 336},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 193},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 171},
  [7880] = {.lex_state = 171},
  [7881] = {.lex_state = 113},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 193},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 113},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 113},
  [7892] = {.lex_state = 0},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 193},
  [7896] = {.lex_state = 196},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 193},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 192},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 0, .external_lex_state = 2},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 336},
  [7915] = {.lex_state = 171},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 196},
  [7919] = {.lex_state = 336},
  [7920] = {.lex_state = 193},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 236},
  [7926] = {.lex_state = 113},
  [7927] = {.lex_state = 193},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 193},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 193},
  [7936] = {.lex_state = 113},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 0},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 336},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 193},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 171},
  [7948] = {.lex_state = 196},
  [7949] = {.lex_state = 193},
  [7950] = {.lex_state = 171},
  [7951] = {.lex_state = 171},
  [7952] = {.lex_state = 193},
  [7953] = {.lex_state = 171},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 171},
  [7956] = {.lex_state = 336},
  [7957] = {.lex_state = 171},
  [7958] = {.lex_state = 193},
  [7959] = {.lex_state = 113},
  [7960] = {.lex_state = 171},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 193},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0, .external_lex_state = 2},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 171},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 171},
  [7972] = {.lex_state = 171},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 171},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 171},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 193},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 336},
  [7981] = {.lex_state = 336},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 171},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0, .external_lex_state = 2},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 193},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 171},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 336},
  [7995] = {.lex_state = 336},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 193},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 171},
  [8001] = {.lex_state = 193},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 113},
  [8008] = {.lex_state = 336},
  [8009] = {.lex_state = 113},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 336},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 193},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 171},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 171},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 193},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 336},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 193},
  [8030] = {.lex_state = 193},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0, .external_lex_state = 2},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 193},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 193},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 171},
  [8045] = {.lex_state = 336},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 193},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 0},
  [8058] = {.lex_state = 336},
  [8059] = {.lex_state = 171},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 336},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 113},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 336},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 171},
  [8073] = {.lex_state = 336},
  [8074] = {.lex_state = 196},
  [8075] = {.lex_state = 193},
  [8076] = {.lex_state = 193},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 193},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0, .external_lex_state = 2},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 171},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 336},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 113},
  [8091] = {.lex_state = 171},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 336},
  [8095] = {.lex_state = 0, .external_lex_state = 2},
  [8096] = {.lex_state = 193},
  [8097] = {.lex_state = 193},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 336},
  [8102] = {.lex_state = 0, .external_lex_state = 3},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0, .external_lex_state = 2},
  [8107] = {.lex_state = 171},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 336},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0, .external_lex_state = 2},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 0, .external_lex_state = 2},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0, .external_lex_state = 2},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0, .external_lex_state = 2},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0, .external_lex_state = 2},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 0, .external_lex_state = 2},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0, .external_lex_state = 2},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0, .external_lex_state = 2},
  [8132] = {.lex_state = 196},
  [8133] = {.lex_state = 169},
  [8134] = {.lex_state = 193},
  [8135] = {.lex_state = 336},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 336},
  [8138] = {.lex_state = 336},
  [8139] = {.lex_state = 336},
  [8140] = {.lex_state = 336},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 336},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 336},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 336},
  [8150] = {.lex_state = 196},
  [8151] = {.lex_state = 336},
  [8152] = {.lex_state = 113},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 193},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 113},
  [8159] = {.lex_state = 193},
  [8160] = {.lex_state = 193},
  [8161] = {.lex_state = 336},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 336},
  [8167] = {.lex_state = 0, .external_lex_state = 3},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 336},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 171},
  [8178] = {.lex_state = 171},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 193},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 193},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 336},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 196},
  [8189] = {.lex_state = 193},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 193},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 336},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 171},
  [8198] = {.lex_state = 171},
  [8199] = {.lex_state = 196},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 193},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 196},
  [8206] = {.lex_state = 196},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 113},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 193},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 193},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 196},
  [8222] = {.lex_state = 0},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 196},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 113},
  [8238] = {.lex_state = 196},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 336},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 113},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 171},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 193},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 113},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 193},
  [8259] = {.lex_state = 193},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 196},
  [8262] = {.lex_state = 193},
  [8263] = {.lex_state = 0, .external_lex_state = 3},
  [8264] = {.lex_state = 336},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 113},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 171},
  [8276] = {.lex_state = 113},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 113},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 0},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 171},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 113},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 171},
  [8308] = {.lex_state = 193},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 171},
  [8311] = {.lex_state = 193},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 196},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 336},
  [8318] = {.lex_state = 336},
  [8319] = {.lex_state = 171},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 193},
  [8326] = {.lex_state = 193},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 171},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 171},
  [8332] = {.lex_state = 171},
  [8333] = {.lex_state = 0},
  [8334] = {.lex_state = 336},
  [8335] = {.lex_state = 336},
  [8336] = {.lex_state = 336},
  [8337] = {.lex_state = 336},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 336},
  [8340] = {.lex_state = 172},
  [8341] = {.lex_state = 0},
  [8342] = {.lex_state = 336},
  [8343] = {.lex_state = 171},
  [8344] = {.lex_state = 336},
  [8345] = {.lex_state = 193},
  [8346] = {.lex_state = 193},
  [8347] = {.lex_state = 336},
  [8348] = {.lex_state = 336},
  [8349] = {.lex_state = 169},
  [8350] = {.lex_state = 193},
  [8351] = {.lex_state = 336},
  [8352] = {.lex_state = 0, .external_lex_state = 3},
  [8353] = {.lex_state = 0},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 169},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 196},
  [8359] = {.lex_state = 0},
  [8360] = {.lex_state = 196},
  [8361] = {.lex_state = 193},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 336},
  [8364] = {.lex_state = 336},
  [8365] = {.lex_state = 336},
  [8366] = {.lex_state = 0},
  [8367] = {.lex_state = 336},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 193},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 336},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 336},
  [8376] = {.lex_state = 0, .external_lex_state = 3},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 196},
  [8383] = {.lex_state = 113},
  [8384] = {.lex_state = 336},
  [8385] = {.lex_state = 336},
  [8386] = {.lex_state = 336},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 336},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 193},
  [8392] = {.lex_state = 336},
  [8393] = {.lex_state = 113},
  [8394] = {.lex_state = 336},
  [8395] = {.lex_state = 336},
  [8396] = {.lex_state = 0, .external_lex_state = 3},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 196},
  [8399] = {.lex_state = 113},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 196},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 336},
  [8405] = {.lex_state = 336},
  [8406] = {.lex_state = 336},
  [8407] = {.lex_state = 169},
  [8408] = {.lex_state = 336},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 336},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 0},
  [8414] = {.lex_state = 336},
  [8415] = {.lex_state = 0, .external_lex_state = 3},
  [8416] = {.lex_state = 0},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 0},
  [8420] = {.lex_state = 0},
  [8421] = {.lex_state = 196},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 336},
  [8424] = {.lex_state = 336},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 336},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 0},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 336},
  [8432] = {.lex_state = 0, .external_lex_state = 3},
  [8433] = {.lex_state = 171},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 336},
  [8439] = {.lex_state = 336},
  [8440] = {.lex_state = 336},
  [8441] = {.lex_state = 0},
  [8442] = {.lex_state = 0, .external_lex_state = 3},
  [8443] = {.lex_state = 336},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 336},
  [8448] = {.lex_state = 336},
  [8449] = {.lex_state = 336},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 0, .external_lex_state = 3},
  [8452] = {.lex_state = 193},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 336},
  [8455] = {.lex_state = 336},
  [8456] = {.lex_state = 336},
  [8457] = {.lex_state = 0, .external_lex_state = 3},
  [8458] = {.lex_state = 0},
  [8459] = {.lex_state = 336},
  [8460] = {.lex_state = 0, .external_lex_state = 3},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 336},
  [8463] = {.lex_state = 0, .external_lex_state = 3},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 0, .external_lex_state = 3},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 0, .external_lex_state = 3},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0, .external_lex_state = 3},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 0, .external_lex_state = 3},
  [8472] = {.lex_state = 0},
  [8473] = {.lex_state = 0, .external_lex_state = 3},
  [8474] = {.lex_state = 0},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 336},
  [8478] = {.lex_state = 336},
  [8479] = {.lex_state = 193},
  [8480] = {.lex_state = 193},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 193},
  [8483] = {.lex_state = 0},
  [8484] = {.lex_state = 193},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 0},
  [8488] = {.lex_state = 0, .external_lex_state = 2},
  [8489] = {.lex_state = 0},
  [8490] = {.lex_state = 336},
  [8491] = {.lex_state = 196},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 193},
  [8496] = {.lex_state = 0, .external_lex_state = 3},
  [8497] = {.lex_state = 193},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 113},
  [8501] = {.lex_state = 193},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 196},
  [8506] = {.lex_state = 336},
  [8507] = {.lex_state = 171},
  [8508] = {.lex_state = 113},
  [8509] = {.lex_state = 193},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 196},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 193},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 171},
  [8516] = {.lex_state = 0},
  [8517] = {.lex_state = 336},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 193},
  [8520] = {.lex_state = 113},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 171},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 0},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 196},
  [8529] = {.lex_state = 336},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 171},
  [8535] = {.lex_state = 336},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 171},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 336},
  [8542] = {.lex_state = 336},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 171},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 196},
  [8547] = {.lex_state = 336},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 196},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 336},
  [8555] = {.lex_state = 193},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 196},
  [8559] = {.lex_state = 193},
  [8560] = {.lex_state = 193},
  [8561] = {.lex_state = 336},
  [8562] = {.lex_state = 336},
  [8563] = {.lex_state = 193},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 336},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 193},
  [8569] = {.lex_state = 0, .external_lex_state = 3},
  [8570] = {.lex_state = 193},
  [8571] = {.lex_state = 336},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 193},
  [8574] = {.lex_state = 336},
  [8575] = {.lex_state = 336},
  [8576] = {.lex_state = 193},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 171},
  [8580] = {.lex_state = 0, .external_lex_state = 3},
  [8581] = {.lex_state = 113},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 336},
  [8585] = {.lex_state = 193},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 193},
  [8589] = {.lex_state = 0, .external_lex_state = 3},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 193},
  [8592] = {.lex_state = 336},
  [8593] = {.lex_state = 193},
  [8594] = {.lex_state = 0},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 193},
  [8597] = {.lex_state = 0, .external_lex_state = 3},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 336},
  [8600] = {.lex_state = 193},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 193},
  [8603] = {.lex_state = 0, .external_lex_state = 3},
  [8604] = {.lex_state = 0},
  [8605] = {.lex_state = 193},
  [8606] = {.lex_state = 0, .external_lex_state = 3},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 0, .external_lex_state = 3},
  [8609] = {.lex_state = 193},
  [8610] = {.lex_state = 0, .external_lex_state = 3},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0, .external_lex_state = 3},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0, .external_lex_state = 3},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 0, .external_lex_state = 3},
  [8617] = {.lex_state = 336},
  [8618] = {.lex_state = 0, .external_lex_state = 3},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 0, .external_lex_state = 3},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0, .external_lex_state = 3},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 0, .external_lex_state = 3},
  [8625] = {.lex_state = 336},
  [8626] = {.lex_state = 336},
  [8627] = {.lex_state = 0},
  [8628] = {.lex_state = 336},
  [8629] = {.lex_state = 336},
  [8630] = {.lex_state = 193},
  [8631] = {.lex_state = 336},
  [8632] = {.lex_state = 336},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 336},
  [8635] = {.lex_state = 336},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 336},
  [8638] = {.lex_state = 336},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 336},
  [8641] = {.lex_state = 336},
  [8642] = {.lex_state = 336},
  [8643] = {.lex_state = 336},
  [8644] = {.lex_state = 336},
  [8645] = {.lex_state = 336},
  [8646] = {.lex_state = 336},
  [8647] = {.lex_state = 336},
  [8648] = {.lex_state = 336},
  [8649] = {.lex_state = 336},
  [8650] = {.lex_state = 336},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 0},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 336},
  [8657] = {.lex_state = 336},
  [8658] = {.lex_state = 336},
  [8659] = {.lex_state = 336},
  [8660] = {.lex_state = 336},
  [8661] = {.lex_state = 171},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_PROGMEM] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_word] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [aux_sym_number_literal_token1] = ACTIONS(1),
    [aux_sym_number_literal_token2] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8543),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1833),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6279),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2682),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4771),
    [sym__string] = STATE(4777),
    [sym_conditional_expression] = STATE(4937),
    [sym_assignment_expression] = STATE(4937),
    [sym_pointer_expression] = STATE(3776),
    [sym_unary_expression] = STATE(4937),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(4937),
    [sym_cast_expression] = STATE(4937),
    [sym_sizeof_expression] = STATE(4937),
    [sym_alignof_expression] = STATE(4937),
    [sym_offsetof_expression] = STATE(4937),
    [sym_generic_expression] = STATE(4937),
    [sym_subscript_expression] = STATE(3776),
    [sym_call_expression] = STATE(3776),
    [sym_gnu_asm_expression] = STATE(4937),
    [sym_extension_expression] = STATE(4937),
    [sym_field_expression] = STATE(3776),
    [sym_compound_literal_expression] = STATE(4937),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_number_literal] = STATE(4777),
    [sym_char_literal] = STATE(4777),
    [sym_concatenated_string] = STATE(4777),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(4937),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1835),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1835),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4827),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(4937),
    [sym_new_expression] = STATE(4937),
    [sym_delete_expression] = STATE(4937),
    [sym_requires_clause] = STATE(4937),
    [sym_requires_expression] = STATE(4937),
    [sym_lambda_expression] = STATE(4937),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(4937),
    [sym_parameter_pack_expansion] = STATE(4937),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3673),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3776),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1835),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(133),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_using] = ACTIONS(145),
    [anon_sym_static_assert] = ACTIONS(147),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(121),
  },
  [2] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [3] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [4] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [5] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [6] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [7] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [8] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [9] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [10] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [11] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [12] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [13] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8539),
    [sym_preproc_elif] = STATE(8539),
    [sym_preproc_elifdef] = STATE(8539),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [14] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8544),
    [sym_preproc_elif] = STATE(8544),
    [sym_preproc_elifdef] = STATE(8544),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(7879),
    [sym_preproc_elif] = STATE(7879),
    [sym_preproc_elifdef] = STATE(7879),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [16] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(8178),
    [sym_preproc_elif] = STATE(8178),
    [sym_preproc_elifdef] = STATE(8178),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(32),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(32),
    [sym_template_instantiation] = STATE(32),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(32),
    [sym_operator_cast_declaration] = STATE(32),
    [sym_constructor_or_destructor_definition] = STATE(32),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(32),
    [sym_namespace_alias_definition] = STATE(32),
    [sym_using_declaration] = STATE(32),
    [sym_alias_declaration] = STATE(32),
    [sym_static_assert_declaration] = STATE(32),
    [sym_concept_definition] = STATE(32),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [17] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8198),
    [sym_preproc_elif] = STATE(8198),
    [sym_preproc_elifdef] = STATE(8198),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [18] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(8332),
    [sym_preproc_elif] = STATE(8332),
    [sym_preproc_elifdef] = STATE(8332),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [19] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(8197),
    [sym_preproc_elif] = STATE(8197),
    [sym_preproc_elifdef] = STATE(8197),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(20),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(20),
    [sym_template_instantiation] = STATE(20),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(20),
    [sym_operator_cast_declaration] = STATE(20),
    [sym_constructor_or_destructor_definition] = STATE(20),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(20),
    [sym_namespace_alias_definition] = STATE(20),
    [sym_using_declaration] = STATE(20),
    [sym_alias_declaration] = STATE(20),
    [sym_static_assert_declaration] = STATE(20),
    [sym_concept_definition] = STATE(20),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [20] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8343),
    [sym_preproc_elif] = STATE(8343),
    [sym_preproc_elifdef] = STATE(8343),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [21] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8319),
    [sym_preproc_elif] = STATE(8319),
    [sym_preproc_elifdef] = STATE(8319),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7915),
    [sym_preproc_elif] = STATE(7915),
    [sym_preproc_elifdef] = STATE(7915),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [23] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(7960),
    [sym_preproc_elif] = STATE(7960),
    [sym_preproc_elifdef] = STATE(7960),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [24] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8515),
    [sym_preproc_elif] = STATE(8515),
    [sym_preproc_elifdef] = STATE(8515),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [25] = {
    [sym__block_item] = STATE(30),
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8084),
    [sym_preproc_elif] = STATE(8084),
    [sym_preproc_elifdef] = STATE(8084),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(30),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [26] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8310),
    [sym_preproc_elif] = STATE(8310),
    [sym_preproc_elifdef] = STATE(8310),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8107),
    [sym_preproc_elif] = STATE(8107),
    [sym_preproc_elifdef] = STATE(8107),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [28] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7854),
    [sym_preproc_elif] = STATE(7854),
    [sym_preproc_elifdef] = STATE(7854),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [29] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(7971),
    [sym_preproc_elif] = STATE(7971),
    [sym_preproc_elifdef] = STATE(7971),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [30] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8331),
    [sym_preproc_elif] = STATE(8331),
    [sym_preproc_elifdef] = STATE(8331),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [31] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8523),
    [sym_preproc_elif] = STATE(8523),
    [sym_preproc_elifdef] = STATE(8523),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [32] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8433),
    [sym_preproc_elif] = STATE(8433),
    [sym_preproc_elifdef] = STATE(8433),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6266),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(307),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(375),
    [aux_sym_preproc_include_token1] = ACTIONS(378),
    [aux_sym_preproc_def_token1] = ACTIONS(381),
    [aux_sym_preproc_if_token1] = ACTIONS(384),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(389),
    [aux_sym_preproc_else_token1] = ACTIONS(387),
    [aux_sym_preproc_elif_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(387),
    [sym_preproc_directive] = ACTIONS(392),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym___extension__] = ACTIONS(419),
    [anon_sym_typedef] = ACTIONS(422),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(428),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(449),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(461),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(485),
    [anon_sym_switch] = ACTIONS(488),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(497),
    [anon_sym_do] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_return] = ACTIONS(506),
    [anon_sym_break] = ACTIONS(509),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_goto] = ACTIONS(515),
    [anon_sym___try] = ACTIONS(518),
    [anon_sym___leave] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(572),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(578),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(587),
    [anon_sym_using] = ACTIONS(590),
    [anon_sym_static_assert] = ACTIONS(593),
    [anon_sym_concept] = ACTIONS(596),
    [anon_sym_co_return] = ACTIONS(599),
    [anon_sym_co_yield] = ACTIONS(602),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [34] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [35] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6272),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(442),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2692),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(678),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [sym_identifier] = ACTIONS(623),
    [aux_sym_preproc_include_token1] = ACTIONS(626),
    [aux_sym_preproc_def_token1] = ACTIONS(629),
    [aux_sym_preproc_if_token1] = ACTIONS(632),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(635),
    [sym_preproc_directive] = ACTIONS(638),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym___extension__] = ACTIONS(644),
    [anon_sym_typedef] = ACTIONS(647),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(650),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(656),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(662),
    [anon_sym_case] = ACTIONS(665),
    [anon_sym_default] = ACTIONS(668),
    [anon_sym_while] = ACTIONS(671),
    [anon_sym_do] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(677),
    [anon_sym_return] = ACTIONS(680),
    [anon_sym_break] = ACTIONS(683),
    [anon_sym_continue] = ACTIONS(686),
    [anon_sym_goto] = ACTIONS(689),
    [anon_sym___try] = ACTIONS(692),
    [anon_sym___leave] = ACTIONS(695),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(698),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(704),
    [anon_sym_namespace] = ACTIONS(707),
    [anon_sym_using] = ACTIONS(710),
    [anon_sym_static_assert] = ACTIONS(713),
    [anon_sym_concept] = ACTIONS(716),
    [anon_sym_co_return] = ACTIONS(719),
    [anon_sym_co_yield] = ACTIONS(722),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [37] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6272),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(442),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2692),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(678),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [sym_identifier] = ACTIONS(727),
    [aux_sym_preproc_include_token1] = ACTIONS(729),
    [aux_sym_preproc_def_token1] = ACTIONS(731),
    [aux_sym_preproc_if_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token2] = ACTIONS(735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [sym_preproc_directive] = ACTIONS(739),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(743),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(747),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(751),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(779),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(785),
    [anon_sym_using] = ACTIONS(787),
    [anon_sym_static_assert] = ACTIONS(789),
    [anon_sym_concept] = ACTIONS(791),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [38] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [39] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(799),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [40] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [41] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [42] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(805),
    [aux_sym_preproc_include_token1] = ACTIONS(808),
    [aux_sym_preproc_def_token1] = ACTIONS(811),
    [aux_sym_preproc_if_token1] = ACTIONS(814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(817),
    [sym_preproc_directive] = ACTIONS(820),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym___extension__] = ACTIONS(826),
    [anon_sym_typedef] = ACTIONS(829),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(832),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(840),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_case] = ACTIONS(849),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(861),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(867),
    [anon_sym_continue] = ACTIONS(870),
    [anon_sym_goto] = ACTIONS(873),
    [anon_sym___try] = ACTIONS(876),
    [anon_sym___leave] = ACTIONS(879),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(882),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(888),
    [anon_sym_namespace] = ACTIONS(891),
    [anon_sym_using] = ACTIONS(894),
    [anon_sym_static_assert] = ACTIONS(897),
    [anon_sym_concept] = ACTIONS(900),
    [anon_sym_co_return] = ACTIONS(903),
    [anon_sym_co_yield] = ACTIONS(906),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [43] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [44] = {
    [sym__block_item] = STATE(45),
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(45),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [45] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(913),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [46] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [47] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(917),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [48] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6272),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(442),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2692),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(678),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [sym_identifier] = ACTIONS(727),
    [aux_sym_preproc_include_token1] = ACTIONS(729),
    [aux_sym_preproc_def_token1] = ACTIONS(731),
    [aux_sym_preproc_if_token1] = ACTIONS(733),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(737),
    [sym_preproc_directive] = ACTIONS(739),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(743),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(747),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(751),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(779),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(785),
    [anon_sym_using] = ACTIONS(787),
    [anon_sym_static_assert] = ACTIONS(789),
    [anon_sym_concept] = ACTIONS(791),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [49] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [50] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(923),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [51] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [52] = {
    [sym__block_item] = STATE(53),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(53),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [53] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [54] = {
    [sym__block_item] = STATE(55),
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(55),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [55] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [56] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(935),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [57] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [58] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [59] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [60] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [61] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [62] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [63] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [64] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [65] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(955),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [67] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [68] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [69] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [70] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [71] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [72] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [73] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [74] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [75] = {
    [sym__block_item] = STATE(76),
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(76),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [76] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [77] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [78] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [79] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6299),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(594),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4532),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3307),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1833),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6279),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2682),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4771),
    [sym__string] = STATE(4777),
    [sym_conditional_expression] = STATE(4937),
    [sym_assignment_expression] = STATE(4937),
    [sym_pointer_expression] = STATE(3776),
    [sym_unary_expression] = STATE(4937),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(4937),
    [sym_cast_expression] = STATE(4937),
    [sym_sizeof_expression] = STATE(4937),
    [sym_alignof_expression] = STATE(4937),
    [sym_offsetof_expression] = STATE(4937),
    [sym_generic_expression] = STATE(4937),
    [sym_subscript_expression] = STATE(3776),
    [sym_call_expression] = STATE(3776),
    [sym_gnu_asm_expression] = STATE(4937),
    [sym_extension_expression] = STATE(4937),
    [sym_field_expression] = STATE(3776),
    [sym_compound_literal_expression] = STATE(4937),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_number_literal] = STATE(4777),
    [sym_char_literal] = STATE(4777),
    [sym_concatenated_string] = STATE(4777),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(4937),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1835),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1835),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4827),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(4937),
    [sym_new_expression] = STATE(4937),
    [sym_delete_expression] = STATE(4937),
    [sym_requires_clause] = STATE(4937),
    [sym_requires_expression] = STATE(4937),
    [sym_lambda_expression] = STATE(4937),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(4937),
    [sym_parameter_pack_expansion] = STATE(4937),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3673),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3776),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1835),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_identifier] = ACTIONS(985),
    [aux_sym_preproc_include_token1] = ACTIONS(988),
    [aux_sym_preproc_def_token1] = ACTIONS(991),
    [aux_sym_preproc_if_token1] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(997),
    [sym_preproc_directive] = ACTIONS(1000),
    [anon_sym_LPAREN2] = ACTIONS(1003),
    [anon_sym_BANG] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP_AMP] = ACTIONS(1018),
    [anon_sym_AMP] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1024),
    [anon_sym___extension__] = ACTIONS(1027),
    [anon_sym_typedef] = ACTIONS(1030),
    [anon_sym_virtual] = ACTIONS(1033),
    [anon_sym_extern] = ACTIONS(1036),
    [anon_sym___attribute__] = ACTIONS(1039),
    [anon_sym___attribute] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(1042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1045),
    [anon_sym___declspec] = ACTIONS(1048),
    [anon_sym___based] = ACTIONS(1051),
    [anon_sym___cdecl] = ACTIONS(1054),
    [anon_sym___clrcall] = ACTIONS(1054),
    [anon_sym___stdcall] = ACTIONS(1054),
    [anon_sym___fastcall] = ACTIONS(1054),
    [anon_sym___thiscall] = ACTIONS(1054),
    [anon_sym___vectorcall] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_signed] = ACTIONS(1060),
    [anon_sym_unsigned] = ACTIONS(1060),
    [anon_sym_long] = ACTIONS(1060),
    [anon_sym_short] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_register] = ACTIONS(1066),
    [anon_sym_inline] = ACTIONS(1069),
    [anon_sym___inline] = ACTIONS(1066),
    [anon_sym___inline__] = ACTIONS(1066),
    [anon_sym___forceinline] = ACTIONS(1066),
    [anon_sym_thread_local] = ACTIONS(1066),
    [anon_sym___thread] = ACTIONS(1066),
    [anon_sym_const] = ACTIONS(1072),
    [anon_sym_constexpr] = ACTIONS(1072),
    [anon_sym_volatile] = ACTIONS(1072),
    [anon_sym_restrict] = ACTIONS(1072),
    [anon_sym___restrict__] = ACTIONS(1072),
    [anon_sym__Atomic] = ACTIONS(1072),
    [anon_sym__Noreturn] = ACTIONS(1072),
    [anon_sym_noreturn] = ACTIONS(1072),
    [anon_sym__Nonnull] = ACTIONS(1072),
    [anon_sym_mutable] = ACTIONS(1072),
    [anon_sym_constinit] = ACTIONS(1072),
    [anon_sym_consteval] = ACTIONS(1072),
    [anon_sym_PROGMEM] = ACTIONS(1072),
    [anon_sym_alignas] = ACTIONS(1075),
    [anon_sym__Alignas] = ACTIONS(1075),
    [aux_sym_primitive_type_token1] = ACTIONS(1078),
    [anon_sym_byte] = ACTIONS(1078),
    [anon_sym_word] = ACTIONS(1078),
    [anon_sym_enum] = ACTIONS(1081),
    [anon_sym_class] = ACTIONS(1084),
    [anon_sym_struct] = ACTIONS(1087),
    [anon_sym_union] = ACTIONS(1090),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(1096),
    [anon_sym_case] = ACTIONS(1099),
    [anon_sym_default] = ACTIONS(1102),
    [anon_sym_while] = ACTIONS(1105),
    [anon_sym_do] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1123),
    [anon_sym_not] = ACTIONS(1012),
    [anon_sym_compl] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_sizeof] = ACTIONS(1129),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1138),
    [anon_sym_asm] = ACTIONS(1141),
    [anon_sym___asm__] = ACTIONS(1141),
    [anon_sym___asm] = ACTIONS(1141),
    [aux_sym_number_literal_token1] = ACTIONS(1144),
    [aux_sym_number_literal_token2] = ACTIONS(1147),
    [anon_sym_L_SQUOTE] = ACTIONS(1150),
    [anon_sym_u_SQUOTE] = ACTIONS(1150),
    [anon_sym_U_SQUOTE] = ACTIONS(1150),
    [anon_sym_u8_SQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1162),
    [anon_sym_decltype] = ACTIONS(1165),
    [anon_sym_explicit] = ACTIONS(1168),
    [anon_sym_typename] = ACTIONS(1171),
    [anon_sym_template] = ACTIONS(1174),
    [anon_sym_operator] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1180),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_using] = ACTIONS(1192),
    [anon_sym_static_assert] = ACTIONS(1195),
    [anon_sym_concept] = ACTIONS(1198),
    [anon_sym_co_return] = ACTIONS(1201),
    [anon_sym_co_yield] = ACTIONS(1204),
    [anon_sym_R_DQUOTE] = ACTIONS(1207),
    [anon_sym_LR_DQUOTE] = ACTIONS(1207),
    [anon_sym_uR_DQUOTE] = ACTIONS(1207),
    [anon_sym_UR_DQUOTE] = ACTIONS(1207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1207),
    [anon_sym_co_await] = ACTIONS(1210),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_requires] = ACTIONS(1216),
    [sym_this] = ACTIONS(1156),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1833),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6279),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2682),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4771),
    [sym__string] = STATE(4777),
    [sym_conditional_expression] = STATE(4937),
    [sym_assignment_expression] = STATE(4937),
    [sym_pointer_expression] = STATE(3776),
    [sym_unary_expression] = STATE(4937),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(4937),
    [sym_cast_expression] = STATE(4937),
    [sym_sizeof_expression] = STATE(4937),
    [sym_alignof_expression] = STATE(4937),
    [sym_offsetof_expression] = STATE(4937),
    [sym_generic_expression] = STATE(4937),
    [sym_subscript_expression] = STATE(3776),
    [sym_call_expression] = STATE(3776),
    [sym_gnu_asm_expression] = STATE(4937),
    [sym_extension_expression] = STATE(4937),
    [sym_field_expression] = STATE(3776),
    [sym_compound_literal_expression] = STATE(4937),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_number_literal] = STATE(4777),
    [sym_char_literal] = STATE(4777),
    [sym_concatenated_string] = STATE(4777),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(4937),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_explicit_function_specifier] = STATE(1835),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1835),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(4827),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(4937),
    [sym_new_expression] = STATE(4937),
    [sym_delete_expression] = STATE(4937),
    [sym_requires_clause] = STATE(4937),
    [sym_requires_expression] = STATE(4937),
    [sym_lambda_expression] = STATE(4937),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(4937),
    [sym_parameter_pack_expansion] = STATE(4937),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5452),
    [sym_qualified_identifier] = STATE(3673),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3776),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1835),
    [ts_builtin_sym_end] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(133),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_using] = ACTIONS(145),
    [anon_sym_static_assert] = ACTIONS(147),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(121),
  },
  [82] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1221),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [aux_sym_preproc_else_token1] = ACTIONS(1223),
    [aux_sym_preproc_elif_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1233),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1223),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(1223),
    [anon_sym_static_assert] = ACTIONS(1223),
    [anon_sym_concept] = ACTIONS(1223),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [83] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1221),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [aux_sym_preproc_else_token1] = ACTIONS(1243),
    [aux_sym_preproc_elif_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1233),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1243),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_using] = ACTIONS(1243),
    [anon_sym_static_assert] = ACTIONS(1243),
    [anon_sym_concept] = ACTIONS(1243),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [84] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token2] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [aux_sym_preproc_else_token1] = ACTIONS(1250),
    [aux_sym_preproc_elif_token1] = ACTIONS(1250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_virtual] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1281),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1293),
    [anon_sym___based] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_register] = ACTIONS(1281),
    [anon_sym_inline] = ACTIONS(1281),
    [anon_sym___inline] = ACTIONS(1281),
    [anon_sym___inline__] = ACTIONS(1281),
    [anon_sym___forceinline] = ACTIONS(1281),
    [anon_sym_thread_local] = ACTIONS(1281),
    [anon_sym___thread] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_constexpr] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_restrict] = ACTIONS(1305),
    [anon_sym___restrict__] = ACTIONS(1305),
    [anon_sym__Atomic] = ACTIONS(1305),
    [anon_sym__Noreturn] = ACTIONS(1305),
    [anon_sym_noreturn] = ACTIONS(1305),
    [anon_sym__Nonnull] = ACTIONS(1305),
    [anon_sym_mutable] = ACTIONS(1305),
    [anon_sym_constinit] = ACTIONS(1305),
    [anon_sym_consteval] = ACTIONS(1305),
    [anon_sym_PROGMEM] = ACTIONS(1305),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [aux_sym_primitive_type_token1] = ACTIONS(1311),
    [anon_sym_byte] = ACTIONS(1311),
    [anon_sym_word] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1353),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_compl] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1371),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [anon_sym___asm] = ACTIONS(1374),
    [aux_sym_number_literal_token1] = ACTIONS(1377),
    [aux_sym_number_literal_token2] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1383),
    [anon_sym_u_SQUOTE] = ACTIONS(1383),
    [anon_sym_U_SQUOTE] = ACTIONS(1383),
    [anon_sym_u8_SQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1395),
    [anon_sym_decltype] = ACTIONS(1398),
    [anon_sym_explicit] = ACTIONS(1250),
    [anon_sym_typename] = ACTIONS(1401),
    [anon_sym_template] = ACTIONS(1404),
    [anon_sym_operator] = ACTIONS(1250),
    [anon_sym_try] = ACTIONS(1407),
    [anon_sym_delete] = ACTIONS(1410),
    [anon_sym_throw] = ACTIONS(1413),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_using] = ACTIONS(1250),
    [anon_sym_static_assert] = ACTIONS(1250),
    [anon_sym_concept] = ACTIONS(1250),
    [anon_sym_co_return] = ACTIONS(1416),
    [anon_sym_co_yield] = ACTIONS(1419),
    [anon_sym_R_DQUOTE] = ACTIONS(1422),
    [anon_sym_LR_DQUOTE] = ACTIONS(1422),
    [anon_sym_uR_DQUOTE] = ACTIONS(1422),
    [anon_sym_UR_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1422),
    [anon_sym_co_await] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1428),
    [anon_sym_requires] = ACTIONS(1431),
    [sym_this] = ACTIONS(1389),
  },
  [85] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1221),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1233),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [86] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1221),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1233),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [87] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1223),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(1223),
    [anon_sym_static_assert] = ACTIONS(1223),
    [anon_sym_concept] = ACTIONS(1223),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [88] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1243),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_using] = ACTIONS(1243),
    [anon_sym_static_assert] = ACTIONS(1243),
    [anon_sym_concept] = ACTIONS(1243),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [89] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [90] = {
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(94),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1223),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(1223),
    [anon_sym_static_assert] = ACTIONS(1223),
    [anon_sym_concept] = ACTIONS(1223),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [91] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1243),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_using] = ACTIONS(1243),
    [anon_sym_static_assert] = ACTIONS(1243),
    [anon_sym_concept] = ACTIONS(1243),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [92] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1243),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_using] = ACTIONS(1243),
    [anon_sym_static_assert] = ACTIONS(1243),
    [anon_sym_concept] = ACTIONS(1243),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [93] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [94] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [95] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1223),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(1223),
    [anon_sym_static_assert] = ACTIONS(1223),
    [anon_sym_concept] = ACTIONS(1223),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [96] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [97] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(745),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [98] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token2] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_virtual] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1281),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1293),
    [anon_sym___based] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_register] = ACTIONS(1281),
    [anon_sym_inline] = ACTIONS(1281),
    [anon_sym___inline] = ACTIONS(1281),
    [anon_sym___inline__] = ACTIONS(1281),
    [anon_sym___forceinline] = ACTIONS(1281),
    [anon_sym_thread_local] = ACTIONS(1281),
    [anon_sym___thread] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_constexpr] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_restrict] = ACTIONS(1305),
    [anon_sym___restrict__] = ACTIONS(1305),
    [anon_sym__Atomic] = ACTIONS(1305),
    [anon_sym__Noreturn] = ACTIONS(1305),
    [anon_sym_noreturn] = ACTIONS(1305),
    [anon_sym__Nonnull] = ACTIONS(1305),
    [anon_sym_mutable] = ACTIONS(1305),
    [anon_sym_constinit] = ACTIONS(1305),
    [anon_sym_consteval] = ACTIONS(1305),
    [anon_sym_PROGMEM] = ACTIONS(1305),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [aux_sym_primitive_type_token1] = ACTIONS(1311),
    [anon_sym_byte] = ACTIONS(1311),
    [anon_sym_word] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1487),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1499),
    [anon_sym___try] = ACTIONS(1502),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_compl] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1371),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [anon_sym___asm] = ACTIONS(1374),
    [aux_sym_number_literal_token1] = ACTIONS(1377),
    [aux_sym_number_literal_token2] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1383),
    [anon_sym_u_SQUOTE] = ACTIONS(1383),
    [anon_sym_U_SQUOTE] = ACTIONS(1383),
    [anon_sym_u8_SQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1395),
    [anon_sym_decltype] = ACTIONS(1398),
    [anon_sym_explicit] = ACTIONS(1250),
    [anon_sym_typename] = ACTIONS(1401),
    [anon_sym_template] = ACTIONS(1404),
    [anon_sym_operator] = ACTIONS(1250),
    [anon_sym_try] = ACTIONS(1508),
    [anon_sym_delete] = ACTIONS(1410),
    [anon_sym_throw] = ACTIONS(1511),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_using] = ACTIONS(1250),
    [anon_sym_static_assert] = ACTIONS(1250),
    [anon_sym_concept] = ACTIONS(1250),
    [anon_sym_co_return] = ACTIONS(1514),
    [anon_sym_co_yield] = ACTIONS(1517),
    [anon_sym_R_DQUOTE] = ACTIONS(1422),
    [anon_sym_LR_DQUOTE] = ACTIONS(1422),
    [anon_sym_uR_DQUOTE] = ACTIONS(1422),
    [anon_sym_UR_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1422),
    [anon_sym_co_await] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1428),
    [anon_sym_requires] = ACTIONS(1431),
    [sym_this] = ACTIONS(1389),
  },
  [99] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [100] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1520),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym___extension__] = ACTIONS(1526),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_virtual] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1281),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1293),
    [anon_sym___based] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_register] = ACTIONS(1281),
    [anon_sym_inline] = ACTIONS(1281),
    [anon_sym___inline] = ACTIONS(1281),
    [anon_sym___inline__] = ACTIONS(1281),
    [anon_sym___forceinline] = ACTIONS(1281),
    [anon_sym_thread_local] = ACTIONS(1281),
    [anon_sym___thread] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_constexpr] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_restrict] = ACTIONS(1305),
    [anon_sym___restrict__] = ACTIONS(1305),
    [anon_sym__Atomic] = ACTIONS(1305),
    [anon_sym__Noreturn] = ACTIONS(1305),
    [anon_sym_noreturn] = ACTIONS(1305),
    [anon_sym__Nonnull] = ACTIONS(1305),
    [anon_sym_mutable] = ACTIONS(1305),
    [anon_sym_constinit] = ACTIONS(1305),
    [anon_sym_consteval] = ACTIONS(1305),
    [anon_sym_PROGMEM] = ACTIONS(1305),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [aux_sym_primitive_type_token1] = ACTIONS(1311),
    [anon_sym_byte] = ACTIONS(1311),
    [anon_sym_word] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1535),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1544),
    [anon_sym_for] = ACTIONS(1547),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_goto] = ACTIONS(1559),
    [anon_sym___try] = ACTIONS(1562),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_compl] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1371),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [anon_sym___asm] = ACTIONS(1374),
    [aux_sym_number_literal_token1] = ACTIONS(1377),
    [aux_sym_number_literal_token2] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1383),
    [anon_sym_u_SQUOTE] = ACTIONS(1383),
    [anon_sym_U_SQUOTE] = ACTIONS(1383),
    [anon_sym_u8_SQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1395),
    [anon_sym_decltype] = ACTIONS(1398),
    [anon_sym_explicit] = ACTIONS(1250),
    [anon_sym_typename] = ACTIONS(1401),
    [anon_sym_template] = ACTIONS(1404),
    [anon_sym_operator] = ACTIONS(1250),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1410),
    [anon_sym_throw] = ACTIONS(1571),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_using] = ACTIONS(1250),
    [anon_sym_static_assert] = ACTIONS(1250),
    [anon_sym_concept] = ACTIONS(1250),
    [anon_sym_co_return] = ACTIONS(1574),
    [anon_sym_co_yield] = ACTIONS(1577),
    [anon_sym_R_DQUOTE] = ACTIONS(1422),
    [anon_sym_LR_DQUOTE] = ACTIONS(1422),
    [anon_sym_uR_DQUOTE] = ACTIONS(1422),
    [anon_sym_UR_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1422),
    [anon_sym_co_await] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1428),
    [anon_sym_requires] = ACTIONS(1431),
    [sym_this] = ACTIONS(1389),
  },
  [101] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_identifier] = ACTIONS(1580),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym___extension__] = ACTIONS(1586),
    [anon_sym_typedef] = ACTIONS(1589),
    [anon_sym_virtual] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1281),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1293),
    [anon_sym___based] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_register] = ACTIONS(1281),
    [anon_sym_inline] = ACTIONS(1281),
    [anon_sym___inline] = ACTIONS(1281),
    [anon_sym___inline__] = ACTIONS(1281),
    [anon_sym___forceinline] = ACTIONS(1281),
    [anon_sym_thread_local] = ACTIONS(1281),
    [anon_sym___thread] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_constexpr] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_restrict] = ACTIONS(1305),
    [anon_sym___restrict__] = ACTIONS(1305),
    [anon_sym__Atomic] = ACTIONS(1305),
    [anon_sym__Noreturn] = ACTIONS(1305),
    [anon_sym_noreturn] = ACTIONS(1305),
    [anon_sym__Nonnull] = ACTIONS(1305),
    [anon_sym_mutable] = ACTIONS(1305),
    [anon_sym_constinit] = ACTIONS(1305),
    [anon_sym_consteval] = ACTIONS(1305),
    [anon_sym_PROGMEM] = ACTIONS(1305),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [aux_sym_primitive_type_token1] = ACTIONS(1311),
    [anon_sym_byte] = ACTIONS(1311),
    [anon_sym_word] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1598),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1601),
    [anon_sym_do] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1610),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_continue] = ACTIONS(1616),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym___try] = ACTIONS(1622),
    [anon_sym___leave] = ACTIONS(1625),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_compl] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1371),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [anon_sym___asm] = ACTIONS(1374),
    [aux_sym_number_literal_token1] = ACTIONS(1377),
    [aux_sym_number_literal_token2] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1383),
    [anon_sym_u_SQUOTE] = ACTIONS(1383),
    [anon_sym_U_SQUOTE] = ACTIONS(1383),
    [anon_sym_u8_SQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1395),
    [anon_sym_decltype] = ACTIONS(1398),
    [anon_sym_explicit] = ACTIONS(1250),
    [anon_sym_typename] = ACTIONS(1401),
    [anon_sym_template] = ACTIONS(1404),
    [anon_sym_operator] = ACTIONS(1250),
    [anon_sym_try] = ACTIONS(1628),
    [anon_sym_delete] = ACTIONS(1410),
    [anon_sym_throw] = ACTIONS(1631),
    [anon_sym_namespace] = ACTIONS(1250),
    [anon_sym_using] = ACTIONS(1250),
    [anon_sym_static_assert] = ACTIONS(1250),
    [anon_sym_concept] = ACTIONS(1250),
    [anon_sym_co_return] = ACTIONS(1634),
    [anon_sym_co_yield] = ACTIONS(1637),
    [anon_sym_R_DQUOTE] = ACTIONS(1422),
    [anon_sym_LR_DQUOTE] = ACTIONS(1422),
    [anon_sym_uR_DQUOTE] = ACTIONS(1422),
    [anon_sym_UR_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1422),
    [anon_sym_co_await] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1428),
    [anon_sym_requires] = ACTIONS(1431),
    [sym_this] = ACTIONS(1389),
  },
  [102] = {
    [sym_declaration] = STATE(504),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(504),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4438),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7554),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [103] = {
    [sym_declaration] = STATE(263),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5198),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(291),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(263),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [104] = {
    [sym_declaration] = STATE(504),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(504),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [105] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [106] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [107] = {
    [sym_declaration] = STATE(455),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5194),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(442),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(455),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [108] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [109] = {
    [sym_declaration] = STATE(537),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(440),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(537),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [110] = {
    [sym_declaration] = STATE(868),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(873),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(868),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [111] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [112] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5201),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1702),
    [anon_sym_typedef] = ACTIONS(1705),
    [anon_sym_virtual] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1281),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1708),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_register] = ACTIONS(1281),
    [anon_sym_inline] = ACTIONS(1281),
    [anon_sym___inline] = ACTIONS(1281),
    [anon_sym___inline__] = ACTIONS(1281),
    [anon_sym___forceinline] = ACTIONS(1281),
    [anon_sym_thread_local] = ACTIONS(1281),
    [anon_sym___thread] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_constexpr] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_restrict] = ACTIONS(1305),
    [anon_sym___restrict__] = ACTIONS(1305),
    [anon_sym__Atomic] = ACTIONS(1305),
    [anon_sym__Noreturn] = ACTIONS(1305),
    [anon_sym_noreturn] = ACTIONS(1305),
    [anon_sym__Nonnull] = ACTIONS(1305),
    [anon_sym_mutable] = ACTIONS(1305),
    [anon_sym_constinit] = ACTIONS(1305),
    [anon_sym_consteval] = ACTIONS(1305),
    [anon_sym_PROGMEM] = ACTIONS(1305),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [aux_sym_primitive_type_token1] = ACTIONS(1311),
    [anon_sym_byte] = ACTIONS(1311),
    [anon_sym_word] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1726),
    [anon_sym_break] = ACTIONS(1729),
    [anon_sym_continue] = ACTIONS(1732),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1738),
    [anon_sym___leave] = ACTIONS(1741),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_compl] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1371),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [anon_sym___asm] = ACTIONS(1374),
    [aux_sym_number_literal_token1] = ACTIONS(1377),
    [aux_sym_number_literal_token2] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1383),
    [anon_sym_u_SQUOTE] = ACTIONS(1383),
    [anon_sym_U_SQUOTE] = ACTIONS(1383),
    [anon_sym_u8_SQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1395),
    [anon_sym_decltype] = ACTIONS(1398),
    [anon_sym_typename] = ACTIONS(1401),
    [anon_sym_template] = ACTIONS(1404),
    [anon_sym_try] = ACTIONS(1744),
    [anon_sym_delete] = ACTIONS(1410),
    [anon_sym_throw] = ACTIONS(1747),
    [anon_sym_co_return] = ACTIONS(1750),
    [anon_sym_co_yield] = ACTIONS(1753),
    [anon_sym_R_DQUOTE] = ACTIONS(1422),
    [anon_sym_LR_DQUOTE] = ACTIONS(1422),
    [anon_sym_uR_DQUOTE] = ACTIONS(1422),
    [anon_sym_UR_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1422),
    [anon_sym_co_await] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1428),
    [anon_sym_requires] = ACTIONS(1431),
    [sym_this] = ACTIONS(1389),
  },
  [113] = {
    [sym_declaration] = STATE(537),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5202),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(871),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(537),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [114] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(8282),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(8353),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [115] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(7850),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(7851),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [116] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(8098),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(8099),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [117] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(7825),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(7826),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [118] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(8604),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(8607),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [119] = {
    [sym_declaration] = STATE(236),
    [sym_type_definition] = STATE(3985),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(3985),
    [sym__for_statement_body] = STATE(7883),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8300),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(3985),
    [sym__for_range_loop_body] = STATE(7884),
    [sym_init_statement] = STATE(1839),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [120] = {
    [sym_declaration] = STATE(1510),
    [sym_type_definition] = STATE(1510),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5208),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression_statement] = STATE(1510),
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7457),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_alias_declaration] = STATE(1510),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(8185),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1768),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [121] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(5240),
    [sym__declarator] = STATE(6565),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8024),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3304),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5715),
    [sym_qualified_identifier] = STATE(3319),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [122] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(5240),
    [sym__declarator] = STATE(6565),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(8056),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8226),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3304),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8417),
    [sym__unary_right_fold] = STATE(8425),
    [sym__binary_fold] = STATE(8485),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5715),
    [sym_qualified_identifier] = STATE(3319),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8527),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [123] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(5240),
    [sym__declarator] = STATE(6565),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7932),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3304),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5715),
    [sym_qualified_identifier] = STATE(3319),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3341),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8413),
    [sym__unary_right_fold] = STATE(8419),
    [sym__binary_fold] = STATE(8422),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3329),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7901),
    [sym__unary_right_fold] = STATE(7902),
    [sym__binary_fold] = STATE(7907),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3300),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8417),
    [sym__unary_right_fold] = STATE(8425),
    [sym__binary_fold] = STATE(8485),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_compound_statement] = STATE(7411),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7199),
    [sym_expression] = STATE(4365),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7411),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5671),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2958),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_expression] = STATE(3360),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7727),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7793),
    [sym__unary_right_fold] = STATE(7794),
    [sym__binary_fold] = STATE(7795),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5669),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5228),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2437),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8168),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2967),
    [sym_template_function] = STATE(3858),
    [sym_condition_declaration] = STATE(8168),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5659),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(2971),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(1918),
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_RPAREN] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___except] = ACTIONS(1920),
    [anon_sym___finally] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1920),
    [anon_sym_and] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_final] = ACTIONS(1920),
    [anon_sym_override] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_GT2] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1922),
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_include_token1] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1922),
    [anon_sym_RPAREN] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym___cdecl] = ACTIONS(1924),
    [anon_sym___clrcall] = ACTIONS(1924),
    [anon_sym___stdcall] = ACTIONS(1924),
    [anon_sym___fastcall] = ACTIONS(1924),
    [anon_sym___thiscall] = ACTIONS(1924),
    [anon_sym___vectorcall] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym___try] = ACTIONS(1924),
    [anon_sym___except] = ACTIONS(1924),
    [anon_sym___finally] = ACTIONS(1924),
    [anon_sym___leave] = ACTIONS(1924),
    [anon_sym_not] = ACTIONS(1924),
    [anon_sym_compl] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1924),
    [anon_sym_and] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1922),
    [anon_sym_sizeof] = ACTIONS(1924),
    [anon_sym___alignof__] = ACTIONS(1924),
    [anon_sym___alignof] = ACTIONS(1924),
    [anon_sym__alignof] = ACTIONS(1924),
    [anon_sym_alignof] = ACTIONS(1924),
    [anon_sym__Alignof] = ACTIONS(1924),
    [anon_sym_offsetof] = ACTIONS(1924),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1924),
    [anon_sym___asm__] = ACTIONS(1924),
    [anon_sym___asm] = ACTIONS(1924),
    [aux_sym_number_literal_token1] = ACTIONS(1922),
    [aux_sym_number_literal_token2] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1922),
    [anon_sym_u_SQUOTE] = ACTIONS(1922),
    [anon_sym_U_SQUOTE] = ACTIONS(1922),
    [anon_sym_u8_SQUOTE] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1922),
    [anon_sym_L_DQUOTE] = ACTIONS(1922),
    [anon_sym_u_DQUOTE] = ACTIONS(1922),
    [anon_sym_U_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8_DQUOTE] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1922),
    [sym_true] = ACTIONS(1924),
    [sym_false] = ACTIONS(1924),
    [anon_sym_NULL] = ACTIONS(1924),
    [anon_sym_nullptr] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_final] = ACTIONS(1924),
    [anon_sym_override] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_GT2] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_concept] = ACTIONS(1924),
    [anon_sym_co_return] = ACTIONS(1924),
    [anon_sym_co_yield] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_requires] = ACTIONS(1924),
    [sym_this] = ACTIONS(1924),
  },
  [134] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_else_token1] = ACTIONS(1928),
    [aux_sym_preproc_elif_token1] = ACTIONS(1926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [135] = {
    [sym_compound_statement] = STATE(8056),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7900),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7901),
    [sym__unary_right_fold] = STATE(7902),
    [sym__binary_fold] = STATE(7907),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8527),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [136] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8582),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [137] = {
    [sym_compound_statement] = STATE(8056),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8173),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7901),
    [sym__unary_right_fold] = STATE(7902),
    [sym__binary_fold] = STATE(7907),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8527),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [138] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8176),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [139] = {
    [sym_compound_statement] = STATE(7882),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2954),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8371),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8413),
    [sym__unary_right_fold] = STATE(8419),
    [sym__binary_fold] = STATE(8422),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8164),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [140] = {
    [sym_compound_statement] = STATE(8056),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8226),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8417),
    [sym__unary_right_fold] = STATE(8425),
    [sym__binary_fold] = STATE(8485),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8527),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [141] = {
    [sym_compound_statement] = STATE(7882),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2954),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7791),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7793),
    [sym__unary_right_fold] = STATE(7794),
    [sym__binary_fold] = STATE(7795),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8164),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [142] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7866),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [143] = {
    [sym_compound_statement] = STATE(7882),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2954),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7908),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7793),
    [sym__unary_right_fold] = STATE(7794),
    [sym__binary_fold] = STATE(7795),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8164),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [144] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7932),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [145] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [146] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8114),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [147] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8156),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [148] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8235),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [149] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8533),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [150] = {
    [sym_compound_statement] = STATE(8056),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(7871),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8417),
    [sym__unary_right_fold] = STATE(8425),
    [sym__binary_fold] = STATE(8485),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8527),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [151] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8492),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [152] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8450),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [153] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8148),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [154] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8024),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [155] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8341),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [156] = {
    [sym_compound_statement] = STATE(7882),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2954),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8412),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8413),
    [sym__unary_right_fold] = STATE(8419),
    [sym__binary_fold] = STATE(8422),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8164),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [157] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8374),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [158] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8182),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [159] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8521),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [160] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8312),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [161] = {
    [sym_compound_statement] = STATE(7942),
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5054),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3283),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_type_descriptor] = STATE(8354),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7615),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [162] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(467),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(471),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(883),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(842),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(855),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(448),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(169),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(255),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(169),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2078),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2102),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym___try] = ACTIONS(2111),
    [anon_sym___leave] = ACTIONS(2114),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2168),
    [anon_sym_co_yield] = ACTIONS(2171),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(420),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(854),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(250),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2203),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2227),
    [anon_sym___try] = ACTIONS(2230),
    [anon_sym___leave] = ACTIONS(2233),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2239),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2245),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(421),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(280),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(282),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(283),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(7278),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(534),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2227),
    [anon_sym___try] = ACTIONS(2273),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2236),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2239),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2245),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(7275),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(461),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(465),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(471),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(413),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(452),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(501),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(497),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2279),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2315),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2327),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(448),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2357),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2363),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2369),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2375),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2387),
    [anon_sym_co_yield] = ACTIONS(2390),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(423),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(461),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(412),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(534),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(523),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(469),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(442),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(442),
    [sym_statement] = STATE(470),
    [sym_labeled_statement] = STATE(442),
    [sym_expression_statement] = STATE(442),
    [sym_if_statement] = STATE(442),
    [sym_switch_statement] = STATE(442),
    [sym_case_statement] = STATE(442),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(442),
    [sym_for_statement] = STATE(442),
    [sym_return_statement] = STATE(442),
    [sym_break_statement] = STATE(442),
    [sym_continue_statement] = STATE(442),
    [sym_goto_statement] = STATE(442),
    [sym_seh_try_statement] = STATE(442),
    [sym_seh_leave_statement] = STATE(442),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7954),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(442),
    [sym_co_return_statement] = STATE(442),
    [sym_co_yield_statement] = STATE(442),
    [sym_throw_statement] = STATE(442),
    [sym_try_statement] = STATE(442),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_goto] = ACTIONS(773),
    [anon_sym___try] = ACTIONS(775),
    [anon_sym___leave] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(783),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(795),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(8054),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(169),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(255),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(169),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(465),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(841),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(864),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(525),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(497),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(526),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [208] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3240),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_initializer_list] = STATE(3562),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1780),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1926),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1928),
    [sym_this] = ACTIONS(1826),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(8159),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(854),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2051),
    [anon_sym_PLUS] = ACTIONS(2051),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_COLON_COLON] = ACTIONS(2063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_primitive_type_token1] = ACTIONS(2075),
    [anon_sym_byte] = ACTIONS(2075),
    [anon_sym_word] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2411),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2417),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2429),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2435),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2051),
    [anon_sym_compl] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_sizeof] = ACTIONS(2120),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2126),
    [anon_sym__Generic] = ACTIONS(2129),
    [anon_sym_asm] = ACTIONS(2132),
    [anon_sym___asm__] = ACTIONS(2132),
    [anon_sym___asm] = ACTIONS(2132),
    [aux_sym_number_literal_token1] = ACTIONS(2135),
    [aux_sym_number_literal_token2] = ACTIONS(2138),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2144),
    [anon_sym_u_DQUOTE] = ACTIONS(2144),
    [anon_sym_U_DQUOTE] = ACTIONS(2144),
    [anon_sym_u8_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2150),
    [anon_sym_nullptr] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2153),
    [anon_sym_template] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_delete] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2447),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2183),
    [sym_this] = ACTIONS(2147),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(248),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(8345),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(291),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(291),
    [sym_statement] = STATE(260),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym_seh_try_statement] = STATE(291),
    [sym_seh_leave_statement] = STATE(291),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8041),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(291),
    [sym_co_return_statement] = STATE(291),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(291),
    [sym_try_statement] = STATE(291),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(8370),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(440),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(440),
    [sym_statement] = STATE(8391),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7823),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(440),
    [sym_co_return_statement] = STATE(440),
    [sym_co_yield_statement] = STATE(440),
    [sym_throw_statement] = STATE(440),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(873),
    [sym_primitive_type] = STATE(6935),
    [sym_attributed_statement] = STATE(873),
    [sym_statement] = STATE(853),
    [sym_labeled_statement] = STATE(873),
    [sym_expression_statement] = STATE(873),
    [sym_if_statement] = STATE(873),
    [sym_switch_statement] = STATE(873),
    [sym_case_statement] = STATE(873),
    [sym_while_statement] = STATE(873),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(873),
    [sym_return_statement] = STATE(873),
    [sym_break_statement] = STATE(873),
    [sym_continue_statement] = STATE(873),
    [sym_goto_statement] = STATE(873),
    [sym_seh_try_statement] = STATE(873),
    [sym_seh_leave_statement] = STATE(873),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_for_range_loop] = STATE(873),
    [sym_co_return_statement] = STATE(873),
    [sym_co_yield_statement] = STATE(873),
    [sym_throw_statement] = STATE(873),
    [sym_try_statement] = STATE(873),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [217] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2473),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [218] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3422),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [219] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [220] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [221] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3429),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_initializer_list] = STATE(3743),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1926),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(1928),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [222] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [223] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [224] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [225] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3647),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_initializer_list] = STATE(3855),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1856),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1926),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1928),
    [sym_this] = ACTIONS(1894),
  },
  [226] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [aux_sym_preproc_else_token1] = ACTIONS(2575),
    [aux_sym_preproc_elif_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [227] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [aux_sym_preproc_else_token1] = ACTIONS(2579),
    [aux_sym_preproc_elif_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [228] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(7045),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7073),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [229] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6902),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7125),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2653),
    [aux_sym_preproc_elif_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [aux_sym_number_literal_token1] = ACTIONS(2655),
    [aux_sym_number_literal_token2] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [232] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(7033),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7146),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [233] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6994),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7430),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [234] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(7026),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7083),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [235] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8214),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [236] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4561),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8252),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_PROGMEM] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [aux_sym_primitive_type_token1] = ACTIONS(2702),
    [anon_sym_byte] = ACTIONS(2702),
    [anon_sym_word] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2705),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [237] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6866),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7085),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [238] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6951),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7139),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_include_token1] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [aux_sym_preproc_else_token1] = ACTIONS(1924),
    [aux_sym_preproc_elif_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym___cdecl] = ACTIONS(1924),
    [anon_sym___clrcall] = ACTIONS(1924),
    [anon_sym___stdcall] = ACTIONS(1924),
    [anon_sym___fastcall] = ACTIONS(1924),
    [anon_sym___thiscall] = ACTIONS(1924),
    [anon_sym___vectorcall] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym___try] = ACTIONS(1924),
    [anon_sym___leave] = ACTIONS(1924),
    [anon_sym_not] = ACTIONS(1924),
    [anon_sym_compl] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1922),
    [anon_sym_sizeof] = ACTIONS(1924),
    [anon_sym___alignof__] = ACTIONS(1924),
    [anon_sym___alignof] = ACTIONS(1924),
    [anon_sym__alignof] = ACTIONS(1924),
    [anon_sym_alignof] = ACTIONS(1924),
    [anon_sym__Alignof] = ACTIONS(1924),
    [anon_sym_offsetof] = ACTIONS(1924),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1924),
    [anon_sym___asm__] = ACTIONS(1924),
    [anon_sym___asm] = ACTIONS(1924),
    [aux_sym_number_literal_token1] = ACTIONS(1922),
    [aux_sym_number_literal_token2] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1922),
    [anon_sym_u_SQUOTE] = ACTIONS(1922),
    [anon_sym_U_SQUOTE] = ACTIONS(1922),
    [anon_sym_u8_SQUOTE] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1922),
    [anon_sym_L_DQUOTE] = ACTIONS(1922),
    [anon_sym_u_DQUOTE] = ACTIONS(1922),
    [anon_sym_U_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8_DQUOTE] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1922),
    [sym_true] = ACTIONS(1924),
    [sym_false] = ACTIONS(1924),
    [anon_sym_NULL] = ACTIONS(1924),
    [anon_sym_nullptr] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_concept] = ACTIONS(1924),
    [anon_sym_co_return] = ACTIONS(1924),
    [anon_sym_co_yield] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_requires] = ACTIONS(1924),
    [sym_this] = ACTIONS(1924),
  },
  [240] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6839),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7098),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [241] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6933),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7217),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [242] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6869),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7059),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [243] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6898),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7383),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [244] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6861),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7154),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [245] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7848),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2740),
    [anon_sym_byte] = ACTIONS(2740),
    [anon_sym_word] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [246] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6895),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7104),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2749),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [247] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6934),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7297),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [248] = {
    [sym_else_clause] = STATE(272),
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token2] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [aux_sym_preproc_else_token1] = ACTIONS(2753),
    [aux_sym_preproc_elif_token1] = ACTIONS(2753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2755),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [249] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6919),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7220),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [250] = {
    [sym_else_clause] = STATE(279),
    [sym_identifier] = ACTIONS(2761),
    [aux_sym_preproc_include_token1] = ACTIONS(2761),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token2] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2761),
    [aux_sym_preproc_else_token1] = ACTIONS(2761),
    [aux_sym_preproc_elif_token1] = ACTIONS(2761),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2761),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2761),
    [sym_preproc_directive] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2761),
    [anon_sym_typedef] = ACTIONS(2761),
    [anon_sym_virtual] = ACTIONS(2761),
    [anon_sym_extern] = ACTIONS(2761),
    [anon_sym___attribute__] = ACTIONS(2761),
    [anon_sym___attribute] = ACTIONS(2761),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2763),
    [anon_sym___declspec] = ACTIONS(2761),
    [anon_sym___based] = ACTIONS(2761),
    [anon_sym___cdecl] = ACTIONS(2761),
    [anon_sym___clrcall] = ACTIONS(2761),
    [anon_sym___stdcall] = ACTIONS(2761),
    [anon_sym___fastcall] = ACTIONS(2761),
    [anon_sym___thiscall] = ACTIONS(2761),
    [anon_sym___vectorcall] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2761),
    [anon_sym_unsigned] = ACTIONS(2761),
    [anon_sym_long] = ACTIONS(2761),
    [anon_sym_short] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_register] = ACTIONS(2761),
    [anon_sym_inline] = ACTIONS(2761),
    [anon_sym___inline] = ACTIONS(2761),
    [anon_sym___inline__] = ACTIONS(2761),
    [anon_sym___forceinline] = ACTIONS(2761),
    [anon_sym_thread_local] = ACTIONS(2761),
    [anon_sym___thread] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_constexpr] = ACTIONS(2761),
    [anon_sym_volatile] = ACTIONS(2761),
    [anon_sym_restrict] = ACTIONS(2761),
    [anon_sym___restrict__] = ACTIONS(2761),
    [anon_sym__Atomic] = ACTIONS(2761),
    [anon_sym__Noreturn] = ACTIONS(2761),
    [anon_sym_noreturn] = ACTIONS(2761),
    [anon_sym__Nonnull] = ACTIONS(2761),
    [anon_sym_mutable] = ACTIONS(2761),
    [anon_sym_constinit] = ACTIONS(2761),
    [anon_sym_consteval] = ACTIONS(2761),
    [anon_sym_PROGMEM] = ACTIONS(2761),
    [anon_sym_alignas] = ACTIONS(2761),
    [anon_sym__Alignas] = ACTIONS(2761),
    [aux_sym_primitive_type_token1] = ACTIONS(2761),
    [anon_sym_byte] = ACTIONS(2761),
    [anon_sym_word] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(2761),
    [anon_sym_union] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_goto] = ACTIONS(2761),
    [anon_sym___try] = ACTIONS(2761),
    [anon_sym___leave] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2761),
    [anon_sym_compl] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_sizeof] = ACTIONS(2761),
    [anon_sym___alignof__] = ACTIONS(2761),
    [anon_sym___alignof] = ACTIONS(2761),
    [anon_sym__alignof] = ACTIONS(2761),
    [anon_sym_alignof] = ACTIONS(2761),
    [anon_sym__Alignof] = ACTIONS(2761),
    [anon_sym_offsetof] = ACTIONS(2761),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2761),
    [anon_sym___asm__] = ACTIONS(2761),
    [anon_sym___asm] = ACTIONS(2761),
    [aux_sym_number_literal_token1] = ACTIONS(2763),
    [aux_sym_number_literal_token2] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2763),
    [anon_sym_u_SQUOTE] = ACTIONS(2763),
    [anon_sym_U_SQUOTE] = ACTIONS(2763),
    [anon_sym_u8_SQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_L_DQUOTE] = ACTIONS(2763),
    [anon_sym_u_DQUOTE] = ACTIONS(2763),
    [anon_sym_U_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [anon_sym_NULL] = ACTIONS(2761),
    [anon_sym_nullptr] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2761),
    [anon_sym_decltype] = ACTIONS(2761),
    [anon_sym_explicit] = ACTIONS(2761),
    [anon_sym_typename] = ACTIONS(2761),
    [anon_sym_template] = ACTIONS(2761),
    [anon_sym_operator] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_static_assert] = ACTIONS(2761),
    [anon_sym_concept] = ACTIONS(2761),
    [anon_sym_co_return] = ACTIONS(2761),
    [anon_sym_co_yield] = ACTIONS(2761),
    [anon_sym_R_DQUOTE] = ACTIONS(2763),
    [anon_sym_LR_DQUOTE] = ACTIONS(2763),
    [anon_sym_uR_DQUOTE] = ACTIONS(2763),
    [anon_sym_UR_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2763),
    [anon_sym_co_await] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_requires] = ACTIONS(2761),
    [sym_this] = ACTIONS(2761),
  },
  [251] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(6908),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7116),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [252] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(7050),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7302),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [253] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [254] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [aux_sym_preproc_else_token1] = ACTIONS(2771),
    [aux_sym_preproc_elif_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_virtual] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym___attribute] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym__Nonnull] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_PROGMEM] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [aux_sym_primitive_type_token1] = ACTIONS(2771),
    [anon_sym_byte] = ACTIONS(2771),
    [anon_sym_word] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [anon_sym___asm] = ACTIONS(2771),
    [aux_sym_number_literal_token1] = ACTIONS(2773),
    [aux_sym_number_literal_token2] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2775),
    [aux_sym_preproc_elif_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_virtual] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym___attribute] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym__Nonnull] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_PROGMEM] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [aux_sym_primitive_type_token1] = ACTIONS(2775),
    [anon_sym_byte] = ACTIONS(2775),
    [anon_sym_word] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [anon_sym___asm] = ACTIONS(2775),
    [aux_sym_number_literal_token1] = ACTIONS(2777),
    [aux_sym_number_literal_token2] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token2] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [aux_sym_preproc_else_token1] = ACTIONS(2733),
    [aux_sym_preproc_elif_token1] = ACTIONS(2733),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2733),
    [anon_sym_byte] = ACTIONS(2733),
    [anon_sym_word] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [anon_sym___asm] = ACTIONS(2733),
    [aux_sym_number_literal_token1] = ACTIONS(2738),
    [aux_sym_number_literal_token2] = ACTIONS(2733),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
  },
  [258] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [aux_sym_preproc_else_token1] = ACTIONS(2805),
    [aux_sym_preproc_elif_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym___attribute] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym__Nonnull] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [anon_sym_PROGMEM] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym__Alignas] = ACTIONS(2805),
    [aux_sym_primitive_type_token1] = ACTIONS(2805),
    [anon_sym_byte] = ACTIONS(2805),
    [anon_sym_word] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [anon_sym___asm] = ACTIONS(2805),
    [aux_sym_number_literal_token1] = ACTIONS(2807),
    [aux_sym_number_literal_token2] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [anon_sym___asm] = ACTIONS(2817),
    [aux_sym_number_literal_token1] = ACTIONS(2819),
    [aux_sym_number_literal_token2] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym___attribute] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym__Nonnull] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [anon_sym_PROGMEM] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym__Alignas] = ACTIONS(2821),
    [aux_sym_primitive_type_token1] = ACTIONS(2821),
    [anon_sym_byte] = ACTIONS(2821),
    [anon_sym_word] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [anon_sym___asm] = ACTIONS(2821),
    [aux_sym_number_literal_token1] = ACTIONS(2823),
    [aux_sym_number_literal_token2] = ACTIONS(2821),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [271] = {
    [sym_type_qualifier] = STATE(3289),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4476),
    [sym_sized_type_specifier] = STATE(2652),
    [sym_primitive_type] = STATE(4962),
    [sym_enum_specifier] = STATE(2652),
    [sym_struct_specifier] = STATE(2652),
    [sym_union_specifier] = STATE(2652),
    [sym_expression] = STATE(4622),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_type_descriptor] = STATE(7360),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_placeholder_type_specifier] = STATE(2652),
    [sym_decltype_auto] = STATE(2651),
    [sym_decltype] = STATE(2581),
    [sym_class_specifier] = STATE(2652),
    [sym__class_name] = STATE(7690),
    [sym_dependent_type] = STATE(2652),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_type_parameter_pack_expansion] = STATE(7597),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5665),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3662),
    [aux_sym__type_definition_type_repeat1] = STATE(3289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [aux_sym_preproc_else_token1] = ACTIONS(2825),
    [aux_sym_preproc_elif_token1] = ACTIONS(2825),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym___attribute] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym__Nonnull] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [anon_sym_PROGMEM] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym__Alignas] = ACTIONS(2825),
    [aux_sym_primitive_type_token1] = ACTIONS(2825),
    [anon_sym_byte] = ACTIONS(2825),
    [anon_sym_word] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [anon_sym___asm] = ACTIONS(2825),
    [aux_sym_number_literal_token1] = ACTIONS(2827),
    [aux_sym_number_literal_token2] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [anon_sym___asm] = ACTIONS(2829),
    [aux_sym_number_literal_token1] = ACTIONS(2831),
    [aux_sym_number_literal_token2] = ACTIONS(2829),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [276] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2473),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [anon_sym___asm] = ACTIONS(2837),
    [aux_sym_number_literal_token1] = ACTIONS(2839),
    [aux_sym_number_literal_token2] = ACTIONS(2837),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym___attribute] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym__Nonnull] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym__Alignas] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [anon_sym___asm] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token2] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [aux_sym_preproc_else_token1] = ACTIONS(2845),
    [aux_sym_preproc_elif_token1] = ACTIONS(2845),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym___attribute] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym__Nonnull] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [anon_sym_PROGMEM] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym__Alignas] = ACTIONS(2845),
    [aux_sym_primitive_type_token1] = ACTIONS(2845),
    [anon_sym_byte] = ACTIONS(2845),
    [anon_sym_word] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [anon_sym___asm] = ACTIONS(2845),
    [aux_sym_number_literal_token1] = ACTIONS(2847),
    [aux_sym_number_literal_token2] = ACTIONS(2845),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token2] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [aux_sym_preproc_else_token1] = ACTIONS(2849),
    [aux_sym_preproc_elif_token1] = ACTIONS(2849),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym___attribute] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym__Nonnull] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [anon_sym_PROGMEM] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym__Alignas] = ACTIONS(2849),
    [aux_sym_primitive_type_token1] = ACTIONS(2849),
    [anon_sym_byte] = ACTIONS(2849),
    [anon_sym_word] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [anon_sym___asm] = ACTIONS(2849),
    [aux_sym_number_literal_token1] = ACTIONS(2851),
    [aux_sym_number_literal_token2] = ACTIONS(2849),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym___attribute] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym__Nonnull] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [anon_sym_PROGMEM] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym__Alignas] = ACTIONS(2853),
    [aux_sym_primitive_type_token1] = ACTIONS(2853),
    [anon_sym_byte] = ACTIONS(2853),
    [anon_sym_word] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [anon_sym___asm] = ACTIONS(2853),
    [aux_sym_number_literal_token1] = ACTIONS(2855),
    [aux_sym_number_literal_token2] = ACTIONS(2853),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token2] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [aux_sym_preproc_else_token1] = ACTIONS(2857),
    [aux_sym_preproc_elif_token1] = ACTIONS(2857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym___attribute] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym__Nonnull] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [anon_sym_PROGMEM] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym__Alignas] = ACTIONS(2857),
    [aux_sym_primitive_type_token1] = ACTIONS(2857),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_word] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [anon_sym___asm] = ACTIONS(2857),
    [aux_sym_number_literal_token1] = ACTIONS(2859),
    [aux_sym_number_literal_token2] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym___attribute] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym__Nonnull] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [anon_sym_PROGMEM] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym__Alignas] = ACTIONS(2861),
    [aux_sym_primitive_type_token1] = ACTIONS(2861),
    [anon_sym_byte] = ACTIONS(2861),
    [anon_sym_word] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [anon_sym___asm] = ACTIONS(2861),
    [aux_sym_number_literal_token1] = ACTIONS(2863),
    [aux_sym_number_literal_token2] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [anon_sym___asm] = ACTIONS(2865),
    [aux_sym_number_literal_token1] = ACTIONS(2867),
    [aux_sym_number_literal_token2] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [288] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2671),
    [aux_sym_preproc_include_token1] = ACTIONS(2671),
    [aux_sym_preproc_def_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token2] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2671),
    [aux_sym_preproc_else_token1] = ACTIONS(2671),
    [aux_sym_preproc_elif_token1] = ACTIONS(2671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2671),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2671),
    [sym_preproc_directive] = ACTIONS(2671),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2671),
    [anon_sym_typedef] = ACTIONS(2671),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym___based] = ACTIONS(2671),
    [anon_sym___cdecl] = ACTIONS(2671),
    [anon_sym___clrcall] = ACTIONS(2671),
    [anon_sym___stdcall] = ACTIONS(2671),
    [anon_sym___fastcall] = ACTIONS(2671),
    [anon_sym___thiscall] = ACTIONS(2671),
    [anon_sym___vectorcall] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2671),
    [anon_sym_byte] = ACTIONS(2671),
    [anon_sym_word] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_case] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_goto] = ACTIONS(2671),
    [anon_sym___try] = ACTIONS(2671),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2671),
    [anon_sym_compl] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2671),
    [anon_sym___alignof__] = ACTIONS(2671),
    [anon_sym___alignof] = ACTIONS(2671),
    [anon_sym__alignof] = ACTIONS(2671),
    [anon_sym_alignof] = ACTIONS(2671),
    [anon_sym__Alignof] = ACTIONS(2671),
    [anon_sym_offsetof] = ACTIONS(2671),
    [anon_sym__Generic] = ACTIONS(2671),
    [anon_sym_asm] = ACTIONS(2671),
    [anon_sym___asm__] = ACTIONS(2671),
    [anon_sym___asm] = ACTIONS(2671),
    [aux_sym_number_literal_token1] = ACTIONS(2676),
    [aux_sym_number_literal_token2] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [anon_sym_NULL] = ACTIONS(2671),
    [anon_sym_nullptr] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2671),
    [anon_sym_explicit] = ACTIONS(2671),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2671),
    [anon_sym_operator] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_using] = ACTIONS(2671),
    [anon_sym_static_assert] = ACTIONS(2671),
    [anon_sym_concept] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2671),
    [anon_sym_co_yield] = ACTIONS(2671),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_requires] = ACTIONS(2671),
    [sym_this] = ACTIONS(2671),
  },
  [290] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2874),
    [sym__declarator] = STATE(6454),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_type_qualifier] = STATE(3902),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3262),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3304),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5645),
    [sym_qualified_identifier] = STATE(3319),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3485),
    [aux_sym__type_definition_type_repeat1] = STATE(3902),
    [aux_sym_pointer_declarator_repeat1] = STATE(2874),
    [sym_identifier] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token2] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [aux_sym_preproc_else_token1] = ACTIONS(2891),
    [aux_sym_preproc_elif_token1] = ACTIONS(2891),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym___attribute] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym__Nonnull] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [anon_sym_PROGMEM] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym__Alignas] = ACTIONS(2891),
    [aux_sym_primitive_type_token1] = ACTIONS(2891),
    [anon_sym_byte] = ACTIONS(2891),
    [anon_sym_word] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [anon_sym___asm] = ACTIONS(2891),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym___attribute] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_PROGMEM] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [aux_sym_number_literal_token1] = ACTIONS(2897),
    [aux_sym_number_literal_token2] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [293] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2874),
    [sym__declarator] = STATE(6454),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_type_qualifier] = STATE(3902),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3431),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(2468),
    [aux_sym__type_definition_type_repeat1] = STATE(3902),
    [aux_sym_pointer_declarator_repeat1] = STATE(2874),
    [sym_identifier] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [298] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [anon_sym___asm] = ACTIONS(2937),
    [aux_sym_number_literal_token1] = ACTIONS(2939),
    [aux_sym_number_literal_token2] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [aux_sym_number_literal_token1] = ACTIONS(2943),
    [aux_sym_number_literal_token2] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym___attribute] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_PROGMEM] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [aux_sym_primitive_type_token1] = ACTIONS(2945),
    [anon_sym_byte] = ACTIONS(2945),
    [anon_sym_word] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [aux_sym_number_literal_token1] = ACTIONS(2947),
    [aux_sym_number_literal_token2] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym___attribute] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_PROGMEM] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [aux_sym_primitive_type_token1] = ACTIONS(2949),
    [anon_sym_byte] = ACTIONS(2949),
    [anon_sym_word] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [aux_sym_number_literal_token1] = ACTIONS(2951),
    [aux_sym_number_literal_token2] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_PROGMEM] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [aux_sym_primitive_type_token1] = ACTIONS(2953),
    [anon_sym_byte] = ACTIONS(2953),
    [anon_sym_word] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [aux_sym_number_literal_token1] = ACTIONS(2955),
    [aux_sym_number_literal_token2] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2960),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2960),
    [anon_sym_AMP_AMP] = ACTIONS(2960),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2960),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2960),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_PROGMEM] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [aux_sym_primitive_type_token1] = ACTIONS(2957),
    [anon_sym_byte] = ACTIONS(2957),
    [anon_sym_word] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [aux_sym_number_literal_token1] = ACTIONS(2960),
    [aux_sym_number_literal_token2] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2960),
    [anon_sym_u_SQUOTE] = ACTIONS(2960),
    [anon_sym_U_SQUOTE] = ACTIONS(2960),
    [anon_sym_u8_SQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_L_DQUOTE] = ACTIONS(2960),
    [anon_sym_u_DQUOTE] = ACTIONS(2960),
    [anon_sym_U_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8_DQUOTE] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2960),
    [anon_sym_LR_DQUOTE] = ACTIONS(2960),
    [anon_sym_uR_DQUOTE] = ACTIONS(2960),
    [anon_sym_UR_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2960),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [308] = {
    [sym_catch_clause] = STATE(308),
    [aux_sym_constructor_try_statement_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2966),
    [aux_sym_preproc_include_token1] = ACTIONS(2966),
    [aux_sym_preproc_def_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token2] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2966),
    [aux_sym_preproc_else_token1] = ACTIONS(2966),
    [aux_sym_preproc_elif_token1] = ACTIONS(2966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2966),
    [sym_preproc_directive] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_AMP_AMP] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_typedef] = ACTIONS(2966),
    [anon_sym_virtual] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym___based] = ACTIONS(2966),
    [anon_sym___cdecl] = ACTIONS(2966),
    [anon_sym___clrcall] = ACTIONS(2966),
    [anon_sym___stdcall] = ACTIONS(2966),
    [anon_sym___fastcall] = ACTIONS(2966),
    [anon_sym___thiscall] = ACTIONS(2966),
    [anon_sym___vectorcall] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_mutable] = ACTIONS(2966),
    [anon_sym_constinit] = ACTIONS(2966),
    [anon_sym_consteval] = ACTIONS(2966),
    [anon_sym_PROGMEM] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [aux_sym_primitive_type_token1] = ACTIONS(2966),
    [anon_sym_byte] = ACTIONS(2966),
    [anon_sym_word] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym___leave] = ACTIONS(2966),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_compl] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [aux_sym_number_literal_token1] = ACTIONS(2968),
    [aux_sym_number_literal_token2] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2966),
    [anon_sym_decltype] = ACTIONS(2966),
    [anon_sym_explicit] = ACTIONS(2966),
    [anon_sym_typename] = ACTIONS(2966),
    [anon_sym_template] = ACTIONS(2966),
    [anon_sym_operator] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_static_assert] = ACTIONS(2966),
    [anon_sym_concept] = ACTIONS(2966),
    [anon_sym_co_return] = ACTIONS(2966),
    [anon_sym_co_yield] = ACTIONS(2966),
    [anon_sym_R_DQUOTE] = ACTIONS(2968),
    [anon_sym_LR_DQUOTE] = ACTIONS(2968),
    [anon_sym_uR_DQUOTE] = ACTIONS(2968),
    [anon_sym_UR_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2968),
    [anon_sym_co_await] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_requires] = ACTIONS(2966),
    [sym_this] = ACTIONS(2966),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_include_token1] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token2] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [aux_sym_preproc_else_token1] = ACTIONS(2970),
    [aux_sym_preproc_elif_token1] = ACTIONS(2970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym___cdecl] = ACTIONS(2970),
    [anon_sym___clrcall] = ACTIONS(2970),
    [anon_sym___stdcall] = ACTIONS(2970),
    [anon_sym___fastcall] = ACTIONS(2970),
    [anon_sym___thiscall] = ACTIONS(2970),
    [anon_sym___vectorcall] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym___leave] = ACTIONS(2970),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_compl] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [aux_sym_number_literal_token1] = ACTIONS(2972),
    [aux_sym_number_literal_token2] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
    [anon_sym_concept] = ACTIONS(2970),
    [anon_sym_co_return] = ACTIONS(2970),
    [anon_sym_co_yield] = ACTIONS(2970),
    [anon_sym_R_DQUOTE] = ACTIONS(2972),
    [anon_sym_LR_DQUOTE] = ACTIONS(2972),
    [anon_sym_uR_DQUOTE] = ACTIONS(2972),
    [anon_sym_UR_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2972),
    [anon_sym_co_await] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_requires] = ACTIONS(2970),
    [sym_this] = ACTIONS(2970),
  },
  [311] = {
    [sym_catch_clause] = STATE(308),
    [aux_sym_constructor_try_statement_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(2974),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [aux_sym_preproc_else_token1] = ACTIONS(2980),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [aux_sym_preproc_else_token1] = ACTIONS(2988),
    [aux_sym_preproc_elif_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym___attribute] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [aux_sym_preproc_else_token1] = ACTIONS(2992),
    [aux_sym_preproc_elif_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym___attribute] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [320] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [aux_sym_preproc_else_token1] = ACTIONS(3000),
    [aux_sym_preproc_elif_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [321] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [aux_sym_preproc_else_token1] = ACTIONS(3004),
    [aux_sym_preproc_elif_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [322] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [aux_sym_preproc_else_token1] = ACTIONS(3008),
    [aux_sym_preproc_elif_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [323] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [aux_sym_preproc_else_token1] = ACTIONS(3012),
    [aux_sym_preproc_elif_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [324] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [aux_sym_preproc_else_token1] = ACTIONS(3016),
    [aux_sym_preproc_elif_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [325] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [aux_sym_preproc_else_token1] = ACTIONS(3020),
    [aux_sym_preproc_elif_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [aux_sym_preproc_else_token1] = ACTIONS(3024),
    [aux_sym_preproc_elif_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [327] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [aux_sym_preproc_else_token1] = ACTIONS(3028),
    [aux_sym_preproc_elif_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym___attribute] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [328] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [aux_sym_preproc_else_token1] = ACTIONS(3032),
    [aux_sym_preproc_elif_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym___attribute] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym___attribute] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [aux_sym_preproc_else_token1] = ACTIONS(3044),
    [aux_sym_preproc_elif_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym___attribute] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_PROGMEM] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [aux_sym_primitive_type_token1] = ACTIONS(3044),
    [anon_sym_byte] = ACTIONS(3044),
    [anon_sym_word] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [aux_sym_number_literal_token1] = ACTIONS(3046),
    [aux_sym_number_literal_token2] = ACTIONS(3044),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [334] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [aux_sym_preproc_else_token1] = ACTIONS(3056),
    [aux_sym_preproc_elif_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [337] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [aux_sym_preproc_else_token1] = ACTIONS(3068),
    [aux_sym_preproc_elif_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [338] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [339] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [340] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [341] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [342] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3090),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [343] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [anon_sym___asm] = ACTIONS(3092),
    [aux_sym_number_literal_token1] = ACTIONS(3094),
    [aux_sym_number_literal_token2] = ACTIONS(3092),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [anon_sym___asm] = ACTIONS(3096),
    [aux_sym_number_literal_token1] = ACTIONS(3098),
    [aux_sym_number_literal_token2] = ACTIONS(3096),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [aux_sym_preproc_else_token1] = ACTIONS(3100),
    [aux_sym_preproc_elif_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [aux_sym_preproc_else_token1] = ACTIONS(3100),
    [aux_sym_preproc_elif_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [aux_sym_preproc_else_token1] = ACTIONS(3104),
    [aux_sym_preproc_elif_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [anon_sym___asm] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [348] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym___attribute] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym__Nonnull] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym__Alignas] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [anon_sym___asm] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [anon_sym___asm] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [anon_sym___asm] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [351] = {
    [sym_catch_clause] = STATE(363),
    [aux_sym_constructor_try_statement_repeat1] = STATE(363),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [352] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4641),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(7867),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [353] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [anon_sym___asm] = ACTIONS(3128),
    [aux_sym_number_literal_token1] = ACTIONS(3130),
    [aux_sym_number_literal_token2] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [anon_sym___asm] = ACTIONS(3132),
    [aux_sym_number_literal_token1] = ACTIONS(3134),
    [aux_sym_number_literal_token2] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [356] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [aux_sym_number_literal_token1] = ACTIONS(3141),
    [aux_sym_number_literal_token2] = ACTIONS(3139),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [aux_sym_number_literal_token1] = ACTIONS(3145),
    [aux_sym_number_literal_token2] = ACTIONS(3143),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [aux_sym_number_literal_token1] = ACTIONS(3149),
    [aux_sym_number_literal_token2] = ACTIONS(3147),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [361] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [362] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4655),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8487),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [363] = {
    [sym_catch_clause] = STATE(363),
    [aux_sym_constructor_try_statement_repeat1] = STATE(363),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [364] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8040),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [365] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4697),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(7924),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [366] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4710),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8103),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [367] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(7886),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [368] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4728),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8225),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [369] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4733),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8483),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [370] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4738),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8428),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [371] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4740),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8294),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [372] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8016),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [373] = {
    [sym_type_qualifier] = STATE(3333),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4466),
    [sym_sized_type_specifier] = STATE(1790),
    [sym_primitive_type] = STATE(5055),
    [sym_enum_specifier] = STATE(1790),
    [sym_struct_specifier] = STATE(1790),
    [sym_union_specifier] = STATE(1790),
    [sym_expression] = STATE(4742),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_type_descriptor] = STATE(8239),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_placeholder_type_specifier] = STATE(1790),
    [sym_decltype_auto] = STATE(1822),
    [sym_decltype] = STATE(1770),
    [sym_class_specifier] = STATE(1790),
    [sym__class_name] = STATE(7732),
    [sym_dependent_type] = STATE(1790),
    [sym_template_type] = STATE(5217),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(5267),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym__type_definition_type_repeat1] = STATE(3333),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4019),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [374] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(3161),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [aux_sym_preproc_else_token1] = ACTIONS(3167),
    [aux_sym_preproc_elif_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [aux_sym_number_literal_token1] = ACTIONS(3169),
    [aux_sym_number_literal_token2] = ACTIONS(3167),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [aux_sym_preproc_else_token1] = ACTIONS(3175),
    [aux_sym_preproc_elif_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym___attribute] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_PROGMEM] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [aux_sym_primitive_type_token1] = ACTIONS(3175),
    [anon_sym_byte] = ACTIONS(3175),
    [anon_sym_word] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [aux_sym_number_literal_token1] = ACTIONS(3177),
    [aux_sym_number_literal_token2] = ACTIONS(3175),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [aux_sym_preproc_else_token1] = ACTIONS(3179),
    [aux_sym_preproc_elif_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [aux_sym_number_literal_token1] = ACTIONS(3181),
    [aux_sym_number_literal_token2] = ACTIONS(3179),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [aux_sym_number_literal_token1] = ACTIONS(3185),
    [aux_sym_number_literal_token2] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [aux_sym_number_literal_token1] = ACTIONS(3189),
    [aux_sym_number_literal_token2] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_include_token1] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token2] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [aux_sym_preproc_else_token1] = ACTIONS(3191),
    [aux_sym_preproc_elif_token1] = ACTIONS(3191),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym___cdecl] = ACTIONS(3191),
    [anon_sym___clrcall] = ACTIONS(3191),
    [anon_sym___stdcall] = ACTIONS(3191),
    [anon_sym___fastcall] = ACTIONS(3191),
    [anon_sym___thiscall] = ACTIONS(3191),
    [anon_sym___vectorcall] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [anon_sym_if] = ACTIONS(3191),
    [anon_sym_switch] = ACTIONS(3191),
    [anon_sym_case] = ACTIONS(3191),
    [anon_sym_default] = ACTIONS(3191),
    [anon_sym_while] = ACTIONS(3191),
    [anon_sym_do] = ACTIONS(3191),
    [anon_sym_for] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3191),
    [anon_sym_break] = ACTIONS(3191),
    [anon_sym_continue] = ACTIONS(3191),
    [anon_sym_goto] = ACTIONS(3191),
    [anon_sym___try] = ACTIONS(3191),
    [anon_sym___leave] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3191),
    [anon_sym_compl] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3191),
    [anon_sym___alignof__] = ACTIONS(3191),
    [anon_sym___alignof] = ACTIONS(3191),
    [anon_sym__alignof] = ACTIONS(3191),
    [anon_sym_alignof] = ACTIONS(3191),
    [anon_sym__Alignof] = ACTIONS(3191),
    [anon_sym_offsetof] = ACTIONS(3191),
    [anon_sym__Generic] = ACTIONS(3191),
    [anon_sym_asm] = ACTIONS(3191),
    [anon_sym___asm__] = ACTIONS(3191),
    [anon_sym___asm] = ACTIONS(3191),
    [aux_sym_number_literal_token1] = ACTIONS(3193),
    [aux_sym_number_literal_token2] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3193),
    [anon_sym_u_SQUOTE] = ACTIONS(3193),
    [anon_sym_U_SQUOTE] = ACTIONS(3193),
    [anon_sym_u8_SQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_L_DQUOTE] = ACTIONS(3193),
    [anon_sym_u_DQUOTE] = ACTIONS(3193),
    [anon_sym_U_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8_DQUOTE] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [anon_sym_NULL] = ACTIONS(3191),
    [anon_sym_nullptr] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3191),
    [anon_sym_delete] = ACTIONS(3191),
    [anon_sym_throw] = ACTIONS(3191),
    [anon_sym_namespace] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
    [anon_sym_concept] = ACTIONS(3191),
    [anon_sym_co_return] = ACTIONS(3191),
    [anon_sym_co_yield] = ACTIONS(3191),
    [anon_sym_R_DQUOTE] = ACTIONS(3193),
    [anon_sym_LR_DQUOTE] = ACTIONS(3193),
    [anon_sym_uR_DQUOTE] = ACTIONS(3193),
    [anon_sym_UR_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3193),
    [anon_sym_co_await] = ACTIONS(3191),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_requires] = ACTIONS(3191),
    [sym_this] = ACTIONS(3191),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_include_token1] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [aux_sym_preproc_else_token1] = ACTIONS(3195),
    [aux_sym_preproc_elif_token1] = ACTIONS(3195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym___cdecl] = ACTIONS(3195),
    [anon_sym___clrcall] = ACTIONS(3195),
    [anon_sym___stdcall] = ACTIONS(3195),
    [anon_sym___fastcall] = ACTIONS(3195),
    [anon_sym___thiscall] = ACTIONS(3195),
    [anon_sym___vectorcall] = ACTIONS(3195),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [anon_sym_if] = ACTIONS(3195),
    [anon_sym_switch] = ACTIONS(3195),
    [anon_sym_case] = ACTIONS(3195),
    [anon_sym_default] = ACTIONS(3195),
    [anon_sym_while] = ACTIONS(3195),
    [anon_sym_do] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3195),
    [anon_sym_break] = ACTIONS(3195),
    [anon_sym_continue] = ACTIONS(3195),
    [anon_sym_goto] = ACTIONS(3195),
    [anon_sym___try] = ACTIONS(3195),
    [anon_sym___leave] = ACTIONS(3195),
    [anon_sym_not] = ACTIONS(3195),
    [anon_sym_compl] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3195),
    [anon_sym___alignof__] = ACTIONS(3195),
    [anon_sym___alignof] = ACTIONS(3195),
    [anon_sym__alignof] = ACTIONS(3195),
    [anon_sym_alignof] = ACTIONS(3195),
    [anon_sym__Alignof] = ACTIONS(3195),
    [anon_sym_offsetof] = ACTIONS(3195),
    [anon_sym__Generic] = ACTIONS(3195),
    [anon_sym_asm] = ACTIONS(3195),
    [anon_sym___asm__] = ACTIONS(3195),
    [anon_sym___asm] = ACTIONS(3195),
    [aux_sym_number_literal_token1] = ACTIONS(3197),
    [aux_sym_number_literal_token2] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3197),
    [anon_sym_u_SQUOTE] = ACTIONS(3197),
    [anon_sym_U_SQUOTE] = ACTIONS(3197),
    [anon_sym_u8_SQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [anon_sym_L_DQUOTE] = ACTIONS(3197),
    [anon_sym_u_DQUOTE] = ACTIONS(3197),
    [anon_sym_U_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8_DQUOTE] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [sym_true] = ACTIONS(3195),
    [sym_false] = ACTIONS(3195),
    [anon_sym_NULL] = ACTIONS(3195),
    [anon_sym_nullptr] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_try] = ACTIONS(3195),
    [anon_sym_delete] = ACTIONS(3195),
    [anon_sym_throw] = ACTIONS(3195),
    [anon_sym_namespace] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
    [anon_sym_concept] = ACTIONS(3195),
    [anon_sym_co_return] = ACTIONS(3195),
    [anon_sym_co_yield] = ACTIONS(3195),
    [anon_sym_R_DQUOTE] = ACTIONS(3197),
    [anon_sym_LR_DQUOTE] = ACTIONS(3197),
    [anon_sym_uR_DQUOTE] = ACTIONS(3197),
    [anon_sym_UR_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3197),
    [anon_sym_co_await] = ACTIONS(3195),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_requires] = ACTIONS(3195),
    [sym_this] = ACTIONS(3195),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym___attribute] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym__Nonnull] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [anon_sym_PROGMEM] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym__Alignas] = ACTIONS(3199),
    [aux_sym_primitive_type_token1] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_word] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [anon_sym___asm] = ACTIONS(3199),
    [aux_sym_number_literal_token1] = ACTIONS(3201),
    [aux_sym_number_literal_token2] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [385] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [anon_sym___asm] = ACTIONS(3203),
    [aux_sym_number_literal_token1] = ACTIONS(3205),
    [aux_sym_number_literal_token2] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [386] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [anon_sym___asm] = ACTIONS(3207),
    [aux_sym_number_literal_token1] = ACTIONS(3209),
    [aux_sym_number_literal_token2] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [aux_sym_preproc_else_token1] = ACTIONS(3215),
    [aux_sym_preproc_elif_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [389] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token2] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [aux_sym_preproc_else_token1] = ACTIONS(3219),
    [aux_sym_preproc_elif_token1] = ACTIONS(3219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [390] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [391] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(7953),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7953),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7953),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [392] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [393] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [394] = {
    [sym_preproc_def] = STATE(408),
    [sym_preproc_function_def] = STATE(408),
    [sym_preproc_call] = STATE(408),
    [sym_preproc_if_in_field_declaration_list] = STATE(408),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(408),
    [sym_preproc_else_in_field_declaration_list] = STATE(7957),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7957),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7957),
    [sym_type_definition] = STATE(408),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(408),
    [sym_field_declaration] = STATE(408),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(408),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(408),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(408),
    [sym_operator_cast_declaration] = STATE(408),
    [sym_constructor_or_destructor_definition] = STATE(408),
    [sym_constructor_or_destructor_declaration] = STATE(408),
    [sym_friend_declaration] = STATE(408),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(408),
    [sym_alias_declaration] = STATE(408),
    [sym_static_assert_declaration] = STATE(408),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(408),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [395] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8177),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8177),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8177),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [396] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(7968),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7968),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7968),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [397] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8018),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8018),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8018),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [398] = {
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_field_declaration_list] = STATE(397),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(397),
    [sym_preproc_else_in_field_declaration_list] = STATE(7950),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7950),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7950),
    [sym_type_definition] = STATE(397),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(397),
    [sym_field_declaration] = STATE(397),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(397),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(397),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(397),
    [sym_operator_cast_declaration] = STATE(397),
    [sym_constructor_or_destructor_definition] = STATE(397),
    [sym_constructor_or_destructor_declaration] = STATE(397),
    [sym_friend_declaration] = STATE(397),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(397),
    [sym_alias_declaration] = STATE(397),
    [sym_static_assert_declaration] = STATE(397),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(397),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [399] = {
    [sym_preproc_def] = STATE(407),
    [sym_preproc_function_def] = STATE(407),
    [sym_preproc_call] = STATE(407),
    [sym_preproc_if_in_field_declaration_list] = STATE(407),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(407),
    [sym_preproc_else_in_field_declaration_list] = STATE(8579),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8579),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8579),
    [sym_type_definition] = STATE(407),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(407),
    [sym_field_declaration] = STATE(407),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(407),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(407),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(407),
    [sym_operator_cast_declaration] = STATE(407),
    [sym_constructor_or_destructor_definition] = STATE(407),
    [sym_constructor_or_destructor_declaration] = STATE(407),
    [sym_friend_declaration] = STATE(407),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(407),
    [sym_alias_declaration] = STATE(407),
    [sym_static_assert_declaration] = STATE(407),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(407),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [400] = {
    [sym_preproc_def] = STATE(403),
    [sym_preproc_function_def] = STATE(403),
    [sym_preproc_call] = STATE(403),
    [sym_preproc_if_in_field_declaration_list] = STATE(403),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(403),
    [sym_preproc_else_in_field_declaration_list] = STATE(7991),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7991),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7991),
    [sym_type_definition] = STATE(403),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(403),
    [sym_field_declaration] = STATE(403),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(403),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(403),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(403),
    [sym_operator_cast_declaration] = STATE(403),
    [sym_constructor_or_destructor_definition] = STATE(403),
    [sym_constructor_or_destructor_declaration] = STATE(403),
    [sym_friend_declaration] = STATE(403),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(403),
    [sym_alias_declaration] = STATE(403),
    [sym_static_assert_declaration] = STATE(403),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(403),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [401] = {
    [sym_preproc_def] = STATE(396),
    [sym_preproc_function_def] = STATE(396),
    [sym_preproc_call] = STATE(396),
    [sym_preproc_if_in_field_declaration_list] = STATE(396),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(396),
    [sym_preproc_else_in_field_declaration_list] = STATE(8072),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8072),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8072),
    [sym_type_definition] = STATE(396),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(396),
    [sym_field_declaration] = STATE(396),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(396),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(396),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(396),
    [sym_operator_cast_declaration] = STATE(396),
    [sym_constructor_or_destructor_definition] = STATE(396),
    [sym_constructor_or_destructor_declaration] = STATE(396),
    [sym_friend_declaration] = STATE(396),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(396),
    [sym_alias_declaration] = STATE(396),
    [sym_static_assert_declaration] = STATE(396),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(396),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [402] = {
    [sym_catch_clause] = STATE(363),
    [aux_sym_constructor_try_statement_repeat1] = STATE(363),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [403] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8059),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8059),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8059),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [404] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8307),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8307),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8307),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [405] = {
    [sym_preproc_def] = STATE(391),
    [sym_preproc_function_def] = STATE(391),
    [sym_preproc_call] = STATE(391),
    [sym_preproc_if_in_field_declaration_list] = STATE(391),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(391),
    [sym_preproc_else_in_field_declaration_list] = STATE(7880),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7880),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7880),
    [sym_type_definition] = STATE(391),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(391),
    [sym_field_declaration] = STATE(391),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(391),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(391),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(391),
    [sym_operator_cast_declaration] = STATE(391),
    [sym_constructor_or_destructor_definition] = STATE(391),
    [sym_constructor_or_destructor_declaration] = STATE(391),
    [sym_friend_declaration] = STATE(391),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(391),
    [sym_alias_declaration] = STATE(391),
    [sym_static_assert_declaration] = STATE(391),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(391),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [406] = {
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_preproc_if_in_field_declaration_list] = STATE(395),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(395),
    [sym_preproc_else_in_field_declaration_list] = STATE(8000),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8000),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8000),
    [sym_type_definition] = STATE(395),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(395),
    [sym_field_declaration] = STATE(395),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(395),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(395),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(395),
    [sym_operator_cast_declaration] = STATE(395),
    [sym_constructor_or_destructor_definition] = STATE(395),
    [sym_constructor_or_destructor_declaration] = STATE(395),
    [sym_friend_declaration] = STATE(395),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(395),
    [sym_alias_declaration] = STATE(395),
    [sym_static_assert_declaration] = STATE(395),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(395),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [407] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8021),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8021),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8021),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [408] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(8091),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8091),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8091),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [409] = {
    [sym_preproc_def] = STATE(404),
    [sym_preproc_function_def] = STATE(404),
    [sym_preproc_call] = STATE(404),
    [sym_preproc_if_in_field_declaration_list] = STATE(404),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(404),
    [sym_preproc_else_in_field_declaration_list] = STATE(8044),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8044),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8044),
    [sym_type_definition] = STATE(404),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(404),
    [sym_field_declaration] = STATE(404),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(404),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(404),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(404),
    [sym_operator_cast_declaration] = STATE(404),
    [sym_constructor_or_destructor_definition] = STATE(404),
    [sym_constructor_or_destructor_declaration] = STATE(404),
    [sym_friend_declaration] = STATE(404),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(404),
    [sym_alias_declaration] = STATE(404),
    [sym_static_assert_declaration] = STATE(404),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(404),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [410] = {
    [sym_catch_clause] = STATE(363),
    [aux_sym_constructor_try_statement_repeat1] = STATE(363),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [411] = {
    [sym_else_clause] = STATE(522),
    [sym_identifier] = ACTIONS(2761),
    [aux_sym_preproc_include_token1] = ACTIONS(2761),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2761),
    [sym_preproc_directive] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2761),
    [anon_sym_typedef] = ACTIONS(2761),
    [anon_sym_virtual] = ACTIONS(2761),
    [anon_sym_extern] = ACTIONS(2761),
    [anon_sym___attribute__] = ACTIONS(2761),
    [anon_sym___attribute] = ACTIONS(2761),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2763),
    [anon_sym___declspec] = ACTIONS(2761),
    [anon_sym___based] = ACTIONS(2761),
    [anon_sym___cdecl] = ACTIONS(2761),
    [anon_sym___clrcall] = ACTIONS(2761),
    [anon_sym___stdcall] = ACTIONS(2761),
    [anon_sym___fastcall] = ACTIONS(2761),
    [anon_sym___thiscall] = ACTIONS(2761),
    [anon_sym___vectorcall] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2761),
    [anon_sym_unsigned] = ACTIONS(2761),
    [anon_sym_long] = ACTIONS(2761),
    [anon_sym_short] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_register] = ACTIONS(2761),
    [anon_sym_inline] = ACTIONS(2761),
    [anon_sym___inline] = ACTIONS(2761),
    [anon_sym___inline__] = ACTIONS(2761),
    [anon_sym___forceinline] = ACTIONS(2761),
    [anon_sym_thread_local] = ACTIONS(2761),
    [anon_sym___thread] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_constexpr] = ACTIONS(2761),
    [anon_sym_volatile] = ACTIONS(2761),
    [anon_sym_restrict] = ACTIONS(2761),
    [anon_sym___restrict__] = ACTIONS(2761),
    [anon_sym__Atomic] = ACTIONS(2761),
    [anon_sym__Noreturn] = ACTIONS(2761),
    [anon_sym_noreturn] = ACTIONS(2761),
    [anon_sym__Nonnull] = ACTIONS(2761),
    [anon_sym_mutable] = ACTIONS(2761),
    [anon_sym_constinit] = ACTIONS(2761),
    [anon_sym_consteval] = ACTIONS(2761),
    [anon_sym_PROGMEM] = ACTIONS(2761),
    [anon_sym_alignas] = ACTIONS(2761),
    [anon_sym__Alignas] = ACTIONS(2761),
    [aux_sym_primitive_type_token1] = ACTIONS(2761),
    [anon_sym_byte] = ACTIONS(2761),
    [anon_sym_word] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(2761),
    [anon_sym_union] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_goto] = ACTIONS(2761),
    [anon_sym___try] = ACTIONS(2761),
    [anon_sym___leave] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2761),
    [anon_sym_compl] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_sizeof] = ACTIONS(2761),
    [anon_sym___alignof__] = ACTIONS(2761),
    [anon_sym___alignof] = ACTIONS(2761),
    [anon_sym__alignof] = ACTIONS(2761),
    [anon_sym_alignof] = ACTIONS(2761),
    [anon_sym__Alignof] = ACTIONS(2761),
    [anon_sym_offsetof] = ACTIONS(2761),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2761),
    [anon_sym___asm__] = ACTIONS(2761),
    [anon_sym___asm] = ACTIONS(2761),
    [aux_sym_number_literal_token1] = ACTIONS(2763),
    [aux_sym_number_literal_token2] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2763),
    [anon_sym_u_SQUOTE] = ACTIONS(2763),
    [anon_sym_U_SQUOTE] = ACTIONS(2763),
    [anon_sym_u8_SQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_L_DQUOTE] = ACTIONS(2763),
    [anon_sym_u_DQUOTE] = ACTIONS(2763),
    [anon_sym_U_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [anon_sym_NULL] = ACTIONS(2761),
    [anon_sym_nullptr] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2761),
    [anon_sym_decltype] = ACTIONS(2761),
    [anon_sym_explicit] = ACTIONS(2761),
    [anon_sym_typename] = ACTIONS(2761),
    [anon_sym_template] = ACTIONS(2761),
    [anon_sym_operator] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_static_assert] = ACTIONS(2761),
    [anon_sym_concept] = ACTIONS(2761),
    [anon_sym_co_return] = ACTIONS(2761),
    [anon_sym_co_yield] = ACTIONS(2761),
    [anon_sym_R_DQUOTE] = ACTIONS(2763),
    [anon_sym_LR_DQUOTE] = ACTIONS(2763),
    [anon_sym_uR_DQUOTE] = ACTIONS(2763),
    [anon_sym_UR_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2763),
    [anon_sym_co_await] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_requires] = ACTIONS(2761),
    [sym_this] = ACTIONS(2761),
  },
  [412] = {
    [sym_else_clause] = STATE(466),
    [sym_identifier] = ACTIONS(2761),
    [aux_sym_preproc_include_token1] = ACTIONS(2761),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token2] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2761),
    [sym_preproc_directive] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2761),
    [anon_sym_typedef] = ACTIONS(2761),
    [anon_sym_virtual] = ACTIONS(2761),
    [anon_sym_extern] = ACTIONS(2761),
    [anon_sym___attribute__] = ACTIONS(2761),
    [anon_sym___attribute] = ACTIONS(2761),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2763),
    [anon_sym___declspec] = ACTIONS(2761),
    [anon_sym___based] = ACTIONS(2761),
    [anon_sym___cdecl] = ACTIONS(2761),
    [anon_sym___clrcall] = ACTIONS(2761),
    [anon_sym___stdcall] = ACTIONS(2761),
    [anon_sym___fastcall] = ACTIONS(2761),
    [anon_sym___thiscall] = ACTIONS(2761),
    [anon_sym___vectorcall] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2761),
    [anon_sym_unsigned] = ACTIONS(2761),
    [anon_sym_long] = ACTIONS(2761),
    [anon_sym_short] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_register] = ACTIONS(2761),
    [anon_sym_inline] = ACTIONS(2761),
    [anon_sym___inline] = ACTIONS(2761),
    [anon_sym___inline__] = ACTIONS(2761),
    [anon_sym___forceinline] = ACTIONS(2761),
    [anon_sym_thread_local] = ACTIONS(2761),
    [anon_sym___thread] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_constexpr] = ACTIONS(2761),
    [anon_sym_volatile] = ACTIONS(2761),
    [anon_sym_restrict] = ACTIONS(2761),
    [anon_sym___restrict__] = ACTIONS(2761),
    [anon_sym__Atomic] = ACTIONS(2761),
    [anon_sym__Noreturn] = ACTIONS(2761),
    [anon_sym_noreturn] = ACTIONS(2761),
    [anon_sym__Nonnull] = ACTIONS(2761),
    [anon_sym_mutable] = ACTIONS(2761),
    [anon_sym_constinit] = ACTIONS(2761),
    [anon_sym_consteval] = ACTIONS(2761),
    [anon_sym_PROGMEM] = ACTIONS(2761),
    [anon_sym_alignas] = ACTIONS(2761),
    [anon_sym__Alignas] = ACTIONS(2761),
    [aux_sym_primitive_type_token1] = ACTIONS(2761),
    [anon_sym_byte] = ACTIONS(2761),
    [anon_sym_word] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(2761),
    [anon_sym_union] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_goto] = ACTIONS(2761),
    [anon_sym___try] = ACTIONS(2761),
    [anon_sym___leave] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2761),
    [anon_sym_compl] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_sizeof] = ACTIONS(2761),
    [anon_sym___alignof__] = ACTIONS(2761),
    [anon_sym___alignof] = ACTIONS(2761),
    [anon_sym__alignof] = ACTIONS(2761),
    [anon_sym_alignof] = ACTIONS(2761),
    [anon_sym__Alignof] = ACTIONS(2761),
    [anon_sym_offsetof] = ACTIONS(2761),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2761),
    [anon_sym___asm__] = ACTIONS(2761),
    [anon_sym___asm] = ACTIONS(2761),
    [aux_sym_number_literal_token1] = ACTIONS(2763),
    [aux_sym_number_literal_token2] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2763),
    [anon_sym_u_SQUOTE] = ACTIONS(2763),
    [anon_sym_U_SQUOTE] = ACTIONS(2763),
    [anon_sym_u8_SQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_L_DQUOTE] = ACTIONS(2763),
    [anon_sym_u_DQUOTE] = ACTIONS(2763),
    [anon_sym_U_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [anon_sym_NULL] = ACTIONS(2761),
    [anon_sym_nullptr] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2761),
    [anon_sym_decltype] = ACTIONS(2761),
    [anon_sym_explicit] = ACTIONS(2761),
    [anon_sym_typename] = ACTIONS(2761),
    [anon_sym_template] = ACTIONS(2761),
    [anon_sym_operator] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_static_assert] = ACTIONS(2761),
    [anon_sym_concept] = ACTIONS(2761),
    [anon_sym_co_return] = ACTIONS(2761),
    [anon_sym_co_yield] = ACTIONS(2761),
    [anon_sym_R_DQUOTE] = ACTIONS(2763),
    [anon_sym_LR_DQUOTE] = ACTIONS(2763),
    [anon_sym_uR_DQUOTE] = ACTIONS(2763),
    [anon_sym_UR_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2763),
    [anon_sym_co_await] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_requires] = ACTIONS(2761),
    [sym_this] = ACTIONS(2761),
  },
  [413] = {
    [sym_else_clause] = STATE(463),
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token2] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2755),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [aux_sym_number_literal_token1] = ACTIONS(2655),
    [aux_sym_number_literal_token2] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [415] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [416] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_include_token1] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym___cdecl] = ACTIONS(1924),
    [anon_sym___clrcall] = ACTIONS(1924),
    [anon_sym___stdcall] = ACTIONS(1924),
    [anon_sym___fastcall] = ACTIONS(1924),
    [anon_sym___thiscall] = ACTIONS(1924),
    [anon_sym___vectorcall] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym___try] = ACTIONS(1924),
    [anon_sym___leave] = ACTIONS(1924),
    [anon_sym_not] = ACTIONS(1924),
    [anon_sym_compl] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1922),
    [anon_sym_sizeof] = ACTIONS(1924),
    [anon_sym___alignof__] = ACTIONS(1924),
    [anon_sym___alignof] = ACTIONS(1924),
    [anon_sym__alignof] = ACTIONS(1924),
    [anon_sym_alignof] = ACTIONS(1924),
    [anon_sym__Alignof] = ACTIONS(1924),
    [anon_sym_offsetof] = ACTIONS(1924),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1924),
    [anon_sym___asm__] = ACTIONS(1924),
    [anon_sym___asm] = ACTIONS(1924),
    [aux_sym_number_literal_token1] = ACTIONS(1922),
    [aux_sym_number_literal_token2] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1922),
    [anon_sym_u_SQUOTE] = ACTIONS(1922),
    [anon_sym_U_SQUOTE] = ACTIONS(1922),
    [anon_sym_u8_SQUOTE] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1922),
    [anon_sym_L_DQUOTE] = ACTIONS(1922),
    [anon_sym_u_DQUOTE] = ACTIONS(1922),
    [anon_sym_U_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8_DQUOTE] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1922),
    [sym_true] = ACTIONS(1924),
    [sym_false] = ACTIONS(1924),
    [anon_sym_NULL] = ACTIONS(1924),
    [anon_sym_nullptr] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_concept] = ACTIONS(1924),
    [anon_sym_co_return] = ACTIONS(1924),
    [anon_sym_co_yield] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_requires] = ACTIONS(1924),
    [sym_this] = ACTIONS(1924),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [aux_sym_number_literal_token1] = ACTIONS(2655),
    [aux_sym_number_literal_token2] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [418] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_include_token1] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym___cdecl] = ACTIONS(1924),
    [anon_sym___clrcall] = ACTIONS(1924),
    [anon_sym___stdcall] = ACTIONS(1924),
    [anon_sym___fastcall] = ACTIONS(1924),
    [anon_sym___thiscall] = ACTIONS(1924),
    [anon_sym___vectorcall] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym___try] = ACTIONS(1924),
    [anon_sym___leave] = ACTIONS(1924),
    [anon_sym_not] = ACTIONS(1924),
    [anon_sym_compl] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1922),
    [anon_sym_sizeof] = ACTIONS(1924),
    [anon_sym___alignof__] = ACTIONS(1924),
    [anon_sym___alignof] = ACTIONS(1924),
    [anon_sym__alignof] = ACTIONS(1924),
    [anon_sym_alignof] = ACTIONS(1924),
    [anon_sym__Alignof] = ACTIONS(1924),
    [anon_sym_offsetof] = ACTIONS(1924),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1924),
    [anon_sym___asm__] = ACTIONS(1924),
    [anon_sym___asm] = ACTIONS(1924),
    [aux_sym_number_literal_token1] = ACTIONS(1922),
    [aux_sym_number_literal_token2] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1922),
    [anon_sym_u_SQUOTE] = ACTIONS(1922),
    [anon_sym_U_SQUOTE] = ACTIONS(1922),
    [anon_sym_u8_SQUOTE] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1922),
    [anon_sym_L_DQUOTE] = ACTIONS(1922),
    [anon_sym_u_DQUOTE] = ACTIONS(1922),
    [anon_sym_U_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8_DQUOTE] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1922),
    [sym_true] = ACTIONS(1924),
    [sym_false] = ACTIONS(1924),
    [anon_sym_NULL] = ACTIONS(1924),
    [anon_sym_nullptr] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_concept] = ACTIONS(1924),
    [anon_sym_co_return] = ACTIONS(1924),
    [anon_sym_co_yield] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_requires] = ACTIONS(1924),
    [sym_this] = ACTIONS(1924),
  },
  [419] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [420] = {
    [sym_else_clause] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(2755),
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2755),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [421] = {
    [sym_else_clause] = STATE(513),
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2755),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [aux_sym_number_literal_token1] = ACTIONS(2655),
    [aux_sym_number_literal_token2] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [423] = {
    [sym_else_clause] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(2761),
    [aux_sym_preproc_include_token1] = ACTIONS(2761),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2761),
    [sym_preproc_directive] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2761),
    [anon_sym_typedef] = ACTIONS(2761),
    [anon_sym_virtual] = ACTIONS(2761),
    [anon_sym_extern] = ACTIONS(2761),
    [anon_sym___attribute__] = ACTIONS(2761),
    [anon_sym___attribute] = ACTIONS(2761),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2763),
    [anon_sym___declspec] = ACTIONS(2761),
    [anon_sym___based] = ACTIONS(2761),
    [anon_sym___cdecl] = ACTIONS(2761),
    [anon_sym___clrcall] = ACTIONS(2761),
    [anon_sym___stdcall] = ACTIONS(2761),
    [anon_sym___fastcall] = ACTIONS(2761),
    [anon_sym___thiscall] = ACTIONS(2761),
    [anon_sym___vectorcall] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2761),
    [anon_sym_unsigned] = ACTIONS(2761),
    [anon_sym_long] = ACTIONS(2761),
    [anon_sym_short] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_register] = ACTIONS(2761),
    [anon_sym_inline] = ACTIONS(2761),
    [anon_sym___inline] = ACTIONS(2761),
    [anon_sym___inline__] = ACTIONS(2761),
    [anon_sym___forceinline] = ACTIONS(2761),
    [anon_sym_thread_local] = ACTIONS(2761),
    [anon_sym___thread] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_constexpr] = ACTIONS(2761),
    [anon_sym_volatile] = ACTIONS(2761),
    [anon_sym_restrict] = ACTIONS(2761),
    [anon_sym___restrict__] = ACTIONS(2761),
    [anon_sym__Atomic] = ACTIONS(2761),
    [anon_sym__Noreturn] = ACTIONS(2761),
    [anon_sym_noreturn] = ACTIONS(2761),
    [anon_sym__Nonnull] = ACTIONS(2761),
    [anon_sym_mutable] = ACTIONS(2761),
    [anon_sym_constinit] = ACTIONS(2761),
    [anon_sym_consteval] = ACTIONS(2761),
    [anon_sym_PROGMEM] = ACTIONS(2761),
    [anon_sym_alignas] = ACTIONS(2761),
    [anon_sym__Alignas] = ACTIONS(2761),
    [aux_sym_primitive_type_token1] = ACTIONS(2761),
    [anon_sym_byte] = ACTIONS(2761),
    [anon_sym_word] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(2761),
    [anon_sym_union] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_goto] = ACTIONS(2761),
    [anon_sym___try] = ACTIONS(2761),
    [anon_sym___leave] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2761),
    [anon_sym_compl] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_sizeof] = ACTIONS(2761),
    [anon_sym___alignof__] = ACTIONS(2761),
    [anon_sym___alignof] = ACTIONS(2761),
    [anon_sym__alignof] = ACTIONS(2761),
    [anon_sym_alignof] = ACTIONS(2761),
    [anon_sym__Alignof] = ACTIONS(2761),
    [anon_sym_offsetof] = ACTIONS(2761),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2761),
    [anon_sym___asm__] = ACTIONS(2761),
    [anon_sym___asm] = ACTIONS(2761),
    [aux_sym_number_literal_token1] = ACTIONS(2763),
    [aux_sym_number_literal_token2] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2763),
    [anon_sym_u_SQUOTE] = ACTIONS(2763),
    [anon_sym_U_SQUOTE] = ACTIONS(2763),
    [anon_sym_u8_SQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_L_DQUOTE] = ACTIONS(2763),
    [anon_sym_u_DQUOTE] = ACTIONS(2763),
    [anon_sym_U_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [anon_sym_NULL] = ACTIONS(2761),
    [anon_sym_nullptr] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2761),
    [anon_sym_decltype] = ACTIONS(2761),
    [anon_sym_explicit] = ACTIONS(2761),
    [anon_sym_typename] = ACTIONS(2761),
    [anon_sym_template] = ACTIONS(2761),
    [anon_sym_operator] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_static_assert] = ACTIONS(2761),
    [anon_sym_concept] = ACTIONS(2761),
    [anon_sym_co_return] = ACTIONS(2761),
    [anon_sym_co_yield] = ACTIONS(2761),
    [anon_sym_R_DQUOTE] = ACTIONS(2763),
    [anon_sym_LR_DQUOTE] = ACTIONS(2763),
    [anon_sym_uR_DQUOTE] = ACTIONS(2763),
    [anon_sym_UR_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2763),
    [anon_sym_co_await] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_requires] = ACTIONS(2761),
    [sym_this] = ACTIONS(2761),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [anon_sym___asm] = ACTIONS(2817),
    [aux_sym_number_literal_token1] = ACTIONS(2819),
    [aux_sym_number_literal_token2] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym___attribute] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym__Nonnull] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [anon_sym_PROGMEM] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym__Alignas] = ACTIONS(2821),
    [aux_sym_primitive_type_token1] = ACTIONS(2821),
    [anon_sym_byte] = ACTIONS(2821),
    [anon_sym_word] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [anon_sym___asm] = ACTIONS(2821),
    [aux_sym_number_literal_token1] = ACTIONS(2823),
    [aux_sym_number_literal_token2] = ACTIONS(2821),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym___attribute] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym__Nonnull] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [anon_sym_PROGMEM] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym__Alignas] = ACTIONS(2825),
    [aux_sym_primitive_type_token1] = ACTIONS(2825),
    [anon_sym_byte] = ACTIONS(2825),
    [anon_sym_word] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [anon_sym___asm] = ACTIONS(2825),
    [aux_sym_number_literal_token1] = ACTIONS(2827),
    [aux_sym_number_literal_token2] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [anon_sym___asm] = ACTIONS(2829),
    [aux_sym_number_literal_token1] = ACTIONS(2831),
    [aux_sym_number_literal_token2] = ACTIONS(2829),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [437] = {
    [sym_catch_clause] = STATE(308),
    [aux_sym_constructor_try_statement_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(2577),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(2974),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [anon_sym___asm] = ACTIONS(2837),
    [aux_sym_number_literal_token1] = ACTIONS(2839),
    [aux_sym_number_literal_token2] = ACTIONS(2837),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym___attribute] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym__Nonnull] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [anon_sym_PROGMEM] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym__Alignas] = ACTIONS(2891),
    [aux_sym_primitive_type_token1] = ACTIONS(2891),
    [anon_sym_byte] = ACTIONS(2891),
    [anon_sym_word] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [anon_sym___asm] = ACTIONS(2891),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym___attribute] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym__Nonnull] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym__Alignas] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [anon_sym___asm] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token2] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym___attribute] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym__Nonnull] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [anon_sym_PROGMEM] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym__Alignas] = ACTIONS(2891),
    [aux_sym_primitive_type_token1] = ACTIONS(2891),
    [anon_sym_byte] = ACTIONS(2891),
    [anon_sym_word] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [anon_sym___asm] = ACTIONS(2891),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym___attribute] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_PROGMEM] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [aux_sym_number_literal_token1] = ACTIONS(2897),
    [aux_sym_number_literal_token2] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_virtual] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym___attribute] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym__Nonnull] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_PROGMEM] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [aux_sym_primitive_type_token1] = ACTIONS(2771),
    [anon_sym_byte] = ACTIONS(2771),
    [anon_sym_word] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [anon_sym___asm] = ACTIONS(2771),
    [aux_sym_number_literal_token1] = ACTIONS(2773),
    [aux_sym_number_literal_token2] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_virtual] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym___attribute] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym__Nonnull] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_PROGMEM] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [aux_sym_primitive_type_token1] = ACTIONS(2775),
    [anon_sym_byte] = ACTIONS(2775),
    [anon_sym_word] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [anon_sym___asm] = ACTIONS(2775),
    [aux_sym_number_literal_token1] = ACTIONS(2777),
    [aux_sym_number_literal_token2] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(2773),
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_virtual] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym___attribute] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym__Nonnull] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_PROGMEM] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [aux_sym_primitive_type_token1] = ACTIONS(2771),
    [anon_sym_byte] = ACTIONS(2771),
    [anon_sym_word] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [anon_sym___asm] = ACTIONS(2771),
    [aux_sym_number_literal_token1] = ACTIONS(2773),
    [aux_sym_number_literal_token2] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym___attribute] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym__Nonnull] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [anon_sym_PROGMEM] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym__Alignas] = ACTIONS(2805),
    [aux_sym_primitive_type_token1] = ACTIONS(2805),
    [anon_sym_byte] = ACTIONS(2805),
    [anon_sym_word] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [anon_sym___asm] = ACTIONS(2805),
    [aux_sym_number_literal_token1] = ACTIONS(2807),
    [aux_sym_number_literal_token2] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym___attribute] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym__Nonnull] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [anon_sym_PROGMEM] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym__Alignas] = ACTIONS(2821),
    [aux_sym_primitive_type_token1] = ACTIONS(2821),
    [anon_sym_byte] = ACTIONS(2821),
    [anon_sym_word] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [anon_sym___asm] = ACTIONS(2821),
    [aux_sym_number_literal_token1] = ACTIONS(2823),
    [aux_sym_number_literal_token2] = ACTIONS(2821),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym___attribute] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym__Nonnull] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [anon_sym_PROGMEM] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym__Alignas] = ACTIONS(2845),
    [aux_sym_primitive_type_token1] = ACTIONS(2845),
    [anon_sym_byte] = ACTIONS(2845),
    [anon_sym_word] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [anon_sym___asm] = ACTIONS(2845),
    [aux_sym_number_literal_token1] = ACTIONS(2847),
    [aux_sym_number_literal_token2] = ACTIONS(2845),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym___attribute] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym__Nonnull] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [anon_sym_PROGMEM] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym__Alignas] = ACTIONS(2849),
    [aux_sym_primitive_type_token1] = ACTIONS(2849),
    [anon_sym_byte] = ACTIONS(2849),
    [anon_sym_word] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [anon_sym___asm] = ACTIONS(2849),
    [aux_sym_number_literal_token1] = ACTIONS(2851),
    [aux_sym_number_literal_token2] = ACTIONS(2849),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym___attribute] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym__Nonnull] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [anon_sym_PROGMEM] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym__Alignas] = ACTIONS(2853),
    [aux_sym_primitive_type_token1] = ACTIONS(2853),
    [anon_sym_byte] = ACTIONS(2853),
    [anon_sym_word] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [anon_sym___asm] = ACTIONS(2853),
    [aux_sym_number_literal_token1] = ACTIONS(2855),
    [aux_sym_number_literal_token2] = ACTIONS(2853),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym___attribute] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym__Nonnull] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [anon_sym_PROGMEM] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym__Alignas] = ACTIONS(2825),
    [aux_sym_primitive_type_token1] = ACTIONS(2825),
    [anon_sym_byte] = ACTIONS(2825),
    [anon_sym_word] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [anon_sym___asm] = ACTIONS(2825),
    [aux_sym_number_literal_token1] = ACTIONS(2827),
    [aux_sym_number_literal_token2] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym___attribute] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym__Nonnull] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym__Alignas] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [anon_sym___asm] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym___attribute] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym__Nonnull] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [anon_sym_PROGMEM] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym__Alignas] = ACTIONS(2857),
    [aux_sym_primitive_type_token1] = ACTIONS(2857),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_word] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [anon_sym___asm] = ACTIONS(2857),
    [aux_sym_number_literal_token1] = ACTIONS(2859),
    [aux_sym_number_literal_token2] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token2] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym___attribute] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym__Nonnull] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [anon_sym_PROGMEM] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym__Alignas] = ACTIONS(2845),
    [aux_sym_primitive_type_token1] = ACTIONS(2845),
    [anon_sym_byte] = ACTIONS(2845),
    [anon_sym_word] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [anon_sym___asm] = ACTIONS(2845),
    [aux_sym_number_literal_token1] = ACTIONS(2847),
    [aux_sym_number_literal_token2] = ACTIONS(2845),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token2] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym___attribute] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym__Nonnull] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [anon_sym_PROGMEM] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym__Alignas] = ACTIONS(2849),
    [aux_sym_primitive_type_token1] = ACTIONS(2849),
    [anon_sym_byte] = ACTIONS(2849),
    [anon_sym_word] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [anon_sym___asm] = ACTIONS(2849),
    [aux_sym_number_literal_token1] = ACTIONS(2851),
    [aux_sym_number_literal_token2] = ACTIONS(2849),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym___attribute] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym__Nonnull] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [anon_sym_PROGMEM] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym__Alignas] = ACTIONS(2853),
    [aux_sym_primitive_type_token1] = ACTIONS(2853),
    [anon_sym_byte] = ACTIONS(2853),
    [anon_sym_word] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [anon_sym___asm] = ACTIONS(2853),
    [aux_sym_number_literal_token1] = ACTIONS(2855),
    [aux_sym_number_literal_token2] = ACTIONS(2853),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token2] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym___attribute] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym__Nonnull] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [anon_sym_PROGMEM] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym__Alignas] = ACTIONS(2857),
    [aux_sym_primitive_type_token1] = ACTIONS(2857),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_word] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [anon_sym___asm] = ACTIONS(2857),
    [aux_sym_number_literal_token1] = ACTIONS(2859),
    [aux_sym_number_literal_token2] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym___attribute] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym__Nonnull] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [anon_sym_PROGMEM] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym__Alignas] = ACTIONS(2861),
    [aux_sym_primitive_type_token1] = ACTIONS(2861),
    [anon_sym_byte] = ACTIONS(2861),
    [anon_sym_word] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [anon_sym___asm] = ACTIONS(2861),
    [aux_sym_number_literal_token1] = ACTIONS(2863),
    [aux_sym_number_literal_token2] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym___attribute] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym__Nonnull] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [anon_sym_PROGMEM] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym__Alignas] = ACTIONS(2861),
    [aux_sym_primitive_type_token1] = ACTIONS(2861),
    [anon_sym_byte] = ACTIONS(2861),
    [anon_sym_word] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [anon_sym___asm] = ACTIONS(2861),
    [aux_sym_number_literal_token1] = ACTIONS(2863),
    [aux_sym_number_literal_token2] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [anon_sym___asm] = ACTIONS(2829),
    [aux_sym_number_literal_token1] = ACTIONS(2831),
    [aux_sym_number_literal_token2] = ACTIONS(2829),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [anon_sym___asm] = ACTIONS(2865),
    [aux_sym_number_literal_token1] = ACTIONS(2867),
    [aux_sym_number_literal_token2] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [anon_sym___asm] = ACTIONS(2865),
    [aux_sym_number_literal_token1] = ACTIONS(2867),
    [aux_sym_number_literal_token2] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2671),
    [aux_sym_preproc_include_token1] = ACTIONS(2671),
    [aux_sym_preproc_def_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token2] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2671),
    [sym_preproc_directive] = ACTIONS(2671),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2671),
    [anon_sym_typedef] = ACTIONS(2671),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym___based] = ACTIONS(2671),
    [anon_sym___cdecl] = ACTIONS(2671),
    [anon_sym___clrcall] = ACTIONS(2671),
    [anon_sym___stdcall] = ACTIONS(2671),
    [anon_sym___fastcall] = ACTIONS(2671),
    [anon_sym___thiscall] = ACTIONS(2671),
    [anon_sym___vectorcall] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2671),
    [anon_sym_byte] = ACTIONS(2671),
    [anon_sym_word] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_case] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_goto] = ACTIONS(2671),
    [anon_sym___try] = ACTIONS(2671),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2671),
    [anon_sym_compl] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2671),
    [anon_sym___alignof__] = ACTIONS(2671),
    [anon_sym___alignof] = ACTIONS(2671),
    [anon_sym__alignof] = ACTIONS(2671),
    [anon_sym_alignof] = ACTIONS(2671),
    [anon_sym__Alignof] = ACTIONS(2671),
    [anon_sym_offsetof] = ACTIONS(2671),
    [anon_sym__Generic] = ACTIONS(2671),
    [anon_sym_asm] = ACTIONS(2671),
    [anon_sym___asm__] = ACTIONS(2671),
    [anon_sym___asm] = ACTIONS(2671),
    [aux_sym_number_literal_token1] = ACTIONS(2676),
    [aux_sym_number_literal_token2] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [anon_sym_NULL] = ACTIONS(2671),
    [anon_sym_nullptr] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2671),
    [anon_sym_explicit] = ACTIONS(2671),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2671),
    [anon_sym_operator] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_using] = ACTIONS(2671),
    [anon_sym_static_assert] = ACTIONS(2671),
    [anon_sym_concept] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2671),
    [anon_sym_co_yield] = ACTIONS(2671),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_requires] = ACTIONS(2671),
    [sym_this] = ACTIONS(2671),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token2] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2733),
    [anon_sym_byte] = ACTIONS(2733),
    [anon_sym_word] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [anon_sym___asm] = ACTIONS(2733),
    [aux_sym_number_literal_token1] = ACTIONS(2738),
    [aux_sym_number_literal_token2] = ACTIONS(2733),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
  },
  [482] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [483] = {
    [sym_catch_clause] = STATE(308),
    [aux_sym_constructor_try_statement_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(2581),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(2974),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [anon_sym___asm] = ACTIONS(2817),
    [aux_sym_number_literal_token1] = ACTIONS(2819),
    [aux_sym_number_literal_token2] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [anon_sym___asm] = ACTIONS(2837),
    [aux_sym_number_literal_token1] = ACTIONS(2839),
    [aux_sym_number_literal_token2] = ACTIONS(2837),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_identifier] = ACTIONS(2671),
    [aux_sym_preproc_include_token1] = ACTIONS(2671),
    [aux_sym_preproc_def_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2671),
    [sym_preproc_directive] = ACTIONS(2671),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2671),
    [anon_sym_typedef] = ACTIONS(2671),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym___based] = ACTIONS(2671),
    [anon_sym___cdecl] = ACTIONS(2671),
    [anon_sym___clrcall] = ACTIONS(2671),
    [anon_sym___stdcall] = ACTIONS(2671),
    [anon_sym___fastcall] = ACTIONS(2671),
    [anon_sym___thiscall] = ACTIONS(2671),
    [anon_sym___vectorcall] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2671),
    [anon_sym_byte] = ACTIONS(2671),
    [anon_sym_word] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_case] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_goto] = ACTIONS(2671),
    [anon_sym___try] = ACTIONS(2671),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2671),
    [anon_sym_compl] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2671),
    [anon_sym___alignof__] = ACTIONS(2671),
    [anon_sym___alignof] = ACTIONS(2671),
    [anon_sym__alignof] = ACTIONS(2671),
    [anon_sym_alignof] = ACTIONS(2671),
    [anon_sym__Alignof] = ACTIONS(2671),
    [anon_sym_offsetof] = ACTIONS(2671),
    [anon_sym__Generic] = ACTIONS(2671),
    [anon_sym_asm] = ACTIONS(2671),
    [anon_sym___asm__] = ACTIONS(2671),
    [anon_sym___asm] = ACTIONS(2671),
    [aux_sym_number_literal_token1] = ACTIONS(2676),
    [aux_sym_number_literal_token2] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [anon_sym_NULL] = ACTIONS(2671),
    [anon_sym_nullptr] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2671),
    [anon_sym_explicit] = ACTIONS(2671),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2671),
    [anon_sym_operator] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_using] = ACTIONS(2671),
    [anon_sym_static_assert] = ACTIONS(2671),
    [anon_sym_concept] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2671),
    [anon_sym_co_yield] = ACTIONS(2671),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_requires] = ACTIONS(2671),
    [sym_this] = ACTIONS(2671),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2893),
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym___attribute] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym__Nonnull] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [anon_sym_PROGMEM] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym__Alignas] = ACTIONS(2891),
    [aux_sym_primitive_type_token1] = ACTIONS(2891),
    [anon_sym_byte] = ACTIONS(2891),
    [anon_sym_word] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [anon_sym___asm] = ACTIONS(2891),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym___attribute] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_PROGMEM] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [aux_sym_number_literal_token1] = ACTIONS(2897),
    [aux_sym_number_literal_token2] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_virtual] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym___attribute] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym__Nonnull] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_PROGMEM] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [aux_sym_primitive_type_token1] = ACTIONS(2771),
    [anon_sym_byte] = ACTIONS(2771),
    [anon_sym_word] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [anon_sym___asm] = ACTIONS(2771),
    [aux_sym_number_literal_token1] = ACTIONS(2773),
    [aux_sym_number_literal_token2] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2777),
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_virtual] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym___attribute] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym__Nonnull] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_PROGMEM] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [aux_sym_primitive_type_token1] = ACTIONS(2775),
    [anon_sym_byte] = ACTIONS(2775),
    [anon_sym_word] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [anon_sym___asm] = ACTIONS(2775),
    [aux_sym_number_literal_token1] = ACTIONS(2777),
    [aux_sym_number_literal_token2] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2733),
    [anon_sym_byte] = ACTIONS(2733),
    [anon_sym_word] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [anon_sym___asm] = ACTIONS(2733),
    [aux_sym_number_literal_token1] = ACTIONS(2738),
    [aux_sym_number_literal_token2] = ACTIONS(2733),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym___attribute] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym__Nonnull] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [anon_sym_PROGMEM] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym__Alignas] = ACTIONS(2805),
    [aux_sym_primitive_type_token1] = ACTIONS(2805),
    [anon_sym_byte] = ACTIONS(2805),
    [anon_sym_word] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [anon_sym___asm] = ACTIONS(2805),
    [aux_sym_number_literal_token1] = ACTIONS(2807),
    [aux_sym_number_literal_token2] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [anon_sym___asm] = ACTIONS(2817),
    [aux_sym_number_literal_token1] = ACTIONS(2819),
    [aux_sym_number_literal_token2] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [511] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym___attribute] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym__Nonnull] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [anon_sym_PROGMEM] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym__Alignas] = ACTIONS(2821),
    [aux_sym_primitive_type_token1] = ACTIONS(2821),
    [anon_sym_byte] = ACTIONS(2821),
    [anon_sym_word] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [anon_sym___asm] = ACTIONS(2821),
    [aux_sym_number_literal_token1] = ACTIONS(2823),
    [aux_sym_number_literal_token2] = ACTIONS(2821),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym___attribute] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym__Nonnull] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [anon_sym_PROGMEM] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym__Alignas] = ACTIONS(2825),
    [aux_sym_primitive_type_token1] = ACTIONS(2825),
    [anon_sym_byte] = ACTIONS(2825),
    [anon_sym_word] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [anon_sym___asm] = ACTIONS(2825),
    [aux_sym_number_literal_token1] = ACTIONS(2827),
    [aux_sym_number_literal_token2] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_virtual] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym___attribute] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym__Nonnull] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_PROGMEM] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [aux_sym_primitive_type_token1] = ACTIONS(2775),
    [anon_sym_byte] = ACTIONS(2775),
    [anon_sym_word] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [anon_sym___asm] = ACTIONS(2775),
    [aux_sym_number_literal_token1] = ACTIONS(2777),
    [aux_sym_number_literal_token2] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2733),
    [anon_sym_byte] = ACTIONS(2733),
    [anon_sym_word] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [anon_sym___asm] = ACTIONS(2733),
    [aux_sym_number_literal_token1] = ACTIONS(2738),
    [aux_sym_number_literal_token2] = ACTIONS(2733),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [anon_sym___asm] = ACTIONS(2829),
    [aux_sym_number_literal_token1] = ACTIONS(2831),
    [aux_sym_number_literal_token2] = ACTIONS(2829),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [anon_sym___asm] = ACTIONS(2837),
    [aux_sym_number_literal_token1] = ACTIONS(2839),
    [aux_sym_number_literal_token2] = ACTIONS(2837),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym___attribute] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym__Nonnull] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym__Alignas] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [anon_sym___asm] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym___attribute] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym__Nonnull] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [anon_sym_PROGMEM] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym__Alignas] = ACTIONS(2845),
    [aux_sym_primitive_type_token1] = ACTIONS(2845),
    [anon_sym_byte] = ACTIONS(2845),
    [anon_sym_word] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [anon_sym___asm] = ACTIONS(2845),
    [aux_sym_number_literal_token1] = ACTIONS(2847),
    [aux_sym_number_literal_token2] = ACTIONS(2845),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym___attribute] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_RBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym__Nonnull] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [anon_sym_PROGMEM] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym__Alignas] = ACTIONS(2849),
    [aux_sym_primitive_type_token1] = ACTIONS(2849),
    [anon_sym_byte] = ACTIONS(2849),
    [anon_sym_word] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [anon_sym___asm] = ACTIONS(2849),
    [aux_sym_number_literal_token1] = ACTIONS(2851),
    [aux_sym_number_literal_token2] = ACTIONS(2849),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym___attribute] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym__Nonnull] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [anon_sym_PROGMEM] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym__Alignas] = ACTIONS(2853),
    [aux_sym_primitive_type_token1] = ACTIONS(2853),
    [anon_sym_byte] = ACTIONS(2853),
    [anon_sym_word] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [anon_sym___asm] = ACTIONS(2853),
    [aux_sym_number_literal_token1] = ACTIONS(2855),
    [aux_sym_number_literal_token2] = ACTIONS(2853),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym___attribute] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym__Nonnull] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [anon_sym_PROGMEM] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym__Alignas] = ACTIONS(2857),
    [aux_sym_primitive_type_token1] = ACTIONS(2857),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_word] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [anon_sym___asm] = ACTIONS(2857),
    [aux_sym_number_literal_token1] = ACTIONS(2859),
    [aux_sym_number_literal_token2] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym___attribute] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym__Nonnull] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [anon_sym_PROGMEM] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym__Alignas] = ACTIONS(2861),
    [aux_sym_primitive_type_token1] = ACTIONS(2861),
    [anon_sym_byte] = ACTIONS(2861),
    [anon_sym_word] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [anon_sym___asm] = ACTIONS(2861),
    [aux_sym_number_literal_token1] = ACTIONS(2863),
    [aux_sym_number_literal_token2] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [anon_sym___asm] = ACTIONS(2865),
    [aux_sym_number_literal_token1] = ACTIONS(2867),
    [aux_sym_number_literal_token2] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym___attribute] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_PROGMEM] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [aux_sym_number_literal_token1] = ACTIONS(2897),
    [aux_sym_number_literal_token2] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2671),
    [aux_sym_preproc_include_token1] = ACTIONS(2671),
    [aux_sym_preproc_def_token1] = ACTIONS(2671),
    [aux_sym_preproc_if_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2671),
    [sym_preproc_directive] = ACTIONS(2671),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2671),
    [anon_sym_typedef] = ACTIONS(2671),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym___based] = ACTIONS(2671),
    [anon_sym___cdecl] = ACTIONS(2671),
    [anon_sym___clrcall] = ACTIONS(2671),
    [anon_sym___stdcall] = ACTIONS(2671),
    [anon_sym___fastcall] = ACTIONS(2671),
    [anon_sym___thiscall] = ACTIONS(2671),
    [anon_sym___vectorcall] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2671),
    [anon_sym_byte] = ACTIONS(2671),
    [anon_sym_word] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_case] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_goto] = ACTIONS(2671),
    [anon_sym___try] = ACTIONS(2671),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2671),
    [anon_sym_compl] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2671),
    [anon_sym___alignof__] = ACTIONS(2671),
    [anon_sym___alignof] = ACTIONS(2671),
    [anon_sym__alignof] = ACTIONS(2671),
    [anon_sym_alignof] = ACTIONS(2671),
    [anon_sym__Alignof] = ACTIONS(2671),
    [anon_sym_offsetof] = ACTIONS(2671),
    [anon_sym__Generic] = ACTIONS(2671),
    [anon_sym_asm] = ACTIONS(2671),
    [anon_sym___asm__] = ACTIONS(2671),
    [anon_sym___asm] = ACTIONS(2671),
    [aux_sym_number_literal_token1] = ACTIONS(2676),
    [aux_sym_number_literal_token2] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [anon_sym_NULL] = ACTIONS(2671),
    [anon_sym_nullptr] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2671),
    [anon_sym_explicit] = ACTIONS(2671),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2671),
    [anon_sym_operator] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_using] = ACTIONS(2671),
    [anon_sym_static_assert] = ACTIONS(2671),
    [anon_sym_concept] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2671),
    [anon_sym_co_yield] = ACTIONS(2671),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_requires] = ACTIONS(2671),
    [sym_this] = ACTIONS(2671),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym___attribute] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym__Nonnull] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [anon_sym_PROGMEM] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym__Alignas] = ACTIONS(2805),
    [aux_sym_primitive_type_token1] = ACTIONS(2805),
    [anon_sym_byte] = ACTIONS(2805),
    [anon_sym_word] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [anon_sym___asm] = ACTIONS(2805),
    [aux_sym_number_literal_token1] = ACTIONS(2807),
    [aux_sym_number_literal_token2] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3090),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token2] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [anon_sym___asm] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [anon_sym___asm] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [anon_sym___asm] = ACTIONS(3128),
    [aux_sym_number_literal_token1] = ACTIONS(3130),
    [aux_sym_number_literal_token2] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [anon_sym___asm] = ACTIONS(3132),
    [aux_sym_number_literal_token1] = ACTIONS(3134),
    [aux_sym_number_literal_token2] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym___attribute] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_PROGMEM] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [aux_sym_primitive_type_token1] = ACTIONS(2945),
    [anon_sym_byte] = ACTIONS(2945),
    [anon_sym_word] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [aux_sym_number_literal_token1] = ACTIONS(2947),
    [aux_sym_number_literal_token2] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [aux_sym_number_literal_token1] = ACTIONS(3141),
    [aux_sym_number_literal_token2] = ACTIONS(3139),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [aux_sym_number_literal_token1] = ACTIONS(3145),
    [aux_sym_number_literal_token2] = ACTIONS(3143),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [aux_sym_number_literal_token1] = ACTIONS(3149),
    [aux_sym_number_literal_token2] = ACTIONS(3147),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym___attribute] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_PROGMEM] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [aux_sym_primitive_type_token1] = ACTIONS(2949),
    [anon_sym_byte] = ACTIONS(2949),
    [anon_sym_word] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [aux_sym_number_literal_token1] = ACTIONS(2951),
    [aux_sym_number_literal_token2] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_PROGMEM] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [aux_sym_primitive_type_token1] = ACTIONS(2953),
    [anon_sym_byte] = ACTIONS(2953),
    [anon_sym_word] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [aux_sym_number_literal_token1] = ACTIONS(2955),
    [aux_sym_number_literal_token2] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym___attribute] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [anon_sym___asm] = ACTIONS(3128),
    [aux_sym_number_literal_token1] = ACTIONS(3130),
    [aux_sym_number_literal_token2] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [anon_sym___asm] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [anon_sym___asm] = ACTIONS(3132),
    [aux_sym_number_literal_token1] = ACTIONS(3134),
    [aux_sym_number_literal_token2] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token2] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym___attribute] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_PROGMEM] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [aux_sym_primitive_type_token1] = ACTIONS(3175),
    [anon_sym_byte] = ACTIONS(3175),
    [anon_sym_word] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [aux_sym_number_literal_token1] = ACTIONS(3177),
    [aux_sym_number_literal_token2] = ACTIONS(3175),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [aux_sym_number_literal_token1] = ACTIONS(2943),
    [aux_sym_number_literal_token2] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [569] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [aux_sym_number_literal_token1] = ACTIONS(3169),
    [aux_sym_number_literal_token2] = ACTIONS(3167),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2966),
    [aux_sym_preproc_include_token1] = ACTIONS(2966),
    [aux_sym_preproc_def_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token2] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2966),
    [sym_preproc_directive] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_AMP_AMP] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_typedef] = ACTIONS(2966),
    [anon_sym_virtual] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym___based] = ACTIONS(2966),
    [anon_sym___cdecl] = ACTIONS(2966),
    [anon_sym___clrcall] = ACTIONS(2966),
    [anon_sym___stdcall] = ACTIONS(2966),
    [anon_sym___fastcall] = ACTIONS(2966),
    [anon_sym___thiscall] = ACTIONS(2966),
    [anon_sym___vectorcall] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_mutable] = ACTIONS(2966),
    [anon_sym_constinit] = ACTIONS(2966),
    [anon_sym_consteval] = ACTIONS(2966),
    [anon_sym_PROGMEM] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [aux_sym_primitive_type_token1] = ACTIONS(2966),
    [anon_sym_byte] = ACTIONS(2966),
    [anon_sym_word] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym___leave] = ACTIONS(2966),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_compl] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [aux_sym_number_literal_token1] = ACTIONS(2968),
    [aux_sym_number_literal_token2] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2966),
    [anon_sym_decltype] = ACTIONS(2966),
    [anon_sym_explicit] = ACTIONS(2966),
    [anon_sym_typename] = ACTIONS(2966),
    [anon_sym_template] = ACTIONS(2966),
    [anon_sym_operator] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_static_assert] = ACTIONS(2966),
    [anon_sym_concept] = ACTIONS(2966),
    [anon_sym_co_return] = ACTIONS(2966),
    [anon_sym_co_yield] = ACTIONS(2966),
    [anon_sym_R_DQUOTE] = ACTIONS(2968),
    [anon_sym_LR_DQUOTE] = ACTIONS(2968),
    [anon_sym_uR_DQUOTE] = ACTIONS(2968),
    [anon_sym_UR_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2968),
    [anon_sym_co_await] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_requires] = ACTIONS(2966),
    [sym_this] = ACTIONS(2966),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym___attribute] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym__Nonnull] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [anon_sym_PROGMEM] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym__Alignas] = ACTIONS(3199),
    [aux_sym_primitive_type_token1] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_word] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [anon_sym___asm] = ACTIONS(3199),
    [aux_sym_number_literal_token1] = ACTIONS(3201),
    [aux_sym_number_literal_token2] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym___attribute] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [578] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [anon_sym___asm] = ACTIONS(2937),
    [aux_sym_number_literal_token1] = ACTIONS(2939),
    [aux_sym_number_literal_token2] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym___attribute] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym___attribute] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [aux_sym_number_literal_token1] = ACTIONS(2943),
    [aux_sym_number_literal_token2] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym___attribute] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym___attribute] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1918),
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_include_token1] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_case] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_namespace] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym___attribute] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_PROGMEM] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [aux_sym_primitive_type_token1] = ACTIONS(3175),
    [anon_sym_byte] = ACTIONS(3175),
    [anon_sym_word] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym___try] = ACTIONS(3175),
    [anon_sym___leave] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [aux_sym_number_literal_token1] = ACTIONS(3177),
    [aux_sym_number_literal_token2] = ACTIONS(3175),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [593] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2960),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2960),
    [anon_sym_AMP_AMP] = ACTIONS(2960),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2960),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2960),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_RBRACE] = ACTIONS(2960),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_PROGMEM] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [aux_sym_primitive_type_token1] = ACTIONS(2957),
    [anon_sym_byte] = ACTIONS(2957),
    [anon_sym_word] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [aux_sym_number_literal_token1] = ACTIONS(2960),
    [aux_sym_number_literal_token2] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2960),
    [anon_sym_u_SQUOTE] = ACTIONS(2960),
    [anon_sym_U_SQUOTE] = ACTIONS(2960),
    [anon_sym_u8_SQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_L_DQUOTE] = ACTIONS(2960),
    [anon_sym_u_DQUOTE] = ACTIONS(2960),
    [anon_sym_U_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8_DQUOTE] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2960),
    [anon_sym_LR_DQUOTE] = ACTIONS(2960),
    [anon_sym_uR_DQUOTE] = ACTIONS(2960),
    [anon_sym_UR_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2960),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [aux_sym_number_literal_token1] = ACTIONS(3141),
    [aux_sym_number_literal_token2] = ACTIONS(3139),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [aux_sym_number_literal_token1] = ACTIONS(3149),
    [aux_sym_number_literal_token2] = ACTIONS(3147),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym___attribute] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_PROGMEM] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [aux_sym_primitive_type_token1] = ACTIONS(3044),
    [anon_sym_byte] = ACTIONS(3044),
    [anon_sym_word] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [aux_sym_number_literal_token1] = ACTIONS(3046),
    [aux_sym_number_literal_token2] = ACTIONS(3044),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym___attribute] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym__Nonnull] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [anon_sym_PROGMEM] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym__Alignas] = ACTIONS(3199),
    [aux_sym_primitive_type_token1] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_word] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [anon_sym___asm] = ACTIONS(3199),
    [aux_sym_number_literal_token1] = ACTIONS(3201),
    [aux_sym_number_literal_token2] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [603] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [anon_sym___asm] = ACTIONS(3096),
    [aux_sym_number_literal_token1] = ACTIONS(3098),
    [aux_sym_number_literal_token2] = ACTIONS(3096),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym___attribute] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_PROGMEM] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [aux_sym_primitive_type_token1] = ACTIONS(3044),
    [anon_sym_byte] = ACTIONS(3044),
    [anon_sym_word] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [aux_sym_number_literal_token1] = ACTIONS(3046),
    [aux_sym_number_literal_token2] = ACTIONS(3044),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [aux_sym_number_literal_token1] = ACTIONS(3181),
    [aux_sym_number_literal_token2] = ACTIONS(3179),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [aux_sym_number_literal_token1] = ACTIONS(3185),
    [aux_sym_number_literal_token2] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [612] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [aux_sym_number_literal_token1] = ACTIONS(3189),
    [aux_sym_number_literal_token2] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_include_token1] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym___cdecl] = ACTIONS(3191),
    [anon_sym___clrcall] = ACTIONS(3191),
    [anon_sym___stdcall] = ACTIONS(3191),
    [anon_sym___fastcall] = ACTIONS(3191),
    [anon_sym___thiscall] = ACTIONS(3191),
    [anon_sym___vectorcall] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [anon_sym_if] = ACTIONS(3191),
    [anon_sym_switch] = ACTIONS(3191),
    [anon_sym_case] = ACTIONS(3191),
    [anon_sym_default] = ACTIONS(3191),
    [anon_sym_while] = ACTIONS(3191),
    [anon_sym_do] = ACTIONS(3191),
    [anon_sym_for] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3191),
    [anon_sym_break] = ACTIONS(3191),
    [anon_sym_continue] = ACTIONS(3191),
    [anon_sym_goto] = ACTIONS(3191),
    [anon_sym___try] = ACTIONS(3191),
    [anon_sym___leave] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3191),
    [anon_sym_compl] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3191),
    [anon_sym___alignof__] = ACTIONS(3191),
    [anon_sym___alignof] = ACTIONS(3191),
    [anon_sym__alignof] = ACTIONS(3191),
    [anon_sym_alignof] = ACTIONS(3191),
    [anon_sym__Alignof] = ACTIONS(3191),
    [anon_sym_offsetof] = ACTIONS(3191),
    [anon_sym__Generic] = ACTIONS(3191),
    [anon_sym_asm] = ACTIONS(3191),
    [anon_sym___asm__] = ACTIONS(3191),
    [anon_sym___asm] = ACTIONS(3191),
    [aux_sym_number_literal_token1] = ACTIONS(3193),
    [aux_sym_number_literal_token2] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3193),
    [anon_sym_u_SQUOTE] = ACTIONS(3193),
    [anon_sym_U_SQUOTE] = ACTIONS(3193),
    [anon_sym_u8_SQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_L_DQUOTE] = ACTIONS(3193),
    [anon_sym_u_DQUOTE] = ACTIONS(3193),
    [anon_sym_U_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8_DQUOTE] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [anon_sym_NULL] = ACTIONS(3191),
    [anon_sym_nullptr] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3191),
    [anon_sym_delete] = ACTIONS(3191),
    [anon_sym_throw] = ACTIONS(3191),
    [anon_sym_namespace] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
    [anon_sym_concept] = ACTIONS(3191),
    [anon_sym_co_return] = ACTIONS(3191),
    [anon_sym_co_yield] = ACTIONS(3191),
    [anon_sym_R_DQUOTE] = ACTIONS(3193),
    [anon_sym_LR_DQUOTE] = ACTIONS(3193),
    [anon_sym_uR_DQUOTE] = ACTIONS(3193),
    [anon_sym_UR_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3193),
    [anon_sym_co_await] = ACTIONS(3191),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_requires] = ACTIONS(3191),
    [sym_this] = ACTIONS(3191),
  },
  [614] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_include_token1] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym___cdecl] = ACTIONS(3195),
    [anon_sym___clrcall] = ACTIONS(3195),
    [anon_sym___stdcall] = ACTIONS(3195),
    [anon_sym___fastcall] = ACTIONS(3195),
    [anon_sym___thiscall] = ACTIONS(3195),
    [anon_sym___vectorcall] = ACTIONS(3195),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [anon_sym_if] = ACTIONS(3195),
    [anon_sym_switch] = ACTIONS(3195),
    [anon_sym_case] = ACTIONS(3195),
    [anon_sym_default] = ACTIONS(3195),
    [anon_sym_while] = ACTIONS(3195),
    [anon_sym_do] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3195),
    [anon_sym_break] = ACTIONS(3195),
    [anon_sym_continue] = ACTIONS(3195),
    [anon_sym_goto] = ACTIONS(3195),
    [anon_sym___try] = ACTIONS(3195),
    [anon_sym___leave] = ACTIONS(3195),
    [anon_sym_not] = ACTIONS(3195),
    [anon_sym_compl] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3195),
    [anon_sym___alignof__] = ACTIONS(3195),
    [anon_sym___alignof] = ACTIONS(3195),
    [anon_sym__alignof] = ACTIONS(3195),
    [anon_sym_alignof] = ACTIONS(3195),
    [anon_sym__Alignof] = ACTIONS(3195),
    [anon_sym_offsetof] = ACTIONS(3195),
    [anon_sym__Generic] = ACTIONS(3195),
    [anon_sym_asm] = ACTIONS(3195),
    [anon_sym___asm__] = ACTIONS(3195),
    [anon_sym___asm] = ACTIONS(3195),
    [aux_sym_number_literal_token1] = ACTIONS(3197),
    [aux_sym_number_literal_token2] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3197),
    [anon_sym_u_SQUOTE] = ACTIONS(3197),
    [anon_sym_U_SQUOTE] = ACTIONS(3197),
    [anon_sym_u8_SQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [anon_sym_L_DQUOTE] = ACTIONS(3197),
    [anon_sym_u_DQUOTE] = ACTIONS(3197),
    [anon_sym_U_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8_DQUOTE] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [sym_true] = ACTIONS(3195),
    [sym_false] = ACTIONS(3195),
    [anon_sym_NULL] = ACTIONS(3195),
    [anon_sym_nullptr] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_try] = ACTIONS(3195),
    [anon_sym_delete] = ACTIONS(3195),
    [anon_sym_throw] = ACTIONS(3195),
    [anon_sym_namespace] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
    [anon_sym_concept] = ACTIONS(3195),
    [anon_sym_co_return] = ACTIONS(3195),
    [anon_sym_co_yield] = ACTIONS(3195),
    [anon_sym_R_DQUOTE] = ACTIONS(3197),
    [anon_sym_LR_DQUOTE] = ACTIONS(3197),
    [anon_sym_uR_DQUOTE] = ACTIONS(3197),
    [anon_sym_UR_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3197),
    [anon_sym_co_await] = ACTIONS(3195),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_requires] = ACTIONS(3195),
    [sym_this] = ACTIONS(3195),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [anon_sym___asm] = ACTIONS(3203),
    [aux_sym_number_literal_token1] = ACTIONS(3205),
    [aux_sym_number_literal_token2] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [anon_sym___asm] = ACTIONS(3207),
    [aux_sym_number_literal_token1] = ACTIONS(3209),
    [aux_sym_number_literal_token2] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [620] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [anon_sym___asm] = ACTIONS(3092),
    [aux_sym_number_literal_token1] = ACTIONS(3094),
    [aux_sym_number_literal_token2] = ACTIONS(3092),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym___attribute] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_PROGMEM] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [aux_sym_primitive_type_token1] = ACTIONS(2945),
    [anon_sym_byte] = ACTIONS(2945),
    [anon_sym_word] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [aux_sym_number_literal_token1] = ACTIONS(2947),
    [aux_sym_number_literal_token2] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym___attribute] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_PROGMEM] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [aux_sym_primitive_type_token1] = ACTIONS(2949),
    [anon_sym_byte] = ACTIONS(2949),
    [anon_sym_word] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [aux_sym_number_literal_token1] = ACTIONS(2951),
    [aux_sym_number_literal_token2] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_PROGMEM] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [aux_sym_primitive_type_token1] = ACTIONS(2953),
    [anon_sym_byte] = ACTIONS(2953),
    [anon_sym_word] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [aux_sym_number_literal_token1] = ACTIONS(2955),
    [aux_sym_number_literal_token2] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [626] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5591),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(6726),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(8551),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3346),
    [aux_sym_preproc_elif_token1] = ACTIONS(3346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3346),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3372),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3408),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3441),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_static_assert] = ACTIONS(3456),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [628] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym___attribute] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym__Nonnull] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym__Alignas] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [anon_sym___asm] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [anon_sym_COMMA] = ACTIONS(3169),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [aux_sym_number_literal_token1] = ACTIONS(3169),
    [aux_sym_number_literal_token2] = ACTIONS(3167),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2966),
    [aux_sym_preproc_include_token1] = ACTIONS(2966),
    [aux_sym_preproc_def_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2966),
    [sym_preproc_directive] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_AMP_AMP] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_typedef] = ACTIONS(2966),
    [anon_sym_virtual] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym___based] = ACTIONS(2966),
    [anon_sym___cdecl] = ACTIONS(2966),
    [anon_sym___clrcall] = ACTIONS(2966),
    [anon_sym___stdcall] = ACTIONS(2966),
    [anon_sym___fastcall] = ACTIONS(2966),
    [anon_sym___thiscall] = ACTIONS(2966),
    [anon_sym___vectorcall] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_RBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_mutable] = ACTIONS(2966),
    [anon_sym_constinit] = ACTIONS(2966),
    [anon_sym_consteval] = ACTIONS(2966),
    [anon_sym_PROGMEM] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [aux_sym_primitive_type_token1] = ACTIONS(2966),
    [anon_sym_byte] = ACTIONS(2966),
    [anon_sym_word] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym___leave] = ACTIONS(2966),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_compl] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [aux_sym_number_literal_token1] = ACTIONS(2968),
    [aux_sym_number_literal_token2] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2966),
    [anon_sym_decltype] = ACTIONS(2966),
    [anon_sym_explicit] = ACTIONS(2966),
    [anon_sym_typename] = ACTIONS(2966),
    [anon_sym_template] = ACTIONS(2966),
    [anon_sym_operator] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_static_assert] = ACTIONS(2966),
    [anon_sym_concept] = ACTIONS(2966),
    [anon_sym_co_return] = ACTIONS(2966),
    [anon_sym_co_yield] = ACTIONS(2966),
    [anon_sym_R_DQUOTE] = ACTIONS(2968),
    [anon_sym_LR_DQUOTE] = ACTIONS(2968),
    [anon_sym_uR_DQUOTE] = ACTIONS(2968),
    [anon_sym_UR_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2968),
    [anon_sym_co_await] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_requires] = ACTIONS(2966),
    [sym_this] = ACTIONS(2966),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_include_token1] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym___cdecl] = ACTIONS(2970),
    [anon_sym___clrcall] = ACTIONS(2970),
    [anon_sym___stdcall] = ACTIONS(2970),
    [anon_sym___fastcall] = ACTIONS(2970),
    [anon_sym___thiscall] = ACTIONS(2970),
    [anon_sym___vectorcall] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym___leave] = ACTIONS(2970),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_compl] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [aux_sym_number_literal_token1] = ACTIONS(2972),
    [aux_sym_number_literal_token2] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
    [anon_sym_concept] = ACTIONS(2970),
    [anon_sym_co_return] = ACTIONS(2970),
    [anon_sym_co_yield] = ACTIONS(2970),
    [anon_sym_R_DQUOTE] = ACTIONS(2972),
    [anon_sym_LR_DQUOTE] = ACTIONS(2972),
    [anon_sym_uR_DQUOTE] = ACTIONS(2972),
    [anon_sym_UR_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2972),
    [anon_sym_co_await] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_requires] = ACTIONS(2970),
    [sym_this] = ACTIONS(2970),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_RBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [637] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_include_token1] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym___cdecl] = ACTIONS(3167),
    [anon_sym___clrcall] = ACTIONS(3167),
    [anon_sym___stdcall] = ACTIONS(3167),
    [anon_sym___fastcall] = ACTIONS(3167),
    [anon_sym___thiscall] = ACTIONS(3167),
    [anon_sym___vectorcall] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(3167),
    [anon_sym_switch] = ACTIONS(3167),
    [anon_sym_case] = ACTIONS(3167),
    [anon_sym_default] = ACTIONS(3167),
    [anon_sym_while] = ACTIONS(3167),
    [anon_sym_do] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3167),
    [anon_sym_break] = ACTIONS(3167),
    [anon_sym_continue] = ACTIONS(3167),
    [anon_sym_goto] = ACTIONS(3167),
    [anon_sym___try] = ACTIONS(3167),
    [anon_sym___leave] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [aux_sym_number_literal_token1] = ACTIONS(3169),
    [aux_sym_number_literal_token2] = ACTIONS(3167),
    [anon_sym_L_SQUOTE] = ACTIONS(3169),
    [anon_sym_u_SQUOTE] = ACTIONS(3169),
    [anon_sym_U_SQUOTE] = ACTIONS(3169),
    [anon_sym_u8_SQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_L_DQUOTE] = ACTIONS(3169),
    [anon_sym_u_DQUOTE] = ACTIONS(3169),
    [anon_sym_U_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8_DQUOTE] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_throw] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
    [anon_sym_concept] = ACTIONS(3167),
    [anon_sym_co_return] = ACTIONS(3167),
    [anon_sym_co_yield] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3169),
    [anon_sym_LR_DQUOTE] = ACTIONS(3169),
    [anon_sym_uR_DQUOTE] = ACTIONS(3169),
    [anon_sym_UR_DQUOTE] = ACTIONS(3169),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3169),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [639] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [642] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [643] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [644] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [645] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [646] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [647] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [648] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym___attribute] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [649] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym___attribute] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [650] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym___attribute] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [651] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [anon_sym___asm] = ACTIONS(2937),
    [aux_sym_number_literal_token1] = ACTIONS(2939),
    [aux_sym_number_literal_token2] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [anon_sym___asm] = ACTIONS(2941),
    [aux_sym_number_literal_token1] = ACTIONS(2943),
    [aux_sym_number_literal_token2] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [anon_sym___asm] = ACTIONS(3096),
    [aux_sym_number_literal_token1] = ACTIONS(3098),
    [aux_sym_number_literal_token2] = ACTIONS(3096),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [663] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [664] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3090),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [665] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [anon_sym___asm] = ACTIONS(3092),
    [aux_sym_number_literal_token1] = ACTIONS(3094),
    [aux_sym_number_literal_token2] = ACTIONS(3092),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [666] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym___try] = ACTIONS(3179),
    [anon_sym___leave] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [aux_sym_number_literal_token1] = ACTIONS(3181),
    [aux_sym_number_literal_token2] = ACTIONS(3179),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [667] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [668] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym___try] = ACTIONS(3100),
    [anon_sym___leave] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [669] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [aux_sym_number_literal_token1] = ACTIONS(3185),
    [aux_sym_number_literal_token2] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [anon_sym___asm] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym___attribute] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym__Nonnull] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym__Alignas] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [anon_sym___asm] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [672] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [aux_sym_number_literal_token1] = ACTIONS(3189),
    [aux_sym_number_literal_token2] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [673] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_include_token1] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token2] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym___cdecl] = ACTIONS(3191),
    [anon_sym___clrcall] = ACTIONS(3191),
    [anon_sym___stdcall] = ACTIONS(3191),
    [anon_sym___fastcall] = ACTIONS(3191),
    [anon_sym___thiscall] = ACTIONS(3191),
    [anon_sym___vectorcall] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [anon_sym_if] = ACTIONS(3191),
    [anon_sym_switch] = ACTIONS(3191),
    [anon_sym_case] = ACTIONS(3191),
    [anon_sym_default] = ACTIONS(3191),
    [anon_sym_while] = ACTIONS(3191),
    [anon_sym_do] = ACTIONS(3191),
    [anon_sym_for] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3191),
    [anon_sym_break] = ACTIONS(3191),
    [anon_sym_continue] = ACTIONS(3191),
    [anon_sym_goto] = ACTIONS(3191),
    [anon_sym___try] = ACTIONS(3191),
    [anon_sym___leave] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3191),
    [anon_sym_compl] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3191),
    [anon_sym___alignof__] = ACTIONS(3191),
    [anon_sym___alignof] = ACTIONS(3191),
    [anon_sym__alignof] = ACTIONS(3191),
    [anon_sym_alignof] = ACTIONS(3191),
    [anon_sym__Alignof] = ACTIONS(3191),
    [anon_sym_offsetof] = ACTIONS(3191),
    [anon_sym__Generic] = ACTIONS(3191),
    [anon_sym_asm] = ACTIONS(3191),
    [anon_sym___asm__] = ACTIONS(3191),
    [anon_sym___asm] = ACTIONS(3191),
    [aux_sym_number_literal_token1] = ACTIONS(3193),
    [aux_sym_number_literal_token2] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3193),
    [anon_sym_u_SQUOTE] = ACTIONS(3193),
    [anon_sym_U_SQUOTE] = ACTIONS(3193),
    [anon_sym_u8_SQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_L_DQUOTE] = ACTIONS(3193),
    [anon_sym_u_DQUOTE] = ACTIONS(3193),
    [anon_sym_U_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8_DQUOTE] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [anon_sym_NULL] = ACTIONS(3191),
    [anon_sym_nullptr] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3191),
    [anon_sym_delete] = ACTIONS(3191),
    [anon_sym_throw] = ACTIONS(3191),
    [anon_sym_namespace] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
    [anon_sym_concept] = ACTIONS(3191),
    [anon_sym_co_return] = ACTIONS(3191),
    [anon_sym_co_yield] = ACTIONS(3191),
    [anon_sym_R_DQUOTE] = ACTIONS(3193),
    [anon_sym_LR_DQUOTE] = ACTIONS(3193),
    [anon_sym_uR_DQUOTE] = ACTIONS(3193),
    [anon_sym_UR_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3193),
    [anon_sym_co_await] = ACTIONS(3191),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_requires] = ACTIONS(3191),
    [sym_this] = ACTIONS(3191),
  },
  [674] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [anon_sym___asm] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [675] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [anon_sym___asm] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [676] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_include_token1] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym___cdecl] = ACTIONS(3195),
    [anon_sym___clrcall] = ACTIONS(3195),
    [anon_sym___stdcall] = ACTIONS(3195),
    [anon_sym___fastcall] = ACTIONS(3195),
    [anon_sym___thiscall] = ACTIONS(3195),
    [anon_sym___vectorcall] = ACTIONS(3195),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [anon_sym_if] = ACTIONS(3195),
    [anon_sym_switch] = ACTIONS(3195),
    [anon_sym_case] = ACTIONS(3195),
    [anon_sym_default] = ACTIONS(3195),
    [anon_sym_while] = ACTIONS(3195),
    [anon_sym_do] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3195),
    [anon_sym_break] = ACTIONS(3195),
    [anon_sym_continue] = ACTIONS(3195),
    [anon_sym_goto] = ACTIONS(3195),
    [anon_sym___try] = ACTIONS(3195),
    [anon_sym___leave] = ACTIONS(3195),
    [anon_sym_not] = ACTIONS(3195),
    [anon_sym_compl] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3195),
    [anon_sym___alignof__] = ACTIONS(3195),
    [anon_sym___alignof] = ACTIONS(3195),
    [anon_sym__alignof] = ACTIONS(3195),
    [anon_sym_alignof] = ACTIONS(3195),
    [anon_sym__Alignof] = ACTIONS(3195),
    [anon_sym_offsetof] = ACTIONS(3195),
    [anon_sym__Generic] = ACTIONS(3195),
    [anon_sym_asm] = ACTIONS(3195),
    [anon_sym___asm__] = ACTIONS(3195),
    [anon_sym___asm] = ACTIONS(3195),
    [aux_sym_number_literal_token1] = ACTIONS(3197),
    [aux_sym_number_literal_token2] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3197),
    [anon_sym_u_SQUOTE] = ACTIONS(3197),
    [anon_sym_U_SQUOTE] = ACTIONS(3197),
    [anon_sym_u8_SQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [anon_sym_L_DQUOTE] = ACTIONS(3197),
    [anon_sym_u_DQUOTE] = ACTIONS(3197),
    [anon_sym_U_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8_DQUOTE] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [sym_true] = ACTIONS(3195),
    [sym_false] = ACTIONS(3195),
    [anon_sym_NULL] = ACTIONS(3195),
    [anon_sym_nullptr] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_try] = ACTIONS(3195),
    [anon_sym_delete] = ACTIONS(3195),
    [anon_sym_throw] = ACTIONS(3195),
    [anon_sym_namespace] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
    [anon_sym_concept] = ACTIONS(3195),
    [anon_sym_co_return] = ACTIONS(3195),
    [anon_sym_co_yield] = ACTIONS(3195),
    [anon_sym_R_DQUOTE] = ACTIONS(3197),
    [anon_sym_LR_DQUOTE] = ACTIONS(3197),
    [anon_sym_uR_DQUOTE] = ACTIONS(3197),
    [anon_sym_UR_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3197),
    [anon_sym_co_await] = ACTIONS(3195),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_requires] = ACTIONS(3195),
    [sym_this] = ACTIONS(3195),
  },
  [677] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [anon_sym___asm] = ACTIONS(3203),
    [aux_sym_number_literal_token1] = ACTIONS(3205),
    [aux_sym_number_literal_token2] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2960),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2960),
    [anon_sym_AMP_AMP] = ACTIONS(2960),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2960),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2960),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_PROGMEM] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [aux_sym_primitive_type_token1] = ACTIONS(2957),
    [anon_sym_byte] = ACTIONS(2957),
    [anon_sym_word] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [aux_sym_number_literal_token1] = ACTIONS(2960),
    [aux_sym_number_literal_token2] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2960),
    [anon_sym_u_SQUOTE] = ACTIONS(2960),
    [anon_sym_U_SQUOTE] = ACTIONS(2960),
    [anon_sym_u8_SQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_L_DQUOTE] = ACTIONS(2960),
    [anon_sym_u_DQUOTE] = ACTIONS(2960),
    [anon_sym_U_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8_DQUOTE] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2960),
    [anon_sym_LR_DQUOTE] = ACTIONS(2960),
    [anon_sym_uR_DQUOTE] = ACTIONS(2960),
    [anon_sym_UR_DQUOTE] = ACTIONS(2960),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2960),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [679] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [anon_sym___asm] = ACTIONS(3207),
    [aux_sym_number_literal_token1] = ACTIONS(3209),
    [aux_sym_number_literal_token2] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_include_token1] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token2] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym___cdecl] = ACTIONS(2970),
    [anon_sym___clrcall] = ACTIONS(2970),
    [anon_sym___stdcall] = ACTIONS(2970),
    [anon_sym___fastcall] = ACTIONS(2970),
    [anon_sym___thiscall] = ACTIONS(2970),
    [anon_sym___vectorcall] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym___leave] = ACTIONS(2970),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_compl] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [aux_sym_number_literal_token1] = ACTIONS(2972),
    [aux_sym_number_literal_token2] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
    [anon_sym_concept] = ACTIONS(2970),
    [anon_sym_co_return] = ACTIONS(2970),
    [anon_sym_co_yield] = ACTIONS(2970),
    [anon_sym_R_DQUOTE] = ACTIONS(2972),
    [anon_sym_LR_DQUOTE] = ACTIONS(2972),
    [anon_sym_uR_DQUOTE] = ACTIONS(2972),
    [anon_sym_UR_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2972),
    [anon_sym_co_await] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_requires] = ACTIONS(2970),
    [sym_this] = ACTIONS(2970),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [682] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [aux_sym_number_literal_token1] = ACTIONS(3145),
    [aux_sym_number_literal_token2] = ACTIONS(3143),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym___attribute] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [684] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym___try] = ACTIONS(3171),
    [anon_sym___leave] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [685] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [686] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_else_token1] = ACTIONS(1928),
    [aux_sym_preproc_elif_token1] = ACTIONS(1926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3062),
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3197),
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_include_token1] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym___cdecl] = ACTIONS(3195),
    [anon_sym___clrcall] = ACTIONS(3195),
    [anon_sym___stdcall] = ACTIONS(3195),
    [anon_sym___fastcall] = ACTIONS(3195),
    [anon_sym___thiscall] = ACTIONS(3195),
    [anon_sym___vectorcall] = ACTIONS(3195),
    [anon_sym_LBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [anon_sym_if] = ACTIONS(3195),
    [anon_sym_switch] = ACTIONS(3195),
    [anon_sym_case] = ACTIONS(3195),
    [anon_sym_default] = ACTIONS(3195),
    [anon_sym_while] = ACTIONS(3195),
    [anon_sym_do] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3195),
    [anon_sym_break] = ACTIONS(3195),
    [anon_sym_continue] = ACTIONS(3195),
    [anon_sym_goto] = ACTIONS(3195),
    [anon_sym_not] = ACTIONS(3195),
    [anon_sym_compl] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3197),
    [anon_sym_PLUS_PLUS] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3195),
    [anon_sym___alignof__] = ACTIONS(3195),
    [anon_sym___alignof] = ACTIONS(3195),
    [anon_sym__alignof] = ACTIONS(3195),
    [anon_sym_alignof] = ACTIONS(3195),
    [anon_sym__Alignof] = ACTIONS(3195),
    [anon_sym_offsetof] = ACTIONS(3195),
    [anon_sym__Generic] = ACTIONS(3195),
    [anon_sym_asm] = ACTIONS(3195),
    [anon_sym___asm__] = ACTIONS(3195),
    [anon_sym___asm] = ACTIONS(3195),
    [aux_sym_number_literal_token1] = ACTIONS(3197),
    [aux_sym_number_literal_token2] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3197),
    [anon_sym_u_SQUOTE] = ACTIONS(3197),
    [anon_sym_U_SQUOTE] = ACTIONS(3197),
    [anon_sym_u8_SQUOTE] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3197),
    [anon_sym_L_DQUOTE] = ACTIONS(3197),
    [anon_sym_u_DQUOTE] = ACTIONS(3197),
    [anon_sym_U_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8_DQUOTE] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3197),
    [sym_true] = ACTIONS(3195),
    [sym_false] = ACTIONS(3195),
    [anon_sym_NULL] = ACTIONS(3195),
    [anon_sym_nullptr] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_try] = ACTIONS(3195),
    [anon_sym_delete] = ACTIONS(3195),
    [anon_sym_throw] = ACTIONS(3195),
    [anon_sym_namespace] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
    [anon_sym_concept] = ACTIONS(3195),
    [anon_sym_co_return] = ACTIONS(3195),
    [anon_sym_co_yield] = ACTIONS(3195),
    [anon_sym_R_DQUOTE] = ACTIONS(3197),
    [anon_sym_LR_DQUOTE] = ACTIONS(3197),
    [anon_sym_uR_DQUOTE] = ACTIONS(3197),
    [anon_sym_UR_DQUOTE] = ACTIONS(3197),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3197),
    [anon_sym_co_await] = ACTIONS(3195),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_requires] = ACTIONS(3195),
    [sym_this] = ACTIONS(3195),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3205),
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [anon_sym___asm] = ACTIONS(3203),
    [aux_sym_number_literal_token1] = ACTIONS(3205),
    [aux_sym_number_literal_token2] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(3090),
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3090),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [anon_sym___asm] = ACTIONS(3092),
    [aux_sym_number_literal_token1] = ACTIONS(3094),
    [aux_sym_number_literal_token2] = ACTIONS(3092),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(3002),
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(3006),
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3010),
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(3018),
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3022),
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(3026),
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym___attribute] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(3034),
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym___attribute] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2939),
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [anon_sym___asm] = ACTIONS(2937),
    [aux_sym_number_literal_token1] = ACTIONS(2939),
    [aux_sym_number_literal_token2] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_include_token1] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym___cdecl] = ACTIONS(3100),
    [anon_sym___clrcall] = ACTIONS(3100),
    [anon_sym___stdcall] = ACTIONS(3100),
    [anon_sym___fastcall] = ACTIONS(3100),
    [anon_sym___thiscall] = ACTIONS(3100),
    [anon_sym___vectorcall] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3100),
    [anon_sym_default] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_goto] = ACTIONS(3100),
    [anon_sym_not] = ACTIONS(3100),
    [anon_sym_compl] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_sizeof] = ACTIONS(3100),
    [anon_sym___alignof__] = ACTIONS(3100),
    [anon_sym___alignof] = ACTIONS(3100),
    [anon_sym__alignof] = ACTIONS(3100),
    [anon_sym_alignof] = ACTIONS(3100),
    [anon_sym__Alignof] = ACTIONS(3100),
    [anon_sym_offsetof] = ACTIONS(3100),
    [anon_sym__Generic] = ACTIONS(3100),
    [anon_sym_asm] = ACTIONS(3100),
    [anon_sym___asm__] = ACTIONS(3100),
    [anon_sym___asm] = ACTIONS(3100),
    [aux_sym_number_literal_token1] = ACTIONS(3102),
    [aux_sym_number_literal_token2] = ACTIONS(3100),
    [anon_sym_L_SQUOTE] = ACTIONS(3102),
    [anon_sym_u_SQUOTE] = ACTIONS(3102),
    [anon_sym_U_SQUOTE] = ACTIONS(3102),
    [anon_sym_u8_SQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [anon_sym_L_DQUOTE] = ACTIONS(3102),
    [anon_sym_u_DQUOTE] = ACTIONS(3102),
    [anon_sym_U_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [anon_sym_NULL] = ACTIONS(3100),
    [anon_sym_nullptr] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
    [anon_sym_concept] = ACTIONS(3100),
    [anon_sym_co_return] = ACTIONS(3100),
    [anon_sym_co_yield] = ACTIONS(3100),
    [anon_sym_R_DQUOTE] = ACTIONS(3102),
    [anon_sym_LR_DQUOTE] = ACTIONS(3102),
    [anon_sym_uR_DQUOTE] = ACTIONS(3102),
    [anon_sym_UR_DQUOTE] = ACTIONS(3102),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3102),
    [anon_sym_co_await] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_requires] = ACTIONS(3100),
    [sym_this] = ACTIONS(3100),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3038),
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym___attribute] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3201),
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym___attribute] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym__Nonnull] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [anon_sym_PROGMEM] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym__Alignas] = ACTIONS(3199),
    [aux_sym_primitive_type_token1] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_word] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [anon_sym___asm] = ACTIONS(3199),
    [aux_sym_number_literal_token1] = ACTIONS(3201),
    [aux_sym_number_literal_token2] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_include_token1] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym___cdecl] = ACTIONS(3171),
    [anon_sym___clrcall] = ACTIONS(3171),
    [anon_sym___stdcall] = ACTIONS(3171),
    [anon_sym___fastcall] = ACTIONS(3171),
    [anon_sym___thiscall] = ACTIONS(3171),
    [anon_sym___vectorcall] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [anon_sym_if] = ACTIONS(3171),
    [anon_sym_switch] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_default] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(3171),
    [anon_sym_do] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3171),
    [anon_sym_break] = ACTIONS(3171),
    [anon_sym_continue] = ACTIONS(3171),
    [anon_sym_goto] = ACTIONS(3171),
    [anon_sym_not] = ACTIONS(3171),
    [anon_sym_compl] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3171),
    [anon_sym___alignof__] = ACTIONS(3171),
    [anon_sym___alignof] = ACTIONS(3171),
    [anon_sym__alignof] = ACTIONS(3171),
    [anon_sym_alignof] = ACTIONS(3171),
    [anon_sym__Alignof] = ACTIONS(3171),
    [anon_sym_offsetof] = ACTIONS(3171),
    [anon_sym__Generic] = ACTIONS(3171),
    [anon_sym_asm] = ACTIONS(3171),
    [anon_sym___asm__] = ACTIONS(3171),
    [anon_sym___asm] = ACTIONS(3171),
    [aux_sym_number_literal_token1] = ACTIONS(3173),
    [aux_sym_number_literal_token2] = ACTIONS(3171),
    [anon_sym_L_SQUOTE] = ACTIONS(3173),
    [anon_sym_u_SQUOTE] = ACTIONS(3173),
    [anon_sym_U_SQUOTE] = ACTIONS(3173),
    [anon_sym_u8_SQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_L_DQUOTE] = ACTIONS(3173),
    [anon_sym_u_DQUOTE] = ACTIONS(3173),
    [anon_sym_U_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8_DQUOTE] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [anon_sym_NULL] = ACTIONS(3171),
    [anon_sym_nullptr] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_try] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_throw] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
    [anon_sym_concept] = ACTIONS(3171),
    [anon_sym_co_return] = ACTIONS(3171),
    [anon_sym_co_yield] = ACTIONS(3171),
    [anon_sym_R_DQUOTE] = ACTIONS(3173),
    [anon_sym_LR_DQUOTE] = ACTIONS(3173),
    [anon_sym_uR_DQUOTE] = ACTIONS(3173),
    [anon_sym_UR_DQUOTE] = ACTIONS(3173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3173),
    [anon_sym_co_await] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_requires] = ACTIONS(3171),
    [sym_this] = ACTIONS(3171),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(3130),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [anon_sym___asm] = ACTIONS(3128),
    [aux_sym_number_literal_token1] = ACTIONS(3130),
    [aux_sym_number_literal_token2] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3134),
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [anon_sym___asm] = ACTIONS(3132),
    [aux_sym_number_literal_token1] = ACTIONS(3134),
    [aux_sym_number_literal_token2] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [anon_sym___asm] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2990),
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym___attribute] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3110),
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym___attribute] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym__Nonnull] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym__Alignas] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [anon_sym___asm] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3058),
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(3177),
    [sym_identifier] = ACTIONS(3175),
    [aux_sym_preproc_include_token1] = ACTIONS(3175),
    [aux_sym_preproc_def_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3175),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_AMP_AMP] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym___extension__] = ACTIONS(3175),
    [anon_sym_typedef] = ACTIONS(3175),
    [anon_sym_virtual] = ACTIONS(3175),
    [anon_sym_extern] = ACTIONS(3175),
    [anon_sym___attribute__] = ACTIONS(3175),
    [anon_sym___attribute] = ACTIONS(3175),
    [anon_sym_COLON_COLON] = ACTIONS(3177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3177),
    [anon_sym___declspec] = ACTIONS(3175),
    [anon_sym___based] = ACTIONS(3175),
    [anon_sym___cdecl] = ACTIONS(3175),
    [anon_sym___clrcall] = ACTIONS(3175),
    [anon_sym___stdcall] = ACTIONS(3175),
    [anon_sym___fastcall] = ACTIONS(3175),
    [anon_sym___thiscall] = ACTIONS(3175),
    [anon_sym___vectorcall] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3175),
    [anon_sym_unsigned] = ACTIONS(3175),
    [anon_sym_long] = ACTIONS(3175),
    [anon_sym_short] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_register] = ACTIONS(3175),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym___inline] = ACTIONS(3175),
    [anon_sym___inline__] = ACTIONS(3175),
    [anon_sym___forceinline] = ACTIONS(3175),
    [anon_sym_thread_local] = ACTIONS(3175),
    [anon_sym___thread] = ACTIONS(3175),
    [anon_sym_const] = ACTIONS(3175),
    [anon_sym_constexpr] = ACTIONS(3175),
    [anon_sym_volatile] = ACTIONS(3175),
    [anon_sym_restrict] = ACTIONS(3175),
    [anon_sym___restrict__] = ACTIONS(3175),
    [anon_sym__Atomic] = ACTIONS(3175),
    [anon_sym__Noreturn] = ACTIONS(3175),
    [anon_sym_noreturn] = ACTIONS(3175),
    [anon_sym__Nonnull] = ACTIONS(3175),
    [anon_sym_mutable] = ACTIONS(3175),
    [anon_sym_constinit] = ACTIONS(3175),
    [anon_sym_consteval] = ACTIONS(3175),
    [anon_sym_PROGMEM] = ACTIONS(3175),
    [anon_sym_alignas] = ACTIONS(3175),
    [anon_sym__Alignas] = ACTIONS(3175),
    [aux_sym_primitive_type_token1] = ACTIONS(3175),
    [anon_sym_byte] = ACTIONS(3175),
    [anon_sym_word] = ACTIONS(3175),
    [anon_sym_enum] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_struct] = ACTIONS(3175),
    [anon_sym_union] = ACTIONS(3175),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_switch] = ACTIONS(3175),
    [anon_sym_case] = ACTIONS(3175),
    [anon_sym_default] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(3175),
    [anon_sym_do] = ACTIONS(3175),
    [anon_sym_for] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_break] = ACTIONS(3175),
    [anon_sym_continue] = ACTIONS(3175),
    [anon_sym_goto] = ACTIONS(3175),
    [anon_sym_not] = ACTIONS(3175),
    [anon_sym_compl] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3175),
    [anon_sym___alignof__] = ACTIONS(3175),
    [anon_sym___alignof] = ACTIONS(3175),
    [anon_sym__alignof] = ACTIONS(3175),
    [anon_sym_alignof] = ACTIONS(3175),
    [anon_sym__Alignof] = ACTIONS(3175),
    [anon_sym_offsetof] = ACTIONS(3175),
    [anon_sym__Generic] = ACTIONS(3175),
    [anon_sym_asm] = ACTIONS(3175),
    [anon_sym___asm__] = ACTIONS(3175),
    [anon_sym___asm] = ACTIONS(3175),
    [aux_sym_number_literal_token1] = ACTIONS(3177),
    [aux_sym_number_literal_token2] = ACTIONS(3175),
    [anon_sym_L_SQUOTE] = ACTIONS(3177),
    [anon_sym_u_SQUOTE] = ACTIONS(3177),
    [anon_sym_U_SQUOTE] = ACTIONS(3177),
    [anon_sym_u8_SQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_L_DQUOTE] = ACTIONS(3177),
    [anon_sym_u_DQUOTE] = ACTIONS(3177),
    [anon_sym_U_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8_DQUOTE] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [anon_sym_NULL] = ACTIONS(3175),
    [anon_sym_nullptr] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3175),
    [anon_sym_decltype] = ACTIONS(3175),
    [anon_sym_explicit] = ACTIONS(3175),
    [anon_sym_typename] = ACTIONS(3175),
    [anon_sym_template] = ACTIONS(3175),
    [anon_sym_operator] = ACTIONS(3175),
    [anon_sym_try] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_static_assert] = ACTIONS(3175),
    [anon_sym_concept] = ACTIONS(3175),
    [anon_sym_co_return] = ACTIONS(3175),
    [anon_sym_co_yield] = ACTIONS(3175),
    [anon_sym_R_DQUOTE] = ACTIONS(3177),
    [anon_sym_LR_DQUOTE] = ACTIONS(3177),
    [anon_sym_uR_DQUOTE] = ACTIONS(3177),
    [anon_sym_UR_DQUOTE] = ACTIONS(3177),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3177),
    [anon_sym_co_await] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_requires] = ACTIONS(3175),
    [sym_this] = ACTIONS(3175),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym___attribute] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym__Nonnull] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_PROGMEM] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [aux_sym_primitive_type_token1] = ACTIONS(2945),
    [anon_sym_byte] = ACTIONS(2945),
    [anon_sym_word] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [anon_sym___asm] = ACTIONS(2945),
    [aux_sym_number_literal_token1] = ACTIONS(2947),
    [aux_sym_number_literal_token2] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(3181),
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_include_token1] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym___cdecl] = ACTIONS(3179),
    [anon_sym___clrcall] = ACTIONS(3179),
    [anon_sym___stdcall] = ACTIONS(3179),
    [anon_sym___fastcall] = ACTIONS(3179),
    [anon_sym___thiscall] = ACTIONS(3179),
    [anon_sym___vectorcall] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_goto] = ACTIONS(3179),
    [anon_sym_not] = ACTIONS(3179),
    [anon_sym_compl] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3181),
    [anon_sym_PLUS_PLUS] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3179),
    [anon_sym___alignof__] = ACTIONS(3179),
    [anon_sym___alignof] = ACTIONS(3179),
    [anon_sym__alignof] = ACTIONS(3179),
    [anon_sym_alignof] = ACTIONS(3179),
    [anon_sym__Alignof] = ACTIONS(3179),
    [anon_sym_offsetof] = ACTIONS(3179),
    [anon_sym__Generic] = ACTIONS(3179),
    [anon_sym_asm] = ACTIONS(3179),
    [anon_sym___asm__] = ACTIONS(3179),
    [anon_sym___asm] = ACTIONS(3179),
    [aux_sym_number_literal_token1] = ACTIONS(3181),
    [aux_sym_number_literal_token2] = ACTIONS(3179),
    [anon_sym_L_SQUOTE] = ACTIONS(3181),
    [anon_sym_u_SQUOTE] = ACTIONS(3181),
    [anon_sym_U_SQUOTE] = ACTIONS(3181),
    [anon_sym_u8_SQUOTE] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3181),
    [anon_sym_L_DQUOTE] = ACTIONS(3181),
    [anon_sym_u_DQUOTE] = ACTIONS(3181),
    [anon_sym_U_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8_DQUOTE] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3181),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [anon_sym_NULL] = ACTIONS(3179),
    [anon_sym_nullptr] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
    [anon_sym_concept] = ACTIONS(3179),
    [anon_sym_co_return] = ACTIONS(3179),
    [anon_sym_co_yield] = ACTIONS(3179),
    [anon_sym_R_DQUOTE] = ACTIONS(3181),
    [anon_sym_LR_DQUOTE] = ACTIONS(3181),
    [anon_sym_uR_DQUOTE] = ACTIONS(3181),
    [anon_sym_UR_DQUOTE] = ACTIONS(3181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3181),
    [anon_sym_co_await] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_requires] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym___attribute] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym__Nonnull] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [anon_sym_PROGMEM] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym__Alignas] = ACTIONS(2949),
    [aux_sym_primitive_type_token1] = ACTIONS(2949),
    [anon_sym_byte] = ACTIONS(2949),
    [anon_sym_word] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [anon_sym___asm] = ACTIONS(2949),
    [aux_sym_number_literal_token1] = ACTIONS(2951),
    [aux_sym_number_literal_token2] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(3014),
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_PROGMEM] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [aux_sym_primitive_type_token1] = ACTIONS(2953),
    [anon_sym_byte] = ACTIONS(2953),
    [anon_sym_word] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [aux_sym_number_literal_token1] = ACTIONS(2955),
    [aux_sym_number_literal_token2] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [anon_sym___asm] = ACTIONS(3096),
    [aux_sym_number_literal_token1] = ACTIONS(3098),
    [aux_sym_number_literal_token2] = ACTIONS(3096),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3114),
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [anon_sym___asm] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3492),
    [aux_sym_preproc_include_token1] = ACTIONS(3492),
    [aux_sym_preproc_def_token1] = ACTIONS(3492),
    [aux_sym_preproc_if_token1] = ACTIONS(3492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3492),
    [sym_preproc_directive] = ACTIONS(3492),
    [anon_sym_LPAREN2] = ACTIONS(3489),
    [anon_sym_BANG] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3489),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3489),
    [anon_sym_AMP_AMP] = ACTIONS(3489),
    [anon_sym_AMP] = ACTIONS(3492),
    [anon_sym_SEMI] = ACTIONS(3489),
    [anon_sym___extension__] = ACTIONS(3492),
    [anon_sym_typedef] = ACTIONS(3492),
    [anon_sym_virtual] = ACTIONS(3492),
    [anon_sym_extern] = ACTIONS(3492),
    [anon_sym___attribute__] = ACTIONS(3492),
    [anon_sym___attribute] = ACTIONS(3492),
    [anon_sym_COLON_COLON] = ACTIONS(3489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3489),
    [anon_sym___declspec] = ACTIONS(3492),
    [anon_sym___based] = ACTIONS(3492),
    [anon_sym___cdecl] = ACTIONS(3492),
    [anon_sym___clrcall] = ACTIONS(3492),
    [anon_sym___stdcall] = ACTIONS(3492),
    [anon_sym___fastcall] = ACTIONS(3492),
    [anon_sym___thiscall] = ACTIONS(3492),
    [anon_sym___vectorcall] = ACTIONS(3492),
    [anon_sym_LBRACE] = ACTIONS(3489),
    [anon_sym_signed] = ACTIONS(3492),
    [anon_sym_unsigned] = ACTIONS(3492),
    [anon_sym_long] = ACTIONS(3492),
    [anon_sym_short] = ACTIONS(3492),
    [anon_sym_LBRACK] = ACTIONS(3492),
    [anon_sym_static] = ACTIONS(3492),
    [anon_sym_register] = ACTIONS(3492),
    [anon_sym_inline] = ACTIONS(3492),
    [anon_sym___inline] = ACTIONS(3492),
    [anon_sym___inline__] = ACTIONS(3492),
    [anon_sym___forceinline] = ACTIONS(3492),
    [anon_sym_thread_local] = ACTIONS(3492),
    [anon_sym___thread] = ACTIONS(3492),
    [anon_sym_const] = ACTIONS(3492),
    [anon_sym_constexpr] = ACTIONS(3492),
    [anon_sym_volatile] = ACTIONS(3492),
    [anon_sym_restrict] = ACTIONS(3492),
    [anon_sym___restrict__] = ACTIONS(3492),
    [anon_sym__Atomic] = ACTIONS(3492),
    [anon_sym__Noreturn] = ACTIONS(3492),
    [anon_sym_noreturn] = ACTIONS(3492),
    [anon_sym__Nonnull] = ACTIONS(3492),
    [anon_sym_mutable] = ACTIONS(3492),
    [anon_sym_constinit] = ACTIONS(3492),
    [anon_sym_consteval] = ACTIONS(3492),
    [anon_sym_PROGMEM] = ACTIONS(3492),
    [anon_sym_alignas] = ACTIONS(3492),
    [anon_sym__Alignas] = ACTIONS(3492),
    [aux_sym_primitive_type_token1] = ACTIONS(3492),
    [anon_sym_byte] = ACTIONS(3492),
    [anon_sym_word] = ACTIONS(3492),
    [anon_sym_enum] = ACTIONS(3492),
    [anon_sym_class] = ACTIONS(3492),
    [anon_sym_struct] = ACTIONS(3492),
    [anon_sym_union] = ACTIONS(3492),
    [anon_sym_if] = ACTIONS(3492),
    [anon_sym_switch] = ACTIONS(3492),
    [anon_sym_case] = ACTIONS(3492),
    [anon_sym_default] = ACTIONS(3492),
    [anon_sym_while] = ACTIONS(3492),
    [anon_sym_do] = ACTIONS(3492),
    [anon_sym_for] = ACTIONS(3492),
    [anon_sym_return] = ACTIONS(3492),
    [anon_sym_break] = ACTIONS(3492),
    [anon_sym_continue] = ACTIONS(3492),
    [anon_sym_goto] = ACTIONS(3492),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3489),
    [anon_sym_PLUS_PLUS] = ACTIONS(3489),
    [anon_sym_sizeof] = ACTIONS(3492),
    [anon_sym___alignof__] = ACTIONS(3492),
    [anon_sym___alignof] = ACTIONS(3492),
    [anon_sym__alignof] = ACTIONS(3492),
    [anon_sym_alignof] = ACTIONS(3492),
    [anon_sym__Alignof] = ACTIONS(3492),
    [anon_sym_offsetof] = ACTIONS(3492),
    [anon_sym__Generic] = ACTIONS(3492),
    [anon_sym_asm] = ACTIONS(3492),
    [anon_sym___asm__] = ACTIONS(3492),
    [anon_sym___asm] = ACTIONS(3492),
    [aux_sym_number_literal_token1] = ACTIONS(3489),
    [aux_sym_number_literal_token2] = ACTIONS(3492),
    [anon_sym_L_SQUOTE] = ACTIONS(3489),
    [anon_sym_u_SQUOTE] = ACTIONS(3489),
    [anon_sym_U_SQUOTE] = ACTIONS(3489),
    [anon_sym_u8_SQUOTE] = ACTIONS(3489),
    [anon_sym_SQUOTE] = ACTIONS(3489),
    [anon_sym_L_DQUOTE] = ACTIONS(3489),
    [anon_sym_u_DQUOTE] = ACTIONS(3489),
    [anon_sym_U_DQUOTE] = ACTIONS(3489),
    [anon_sym_u8_DQUOTE] = ACTIONS(3489),
    [anon_sym_DQUOTE] = ACTIONS(3489),
    [sym_true] = ACTIONS(3492),
    [sym_false] = ACTIONS(3492),
    [anon_sym_NULL] = ACTIONS(3492),
    [anon_sym_nullptr] = ACTIONS(3492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3492),
    [anon_sym_decltype] = ACTIONS(3492),
    [anon_sym_explicit] = ACTIONS(3492),
    [anon_sym_typename] = ACTIONS(3492),
    [anon_sym_template] = ACTIONS(3492),
    [anon_sym_operator] = ACTIONS(3492),
    [anon_sym_try] = ACTIONS(3492),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3492),
    [anon_sym_namespace] = ACTIONS(3492),
    [anon_sym_using] = ACTIONS(3492),
    [anon_sym_static_assert] = ACTIONS(3492),
    [anon_sym_concept] = ACTIONS(3492),
    [anon_sym_co_return] = ACTIONS(3492),
    [anon_sym_co_yield] = ACTIONS(3492),
    [anon_sym_R_DQUOTE] = ACTIONS(3489),
    [anon_sym_LR_DQUOTE] = ACTIONS(3489),
    [anon_sym_uR_DQUOTE] = ACTIONS(3489),
    [anon_sym_UR_DQUOTE] = ACTIONS(3489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3489),
    [anon_sym_co_await] = ACTIONS(3492),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_requires] = ACTIONS(3492),
    [sym_this] = ACTIONS(3492),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(3118),
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [anon_sym___asm] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(3141),
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [aux_sym_number_literal_token1] = ACTIONS(3141),
    [aux_sym_number_literal_token2] = ACTIONS(3139),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(3145),
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [aux_sym_number_literal_token1] = ACTIONS(3145),
    [aux_sym_number_literal_token2] = ACTIONS(3143),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [aux_sym_number_literal_token1] = ACTIONS(3185),
    [aux_sym_number_literal_token2] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(3189),
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [aux_sym_number_literal_token1] = ACTIONS(3189),
    [aux_sym_number_literal_token2] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2994),
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym___attribute] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3217),
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3082),
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(3149),
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [aux_sym_number_literal_token1] = ACTIONS(3149),
    [aux_sym_number_literal_token2] = ACTIONS(3147),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2968),
    [sym_identifier] = ACTIONS(2966),
    [aux_sym_preproc_include_token1] = ACTIONS(2966),
    [aux_sym_preproc_def_token1] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2966),
    [sym_preproc_directive] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_AMP_AMP] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_typedef] = ACTIONS(2966),
    [anon_sym_virtual] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym___based] = ACTIONS(2966),
    [anon_sym___cdecl] = ACTIONS(2966),
    [anon_sym___clrcall] = ACTIONS(2966),
    [anon_sym___stdcall] = ACTIONS(2966),
    [anon_sym___fastcall] = ACTIONS(2966),
    [anon_sym___thiscall] = ACTIONS(2966),
    [anon_sym___vectorcall] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_mutable] = ACTIONS(2966),
    [anon_sym_constinit] = ACTIONS(2966),
    [anon_sym_consteval] = ACTIONS(2966),
    [anon_sym_PROGMEM] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [aux_sym_primitive_type_token1] = ACTIONS(2966),
    [anon_sym_byte] = ACTIONS(2966),
    [anon_sym_word] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_compl] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [aux_sym_number_literal_token1] = ACTIONS(2968),
    [aux_sym_number_literal_token2] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2966),
    [anon_sym_decltype] = ACTIONS(2966),
    [anon_sym_explicit] = ACTIONS(2966),
    [anon_sym_typename] = ACTIONS(2966),
    [anon_sym_template] = ACTIONS(2966),
    [anon_sym_operator] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_static_assert] = ACTIONS(2966),
    [anon_sym_concept] = ACTIONS(2966),
    [anon_sym_co_return] = ACTIONS(2966),
    [anon_sym_co_yield] = ACTIONS(2966),
    [anon_sym_R_DQUOTE] = ACTIONS(2968),
    [anon_sym_LR_DQUOTE] = ACTIONS(2968),
    [anon_sym_uR_DQUOTE] = ACTIONS(2968),
    [anon_sym_UR_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2968),
    [anon_sym_co_await] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_requires] = ACTIONS(2966),
    [sym_this] = ACTIONS(2966),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2972),
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_include_token1] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym___cdecl] = ACTIONS(2970),
    [anon_sym___clrcall] = ACTIONS(2970),
    [anon_sym___stdcall] = ACTIONS(2970),
    [anon_sym___fastcall] = ACTIONS(2970),
    [anon_sym___thiscall] = ACTIONS(2970),
    [anon_sym___vectorcall] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_compl] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [aux_sym_number_literal_token1] = ACTIONS(2972),
    [aux_sym_number_literal_token2] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
    [anon_sym_concept] = ACTIONS(2970),
    [anon_sym_co_return] = ACTIONS(2970),
    [anon_sym_co_yield] = ACTIONS(2970),
    [anon_sym_R_DQUOTE] = ACTIONS(2972),
    [anon_sym_LR_DQUOTE] = ACTIONS(2972),
    [anon_sym_uR_DQUOTE] = ACTIONS(2972),
    [anon_sym_UR_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2972),
    [anon_sym_co_await] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_requires] = ACTIONS(2970),
    [sym_this] = ACTIONS(2970),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2978),
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2982),
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3497),
    [aux_sym_preproc_include_token1] = ACTIONS(3497),
    [aux_sym_preproc_def_token1] = ACTIONS(3497),
    [aux_sym_preproc_if_token1] = ACTIONS(3497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3497),
    [sym_preproc_directive] = ACTIONS(3497),
    [anon_sym_LPAREN2] = ACTIONS(3495),
    [anon_sym_BANG] = ACTIONS(3495),
    [anon_sym_TILDE] = ACTIONS(3495),
    [anon_sym_DASH] = ACTIONS(3497),
    [anon_sym_PLUS] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3495),
    [anon_sym_AMP_AMP] = ACTIONS(3495),
    [anon_sym_AMP] = ACTIONS(3497),
    [anon_sym_SEMI] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3497),
    [anon_sym_virtual] = ACTIONS(3497),
    [anon_sym_extern] = ACTIONS(3497),
    [anon_sym___attribute__] = ACTIONS(3497),
    [anon_sym___attribute] = ACTIONS(3497),
    [anon_sym_COLON_COLON] = ACTIONS(3495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3495),
    [anon_sym___declspec] = ACTIONS(3497),
    [anon_sym___based] = ACTIONS(3497),
    [anon_sym___cdecl] = ACTIONS(3497),
    [anon_sym___clrcall] = ACTIONS(3497),
    [anon_sym___stdcall] = ACTIONS(3497),
    [anon_sym___fastcall] = ACTIONS(3497),
    [anon_sym___thiscall] = ACTIONS(3497),
    [anon_sym___vectorcall] = ACTIONS(3497),
    [anon_sym_LBRACE] = ACTIONS(3495),
    [anon_sym_signed] = ACTIONS(3497),
    [anon_sym_unsigned] = ACTIONS(3497),
    [anon_sym_long] = ACTIONS(3497),
    [anon_sym_short] = ACTIONS(3497),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_static] = ACTIONS(3497),
    [anon_sym_register] = ACTIONS(3497),
    [anon_sym_inline] = ACTIONS(3497),
    [anon_sym___inline] = ACTIONS(3497),
    [anon_sym___inline__] = ACTIONS(3497),
    [anon_sym___forceinline] = ACTIONS(3497),
    [anon_sym_thread_local] = ACTIONS(3497),
    [anon_sym___thread] = ACTIONS(3497),
    [anon_sym_const] = ACTIONS(3497),
    [anon_sym_constexpr] = ACTIONS(3497),
    [anon_sym_volatile] = ACTIONS(3497),
    [anon_sym_restrict] = ACTIONS(3497),
    [anon_sym___restrict__] = ACTIONS(3497),
    [anon_sym__Atomic] = ACTIONS(3497),
    [anon_sym__Noreturn] = ACTIONS(3497),
    [anon_sym_noreturn] = ACTIONS(3497),
    [anon_sym__Nonnull] = ACTIONS(3497),
    [anon_sym_mutable] = ACTIONS(3497),
    [anon_sym_constinit] = ACTIONS(3497),
    [anon_sym_consteval] = ACTIONS(3497),
    [anon_sym_PROGMEM] = ACTIONS(3497),
    [anon_sym_alignas] = ACTIONS(3497),
    [anon_sym__Alignas] = ACTIONS(3497),
    [aux_sym_primitive_type_token1] = ACTIONS(3497),
    [anon_sym_byte] = ACTIONS(3497),
    [anon_sym_word] = ACTIONS(3497),
    [anon_sym_enum] = ACTIONS(3497),
    [anon_sym_class] = ACTIONS(3497),
    [anon_sym_struct] = ACTIONS(3497),
    [anon_sym_union] = ACTIONS(3497),
    [anon_sym_if] = ACTIONS(3497),
    [anon_sym_switch] = ACTIONS(3497),
    [anon_sym_case] = ACTIONS(3497),
    [anon_sym_default] = ACTIONS(3497),
    [anon_sym_while] = ACTIONS(3497),
    [anon_sym_do] = ACTIONS(3497),
    [anon_sym_for] = ACTIONS(3497),
    [anon_sym_return] = ACTIONS(3497),
    [anon_sym_break] = ACTIONS(3497),
    [anon_sym_continue] = ACTIONS(3497),
    [anon_sym_goto] = ACTIONS(3497),
    [anon_sym_not] = ACTIONS(3497),
    [anon_sym_compl] = ACTIONS(3497),
    [anon_sym_DASH_DASH] = ACTIONS(3495),
    [anon_sym_PLUS_PLUS] = ACTIONS(3495),
    [anon_sym_sizeof] = ACTIONS(3497),
    [anon_sym___alignof__] = ACTIONS(3497),
    [anon_sym___alignof] = ACTIONS(3497),
    [anon_sym__alignof] = ACTIONS(3497),
    [anon_sym_alignof] = ACTIONS(3497),
    [anon_sym__Alignof] = ACTIONS(3497),
    [anon_sym_offsetof] = ACTIONS(3497),
    [anon_sym__Generic] = ACTIONS(3497),
    [anon_sym_asm] = ACTIONS(3497),
    [anon_sym___asm__] = ACTIONS(3497),
    [anon_sym___asm] = ACTIONS(3497),
    [aux_sym_number_literal_token1] = ACTIONS(3495),
    [aux_sym_number_literal_token2] = ACTIONS(3497),
    [anon_sym_L_SQUOTE] = ACTIONS(3495),
    [anon_sym_u_SQUOTE] = ACTIONS(3495),
    [anon_sym_U_SQUOTE] = ACTIONS(3495),
    [anon_sym_u8_SQUOTE] = ACTIONS(3495),
    [anon_sym_SQUOTE] = ACTIONS(3495),
    [anon_sym_L_DQUOTE] = ACTIONS(3495),
    [anon_sym_u_DQUOTE] = ACTIONS(3495),
    [anon_sym_U_DQUOTE] = ACTIONS(3495),
    [anon_sym_u8_DQUOTE] = ACTIONS(3495),
    [anon_sym_DQUOTE] = ACTIONS(3495),
    [sym_true] = ACTIONS(3497),
    [sym_false] = ACTIONS(3497),
    [anon_sym_NULL] = ACTIONS(3497),
    [anon_sym_nullptr] = ACTIONS(3497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3497),
    [anon_sym_decltype] = ACTIONS(3497),
    [anon_sym_explicit] = ACTIONS(3497),
    [anon_sym_typename] = ACTIONS(3497),
    [anon_sym_template] = ACTIONS(3497),
    [anon_sym_operator] = ACTIONS(3497),
    [anon_sym_try] = ACTIONS(3497),
    [anon_sym_delete] = ACTIONS(3497),
    [anon_sym_throw] = ACTIONS(3497),
    [anon_sym_namespace] = ACTIONS(3497),
    [anon_sym_using] = ACTIONS(3497),
    [anon_sym_static_assert] = ACTIONS(3497),
    [anon_sym_concept] = ACTIONS(3497),
    [anon_sym_co_return] = ACTIONS(3497),
    [anon_sym_co_yield] = ACTIONS(3497),
    [anon_sym_R_DQUOTE] = ACTIONS(3495),
    [anon_sym_LR_DQUOTE] = ACTIONS(3495),
    [anon_sym_uR_DQUOTE] = ACTIONS(3495),
    [anon_sym_UR_DQUOTE] = ACTIONS(3495),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3495),
    [anon_sym_co_await] = ACTIONS(3497),
    [anon_sym_new] = ACTIONS(3497),
    [anon_sym_requires] = ACTIONS(3497),
    [sym_this] = ACTIONS(3497),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3501),
    [aux_sym_preproc_include_token1] = ACTIONS(3501),
    [aux_sym_preproc_def_token1] = ACTIONS(3501),
    [aux_sym_preproc_if_token1] = ACTIONS(3501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3501),
    [sym_preproc_directive] = ACTIONS(3501),
    [anon_sym_LPAREN2] = ACTIONS(3499),
    [anon_sym_BANG] = ACTIONS(3499),
    [anon_sym_TILDE] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(3501),
    [anon_sym_PLUS] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3499),
    [anon_sym_AMP_AMP] = ACTIONS(3499),
    [anon_sym_AMP] = ACTIONS(3501),
    [anon_sym_SEMI] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3501),
    [anon_sym_typedef] = ACTIONS(3501),
    [anon_sym_virtual] = ACTIONS(3501),
    [anon_sym_extern] = ACTIONS(3501),
    [anon_sym___attribute__] = ACTIONS(3501),
    [anon_sym___attribute] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(3499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3499),
    [anon_sym___declspec] = ACTIONS(3501),
    [anon_sym___based] = ACTIONS(3501),
    [anon_sym___cdecl] = ACTIONS(3501),
    [anon_sym___clrcall] = ACTIONS(3501),
    [anon_sym___stdcall] = ACTIONS(3501),
    [anon_sym___fastcall] = ACTIONS(3501),
    [anon_sym___thiscall] = ACTIONS(3501),
    [anon_sym___vectorcall] = ACTIONS(3501),
    [anon_sym_LBRACE] = ACTIONS(3499),
    [anon_sym_signed] = ACTIONS(3501),
    [anon_sym_unsigned] = ACTIONS(3501),
    [anon_sym_long] = ACTIONS(3501),
    [anon_sym_short] = ACTIONS(3501),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_static] = ACTIONS(3501),
    [anon_sym_register] = ACTIONS(3501),
    [anon_sym_inline] = ACTIONS(3501),
    [anon_sym___inline] = ACTIONS(3501),
    [anon_sym___inline__] = ACTIONS(3501),
    [anon_sym___forceinline] = ACTIONS(3501),
    [anon_sym_thread_local] = ACTIONS(3501),
    [anon_sym___thread] = ACTIONS(3501),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_constexpr] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_restrict] = ACTIONS(3501),
    [anon_sym___restrict__] = ACTIONS(3501),
    [anon_sym__Atomic] = ACTIONS(3501),
    [anon_sym__Noreturn] = ACTIONS(3501),
    [anon_sym_noreturn] = ACTIONS(3501),
    [anon_sym__Nonnull] = ACTIONS(3501),
    [anon_sym_mutable] = ACTIONS(3501),
    [anon_sym_constinit] = ACTIONS(3501),
    [anon_sym_consteval] = ACTIONS(3501),
    [anon_sym_PROGMEM] = ACTIONS(3501),
    [anon_sym_alignas] = ACTIONS(3501),
    [anon_sym__Alignas] = ACTIONS(3501),
    [aux_sym_primitive_type_token1] = ACTIONS(3501),
    [anon_sym_byte] = ACTIONS(3501),
    [anon_sym_word] = ACTIONS(3501),
    [anon_sym_enum] = ACTIONS(3501),
    [anon_sym_class] = ACTIONS(3501),
    [anon_sym_struct] = ACTIONS(3501),
    [anon_sym_union] = ACTIONS(3501),
    [anon_sym_if] = ACTIONS(3501),
    [anon_sym_switch] = ACTIONS(3501),
    [anon_sym_case] = ACTIONS(3501),
    [anon_sym_default] = ACTIONS(3501),
    [anon_sym_while] = ACTIONS(3501),
    [anon_sym_do] = ACTIONS(3501),
    [anon_sym_for] = ACTIONS(3501),
    [anon_sym_return] = ACTIONS(3501),
    [anon_sym_break] = ACTIONS(3501),
    [anon_sym_continue] = ACTIONS(3501),
    [anon_sym_goto] = ACTIONS(3501),
    [anon_sym_not] = ACTIONS(3501),
    [anon_sym_compl] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3499),
    [anon_sym_PLUS_PLUS] = ACTIONS(3499),
    [anon_sym_sizeof] = ACTIONS(3501),
    [anon_sym___alignof__] = ACTIONS(3501),
    [anon_sym___alignof] = ACTIONS(3501),
    [anon_sym__alignof] = ACTIONS(3501),
    [anon_sym_alignof] = ACTIONS(3501),
    [anon_sym__Alignof] = ACTIONS(3501),
    [anon_sym_offsetof] = ACTIONS(3501),
    [anon_sym__Generic] = ACTIONS(3501),
    [anon_sym_asm] = ACTIONS(3501),
    [anon_sym___asm__] = ACTIONS(3501),
    [anon_sym___asm] = ACTIONS(3501),
    [aux_sym_number_literal_token1] = ACTIONS(3499),
    [aux_sym_number_literal_token2] = ACTIONS(3501),
    [anon_sym_L_SQUOTE] = ACTIONS(3499),
    [anon_sym_u_SQUOTE] = ACTIONS(3499),
    [anon_sym_U_SQUOTE] = ACTIONS(3499),
    [anon_sym_u8_SQUOTE] = ACTIONS(3499),
    [anon_sym_SQUOTE] = ACTIONS(3499),
    [anon_sym_L_DQUOTE] = ACTIONS(3499),
    [anon_sym_u_DQUOTE] = ACTIONS(3499),
    [anon_sym_U_DQUOTE] = ACTIONS(3499),
    [anon_sym_u8_DQUOTE] = ACTIONS(3499),
    [anon_sym_DQUOTE] = ACTIONS(3499),
    [sym_true] = ACTIONS(3501),
    [sym_false] = ACTIONS(3501),
    [anon_sym_NULL] = ACTIONS(3501),
    [anon_sym_nullptr] = ACTIONS(3501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3501),
    [anon_sym_decltype] = ACTIONS(3501),
    [anon_sym_explicit] = ACTIONS(3501),
    [anon_sym_typename] = ACTIONS(3501),
    [anon_sym_template] = ACTIONS(3501),
    [anon_sym_operator] = ACTIONS(3501),
    [anon_sym_try] = ACTIONS(3501),
    [anon_sym_delete] = ACTIONS(3501),
    [anon_sym_throw] = ACTIONS(3501),
    [anon_sym_namespace] = ACTIONS(3501),
    [anon_sym_using] = ACTIONS(3501),
    [anon_sym_static_assert] = ACTIONS(3501),
    [anon_sym_concept] = ACTIONS(3501),
    [anon_sym_co_return] = ACTIONS(3501),
    [anon_sym_co_yield] = ACTIONS(3501),
    [anon_sym_R_DQUOTE] = ACTIONS(3499),
    [anon_sym_LR_DQUOTE] = ACTIONS(3499),
    [anon_sym_uR_DQUOTE] = ACTIONS(3499),
    [anon_sym_UR_DQUOTE] = ACTIONS(3499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3499),
    [anon_sym_co_await] = ACTIONS(3501),
    [anon_sym_new] = ACTIONS(3501),
    [anon_sym_requires] = ACTIONS(3501),
    [sym_this] = ACTIONS(3501),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2986),
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2986),
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3046),
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym___attribute] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_PROGMEM] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [aux_sym_primitive_type_token1] = ACTIONS(3044),
    [anon_sym_byte] = ACTIONS(3044),
    [anon_sym_word] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [aux_sym_number_literal_token1] = ACTIONS(3046),
    [aux_sym_number_literal_token2] = ACTIONS(3044),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3050),
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(3193),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_include_token1] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3191),
    [anon_sym_PLUS] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym___cdecl] = ACTIONS(3191),
    [anon_sym___clrcall] = ACTIONS(3191),
    [anon_sym___stdcall] = ACTIONS(3191),
    [anon_sym___fastcall] = ACTIONS(3191),
    [anon_sym___thiscall] = ACTIONS(3191),
    [anon_sym___vectorcall] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [anon_sym_if] = ACTIONS(3191),
    [anon_sym_switch] = ACTIONS(3191),
    [anon_sym_case] = ACTIONS(3191),
    [anon_sym_default] = ACTIONS(3191),
    [anon_sym_while] = ACTIONS(3191),
    [anon_sym_do] = ACTIONS(3191),
    [anon_sym_for] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3191),
    [anon_sym_break] = ACTIONS(3191),
    [anon_sym_continue] = ACTIONS(3191),
    [anon_sym_goto] = ACTIONS(3191),
    [anon_sym_not] = ACTIONS(3191),
    [anon_sym_compl] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3193),
    [anon_sym_PLUS_PLUS] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3191),
    [anon_sym___alignof__] = ACTIONS(3191),
    [anon_sym___alignof] = ACTIONS(3191),
    [anon_sym__alignof] = ACTIONS(3191),
    [anon_sym_alignof] = ACTIONS(3191),
    [anon_sym__Alignof] = ACTIONS(3191),
    [anon_sym_offsetof] = ACTIONS(3191),
    [anon_sym__Generic] = ACTIONS(3191),
    [anon_sym_asm] = ACTIONS(3191),
    [anon_sym___asm__] = ACTIONS(3191),
    [anon_sym___asm] = ACTIONS(3191),
    [aux_sym_number_literal_token1] = ACTIONS(3193),
    [aux_sym_number_literal_token2] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3193),
    [anon_sym_u_SQUOTE] = ACTIONS(3193),
    [anon_sym_U_SQUOTE] = ACTIONS(3193),
    [anon_sym_u8_SQUOTE] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3193),
    [anon_sym_L_DQUOTE] = ACTIONS(3193),
    [anon_sym_u_DQUOTE] = ACTIONS(3193),
    [anon_sym_U_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8_DQUOTE] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3193),
    [sym_true] = ACTIONS(3191),
    [sym_false] = ACTIONS(3191),
    [anon_sym_NULL] = ACTIONS(3191),
    [anon_sym_nullptr] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3191),
    [anon_sym_delete] = ACTIONS(3191),
    [anon_sym_throw] = ACTIONS(3191),
    [anon_sym_namespace] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
    [anon_sym_concept] = ACTIONS(3191),
    [anon_sym_co_return] = ACTIONS(3191),
    [anon_sym_co_yield] = ACTIONS(3191),
    [anon_sym_R_DQUOTE] = ACTIONS(3193),
    [anon_sym_LR_DQUOTE] = ACTIONS(3193),
    [anon_sym_uR_DQUOTE] = ACTIONS(3193),
    [anon_sym_UR_DQUOTE] = ACTIONS(3193),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3193),
    [anon_sym_co_await] = ACTIONS(3191),
    [anon_sym_new] = ACTIONS(3191),
    [anon_sym_requires] = ACTIONS(3191),
    [sym_this] = ACTIONS(3191),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3070),
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(3209),
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [anon_sym___asm] = ACTIONS(3207),
    [aux_sym_number_literal_token1] = ACTIONS(3209),
    [aux_sym_number_literal_token2] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [758] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [759] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [760] = {
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_field_declaration_list] = STATE(775),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(775),
    [sym_type_definition] = STATE(775),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(775),
    [sym_field_declaration] = STATE(775),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(775),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(775),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(775),
    [sym_operator_cast_declaration] = STATE(775),
    [sym_constructor_or_destructor_definition] = STATE(775),
    [sym_constructor_or_destructor_declaration] = STATE(775),
    [sym_friend_declaration] = STATE(775),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(775),
    [sym_alias_declaration] = STATE(775),
    [sym_static_assert_declaration] = STATE(775),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(775),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3545),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [761] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3559),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [762] = {
    [sym_preproc_def] = STATE(765),
    [sym_preproc_function_def] = STATE(765),
    [sym_preproc_call] = STATE(765),
    [sym_preproc_if_in_field_declaration_list] = STATE(765),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(765),
    [sym_type_definition] = STATE(765),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(765),
    [sym_field_declaration] = STATE(765),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(765),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(765),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(765),
    [sym_operator_cast_declaration] = STATE(765),
    [sym_constructor_or_destructor_definition] = STATE(765),
    [sym_constructor_or_destructor_declaration] = STATE(765),
    [sym_friend_declaration] = STATE(765),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(765),
    [sym_alias_declaration] = STATE(765),
    [sym_static_assert_declaration] = STATE(765),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(765),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3561),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3563),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [763] = {
    [sym_preproc_def] = STATE(769),
    [sym_preproc_function_def] = STATE(769),
    [sym_preproc_call] = STATE(769),
    [sym_preproc_if_in_field_declaration_list] = STATE(769),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(769),
    [sym_type_definition] = STATE(769),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(769),
    [sym_field_declaration] = STATE(769),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(769),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(769),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(769),
    [sym_operator_cast_declaration] = STATE(769),
    [sym_constructor_or_destructor_definition] = STATE(769),
    [sym_constructor_or_destructor_declaration] = STATE(769),
    [sym_friend_declaration] = STATE(769),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(769),
    [sym_alias_declaration] = STATE(769),
    [sym_static_assert_declaration] = STATE(769),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(769),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3565),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3567),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [764] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3569),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [765] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3571),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [766] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [767] = {
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_field_declaration_list] = STATE(764),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(764),
    [sym_type_definition] = STATE(764),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(764),
    [sym_field_declaration] = STATE(764),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(764),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(764),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(764),
    [sym_operator_cast_declaration] = STATE(764),
    [sym_constructor_or_destructor_definition] = STATE(764),
    [sym_constructor_or_destructor_declaration] = STATE(764),
    [sym_friend_declaration] = STATE(764),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(764),
    [sym_alias_declaration] = STATE(764),
    [sym_static_assert_declaration] = STATE(764),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(764),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3577),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [768] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3579),
    [aux_sym_preproc_if_token1] = ACTIONS(3582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3585),
    [sym_preproc_directive] = ACTIONS(3588),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3591),
    [anon_sym___extension__] = ACTIONS(3594),
    [anon_sym_typedef] = ACTIONS(3597),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3602),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3605),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3608),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3611),
    [anon_sym_static_assert] = ACTIONS(3614),
  },
  [769] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3617),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [770] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5579),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6734),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(8074),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3619),
    [aux_sym_preproc_if_token1] = ACTIONS(3622),
    [aux_sym_preproc_if_token2] = ACTIONS(3346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3625),
    [sym_preproc_directive] = ACTIONS(3628),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3631),
    [anon_sym___extension__] = ACTIONS(3634),
    [anon_sym_typedef] = ACTIONS(3637),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3640),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3643),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3646),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3649),
    [anon_sym_static_assert] = ACTIONS(3652),
  },
  [771] = {
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_field_declaration_list] = STATE(774),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(774),
    [sym_type_definition] = STATE(774),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(774),
    [sym_field_declaration] = STATE(774),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(774),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(774),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(774),
    [sym_operator_cast_declaration] = STATE(774),
    [sym_constructor_or_destructor_definition] = STATE(774),
    [sym_constructor_or_destructor_declaration] = STATE(774),
    [sym_friend_declaration] = STATE(774),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(774),
    [sym_alias_declaration] = STATE(774),
    [sym_static_assert_declaration] = STATE(774),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3655),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3657),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [772] = {
    [sym_preproc_def] = STATE(773),
    [sym_preproc_function_def] = STATE(773),
    [sym_preproc_call] = STATE(773),
    [sym_preproc_if_in_field_declaration_list] = STATE(773),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(773),
    [sym_type_definition] = STATE(773),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5579),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(773),
    [sym_field_declaration] = STATE(773),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(773),
    [sym_operator_cast] = STATE(6734),
    [sym_inline_method_definition] = STATE(773),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(773),
    [sym_operator_cast_declaration] = STATE(773),
    [sym_constructor_or_destructor_definition] = STATE(773),
    [sym_constructor_or_destructor_declaration] = STATE(773),
    [sym_friend_declaration] = STATE(773),
    [sym_access_specifier] = STATE(8074),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(773),
    [sym_alias_declaration] = STATE(773),
    [sym_static_assert_declaration] = STATE(773),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(773),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3659),
    [aux_sym_preproc_if_token1] = ACTIONS(3661),
    [aux_sym_preproc_if_token2] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3665),
    [sym_preproc_directive] = ACTIONS(3667),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3669),
    [anon_sym___extension__] = ACTIONS(3671),
    [anon_sym_typedef] = ACTIONS(3673),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3675),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3677),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3679),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3681),
    [anon_sym_static_assert] = ACTIONS(3683),
  },
  [773] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5579),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6734),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(8074),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3659),
    [aux_sym_preproc_if_token1] = ACTIONS(3661),
    [aux_sym_preproc_if_token2] = ACTIONS(3685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3665),
    [sym_preproc_directive] = ACTIONS(3667),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3687),
    [anon_sym___extension__] = ACTIONS(3671),
    [anon_sym_typedef] = ACTIONS(3673),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3675),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3677),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3679),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3681),
    [anon_sym_static_assert] = ACTIONS(3683),
  },
  [774] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3689),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [775] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3691),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [776] = {
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_field_declaration_list] = STATE(782),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(782),
    [sym_type_definition] = STATE(782),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(782),
    [sym_field_declaration] = STATE(782),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(782),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(782),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(782),
    [sym_operator_cast_declaration] = STATE(782),
    [sym_constructor_or_destructor_definition] = STATE(782),
    [sym_constructor_or_destructor_declaration] = STATE(782),
    [sym_friend_declaration] = STATE(782),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(782),
    [sym_alias_declaration] = STATE(782),
    [sym_static_assert_declaration] = STATE(782),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(782),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3693),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3695),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [777] = {
    [sym_preproc_def] = STATE(779),
    [sym_preproc_function_def] = STATE(779),
    [sym_preproc_call] = STATE(779),
    [sym_preproc_if_in_field_declaration_list] = STATE(779),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(779),
    [sym_type_definition] = STATE(779),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(779),
    [sym_field_declaration] = STATE(779),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(779),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(779),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(779),
    [sym_operator_cast_declaration] = STATE(779),
    [sym_constructor_or_destructor_definition] = STATE(779),
    [sym_constructor_or_destructor_declaration] = STATE(779),
    [sym_friend_declaration] = STATE(779),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(779),
    [sym_alias_declaration] = STATE(779),
    [sym_static_assert_declaration] = STATE(779),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(779),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3697),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3699),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [778] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3701),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3703),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [779] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3705),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [780] = {
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_field_declaration_list] = STATE(761),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(761),
    [sym_type_definition] = STATE(761),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(761),
    [sym_field_declaration] = STATE(761),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(761),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(761),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(761),
    [sym_operator_cast_declaration] = STATE(761),
    [sym_constructor_or_destructor_definition] = STATE(761),
    [sym_constructor_or_destructor_declaration] = STATE(761),
    [sym_friend_declaration] = STATE(761),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(761),
    [sym_alias_declaration] = STATE(761),
    [sym_static_assert_declaration] = STATE(761),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(761),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3709),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [781] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [782] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3713),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [783] = {
    [sym_preproc_def] = STATE(781),
    [sym_preproc_function_def] = STATE(781),
    [sym_preproc_call] = STATE(781),
    [sym_preproc_if_in_field_declaration_list] = STATE(781),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(781),
    [sym_type_definition] = STATE(781),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(5611),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__field_declaration_list_item] = STATE(781),
    [sym_field_declaration] = STATE(781),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(781),
    [sym_operator_cast] = STATE(6744),
    [sym_inline_method_definition] = STATE(781),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(781),
    [sym_operator_cast_declaration] = STATE(781),
    [sym_constructor_or_destructor_definition] = STATE(781),
    [sym_constructor_or_destructor_declaration] = STATE(781),
    [sym_friend_declaration] = STATE(781),
    [sym_access_specifier] = STATE(7896),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_using_declaration] = STATE(781),
    [sym_alias_declaration] = STATE(781),
    [sym_static_assert_declaration] = STATE(781),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5412),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1862),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3717),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [784] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [785] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [786] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_initializer_list] = STATE(4810),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(1928),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [787] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4693),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3759),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_SLASH] = ACTIONS(3763),
    [anon_sym_PERCENT] = ACTIONS(3759),
    [anon_sym_PIPE_PIPE] = ACTIONS(3759),
    [anon_sym_AMP_AMP] = ACTIONS(3759),
    [anon_sym_PIPE] = ACTIONS(3763),
    [anon_sym_CARET] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(1231),
    [anon_sym_EQ_EQ] = ACTIONS(3759),
    [anon_sym_BANG_EQ] = ACTIONS(3759),
    [anon_sym_GT] = ACTIONS(3763),
    [anon_sym_GT_EQ] = ACTIONS(3759),
    [anon_sym_LT_EQ] = ACTIONS(3763),
    [anon_sym_LT] = ACTIONS(3763),
    [anon_sym_LT_LT] = ACTIONS(3759),
    [anon_sym_GT_GT] = ACTIONS(3759),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(3759),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(3759),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_LT_EQ_GT] = ACTIONS(3759),
    [anon_sym_or] = ACTIONS(3763),
    [anon_sym_and] = ACTIONS(3763),
    [anon_sym_bitor] = ACTIONS(3763),
    [anon_sym_xor] = ACTIONS(3763),
    [anon_sym_bitand] = ACTIONS(3763),
    [anon_sym_not_eq] = ACTIONS(3763),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3763),
    [anon_sym_DOT_STAR] = ACTIONS(3759),
    [anon_sym_DASH_GT] = ACTIONS(3759),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [788] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3127),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3773),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [789] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [790] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3782),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [791] = {
    [sym__declaration_modifiers] = STATE(1859),
    [sym__declaration_specifiers] = STATE(6284),
    [sym_attribute_specifier] = STATE(1859),
    [sym_attribute_declaration] = STATE(1859),
    [sym_ms_declspec_modifier] = STATE(1859),
    [sym_storage_class_specifier] = STATE(1859),
    [sym_type_qualifier] = STATE(1859),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4013),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2980),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6520),
    [sym_qualified_type_identifier] = STATE(2643),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1859),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2407),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym_COMMA] = ACTIONS(3787),
    [anon_sym_BANG] = ACTIONS(3789),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(3789),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_SLASH] = ACTIONS(3789),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_PIPE_PIPE] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(3787),
    [anon_sym_PIPE] = ACTIONS(3789),
    [anon_sym_CARET] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3789),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3789),
    [anon_sym_LT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3791),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3789),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [anon_sym_STAR_EQ] = ACTIONS(3787),
    [anon_sym_SLASH_EQ] = ACTIONS(3787),
    [anon_sym_PERCENT_EQ] = ACTIONS(3787),
    [anon_sym_PLUS_EQ] = ACTIONS(3787),
    [anon_sym_DASH_EQ] = ACTIONS(3787),
    [anon_sym_LT_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT_GT_EQ] = ACTIONS(3787),
    [anon_sym_AMP_EQ] = ACTIONS(3787),
    [anon_sym_CARET_EQ] = ACTIONS(3787),
    [anon_sym_PIPE_EQ] = ACTIONS(3787),
    [anon_sym_and_eq] = ACTIONS(3789),
    [anon_sym_or_eq] = ACTIONS(3789),
    [anon_sym_xor_eq] = ACTIONS(3789),
    [anon_sym_not] = ACTIONS(3789),
    [anon_sym_compl] = ACTIONS(3789),
    [anon_sym_LT_EQ_GT] = ACTIONS(3787),
    [anon_sym_or] = ACTIONS(3789),
    [anon_sym_and] = ACTIONS(3789),
    [anon_sym_bitor] = ACTIONS(3789),
    [anon_sym_xor] = ACTIONS(3789),
    [anon_sym_bitand] = ACTIONS(3789),
    [anon_sym_not_eq] = ACTIONS(3789),
    [anon_sym_DASH_DASH] = ACTIONS(3787),
    [anon_sym_PLUS_PLUS] = ACTIONS(3787),
    [anon_sym_DASH_GT] = ACTIONS(3789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3807),
    [anon_sym_co_await] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(3807),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3787),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3787),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3787),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3809),
  },
  [792] = {
    [sym__declaration_modifiers] = STATE(1859),
    [sym__declaration_specifiers] = STATE(6284),
    [sym_attribute_specifier] = STATE(1859),
    [sym_attribute_declaration] = STATE(1859),
    [sym_ms_declspec_modifier] = STATE(1859),
    [sym_storage_class_specifier] = STATE(1859),
    [sym_type_qualifier] = STATE(1859),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4013),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2980),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6520),
    [sym_qualified_type_identifier] = STATE(2643),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1859),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2407),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3813),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3813),
    [anon_sym_SLASH] = ACTIONS(3813),
    [anon_sym_PERCENT] = ACTIONS(3813),
    [anon_sym_PIPE_PIPE] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_CARET] = ACTIONS(3813),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_EQ_EQ] = ACTIONS(3811),
    [anon_sym_BANG_EQ] = ACTIONS(3811),
    [anon_sym_GT] = ACTIONS(3813),
    [anon_sym_GT_EQ] = ACTIONS(3811),
    [anon_sym_LT_EQ] = ACTIONS(3813),
    [anon_sym_LT] = ACTIONS(3813),
    [anon_sym_LT_LT] = ACTIONS(3813),
    [anon_sym_GT_GT] = ACTIONS(3813),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3791),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3813),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [anon_sym_STAR_EQ] = ACTIONS(3811),
    [anon_sym_SLASH_EQ] = ACTIONS(3811),
    [anon_sym_PERCENT_EQ] = ACTIONS(3811),
    [anon_sym_PLUS_EQ] = ACTIONS(3811),
    [anon_sym_DASH_EQ] = ACTIONS(3811),
    [anon_sym_LT_LT_EQ] = ACTIONS(3811),
    [anon_sym_GT_GT_EQ] = ACTIONS(3811),
    [anon_sym_AMP_EQ] = ACTIONS(3811),
    [anon_sym_CARET_EQ] = ACTIONS(3811),
    [anon_sym_PIPE_EQ] = ACTIONS(3811),
    [anon_sym_and_eq] = ACTIONS(3813),
    [anon_sym_or_eq] = ACTIONS(3813),
    [anon_sym_xor_eq] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_LT_EQ_GT] = ACTIONS(3811),
    [anon_sym_or] = ACTIONS(3813),
    [anon_sym_and] = ACTIONS(3813),
    [anon_sym_bitor] = ACTIONS(3813),
    [anon_sym_xor] = ACTIONS(3813),
    [anon_sym_bitand] = ACTIONS(3813),
    [anon_sym_not_eq] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_DASH_GT] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3815),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3811),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3811),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3811),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3817),
  },
  [793] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_COMMA] = ACTIONS(3821),
    [anon_sym_RPAREN] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(3819),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP_AMP] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym___based] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_signed] = ACTIONS(3819),
    [anon_sym_unsigned] = ACTIONS(3819),
    [anon_sym_long] = ACTIONS(3819),
    [anon_sym_short] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_EQ] = ACTIONS(3821),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [aux_sym_primitive_type_token1] = ACTIONS(3819),
    [anon_sym_byte] = ACTIONS(3819),
    [anon_sym_word] = ACTIONS(3819),
    [anon_sym_enum] = ACTIONS(3819),
    [anon_sym_class] = ACTIONS(3819),
    [anon_sym_struct] = ACTIONS(3819),
    [anon_sym_union] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(3819),
    [anon_sym_switch] = ACTIONS(3819),
    [anon_sym_case] = ACTIONS(3819),
    [anon_sym_default] = ACTIONS(3819),
    [anon_sym_while] = ACTIONS(3819),
    [anon_sym_do] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3819),
    [anon_sym_break] = ACTIONS(3819),
    [anon_sym_continue] = ACTIONS(3819),
    [anon_sym_goto] = ACTIONS(3819),
    [anon_sym___try] = ACTIONS(3819),
    [anon_sym___leave] = ACTIONS(3819),
    [anon_sym_not] = ACTIONS(3819),
    [anon_sym_compl] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_PLUS] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3819),
    [anon_sym___alignof__] = ACTIONS(3819),
    [anon_sym___alignof] = ACTIONS(3819),
    [anon_sym__alignof] = ACTIONS(3819),
    [anon_sym_alignof] = ACTIONS(3819),
    [anon_sym__Alignof] = ACTIONS(3819),
    [anon_sym_offsetof] = ACTIONS(3819),
    [anon_sym__Generic] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [aux_sym_number_literal_token1] = ACTIONS(3821),
    [aux_sym_number_literal_token2] = ACTIONS(3819),
    [anon_sym_L_SQUOTE] = ACTIONS(3821),
    [anon_sym_u_SQUOTE] = ACTIONS(3821),
    [anon_sym_U_SQUOTE] = ACTIONS(3821),
    [anon_sym_u8_SQUOTE] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3821),
    [anon_sym_L_DQUOTE] = ACTIONS(3821),
    [anon_sym_u_DQUOTE] = ACTIONS(3821),
    [anon_sym_U_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [sym_true] = ACTIONS(3819),
    [sym_false] = ACTIONS(3819),
    [anon_sym_NULL] = ACTIONS(3819),
    [anon_sym_nullptr] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3819),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_explicit] = ACTIONS(3819),
    [anon_sym_typename] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_GT2] = ACTIONS(3821),
    [anon_sym_operator] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_delete] = ACTIONS(3819),
    [anon_sym_throw] = ACTIONS(3819),
    [anon_sym_co_return] = ACTIONS(3819),
    [anon_sym_co_yield] = ACTIONS(3819),
    [anon_sym_R_DQUOTE] = ACTIONS(3821),
    [anon_sym_LR_DQUOTE] = ACTIONS(3821),
    [anon_sym_uR_DQUOTE] = ACTIONS(3821),
    [anon_sym_UR_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3821),
    [anon_sym_co_await] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
    [sym_this] = ACTIONS(3819),
  },
  [794] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_COMMA] = ACTIONS(3825),
    [anon_sym_RPAREN] = ACTIONS(3825),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(3823),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP_AMP] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym___based] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_signed] = ACTIONS(3823),
    [anon_sym_unsigned] = ACTIONS(3823),
    [anon_sym_long] = ACTIONS(3823),
    [anon_sym_short] = ACTIONS(3823),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_EQ] = ACTIONS(3825),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [aux_sym_primitive_type_token1] = ACTIONS(3823),
    [anon_sym_byte] = ACTIONS(3823),
    [anon_sym_word] = ACTIONS(3823),
    [anon_sym_enum] = ACTIONS(3823),
    [anon_sym_class] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3823),
    [anon_sym_union] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(3823),
    [anon_sym_case] = ACTIONS(3823),
    [anon_sym_default] = ACTIONS(3823),
    [anon_sym_while] = ACTIONS(3823),
    [anon_sym_do] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3823),
    [anon_sym_break] = ACTIONS(3823),
    [anon_sym_continue] = ACTIONS(3823),
    [anon_sym_goto] = ACTIONS(3823),
    [anon_sym___try] = ACTIONS(3823),
    [anon_sym___leave] = ACTIONS(3823),
    [anon_sym_not] = ACTIONS(3823),
    [anon_sym_compl] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_PLUS] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3823),
    [anon_sym___alignof__] = ACTIONS(3823),
    [anon_sym___alignof] = ACTIONS(3823),
    [anon_sym__alignof] = ACTIONS(3823),
    [anon_sym_alignof] = ACTIONS(3823),
    [anon_sym__Alignof] = ACTIONS(3823),
    [anon_sym_offsetof] = ACTIONS(3823),
    [anon_sym__Generic] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [aux_sym_number_literal_token1] = ACTIONS(3825),
    [aux_sym_number_literal_token2] = ACTIONS(3823),
    [anon_sym_L_SQUOTE] = ACTIONS(3825),
    [anon_sym_u_SQUOTE] = ACTIONS(3825),
    [anon_sym_U_SQUOTE] = ACTIONS(3825),
    [anon_sym_u8_SQUOTE] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3825),
    [anon_sym_L_DQUOTE] = ACTIONS(3825),
    [anon_sym_u_DQUOTE] = ACTIONS(3825),
    [anon_sym_U_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [sym_true] = ACTIONS(3823),
    [sym_false] = ACTIONS(3823),
    [anon_sym_NULL] = ACTIONS(3823),
    [anon_sym_nullptr] = ACTIONS(3823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3823),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_explicit] = ACTIONS(3823),
    [anon_sym_typename] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_GT2] = ACTIONS(3825),
    [anon_sym_operator] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_delete] = ACTIONS(3823),
    [anon_sym_throw] = ACTIONS(3823),
    [anon_sym_co_return] = ACTIONS(3823),
    [anon_sym_co_yield] = ACTIONS(3823),
    [anon_sym_R_DQUOTE] = ACTIONS(3825),
    [anon_sym_LR_DQUOTE] = ACTIONS(3825),
    [anon_sym_uR_DQUOTE] = ACTIONS(3825),
    [anon_sym_UR_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3825),
    [anon_sym_co_await] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
    [sym_this] = ACTIONS(3823),
  },
  [795] = {
    [sym_function_definition] = STATE(1757),
    [sym_declaration] = STATE(1757),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4752),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1834),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2696),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(1757),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(1757),
    [sym_operator_cast] = STATE(6726),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(1757),
    [sym_operator_cast_declaration] = STATE(1757),
    [sym_constructor_or_destructor_definition] = STATE(1757),
    [sym_constructor_or_destructor_declaration] = STATE(1757),
    [sym_friend_declaration] = STATE(1757),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(1757),
    [sym_concept_definition] = STATE(1757),
    [sym_requires_clause] = STATE(828),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [796] = {
    [sym_type_qualifier] = STATE(811),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4683),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(811),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3841),
    [anon_sym_RBRACK] = ACTIONS(3843),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [797] = {
    [sym_function_definition] = STATE(1893),
    [sym_declaration] = STATE(1893),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4751),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(1893),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(1893),
    [sym_operator_cast] = STATE(6744),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(1893),
    [sym_operator_cast_declaration] = STATE(1893),
    [sym_constructor_or_destructor_definition] = STATE(1893),
    [sym_constructor_or_destructor_declaration] = STATE(1893),
    [sym_friend_declaration] = STATE(1893),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(1893),
    [sym_concept_definition] = STATE(1893),
    [sym_requires_clause] = STATE(826),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_concept] = ACTIONS(3851),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [798] = {
    [sym_type_qualifier] = STATE(804),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4659),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(804),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3855),
    [anon_sym_RBRACK] = ACTIONS(3857),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [799] = {
    [sym_type_qualifier] = STATE(819),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4690),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(819),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3861),
    [anon_sym_RBRACK] = ACTIONS(3863),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [800] = {
    [sym_type_qualifier] = STATE(814),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4651),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(814),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3867),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4704),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3871),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [802] = {
    [sym_type_qualifier] = STATE(822),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4714),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(822),
    [sym_identifier] = ACTIONS(3877),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [803] = {
    [sym_type_qualifier] = STATE(820),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4648),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(820),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3887),
    [anon_sym_RBRACK] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [804] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4662),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3893),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [805] = {
    [sym_type_qualifier] = STATE(822),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4714),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(822),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [806] = {
    [sym_type_qualifier] = STATE(816),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(816),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3897),
    [anon_sym_RBRACK] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [807] = {
    [sym_function_definition] = STATE(752),
    [sym_declaration] = STATE(752),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1833),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6146),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2682),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(752),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(752),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(752),
    [sym_operator_cast_declaration] = STATE(752),
    [sym_constructor_or_destructor_definition] = STATE(752),
    [sym_constructor_or_destructor_declaration] = STATE(752),
    [sym_friend_declaration] = STATE(752),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(752),
    [sym_concept_definition] = STATE(752),
    [sym_requires_clause] = STATE(823),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3901),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3903),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3905),
    [anon_sym_using] = ACTIONS(3907),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [808] = {
    [sym_type_qualifier] = STATE(818),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4688),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(818),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3909),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3911),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [809] = {
    [sym_function_definition] = STATE(332),
    [sym_declaration] = STATE(332),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6215),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(332),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1843),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(332),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1843),
    [sym_operator_cast_definition] = STATE(332),
    [sym_operator_cast_declaration] = STATE(332),
    [sym_constructor_or_destructor_definition] = STATE(332),
    [sym_constructor_or_destructor_declaration] = STATE(332),
    [sym_friend_declaration] = STATE(332),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(332),
    [sym_concept_definition] = STATE(332),
    [sym_requires_clause] = STATE(825),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3915),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3917),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3919),
    [anon_sym_using] = ACTIONS(3921),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [810] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4703),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3923),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_RBRACK] = ACTIONS(3927),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [811] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4645),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3929),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3931),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [812] = {
    [sym_function_definition] = STATE(1917),
    [sym_declaration] = STATE(1917),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4753),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2697),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(1917),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(1917),
    [sym_operator_cast] = STATE(6734),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(1917),
    [sym_operator_cast_declaration] = STATE(1917),
    [sym_constructor_or_destructor_definition] = STATE(1917),
    [sym_constructor_or_destructor_declaration] = STATE(1917),
    [sym_friend_declaration] = STATE(1917),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(1917),
    [sym_concept_definition] = STATE(1917),
    [sym_requires_clause] = STATE(831),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3675),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3677),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3679),
    [anon_sym_using] = ACTIONS(3933),
    [anon_sym_concept] = ACTIONS(3935),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [813] = {
    [sym_type_qualifier] = STATE(817),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4665),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3939),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [814] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3943),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [815] = {
    [sym_function_definition] = STATE(598),
    [sym_declaration] = STATE(598),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6143),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(598),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1841),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(598),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1841),
    [sym_operator_cast_definition] = STATE(598),
    [sym_operator_cast_declaration] = STATE(598),
    [sym_constructor_or_destructor_definition] = STATE(598),
    [sym_constructor_or_destructor_declaration] = STATE(598),
    [sym_friend_declaration] = STATE(598),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(598),
    [sym_concept_definition] = STATE(598),
    [sym_requires_clause] = STATE(829),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1841),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3947),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3949),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3951),
    [anon_sym_using] = ACTIONS(3953),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [816] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4666),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3955),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [817] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4667),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3961),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [818] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4689),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [819] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4711),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [820] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4675),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3973),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [821] = {
    [sym_function_definition] = STATE(657),
    [sym_declaration] = STATE(657),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6136),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2692),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(657),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1846),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(657),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1846),
    [sym_operator_cast_definition] = STATE(657),
    [sym_operator_cast_declaration] = STATE(657),
    [sym_constructor_or_destructor_definition] = STATE(657),
    [sym_constructor_or_destructor_declaration] = STATE(657),
    [sym_friend_declaration] = STATE(657),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(657),
    [sym_concept_definition] = STATE(657),
    [sym_requires_clause] = STATE(827),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3975),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3977),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3979),
    [anon_sym_using] = ACTIONS(3981),
    [anon_sym_concept] = ACTIONS(791),
    [anon_sym_requires] = ACTIONS(3835),
  },
  [822] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4647),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(3983),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_constexpr] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_restrict] = ACTIONS(3845),
    [anon_sym___restrict__] = ACTIONS(3845),
    [anon_sym__Atomic] = ACTIONS(3845),
    [anon_sym__Noreturn] = ACTIONS(3845),
    [anon_sym_noreturn] = ACTIONS(3845),
    [anon_sym__Nonnull] = ACTIONS(3845),
    [anon_sym_mutable] = ACTIONS(3845),
    [anon_sym_constinit] = ACTIONS(3845),
    [anon_sym_consteval] = ACTIONS(3845),
    [anon_sym_PROGMEM] = ACTIONS(3845),
    [anon_sym_alignas] = ACTIONS(3847),
    [anon_sym__Alignas] = ACTIONS(3847),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [823] = {
    [sym_function_definition] = STATE(743),
    [sym_declaration] = STATE(743),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1833),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6146),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2682),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(743),
    [sym_concept_definition] = STATE(743),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3901),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3903),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3905),
    [anon_sym_using] = ACTIONS(3907),
    [anon_sym_concept] = ACTIONS(149),
  },
  [824] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3127),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(3987),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(3990),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(3996),
    [anon_sym___extension__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3773),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [825] = {
    [sym_function_definition] = STATE(310),
    [sym_declaration] = STATE(310),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6215),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(310),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1843),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(310),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(1843),
    [sym_operator_cast_definition] = STATE(310),
    [sym_operator_cast_declaration] = STATE(310),
    [sym_constructor_or_destructor_definition] = STATE(310),
    [sym_constructor_or_destructor_declaration] = STATE(310),
    [sym_friend_declaration] = STATE(310),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(310),
    [sym_concept_definition] = STATE(310),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3915),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3917),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3919),
    [anon_sym_using] = ACTIONS(3921),
    [anon_sym_concept] = ACTIONS(331),
  },
  [826] = {
    [sym_function_definition] = STATE(2071),
    [sym_declaration] = STATE(2071),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4751),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(2071),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(2071),
    [sym_operator_cast] = STATE(6744),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(2071),
    [sym_operator_cast_declaration] = STATE(2071),
    [sym_constructor_or_destructor_definition] = STATE(2071),
    [sym_constructor_or_destructor_declaration] = STATE(2071),
    [sym_friend_declaration] = STATE(2071),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(2071),
    [sym_concept_definition] = STATE(2071),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6744),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_concept] = ACTIONS(3851),
  },
  [827] = {
    [sym_function_definition] = STATE(680),
    [sym_declaration] = STATE(680),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6136),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2692),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(680),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1846),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(680),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1846),
    [sym_operator_cast_definition] = STATE(680),
    [sym_operator_cast_declaration] = STATE(680),
    [sym_constructor_or_destructor_definition] = STATE(680),
    [sym_constructor_or_destructor_declaration] = STATE(680),
    [sym_friend_declaration] = STATE(680),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(680),
    [sym_concept_definition] = STATE(680),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3975),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3977),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3979),
    [anon_sym_using] = ACTIONS(3981),
    [anon_sym_concept] = ACTIONS(791),
  },
  [828] = {
    [sym_function_definition] = STATE(1690),
    [sym_declaration] = STATE(1690),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4752),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1834),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6134),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2696),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(1690),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(1690),
    [sym_operator_cast] = STATE(6726),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(1690),
    [sym_operator_cast_declaration] = STATE(1690),
    [sym_constructor_or_destructor_definition] = STATE(1690),
    [sym_constructor_or_destructor_declaration] = STATE(1690),
    [sym_friend_declaration] = STATE(1690),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(1690),
    [sym_concept_definition] = STATE(1690),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6726),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
  },
  [829] = {
    [sym_function_definition] = STATE(632),
    [sym_declaration] = STATE(632),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6143),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2704),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(632),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1841),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(632),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1841),
    [sym_operator_cast_definition] = STATE(632),
    [sym_operator_cast_declaration] = STATE(632),
    [sym_constructor_or_destructor_definition] = STATE(632),
    [sym_constructor_or_destructor_declaration] = STATE(632),
    [sym_friend_declaration] = STATE(632),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(632),
    [sym_concept_definition] = STATE(632),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1841),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3947),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3949),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3951),
    [anon_sym_using] = ACTIONS(3953),
    [anon_sym_concept] = ACTIONS(235),
  },
  [830] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2977),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_LPAREN2] = ACTIONS(4005),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(4008),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(4011),
    [anon_sym_COLON_COLON] = ACTIONS(4014),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [831] = {
    [sym_function_definition] = STATE(1931),
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2873),
    [sym__declaration_specifiers] = STATE(4753),
    [sym_attribute_specifier] = STATE(2873),
    [sym_attribute_declaration] = STATE(2873),
    [sym_ms_declspec_modifier] = STATE(2873),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(2873),
    [sym_type_qualifier] = STATE(2873),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2697),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym__empty_declaration] = STATE(1931),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2367),
    [sym_template_declaration] = STATE(1931),
    [sym_operator_cast] = STATE(6734),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(1931),
    [sym_operator_cast_declaration] = STATE(1931),
    [sym_constructor_or_destructor_definition] = STATE(1931),
    [sym_constructor_or_destructor_declaration] = STATE(1931),
    [sym_friend_declaration] = STATE(1931),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_alias_declaration] = STATE(1931),
    [sym_concept_definition] = STATE(1931),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_qualified_operator_cast_identifier] = STATE(6734),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3675),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3677),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3679),
    [anon_sym_using] = ACTIONS(3933),
    [anon_sym_concept] = ACTIONS(3935),
  },
  [832] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4023),
    [anon_sym_TILDE] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4026),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_not] = ACTIONS(4026),
    [anon_sym_compl] = ACTIONS(4026),
    [anon_sym_DASH_DASH] = ACTIONS(4035),
    [anon_sym_PLUS_PLUS] = ACTIONS(4035),
    [anon_sym_sizeof] = ACTIONS(4038),
    [anon_sym___alignof__] = ACTIONS(4041),
    [anon_sym___alignof] = ACTIONS(4041),
    [anon_sym__alignof] = ACTIONS(4041),
    [anon_sym_alignof] = ACTIONS(4041),
    [anon_sym__Alignof] = ACTIONS(4041),
    [anon_sym_offsetof] = ACTIONS(4044),
    [anon_sym__Generic] = ACTIONS(4047),
    [anon_sym_asm] = ACTIONS(4050),
    [anon_sym___asm__] = ACTIONS(4050),
    [anon_sym___asm] = ACTIONS(4050),
    [aux_sym_number_literal_token1] = ACTIONS(4053),
    [aux_sym_number_literal_token2] = ACTIONS(4056),
    [anon_sym_L_SQUOTE] = ACTIONS(4059),
    [anon_sym_u_SQUOTE] = ACTIONS(4059),
    [anon_sym_U_SQUOTE] = ACTIONS(4059),
    [anon_sym_u8_SQUOTE] = ACTIONS(4059),
    [anon_sym_SQUOTE] = ACTIONS(4059),
    [anon_sym_L_DQUOTE] = ACTIONS(4062),
    [anon_sym_u_DQUOTE] = ACTIONS(4062),
    [anon_sym_U_DQUOTE] = ACTIONS(4062),
    [anon_sym_u8_DQUOTE] = ACTIONS(4062),
    [anon_sym_DQUOTE] = ACTIONS(4062),
    [sym_true] = ACTIONS(4065),
    [sym_false] = ACTIONS(4065),
    [anon_sym_NULL] = ACTIONS(4068),
    [anon_sym_nullptr] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(4071),
    [anon_sym_R_DQUOTE] = ACTIONS(4074),
    [anon_sym_LR_DQUOTE] = ACTIONS(4074),
    [anon_sym_uR_DQUOTE] = ACTIONS(4074),
    [anon_sym_UR_DQUOTE] = ACTIONS(4074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4074),
    [anon_sym_co_await] = ACTIONS(4077),
    [anon_sym_new] = ACTIONS(4080),
    [anon_sym_requires] = ACTIONS(4083),
    [sym_this] = ACTIONS(4065),
  },
  [833] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4094),
    [anon_sym_PLUS] = ACTIONS(4094),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4096),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_SEMI] = ACTIONS(4092),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_virtual] = ACTIONS(4098),
    [anon_sym_extern] = ACTIONS(4098),
    [anon_sym___attribute__] = ACTIONS(4098),
    [anon_sym___attribute] = ACTIONS(4098),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4098),
    [anon_sym___based] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_signed] = ACTIONS(4098),
    [anon_sym_unsigned] = ACTIONS(4098),
    [anon_sym_long] = ACTIONS(4098),
    [anon_sym_short] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_static] = ACTIONS(4098),
    [anon_sym_register] = ACTIONS(4098),
    [anon_sym_inline] = ACTIONS(4098),
    [anon_sym___inline] = ACTIONS(4098),
    [anon_sym___inline__] = ACTIONS(4098),
    [anon_sym___forceinline] = ACTIONS(4098),
    [anon_sym_thread_local] = ACTIONS(4098),
    [anon_sym___thread] = ACTIONS(4098),
    [anon_sym_const] = ACTIONS(4098),
    [anon_sym_constexpr] = ACTIONS(4098),
    [anon_sym_volatile] = ACTIONS(4098),
    [anon_sym_restrict] = ACTIONS(4098),
    [anon_sym___restrict__] = ACTIONS(4098),
    [anon_sym__Atomic] = ACTIONS(4098),
    [anon_sym__Noreturn] = ACTIONS(4098),
    [anon_sym_noreturn] = ACTIONS(4098),
    [anon_sym__Nonnull] = ACTIONS(4098),
    [anon_sym_mutable] = ACTIONS(4098),
    [anon_sym_constinit] = ACTIONS(4098),
    [anon_sym_consteval] = ACTIONS(4098),
    [anon_sym_PROGMEM] = ACTIONS(4098),
    [anon_sym_alignas] = ACTIONS(4098),
    [anon_sym__Alignas] = ACTIONS(4098),
    [aux_sym_primitive_type_token1] = ACTIONS(4086),
    [anon_sym_byte] = ACTIONS(4086),
    [anon_sym_word] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4098),
    [anon_sym_class] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4098),
    [anon_sym_union] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_switch] = ACTIONS(4094),
    [anon_sym_case] = ACTIONS(4094),
    [anon_sym_default] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(4094),
    [anon_sym_do] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym___try] = ACTIONS(4094),
    [anon_sym___leave] = ACTIONS(4094),
    [anon_sym_not] = ACTIONS(4094),
    [anon_sym_compl] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_PLUS] = ACTIONS(4092),
    [anon_sym_sizeof] = ACTIONS(4094),
    [anon_sym___alignof__] = ACTIONS(4094),
    [anon_sym___alignof] = ACTIONS(4094),
    [anon_sym__alignof] = ACTIONS(4094),
    [anon_sym_alignof] = ACTIONS(4094),
    [anon_sym__Alignof] = ACTIONS(4094),
    [anon_sym_offsetof] = ACTIONS(4094),
    [anon_sym__Generic] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym___asm__] = ACTIONS(4094),
    [anon_sym___asm] = ACTIONS(4094),
    [aux_sym_number_literal_token1] = ACTIONS(4092),
    [aux_sym_number_literal_token2] = ACTIONS(4094),
    [anon_sym_L_SQUOTE] = ACTIONS(4092),
    [anon_sym_u_SQUOTE] = ACTIONS(4092),
    [anon_sym_U_SQUOTE] = ACTIONS(4092),
    [anon_sym_u8_SQUOTE] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4092),
    [anon_sym_L_DQUOTE] = ACTIONS(4092),
    [anon_sym_u_DQUOTE] = ACTIONS(4092),
    [anon_sym_U_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_NULL] = ACTIONS(4094),
    [anon_sym_nullptr] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4098),
    [anon_sym_decltype] = ACTIONS(4086),
    [anon_sym_explicit] = ACTIONS(4098),
    [anon_sym_typename] = ACTIONS(4098),
    [anon_sym_template] = ACTIONS(4086),
    [anon_sym_operator] = ACTIONS(4098),
    [anon_sym_try] = ACTIONS(4094),
    [anon_sym_delete] = ACTIONS(4094),
    [anon_sym_throw] = ACTIONS(4094),
    [anon_sym_co_return] = ACTIONS(4094),
    [anon_sym_co_yield] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(4092),
    [anon_sym_LR_DQUOTE] = ACTIONS(4092),
    [anon_sym_uR_DQUOTE] = ACTIONS(4092),
    [anon_sym_UR_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4092),
    [anon_sym_co_await] = ACTIONS(4094),
    [anon_sym_new] = ACTIONS(4094),
    [anon_sym_requires] = ACTIONS(4094),
    [sym_this] = ACTIONS(4094),
  },
  [834] = {
    [sym_catch_clause] = STATE(834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(4100),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [835] = {
    [sym_catch_clause] = STATE(834),
    [aux_sym_constructor_try_statement_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(4103),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [aux_sym_number_literal_token1] = ACTIONS(2655),
    [aux_sym_number_literal_token2] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [837] = {
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_switch] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym___try] = ACTIONS(1920),
    [anon_sym___leave] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1920),
    [anon_sym_compl] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_sizeof] = ACTIONS(1920),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1920),
    [anon_sym__Generic] = ACTIONS(1920),
    [anon_sym_asm] = ACTIONS(1920),
    [anon_sym___asm__] = ACTIONS(1920),
    [anon_sym___asm] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1918),
    [aux_sym_number_literal_token2] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1918),
    [anon_sym_u_SQUOTE] = ACTIONS(1918),
    [anon_sym_U_SQUOTE] = ACTIONS(1918),
    [anon_sym_u8_SQUOTE] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_L_DQUOTE] = ACTIONS(1918),
    [anon_sym_u_DQUOTE] = ACTIONS(1918),
    [anon_sym_U_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8_DQUOTE] = ACTIONS(1918),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [sym_true] = ACTIONS(1920),
    [sym_false] = ACTIONS(1920),
    [anon_sym_NULL] = ACTIONS(1920),
    [anon_sym_nullptr] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_co_return] = ACTIONS(1920),
    [anon_sym_co_yield] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1918),
    [anon_sym_LR_DQUOTE] = ACTIONS(1918),
    [anon_sym_uR_DQUOTE] = ACTIONS(1918),
    [anon_sym_UR_DQUOTE] = ACTIONS(1918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1918),
    [anon_sym_co_await] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_requires] = ACTIONS(1920),
    [sym_this] = ACTIONS(1920),
  },
  [838] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6384),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3262),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3304),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5645),
    [sym_qualified_identifier] = STATE(3319),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [839] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6384),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3431),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5673),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_operator_name] = STATE(5997),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [840] = {
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym___try] = ACTIONS(1924),
    [anon_sym___leave] = ACTIONS(1924),
    [anon_sym_not] = ACTIONS(1924),
    [anon_sym_compl] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1922),
    [anon_sym_sizeof] = ACTIONS(1924),
    [anon_sym___alignof__] = ACTIONS(1924),
    [anon_sym___alignof] = ACTIONS(1924),
    [anon_sym__alignof] = ACTIONS(1924),
    [anon_sym_alignof] = ACTIONS(1924),
    [anon_sym__Alignof] = ACTIONS(1924),
    [anon_sym_offsetof] = ACTIONS(1924),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1924),
    [anon_sym___asm__] = ACTIONS(1924),
    [anon_sym___asm] = ACTIONS(1924),
    [aux_sym_number_literal_token1] = ACTIONS(1922),
    [aux_sym_number_literal_token2] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1922),
    [anon_sym_u_SQUOTE] = ACTIONS(1922),
    [anon_sym_U_SQUOTE] = ACTIONS(1922),
    [anon_sym_u8_SQUOTE] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1922),
    [anon_sym_L_DQUOTE] = ACTIONS(1922),
    [anon_sym_u_DQUOTE] = ACTIONS(1922),
    [anon_sym_U_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8_DQUOTE] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1922),
    [sym_true] = ACTIONS(1924),
    [sym_false] = ACTIONS(1924),
    [anon_sym_NULL] = ACTIONS(1924),
    [anon_sym_nullptr] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_co_return] = ACTIONS(1924),
    [anon_sym_co_yield] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_requires] = ACTIONS(1924),
    [sym_this] = ACTIONS(1924),
  },
  [841] = {
    [sym_else_clause] = STATE(880),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2755),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2755),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2755),
    [anon_sym_u_SQUOTE] = ACTIONS(2755),
    [anon_sym_U_SQUOTE] = ACTIONS(2755),
    [anon_sym_u8_SQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_L_DQUOTE] = ACTIONS(2755),
    [anon_sym_u_DQUOTE] = ACTIONS(2755),
    [anon_sym_U_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2755),
    [anon_sym_LR_DQUOTE] = ACTIONS(2755),
    [anon_sym_uR_DQUOTE] = ACTIONS(2755),
    [anon_sym_UR_DQUOTE] = ACTIONS(2755),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2755),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [842] = {
    [sym_else_clause] = STATE(881),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2761),
    [anon_sym_typedef] = ACTIONS(2761),
    [anon_sym_virtual] = ACTIONS(2761),
    [anon_sym_extern] = ACTIONS(2761),
    [anon_sym___attribute__] = ACTIONS(2761),
    [anon_sym___attribute] = ACTIONS(2761),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2763),
    [anon_sym___declspec] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2761),
    [anon_sym_unsigned] = ACTIONS(2761),
    [anon_sym_long] = ACTIONS(2761),
    [anon_sym_short] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_register] = ACTIONS(2761),
    [anon_sym_inline] = ACTIONS(2761),
    [anon_sym___inline] = ACTIONS(2761),
    [anon_sym___inline__] = ACTIONS(2761),
    [anon_sym___forceinline] = ACTIONS(2761),
    [anon_sym_thread_local] = ACTIONS(2761),
    [anon_sym___thread] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_constexpr] = ACTIONS(2761),
    [anon_sym_volatile] = ACTIONS(2761),
    [anon_sym_restrict] = ACTIONS(2761),
    [anon_sym___restrict__] = ACTIONS(2761),
    [anon_sym__Atomic] = ACTIONS(2761),
    [anon_sym__Noreturn] = ACTIONS(2761),
    [anon_sym_noreturn] = ACTIONS(2761),
    [anon_sym__Nonnull] = ACTIONS(2761),
    [anon_sym_mutable] = ACTIONS(2761),
    [anon_sym_constinit] = ACTIONS(2761),
    [anon_sym_consteval] = ACTIONS(2761),
    [anon_sym_PROGMEM] = ACTIONS(2761),
    [anon_sym_alignas] = ACTIONS(2761),
    [anon_sym__Alignas] = ACTIONS(2761),
    [aux_sym_primitive_type_token1] = ACTIONS(2761),
    [anon_sym_byte] = ACTIONS(2761),
    [anon_sym_word] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(2761),
    [anon_sym_union] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_goto] = ACTIONS(2761),
    [anon_sym___try] = ACTIONS(2761),
    [anon_sym___leave] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2761),
    [anon_sym_compl] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_sizeof] = ACTIONS(2761),
    [anon_sym___alignof__] = ACTIONS(2761),
    [anon_sym___alignof] = ACTIONS(2761),
    [anon_sym__alignof] = ACTIONS(2761),
    [anon_sym_alignof] = ACTIONS(2761),
    [anon_sym__Alignof] = ACTIONS(2761),
    [anon_sym_offsetof] = ACTIONS(2761),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2761),
    [anon_sym___asm__] = ACTIONS(2761),
    [anon_sym___asm] = ACTIONS(2761),
    [aux_sym_number_literal_token1] = ACTIONS(2763),
    [aux_sym_number_literal_token2] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2763),
    [anon_sym_u_SQUOTE] = ACTIONS(2763),
    [anon_sym_U_SQUOTE] = ACTIONS(2763),
    [anon_sym_u8_SQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_L_DQUOTE] = ACTIONS(2763),
    [anon_sym_u_DQUOTE] = ACTIONS(2763),
    [anon_sym_U_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [anon_sym_NULL] = ACTIONS(2761),
    [anon_sym_nullptr] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2761),
    [anon_sym_decltype] = ACTIONS(2761),
    [anon_sym_typename] = ACTIONS(2761),
    [anon_sym_template] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_co_return] = ACTIONS(2761),
    [anon_sym_co_yield] = ACTIONS(2761),
    [anon_sym_R_DQUOTE] = ACTIONS(2763),
    [anon_sym_LR_DQUOTE] = ACTIONS(2763),
    [anon_sym_uR_DQUOTE] = ACTIONS(2763),
    [anon_sym_UR_DQUOTE] = ACTIONS(2763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2763),
    [anon_sym_co_await] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_requires] = ACTIONS(2761),
    [sym_this] = ACTIONS(2761),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym___attribute] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym__Nonnull] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [anon_sym_PROGMEM] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym__Alignas] = ACTIONS(2895),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [anon_sym___asm] = ACTIONS(2895),
    [aux_sym_number_literal_token1] = ACTIONS(2897),
    [aux_sym_number_literal_token2] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [anon_sym___asm] = ACTIONS(2837),
    [aux_sym_number_literal_token1] = ACTIONS(2839),
    [aux_sym_number_literal_token2] = ACTIONS(2837),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym___attribute] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym__Nonnull] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [anon_sym_PROGMEM] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym__Alignas] = ACTIONS(2853),
    [aux_sym_primitive_type_token1] = ACTIONS(2853),
    [anon_sym_byte] = ACTIONS(2853),
    [anon_sym_word] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [anon_sym___asm] = ACTIONS(2853),
    [aux_sym_number_literal_token1] = ACTIONS(2855),
    [aux_sym_number_literal_token2] = ACTIONS(2853),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [852] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4143),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym___attribute] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym__Nonnull] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [anon_sym_PROGMEM] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym__Alignas] = ACTIONS(2857),
    [aux_sym_primitive_type_token1] = ACTIONS(2857),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_word] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [anon_sym___asm] = ACTIONS(2857),
    [aux_sym_number_literal_token1] = ACTIONS(2859),
    [aux_sym_number_literal_token2] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_virtual] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym___attribute] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym__Nonnull] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_PROGMEM] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [aux_sym_primitive_type_token1] = ACTIONS(2771),
    [anon_sym_byte] = ACTIONS(2771),
    [anon_sym_word] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [anon_sym___asm] = ACTIONS(2771),
    [aux_sym_number_literal_token1] = ACTIONS(2773),
    [aux_sym_number_literal_token2] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym___attribute] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym__Nonnull] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [anon_sym_PROGMEM] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym__Alignas] = ACTIONS(2861),
    [aux_sym_primitive_type_token1] = ACTIONS(2861),
    [anon_sym_byte] = ACTIONS(2861),
    [anon_sym_word] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [anon_sym___asm] = ACTIONS(2861),
    [aux_sym_number_literal_token1] = ACTIONS(2863),
    [aux_sym_number_literal_token2] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym___attribute] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym__Nonnull] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [anon_sym_PROGMEM] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym__Alignas] = ACTIONS(2733),
    [aux_sym_primitive_type_token1] = ACTIONS(2733),
    [anon_sym_byte] = ACTIONS(2733),
    [anon_sym_word] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [anon_sym___asm] = ACTIONS(2733),
    [aux_sym_number_literal_token1] = ACTIONS(2738),
    [aux_sym_number_literal_token2] = ACTIONS(2733),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
  },
  [857] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(3823),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3825),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_signed] = ACTIONS(3823),
    [anon_sym_unsigned] = ACTIONS(3823),
    [anon_sym_long] = ACTIONS(3823),
    [anon_sym_short] = ACTIONS(3823),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [aux_sym_primitive_type_token1] = ACTIONS(3823),
    [anon_sym_byte] = ACTIONS(3823),
    [anon_sym_word] = ACTIONS(3823),
    [anon_sym_enum] = ACTIONS(3823),
    [anon_sym_class] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3823),
    [anon_sym_union] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(3823),
    [anon_sym_case] = ACTIONS(3823),
    [anon_sym_default] = ACTIONS(3823),
    [anon_sym_while] = ACTIONS(3823),
    [anon_sym_do] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3823),
    [anon_sym_break] = ACTIONS(3823),
    [anon_sym_continue] = ACTIONS(3823),
    [anon_sym_goto] = ACTIONS(3823),
    [anon_sym___try] = ACTIONS(3823),
    [anon_sym___leave] = ACTIONS(3823),
    [anon_sym_not] = ACTIONS(3823),
    [anon_sym_compl] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_PLUS] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3823),
    [anon_sym___alignof__] = ACTIONS(3823),
    [anon_sym___alignof] = ACTIONS(3823),
    [anon_sym__alignof] = ACTIONS(3823),
    [anon_sym_alignof] = ACTIONS(3823),
    [anon_sym__Alignof] = ACTIONS(3823),
    [anon_sym_offsetof] = ACTIONS(3823),
    [anon_sym__Generic] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [aux_sym_number_literal_token1] = ACTIONS(3825),
    [aux_sym_number_literal_token2] = ACTIONS(3823),
    [anon_sym_L_SQUOTE] = ACTIONS(3825),
    [anon_sym_u_SQUOTE] = ACTIONS(3825),
    [anon_sym_U_SQUOTE] = ACTIONS(3825),
    [anon_sym_u8_SQUOTE] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3825),
    [anon_sym_L_DQUOTE] = ACTIONS(3825),
    [anon_sym_u_DQUOTE] = ACTIONS(3825),
    [anon_sym_U_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [sym_true] = ACTIONS(3823),
    [sym_false] = ACTIONS(3823),
    [anon_sym_NULL] = ACTIONS(3823),
    [anon_sym_nullptr] = ACTIONS(3823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3823),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_typename] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_delete] = ACTIONS(3823),
    [anon_sym_throw] = ACTIONS(3823),
    [anon_sym_co_return] = ACTIONS(3823),
    [anon_sym_co_yield] = ACTIONS(3823),
    [anon_sym_R_DQUOTE] = ACTIONS(3825),
    [anon_sym_LR_DQUOTE] = ACTIONS(3825),
    [anon_sym_uR_DQUOTE] = ACTIONS(3825),
    [anon_sym_UR_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3825),
    [anon_sym_co_await] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
    [sym_this] = ACTIONS(3823),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [anon_sym___asm] = ACTIONS(2813),
    [aux_sym_number_literal_token1] = ACTIONS(2815),
    [aux_sym_number_literal_token2] = ACTIONS(2813),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [anon_sym___asm] = ACTIONS(2865),
    [aux_sym_number_literal_token1] = ACTIONS(2867),
    [aux_sym_number_literal_token2] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_virtual] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym___attribute] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym__Nonnull] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_PROGMEM] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [aux_sym_primitive_type_token1] = ACTIONS(2775),
    [anon_sym_byte] = ACTIONS(2775),
    [anon_sym_word] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [anon_sym___asm] = ACTIONS(2775),
    [aux_sym_number_literal_token1] = ACTIONS(2777),
    [aux_sym_number_literal_token2] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym___attribute] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym__Nonnull] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym__Alignas] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [anon_sym___asm] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym___attribute] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym__Nonnull] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [anon_sym_PROGMEM] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym__Alignas] = ACTIONS(2805),
    [aux_sym_primitive_type_token1] = ACTIONS(2805),
    [anon_sym_byte] = ACTIONS(2805),
    [anon_sym_word] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [anon_sym___asm] = ACTIONS(2805),
    [aux_sym_number_literal_token1] = ACTIONS(2807),
    [aux_sym_number_literal_token2] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
  },
  [871] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_LPAREN2] = ACTIONS(4092),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4094),
    [anon_sym_PLUS] = ACTIONS(4094),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_SEMI] = ACTIONS(4092),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_virtual] = ACTIONS(4098),
    [anon_sym_extern] = ACTIONS(4098),
    [anon_sym___attribute__] = ACTIONS(4098),
    [anon_sym___attribute] = ACTIONS(4098),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_signed] = ACTIONS(4098),
    [anon_sym_unsigned] = ACTIONS(4098),
    [anon_sym_long] = ACTIONS(4098),
    [anon_sym_short] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_static] = ACTIONS(4098),
    [anon_sym_register] = ACTIONS(4098),
    [anon_sym_inline] = ACTIONS(4098),
    [anon_sym___inline] = ACTIONS(4098),
    [anon_sym___inline__] = ACTIONS(4098),
    [anon_sym___forceinline] = ACTIONS(4098),
    [anon_sym_thread_local] = ACTIONS(4098),
    [anon_sym___thread] = ACTIONS(4098),
    [anon_sym_const] = ACTIONS(4098),
    [anon_sym_constexpr] = ACTIONS(4098),
    [anon_sym_volatile] = ACTIONS(4098),
    [anon_sym_restrict] = ACTIONS(4098),
    [anon_sym___restrict__] = ACTIONS(4098),
    [anon_sym__Atomic] = ACTIONS(4098),
    [anon_sym__Noreturn] = ACTIONS(4098),
    [anon_sym_noreturn] = ACTIONS(4098),
    [anon_sym__Nonnull] = ACTIONS(4098),
    [anon_sym_mutable] = ACTIONS(4098),
    [anon_sym_constinit] = ACTIONS(4098),
    [anon_sym_consteval] = ACTIONS(4098),
    [anon_sym_PROGMEM] = ACTIONS(4098),
    [anon_sym_alignas] = ACTIONS(4098),
    [anon_sym__Alignas] = ACTIONS(4098),
    [aux_sym_primitive_type_token1] = ACTIONS(4086),
    [anon_sym_byte] = ACTIONS(4086),
    [anon_sym_word] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4098),
    [anon_sym_class] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4098),
    [anon_sym_union] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_switch] = ACTIONS(4094),
    [anon_sym_case] = ACTIONS(4094),
    [anon_sym_default] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(4094),
    [anon_sym_do] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym___try] = ACTIONS(4094),
    [anon_sym___leave] = ACTIONS(4094),
    [anon_sym_not] = ACTIONS(4094),
    [anon_sym_compl] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_PLUS] = ACTIONS(4092),
    [anon_sym_sizeof] = ACTIONS(4094),
    [anon_sym___alignof__] = ACTIONS(4094),
    [anon_sym___alignof] = ACTIONS(4094),
    [anon_sym__alignof] = ACTIONS(4094),
    [anon_sym_alignof] = ACTIONS(4094),
    [anon_sym__Alignof] = ACTIONS(4094),
    [anon_sym_offsetof] = ACTIONS(4094),
    [anon_sym__Generic] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym___asm__] = ACTIONS(4094),
    [anon_sym___asm] = ACTIONS(4094),
    [aux_sym_number_literal_token1] = ACTIONS(4092),
    [aux_sym_number_literal_token2] = ACTIONS(4094),
    [anon_sym_L_SQUOTE] = ACTIONS(4092),
    [anon_sym_u_SQUOTE] = ACTIONS(4092),
    [anon_sym_U_SQUOTE] = ACTIONS(4092),
    [anon_sym_u8_SQUOTE] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4092),
    [anon_sym_L_DQUOTE] = ACTIONS(4092),
    [anon_sym_u_DQUOTE] = ACTIONS(4092),
    [anon_sym_U_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_NULL] = ACTIONS(4094),
    [anon_sym_nullptr] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4098),
    [anon_sym_decltype] = ACTIONS(4086),
    [anon_sym_typename] = ACTIONS(4098),
    [anon_sym_template] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4094),
    [anon_sym_delete] = ACTIONS(4094),
    [anon_sym_throw] = ACTIONS(4094),
    [anon_sym_co_return] = ACTIONS(4094),
    [anon_sym_co_yield] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(4092),
    [anon_sym_LR_DQUOTE] = ACTIONS(4092),
    [anon_sym_uR_DQUOTE] = ACTIONS(4092),
    [anon_sym_UR_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4092),
    [anon_sym_co_await] = ACTIONS(4094),
    [anon_sym_new] = ACTIONS(4094),
    [anon_sym_requires] = ACTIONS(4094),
    [sym_this] = ACTIONS(4094),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym___attribute] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym__Nonnull] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [anon_sym_PROGMEM] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym__Alignas] = ACTIONS(2891),
    [aux_sym_primitive_type_token1] = ACTIONS(2891),
    [anon_sym_byte] = ACTIONS(2891),
    [anon_sym_word] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [anon_sym___asm] = ACTIONS(2891),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [anon_sym___asm] = ACTIONS(2829),
    [aux_sym_number_literal_token1] = ACTIONS(2831),
    [aux_sym_number_literal_token2] = ACTIONS(2829),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [anon_sym___asm] = ACTIONS(2833),
    [aux_sym_number_literal_token1] = ACTIONS(2835),
    [aux_sym_number_literal_token2] = ACTIONS(2833),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(3819),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3821),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_signed] = ACTIONS(3819),
    [anon_sym_unsigned] = ACTIONS(3819),
    [anon_sym_long] = ACTIONS(3819),
    [anon_sym_short] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [aux_sym_primitive_type_token1] = ACTIONS(3819),
    [anon_sym_byte] = ACTIONS(3819),
    [anon_sym_word] = ACTIONS(3819),
    [anon_sym_enum] = ACTIONS(3819),
    [anon_sym_class] = ACTIONS(3819),
    [anon_sym_struct] = ACTIONS(3819),
    [anon_sym_union] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(3819),
    [anon_sym_switch] = ACTIONS(3819),
    [anon_sym_case] = ACTIONS(3819),
    [anon_sym_default] = ACTIONS(3819),
    [anon_sym_while] = ACTIONS(3819),
    [anon_sym_do] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3819),
    [anon_sym_break] = ACTIONS(3819),
    [anon_sym_continue] = ACTIONS(3819),
    [anon_sym_goto] = ACTIONS(3819),
    [anon_sym___try] = ACTIONS(3819),
    [anon_sym___leave] = ACTIONS(3819),
    [anon_sym_not] = ACTIONS(3819),
    [anon_sym_compl] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_PLUS] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3819),
    [anon_sym___alignof__] = ACTIONS(3819),
    [anon_sym___alignof] = ACTIONS(3819),
    [anon_sym__alignof] = ACTIONS(3819),
    [anon_sym_alignof] = ACTIONS(3819),
    [anon_sym__Alignof] = ACTIONS(3819),
    [anon_sym_offsetof] = ACTIONS(3819),
    [anon_sym__Generic] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [aux_sym_number_literal_token1] = ACTIONS(3821),
    [aux_sym_number_literal_token2] = ACTIONS(3819),
    [anon_sym_L_SQUOTE] = ACTIONS(3821),
    [anon_sym_u_SQUOTE] = ACTIONS(3821),
    [anon_sym_U_SQUOTE] = ACTIONS(3821),
    [anon_sym_u8_SQUOTE] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3821),
    [anon_sym_L_DQUOTE] = ACTIONS(3821),
    [anon_sym_u_DQUOTE] = ACTIONS(3821),
    [anon_sym_U_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [sym_true] = ACTIONS(3819),
    [sym_false] = ACTIONS(3819),
    [anon_sym_NULL] = ACTIONS(3819),
    [anon_sym_nullptr] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3819),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_typename] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_delete] = ACTIONS(3819),
    [anon_sym_throw] = ACTIONS(3819),
    [anon_sym_co_return] = ACTIONS(3819),
    [anon_sym_co_yield] = ACTIONS(3819),
    [anon_sym_R_DQUOTE] = ACTIONS(3821),
    [anon_sym_LR_DQUOTE] = ACTIONS(3821),
    [anon_sym_uR_DQUOTE] = ACTIONS(3821),
    [anon_sym_UR_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3821),
    [anon_sym_co_await] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
    [sym_this] = ACTIONS(3819),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [anon_sym___asm] = ACTIONS(2817),
    [aux_sym_number_literal_token1] = ACTIONS(2819),
    [aux_sym_number_literal_token2] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym___attribute] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym__Nonnull] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [anon_sym_PROGMEM] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym__Alignas] = ACTIONS(2821),
    [aux_sym_primitive_type_token1] = ACTIONS(2821),
    [anon_sym_byte] = ACTIONS(2821),
    [anon_sym_word] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [anon_sym___asm] = ACTIONS(2821),
    [aux_sym_number_literal_token1] = ACTIONS(2823),
    [aux_sym_number_literal_token2] = ACTIONS(2821),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym___attribute] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym__Nonnull] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [anon_sym_PROGMEM] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym__Alignas] = ACTIONS(2825),
    [aux_sym_primitive_type_token1] = ACTIONS(2825),
    [anon_sym_byte] = ACTIONS(2825),
    [anon_sym_word] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [anon_sym___asm] = ACTIONS(2825),
    [aux_sym_number_literal_token1] = ACTIONS(2827),
    [aux_sym_number_literal_token2] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym___attribute] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym__Nonnull] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [anon_sym_PROGMEM] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym__Alignas] = ACTIONS(2845),
    [aux_sym_primitive_type_token1] = ACTIONS(2845),
    [anon_sym_byte] = ACTIONS(2845),
    [anon_sym_word] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [anon_sym___asm] = ACTIONS(2845),
    [aux_sym_number_literal_token1] = ACTIONS(2847),
    [aux_sym_number_literal_token2] = ACTIONS(2845),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2671),
    [anon_sym_typedef] = ACTIONS(2671),
    [anon_sym_virtual] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym___attribute__] = ACTIONS(2671),
    [anon_sym___attribute] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2671),
    [anon_sym_unsigned] = ACTIONS(2671),
    [anon_sym_long] = ACTIONS(2671),
    [anon_sym_short] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_register] = ACTIONS(2671),
    [anon_sym_inline] = ACTIONS(2671),
    [anon_sym___inline] = ACTIONS(2671),
    [anon_sym___inline__] = ACTIONS(2671),
    [anon_sym___forceinline] = ACTIONS(2671),
    [anon_sym_thread_local] = ACTIONS(2671),
    [anon_sym___thread] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_constexpr] = ACTIONS(2671),
    [anon_sym_volatile] = ACTIONS(2671),
    [anon_sym_restrict] = ACTIONS(2671),
    [anon_sym___restrict__] = ACTIONS(2671),
    [anon_sym__Atomic] = ACTIONS(2671),
    [anon_sym__Noreturn] = ACTIONS(2671),
    [anon_sym_noreturn] = ACTIONS(2671),
    [anon_sym__Nonnull] = ACTIONS(2671),
    [anon_sym_mutable] = ACTIONS(2671),
    [anon_sym_constinit] = ACTIONS(2671),
    [anon_sym_consteval] = ACTIONS(2671),
    [anon_sym_PROGMEM] = ACTIONS(2671),
    [anon_sym_alignas] = ACTIONS(2671),
    [anon_sym__Alignas] = ACTIONS(2671),
    [aux_sym_primitive_type_token1] = ACTIONS(2671),
    [anon_sym_byte] = ACTIONS(2671),
    [anon_sym_word] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_goto] = ACTIONS(2671),
    [anon_sym___try] = ACTIONS(2671),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2671),
    [anon_sym_compl] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2671),
    [anon_sym___alignof__] = ACTIONS(2671),
    [anon_sym___alignof] = ACTIONS(2671),
    [anon_sym__alignof] = ACTIONS(2671),
    [anon_sym_alignof] = ACTIONS(2671),
    [anon_sym__Alignof] = ACTIONS(2671),
    [anon_sym_offsetof] = ACTIONS(2671),
    [anon_sym__Generic] = ACTIONS(2671),
    [anon_sym_asm] = ACTIONS(2671),
    [anon_sym___asm__] = ACTIONS(2671),
    [anon_sym___asm] = ACTIONS(2671),
    [aux_sym_number_literal_token1] = ACTIONS(2676),
    [aux_sym_number_literal_token2] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [anon_sym_NULL] = ACTIONS(2671),
    [anon_sym_nullptr] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2671),
    [anon_sym_decltype] = ACTIONS(2671),
    [anon_sym_typename] = ACTIONS(2671),
    [anon_sym_template] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2671),
    [anon_sym_co_yield] = ACTIONS(2671),
    [anon_sym_R_DQUOTE] = ACTIONS(2676),
    [anon_sym_LR_DQUOTE] = ACTIONS(2676),
    [anon_sym_uR_DQUOTE] = ACTIONS(2676),
    [anon_sym_UR_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2676),
    [anon_sym_co_await] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_requires] = ACTIONS(2671),
    [sym_this] = ACTIONS(2671),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym___attribute] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym__Nonnull] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [anon_sym_PROGMEM] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym__Alignas] = ACTIONS(2849),
    [aux_sym_primitive_type_token1] = ACTIONS(2849),
    [anon_sym_byte] = ACTIONS(2849),
    [anon_sym_word] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [anon_sym___asm] = ACTIONS(2849),
    [aux_sym_number_literal_token1] = ACTIONS(2851),
    [aux_sym_number_literal_token2] = ACTIONS(2849),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
  },
  [884] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [885] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [886] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [887] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_call_modifier] = STATE(4672),
    [sym__declarator] = STATE(6565),
    [sym__abstract_declarator] = STATE(6814),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_list] = STATE(2968),
    [sym_parameter_declaration] = STATE(7199),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(2319),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4167),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [888] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4169),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [889] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(898),
    [sym_compound_requirement] = STATE(898),
    [sym__requirement] = STATE(898),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(898),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4177),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [890] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4181),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [891] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4183),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [892] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4185),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [893] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7218),
    [sym_initializer_pair] = STATE(7218),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [894] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7081),
    [sym_initializer_pair] = STATE(7081),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4195),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [895] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7298),
    [sym_initializer_pair] = STATE(7298),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4201),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [896] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(909),
    [sym_compound_requirement] = STATE(909),
    [sym__requirement] = STATE(909),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(909),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4203),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [897] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(901),
    [sym_compound_requirement] = STATE(901),
    [sym__requirement] = STATE(901),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4205),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [898] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4207),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [899] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(911),
    [sym_compound_requirement] = STATE(911),
    [sym__requirement] = STATE(911),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(911),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4209),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [900] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4220),
    [anon_sym_PLUS] = ACTIONS(4220),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4229),
    [anon_sym_COLON_COLON] = ACTIONS(4232),
    [anon_sym_LBRACE] = ACTIONS(4235),
    [anon_sym_RBRACE] = ACTIONS(4238),
    [anon_sym_LBRACK] = ACTIONS(4240),
    [aux_sym_primitive_type_token1] = ACTIONS(4243),
    [anon_sym_byte] = ACTIONS(4243),
    [anon_sym_word] = ACTIONS(4243),
    [anon_sym_not] = ACTIONS(4220),
    [anon_sym_compl] = ACTIONS(4220),
    [anon_sym_DASH_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_PLUS] = ACTIONS(4246),
    [anon_sym_sizeof] = ACTIONS(4249),
    [anon_sym___alignof__] = ACTIONS(4252),
    [anon_sym___alignof] = ACTIONS(4252),
    [anon_sym__alignof] = ACTIONS(4252),
    [anon_sym_alignof] = ACTIONS(4252),
    [anon_sym__Alignof] = ACTIONS(4252),
    [anon_sym_offsetof] = ACTIONS(4255),
    [anon_sym__Generic] = ACTIONS(4258),
    [anon_sym_asm] = ACTIONS(4261),
    [anon_sym___asm__] = ACTIONS(4261),
    [anon_sym___asm] = ACTIONS(4261),
    [aux_sym_number_literal_token1] = ACTIONS(4264),
    [aux_sym_number_literal_token2] = ACTIONS(4267),
    [anon_sym_L_SQUOTE] = ACTIONS(4270),
    [anon_sym_u_SQUOTE] = ACTIONS(4270),
    [anon_sym_U_SQUOTE] = ACTIONS(4270),
    [anon_sym_u8_SQUOTE] = ACTIONS(4270),
    [anon_sym_SQUOTE] = ACTIONS(4270),
    [anon_sym_L_DQUOTE] = ACTIONS(4273),
    [anon_sym_u_DQUOTE] = ACTIONS(4273),
    [anon_sym_U_DQUOTE] = ACTIONS(4273),
    [anon_sym_u8_DQUOTE] = ACTIONS(4273),
    [anon_sym_DQUOTE] = ACTIONS(4273),
    [sym_true] = ACTIONS(4276),
    [sym_false] = ACTIONS(4276),
    [anon_sym_NULL] = ACTIONS(4279),
    [anon_sym_nullptr] = ACTIONS(4279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4282),
    [anon_sym_typename] = ACTIONS(4285),
    [anon_sym_template] = ACTIONS(4288),
    [anon_sym_delete] = ACTIONS(4291),
    [anon_sym_R_DQUOTE] = ACTIONS(4294),
    [anon_sym_LR_DQUOTE] = ACTIONS(4294),
    [anon_sym_uR_DQUOTE] = ACTIONS(4294),
    [anon_sym_UR_DQUOTE] = ACTIONS(4294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4294),
    [anon_sym_co_await] = ACTIONS(4297),
    [anon_sym_new] = ACTIONS(4300),
    [anon_sym_requires] = ACTIONS(4303),
    [sym_this] = ACTIONS(4276),
  },
  [901] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [902] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(910),
    [sym_compound_requirement] = STATE(910),
    [sym__requirement] = STATE(910),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(910),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [903] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7291),
    [sym_initializer_pair] = STATE(7291),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [904] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [905] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(890),
    [sym_compound_requirement] = STATE(890),
    [sym__requirement] = STATE(890),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [906] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4442),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7129),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4318),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [907] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(913),
    [sym_compound_requirement] = STATE(913),
    [sym__requirement] = STATE(913),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(913),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4320),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [908] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7186),
    [sym_initializer_pair] = STATE(7186),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4322),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [909] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [910] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4326),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [911] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4328),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [912] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7214),
    [sym_initializer_pair] = STATE(7214),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4330),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4332),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [913] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(900),
    [sym_compound_requirement] = STATE(900),
    [sym__requirement] = STATE(900),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4334),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [914] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression_statement] = STATE(2551),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8512),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_type_requirement] = STATE(904),
    [sym_compound_requirement] = STATE(904),
    [sym__requirement] = STATE(904),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_requirement_seq_repeat1] = STATE(904),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_RBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_typename] = ACTIONS(4179),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [915] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4338),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [916] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4340),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [917] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4342),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [918] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [919] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4346),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [920] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4348),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [921] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4350),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [922] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4352),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [923] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4354),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [924] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [925] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4318),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [926] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4358),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [927] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7569),
    [sym_initializer_pair] = STATE(7569),
    [sym_subscript_designator] = STATE(6660),
    [sym_subscript_range_designator] = STATE(6660),
    [sym_field_designator] = STATE(6660),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [aux_sym_initializer_pair_repeat1] = STATE(6660),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [928] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_lambda_default_capture] = STATE(7608),
    [sym__lambda_capture_identifier] = STATE(7370),
    [sym_lambda_capture_initializer] = STATE(7370),
    [sym__lambda_capture] = STATE(7370),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_identifier_parameter_pack_expansion] = STATE(7370),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3670),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(4366),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_EQ] = ACTIONS(4370),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(4372),
  },
  [929] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_lambda_default_capture] = STATE(7608),
    [sym__lambda_capture_identifier] = STATE(7370),
    [sym_lambda_capture_initializer] = STATE(7370),
    [sym__lambda_capture] = STATE(7370),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_identifier_parameter_pack_expansion] = STATE(7370),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3670),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(4374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(4366),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_EQ] = ACTIONS(4370),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(4372),
  },
  [930] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [931] = {
    [sym_string_literal] = STATE(2402),
    [sym_template_argument_list] = STATE(1549),
    [sym_raw_string_literal] = STATE(2402),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4376),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4119),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4379),
    [anon_sym_or_eq] = ACTIONS(4379),
    [anon_sym_xor_eq] = ACTIONS(4379),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4381),
    [anon_sym_u_DQUOTE] = ACTIONS(4381),
    [anon_sym_U_DQUOTE] = ACTIONS(4381),
    [anon_sym_u8_DQUOTE] = ACTIONS(4381),
    [anon_sym_DQUOTE] = ACTIONS(4381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(4383),
    [anon_sym_LR_DQUOTE] = ACTIONS(4383),
    [anon_sym_uR_DQUOTE] = ACTIONS(4383),
    [anon_sym_UR_DQUOTE] = ACTIONS(4383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4383),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [932] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [933] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4385),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [934] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [935] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [936] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4387),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [937] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1636),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [938] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(1645),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [939] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3347),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8157),
    [sym__unary_right_fold] = STATE(8162),
    [sym__binary_fold] = STATE(8163),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [940] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4588),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7992),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7992),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4389),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [941] = {
    [sym_compound_statement] = STATE(7942),
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3320),
    [sym__string] = STATE(2974),
    [sym_comma_expression] = STATE(7942),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym__assignment_expression_lhs] = STATE(8280),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [942] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3300),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8417),
    [sym__unary_right_fold] = STATE(8425),
    [sym__binary_fold] = STATE(8485),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [943] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(6711),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4397),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(4401),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4403),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [944] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3329),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7937),
    [sym__unary_right_fold] = STATE(8083),
    [sym__binary_fold] = STATE(8153),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [945] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3362),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8583),
    [sym__unary_right_fold] = STATE(8587),
    [sym__binary_fold] = STATE(8590),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [946] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3341),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8413),
    [sym__unary_right_fold] = STATE(8419),
    [sym__binary_fold] = STATE(8422),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [947] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7901),
    [sym__unary_right_fold] = STATE(7902),
    [sym__binary_fold] = STATE(7907),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [948] = {
    [sym_compound_statement] = STATE(7076),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7076),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [949] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3360),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(7793),
    [sym__unary_right_fold] = STATE(7794),
    [sym__binary_fold] = STATE(7795),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [950] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8245),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8245),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [951] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4501),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8522),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8522),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4409),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [952] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4197),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(6717),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4411),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(4413),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4415),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [953] = {
    [sym_compound_statement] = STATE(7377),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7377),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [954] = {
    [sym_compound_statement] = STATE(7204),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7204),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [955] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8378),
    [sym__unary_right_fold] = STATE(8379),
    [sym__binary_fold] = STATE(8380),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [956] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4207),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(6709),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4421),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(4423),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4425),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [957] = {
    [sym_compound_statement] = STATE(7051),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7051),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4427),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [958] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4621),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8248),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8248),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [959] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_identifier_parameter_pack_expansion] = STATE(7755),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3723),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4435),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [960] = {
    [sym_compound_statement] = STATE(7411),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4365),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7411),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [961] = {
    [sym_compound_statement] = STATE(7294),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7294),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4439),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [962] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8550),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8550),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4441),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [963] = {
    [sym_compound_statement] = STATE(7213),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7213),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4443),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [964] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym__unary_left_fold] = STATE(8037),
    [sym__unary_right_fold] = STATE(8046),
    [sym__binary_fold] = STATE(8141),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [965] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(7242),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [966] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2942),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [967] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2770),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [968] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3182),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [969] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4318),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [970] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4453),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [971] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4456),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [972] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3273),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [973] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [974] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [975] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4461),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [976] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4464),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [977] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [978] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [979] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4467),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [980] = {
    [sym_compound_statement] = STATE(7766),
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7766),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [981] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3281),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [982] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [983] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [984] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4472),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [985] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [986] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [987] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [988] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4150),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [989] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3119),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [990] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4153),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [991] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [992] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2914),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [993] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3736),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [994] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4487),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [995] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(7369),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4490),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [996] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [997] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4492),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [998] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(7080),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [999] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1000] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3423),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1001] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3425),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1002] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1003] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1004] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4291),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1005] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3027),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4449),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1006] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4612),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8558),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4506),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1007] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1008] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4135),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1009] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1010] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8511),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4512),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1011] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4537),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8261),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4514),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1012] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1013] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4628),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4516),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1014] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1015] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4594),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8636),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1016] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1017] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1018] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4595),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4520),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1019] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(6828),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1020] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1021] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_initializer_list] = STATE(4810),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1022] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7659),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1023] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_initializer_list] = STATE(4804),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1024] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4635),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8199),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4522),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1025] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4617),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8188),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1026] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8233),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4526),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1027] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4620),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8206),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1028] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3805),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3875),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1029] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4596),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8510),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1030] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7948),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1031] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4601),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(7742),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1032] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8577),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1033] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3647),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_initializer_list] = STATE(3855),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1034] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8498),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1035] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3240),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_initializer_list] = STATE(3562),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1036] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4719),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8514),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1037] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3422),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1038] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4539),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8150),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1039] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1040] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7554),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1041] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7129),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4542),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1042] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4586),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8528),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4545),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1043] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1044] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4287),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1045] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4587),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8400),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4547),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1046] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4604),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8358),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4549),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1047] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8595),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4551),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1048] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(3931),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1049] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1050] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3706),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_initializer_list] = STATE(3898),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1051] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2389),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_initializer_list] = STATE(2445),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1052] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(8505),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4555),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1053] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4691),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(8489),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1054] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3429),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_initializer_list] = STATE(3743),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1055] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4482),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_initializer_list] = STATE(7659),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1056] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3247),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4559),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1057] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4562),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1058] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3247),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4564),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1059] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3247),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4567),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1060] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4570),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1061] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1062] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4576),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1063] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4578),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1064] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4580),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1065] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3181),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4584),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1066] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4652),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4586),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1067] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4653),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4588),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1068] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3250),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1069] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3094),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1070] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3126),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4596),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1071] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4599),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1072] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1073] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3244),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1074] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3636),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1075] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3636),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1076] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3641),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1077] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3641),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1078] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3641),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1079] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3653),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1080] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3678),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1081] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3692),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1082] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3694),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1083] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3713),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1084] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3720),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1085] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3720),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1086] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3724),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1087] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3724),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4564),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1088] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3724),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4567),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1089] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3724),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4559),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1090] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4570),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1091] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1092] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3653),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4590),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1093] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3678),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1094] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3692),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4596),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1095] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3694),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4599),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1096] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3713),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1097] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3720),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1098] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4647),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1099] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1100] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4651),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1101] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4653),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1102] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7129),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1103] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4655),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1104] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1105] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_SEMI] = ACTIONS(4659),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(4661),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1106] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4663),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1107] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4667),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1108] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2381),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4671),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1109] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4677),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4673),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1110] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4678),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4675),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1111] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4677),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1112] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4679),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1113] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_SEMI] = ACTIONS(4681),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(4661),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1114] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4683),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1115] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4685),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1116] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4687),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1117] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4689),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1118] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_SEMI] = ACTIONS(4691),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(4661),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1119] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4693),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1120] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4694),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4697),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1121] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4695),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4699),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1122] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4759),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4701),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1123] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4643),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1124] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1125] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4707),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1126] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3711),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4709),
    [anon_sym_LPAREN2] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1127] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4707),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4713),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1128] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4708),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1129] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4717),
    [anon_sym_LPAREN2] = ACTIONS(4719),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1130] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4721),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1131] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1132] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3201),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1133] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3201),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1134] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2381),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4725),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1135] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3206),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1136] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3206),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1137] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3206),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1138] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3250),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1139] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2381),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4727),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1140] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3094),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1141] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3126),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1142] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1143] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4657),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4729),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1144] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(4256),
    [sym_comma_expression] = STATE(7129),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1145] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1146] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1147] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4733),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1148] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4673),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_RPAREN] = ACTIONS(4735),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1149] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3244),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1150] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4698),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4737),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1151] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3244),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1152] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4712),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4739),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1153] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4722),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4741),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1154] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4743),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1155] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3247),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1156] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4729),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4745),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1157] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4734),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4747),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1158] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4739),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4749),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1159] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4751),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1160] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3407),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1161] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3806),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4755),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1162] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1163] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1164] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1165] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1166] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1167] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1168] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1169] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1170] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4349),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1171] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1172] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1173] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3786),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1174] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1175] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1176] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4558),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1177] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4581),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1178] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4593),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1179] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1180] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4584),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1181] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4632),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1182] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4583),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1183] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4582),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1184] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4613),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1185] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4629),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1186] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4636),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(4759),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1187] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4564),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1188] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3078),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(4761),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1189] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2382),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1190] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3080),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1191] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3013),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1192] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4315),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1193] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4625),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1194] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3036),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1195] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4589),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1196] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4656),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1197] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1198] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4162),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1199] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4136),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1200] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1201] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1202] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4117),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1203] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1204] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4141),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1205] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4142),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1206] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4144),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1207] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4180),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1208] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1209] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(4767),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1210] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3828),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1211] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4133),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1212] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1213] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1214] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4151),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1215] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4154),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1216] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2375),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1217] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2375),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1218] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1219] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2416),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1220] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1221] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3309),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1222] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4747),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1223] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1224] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1225] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4312),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1226] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1227] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1228] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1229] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4320),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1230] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1231] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4322),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1232] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1233] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4462),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1234] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4718),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1235] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1236] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3824),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(4773),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1237] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1238] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4720),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1239] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(4775),
  },
  [1240] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4669),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1241] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4727),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1242] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3264),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1243] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3364),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1244] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3390),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1245] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3391),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1246] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3392),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1247] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3393),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1248] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3394),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1249] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3395),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1250] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1251] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3397),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1252] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3398),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1253] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1254] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4777),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1255] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2382),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1256] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2761),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1257] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2810),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1258] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2771),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1259] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1260] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4498),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1261] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1262] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3264),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1263] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4649),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1264] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1265] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1266] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1267] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1268] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4736),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1269] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4516),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1270] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1271] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4783),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1272] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4619),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1273] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1274] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(4785),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1275] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3121),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1276] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1277] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3208),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1278] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2977),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1279] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3200),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1280] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1281] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1282] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3636),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1283] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3641),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1284] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3653),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1285] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3678),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1286] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3692),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1287] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3694),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1288] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3713),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1289] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3720),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1290] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3724),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1291] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3725),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1292] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3628),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1293] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4585),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1294] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3621),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1295] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2352),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1296] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(4789),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1297] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1298] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4638),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1299] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4579),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1300] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3077),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1301] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3085),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1302] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2386),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1303] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3086),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1304] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3087),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1305] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3089),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1306] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3088),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1307] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3014),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1308] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3063),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1309] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3044),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1310] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2997),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1311] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3363),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1312] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3366),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1313] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1314] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3657),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1315] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3676),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1316] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3654),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1317] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2806),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1318] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2808),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1319] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2386),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1320] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4765),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1321] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1322] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2766),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1323] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2767),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1324] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2768),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1325] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2751),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1326] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2769),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1327] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2809),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1328] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3824),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1329] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3786),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1330] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3234),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1331] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2956),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(4795),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1332] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2382),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1333] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3727),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1334] = {
    [sym_primitive_type] = STATE(6998),
    [sym_expression] = STATE(4626),
    [sym__string] = STATE(4735),
    [sym_conditional_expression] = STATE(4788),
    [sym_assignment_expression] = STATE(4788),
    [sym_pointer_expression] = STATE(3662),
    [sym_unary_expression] = STATE(4788),
    [sym_binary_expression] = STATE(4788),
    [sym_update_expression] = STATE(4788),
    [sym_cast_expression] = STATE(4788),
    [sym_sizeof_expression] = STATE(4788),
    [sym_alignof_expression] = STATE(4788),
    [sym_offsetof_expression] = STATE(4788),
    [sym_generic_expression] = STATE(4788),
    [sym_subscript_expression] = STATE(3662),
    [sym_call_expression] = STATE(3662),
    [sym_gnu_asm_expression] = STATE(4788),
    [sym_extension_expression] = STATE(4788),
    [sym_field_expression] = STATE(3662),
    [sym_compound_literal_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(3662),
    [sym_number_literal] = STATE(4735),
    [sym_char_literal] = STATE(4735),
    [sym_concatenated_string] = STATE(4735),
    [sym_string_literal] = STATE(3814),
    [sym_null] = STATE(4788),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7690),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(4788),
    [sym_raw_string_literal] = STATE(3814),
    [sym_co_await_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_delete_expression] = STATE(4788),
    [sym_requires_clause] = STATE(4788),
    [sym_requires_expression] = STATE(4788),
    [sym_lambda_expression] = STATE(4788),
    [sym_lambda_capture_specifier] = STATE(5889),
    [sym_fold_expression] = STATE(4788),
    [sym_parameter_pack_expansion] = STATE(4788),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3662),
    [sym_qualified_type_identifier] = STATE(7690),
    [sym_user_defined_literal] = STATE(3662),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [aux_sym_number_literal_token1] = ACTIONS(2621),
    [aux_sym_number_literal_token2] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2629),
  },
  [1335] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3127),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1336] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3824),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1337] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3786),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1338] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1339] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2925),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(4797),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1340] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4743),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1341] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4644),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1342] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3262),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1343] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2375),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1344] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2416),
    [sym__string] = STATE(3155),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(3155),
    [sym_char_literal] = STATE(3155),
    [sym_concatenated_string] = STATE(3155),
    [sym_string_literal] = STATE(2233),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2233),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1345] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3288),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1346] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4326),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1347] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3824),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1348] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3201),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1349] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2375),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1350] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3206),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1351] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2416),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1352] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4746),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1353] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3250),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1354] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3094),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1355] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3126),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1356] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1357] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1358] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1359] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3244),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1360] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3247),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1361] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1362] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2951),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1363] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2916),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1364] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2964),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1365] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2386),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1366] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1367] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2985),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1368] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2986),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1369] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2993),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1370] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2994),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1371] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2989),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1372] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2957),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1373] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2931),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1374] = {
    [sym_primitive_type] = STATE(7044),
    [sym_expression] = STATE(3114),
    [sym__string] = STATE(3283),
    [sym_conditional_expression] = STATE(3604),
    [sym_assignment_expression] = STATE(3604),
    [sym_pointer_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3604),
    [sym_binary_expression] = STATE(3604),
    [sym_update_expression] = STATE(3604),
    [sym_cast_expression] = STATE(3604),
    [sym_sizeof_expression] = STATE(3604),
    [sym_alignof_expression] = STATE(3604),
    [sym_offsetof_expression] = STATE(3604),
    [sym_generic_expression] = STATE(3604),
    [sym_subscript_expression] = STATE(3485),
    [sym_call_expression] = STATE(3485),
    [sym_gnu_asm_expression] = STATE(3604),
    [sym_extension_expression] = STATE(3604),
    [sym_field_expression] = STATE(3485),
    [sym_compound_literal_expression] = STATE(3604),
    [sym_parenthesized_expression] = STATE(3485),
    [sym_number_literal] = STATE(3283),
    [sym_char_literal] = STATE(3283),
    [sym_concatenated_string] = STATE(3283),
    [sym_string_literal] = STATE(2333),
    [sym_null] = STATE(3604),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7615),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3604),
    [sym_raw_string_literal] = STATE(2333),
    [sym_co_await_expression] = STATE(3604),
    [sym_new_expression] = STATE(3604),
    [sym_delete_expression] = STATE(3604),
    [sym_requires_clause] = STATE(3604),
    [sym_requires_expression] = STATE(3604),
    [sym_lambda_expression] = STATE(3604),
    [sym_lambda_capture_specifier] = STATE(5910),
    [sym_fold_expression] = STATE(3604),
    [sym_parameter_pack_expansion] = STATE(3604),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3485),
    [sym_qualified_type_identifier] = STATE(7615),
    [sym_user_defined_literal] = STATE(3485),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1375] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4650),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1376] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4654),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1377] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1378] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(4799),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1379] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1380] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1381] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1382] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4614),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1383] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1384] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1385] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1386] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1387] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4531),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1388] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1389] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1390] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1391] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1392] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4658),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1393] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3629),
    [sym__string] = STATE(3827),
    [sym_conditional_expression] = STATE(3933),
    [sym_assignment_expression] = STATE(3933),
    [sym_pointer_expression] = STATE(3446),
    [sym_unary_expression] = STATE(3933),
    [sym_binary_expression] = STATE(3933),
    [sym_update_expression] = STATE(3933),
    [sym_cast_expression] = STATE(3933),
    [sym_sizeof_expression] = STATE(3933),
    [sym_alignof_expression] = STATE(3933),
    [sym_offsetof_expression] = STATE(3933),
    [sym_generic_expression] = STATE(3933),
    [sym_subscript_expression] = STATE(3446),
    [sym_call_expression] = STATE(3446),
    [sym_gnu_asm_expression] = STATE(3933),
    [sym_extension_expression] = STATE(3933),
    [sym_field_expression] = STATE(3446),
    [sym_compound_literal_expression] = STATE(3933),
    [sym_parenthesized_expression] = STATE(3446),
    [sym_number_literal] = STATE(3827),
    [sym_char_literal] = STATE(3827),
    [sym_concatenated_string] = STATE(3827),
    [sym_string_literal] = STATE(2541),
    [sym_null] = STATE(3933),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7727),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3933),
    [sym_raw_string_literal] = STATE(2541),
    [sym_co_await_expression] = STATE(3933),
    [sym_new_expression] = STATE(3933),
    [sym_delete_expression] = STATE(3933),
    [sym_requires_clause] = STATE(3933),
    [sym_requires_expression] = STATE(3933),
    [sym_lambda_expression] = STATE(3933),
    [sym_lambda_capture_specifier] = STATE(5905),
    [sym_fold_expression] = STATE(3933),
    [sym_parameter_pack_expansion] = STATE(3933),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5721),
    [sym_qualified_identifier] = STATE(3446),
    [sym_qualified_type_identifier] = STATE(7727),
    [sym_user_defined_literal] = STATE(3446),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1394] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1395] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4661),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1396] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1397] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4664),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1398] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4639),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1399] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4580),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1400] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1401] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1402] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4679),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1403] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4156),
    [sym__string] = STATE(4192),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(2921),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(2921),
    [sym_call_expression] = STATE(2921),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(2921),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(2921),
    [sym_number_literal] = STATE(4192),
    [sym_char_literal] = STATE(4192),
    [sym_concatenated_string] = STATE(4192),
    [sym_string_literal] = STATE(3018),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3018),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2921),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(2921),
    [sym_identifier] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(4508),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1404] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4684),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1405] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4685),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1406] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4686),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1407] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4687),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1408] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1409] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4692),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1410] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4696),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1411] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4699),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1412] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4700),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1413] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4701),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1414] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4702),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1415] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1416] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4705),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1417] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4709),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1418] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4296),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1419] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4713),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1420] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4715),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1421] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4716),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1422] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1423] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4640),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1424] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1425] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4642),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1426] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1427] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4723),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1428] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1429] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1430] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4726),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1431] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1432] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(4661),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1433] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4730),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1434] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4731),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1435] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4732),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1436] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3828),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1437] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(4801),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1438] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1439] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1440] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4553),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1441] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4555),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1442] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3298),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3298),
    [sym_call_expression] = STATE(3298),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3298),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3298),
    [sym_number_literal] = STATE(4359),
    [sym_char_literal] = STATE(4359),
    [sym_concatenated_string] = STATE(4359),
    [sym_string_literal] = STATE(3506),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3506),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3298),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3298),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3505),
    [anon_sym_PLUS] = ACTIONS(3505),
    [anon_sym_STAR] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3505),
    [anon_sym_compl] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(4399),
    [anon_sym_PLUS_PLUS] = ACTIONS(4399),
    [anon_sym_sizeof] = ACTIONS(3513),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3515),
    [aux_sym_number_literal_token2] = ACTIONS(3517),
    [anon_sym_L_SQUOTE] = ACTIONS(3519),
    [anon_sym_u_SQUOTE] = ACTIONS(3519),
    [anon_sym_U_SQUOTE] = ACTIONS(3519),
    [anon_sym_u8_SQUOTE] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3519),
    [anon_sym_L_DQUOTE] = ACTIONS(3521),
    [anon_sym_u_DQUOTE] = ACTIONS(3521),
    [anon_sym_U_DQUOTE] = ACTIONS(3521),
    [anon_sym_u8_DQUOTE] = ACTIONS(3521),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3523),
    [anon_sym_R_DQUOTE] = ACTIONS(3525),
    [anon_sym_LR_DQUOTE] = ACTIONS(3525),
    [anon_sym_uR_DQUOTE] = ACTIONS(3525),
    [anon_sym_UR_DQUOTE] = ACTIONS(3525),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3525),
    [anon_sym_co_await] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1443] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4592),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(4803),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1444] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4559),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4502),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1445] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3382),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(4805),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1446] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1447] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3404),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1448] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3406),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1449] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4297),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4807),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1450] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1451] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3403),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1452] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1453] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1454] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1455] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4549),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1456] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1457] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3428),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1458] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3405),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1459] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1460] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3412),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1461] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3413),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1462] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3414),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1463] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3415),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1464] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3416),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1465] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3417),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1466] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3418),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1467] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3419),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1468] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3420),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1469] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3408),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(4809),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1470] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3409),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1471] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3266),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(4811),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1472] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3421),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1473] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3424),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1474] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(3426),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4504),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4500),
    [anon_sym_PLUS_PLUS] = ACTIONS(4500),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1475] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1476] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(4813),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1477] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1478] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1479] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1480] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1481] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1482] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1483] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1484] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1485] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1486] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1487] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1488] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1489] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3824),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1490] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3786),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1491] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3828),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1492] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(4815),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1493] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3828),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1494] = {
    [sym_primitive_type] = STATE(6897),
    [sym_expression] = STATE(3276),
    [sym__string] = STATE(3508),
    [sym_conditional_expression] = STATE(3677),
    [sym_assignment_expression] = STATE(3677),
    [sym_pointer_expression] = STATE(3768),
    [sym_unary_expression] = STATE(3677),
    [sym_binary_expression] = STATE(3677),
    [sym_update_expression] = STATE(3677),
    [sym_cast_expression] = STATE(3677),
    [sym_sizeof_expression] = STATE(3677),
    [sym_alignof_expression] = STATE(3677),
    [sym_offsetof_expression] = STATE(3677),
    [sym_generic_expression] = STATE(3677),
    [sym_subscript_expression] = STATE(3768),
    [sym_call_expression] = STATE(3768),
    [sym_gnu_asm_expression] = STATE(3677),
    [sym_extension_expression] = STATE(3677),
    [sym_field_expression] = STATE(3768),
    [sym_compound_literal_expression] = STATE(3677),
    [sym_parenthesized_expression] = STATE(3768),
    [sym_number_literal] = STATE(3508),
    [sym_char_literal] = STATE(3508),
    [sym_concatenated_string] = STATE(3508),
    [sym_string_literal] = STATE(2401),
    [sym_null] = STATE(3677),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7700),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3677),
    [sym_raw_string_literal] = STATE(2401),
    [sym_co_await_expression] = STATE(3677),
    [sym_new_expression] = STATE(3677),
    [sym_delete_expression] = STATE(3677),
    [sym_requires_clause] = STATE(3677),
    [sym_requires_expression] = STATE(3677),
    [sym_lambda_expression] = STATE(3677),
    [sym_lambda_capture_specifier] = STATE(5933),
    [sym_fold_expression] = STATE(3677),
    [sym_parameter_pack_expansion] = STATE(3677),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5670),
    [sym_qualified_identifier] = STATE(3768),
    [sym_qualified_type_identifier] = STATE(7700),
    [sym_user_defined_literal] = STATE(3768),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4459),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1495] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2932),
    [sym__string] = STATE(2974),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2974),
    [sym_char_literal] = STATE(2974),
    [sym_concatenated_string] = STATE(2974),
    [sym_string_literal] = STATE(2132),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2132),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1496] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4762),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1497] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4763),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1498] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4256),
    [sym_conditional_expression] = STATE(3858),
    [sym_assignment_expression] = STATE(3858),
    [sym_pointer_expression] = STATE(3430),
    [sym_unary_expression] = STATE(3858),
    [sym_binary_expression] = STATE(3858),
    [sym_update_expression] = STATE(3858),
    [sym_cast_expression] = STATE(3858),
    [sym_sizeof_expression] = STATE(3858),
    [sym_alignof_expression] = STATE(3858),
    [sym_offsetof_expression] = STATE(3858),
    [sym_generic_expression] = STATE(3858),
    [sym_subscript_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_gnu_asm_expression] = STATE(3858),
    [sym_extension_expression] = STATE(3858),
    [sym_field_expression] = STATE(3430),
    [sym_compound_literal_expression] = STATE(3858),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_number_literal] = STATE(4256),
    [sym_char_literal] = STATE(4256),
    [sym_concatenated_string] = STATE(4256),
    [sym_string_literal] = STATE(3239),
    [sym_null] = STATE(3858),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7732),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(3858),
    [sym_raw_string_literal] = STATE(3239),
    [sym_co_await_expression] = STATE(3858),
    [sym_new_expression] = STATE(3858),
    [sym_delete_expression] = STATE(3858),
    [sym_requires_clause] = STATE(3858),
    [sym_requires_expression] = STATE(3858),
    [sym_lambda_expression] = STATE(3858),
    [sym_lambda_capture_specifier] = STATE(5916),
    [sym_fold_expression] = STATE(3858),
    [sym_parameter_pack_expansion] = STATE(3858),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3430),
    [sym_qualified_type_identifier] = STATE(7732),
    [sym_user_defined_literal] = STATE(3430),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1499] = {
    [sym_primitive_type] = STATE(6938),
    [sym_expression] = STATE(2764),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(2455),
    [sym_pointer_expression] = STATE(2468),
    [sym_unary_expression] = STATE(2455),
    [sym_binary_expression] = STATE(2455),
    [sym_update_expression] = STATE(2455),
    [sym_cast_expression] = STATE(2455),
    [sym_sizeof_expression] = STATE(2455),
    [sym_alignof_expression] = STATE(2455),
    [sym_offsetof_expression] = STATE(2455),
    [sym_generic_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2468),
    [sym_call_expression] = STATE(2468),
    [sym_gnu_asm_expression] = STATE(2455),
    [sym_extension_expression] = STATE(2455),
    [sym_field_expression] = STATE(2468),
    [sym_compound_literal_expression] = STATE(2455),
    [sym_parenthesized_expression] = STATE(2468),
    [sym_number_literal] = STATE(2907),
    [sym_char_literal] = STATE(2907),
    [sym_concatenated_string] = STATE(2907),
    [sym_string_literal] = STATE(2100),
    [sym_null] = STATE(2455),
    [sym_decltype] = STATE(8077),
    [sym__class_name] = STATE(7640),
    [sym_template_type] = STATE(2134),
    [sym_template_function] = STATE(2455),
    [sym_raw_string_literal] = STATE(2100),
    [sym_co_await_expression] = STATE(2455),
    [sym_new_expression] = STATE(2455),
    [sym_delete_expression] = STATE(2455),
    [sym_requires_clause] = STATE(2455),
    [sym_requires_expression] = STATE(2455),
    [sym_lambda_expression] = STATE(2455),
    [sym_lambda_capture_specifier] = STATE(5915),
    [sym_fold_expression] = STATE(2455),
    [sym_parameter_pack_expansion] = STATE(2455),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(2468),
    [sym_qualified_type_identifier] = STATE(7640),
    [sym_user_defined_literal] = STATE(2468),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4451),
    [anon_sym_sizeof] = ACTIONS(1940),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1944),
    [anon_sym__Generic] = ACTIONS(1946),
    [anon_sym_asm] = ACTIONS(1948),
    [anon_sym___asm__] = ACTIONS(1948),
    [anon_sym___asm] = ACTIONS(1948),
    [aux_sym_number_literal_token1] = ACTIONS(1950),
    [aux_sym_number_literal_token2] = ACTIONS(1952),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1958),
  },
  [1500] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_ms_call_modifier] = STATE(6250),
    [sym__abstract_declarator] = STATE(6814),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_list] = STATE(2968),
    [sym_parameter_declaration] = STATE(7199),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1501] = {
    [sym_template_argument_list] = STATE(1511),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_COMMA] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(4845),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4835),
    [anon_sym___extension__] = ACTIONS(4831),
    [anon_sym_virtual] = ACTIONS(4831),
    [anon_sym_extern] = ACTIONS(4831),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4835),
    [anon_sym___declspec] = ACTIONS(4831),
    [anon_sym___based] = ACTIONS(4831),
    [anon_sym___cdecl] = ACTIONS(4831),
    [anon_sym___clrcall] = ACTIONS(4831),
    [anon_sym___stdcall] = ACTIONS(4831),
    [anon_sym___fastcall] = ACTIONS(4831),
    [anon_sym___thiscall] = ACTIONS(4831),
    [anon_sym___vectorcall] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_RBRACE] = ACTIONS(4833),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_static] = ACTIONS(4831),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_register] = ACTIONS(4831),
    [anon_sym_inline] = ACTIONS(4831),
    [anon_sym___inline] = ACTIONS(4831),
    [anon_sym___inline__] = ACTIONS(4831),
    [anon_sym___forceinline] = ACTIONS(4831),
    [anon_sym_thread_local] = ACTIONS(4831),
    [anon_sym___thread] = ACTIONS(4831),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4831),
    [anon_sym_volatile] = ACTIONS(4831),
    [anon_sym_restrict] = ACTIONS(4831),
    [anon_sym___restrict__] = ACTIONS(4831),
    [anon_sym__Atomic] = ACTIONS(4831),
    [anon_sym__Noreturn] = ACTIONS(4831),
    [anon_sym_noreturn] = ACTIONS(4831),
    [anon_sym__Nonnull] = ACTIONS(4831),
    [anon_sym_mutable] = ACTIONS(4831),
    [anon_sym_constinit] = ACTIONS(4831),
    [anon_sym_consteval] = ACTIONS(4831),
    [anon_sym_PROGMEM] = ACTIONS(4831),
    [anon_sym_alignas] = ACTIONS(4831),
    [anon_sym__Alignas] = ACTIONS(4831),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_template] = ACTIONS(4831),
    [anon_sym_operator] = ACTIONS(4831),
  },
  [1502] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_TILDE] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_virtual] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4850),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym___cdecl] = ACTIONS(4848),
    [anon_sym___clrcall] = ACTIONS(4848),
    [anon_sym___stdcall] = ACTIONS(4848),
    [anon_sym___fastcall] = ACTIONS(4848),
    [anon_sym___thiscall] = ACTIONS(4848),
    [anon_sym___vectorcall] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4848),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4848),
    [anon_sym_or_eq] = ACTIONS(4848),
    [anon_sym_xor_eq] = ACTIONS(4848),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_template] = ACTIONS(4848),
    [anon_sym_operator] = ACTIONS(4848),
  },
  [1503] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_virtual] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym___cdecl] = ACTIONS(4852),
    [anon_sym___clrcall] = ACTIONS(4852),
    [anon_sym___stdcall] = ACTIONS(4852),
    [anon_sym___fastcall] = ACTIONS(4852),
    [anon_sym___thiscall] = ACTIONS(4852),
    [anon_sym___vectorcall] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_RBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4854),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_and_eq] = ACTIONS(4852),
    [anon_sym_or_eq] = ACTIONS(4852),
    [anon_sym_xor_eq] = ACTIONS(4852),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_template] = ACTIONS(4852),
    [anon_sym_operator] = ACTIONS(4852),
  },
  [1504] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_TILDE] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym_virtual] = ACTIONS(4856),
    [anon_sym_extern] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4858),
    [anon_sym___declspec] = ACTIONS(4856),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym___cdecl] = ACTIONS(4856),
    [anon_sym___clrcall] = ACTIONS(4856),
    [anon_sym___stdcall] = ACTIONS(4856),
    [anon_sym___fastcall] = ACTIONS(4856),
    [anon_sym___thiscall] = ACTIONS(4856),
    [anon_sym___vectorcall] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_static] = ACTIONS(4856),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_register] = ACTIONS(4856),
    [anon_sym_inline] = ACTIONS(4856),
    [anon_sym___inline] = ACTIONS(4856),
    [anon_sym___inline__] = ACTIONS(4856),
    [anon_sym___forceinline] = ACTIONS(4856),
    [anon_sym_thread_local] = ACTIONS(4856),
    [anon_sym___thread] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4856),
    [anon_sym_or_eq] = ACTIONS(4856),
    [anon_sym_xor_eq] = ACTIONS(4856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_template] = ACTIONS(4856),
    [anon_sym_operator] = ACTIONS(4856),
  },
  [1505] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym_virtual] = ACTIONS(4860),
    [anon_sym_extern] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4860),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym___cdecl] = ACTIONS(4860),
    [anon_sym___clrcall] = ACTIONS(4860),
    [anon_sym___stdcall] = ACTIONS(4860),
    [anon_sym___fastcall] = ACTIONS(4860),
    [anon_sym___thiscall] = ACTIONS(4860),
    [anon_sym___vectorcall] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_static] = ACTIONS(4860),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_register] = ACTIONS(4860),
    [anon_sym_inline] = ACTIONS(4860),
    [anon_sym___inline] = ACTIONS(4860),
    [anon_sym___inline__] = ACTIONS(4860),
    [anon_sym___forceinline] = ACTIONS(4860),
    [anon_sym_thread_local] = ACTIONS(4860),
    [anon_sym___thread] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_template] = ACTIONS(4860),
    [anon_sym_operator] = ACTIONS(4860),
  },
  [1506] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym_virtual] = ACTIONS(4864),
    [anon_sym_extern] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4864),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym___cdecl] = ACTIONS(4864),
    [anon_sym___clrcall] = ACTIONS(4864),
    [anon_sym___stdcall] = ACTIONS(4864),
    [anon_sym___fastcall] = ACTIONS(4864),
    [anon_sym___thiscall] = ACTIONS(4864),
    [anon_sym___vectorcall] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_static] = ACTIONS(4864),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4864),
    [anon_sym_inline] = ACTIONS(4864),
    [anon_sym___inline] = ACTIONS(4864),
    [anon_sym___inline__] = ACTIONS(4864),
    [anon_sym___forceinline] = ACTIONS(4864),
    [anon_sym_thread_local] = ACTIONS(4864),
    [anon_sym___thread] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_template] = ACTIONS(4864),
    [anon_sym_operator] = ACTIONS(4864),
  },
  [1507] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_TILDE] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_virtual] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4870),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym___cdecl] = ACTIONS(4868),
    [anon_sym___clrcall] = ACTIONS(4868),
    [anon_sym___stdcall] = ACTIONS(4868),
    [anon_sym___fastcall] = ACTIONS(4868),
    [anon_sym___thiscall] = ACTIONS(4868),
    [anon_sym___vectorcall] = ACTIONS(4868),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4868),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_template] = ACTIONS(4868),
    [anon_sym_operator] = ACTIONS(4868),
  },
  [1508] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_ms_call_modifier] = STATE(6257),
    [sym__abstract_declarator] = STATE(6762),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_list] = STATE(2968),
    [sym_parameter_declaration] = STATE(7199),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1509] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
  },
  [1510] = {
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_PROGMEM] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [aux_sym_primitive_type_token1] = ACTIONS(2695),
    [anon_sym_byte] = ACTIONS(2695),
    [anon_sym_word] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [aux_sym_number_literal_token1] = ACTIONS(2700),
    [aux_sym_number_literal_token2] = ACTIONS(2695),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4880),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1512] = {
    [sym_identifier] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [anon_sym___asm] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [1514] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5224),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6569),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_parameter_list] = STATE(815),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(4159),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5711),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1515] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5227),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6583),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_parameter_list] = STATE(821),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(4159),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5711),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1516] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5253),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6568),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_parameter_list] = STATE(809),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(4159),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5711),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1517] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6577),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_parameter_list] = STATE(807),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(4159),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5711),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_type_identifier] = STATE(2949),
    [sym_operator_name] = STATE(5997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1518] = {
    [sym_template_argument_list] = STATE(1521),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_COMMA] = ACTIONS(4833),
    [anon_sym_RPAREN] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(4845),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4833),
    [anon_sym___extension__] = ACTIONS(4831),
    [anon_sym_virtual] = ACTIONS(4831),
    [anon_sym_extern] = ACTIONS(4831),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4831),
    [anon_sym___based] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_RBRACE] = ACTIONS(4833),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_static] = ACTIONS(4831),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_register] = ACTIONS(4831),
    [anon_sym_inline] = ACTIONS(4831),
    [anon_sym___inline] = ACTIONS(4831),
    [anon_sym___inline__] = ACTIONS(4831),
    [anon_sym___forceinline] = ACTIONS(4831),
    [anon_sym_thread_local] = ACTIONS(4831),
    [anon_sym___thread] = ACTIONS(4831),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4831),
    [anon_sym_volatile] = ACTIONS(4831),
    [anon_sym_restrict] = ACTIONS(4831),
    [anon_sym___restrict__] = ACTIONS(4831),
    [anon_sym__Atomic] = ACTIONS(4831),
    [anon_sym__Noreturn] = ACTIONS(4831),
    [anon_sym_noreturn] = ACTIONS(4831),
    [anon_sym__Nonnull] = ACTIONS(4831),
    [anon_sym_mutable] = ACTIONS(4831),
    [anon_sym_constinit] = ACTIONS(4831),
    [anon_sym_consteval] = ACTIONS(4831),
    [anon_sym_PROGMEM] = ACTIONS(4831),
    [anon_sym_alignas] = ACTIONS(4831),
    [anon_sym__Alignas] = ACTIONS(4831),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_template] = ACTIONS(4831),
    [anon_sym_operator] = ACTIONS(4831),
  },
  [1519] = {
    [sym_template_argument_list] = STATE(1535),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4835),
    [anon_sym_COMMA] = ACTIONS(4835),
    [anon_sym_RPAREN] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4831),
    [anon_sym_virtual] = ACTIONS(4831),
    [anon_sym_extern] = ACTIONS(4831),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4831),
    [anon_sym___based] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_static] = ACTIONS(4831),
    [anon_sym_EQ] = ACTIONS(4842),
    [anon_sym_register] = ACTIONS(4831),
    [anon_sym_inline] = ACTIONS(4831),
    [anon_sym___inline] = ACTIONS(4831),
    [anon_sym___inline__] = ACTIONS(4831),
    [anon_sym___forceinline] = ACTIONS(4831),
    [anon_sym_thread_local] = ACTIONS(4831),
    [anon_sym___thread] = ACTIONS(4831),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4831),
    [anon_sym_volatile] = ACTIONS(4831),
    [anon_sym_restrict] = ACTIONS(4831),
    [anon_sym___restrict__] = ACTIONS(4831),
    [anon_sym__Atomic] = ACTIONS(4831),
    [anon_sym__Noreturn] = ACTIONS(4831),
    [anon_sym_noreturn] = ACTIONS(4831),
    [anon_sym__Nonnull] = ACTIONS(4831),
    [anon_sym_mutable] = ACTIONS(4831),
    [anon_sym_constinit] = ACTIONS(4831),
    [anon_sym_consteval] = ACTIONS(4831),
    [anon_sym_PROGMEM] = ACTIONS(4831),
    [anon_sym_alignas] = ACTIONS(4831),
    [anon_sym__Alignas] = ACTIONS(4831),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_template] = ACTIONS(4831),
    [anon_sym_operator] = ACTIONS(4831),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4833),
  },
  [1520] = {
    [sym_type_qualifier] = STATE(1520),
    [sym_alignas_qualifier] = STATE(1545),
    [aux_sym__type_definition_type_repeat1] = STATE(1520),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [aux_sym_preproc_if_token2] = ACTIONS(4901),
    [aux_sym_preproc_else_token1] = ACTIONS(4901),
    [aux_sym_preproc_elif_token1] = ACTIONS(4899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4899),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4899),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4899),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4901),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4899),
    [anon_sym_GT_GT] = ACTIONS(4899),
    [anon_sym_SEMI] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(4903),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_RBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_RBRACK] = ACTIONS(4901),
    [anon_sym_EQ] = ACTIONS(4899),
    [anon_sym_const] = ACTIONS(4903),
    [anon_sym_constexpr] = ACTIONS(4903),
    [anon_sym_volatile] = ACTIONS(4903),
    [anon_sym_restrict] = ACTIONS(4903),
    [anon_sym___restrict__] = ACTIONS(4903),
    [anon_sym__Atomic] = ACTIONS(4903),
    [anon_sym__Noreturn] = ACTIONS(4903),
    [anon_sym_noreturn] = ACTIONS(4903),
    [anon_sym__Nonnull] = ACTIONS(4903),
    [anon_sym_mutable] = ACTIONS(4903),
    [anon_sym_constinit] = ACTIONS(4903),
    [anon_sym_consteval] = ACTIONS(4903),
    [anon_sym_PROGMEM] = ACTIONS(4903),
    [anon_sym_alignas] = ACTIONS(4906),
    [anon_sym__Alignas] = ACTIONS(4906),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_COLON] = ACTIONS(4901),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_STAR_EQ] = ACTIONS(4901),
    [anon_sym_SLASH_EQ] = ACTIONS(4901),
    [anon_sym_PERCENT_EQ] = ACTIONS(4901),
    [anon_sym_PLUS_EQ] = ACTIONS(4901),
    [anon_sym_DASH_EQ] = ACTIONS(4901),
    [anon_sym_LT_LT_EQ] = ACTIONS(4901),
    [anon_sym_GT_GT_EQ] = ACTIONS(4901),
    [anon_sym_AMP_EQ] = ACTIONS(4901),
    [anon_sym_CARET_EQ] = ACTIONS(4901),
    [anon_sym_PIPE_EQ] = ACTIONS(4901),
    [anon_sym_and_eq] = ACTIONS(4899),
    [anon_sym_or_eq] = ACTIONS(4899),
    [anon_sym_xor_eq] = ACTIONS(4899),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_TILDE] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_virtual] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4850),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4848),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4848),
    [anon_sym_or_eq] = ACTIONS(4848),
    [anon_sym_xor_eq] = ACTIONS(4848),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_template] = ACTIONS(4848),
    [anon_sym_operator] = ACTIONS(4848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4850),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_virtual] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4854),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_and_eq] = ACTIONS(4852),
    [anon_sym_or_eq] = ACTIONS(4852),
    [anon_sym_xor_eq] = ACTIONS(4852),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_template] = ACTIONS(4852),
    [anon_sym_operator] = ACTIONS(4852),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4854),
  },
  [1524] = {
    [sym_string_literal] = STATE(2155),
    [sym_template_argument_list] = STATE(1831),
    [sym_raw_string_literal] = STATE(2155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4111),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4909),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_TILDE] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4858),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4858),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4858),
    [anon_sym_GT_GT] = ACTIONS(4858),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym_virtual] = ACTIONS(4856),
    [anon_sym_extern] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4858),
    [anon_sym___declspec] = ACTIONS(4856),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym___cdecl] = ACTIONS(4856),
    [anon_sym___clrcall] = ACTIONS(4856),
    [anon_sym___stdcall] = ACTIONS(4856),
    [anon_sym___fastcall] = ACTIONS(4856),
    [anon_sym___thiscall] = ACTIONS(4856),
    [anon_sym___vectorcall] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_static] = ACTIONS(4856),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_register] = ACTIONS(4856),
    [anon_sym_inline] = ACTIONS(4856),
    [anon_sym___inline] = ACTIONS(4856),
    [anon_sym___inline__] = ACTIONS(4856),
    [anon_sym___forceinline] = ACTIONS(4856),
    [anon_sym_thread_local] = ACTIONS(4856),
    [anon_sym___thread] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_COLON] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_final] = ACTIONS(4856),
    [anon_sym_override] = ACTIONS(4856),
    [anon_sym_template] = ACTIONS(4856),
    [anon_sym_operator] = ACTIONS(4856),
    [anon_sym_try] = ACTIONS(4856),
    [anon_sym_requires] = ACTIONS(4856),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_TILDE] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4850),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4850),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4850),
    [anon_sym_GT_GT] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_virtual] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4850),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym___cdecl] = ACTIONS(4848),
    [anon_sym___clrcall] = ACTIONS(4848),
    [anon_sym___stdcall] = ACTIONS(4848),
    [anon_sym___fastcall] = ACTIONS(4848),
    [anon_sym___thiscall] = ACTIONS(4848),
    [anon_sym___vectorcall] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4848),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_COLON] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_final] = ACTIONS(4848),
    [anon_sym_override] = ACTIONS(4848),
    [anon_sym_template] = ACTIONS(4848),
    [anon_sym_operator] = ACTIONS(4848),
    [anon_sym_try] = ACTIONS(4848),
    [anon_sym_requires] = ACTIONS(4848),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_TILDE] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4870),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4870),
    [anon_sym_GT_GT] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_virtual] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4870),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym___cdecl] = ACTIONS(4868),
    [anon_sym___clrcall] = ACTIONS(4868),
    [anon_sym___stdcall] = ACTIONS(4868),
    [anon_sym___fastcall] = ACTIONS(4868),
    [anon_sym___thiscall] = ACTIONS(4868),
    [anon_sym___vectorcall] = ACTIONS(4868),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4868),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_final] = ACTIONS(4868),
    [anon_sym_override] = ACTIONS(4868),
    [anon_sym_template] = ACTIONS(4868),
    [anon_sym_operator] = ACTIONS(4868),
    [anon_sym_try] = ACTIONS(4868),
    [anon_sym_requires] = ACTIONS(4868),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_TILDE] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_virtual] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4870),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4868),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_template] = ACTIONS(4868),
    [anon_sym_operator] = ACTIONS(4868),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4870),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4862),
    [anon_sym_GT_GT] = ACTIONS(4862),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym_virtual] = ACTIONS(4860),
    [anon_sym_extern] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4860),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym___cdecl] = ACTIONS(4860),
    [anon_sym___clrcall] = ACTIONS(4860),
    [anon_sym___stdcall] = ACTIONS(4860),
    [anon_sym___fastcall] = ACTIONS(4860),
    [anon_sym___thiscall] = ACTIONS(4860),
    [anon_sym___vectorcall] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_static] = ACTIONS(4860),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_register] = ACTIONS(4860),
    [anon_sym_inline] = ACTIONS(4860),
    [anon_sym___inline] = ACTIONS(4860),
    [anon_sym___inline__] = ACTIONS(4860),
    [anon_sym___forceinline] = ACTIONS(4860),
    [anon_sym_thread_local] = ACTIONS(4860),
    [anon_sym___thread] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_final] = ACTIONS(4860),
    [anon_sym_override] = ACTIONS(4860),
    [anon_sym_template] = ACTIONS(4860),
    [anon_sym_operator] = ACTIONS(4860),
    [anon_sym_try] = ACTIONS(4860),
    [anon_sym_requires] = ACTIONS(4860),
  },
  [1530] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_try] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_TILDE] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym_virtual] = ACTIONS(4856),
    [anon_sym_extern] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4858),
    [anon_sym___declspec] = ACTIONS(4856),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_static] = ACTIONS(4856),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_register] = ACTIONS(4856),
    [anon_sym_inline] = ACTIONS(4856),
    [anon_sym___inline] = ACTIONS(4856),
    [anon_sym___inline__] = ACTIONS(4856),
    [anon_sym___forceinline] = ACTIONS(4856),
    [anon_sym_thread_local] = ACTIONS(4856),
    [anon_sym___thread] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4856),
    [anon_sym_or_eq] = ACTIONS(4856),
    [anon_sym_xor_eq] = ACTIONS(4856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_template] = ACTIONS(4856),
    [anon_sym_operator] = ACTIONS(4856),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4858),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1533] = {
    [sym_template_argument_list] = STATE(1541),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4835),
    [anon_sym_COMMA] = ACTIONS(4835),
    [anon_sym_RPAREN] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(4845),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4831),
    [anon_sym_virtual] = ACTIONS(4831),
    [anon_sym_extern] = ACTIONS(4831),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4831),
    [anon_sym___based] = ACTIONS(4831),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_static] = ACTIONS(4831),
    [anon_sym_EQ] = ACTIONS(4842),
    [anon_sym_register] = ACTIONS(4831),
    [anon_sym_inline] = ACTIONS(4831),
    [anon_sym___inline] = ACTIONS(4831),
    [anon_sym___inline__] = ACTIONS(4831),
    [anon_sym___forceinline] = ACTIONS(4831),
    [anon_sym_thread_local] = ACTIONS(4831),
    [anon_sym___thread] = ACTIONS(4831),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4831),
    [anon_sym_volatile] = ACTIONS(4831),
    [anon_sym_restrict] = ACTIONS(4831),
    [anon_sym___restrict__] = ACTIONS(4831),
    [anon_sym__Atomic] = ACTIONS(4831),
    [anon_sym__Noreturn] = ACTIONS(4831),
    [anon_sym_noreturn] = ACTIONS(4831),
    [anon_sym__Nonnull] = ACTIONS(4831),
    [anon_sym_mutable] = ACTIONS(4831),
    [anon_sym_constinit] = ACTIONS(4831),
    [anon_sym_consteval] = ACTIONS(4831),
    [anon_sym_PROGMEM] = ACTIONS(4831),
    [anon_sym_alignas] = ACTIONS(4831),
    [anon_sym__Alignas] = ACTIONS(4831),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_template] = ACTIONS(4831),
    [anon_sym_operator] = ACTIONS(4831),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4866),
    [anon_sym_GT_GT] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym_virtual] = ACTIONS(4864),
    [anon_sym_extern] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4864),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym___cdecl] = ACTIONS(4864),
    [anon_sym___clrcall] = ACTIONS(4864),
    [anon_sym___stdcall] = ACTIONS(4864),
    [anon_sym___fastcall] = ACTIONS(4864),
    [anon_sym___thiscall] = ACTIONS(4864),
    [anon_sym___vectorcall] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_static] = ACTIONS(4864),
    [anon_sym_RBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4864),
    [anon_sym_inline] = ACTIONS(4864),
    [anon_sym___inline] = ACTIONS(4864),
    [anon_sym___inline__] = ACTIONS(4864),
    [anon_sym___forceinline] = ACTIONS(4864),
    [anon_sym_thread_local] = ACTIONS(4864),
    [anon_sym___thread] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_final] = ACTIONS(4864),
    [anon_sym_override] = ACTIONS(4864),
    [anon_sym_template] = ACTIONS(4864),
    [anon_sym_operator] = ACTIONS(4864),
    [anon_sym_try] = ACTIONS(4864),
    [anon_sym_requires] = ACTIONS(4864),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1536] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4854),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4854),
    [anon_sym_GT_GT] = ACTIONS(4854),
    [anon_sym_SEMI] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_virtual] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym___cdecl] = ACTIONS(4852),
    [anon_sym___clrcall] = ACTIONS(4852),
    [anon_sym___stdcall] = ACTIONS(4852),
    [anon_sym___fastcall] = ACTIONS(4852),
    [anon_sym___thiscall] = ACTIONS(4852),
    [anon_sym___vectorcall] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_RBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_RBRACK] = ACTIONS(4854),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_final] = ACTIONS(4852),
    [anon_sym_override] = ACTIONS(4852),
    [anon_sym_template] = ACTIONS(4852),
    [anon_sym_operator] = ACTIONS(4852),
    [anon_sym_try] = ACTIONS(4852),
    [anon_sym_requires] = ACTIONS(4852),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym_virtual] = ACTIONS(4860),
    [anon_sym_extern] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4860),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_static] = ACTIONS(4860),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_register] = ACTIONS(4860),
    [anon_sym_inline] = ACTIONS(4860),
    [anon_sym___inline] = ACTIONS(4860),
    [anon_sym___inline__] = ACTIONS(4860),
    [anon_sym___forceinline] = ACTIONS(4860),
    [anon_sym_thread_local] = ACTIONS(4860),
    [anon_sym___thread] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_template] = ACTIONS(4860),
    [anon_sym_operator] = ACTIONS(4860),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4862),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym_virtual] = ACTIONS(4864),
    [anon_sym_extern] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4864),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_static] = ACTIONS(4864),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4864),
    [anon_sym_inline] = ACTIONS(4864),
    [anon_sym___inline] = ACTIONS(4864),
    [anon_sym___inline__] = ACTIONS(4864),
    [anon_sym___forceinline] = ACTIONS(4864),
    [anon_sym_thread_local] = ACTIONS(4864),
    [anon_sym___thread] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_template] = ACTIONS(4864),
    [anon_sym_operator] = ACTIONS(4864),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4866),
  },
  [1539] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
  },
  [1540] = {
    [sym_string_literal] = STATE(2155),
    [sym_template_argument_list] = STATE(1876),
    [sym_raw_string_literal] = STATE(2155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1542] = {
    [sym_type_qualifier] = STATE(1546),
    [sym_alignas_qualifier] = STATE(1545),
    [sym_primitive_type] = STATE(2309),
    [aux_sym__type_definition_type_repeat1] = STATE(1546),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1561),
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4938),
    [anon_sym_unsigned] = ACTIONS(4938),
    [anon_sym_long] = ACTIONS(4938),
    [anon_sym_short] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [aux_sym_primitive_type_token1] = ACTIONS(4942),
    [anon_sym_byte] = ACTIONS(4942),
    [anon_sym_word] = ACTIONS(4942),
    [anon_sym_COLON] = ACTIONS(4932),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4934),
    [anon_sym_or_eq] = ACTIONS(4934),
    [anon_sym_xor_eq] = ACTIONS(4934),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
  },
  [1543] = {
    [sym_string_literal] = STATE(3488),
    [sym_template_argument_list] = STATE(2848),
    [sym_raw_string_literal] = STATE(3488),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4944),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4947),
    [anon_sym_unsigned] = ACTIONS(4947),
    [anon_sym_long] = ACTIONS(4947),
    [anon_sym_short] = ACTIONS(4947),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4949),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4951),
    [anon_sym_SLASH_EQ] = ACTIONS(4951),
    [anon_sym_PERCENT_EQ] = ACTIONS(4951),
    [anon_sym_PLUS_EQ] = ACTIONS(4951),
    [anon_sym_DASH_EQ] = ACTIONS(4951),
    [anon_sym_LT_LT_EQ] = ACTIONS(4951),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4951),
    [anon_sym_CARET_EQ] = ACTIONS(4951),
    [anon_sym_PIPE_EQ] = ACTIONS(4951),
    [anon_sym_and_eq] = ACTIONS(4951),
    [anon_sym_or_eq] = ACTIONS(4951),
    [anon_sym_xor_eq] = ACTIONS(4951),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4953),
    [anon_sym_u_DQUOTE] = ACTIONS(4953),
    [anon_sym_U_DQUOTE] = ACTIONS(4953),
    [anon_sym_u8_DQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_GT2] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(4955),
    [anon_sym_LR_DQUOTE] = ACTIONS(4955),
    [anon_sym_uR_DQUOTE] = ACTIONS(4955),
    [anon_sym_UR_DQUOTE] = ACTIONS(4955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4955),
  },
  [1544] = {
    [sym_type_qualifier] = STATE(1548),
    [sym_alignas_qualifier] = STATE(1545),
    [sym_primitive_type] = STATE(2242),
    [aux_sym__type_definition_type_repeat1] = STATE(1548),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1569),
    [sym_identifier] = ACTIONS(4957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4960),
    [anon_sym_unsigned] = ACTIONS(4960),
    [anon_sym_long] = ACTIONS(4960),
    [anon_sym_short] = ACTIONS(4960),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [aux_sym_primitive_type_token1] = ACTIONS(4942),
    [anon_sym_byte] = ACTIONS(4942),
    [anon_sym_word] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4934),
    [anon_sym_or_eq] = ACTIONS(4934),
    [anon_sym_xor_eq] = ACTIONS(4934),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2465),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
  },
  [1546] = {
    [sym_type_qualifier] = STATE(1520),
    [sym_alignas_qualifier] = STATE(1545),
    [sym_primitive_type] = STATE(2327),
    [aux_sym__type_definition_type_repeat1] = STATE(1520),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2328),
    [sym_identifier] = ACTIONS(4962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4968),
    [anon_sym_unsigned] = ACTIONS(4968),
    [anon_sym_long] = ACTIONS(4968),
    [anon_sym_short] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_RBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [aux_sym_primitive_type_token1] = ACTIONS(4942),
    [anon_sym_byte] = ACTIONS(4942),
    [anon_sym_word] = ACTIONS(4942),
    [anon_sym_COLON] = ACTIONS(4964),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1547] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [aux_sym_preproc_if_token2] = ACTIONS(4972),
    [aux_sym_preproc_else_token1] = ACTIONS(4972),
    [aux_sym_preproc_elif_token1] = ACTIONS(4970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4972),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4970),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_RBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_RBRACK] = ACTIONS(4972),
    [anon_sym_EQ] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_COLON] = ACTIONS(4972),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_STAR_EQ] = ACTIONS(4972),
    [anon_sym_SLASH_EQ] = ACTIONS(4972),
    [anon_sym_PERCENT_EQ] = ACTIONS(4972),
    [anon_sym_PLUS_EQ] = ACTIONS(4972),
    [anon_sym_DASH_EQ] = ACTIONS(4972),
    [anon_sym_LT_LT_EQ] = ACTIONS(4972),
    [anon_sym_GT_GT_EQ] = ACTIONS(4972),
    [anon_sym_AMP_EQ] = ACTIONS(4972),
    [anon_sym_CARET_EQ] = ACTIONS(4972),
    [anon_sym_PIPE_EQ] = ACTIONS(4972),
    [anon_sym_and_eq] = ACTIONS(4970),
    [anon_sym_or_eq] = ACTIONS(4970),
    [anon_sym_xor_eq] = ACTIONS(4970),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
  },
  [1548] = {
    [sym_type_qualifier] = STATE(1520),
    [sym_alignas_qualifier] = STATE(1545),
    [sym_primitive_type] = STATE(2247),
    [aux_sym__type_definition_type_repeat1] = STATE(1520),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [aux_sym_preproc_if_token2] = ACTIONS(4964),
    [aux_sym_preproc_else_token1] = ACTIONS(4964),
    [aux_sym_preproc_elif_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4977),
    [anon_sym_unsigned] = ACTIONS(4977),
    [anon_sym_long] = ACTIONS(4977),
    [anon_sym_short] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [aux_sym_primitive_type_token1] = ACTIONS(4942),
    [anon_sym_byte] = ACTIONS(4942),
    [anon_sym_word] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_TILDE] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym_virtual] = ACTIONS(4856),
    [anon_sym_extern] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4858),
    [anon_sym___declspec] = ACTIONS(4856),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_static] = ACTIONS(4856),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_register] = ACTIONS(4856),
    [anon_sym_inline] = ACTIONS(4856),
    [anon_sym___inline] = ACTIONS(4856),
    [anon_sym___inline__] = ACTIONS(4856),
    [anon_sym___forceinline] = ACTIONS(4856),
    [anon_sym_thread_local] = ACTIONS(4856),
    [anon_sym___thread] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_template] = ACTIONS(4856),
    [anon_sym_operator] = ACTIONS(4856),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4858),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1552] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym_virtual] = ACTIONS(4860),
    [anon_sym_extern] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4860),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_static] = ACTIONS(4860),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_register] = ACTIONS(4860),
    [anon_sym_inline] = ACTIONS(4860),
    [anon_sym___inline] = ACTIONS(4860),
    [anon_sym___inline__] = ACTIONS(4860),
    [anon_sym___forceinline] = ACTIONS(4860),
    [anon_sym_thread_local] = ACTIONS(4860),
    [anon_sym___thread] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_template] = ACTIONS(4860),
    [anon_sym_operator] = ACTIONS(4860),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4862),
  },
  [1553] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(2943),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [1554] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_TILDE] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_virtual] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4850),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4848),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_template] = ACTIONS(4848),
    [anon_sym_operator] = ACTIONS(4848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4850),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym_virtual] = ACTIONS(4864),
    [anon_sym_extern] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4864),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_static] = ACTIONS(4864),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4864),
    [anon_sym_inline] = ACTIONS(4864),
    [anon_sym___inline] = ACTIONS(4864),
    [anon_sym___inline__] = ACTIONS(4864),
    [anon_sym___forceinline] = ACTIONS(4864),
    [anon_sym_thread_local] = ACTIONS(4864),
    [anon_sym___thread] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_template] = ACTIONS(4864),
    [anon_sym_operator] = ACTIONS(4864),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4866),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_TILDE] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_virtual] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4870),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4868),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_template] = ACTIONS(4868),
    [anon_sym_operator] = ACTIONS(4868),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4870),
  },
  [1557] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_virtual] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4854),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_template] = ACTIONS(4852),
    [anon_sym_operator] = ACTIONS(4852),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4854),
  },
  [1558] = {
    [sym_type_qualifier] = STATE(1575),
    [sym_alignas_qualifier] = STATE(1617),
    [sym_primitive_type] = STATE(2575),
    [aux_sym__type_definition_type_repeat1] = STATE(1575),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2579),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4986),
    [anon_sym_unsigned] = ACTIONS(4986),
    [anon_sym_long] = ACTIONS(4986),
    [anon_sym_short] = ACTIONS(4986),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym__Nonnull] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [anon_sym_PROGMEM] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [aux_sym_primitive_type_token1] = ACTIONS(4990),
    [anon_sym_byte] = ACTIONS(4990),
    [anon_sym_word] = ACTIONS(4990),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4964),
  },
  [1559] = {
    [sym_type_qualifier] = STATE(1558),
    [sym_alignas_qualifier] = STATE(1617),
    [sym_primitive_type] = STATE(2577),
    [aux_sym__type_definition_type_repeat1] = STATE(1558),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1612),
    [sym_identifier] = ACTIONS(4992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4994),
    [anon_sym_unsigned] = ACTIONS(4994),
    [anon_sym_long] = ACTIONS(4994),
    [anon_sym_short] = ACTIONS(4994),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym__Nonnull] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [anon_sym_PROGMEM] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [aux_sym_primitive_type_token1] = ACTIONS(4990),
    [anon_sym_byte] = ACTIONS(4990),
    [anon_sym_word] = ACTIONS(4990),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4934),
    [anon_sym_or_eq] = ACTIONS(4934),
    [anon_sym_xor_eq] = ACTIONS(4934),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4932),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [aux_sym_preproc_if_token2] = ACTIONS(4866),
    [aux_sym_preproc_else_token1] = ACTIONS(4866),
    [aux_sym_preproc_elif_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_RBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_final] = ACTIONS(4864),
    [anon_sym_override] = ACTIONS(4864),
  },
  [1561] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_RPAREN] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym_SEMI] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_RBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_RBRACK] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4996),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_STAR_EQ] = ACTIONS(4996),
    [anon_sym_SLASH_EQ] = ACTIONS(4996),
    [anon_sym_PERCENT_EQ] = ACTIONS(4996),
    [anon_sym_PLUS_EQ] = ACTIONS(4996),
    [anon_sym_DASH_EQ] = ACTIONS(4996),
    [anon_sym_LT_LT_EQ] = ACTIONS(4996),
    [anon_sym_GT_GT_EQ] = ACTIONS(4996),
    [anon_sym_AMP_EQ] = ACTIONS(4996),
    [anon_sym_CARET_EQ] = ACTIONS(4996),
    [anon_sym_PIPE_EQ] = ACTIONS(4996),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_final] = ACTIONS(4860),
    [anon_sym_override] = ACTIONS(4860),
  },
  [1563] = {
    [sym_type_qualifier] = STATE(1583),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_primitive_type] = STATE(2661),
    [aux_sym__type_definition_type_repeat1] = STATE(1583),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2665),
    [sym_identifier] = ACTIONS(5002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5006),
    [anon_sym_unsigned] = ACTIONS(5006),
    [anon_sym_long] = ACTIONS(5006),
    [anon_sym_short] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym__Nonnull] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [anon_sym_PROGMEM] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [aux_sym_primitive_type_token1] = ACTIONS(5010),
    [anon_sym_byte] = ACTIONS(5010),
    [anon_sym_word] = ACTIONS(5010),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4966),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [aux_sym_preproc_if_token2] = ACTIONS(4854),
    [aux_sym_preproc_else_token1] = ACTIONS(4854),
    [aux_sym_preproc_elif_token1] = ACTIONS(4852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym_SEMI] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_RBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym_RBRACK] = ACTIONS(4854),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4854),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_and_eq] = ACTIONS(4852),
    [anon_sym_or_eq] = ACTIONS(4852),
    [anon_sym_xor_eq] = ACTIONS(4852),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_final] = ACTIONS(4852),
    [anon_sym_override] = ACTIONS(4852),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [aux_sym_preproc_if_token2] = ACTIONS(4850),
    [aux_sym_preproc_else_token1] = ACTIONS(4850),
    [aux_sym_preproc_elif_token1] = ACTIONS(4848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_COLON] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4848),
    [anon_sym_or_eq] = ACTIONS(4848),
    [anon_sym_xor_eq] = ACTIONS(4848),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_final] = ACTIONS(4848),
    [anon_sym_override] = ACTIONS(4848),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [aux_sym_preproc_if_token2] = ACTIONS(4858),
    [aux_sym_preproc_else_token1] = ACTIONS(4858),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_COLON] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4856),
    [anon_sym_or_eq] = ACTIONS(4856),
    [anon_sym_xor_eq] = ACTIONS(4856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_final] = ACTIONS(4856),
    [anon_sym_override] = ACTIONS(4856),
  },
  [1567] = {
    [sym_type_qualifier] = STATE(1563),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_primitive_type] = STATE(2649),
    [aux_sym__type_definition_type_repeat1] = STATE(1563),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(5012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4934),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5014),
    [anon_sym_unsigned] = ACTIONS(5014),
    [anon_sym_long] = ACTIONS(5014),
    [anon_sym_short] = ACTIONS(5014),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym__Nonnull] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [anon_sym_PROGMEM] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [aux_sym_primitive_type_token1] = ACTIONS(5010),
    [anon_sym_byte] = ACTIONS(5010),
    [anon_sym_word] = ACTIONS(5010),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4934),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4934),
    [anon_sym_or_eq] = ACTIONS(4934),
    [anon_sym_xor_eq] = ACTIONS(4934),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
    [anon_sym_GT2] = ACTIONS(4932),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [aux_sym_preproc_if_token2] = ACTIONS(4870),
    [aux_sym_preproc_else_token1] = ACTIONS(4870),
    [aux_sym_preproc_elif_token1] = ACTIONS(4868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4870),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_final] = ACTIONS(4868),
    [anon_sym_override] = ACTIONS(4868),
  },
  [1569] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_else_token1] = ACTIONS(4996),
    [aux_sym_preproc_elif_token1] = ACTIONS(4999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_STAR_EQ] = ACTIONS(4996),
    [anon_sym_SLASH_EQ] = ACTIONS(4996),
    [anon_sym_PERCENT_EQ] = ACTIONS(4996),
    [anon_sym_PLUS_EQ] = ACTIONS(4996),
    [anon_sym_DASH_EQ] = ACTIONS(4996),
    [anon_sym_LT_LT_EQ] = ACTIONS(4996),
    [anon_sym_GT_GT_EQ] = ACTIONS(4996),
    [anon_sym_AMP_EQ] = ACTIONS(4996),
    [anon_sym_CARET_EQ] = ACTIONS(4996),
    [anon_sym_PIPE_EQ] = ACTIONS(4996),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [aux_sym_preproc_if_token2] = ACTIONS(4874),
    [aux_sym_preproc_else_token1] = ACTIONS(4874),
    [aux_sym_preproc_elif_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
  },
  [1571] = {
    [sym_function_definition] = STATE(588),
    [sym_declaration] = STATE(588),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_declaration_list] = STATE(588),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5020),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1572] = {
    [sym_function_definition] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1833),
    [sym_declaration_list] = STATE(716),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5022),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4880),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1574] = {
    [sym_function_definition] = STATE(316),
    [sym_declaration] = STATE(316),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_declaration_list] = STATE(316),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5024),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1575] = {
    [sym_type_qualifier] = STATE(1575),
    [sym_alignas_qualifier] = STATE(1617),
    [aux_sym__type_definition_type_repeat1] = STATE(1575),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4899),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4899),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4899),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4901),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4899),
    [anon_sym_GT_GT] = ACTIONS(4899),
    [anon_sym___extension__] = ACTIONS(5026),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_EQ] = ACTIONS(4899),
    [anon_sym_const] = ACTIONS(5026),
    [anon_sym_constexpr] = ACTIONS(5026),
    [anon_sym_volatile] = ACTIONS(5026),
    [anon_sym_restrict] = ACTIONS(5026),
    [anon_sym___restrict__] = ACTIONS(5026),
    [anon_sym__Atomic] = ACTIONS(5026),
    [anon_sym__Noreturn] = ACTIONS(5026),
    [anon_sym_noreturn] = ACTIONS(5026),
    [anon_sym__Nonnull] = ACTIONS(5026),
    [anon_sym_mutable] = ACTIONS(5026),
    [anon_sym_constinit] = ACTIONS(5026),
    [anon_sym_consteval] = ACTIONS(5026),
    [anon_sym_PROGMEM] = ACTIONS(5026),
    [anon_sym_alignas] = ACTIONS(5029),
    [anon_sym__Alignas] = ACTIONS(5029),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_STAR_EQ] = ACTIONS(4901),
    [anon_sym_SLASH_EQ] = ACTIONS(4901),
    [anon_sym_PERCENT_EQ] = ACTIONS(4901),
    [anon_sym_PLUS_EQ] = ACTIONS(4901),
    [anon_sym_DASH_EQ] = ACTIONS(4901),
    [anon_sym_LT_LT_EQ] = ACTIONS(4901),
    [anon_sym_GT_GT_EQ] = ACTIONS(4901),
    [anon_sym_AMP_EQ] = ACTIONS(4901),
    [anon_sym_CARET_EQ] = ACTIONS(4901),
    [anon_sym_PIPE_EQ] = ACTIONS(4901),
    [anon_sym_and_eq] = ACTIONS(4899),
    [anon_sym_or_eq] = ACTIONS(4899),
    [anon_sym_xor_eq] = ACTIONS(4899),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4901),
  },
  [1576] = {
    [sym_function_definition] = STATE(562),
    [sym_declaration] = STATE(562),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_declaration_list] = STATE(562),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4883),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [aux_sym_primitive_type_token1] = ACTIONS(4876),
    [anon_sym_byte] = ACTIONS(4876),
    [anon_sym_word] = ACTIONS(4876),
    [anon_sym_enum] = ACTIONS(4876),
    [anon_sym_class] = ACTIONS(4876),
    [anon_sym_struct] = ACTIONS(4876),
    [anon_sym_union] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_asm] = ACTIONS(4876),
    [anon_sym___asm__] = ACTIONS(4876),
    [anon_sym___asm] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_explicit] = ACTIONS(4876),
    [anon_sym_typename] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_GT2] = ACTIONS(4883),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_try] = ACTIONS(4876),
    [anon_sym_friend] = ACTIONS(4876),
    [anon_sym_using] = ACTIONS(4876),
    [anon_sym_concept] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1578] = {
    [sym_function_definition] = STATE(553),
    [sym_declaration] = STATE(553),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7977),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5036),
    [anon_sym_struct] = ACTIONS(5038),
    [anon_sym_union] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1579] = {
    [sym_type_qualifier] = STATE(1614),
    [sym_alignas_qualifier] = STATE(1642),
    [sym_primitive_type] = STATE(2720),
    [aux_sym__type_definition_type_repeat1] = STATE(1614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2714),
    [sym_identifier] = ACTIONS(5042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5044),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5046),
    [anon_sym_unsigned] = ACTIONS(5046),
    [anon_sym_long] = ACTIONS(5046),
    [anon_sym_short] = ACTIONS(5046),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5044),
    [anon_sym_constexpr] = ACTIONS(5044),
    [anon_sym_volatile] = ACTIONS(5044),
    [anon_sym_restrict] = ACTIONS(5044),
    [anon_sym___restrict__] = ACTIONS(5044),
    [anon_sym__Atomic] = ACTIONS(5044),
    [anon_sym__Noreturn] = ACTIONS(5044),
    [anon_sym_noreturn] = ACTIONS(5044),
    [anon_sym__Nonnull] = ACTIONS(5044),
    [anon_sym_mutable] = ACTIONS(5044),
    [anon_sym_constinit] = ACTIONS(5044),
    [anon_sym_consteval] = ACTIONS(5044),
    [anon_sym_PROGMEM] = ACTIONS(5044),
    [anon_sym_alignas] = ACTIONS(5048),
    [anon_sym__Alignas] = ACTIONS(5048),
    [aux_sym_primitive_type_token1] = ACTIONS(5050),
    [anon_sym_byte] = ACTIONS(5050),
    [anon_sym_word] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4964),
  },
  [1580] = {
    [sym_function_definition] = STATE(1943),
    [sym_declaration] = STATE(1943),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4753),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1852),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8304),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5052),
    [anon_sym_struct] = ACTIONS(5054),
    [anon_sym_union] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1581] = {
    [sym_function_definition] = STATE(1679),
    [sym_declaration] = STATE(1679),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4752),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1834),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8387),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5058),
    [anon_sym_struct] = ACTIONS(5060),
    [anon_sym_union] = ACTIONS(5062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1582] = {
    [sym_function_definition] = STATE(1929),
    [sym_declaration] = STATE(1929),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4753),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1852),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8279),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5064),
    [anon_sym_struct] = ACTIONS(5066),
    [anon_sym_union] = ACTIONS(5068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1583] = {
    [sym_type_qualifier] = STATE(1583),
    [sym_alignas_qualifier] = STATE(1624),
    [aux_sym__type_definition_type_repeat1] = STATE(1583),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4899),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4899),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4899),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4899),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4899),
    [anon_sym_GT_GT] = ACTIONS(4899),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_EQ] = ACTIONS(4899),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_mutable] = ACTIONS(5070),
    [anon_sym_constinit] = ACTIONS(5070),
    [anon_sym_consteval] = ACTIONS(5070),
    [anon_sym_PROGMEM] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5073),
    [anon_sym__Alignas] = ACTIONS(5073),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_STAR_EQ] = ACTIONS(4901),
    [anon_sym_SLASH_EQ] = ACTIONS(4901),
    [anon_sym_PERCENT_EQ] = ACTIONS(4901),
    [anon_sym_PLUS_EQ] = ACTIONS(4901),
    [anon_sym_DASH_EQ] = ACTIONS(4901),
    [anon_sym_LT_LT_EQ] = ACTIONS(4901),
    [anon_sym_GT_GT_EQ] = ACTIONS(4899),
    [anon_sym_AMP_EQ] = ACTIONS(4901),
    [anon_sym_CARET_EQ] = ACTIONS(4901),
    [anon_sym_PIPE_EQ] = ACTIONS(4901),
    [anon_sym_and_eq] = ACTIONS(4899),
    [anon_sym_or_eq] = ACTIONS(4899),
    [anon_sym_xor_eq] = ACTIONS(4899),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_GT2] = ACTIONS(4901),
  },
  [1584] = {
    [sym_function_definition] = STATE(556),
    [sym_declaration] = STATE(556),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4750),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8027),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5076),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1585] = {
    [sym_function_definition] = STATE(1978),
    [sym_declaration] = STATE(1978),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4751),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1851),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8254),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5082),
    [anon_sym_struct] = ACTIONS(5084),
    [anon_sym_union] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1586] = {
    [sym_function_definition] = STATE(730),
    [sym_declaration] = STATE(730),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1833),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8653),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5088),
    [anon_sym_struct] = ACTIONS(5090),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1587] = {
    [sym_function_definition] = STATE(1888),
    [sym_declaration] = STATE(1888),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4751),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1851),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5094),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1588] = {
    [sym_function_definition] = STATE(713),
    [sym_declaration] = STATE(713),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1833),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8553),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5100),
    [anon_sym_struct] = ACTIONS(5102),
    [anon_sym_union] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1589] = {
    [sym_function_definition] = STATE(354),
    [sym_declaration] = STATE(354),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7807),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5106),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1590] = {
    [sym_function_definition] = STATE(595),
    [sym_declaration] = STATE(595),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(7890),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5112),
    [anon_sym_struct] = ACTIONS(5114),
    [anon_sym_union] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1591] = {
    [sym_function_definition] = STATE(1703),
    [sym_declaration] = STATE(1703),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4752),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1834),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8285),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5118),
    [anon_sym_struct] = ACTIONS(5120),
    [anon_sym_union] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1592] = {
    [sym_function_definition] = STATE(357),
    [sym_declaration] = STATE(357),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8236),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5124),
    [anon_sym_struct] = ACTIONS(5126),
    [anon_sym_union] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1593] = {
    [sym_function_definition] = STATE(564),
    [sym_declaration] = STATE(564),
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym__class_name] = STATE(8598),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(3648),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(3650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5130),
    [anon_sym_struct] = ACTIONS(5132),
    [anon_sym_union] = ACTIONS(5134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1594] = {
    [sym_type_qualifier] = STATE(1579),
    [sym_alignas_qualifier] = STATE(1642),
    [sym_primitive_type] = STATE(2742),
    [aux_sym__type_definition_type_repeat1] = STATE(1579),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(5136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym___extension__] = ACTIONS(5044),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5138),
    [anon_sym_unsigned] = ACTIONS(5138),
    [anon_sym_long] = ACTIONS(5138),
    [anon_sym_short] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(5044),
    [anon_sym_constexpr] = ACTIONS(5044),
    [anon_sym_volatile] = ACTIONS(5044),
    [anon_sym_restrict] = ACTIONS(5044),
    [anon_sym___restrict__] = ACTIONS(5044),
    [anon_sym__Atomic] = ACTIONS(5044),
    [anon_sym__Noreturn] = ACTIONS(5044),
    [anon_sym_noreturn] = ACTIONS(5044),
    [anon_sym__Nonnull] = ACTIONS(5044),
    [anon_sym_mutable] = ACTIONS(5044),
    [anon_sym_constinit] = ACTIONS(5044),
    [anon_sym_consteval] = ACTIONS(5044),
    [anon_sym_PROGMEM] = ACTIONS(5044),
    [anon_sym_alignas] = ACTIONS(5048),
    [anon_sym__Alignas] = ACTIONS(5048),
    [aux_sym_primitive_type_token1] = ACTIONS(5050),
    [anon_sym_byte] = ACTIONS(5050),
    [anon_sym_word] = ACTIONS(5050),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4932),
  },
  [1595] = {
    [sym_identifier] = ACTIONS(5140),
    [anon_sym_COMMA] = ACTIONS(5142),
    [anon_sym_RPAREN] = ACTIONS(5142),
    [anon_sym_LPAREN2] = ACTIONS(5142),
    [anon_sym_TILDE] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE] = ACTIONS(5142),
    [anon_sym_AMP_AMP] = ACTIONS(5142),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5142),
    [anon_sym___extension__] = ACTIONS(5140),
    [anon_sym_virtual] = ACTIONS(5140),
    [anon_sym_extern] = ACTIONS(5140),
    [anon_sym___attribute__] = ACTIONS(5140),
    [anon_sym___attribute] = ACTIONS(5140),
    [anon_sym_COLON_COLON] = ACTIONS(5142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5142),
    [anon_sym___declspec] = ACTIONS(5140),
    [anon_sym___based] = ACTIONS(5140),
    [anon_sym___cdecl] = ACTIONS(5140),
    [anon_sym___clrcall] = ACTIONS(5140),
    [anon_sym___stdcall] = ACTIONS(5140),
    [anon_sym___fastcall] = ACTIONS(5140),
    [anon_sym___thiscall] = ACTIONS(5140),
    [anon_sym___vectorcall] = ACTIONS(5140),
    [anon_sym_LBRACE] = ACTIONS(5142),
    [anon_sym_signed] = ACTIONS(5140),
    [anon_sym_unsigned] = ACTIONS(5140),
    [anon_sym_long] = ACTIONS(5140),
    [anon_sym_short] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5142),
    [anon_sym_register] = ACTIONS(5140),
    [anon_sym_inline] = ACTIONS(5140),
    [anon_sym___inline] = ACTIONS(5140),
    [anon_sym___inline__] = ACTIONS(5140),
    [anon_sym___forceinline] = ACTIONS(5140),
    [anon_sym_thread_local] = ACTIONS(5140),
    [anon_sym___thread] = ACTIONS(5140),
    [anon_sym_const] = ACTIONS(5140),
    [anon_sym_constexpr] = ACTIONS(5140),
    [anon_sym_volatile] = ACTIONS(5140),
    [anon_sym_restrict] = ACTIONS(5140),
    [anon_sym___restrict__] = ACTIONS(5140),
    [anon_sym__Atomic] = ACTIONS(5140),
    [anon_sym__Noreturn] = ACTIONS(5140),
    [anon_sym_noreturn] = ACTIONS(5140),
    [anon_sym__Nonnull] = ACTIONS(5140),
    [anon_sym_mutable] = ACTIONS(5140),
    [anon_sym_constinit] = ACTIONS(5140),
    [anon_sym_consteval] = ACTIONS(5140),
    [anon_sym_PROGMEM] = ACTIONS(5140),
    [anon_sym_alignas] = ACTIONS(5140),
    [anon_sym__Alignas] = ACTIONS(5140),
    [aux_sym_primitive_type_token1] = ACTIONS(5140),
    [anon_sym_byte] = ACTIONS(5140),
    [anon_sym_word] = ACTIONS(5140),
    [anon_sym_enum] = ACTIONS(5140),
    [anon_sym_class] = ACTIONS(5140),
    [anon_sym_struct] = ACTIONS(5140),
    [anon_sym_union] = ACTIONS(5140),
    [anon_sym_or] = ACTIONS(5140),
    [anon_sym_and] = ACTIONS(5140),
    [anon_sym_asm] = ACTIONS(5140),
    [anon_sym___asm__] = ACTIONS(5140),
    [anon_sym___asm] = ACTIONS(5140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5140),
    [anon_sym_decltype] = ACTIONS(5140),
    [anon_sym_final] = ACTIONS(5140),
    [anon_sym_override] = ACTIONS(5140),
    [anon_sym_explicit] = ACTIONS(5140),
    [anon_sym_typename] = ACTIONS(5140),
    [anon_sym_template] = ACTIONS(5140),
    [anon_sym_GT2] = ACTIONS(5142),
    [anon_sym_operator] = ACTIONS(5140),
    [anon_sym_try] = ACTIONS(5140),
    [anon_sym_friend] = ACTIONS(5140),
    [anon_sym_using] = ACTIONS(5140),
    [anon_sym_concept] = ACTIONS(5140),
    [anon_sym_requires] = ACTIONS(5140),
  },
  [1596] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1596),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5144),
    [anon_sym_unsigned] = ACTIONS(5144),
    [anon_sym_long] = ACTIONS(5144),
    [anon_sym_short] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4922),
  },
  [1597] = {
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_TILDE] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym_virtual] = ACTIONS(5147),
    [anon_sym_extern] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym___attribute] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5149),
    [anon_sym___declspec] = ACTIONS(5147),
    [anon_sym___based] = ACTIONS(5147),
    [anon_sym___cdecl] = ACTIONS(5147),
    [anon_sym___clrcall] = ACTIONS(5147),
    [anon_sym___stdcall] = ACTIONS(5147),
    [anon_sym___fastcall] = ACTIONS(5147),
    [anon_sym___thiscall] = ACTIONS(5147),
    [anon_sym___vectorcall] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5147),
    [anon_sym_unsigned] = ACTIONS(5147),
    [anon_sym_long] = ACTIONS(5147),
    [anon_sym_short] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_static] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5147),
    [anon_sym_inline] = ACTIONS(5147),
    [anon_sym___inline] = ACTIONS(5147),
    [anon_sym___inline__] = ACTIONS(5147),
    [anon_sym___forceinline] = ACTIONS(5147),
    [anon_sym_thread_local] = ACTIONS(5147),
    [anon_sym___thread] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_PROGMEM] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [aux_sym_primitive_type_token1] = ACTIONS(5147),
    [anon_sym_byte] = ACTIONS(5147),
    [anon_sym_word] = ACTIONS(5147),
    [anon_sym_enum] = ACTIONS(5147),
    [anon_sym_class] = ACTIONS(5147),
    [anon_sym_struct] = ACTIONS(5147),
    [anon_sym_union] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_asm] = ACTIONS(5147),
    [anon_sym___asm__] = ACTIONS(5147),
    [anon_sym___asm] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_explicit] = ACTIONS(5147),
    [anon_sym_typename] = ACTIONS(5147),
    [anon_sym_template] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5147),
    [anon_sym_try] = ACTIONS(5147),
    [anon_sym_friend] = ACTIONS(5147),
    [anon_sym_using] = ACTIONS(5147),
    [anon_sym_concept] = ACTIONS(5147),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [1598] = {
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_TILDE] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym_virtual] = ACTIONS(5147),
    [anon_sym_extern] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym___attribute] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5149),
    [anon_sym___declspec] = ACTIONS(5147),
    [anon_sym___based] = ACTIONS(5147),
    [anon_sym___cdecl] = ACTIONS(5147),
    [anon_sym___clrcall] = ACTIONS(5147),
    [anon_sym___stdcall] = ACTIONS(5147),
    [anon_sym___fastcall] = ACTIONS(5147),
    [anon_sym___thiscall] = ACTIONS(5147),
    [anon_sym___vectorcall] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5147),
    [anon_sym_unsigned] = ACTIONS(5147),
    [anon_sym_long] = ACTIONS(5147),
    [anon_sym_short] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_static] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5147),
    [anon_sym_inline] = ACTIONS(5147),
    [anon_sym___inline] = ACTIONS(5147),
    [anon_sym___inline__] = ACTIONS(5147),
    [anon_sym___forceinline] = ACTIONS(5147),
    [anon_sym_thread_local] = ACTIONS(5147),
    [anon_sym___thread] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_PROGMEM] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [aux_sym_primitive_type_token1] = ACTIONS(5147),
    [anon_sym_byte] = ACTIONS(5147),
    [anon_sym_word] = ACTIONS(5147),
    [anon_sym_enum] = ACTIONS(5147),
    [anon_sym_class] = ACTIONS(5147),
    [anon_sym_struct] = ACTIONS(5147),
    [anon_sym_union] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_asm] = ACTIONS(5147),
    [anon_sym___asm__] = ACTIONS(5147),
    [anon_sym___asm] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_explicit] = ACTIONS(5147),
    [anon_sym_typename] = ACTIONS(5147),
    [anon_sym_template] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5147),
    [anon_sym_try] = ACTIONS(5147),
    [anon_sym_friend] = ACTIONS(5147),
    [anon_sym_using] = ACTIONS(5147),
    [anon_sym_concept] = ACTIONS(5147),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [1599] = {
    [sym_identifier] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5149),
    [anon_sym_RPAREN] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5149),
    [anon_sym_TILDE] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5149),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym_virtual] = ACTIONS(5147),
    [anon_sym_extern] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym___attribute] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5149),
    [anon_sym___declspec] = ACTIONS(5147),
    [anon_sym___based] = ACTIONS(5147),
    [anon_sym___cdecl] = ACTIONS(5147),
    [anon_sym___clrcall] = ACTIONS(5147),
    [anon_sym___stdcall] = ACTIONS(5147),
    [anon_sym___fastcall] = ACTIONS(5147),
    [anon_sym___thiscall] = ACTIONS(5147),
    [anon_sym___vectorcall] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5147),
    [anon_sym_unsigned] = ACTIONS(5147),
    [anon_sym_long] = ACTIONS(5147),
    [anon_sym_short] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_static] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5147),
    [anon_sym_inline] = ACTIONS(5147),
    [anon_sym___inline] = ACTIONS(5147),
    [anon_sym___inline__] = ACTIONS(5147),
    [anon_sym___forceinline] = ACTIONS(5147),
    [anon_sym_thread_local] = ACTIONS(5147),
    [anon_sym___thread] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym__Nonnull] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_PROGMEM] = ACTIONS(5147),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [aux_sym_primitive_type_token1] = ACTIONS(5147),
    [anon_sym_byte] = ACTIONS(5147),
    [anon_sym_word] = ACTIONS(5147),
    [anon_sym_enum] = ACTIONS(5147),
    [anon_sym_class] = ACTIONS(5147),
    [anon_sym_struct] = ACTIONS(5147),
    [anon_sym_union] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5147),
    [anon_sym_and] = ACTIONS(5147),
    [anon_sym_asm] = ACTIONS(5147),
    [anon_sym___asm__] = ACTIONS(5147),
    [anon_sym___asm] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_explicit] = ACTIONS(5147),
    [anon_sym_typename] = ACTIONS(5147),
    [anon_sym_template] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5147),
    [anon_sym_try] = ACTIONS(5147),
    [anon_sym_friend] = ACTIONS(5147),
    [anon_sym_using] = ACTIONS(5147),
    [anon_sym_concept] = ACTIONS(5147),
    [anon_sym_requires] = ACTIONS(5147),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5153),
    [anon_sym_RPAREN] = ACTIONS(5153),
    [anon_sym_LPAREN2] = ACTIONS(5153),
    [anon_sym_TILDE] = ACTIONS(5153),
    [anon_sym_STAR] = ACTIONS(5153),
    [anon_sym_PIPE_PIPE] = ACTIONS(5153),
    [anon_sym_AMP_AMP] = ACTIONS(5153),
    [anon_sym_AMP] = ACTIONS(5151),
    [anon_sym_SEMI] = ACTIONS(5153),
    [anon_sym___extension__] = ACTIONS(5151),
    [anon_sym_virtual] = ACTIONS(5151),
    [anon_sym_extern] = ACTIONS(5151),
    [anon_sym___attribute__] = ACTIONS(5151),
    [anon_sym___attribute] = ACTIONS(5151),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5153),
    [anon_sym___declspec] = ACTIONS(5151),
    [anon_sym___based] = ACTIONS(5151),
    [anon_sym___cdecl] = ACTIONS(5151),
    [anon_sym___clrcall] = ACTIONS(5151),
    [anon_sym___stdcall] = ACTIONS(5151),
    [anon_sym___fastcall] = ACTIONS(5151),
    [anon_sym___thiscall] = ACTIONS(5151),
    [anon_sym___vectorcall] = ACTIONS(5151),
    [anon_sym_LBRACE] = ACTIONS(5153),
    [anon_sym_signed] = ACTIONS(5151),
    [anon_sym_unsigned] = ACTIONS(5151),
    [anon_sym_long] = ACTIONS(5151),
    [anon_sym_short] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_static] = ACTIONS(5151),
    [anon_sym_EQ] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5151),
    [anon_sym_inline] = ACTIONS(5151),
    [anon_sym___inline] = ACTIONS(5151),
    [anon_sym___inline__] = ACTIONS(5151),
    [anon_sym___forceinline] = ACTIONS(5151),
    [anon_sym_thread_local] = ACTIONS(5151),
    [anon_sym___thread] = ACTIONS(5151),
    [anon_sym_const] = ACTIONS(5151),
    [anon_sym_constexpr] = ACTIONS(5151),
    [anon_sym_volatile] = ACTIONS(5151),
    [anon_sym_restrict] = ACTIONS(5151),
    [anon_sym___restrict__] = ACTIONS(5151),
    [anon_sym__Atomic] = ACTIONS(5151),
    [anon_sym__Noreturn] = ACTIONS(5151),
    [anon_sym_noreturn] = ACTIONS(5151),
    [anon_sym__Nonnull] = ACTIONS(5151),
    [anon_sym_mutable] = ACTIONS(5151),
    [anon_sym_constinit] = ACTIONS(5151),
    [anon_sym_consteval] = ACTIONS(5151),
    [anon_sym_PROGMEM] = ACTIONS(5151),
    [anon_sym_alignas] = ACTIONS(5151),
    [anon_sym__Alignas] = ACTIONS(5151),
    [aux_sym_primitive_type_token1] = ACTIONS(5151),
    [anon_sym_byte] = ACTIONS(5151),
    [anon_sym_word] = ACTIONS(5151),
    [anon_sym_enum] = ACTIONS(5151),
    [anon_sym_class] = ACTIONS(5151),
    [anon_sym_struct] = ACTIONS(5151),
    [anon_sym_union] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5151),
    [anon_sym_and] = ACTIONS(5151),
    [anon_sym_asm] = ACTIONS(5151),
    [anon_sym___asm__] = ACTIONS(5151),
    [anon_sym___asm] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5151),
    [anon_sym_decltype] = ACTIONS(5151),
    [anon_sym_final] = ACTIONS(5151),
    [anon_sym_override] = ACTIONS(5151),
    [anon_sym_explicit] = ACTIONS(5151),
    [anon_sym_typename] = ACTIONS(5151),
    [anon_sym_template] = ACTIONS(5151),
    [anon_sym_GT2] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5151),
    [anon_sym_try] = ACTIONS(5151),
    [anon_sym_friend] = ACTIONS(5151),
    [anon_sym_using] = ACTIONS(5151),
    [anon_sym_concept] = ACTIONS(5151),
    [anon_sym_requires] = ACTIONS(5151),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5157),
    [anon_sym_RPAREN] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(5157),
    [anon_sym_TILDE] = ACTIONS(5157),
    [anon_sym_STAR] = ACTIONS(5157),
    [anon_sym_PIPE_PIPE] = ACTIONS(5157),
    [anon_sym_AMP_AMP] = ACTIONS(5157),
    [anon_sym_AMP] = ACTIONS(5155),
    [anon_sym_SEMI] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(5155),
    [anon_sym_virtual] = ACTIONS(5155),
    [anon_sym_extern] = ACTIONS(5155),
    [anon_sym___attribute__] = ACTIONS(5155),
    [anon_sym___attribute] = ACTIONS(5155),
    [anon_sym_COLON_COLON] = ACTIONS(5157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5157),
    [anon_sym___declspec] = ACTIONS(5155),
    [anon_sym___based] = ACTIONS(5155),
    [anon_sym___cdecl] = ACTIONS(5155),
    [anon_sym___clrcall] = ACTIONS(5155),
    [anon_sym___stdcall] = ACTIONS(5155),
    [anon_sym___fastcall] = ACTIONS(5155),
    [anon_sym___thiscall] = ACTIONS(5155),
    [anon_sym___vectorcall] = ACTIONS(5155),
    [anon_sym_LBRACE] = ACTIONS(5157),
    [anon_sym_signed] = ACTIONS(5155),
    [anon_sym_unsigned] = ACTIONS(5155),
    [anon_sym_long] = ACTIONS(5155),
    [anon_sym_short] = ACTIONS(5155),
    [anon_sym_LBRACK] = ACTIONS(5155),
    [anon_sym_static] = ACTIONS(5155),
    [anon_sym_EQ] = ACTIONS(5157),
    [anon_sym_register] = ACTIONS(5155),
    [anon_sym_inline] = ACTIONS(5155),
    [anon_sym___inline] = ACTIONS(5155),
    [anon_sym___inline__] = ACTIONS(5155),
    [anon_sym___forceinline] = ACTIONS(5155),
    [anon_sym_thread_local] = ACTIONS(5155),
    [anon_sym___thread] = ACTIONS(5155),
    [anon_sym_const] = ACTIONS(5155),
    [anon_sym_constexpr] = ACTIONS(5155),
    [anon_sym_volatile] = ACTIONS(5155),
    [anon_sym_restrict] = ACTIONS(5155),
    [anon_sym___restrict__] = ACTIONS(5155),
    [anon_sym__Atomic] = ACTIONS(5155),
    [anon_sym__Noreturn] = ACTIONS(5155),
    [anon_sym_noreturn] = ACTIONS(5155),
    [anon_sym__Nonnull] = ACTIONS(5155),
    [anon_sym_mutable] = ACTIONS(5155),
    [anon_sym_constinit] = ACTIONS(5155),
    [anon_sym_consteval] = ACTIONS(5155),
    [anon_sym_PROGMEM] = ACTIONS(5155),
    [anon_sym_alignas] = ACTIONS(5155),
    [anon_sym__Alignas] = ACTIONS(5155),
    [aux_sym_primitive_type_token1] = ACTIONS(5155),
    [anon_sym_byte] = ACTIONS(5155),
    [anon_sym_word] = ACTIONS(5155),
    [anon_sym_enum] = ACTIONS(5155),
    [anon_sym_class] = ACTIONS(5155),
    [anon_sym_struct] = ACTIONS(5155),
    [anon_sym_union] = ACTIONS(5155),
    [anon_sym_or] = ACTIONS(5155),
    [anon_sym_and] = ACTIONS(5155),
    [anon_sym_asm] = ACTIONS(5155),
    [anon_sym___asm__] = ACTIONS(5155),
    [anon_sym___asm] = ACTIONS(5155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5155),
    [anon_sym_decltype] = ACTIONS(5155),
    [anon_sym_final] = ACTIONS(5155),
    [anon_sym_override] = ACTIONS(5155),
    [anon_sym_explicit] = ACTIONS(5155),
    [anon_sym_typename] = ACTIONS(5155),
    [anon_sym_template] = ACTIONS(5155),
    [anon_sym_GT2] = ACTIONS(5157),
    [anon_sym_operator] = ACTIONS(5155),
    [anon_sym_try] = ACTIONS(5155),
    [anon_sym_friend] = ACTIONS(5155),
    [anon_sym_using] = ACTIONS(5155),
    [anon_sym_concept] = ACTIONS(5155),
    [anon_sym_requires] = ACTIONS(5155),
  },
  [1602] = {
    [sym_identifier] = ACTIONS(5159),
    [anon_sym_COMMA] = ACTIONS(5161),
    [anon_sym_RPAREN] = ACTIONS(5161),
    [anon_sym_LPAREN2] = ACTIONS(5161),
    [anon_sym_TILDE] = ACTIONS(5161),
    [anon_sym_STAR] = ACTIONS(5161),
    [anon_sym_PIPE_PIPE] = ACTIONS(5161),
    [anon_sym_AMP_AMP] = ACTIONS(5161),
    [anon_sym_AMP] = ACTIONS(5159),
    [anon_sym_SEMI] = ACTIONS(5161),
    [anon_sym___extension__] = ACTIONS(5159),
    [anon_sym_virtual] = ACTIONS(5159),
    [anon_sym_extern] = ACTIONS(5159),
    [anon_sym___attribute__] = ACTIONS(5159),
    [anon_sym___attribute] = ACTIONS(5159),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5161),
    [anon_sym___declspec] = ACTIONS(5159),
    [anon_sym___based] = ACTIONS(5159),
    [anon_sym___cdecl] = ACTIONS(5159),
    [anon_sym___clrcall] = ACTIONS(5159),
    [anon_sym___stdcall] = ACTIONS(5159),
    [anon_sym___fastcall] = ACTIONS(5159),
    [anon_sym___thiscall] = ACTIONS(5159),
    [anon_sym___vectorcall] = ACTIONS(5159),
    [anon_sym_LBRACE] = ACTIONS(5161),
    [anon_sym_signed] = ACTIONS(5159),
    [anon_sym_unsigned] = ACTIONS(5159),
    [anon_sym_long] = ACTIONS(5159),
    [anon_sym_short] = ACTIONS(5159),
    [anon_sym_LBRACK] = ACTIONS(5159),
    [anon_sym_static] = ACTIONS(5159),
    [anon_sym_EQ] = ACTIONS(5161),
    [anon_sym_register] = ACTIONS(5159),
    [anon_sym_inline] = ACTIONS(5159),
    [anon_sym___inline] = ACTIONS(5159),
    [anon_sym___inline__] = ACTIONS(5159),
    [anon_sym___forceinline] = ACTIONS(5159),
    [anon_sym_thread_local] = ACTIONS(5159),
    [anon_sym___thread] = ACTIONS(5159),
    [anon_sym_const] = ACTIONS(5159),
    [anon_sym_constexpr] = ACTIONS(5159),
    [anon_sym_volatile] = ACTIONS(5159),
    [anon_sym_restrict] = ACTIONS(5159),
    [anon_sym___restrict__] = ACTIONS(5159),
    [anon_sym__Atomic] = ACTIONS(5159),
    [anon_sym__Noreturn] = ACTIONS(5159),
    [anon_sym_noreturn] = ACTIONS(5159),
    [anon_sym__Nonnull] = ACTIONS(5159),
    [anon_sym_mutable] = ACTIONS(5159),
    [anon_sym_constinit] = ACTIONS(5159),
    [anon_sym_consteval] = ACTIONS(5159),
    [anon_sym_PROGMEM] = ACTIONS(5159),
    [anon_sym_alignas] = ACTIONS(5159),
    [anon_sym__Alignas] = ACTIONS(5159),
    [aux_sym_primitive_type_token1] = ACTIONS(5159),
    [anon_sym_byte] = ACTIONS(5159),
    [anon_sym_word] = ACTIONS(5159),
    [anon_sym_enum] = ACTIONS(5159),
    [anon_sym_class] = ACTIONS(5159),
    [anon_sym_struct] = ACTIONS(5159),
    [anon_sym_union] = ACTIONS(5159),
    [anon_sym_or] = ACTIONS(5159),
    [anon_sym_and] = ACTIONS(5159),
    [anon_sym_asm] = ACTIONS(5159),
    [anon_sym___asm__] = ACTIONS(5159),
    [anon_sym___asm] = ACTIONS(5159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5159),
    [anon_sym_decltype] = ACTIONS(5159),
    [anon_sym_final] = ACTIONS(5159),
    [anon_sym_override] = ACTIONS(5159),
    [anon_sym_explicit] = ACTIONS(5159),
    [anon_sym_typename] = ACTIONS(5159),
    [anon_sym_template] = ACTIONS(5159),
    [anon_sym_GT2] = ACTIONS(5161),
    [anon_sym_operator] = ACTIONS(5159),
    [anon_sym_try] = ACTIONS(5159),
    [anon_sym_friend] = ACTIONS(5159),
    [anon_sym_using] = ACTIONS(5159),
    [anon_sym_concept] = ACTIONS(5159),
    [anon_sym_requires] = ACTIONS(5159),
  },
  [1603] = {
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_TILDE] = ACTIONS(5165),
    [anon_sym_STAR] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5163),
    [anon_sym_virtual] = ACTIONS(5163),
    [anon_sym_extern] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym___attribute] = ACTIONS(5163),
    [anon_sym_COLON_COLON] = ACTIONS(5165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5165),
    [anon_sym___declspec] = ACTIONS(5163),
    [anon_sym___based] = ACTIONS(5163),
    [anon_sym___cdecl] = ACTIONS(5163),
    [anon_sym___clrcall] = ACTIONS(5163),
    [anon_sym___stdcall] = ACTIONS(5163),
    [anon_sym___fastcall] = ACTIONS(5163),
    [anon_sym___thiscall] = ACTIONS(5163),
    [anon_sym___vectorcall] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5163),
    [anon_sym_unsigned] = ACTIONS(5163),
    [anon_sym_long] = ACTIONS(5163),
    [anon_sym_short] = ACTIONS(5163),
    [anon_sym_LBRACK] = ACTIONS(5163),
    [anon_sym_static] = ACTIONS(5163),
    [anon_sym_EQ] = ACTIONS(5165),
    [anon_sym_register] = ACTIONS(5163),
    [anon_sym_inline] = ACTIONS(5163),
    [anon_sym___inline] = ACTIONS(5163),
    [anon_sym___inline__] = ACTIONS(5163),
    [anon_sym___forceinline] = ACTIONS(5163),
    [anon_sym_thread_local] = ACTIONS(5163),
    [anon_sym___thread] = ACTIONS(5163),
    [anon_sym_const] = ACTIONS(5163),
    [anon_sym_constexpr] = ACTIONS(5163),
    [anon_sym_volatile] = ACTIONS(5163),
    [anon_sym_restrict] = ACTIONS(5163),
    [anon_sym___restrict__] = ACTIONS(5163),
    [anon_sym__Atomic] = ACTIONS(5163),
    [anon_sym__Noreturn] = ACTIONS(5163),
    [anon_sym_noreturn] = ACTIONS(5163),
    [anon_sym__Nonnull] = ACTIONS(5163),
    [anon_sym_mutable] = ACTIONS(5163),
    [anon_sym_constinit] = ACTIONS(5163),
    [anon_sym_consteval] = ACTIONS(5163),
    [anon_sym_PROGMEM] = ACTIONS(5163),
    [anon_sym_alignas] = ACTIONS(5163),
    [anon_sym__Alignas] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_enum] = ACTIONS(5163),
    [anon_sym_class] = ACTIONS(5163),
    [anon_sym_struct] = ACTIONS(5163),
    [anon_sym_union] = ACTIONS(5163),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_asm] = ACTIONS(5163),
    [anon_sym___asm__] = ACTIONS(5163),
    [anon_sym___asm] = ACTIONS(5163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
    [anon_sym_final] = ACTIONS(5163),
    [anon_sym_override] = ACTIONS(5163),
    [anon_sym_explicit] = ACTIONS(5163),
    [anon_sym_typename] = ACTIONS(5163),
    [anon_sym_template] = ACTIONS(5163),
    [anon_sym_GT2] = ACTIONS(5165),
    [anon_sym_operator] = ACTIONS(5163),
    [anon_sym_try] = ACTIONS(5163),
    [anon_sym_friend] = ACTIONS(5163),
    [anon_sym_using] = ACTIONS(5163),
    [anon_sym_concept] = ACTIONS(5163),
    [anon_sym_requires] = ACTIONS(5163),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(5167),
    [anon_sym_COMMA] = ACTIONS(5169),
    [anon_sym_RPAREN] = ACTIONS(5169),
    [anon_sym_LPAREN2] = ACTIONS(5169),
    [anon_sym_TILDE] = ACTIONS(5169),
    [anon_sym_STAR] = ACTIONS(5169),
    [anon_sym_PIPE_PIPE] = ACTIONS(5169),
    [anon_sym_AMP_AMP] = ACTIONS(5169),
    [anon_sym_AMP] = ACTIONS(5167),
    [anon_sym_SEMI] = ACTIONS(5169),
    [anon_sym___extension__] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(5167),
    [anon_sym_extern] = ACTIONS(5167),
    [anon_sym___attribute__] = ACTIONS(5167),
    [anon_sym___attribute] = ACTIONS(5167),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym___declspec] = ACTIONS(5167),
    [anon_sym___based] = ACTIONS(5167),
    [anon_sym___cdecl] = ACTIONS(5167),
    [anon_sym___clrcall] = ACTIONS(5167),
    [anon_sym___stdcall] = ACTIONS(5167),
    [anon_sym___fastcall] = ACTIONS(5167),
    [anon_sym___thiscall] = ACTIONS(5167),
    [anon_sym___vectorcall] = ACTIONS(5167),
    [anon_sym_LBRACE] = ACTIONS(5169),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_static] = ACTIONS(5167),
    [anon_sym_EQ] = ACTIONS(5169),
    [anon_sym_register] = ACTIONS(5167),
    [anon_sym_inline] = ACTIONS(5167),
    [anon_sym___inline] = ACTIONS(5167),
    [anon_sym___inline__] = ACTIONS(5167),
    [anon_sym___forceinline] = ACTIONS(5167),
    [anon_sym_thread_local] = ACTIONS(5167),
    [anon_sym___thread] = ACTIONS(5167),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_constexpr] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_restrict] = ACTIONS(5167),
    [anon_sym___restrict__] = ACTIONS(5167),
    [anon_sym__Atomic] = ACTIONS(5167),
    [anon_sym__Noreturn] = ACTIONS(5167),
    [anon_sym_noreturn] = ACTIONS(5167),
    [anon_sym__Nonnull] = ACTIONS(5167),
    [anon_sym_mutable] = ACTIONS(5167),
    [anon_sym_constinit] = ACTIONS(5167),
    [anon_sym_consteval] = ACTIONS(5167),
    [anon_sym_PROGMEM] = ACTIONS(5167),
    [anon_sym_alignas] = ACTIONS(5167),
    [anon_sym__Alignas] = ACTIONS(5167),
    [aux_sym_primitive_type_token1] = ACTIONS(5167),
    [anon_sym_byte] = ACTIONS(5167),
    [anon_sym_word] = ACTIONS(5167),
    [anon_sym_enum] = ACTIONS(5167),
    [anon_sym_class] = ACTIONS(5167),
    [anon_sym_struct] = ACTIONS(5167),
    [anon_sym_union] = ACTIONS(5167),
    [anon_sym_or] = ACTIONS(5167),
    [anon_sym_and] = ACTIONS(5167),
    [anon_sym_asm] = ACTIONS(5167),
    [anon_sym___asm__] = ACTIONS(5167),
    [anon_sym___asm] = ACTIONS(5167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5167),
    [anon_sym_decltype] = ACTIONS(5167),
    [anon_sym_final] = ACTIONS(5167),
    [anon_sym_override] = ACTIONS(5167),
    [anon_sym_explicit] = ACTIONS(5167),
    [anon_sym_typename] = ACTIONS(5167),
    [anon_sym_template] = ACTIONS(5167),
    [anon_sym_GT2] = ACTIONS(5169),
    [anon_sym_operator] = ACTIONS(5167),
    [anon_sym_try] = ACTIONS(5167),
    [anon_sym_friend] = ACTIONS(5167),
    [anon_sym_using] = ACTIONS(5167),
    [anon_sym_concept] = ACTIONS(5167),
    [anon_sym_requires] = ACTIONS(5167),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(5171),
    [anon_sym_COMMA] = ACTIONS(5173),
    [anon_sym_RPAREN] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5173),
    [anon_sym_TILDE] = ACTIONS(5173),
    [anon_sym_STAR] = ACTIONS(5173),
    [anon_sym_PIPE_PIPE] = ACTIONS(5173),
    [anon_sym_AMP_AMP] = ACTIONS(5173),
    [anon_sym_AMP] = ACTIONS(5171),
    [anon_sym_SEMI] = ACTIONS(5173),
    [anon_sym___extension__] = ACTIONS(5171),
    [anon_sym_virtual] = ACTIONS(5171),
    [anon_sym_extern] = ACTIONS(5171),
    [anon_sym___attribute__] = ACTIONS(5171),
    [anon_sym___attribute] = ACTIONS(5171),
    [anon_sym_COLON_COLON] = ACTIONS(5173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5173),
    [anon_sym___declspec] = ACTIONS(5171),
    [anon_sym___based] = ACTIONS(5171),
    [anon_sym___cdecl] = ACTIONS(5171),
    [anon_sym___clrcall] = ACTIONS(5171),
    [anon_sym___stdcall] = ACTIONS(5171),
    [anon_sym___fastcall] = ACTIONS(5171),
    [anon_sym___thiscall] = ACTIONS(5171),
    [anon_sym___vectorcall] = ACTIONS(5171),
    [anon_sym_LBRACE] = ACTIONS(5173),
    [anon_sym_signed] = ACTIONS(5171),
    [anon_sym_unsigned] = ACTIONS(5171),
    [anon_sym_long] = ACTIONS(5171),
    [anon_sym_short] = ACTIONS(5171),
    [anon_sym_LBRACK] = ACTIONS(5171),
    [anon_sym_static] = ACTIONS(5171),
    [anon_sym_EQ] = ACTIONS(5173),
    [anon_sym_register] = ACTIONS(5171),
    [anon_sym_inline] = ACTIONS(5171),
    [anon_sym___inline] = ACTIONS(5171),
    [anon_sym___inline__] = ACTIONS(5171),
    [anon_sym___forceinline] = ACTIONS(5171),
    [anon_sym_thread_local] = ACTIONS(5171),
    [anon_sym___thread] = ACTIONS(5171),
    [anon_sym_const] = ACTIONS(5171),
    [anon_sym_constexpr] = ACTIONS(5171),
    [anon_sym_volatile] = ACTIONS(5171),
    [anon_sym_restrict] = ACTIONS(5171),
    [anon_sym___restrict__] = ACTIONS(5171),
    [anon_sym__Atomic] = ACTIONS(5171),
    [anon_sym__Noreturn] = ACTIONS(5171),
    [anon_sym_noreturn] = ACTIONS(5171),
    [anon_sym__Nonnull] = ACTIONS(5171),
    [anon_sym_mutable] = ACTIONS(5171),
    [anon_sym_constinit] = ACTIONS(5171),
    [anon_sym_consteval] = ACTIONS(5171),
    [anon_sym_PROGMEM] = ACTIONS(5171),
    [anon_sym_alignas] = ACTIONS(5171),
    [anon_sym__Alignas] = ACTIONS(5171),
    [aux_sym_primitive_type_token1] = ACTIONS(5171),
    [anon_sym_byte] = ACTIONS(5171),
    [anon_sym_word] = ACTIONS(5171),
    [anon_sym_enum] = ACTIONS(5171),
    [anon_sym_class] = ACTIONS(5171),
    [anon_sym_struct] = ACTIONS(5171),
    [anon_sym_union] = ACTIONS(5171),
    [anon_sym_or] = ACTIONS(5171),
    [anon_sym_and] = ACTIONS(5171),
    [anon_sym_asm] = ACTIONS(5171),
    [anon_sym___asm__] = ACTIONS(5171),
    [anon_sym___asm] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5171),
    [anon_sym_decltype] = ACTIONS(5171),
    [anon_sym_final] = ACTIONS(5171),
    [anon_sym_override] = ACTIONS(5171),
    [anon_sym_explicit] = ACTIONS(5171),
    [anon_sym_typename] = ACTIONS(5171),
    [anon_sym_template] = ACTIONS(5171),
    [anon_sym_GT2] = ACTIONS(5173),
    [anon_sym_operator] = ACTIONS(5171),
    [anon_sym_try] = ACTIONS(5171),
    [anon_sym_friend] = ACTIONS(5171),
    [anon_sym_using] = ACTIONS(5171),
    [anon_sym_concept] = ACTIONS(5171),
    [anon_sym_requires] = ACTIONS(5171),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(5175),
    [anon_sym_COMMA] = ACTIONS(5177),
    [anon_sym_RPAREN] = ACTIONS(5177),
    [anon_sym_LPAREN2] = ACTIONS(5177),
    [anon_sym_TILDE] = ACTIONS(5177),
    [anon_sym_STAR] = ACTIONS(5177),
    [anon_sym_PIPE_PIPE] = ACTIONS(5177),
    [anon_sym_AMP_AMP] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(5175),
    [anon_sym_SEMI] = ACTIONS(5177),
    [anon_sym___extension__] = ACTIONS(5175),
    [anon_sym_virtual] = ACTIONS(5175),
    [anon_sym_extern] = ACTIONS(5175),
    [anon_sym___attribute__] = ACTIONS(5175),
    [anon_sym___attribute] = ACTIONS(5175),
    [anon_sym_COLON_COLON] = ACTIONS(5177),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5177),
    [anon_sym___declspec] = ACTIONS(5175),
    [anon_sym___based] = ACTIONS(5175),
    [anon_sym___cdecl] = ACTIONS(5175),
    [anon_sym___clrcall] = ACTIONS(5175),
    [anon_sym___stdcall] = ACTIONS(5175),
    [anon_sym___fastcall] = ACTIONS(5175),
    [anon_sym___thiscall] = ACTIONS(5175),
    [anon_sym___vectorcall] = ACTIONS(5175),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_signed] = ACTIONS(5175),
    [anon_sym_unsigned] = ACTIONS(5175),
    [anon_sym_long] = ACTIONS(5175),
    [anon_sym_short] = ACTIONS(5175),
    [anon_sym_LBRACK] = ACTIONS(5175),
    [anon_sym_static] = ACTIONS(5175),
    [anon_sym_EQ] = ACTIONS(5177),
    [anon_sym_register] = ACTIONS(5175),
    [anon_sym_inline] = ACTIONS(5175),
    [anon_sym___inline] = ACTIONS(5175),
    [anon_sym___inline__] = ACTIONS(5175),
    [anon_sym___forceinline] = ACTIONS(5175),
    [anon_sym_thread_local] = ACTIONS(5175),
    [anon_sym___thread] = ACTIONS(5175),
    [anon_sym_const] = ACTIONS(5175),
    [anon_sym_constexpr] = ACTIONS(5175),
    [anon_sym_volatile] = ACTIONS(5175),
    [anon_sym_restrict] = ACTIONS(5175),
    [anon_sym___restrict__] = ACTIONS(5175),
    [anon_sym__Atomic] = ACTIONS(5175),
    [anon_sym__Noreturn] = ACTIONS(5175),
    [anon_sym_noreturn] = ACTIONS(5175),
    [anon_sym__Nonnull] = ACTIONS(5175),
    [anon_sym_mutable] = ACTIONS(5175),
    [anon_sym_constinit] = ACTIONS(5175),
    [anon_sym_consteval] = ACTIONS(5175),
    [anon_sym_PROGMEM] = ACTIONS(5175),
    [anon_sym_alignas] = ACTIONS(5175),
    [anon_sym__Alignas] = ACTIONS(5175),
    [aux_sym_primitive_type_token1] = ACTIONS(5175),
    [anon_sym_byte] = ACTIONS(5175),
    [anon_sym_word] = ACTIONS(5175),
    [anon_sym_enum] = ACTIONS(5175),
    [anon_sym_class] = ACTIONS(5175),
    [anon_sym_struct] = ACTIONS(5175),
    [anon_sym_union] = ACTIONS(5175),
    [anon_sym_or] = ACTIONS(5175),
    [anon_sym_and] = ACTIONS(5175),
    [anon_sym_asm] = ACTIONS(5175),
    [anon_sym___asm__] = ACTIONS(5175),
    [anon_sym___asm] = ACTIONS(5175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5175),
    [anon_sym_decltype] = ACTIONS(5175),
    [anon_sym_final] = ACTIONS(5175),
    [anon_sym_override] = ACTIONS(5175),
    [anon_sym_explicit] = ACTIONS(5175),
    [anon_sym_typename] = ACTIONS(5175),
    [anon_sym_template] = ACTIONS(5175),
    [anon_sym_GT2] = ACTIONS(5177),
    [anon_sym_operator] = ACTIONS(5175),
    [anon_sym_try] = ACTIONS(5175),
    [anon_sym_friend] = ACTIONS(5175),
    [anon_sym_using] = ACTIONS(5175),
    [anon_sym_concept] = ACTIONS(5175),
    [anon_sym_requires] = ACTIONS(5175),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(5179),
    [anon_sym_COMMA] = ACTIONS(5181),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [anon_sym_TILDE] = ACTIONS(5181),
    [anon_sym_STAR] = ACTIONS(5181),
    [anon_sym_PIPE_PIPE] = ACTIONS(5181),
    [anon_sym_AMP_AMP] = ACTIONS(5181),
    [anon_sym_AMP] = ACTIONS(5179),
    [anon_sym_SEMI] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(5179),
    [anon_sym_virtual] = ACTIONS(5179),
    [anon_sym_extern] = ACTIONS(5179),
    [anon_sym___attribute__] = ACTIONS(5179),
    [anon_sym___attribute] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(5181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5181),
    [anon_sym___declspec] = ACTIONS(5179),
    [anon_sym___based] = ACTIONS(5179),
    [anon_sym___cdecl] = ACTIONS(5179),
    [anon_sym___clrcall] = ACTIONS(5179),
    [anon_sym___stdcall] = ACTIONS(5179),
    [anon_sym___fastcall] = ACTIONS(5179),
    [anon_sym___thiscall] = ACTIONS(5179),
    [anon_sym___vectorcall] = ACTIONS(5179),
    [anon_sym_LBRACE] = ACTIONS(5181),
    [anon_sym_signed] = ACTIONS(5179),
    [anon_sym_unsigned] = ACTIONS(5179),
    [anon_sym_long] = ACTIONS(5179),
    [anon_sym_short] = ACTIONS(5179),
    [anon_sym_LBRACK] = ACTIONS(5179),
    [anon_sym_static] = ACTIONS(5179),
    [anon_sym_EQ] = ACTIONS(5181),
    [anon_sym_register] = ACTIONS(5179),
    [anon_sym_inline] = ACTIONS(5179),
    [anon_sym___inline] = ACTIONS(5179),
    [anon_sym___inline__] = ACTIONS(5179),
    [anon_sym___forceinline] = ACTIONS(5179),
    [anon_sym_thread_local] = ACTIONS(5179),
    [anon_sym___thread] = ACTIONS(5179),
    [anon_sym_const] = ACTIONS(5179),
    [anon_sym_constexpr] = ACTIONS(5179),
    [anon_sym_volatile] = ACTIONS(5179),
    [anon_sym_restrict] = ACTIONS(5179),
    [anon_sym___restrict__] = ACTIONS(5179),
    [anon_sym__Atomic] = ACTIONS(5179),
    [anon_sym__Noreturn] = ACTIONS(5179),
    [anon_sym_noreturn] = ACTIONS(5179),
    [anon_sym__Nonnull] = ACTIONS(5179),
    [anon_sym_mutable] = ACTIONS(5179),
    [anon_sym_constinit] = ACTIONS(5179),
    [anon_sym_consteval] = ACTIONS(5179),
    [anon_sym_PROGMEM] = ACTIONS(5179),
    [anon_sym_alignas] = ACTIONS(5179),
    [anon_sym__Alignas] = ACTIONS(5179),
    [aux_sym_primitive_type_token1] = ACTIONS(5179),
    [anon_sym_byte] = ACTIONS(5179),
    [anon_sym_word] = ACTIONS(5179),
    [anon_sym_enum] = ACTIONS(5179),
    [anon_sym_class] = ACTIONS(5179),
    [anon_sym_struct] = ACTIONS(5179),
    [anon_sym_union] = ACTIONS(5179),
    [anon_sym_or] = ACTIONS(5179),
    [anon_sym_and] = ACTIONS(5179),
    [anon_sym_asm] = ACTIONS(5179),
    [anon_sym___asm__] = ACTIONS(5179),
    [anon_sym___asm] = ACTIONS(5179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5179),
    [anon_sym_decltype] = ACTIONS(5179),
    [anon_sym_final] = ACTIONS(5179),
    [anon_sym_override] = ACTIONS(5179),
    [anon_sym_explicit] = ACTIONS(5179),
    [anon_sym_typename] = ACTIONS(5179),
    [anon_sym_template] = ACTIONS(5179),
    [anon_sym_GT2] = ACTIONS(5181),
    [anon_sym_operator] = ACTIONS(5179),
    [anon_sym_try] = ACTIONS(5179),
    [anon_sym_friend] = ACTIONS(5179),
    [anon_sym_using] = ACTIONS(5179),
    [anon_sym_concept] = ACTIONS(5179),
    [anon_sym_requires] = ACTIONS(5179),
  },
  [1608] = {
    [sym_identifier] = ACTIONS(5183),
    [anon_sym_COMMA] = ACTIONS(5185),
    [anon_sym_RPAREN] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5185),
    [anon_sym_TILDE] = ACTIONS(5185),
    [anon_sym_STAR] = ACTIONS(5185),
    [anon_sym_PIPE_PIPE] = ACTIONS(5185),
    [anon_sym_AMP_AMP] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(5183),
    [anon_sym_SEMI] = ACTIONS(5185),
    [anon_sym___extension__] = ACTIONS(5183),
    [anon_sym_virtual] = ACTIONS(5183),
    [anon_sym_extern] = ACTIONS(5183),
    [anon_sym___attribute__] = ACTIONS(5183),
    [anon_sym___attribute] = ACTIONS(5183),
    [anon_sym_COLON_COLON] = ACTIONS(5185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5185),
    [anon_sym___declspec] = ACTIONS(5183),
    [anon_sym___based] = ACTIONS(5183),
    [anon_sym___cdecl] = ACTIONS(5183),
    [anon_sym___clrcall] = ACTIONS(5183),
    [anon_sym___stdcall] = ACTIONS(5183),
    [anon_sym___fastcall] = ACTIONS(5183),
    [anon_sym___thiscall] = ACTIONS(5183),
    [anon_sym___vectorcall] = ACTIONS(5183),
    [anon_sym_LBRACE] = ACTIONS(5185),
    [anon_sym_signed] = ACTIONS(5183),
    [anon_sym_unsigned] = ACTIONS(5183),
    [anon_sym_long] = ACTIONS(5183),
    [anon_sym_short] = ACTIONS(5183),
    [anon_sym_LBRACK] = ACTIONS(5183),
    [anon_sym_static] = ACTIONS(5183),
    [anon_sym_EQ] = ACTIONS(5185),
    [anon_sym_register] = ACTIONS(5183),
    [anon_sym_inline] = ACTIONS(5183),
    [anon_sym___inline] = ACTIONS(5183),
    [anon_sym___inline__] = ACTIONS(5183),
    [anon_sym___forceinline] = ACTIONS(5183),
    [anon_sym_thread_local] = ACTIONS(5183),
    [anon_sym___thread] = ACTIONS(5183),
    [anon_sym_const] = ACTIONS(5183),
    [anon_sym_constexpr] = ACTIONS(5183),
    [anon_sym_volatile] = ACTIONS(5183),
    [anon_sym_restrict] = ACTIONS(5183),
    [anon_sym___restrict__] = ACTIONS(5183),
    [anon_sym__Atomic] = ACTIONS(5183),
    [anon_sym__Noreturn] = ACTIONS(5183),
    [anon_sym_noreturn] = ACTIONS(5183),
    [anon_sym__Nonnull] = ACTIONS(5183),
    [anon_sym_mutable] = ACTIONS(5183),
    [anon_sym_constinit] = ACTIONS(5183),
    [anon_sym_consteval] = ACTIONS(5183),
    [anon_sym_PROGMEM] = ACTIONS(5183),
    [anon_sym_alignas] = ACTIONS(5183),
    [anon_sym__Alignas] = ACTIONS(5183),
    [aux_sym_primitive_type_token1] = ACTIONS(5183),
    [anon_sym_byte] = ACTIONS(5183),
    [anon_sym_word] = ACTIONS(5183),
    [anon_sym_enum] = ACTIONS(5183),
    [anon_sym_class] = ACTIONS(5183),
    [anon_sym_struct] = ACTIONS(5183),
    [anon_sym_union] = ACTIONS(5183),
    [anon_sym_or] = ACTIONS(5183),
    [anon_sym_and] = ACTIONS(5183),
    [anon_sym_asm] = ACTIONS(5183),
    [anon_sym___asm__] = ACTIONS(5183),
    [anon_sym___asm] = ACTIONS(5183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5183),
    [anon_sym_decltype] = ACTIONS(5183),
    [anon_sym_final] = ACTIONS(5183),
    [anon_sym_override] = ACTIONS(5183),
    [anon_sym_explicit] = ACTIONS(5183),
    [anon_sym_typename] = ACTIONS(5183),
    [anon_sym_template] = ACTIONS(5183),
    [anon_sym_GT2] = ACTIONS(5185),
    [anon_sym_operator] = ACTIONS(5183),
    [anon_sym_try] = ACTIONS(5183),
    [anon_sym_friend] = ACTIONS(5183),
    [anon_sym_using] = ACTIONS(5183),
    [anon_sym_concept] = ACTIONS(5183),
    [anon_sym_requires] = ACTIONS(5183),
  },
  [1609] = {
    [sym_identifier] = ACTIONS(5187),
    [anon_sym_COMMA] = ACTIONS(5189),
    [anon_sym_RPAREN] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [anon_sym_TILDE] = ACTIONS(5189),
    [anon_sym_STAR] = ACTIONS(5189),
    [anon_sym_PIPE_PIPE] = ACTIONS(5189),
    [anon_sym_AMP_AMP] = ACTIONS(5189),
    [anon_sym_AMP] = ACTIONS(5187),
    [anon_sym_SEMI] = ACTIONS(5189),
    [anon_sym___extension__] = ACTIONS(5187),
    [anon_sym_virtual] = ACTIONS(5187),
    [anon_sym_extern] = ACTIONS(5187),
    [anon_sym___attribute__] = ACTIONS(5187),
    [anon_sym___attribute] = ACTIONS(5187),
    [anon_sym_COLON_COLON] = ACTIONS(5189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5189),
    [anon_sym___declspec] = ACTIONS(5187),
    [anon_sym___based] = ACTIONS(5187),
    [anon_sym___cdecl] = ACTIONS(5187),
    [anon_sym___clrcall] = ACTIONS(5187),
    [anon_sym___stdcall] = ACTIONS(5187),
    [anon_sym___fastcall] = ACTIONS(5187),
    [anon_sym___thiscall] = ACTIONS(5187),
    [anon_sym___vectorcall] = ACTIONS(5187),
    [anon_sym_LBRACE] = ACTIONS(5189),
    [anon_sym_signed] = ACTIONS(5187),
    [anon_sym_unsigned] = ACTIONS(5187),
    [anon_sym_long] = ACTIONS(5187),
    [anon_sym_short] = ACTIONS(5187),
    [anon_sym_LBRACK] = ACTIONS(5187),
    [anon_sym_static] = ACTIONS(5187),
    [anon_sym_EQ] = ACTIONS(5189),
    [anon_sym_register] = ACTIONS(5187),
    [anon_sym_inline] = ACTIONS(5187),
    [anon_sym___inline] = ACTIONS(5187),
    [anon_sym___inline__] = ACTIONS(5187),
    [anon_sym___forceinline] = ACTIONS(5187),
    [anon_sym_thread_local] = ACTIONS(5187),
    [anon_sym___thread] = ACTIONS(5187),
    [anon_sym_const] = ACTIONS(5187),
    [anon_sym_constexpr] = ACTIONS(5187),
    [anon_sym_volatile] = ACTIONS(5187),
    [anon_sym_restrict] = ACTIONS(5187),
    [anon_sym___restrict__] = ACTIONS(5187),
    [anon_sym__Atomic] = ACTIONS(5187),
    [anon_sym__Noreturn] = ACTIONS(5187),
    [anon_sym_noreturn] = ACTIONS(5187),
    [anon_sym__Nonnull] = ACTIONS(5187),
    [anon_sym_mutable] = ACTIONS(5187),
    [anon_sym_constinit] = ACTIONS(5187),
    [anon_sym_consteval] = ACTIONS(5187),
    [anon_sym_PROGMEM] = ACTIONS(5187),
    [anon_sym_alignas] = ACTIONS(5187),
    [anon_sym__Alignas] = ACTIONS(5187),
    [aux_sym_primitive_type_token1] = ACTIONS(5187),
    [anon_sym_byte] = ACTIONS(5187),
    [anon_sym_word] = ACTIONS(5187),
    [anon_sym_enum] = ACTIONS(5187),
    [anon_sym_class] = ACTIONS(5187),
    [anon_sym_struct] = ACTIONS(5187),
    [anon_sym_union] = ACTIONS(5187),
    [anon_sym_or] = ACTIONS(5187),
    [anon_sym_and] = ACTIONS(5187),
    [anon_sym_asm] = ACTIONS(5187),
    [anon_sym___asm__] = ACTIONS(5187),
    [anon_sym___asm] = ACTIONS(5187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5187),
    [anon_sym_decltype] = ACTIONS(5187),
    [anon_sym_final] = ACTIONS(5187),
    [anon_sym_override] = ACTIONS(5187),
    [anon_sym_explicit] = ACTIONS(5187),
    [anon_sym_typename] = ACTIONS(5187),
    [anon_sym_template] = ACTIONS(5187),
    [anon_sym_GT2] = ACTIONS(5189),
    [anon_sym_operator] = ACTIONS(5187),
    [anon_sym_try] = ACTIONS(5187),
    [anon_sym_friend] = ACTIONS(5187),
    [anon_sym_using] = ACTIONS(5187),
    [anon_sym_concept] = ACTIONS(5187),
    [anon_sym_requires] = ACTIONS(5187),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(5191),
    [anon_sym_COMMA] = ACTIONS(5193),
    [anon_sym_RPAREN] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_TILDE] = ACTIONS(5193),
    [anon_sym_STAR] = ACTIONS(5193),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(5191),
    [anon_sym_SEMI] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(5191),
    [anon_sym_virtual] = ACTIONS(5191),
    [anon_sym_extern] = ACTIONS(5191),
    [anon_sym___attribute__] = ACTIONS(5191),
    [anon_sym___attribute] = ACTIONS(5191),
    [anon_sym_COLON_COLON] = ACTIONS(5193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5193),
    [anon_sym___declspec] = ACTIONS(5191),
    [anon_sym___based] = ACTIONS(5191),
    [anon_sym___cdecl] = ACTIONS(5191),
    [anon_sym___clrcall] = ACTIONS(5191),
    [anon_sym___stdcall] = ACTIONS(5191),
    [anon_sym___fastcall] = ACTIONS(5191),
    [anon_sym___thiscall] = ACTIONS(5191),
    [anon_sym___vectorcall] = ACTIONS(5191),
    [anon_sym_LBRACE] = ACTIONS(5193),
    [anon_sym_signed] = ACTIONS(5191),
    [anon_sym_unsigned] = ACTIONS(5191),
    [anon_sym_long] = ACTIONS(5191),
    [anon_sym_short] = ACTIONS(5191),
    [anon_sym_LBRACK] = ACTIONS(5191),
    [anon_sym_static] = ACTIONS(5191),
    [anon_sym_EQ] = ACTIONS(5193),
    [anon_sym_register] = ACTIONS(5191),
    [anon_sym_inline] = ACTIONS(5191),
    [anon_sym___inline] = ACTIONS(5191),
    [anon_sym___inline__] = ACTIONS(5191),
    [anon_sym___forceinline] = ACTIONS(5191),
    [anon_sym_thread_local] = ACTIONS(5191),
    [anon_sym___thread] = ACTIONS(5191),
    [anon_sym_const] = ACTIONS(5191),
    [anon_sym_constexpr] = ACTIONS(5191),
    [anon_sym_volatile] = ACTIONS(5191),
    [anon_sym_restrict] = ACTIONS(5191),
    [anon_sym___restrict__] = ACTIONS(5191),
    [anon_sym__Atomic] = ACTIONS(5191),
    [anon_sym__Noreturn] = ACTIONS(5191),
    [anon_sym_noreturn] = ACTIONS(5191),
    [anon_sym__Nonnull] = ACTIONS(5191),
    [anon_sym_mutable] = ACTIONS(5191),
    [anon_sym_constinit] = ACTIONS(5191),
    [anon_sym_consteval] = ACTIONS(5191),
    [anon_sym_PROGMEM] = ACTIONS(5191),
    [anon_sym_alignas] = ACTIONS(5191),
    [anon_sym__Alignas] = ACTIONS(5191),
    [aux_sym_primitive_type_token1] = ACTIONS(5191),
    [anon_sym_byte] = ACTIONS(5191),
    [anon_sym_word] = ACTIONS(5191),
    [anon_sym_enum] = ACTIONS(5191),
    [anon_sym_class] = ACTIONS(5191),
    [anon_sym_struct] = ACTIONS(5191),
    [anon_sym_union] = ACTIONS(5191),
    [anon_sym_or] = ACTIONS(5191),
    [anon_sym_and] = ACTIONS(5191),
    [anon_sym_asm] = ACTIONS(5191),
    [anon_sym___asm__] = ACTIONS(5191),
    [anon_sym___asm] = ACTIONS(5191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5191),
    [anon_sym_decltype] = ACTIONS(5191),
    [anon_sym_final] = ACTIONS(5191),
    [anon_sym_override] = ACTIONS(5191),
    [anon_sym_explicit] = ACTIONS(5191),
    [anon_sym_typename] = ACTIONS(5191),
    [anon_sym_template] = ACTIONS(5191),
    [anon_sym_GT2] = ACTIONS(5193),
    [anon_sym_operator] = ACTIONS(5191),
    [anon_sym_try] = ACTIONS(5191),
    [anon_sym_friend] = ACTIONS(5191),
    [anon_sym_using] = ACTIONS(5191),
    [anon_sym_concept] = ACTIONS(5191),
    [anon_sym_requires] = ACTIONS(5191),
  },
  [1611] = {
    [sym_type_qualifier] = STATE(1611),
    [sym_alignas_qualifier] = STATE(1625),
    [aux_sym__type_definition_type_repeat1] = STATE(1611),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_TILDE] = ACTIONS(4901),
    [anon_sym_STAR] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_SEMI] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(5195),
    [anon_sym_virtual] = ACTIONS(4899),
    [anon_sym_extern] = ACTIONS(4899),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_COLON_COLON] = ACTIONS(4901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4901),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(4899),
    [anon_sym___cdecl] = ACTIONS(4899),
    [anon_sym___clrcall] = ACTIONS(4899),
    [anon_sym___stdcall] = ACTIONS(4899),
    [anon_sym___fastcall] = ACTIONS(4899),
    [anon_sym___thiscall] = ACTIONS(4899),
    [anon_sym___vectorcall] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4899),
    [anon_sym_static] = ACTIONS(4899),
    [anon_sym_EQ] = ACTIONS(4901),
    [anon_sym_register] = ACTIONS(4899),
    [anon_sym_inline] = ACTIONS(4899),
    [anon_sym___inline] = ACTIONS(4899),
    [anon_sym___inline__] = ACTIONS(4899),
    [anon_sym___forceinline] = ACTIONS(4899),
    [anon_sym_thread_local] = ACTIONS(4899),
    [anon_sym___thread] = ACTIONS(4899),
    [anon_sym_const] = ACTIONS(5195),
    [anon_sym_constexpr] = ACTIONS(5195),
    [anon_sym_volatile] = ACTIONS(5195),
    [anon_sym_restrict] = ACTIONS(5195),
    [anon_sym___restrict__] = ACTIONS(5195),
    [anon_sym__Atomic] = ACTIONS(5195),
    [anon_sym__Noreturn] = ACTIONS(5195),
    [anon_sym_noreturn] = ACTIONS(5195),
    [anon_sym__Nonnull] = ACTIONS(5195),
    [anon_sym_mutable] = ACTIONS(5195),
    [anon_sym_constinit] = ACTIONS(5195),
    [anon_sym_consteval] = ACTIONS(5195),
    [anon_sym_PROGMEM] = ACTIONS(5195),
    [anon_sym_alignas] = ACTIONS(5198),
    [anon_sym__Alignas] = ACTIONS(5198),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_enum] = ACTIONS(4899),
    [anon_sym_class] = ACTIONS(4899),
    [anon_sym_struct] = ACTIONS(4899),
    [anon_sym_union] = ACTIONS(4899),
    [anon_sym_asm] = ACTIONS(4899),
    [anon_sym___asm__] = ACTIONS(4899),
    [anon_sym___asm] = ACTIONS(4899),
    [anon_sym_DASH_GT] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_final] = ACTIONS(4899),
    [anon_sym_override] = ACTIONS(4899),
    [anon_sym_typename] = ACTIONS(4899),
    [anon_sym_template] = ACTIONS(4899),
    [anon_sym_GT2] = ACTIONS(4901),
    [anon_sym_operator] = ACTIONS(4899),
    [anon_sym_try] = ACTIONS(4899),
    [anon_sym_noexcept] = ACTIONS(4899),
    [anon_sym_throw] = ACTIONS(4899),
    [anon_sym_requires] = ACTIONS(4899),
  },
  [1612] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1596),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_RPAREN] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5144),
    [anon_sym_unsigned] = ACTIONS(5144),
    [anon_sym_long] = ACTIONS(5144),
    [anon_sym_short] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_STAR_EQ] = ACTIONS(4996),
    [anon_sym_SLASH_EQ] = ACTIONS(4996),
    [anon_sym_PERCENT_EQ] = ACTIONS(4996),
    [anon_sym_PLUS_EQ] = ACTIONS(4996),
    [anon_sym_DASH_EQ] = ACTIONS(4996),
    [anon_sym_LT_LT_EQ] = ACTIONS(4996),
    [anon_sym_GT_GT_EQ] = ACTIONS(4996),
    [anon_sym_AMP_EQ] = ACTIONS(4996),
    [anon_sym_CARET_EQ] = ACTIONS(4996),
    [anon_sym_PIPE_EQ] = ACTIONS(4996),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4996),
  },
  [1613] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3978),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7262),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_type_parameter_declaration] = STATE(7262),
    [sym_variadic_type_parameter_declaration] = STATE(7262),
    [sym_optional_type_parameter_declaration] = STATE(7262),
    [sym_template_template_parameter_declaration] = STATE(7262),
    [sym_optional_parameter_declaration] = STATE(7262),
    [sym_variadic_parameter_declaration] = STATE(7262),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5201),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5203),
    [anon_sym_template] = ACTIONS(5205),
    [anon_sym_GT2] = ACTIONS(5207),
  },
  [1614] = {
    [sym_type_qualifier] = STATE(1614),
    [sym_alignas_qualifier] = STATE(1642),
    [aux_sym__type_definition_type_repeat1] = STATE(1614),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4899),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4899),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4899),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4901),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4899),
    [anon_sym_GT_GT] = ACTIONS(4899),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_EQ] = ACTIONS(4899),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_PROGMEM] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5212),
    [anon_sym__Alignas] = ACTIONS(5212),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_STAR_EQ] = ACTIONS(4901),
    [anon_sym_SLASH_EQ] = ACTIONS(4901),
    [anon_sym_PERCENT_EQ] = ACTIONS(4901),
    [anon_sym_PLUS_EQ] = ACTIONS(4901),
    [anon_sym_DASH_EQ] = ACTIONS(4901),
    [anon_sym_LT_LT_EQ] = ACTIONS(4901),
    [anon_sym_GT_GT_EQ] = ACTIONS(4901),
    [anon_sym_AMP_EQ] = ACTIONS(4901),
    [anon_sym_CARET_EQ] = ACTIONS(4901),
    [anon_sym_PIPE_EQ] = ACTIONS(4901),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4901),
  },
  [1615] = {
    [sym_type_qualifier] = STATE(1615),
    [sym_alignas_qualifier] = STATE(1633),
    [aux_sym__type_definition_type_repeat1] = STATE(1615),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_RPAREN] = ACTIONS(4901),
    [aux_sym_preproc_if_token2] = ACTIONS(4901),
    [aux_sym_preproc_else_token1] = ACTIONS(4901),
    [aux_sym_preproc_elif_token1] = ACTIONS(4899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4901),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4901),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4901),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4901),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4901),
    [anon_sym_GT_GT] = ACTIONS(4901),
    [anon_sym_SEMI] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(5215),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_RBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_RBRACK] = ACTIONS(4901),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_constexpr] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_restrict] = ACTIONS(5215),
    [anon_sym___restrict__] = ACTIONS(5215),
    [anon_sym__Atomic] = ACTIONS(5215),
    [anon_sym__Noreturn] = ACTIONS(5215),
    [anon_sym_noreturn] = ACTIONS(5215),
    [anon_sym__Nonnull] = ACTIONS(5215),
    [anon_sym_mutable] = ACTIONS(5215),
    [anon_sym_constinit] = ACTIONS(5215),
    [anon_sym_consteval] = ACTIONS(5215),
    [anon_sym_PROGMEM] = ACTIONS(5215),
    [anon_sym_alignas] = ACTIONS(5218),
    [anon_sym__Alignas] = ACTIONS(5218),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_COLON] = ACTIONS(4901),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_final] = ACTIONS(4899),
    [anon_sym_override] = ACTIONS(4899),
    [anon_sym_requires] = ACTIONS(4899),
  },
  [1616] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1620),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5221),
    [anon_sym_unsigned] = ACTIONS(5221),
    [anon_sym_long] = ACTIONS(5221),
    [anon_sym_short] = ACTIONS(5221),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_STAR_EQ] = ACTIONS(4996),
    [anon_sym_SLASH_EQ] = ACTIONS(4996),
    [anon_sym_PERCENT_EQ] = ACTIONS(4996),
    [anon_sym_PLUS_EQ] = ACTIONS(4996),
    [anon_sym_DASH_EQ] = ACTIONS(4996),
    [anon_sym_LT_LT_EQ] = ACTIONS(4996),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(4996),
    [anon_sym_CARET_EQ] = ACTIONS(4996),
    [anon_sym_PIPE_EQ] = ACTIONS(4996),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_GT2] = ACTIONS(4996),
  },
  [1617] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2465),
  },
  [1618] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3978),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7309),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_type_parameter_declaration] = STATE(7309),
    [sym_variadic_type_parameter_declaration] = STATE(7309),
    [sym_optional_type_parameter_declaration] = STATE(7309),
    [sym_template_template_parameter_declaration] = STATE(7309),
    [sym_optional_parameter_declaration] = STATE(7309),
    [sym_variadic_parameter_declaration] = STATE(7309),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5201),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5203),
    [anon_sym_template] = ACTIONS(5205),
    [anon_sym_GT2] = ACTIONS(5224),
  },
  [1619] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4972),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4970),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_EQ] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_STAR_EQ] = ACTIONS(4972),
    [anon_sym_SLASH_EQ] = ACTIONS(4972),
    [anon_sym_PERCENT_EQ] = ACTIONS(4972),
    [anon_sym_PLUS_EQ] = ACTIONS(4972),
    [anon_sym_DASH_EQ] = ACTIONS(4972),
    [anon_sym_LT_LT_EQ] = ACTIONS(4972),
    [anon_sym_GT_GT_EQ] = ACTIONS(4972),
    [anon_sym_AMP_EQ] = ACTIONS(4972),
    [anon_sym_CARET_EQ] = ACTIONS(4972),
    [anon_sym_PIPE_EQ] = ACTIONS(4972),
    [anon_sym_and_eq] = ACTIONS(4970),
    [anon_sym_or_eq] = ACTIONS(4970),
    [anon_sym_xor_eq] = ACTIONS(4970),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4972),
  },
  [1620] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1620),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4920),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5221),
    [anon_sym_unsigned] = ACTIONS(5221),
    [anon_sym_long] = ACTIONS(5221),
    [anon_sym_short] = ACTIONS(5221),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4920),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
  },
  [1621] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4970),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4970),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_EQ] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_STAR_EQ] = ACTIONS(4972),
    [anon_sym_SLASH_EQ] = ACTIONS(4972),
    [anon_sym_PERCENT_EQ] = ACTIONS(4972),
    [anon_sym_PLUS_EQ] = ACTIONS(4972),
    [anon_sym_DASH_EQ] = ACTIONS(4972),
    [anon_sym_LT_LT_EQ] = ACTIONS(4972),
    [anon_sym_GT_GT_EQ] = ACTIONS(4970),
    [anon_sym_AMP_EQ] = ACTIONS(4972),
    [anon_sym_CARET_EQ] = ACTIONS(4972),
    [anon_sym_PIPE_EQ] = ACTIONS(4972),
    [anon_sym_and_eq] = ACTIONS(4970),
    [anon_sym_or_eq] = ACTIONS(4970),
    [anon_sym_xor_eq] = ACTIONS(4970),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_GT2] = ACTIONS(4972),
  },
  [1622] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3978),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7664),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_type_parameter_declaration] = STATE(7664),
    [sym_variadic_type_parameter_declaration] = STATE(7664),
    [sym_optional_type_parameter_declaration] = STATE(7664),
    [sym_template_template_parameter_declaration] = STATE(7664),
    [sym_optional_parameter_declaration] = STATE(7664),
    [sym_variadic_parameter_declaration] = STATE(7664),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5201),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5203),
    [anon_sym_template] = ACTIONS(5205),
  },
  [1623] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_TILDE] = ACTIONS(4972),
    [anon_sym_STAR] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym_virtual] = ACTIONS(4970),
    [anon_sym_extern] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_COLON_COLON] = ACTIONS(4972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4972),
    [anon_sym___declspec] = ACTIONS(4970),
    [anon_sym___based] = ACTIONS(4970),
    [anon_sym___cdecl] = ACTIONS(4970),
    [anon_sym___clrcall] = ACTIONS(4970),
    [anon_sym___stdcall] = ACTIONS(4970),
    [anon_sym___fastcall] = ACTIONS(4970),
    [anon_sym___thiscall] = ACTIONS(4970),
    [anon_sym___vectorcall] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4970),
    [anon_sym_static] = ACTIONS(4970),
    [anon_sym_EQ] = ACTIONS(4972),
    [anon_sym_register] = ACTIONS(4970),
    [anon_sym_inline] = ACTIONS(4970),
    [anon_sym___inline] = ACTIONS(4970),
    [anon_sym___inline__] = ACTIONS(4970),
    [anon_sym___forceinline] = ACTIONS(4970),
    [anon_sym_thread_local] = ACTIONS(4970),
    [anon_sym___thread] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_enum] = ACTIONS(4970),
    [anon_sym_class] = ACTIONS(4970),
    [anon_sym_struct] = ACTIONS(4970),
    [anon_sym_union] = ACTIONS(4970),
    [anon_sym_asm] = ACTIONS(4970),
    [anon_sym___asm__] = ACTIONS(4970),
    [anon_sym___asm] = ACTIONS(4970),
    [anon_sym_DASH_GT] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_final] = ACTIONS(4970),
    [anon_sym_override] = ACTIONS(4970),
    [anon_sym_explicit] = ACTIONS(4970),
    [anon_sym_typename] = ACTIONS(4970),
    [anon_sym_template] = ACTIONS(4970),
    [anon_sym_GT2] = ACTIONS(4972),
    [anon_sym_operator] = ACTIONS(4970),
    [anon_sym_try] = ACTIONS(4970),
    [anon_sym_noexcept] = ACTIONS(4970),
    [anon_sym_throw] = ACTIONS(4970),
    [anon_sym_requires] = ACTIONS(4970),
  },
  [1624] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2475),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
  },
  [1625] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym___cdecl] = ACTIONS(2475),
    [anon_sym___clrcall] = ACTIONS(2475),
    [anon_sym___stdcall] = ACTIONS(2475),
    [anon_sym___fastcall] = ACTIONS(2475),
    [anon_sym___thiscall] = ACTIONS(2475),
    [anon_sym___vectorcall] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_EQ] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_noexcept] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [1626] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_RPAREN] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_STAR_EQ] = ACTIONS(4996),
    [anon_sym_SLASH_EQ] = ACTIONS(4996),
    [anon_sym_PERCENT_EQ] = ACTIONS(4996),
    [anon_sym_PLUS_EQ] = ACTIONS(4996),
    [anon_sym_DASH_EQ] = ACTIONS(4996),
    [anon_sym_LT_LT_EQ] = ACTIONS(4996),
    [anon_sym_GT_GT_EQ] = ACTIONS(4996),
    [anon_sym_AMP_EQ] = ACTIONS(4996),
    [anon_sym_CARET_EQ] = ACTIONS(4996),
    [anon_sym_PIPE_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4996),
  },
  [1627] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4922),
  },
  [1628] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4922),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1629] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4972),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4970),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_EQ] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_STAR_EQ] = ACTIONS(4972),
    [anon_sym_SLASH_EQ] = ACTIONS(4972),
    [anon_sym_PERCENT_EQ] = ACTIONS(4972),
    [anon_sym_PLUS_EQ] = ACTIONS(4972),
    [anon_sym_DASH_EQ] = ACTIONS(4972),
    [anon_sym_LT_LT_EQ] = ACTIONS(4972),
    [anon_sym_GT_GT_EQ] = ACTIONS(4972),
    [anon_sym_AMP_EQ] = ACTIONS(4972),
    [anon_sym_CARET_EQ] = ACTIONS(4972),
    [anon_sym_PIPE_EQ] = ACTIONS(4972),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4972),
  },
  [1630] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [aux_sym_preproc_else_token1] = ACTIONS(2575),
    [aux_sym_preproc_elif_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5232),
  },
  [1631] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5232),
  },
  [1632] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5234),
  },
  [1633] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2465),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [1634] = {
    [sym_type_qualifier] = STATE(1634),
    [sym_alignas_qualifier] = STATE(1730),
    [aux_sym_array_declarator_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(5237),
    [anon_sym_LPAREN2] = ACTIONS(5239),
    [anon_sym_BANG] = ACTIONS(5239),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_DASH] = ACTIONS(5237),
    [anon_sym_PLUS] = ACTIONS(5237),
    [anon_sym_STAR] = ACTIONS(5239),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5244),
    [anon_sym_RBRACK] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_PROGMEM] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5247),
    [anon_sym__Alignas] = ACTIONS(5247),
    [aux_sym_primitive_type_token1] = ACTIONS(5237),
    [anon_sym_byte] = ACTIONS(5237),
    [anon_sym_word] = ACTIONS(5237),
    [anon_sym_not] = ACTIONS(5237),
    [anon_sym_compl] = ACTIONS(5237),
    [anon_sym_DASH_DASH] = ACTIONS(5239),
    [anon_sym_PLUS_PLUS] = ACTIONS(5239),
    [anon_sym_sizeof] = ACTIONS(5237),
    [anon_sym___alignof__] = ACTIONS(5237),
    [anon_sym___alignof] = ACTIONS(5237),
    [anon_sym__alignof] = ACTIONS(5237),
    [anon_sym_alignof] = ACTIONS(5237),
    [anon_sym__Alignof] = ACTIONS(5237),
    [anon_sym_offsetof] = ACTIONS(5237),
    [anon_sym__Generic] = ACTIONS(5237),
    [anon_sym_asm] = ACTIONS(5237),
    [anon_sym___asm__] = ACTIONS(5237),
    [anon_sym___asm] = ACTIONS(5237),
    [aux_sym_number_literal_token1] = ACTIONS(5239),
    [aux_sym_number_literal_token2] = ACTIONS(5237),
    [anon_sym_L_SQUOTE] = ACTIONS(5239),
    [anon_sym_u_SQUOTE] = ACTIONS(5239),
    [anon_sym_U_SQUOTE] = ACTIONS(5239),
    [anon_sym_u8_SQUOTE] = ACTIONS(5239),
    [anon_sym_SQUOTE] = ACTIONS(5239),
    [anon_sym_L_DQUOTE] = ACTIONS(5239),
    [anon_sym_u_DQUOTE] = ACTIONS(5239),
    [anon_sym_U_DQUOTE] = ACTIONS(5239),
    [anon_sym_u8_DQUOTE] = ACTIONS(5239),
    [anon_sym_DQUOTE] = ACTIONS(5239),
    [sym_true] = ACTIONS(5237),
    [sym_false] = ACTIONS(5237),
    [anon_sym_NULL] = ACTIONS(5237),
    [anon_sym_nullptr] = ACTIONS(5237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5237),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_delete] = ACTIONS(5237),
    [anon_sym_R_DQUOTE] = ACTIONS(5239),
    [anon_sym_LR_DQUOTE] = ACTIONS(5239),
    [anon_sym_uR_DQUOTE] = ACTIONS(5239),
    [anon_sym_UR_DQUOTE] = ACTIONS(5239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5239),
    [anon_sym_co_await] = ACTIONS(5237),
    [anon_sym_new] = ACTIONS(5237),
    [anon_sym_requires] = ACTIONS(5237),
    [sym_this] = ACTIONS(5237),
  },
  [1635] = {
    [sym_identifier] = ACTIONS(5250),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_BANG] = ACTIONS(5252),
    [anon_sym_TILDE] = ACTIONS(5252),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_STAR] = ACTIONS(5252),
    [anon_sym_AMP] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5252),
    [anon_sym___extension__] = ACTIONS(5250),
    [anon_sym_COLON_COLON] = ACTIONS(5252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5252),
    [anon_sym_LBRACE] = ACTIONS(5252),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_primitive_type_token1] = ACTIONS(5250),
    [anon_sym_byte] = ACTIONS(5250),
    [anon_sym_word] = ACTIONS(5250),
    [anon_sym_if] = ACTIONS(5250),
    [anon_sym_switch] = ACTIONS(5250),
    [anon_sym_case] = ACTIONS(5250),
    [anon_sym_default] = ACTIONS(5250),
    [anon_sym_while] = ACTIONS(5250),
    [anon_sym_do] = ACTIONS(5250),
    [anon_sym_for] = ACTIONS(5250),
    [anon_sym_return] = ACTIONS(5250),
    [anon_sym_break] = ACTIONS(5250),
    [anon_sym_continue] = ACTIONS(5250),
    [anon_sym_goto] = ACTIONS(5250),
    [anon_sym___try] = ACTIONS(5250),
    [anon_sym___leave] = ACTIONS(5250),
    [anon_sym_not] = ACTIONS(5250),
    [anon_sym_compl] = ACTIONS(5250),
    [anon_sym_DASH_DASH] = ACTIONS(5252),
    [anon_sym_PLUS_PLUS] = ACTIONS(5252),
    [anon_sym_sizeof] = ACTIONS(5250),
    [anon_sym___alignof__] = ACTIONS(5250),
    [anon_sym___alignof] = ACTIONS(5250),
    [anon_sym__alignof] = ACTIONS(5250),
    [anon_sym_alignof] = ACTIONS(5250),
    [anon_sym__Alignof] = ACTIONS(5250),
    [anon_sym_offsetof] = ACTIONS(5250),
    [anon_sym__Generic] = ACTIONS(5250),
    [anon_sym_asm] = ACTIONS(5250),
    [anon_sym___asm__] = ACTIONS(5250),
    [anon_sym___asm] = ACTIONS(5250),
    [aux_sym_number_literal_token1] = ACTIONS(5252),
    [aux_sym_number_literal_token2] = ACTIONS(5250),
    [anon_sym_L_SQUOTE] = ACTIONS(5252),
    [anon_sym_u_SQUOTE] = ACTIONS(5252),
    [anon_sym_U_SQUOTE] = ACTIONS(5252),
    [anon_sym_u8_SQUOTE] = ACTIONS(5252),
    [anon_sym_SQUOTE] = ACTIONS(5252),
    [anon_sym_L_DQUOTE] = ACTIONS(5252),
    [anon_sym_u_DQUOTE] = ACTIONS(5252),
    [anon_sym_U_DQUOTE] = ACTIONS(5252),
    [anon_sym_u8_DQUOTE] = ACTIONS(5252),
    [anon_sym_DQUOTE] = ACTIONS(5252),
    [sym_true] = ACTIONS(5250),
    [sym_false] = ACTIONS(5250),
    [anon_sym_NULL] = ACTIONS(5250),
    [anon_sym_nullptr] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5250),
    [anon_sym_template] = ACTIONS(5250),
    [anon_sym_try] = ACTIONS(5250),
    [anon_sym_delete] = ACTIONS(5250),
    [anon_sym_throw] = ACTIONS(5250),
    [anon_sym_co_return] = ACTIONS(5250),
    [anon_sym_co_yield] = ACTIONS(5250),
    [anon_sym_R_DQUOTE] = ACTIONS(5252),
    [anon_sym_LR_DQUOTE] = ACTIONS(5252),
    [anon_sym_uR_DQUOTE] = ACTIONS(5252),
    [anon_sym_UR_DQUOTE] = ACTIONS(5252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5252),
    [anon_sym_co_await] = ACTIONS(5250),
    [anon_sym_new] = ACTIONS(5250),
    [anon_sym_requires] = ACTIONS(5250),
    [sym_this] = ACTIONS(5250),
  },
  [1636] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1637] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [aux_sym_preproc_else_token1] = ACTIONS(2579),
    [aux_sym_preproc_elif_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5232),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [aux_sym_preproc_if_token2] = ACTIONS(4972),
    [aux_sym_preproc_else_token1] = ACTIONS(4972),
    [aux_sym_preproc_elif_token1] = ACTIONS(4970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4972),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4972),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4972),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4972),
    [anon_sym_GT_GT] = ACTIONS(4972),
    [anon_sym_SEMI] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_RBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_RBRACK] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_COLON] = ACTIONS(4972),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_final] = ACTIONS(4970),
    [anon_sym_override] = ACTIONS(4970),
    [anon_sym_requires] = ACTIONS(4970),
  },
  [1639] = {
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_BANG] = ACTIONS(5256),
    [anon_sym_TILDE] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym___extension__] = ACTIONS(5254),
    [anon_sym_COLON_COLON] = ACTIONS(5256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5256),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_primitive_type_token1] = ACTIONS(5254),
    [anon_sym_byte] = ACTIONS(5254),
    [anon_sym_word] = ACTIONS(5254),
    [anon_sym_if] = ACTIONS(5254),
    [anon_sym_switch] = ACTIONS(5254),
    [anon_sym_case] = ACTIONS(5254),
    [anon_sym_default] = ACTIONS(5254),
    [anon_sym_while] = ACTIONS(5254),
    [anon_sym_do] = ACTIONS(5254),
    [anon_sym_for] = ACTIONS(5254),
    [anon_sym_return] = ACTIONS(5254),
    [anon_sym_break] = ACTIONS(5254),
    [anon_sym_continue] = ACTIONS(5254),
    [anon_sym_goto] = ACTIONS(5254),
    [anon_sym___try] = ACTIONS(5254),
    [anon_sym___leave] = ACTIONS(5254),
    [anon_sym_not] = ACTIONS(5254),
    [anon_sym_compl] = ACTIONS(5254),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_sizeof] = ACTIONS(5254),
    [anon_sym___alignof__] = ACTIONS(5254),
    [anon_sym___alignof] = ACTIONS(5254),
    [anon_sym__alignof] = ACTIONS(5254),
    [anon_sym_alignof] = ACTIONS(5254),
    [anon_sym__Alignof] = ACTIONS(5254),
    [anon_sym_offsetof] = ACTIONS(5254),
    [anon_sym__Generic] = ACTIONS(5254),
    [anon_sym_asm] = ACTIONS(5254),
    [anon_sym___asm__] = ACTIONS(5254),
    [anon_sym___asm] = ACTIONS(5254),
    [aux_sym_number_literal_token1] = ACTIONS(5256),
    [aux_sym_number_literal_token2] = ACTIONS(5254),
    [anon_sym_L_SQUOTE] = ACTIONS(5256),
    [anon_sym_u_SQUOTE] = ACTIONS(5256),
    [anon_sym_U_SQUOTE] = ACTIONS(5256),
    [anon_sym_u8_SQUOTE] = ACTIONS(5256),
    [anon_sym_SQUOTE] = ACTIONS(5256),
    [anon_sym_L_DQUOTE] = ACTIONS(5256),
    [anon_sym_u_DQUOTE] = ACTIONS(5256),
    [anon_sym_U_DQUOTE] = ACTIONS(5256),
    [anon_sym_u8_DQUOTE] = ACTIONS(5256),
    [anon_sym_DQUOTE] = ACTIONS(5256),
    [sym_true] = ACTIONS(5254),
    [sym_false] = ACTIONS(5254),
    [anon_sym_NULL] = ACTIONS(5254),
    [anon_sym_nullptr] = ACTIONS(5254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5254),
    [anon_sym_template] = ACTIONS(5254),
    [anon_sym_try] = ACTIONS(5254),
    [anon_sym_delete] = ACTIONS(5254),
    [anon_sym_throw] = ACTIONS(5254),
    [anon_sym_co_return] = ACTIONS(5254),
    [anon_sym_co_yield] = ACTIONS(5254),
    [anon_sym_R_DQUOTE] = ACTIONS(5256),
    [anon_sym_LR_DQUOTE] = ACTIONS(5256),
    [anon_sym_uR_DQUOTE] = ACTIONS(5256),
    [anon_sym_UR_DQUOTE] = ACTIONS(5256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5256),
    [anon_sym_co_await] = ACTIONS(5254),
    [anon_sym_new] = ACTIONS(5254),
    [anon_sym_requires] = ACTIONS(5254),
    [sym_this] = ACTIONS(5254),
  },
  [1640] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7352),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7352),
    [sym_variadic_parameter_declaration] = STATE(7352),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5258),
    [anon_sym_RPAREN] = ACTIONS(5260),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1641] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7199),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7199),
    [sym_variadic_parameter_declaration] = STATE(7199),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2465),
  },
  [1643] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7230),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7230),
    [sym_variadic_parameter_declaration] = STATE(7230),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5264),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1644] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7095),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7095),
    [sym_variadic_parameter_declaration] = STATE(7095),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5268),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1645] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1646] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym___extension__] = ACTIONS(4854),
    [anon_sym___attribute__] = ACTIONS(4854),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4854),
    [anon_sym_volatile] = ACTIONS(4854),
    [anon_sym_restrict] = ACTIONS(4854),
    [anon_sym___restrict__] = ACTIONS(4854),
    [anon_sym__Atomic] = ACTIONS(4854),
    [anon_sym__Noreturn] = ACTIONS(4854),
    [anon_sym_noreturn] = ACTIONS(4854),
    [anon_sym__Nonnull] = ACTIONS(4854),
    [anon_sym_mutable] = ACTIONS(4854),
    [anon_sym_constinit] = ACTIONS(4854),
    [anon_sym_consteval] = ACTIONS(4854),
    [anon_sym_PROGMEM] = ACTIONS(4854),
    [anon_sym_alignas] = ACTIONS(4854),
    [anon_sym__Alignas] = ACTIONS(4854),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4854),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_and_eq] = ACTIONS(4854),
    [anon_sym_or_eq] = ACTIONS(4854),
    [anon_sym_xor_eq] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4854),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4854),
    [anon_sym_not_eq] = ACTIONS(4854),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4854),
    [anon_sym_decltype] = ACTIONS(4854),
    [anon_sym_final] = ACTIONS(4854),
    [anon_sym_override] = ACTIONS(4854),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4854),
  },
  [1647] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4858),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4858),
    [anon_sym_volatile] = ACTIONS(4858),
    [anon_sym_restrict] = ACTIONS(4858),
    [anon_sym___restrict__] = ACTIONS(4858),
    [anon_sym__Atomic] = ACTIONS(4858),
    [anon_sym__Noreturn] = ACTIONS(4858),
    [anon_sym_noreturn] = ACTIONS(4858),
    [anon_sym__Nonnull] = ACTIONS(4858),
    [anon_sym_mutable] = ACTIONS(4858),
    [anon_sym_constinit] = ACTIONS(4858),
    [anon_sym_consteval] = ACTIONS(4858),
    [anon_sym_PROGMEM] = ACTIONS(4858),
    [anon_sym_alignas] = ACTIONS(4858),
    [anon_sym__Alignas] = ACTIONS(4858),
    [anon_sym_COLON] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4858),
    [anon_sym_or_eq] = ACTIONS(4858),
    [anon_sym_xor_eq] = ACTIONS(4858),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4858),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4858),
    [anon_sym_not_eq] = ACTIONS(4858),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4858),
    [anon_sym_decltype] = ACTIONS(4858),
    [anon_sym_final] = ACTIONS(4858),
    [anon_sym_override] = ACTIONS(4858),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4858),
  },
  [1648] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7751),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7751),
    [sym_variadic_parameter_declaration] = STATE(7751),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1649] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4862),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_PROGMEM] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4862),
    [anon_sym_or_eq] = ACTIONS(4862),
    [anon_sym_xor_eq] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4862),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4862),
    [anon_sym_not_eq] = ACTIONS(4862),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_final] = ACTIONS(4862),
    [anon_sym_override] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4862),
  },
  [1650] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7422),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7422),
    [sym_variadic_parameter_declaration] = STATE(7422),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1651] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4870),
    [anon_sym___attribute__] = ACTIONS(4870),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4870),
    [anon_sym_volatile] = ACTIONS(4870),
    [anon_sym_restrict] = ACTIONS(4870),
    [anon_sym___restrict__] = ACTIONS(4870),
    [anon_sym__Atomic] = ACTIONS(4870),
    [anon_sym__Noreturn] = ACTIONS(4870),
    [anon_sym_noreturn] = ACTIONS(4870),
    [anon_sym__Nonnull] = ACTIONS(4870),
    [anon_sym_mutable] = ACTIONS(4870),
    [anon_sym_constinit] = ACTIONS(4870),
    [anon_sym_consteval] = ACTIONS(4870),
    [anon_sym_PROGMEM] = ACTIONS(4870),
    [anon_sym_alignas] = ACTIONS(4870),
    [anon_sym__Alignas] = ACTIONS(4870),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_and_eq] = ACTIONS(4870),
    [anon_sym_or_eq] = ACTIONS(4870),
    [anon_sym_xor_eq] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4870),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4870),
    [anon_sym_not_eq] = ACTIONS(4870),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4870),
    [anon_sym_decltype] = ACTIONS(4870),
    [anon_sym_final] = ACTIONS(4870),
    [anon_sym_override] = ACTIONS(4870),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4870),
  },
  [1652] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym___attribute__] = ACTIONS(4866),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4866),
    [anon_sym_or_eq] = ACTIONS(4866),
    [anon_sym_xor_eq] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4866),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4866),
    [anon_sym_not_eq] = ACTIONS(4866),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
    [anon_sym_final] = ACTIONS(4866),
    [anon_sym_override] = ACTIONS(4866),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4866),
  },
  [1653] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_PROGMEM] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1654] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4850),
    [anon_sym___attribute__] = ACTIONS(4850),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4850),
    [anon_sym_volatile] = ACTIONS(4850),
    [anon_sym_restrict] = ACTIONS(4850),
    [anon_sym___restrict__] = ACTIONS(4850),
    [anon_sym__Atomic] = ACTIONS(4850),
    [anon_sym__Noreturn] = ACTIONS(4850),
    [anon_sym_noreturn] = ACTIONS(4850),
    [anon_sym__Nonnull] = ACTIONS(4850),
    [anon_sym_mutable] = ACTIONS(4850),
    [anon_sym_constinit] = ACTIONS(4850),
    [anon_sym_consteval] = ACTIONS(4850),
    [anon_sym_PROGMEM] = ACTIONS(4850),
    [anon_sym_alignas] = ACTIONS(4850),
    [anon_sym__Alignas] = ACTIONS(4850),
    [anon_sym_COLON] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4850),
    [anon_sym_or_eq] = ACTIONS(4850),
    [anon_sym_xor_eq] = ACTIONS(4850),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4850),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4850),
    [anon_sym_not_eq] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4850),
    [anon_sym_decltype] = ACTIONS(4850),
    [anon_sym_final] = ACTIONS(4850),
    [anon_sym_override] = ACTIONS(4850),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4850),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2653),
    [aux_sym_preproc_elif_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_friend] = ACTIONS(2653),
    [anon_sym_public] = ACTIONS(2653),
    [anon_sym_private] = ACTIONS(2653),
    [anon_sym_protected] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
  },
  [1657] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4862),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_PROGMEM] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4860),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4862),
    [anon_sym_or_eq] = ACTIONS(4862),
    [anon_sym_xor_eq] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4862),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4862),
    [anon_sym_not_eq] = ACTIONS(4862),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_final] = ACTIONS(4862),
    [anon_sym_override] = ACTIONS(4862),
    [anon_sym_GT2] = ACTIONS(4862),
  },
  [1658] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4864),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym___attribute__] = ACTIONS(4866),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4864),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4866),
    [anon_sym_or_eq] = ACTIONS(4866),
    [anon_sym_xor_eq] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4866),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4866),
    [anon_sym_not_eq] = ACTIONS(4866),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
    [anon_sym_final] = ACTIONS(4866),
    [anon_sym_override] = ACTIONS(4866),
    [anon_sym_GT2] = ACTIONS(4866),
  },
  [1659] = {
    [sym__declaration_modifiers] = STATE(1863),
    [sym__declaration_specifiers] = STATE(3989),
    [sym_attribute_specifier] = STATE(1863),
    [sym_attribute_declaration] = STATE(1863),
    [sym_ms_declspec_modifier] = STATE(1863),
    [sym_storage_class_specifier] = STATE(1863),
    [sym_type_qualifier] = STATE(1863),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_parameter_declaration] = STATE(7731),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_optional_parameter_declaration] = STATE(7731),
    [sym_variadic_parameter_declaration] = STATE(7731),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1660] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4856),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4858),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4858),
    [anon_sym_volatile] = ACTIONS(4858),
    [anon_sym_restrict] = ACTIONS(4858),
    [anon_sym___restrict__] = ACTIONS(4858),
    [anon_sym__Atomic] = ACTIONS(4858),
    [anon_sym__Noreturn] = ACTIONS(4858),
    [anon_sym_noreturn] = ACTIONS(4858),
    [anon_sym__Nonnull] = ACTIONS(4858),
    [anon_sym_mutable] = ACTIONS(4858),
    [anon_sym_constinit] = ACTIONS(4858),
    [anon_sym_consteval] = ACTIONS(4858),
    [anon_sym_PROGMEM] = ACTIONS(4858),
    [anon_sym_alignas] = ACTIONS(4858),
    [anon_sym__Alignas] = ACTIONS(4858),
    [anon_sym_COLON] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4856),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4858),
    [anon_sym_or_eq] = ACTIONS(4858),
    [anon_sym_xor_eq] = ACTIONS(4858),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4858),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4858),
    [anon_sym_not_eq] = ACTIONS(4858),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4858),
    [anon_sym_decltype] = ACTIONS(4858),
    [anon_sym_final] = ACTIONS(4858),
    [anon_sym_override] = ACTIONS(4858),
    [anon_sym_GT2] = ACTIONS(4858),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1662] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_PROGMEM] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4872),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_GT2] = ACTIONS(4874),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [aux_sym_preproc_else_token1] = ACTIONS(1924),
    [aux_sym_preproc_elif_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_friend] = ACTIONS(1924),
    [anon_sym_public] = ACTIONS(1924),
    [anon_sym_private] = ACTIONS(1924),
    [anon_sym_protected] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
  },
  [1665] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4868),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4870),
    [anon_sym___attribute__] = ACTIONS(4870),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4870),
    [anon_sym_volatile] = ACTIONS(4870),
    [anon_sym_restrict] = ACTIONS(4870),
    [anon_sym___restrict__] = ACTIONS(4870),
    [anon_sym__Atomic] = ACTIONS(4870),
    [anon_sym__Noreturn] = ACTIONS(4870),
    [anon_sym_noreturn] = ACTIONS(4870),
    [anon_sym__Nonnull] = ACTIONS(4870),
    [anon_sym_mutable] = ACTIONS(4870),
    [anon_sym_constinit] = ACTIONS(4870),
    [anon_sym_consteval] = ACTIONS(4870),
    [anon_sym_PROGMEM] = ACTIONS(4870),
    [anon_sym_alignas] = ACTIONS(4870),
    [anon_sym__Alignas] = ACTIONS(4870),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4868),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_and_eq] = ACTIONS(4870),
    [anon_sym_or_eq] = ACTIONS(4870),
    [anon_sym_xor_eq] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4870),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4870),
    [anon_sym_not_eq] = ACTIONS(4870),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4870),
    [anon_sym_decltype] = ACTIONS(4870),
    [anon_sym_final] = ACTIONS(4870),
    [anon_sym_override] = ACTIONS(4870),
    [anon_sym_GT2] = ACTIONS(4870),
  },
  [1666] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4848),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4850),
    [anon_sym___attribute__] = ACTIONS(4850),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4850),
    [anon_sym_volatile] = ACTIONS(4850),
    [anon_sym_restrict] = ACTIONS(4850),
    [anon_sym___restrict__] = ACTIONS(4850),
    [anon_sym__Atomic] = ACTIONS(4850),
    [anon_sym__Noreturn] = ACTIONS(4850),
    [anon_sym_noreturn] = ACTIONS(4850),
    [anon_sym__Nonnull] = ACTIONS(4850),
    [anon_sym_mutable] = ACTIONS(4850),
    [anon_sym_constinit] = ACTIONS(4850),
    [anon_sym_consteval] = ACTIONS(4850),
    [anon_sym_PROGMEM] = ACTIONS(4850),
    [anon_sym_alignas] = ACTIONS(4850),
    [anon_sym__Alignas] = ACTIONS(4850),
    [anon_sym_COLON] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4848),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4850),
    [anon_sym_or_eq] = ACTIONS(4850),
    [anon_sym_xor_eq] = ACTIONS(4850),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4850),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4850),
    [anon_sym_not_eq] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4850),
    [anon_sym_decltype] = ACTIONS(4850),
    [anon_sym_final] = ACTIONS(4850),
    [anon_sym_override] = ACTIONS(4850),
    [anon_sym_GT2] = ACTIONS(4850),
  },
  [1667] = {
    [sym_string_literal] = STATE(1671),
    [sym_template_argument_list] = STATE(2310),
    [sym_raw_string_literal] = STATE(1671),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [aux_sym_preproc_if_token2] = ACTIONS(4109),
    [aux_sym_preproc_else_token1] = ACTIONS(4109),
    [aux_sym_preproc_elif_token1] = ACTIONS(4117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4117),
    [anon_sym_or_eq] = ACTIONS(4117),
    [anon_sym_xor_eq] = ACTIONS(4117),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
  },
  [1668] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4852),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4852),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4852),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4852),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4852),
    [anon_sym_GT_GT] = ACTIONS(4852),
    [anon_sym___extension__] = ACTIONS(4854),
    [anon_sym___attribute__] = ACTIONS(4854),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym_EQ] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4854),
    [anon_sym_volatile] = ACTIONS(4854),
    [anon_sym_restrict] = ACTIONS(4854),
    [anon_sym___restrict__] = ACTIONS(4854),
    [anon_sym__Atomic] = ACTIONS(4854),
    [anon_sym__Noreturn] = ACTIONS(4854),
    [anon_sym_noreturn] = ACTIONS(4854),
    [anon_sym__Nonnull] = ACTIONS(4854),
    [anon_sym_mutable] = ACTIONS(4854),
    [anon_sym_constinit] = ACTIONS(4854),
    [anon_sym_consteval] = ACTIONS(4854),
    [anon_sym_PROGMEM] = ACTIONS(4854),
    [anon_sym_alignas] = ACTIONS(4854),
    [anon_sym__Alignas] = ACTIONS(4854),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_STAR_EQ] = ACTIONS(4854),
    [anon_sym_SLASH_EQ] = ACTIONS(4854),
    [anon_sym_PERCENT_EQ] = ACTIONS(4854),
    [anon_sym_PLUS_EQ] = ACTIONS(4854),
    [anon_sym_DASH_EQ] = ACTIONS(4854),
    [anon_sym_LT_LT_EQ] = ACTIONS(4854),
    [anon_sym_GT_GT_EQ] = ACTIONS(4852),
    [anon_sym_AMP_EQ] = ACTIONS(4854),
    [anon_sym_CARET_EQ] = ACTIONS(4854),
    [anon_sym_PIPE_EQ] = ACTIONS(4854),
    [anon_sym_and_eq] = ACTIONS(4854),
    [anon_sym_or_eq] = ACTIONS(4854),
    [anon_sym_xor_eq] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4854),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4854),
    [anon_sym_not_eq] = ACTIONS(4854),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4854),
    [anon_sym_decltype] = ACTIONS(4854),
    [anon_sym_final] = ACTIONS(4854),
    [anon_sym_override] = ACTIONS(4854),
    [anon_sym_GT2] = ACTIONS(4854),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [aux_sym_preproc_else_token1] = ACTIONS(3020),
    [aux_sym_preproc_elif_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [1671] = {
    [sym_string_literal] = STATE(1683),
    [sym_raw_string_literal] = STATE(1683),
    [aux_sym_concatenated_string_repeat1] = STATE(1683),
    [sym_identifier] = ACTIONS(5277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [aux_sym_preproc_if_token2] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5281),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_CARET] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5281),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5281),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [anon_sym_EQ] = ACTIONS(5281),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5279),
    [anon_sym_STAR_EQ] = ACTIONS(5279),
    [anon_sym_SLASH_EQ] = ACTIONS(5279),
    [anon_sym_PERCENT_EQ] = ACTIONS(5279),
    [anon_sym_PLUS_EQ] = ACTIONS(5279),
    [anon_sym_DASH_EQ] = ACTIONS(5279),
    [anon_sym_LT_LT_EQ] = ACTIONS(5279),
    [anon_sym_GT_GT_EQ] = ACTIONS(5279),
    [anon_sym_AMP_EQ] = ACTIONS(5279),
    [anon_sym_CARET_EQ] = ACTIONS(5279),
    [anon_sym_PIPE_EQ] = ACTIONS(5279),
    [anon_sym_and_eq] = ACTIONS(5281),
    [anon_sym_or_eq] = ACTIONS(5281),
    [anon_sym_xor_eq] = ACTIONS(5281),
    [anon_sym_LT_EQ_GT] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_and] = ACTIONS(5281),
    [anon_sym_bitor] = ACTIONS(5281),
    [anon_sym_xor] = ACTIONS(5281),
    [anon_sym_bitand] = ACTIONS(5281),
    [anon_sym_not_eq] = ACTIONS(5281),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_DOT_STAR] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [sym_literal_suffix] = ACTIONS(5281),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(5283),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5285),
    [anon_sym_COMMA] = ACTIONS(5285),
    [anon_sym_RPAREN] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_DASH] = ACTIONS(5283),
    [anon_sym_PLUS] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_SLASH] = ACTIONS(5283),
    [anon_sym_PERCENT] = ACTIONS(5285),
    [anon_sym_PIPE_PIPE] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_PIPE] = ACTIONS(5283),
    [anon_sym_CARET] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_EQ_EQ] = ACTIONS(5285),
    [anon_sym_BANG_EQ] = ACTIONS(5285),
    [anon_sym_GT] = ACTIONS(5283),
    [anon_sym_GT_EQ] = ACTIONS(5285),
    [anon_sym_LT_EQ] = ACTIONS(5283),
    [anon_sym_LT] = ACTIONS(5283),
    [anon_sym_LT_LT] = ACTIONS(5285),
    [anon_sym_GT_GT] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym___attribute] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACK] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [aux_sym_primitive_type_token1] = ACTIONS(5283),
    [anon_sym_byte] = ACTIONS(5283),
    [anon_sym_word] = ACTIONS(5283),
    [anon_sym_COLON] = ACTIONS(5283),
    [anon_sym_QMARK] = ACTIONS(5285),
    [anon_sym_LT_EQ_GT] = ACTIONS(5285),
    [anon_sym_or] = ACTIONS(5283),
    [anon_sym_and] = ACTIONS(5283),
    [anon_sym_bitor] = ACTIONS(5283),
    [anon_sym_xor] = ACTIONS(5283),
    [anon_sym_bitand] = ACTIONS(5283),
    [anon_sym_not_eq] = ACTIONS(5283),
    [anon_sym_DASH_DASH] = ACTIONS(5285),
    [anon_sym_PLUS_PLUS] = ACTIONS(5285),
    [anon_sym_DOT] = ACTIONS(5283),
    [anon_sym_DOT_STAR] = ACTIONS(5285),
    [anon_sym_DASH_GT] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_final] = ACTIONS(5283),
    [anon_sym_override] = ACTIONS(5283),
    [anon_sym_requires] = ACTIONS(5283),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [aux_sym_preproc_else_token1] = ACTIONS(5289),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [aux_sym_preproc_else_token1] = ACTIONS(5293),
    [aux_sym_preproc_elif_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [aux_sym_preproc_else_token1] = ACTIONS(3100),
    [aux_sym_preproc_elif_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [aux_sym_primitive_type_token1] = ACTIONS(4872),
    [anon_sym_byte] = ACTIONS(4872),
    [anon_sym_word] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1683] = {
    [sym_string_literal] = STATE(1752),
    [sym_raw_string_literal] = STATE(1752),
    [aux_sym_concatenated_string_repeat1] = STATE(1752),
    [sym_identifier] = ACTIONS(5297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_RBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_COLON] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [aux_sym_preproc_else_token1] = ACTIONS(3024),
    [aux_sym_preproc_elif_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_friend] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [aux_sym_preproc_else_token1] = ACTIONS(3100),
    [aux_sym_preproc_elif_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [aux_sym_preproc_else_token1] = ACTIONS(5303),
    [aux_sym_preproc_elif_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym___attribute] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [aux_sym_preproc_else_token1] = ACTIONS(3104),
    [aux_sym_preproc_elif_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_friend] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_protected] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(5307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_RPAREN] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5309),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5307),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5309),
    [anon_sym_GT_GT] = ACTIONS(5309),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym___attribute] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_LBRACE] = ACTIONS(5309),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_RBRACK] = ACTIONS(5309),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [aux_sym_primitive_type_token1] = ACTIONS(5307),
    [anon_sym_byte] = ACTIONS(5307),
    [anon_sym_word] = ACTIONS(5307),
    [anon_sym_COLON] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_and] = ACTIONS(5307),
    [anon_sym_bitor] = ACTIONS(5307),
    [anon_sym_xor] = ACTIONS(5307),
    [anon_sym_bitand] = ACTIONS(5307),
    [anon_sym_not_eq] = ACTIONS(5307),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_final] = ACTIONS(5307),
    [anon_sym_override] = ACTIONS(5307),
    [anon_sym_requires] = ACTIONS(5307),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token2] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [aux_sym_preproc_else_token1] = ACTIONS(2970),
    [aux_sym_preproc_elif_token1] = ACTIONS(2970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_friend] = ACTIONS(2970),
    [anon_sym_public] = ACTIONS(2970),
    [anon_sym_private] = ACTIONS(2970),
    [anon_sym_protected] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
  },
  [1691] = {
    [sym_decltype_auto] = STATE(1824),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym___attribute] = ACTIONS(5311),
    [anon_sym___based] = ACTIONS(5311),
    [anon_sym_LBRACE] = ACTIONS(5313),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_signed] = ACTIONS(5311),
    [anon_sym_unsigned] = ACTIONS(5311),
    [anon_sym_long] = ACTIONS(5311),
    [anon_sym_short] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_RBRACK] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5311),
    [anon_sym_volatile] = ACTIONS(5311),
    [anon_sym_restrict] = ACTIONS(5311),
    [anon_sym___restrict__] = ACTIONS(5311),
    [anon_sym__Atomic] = ACTIONS(5311),
    [anon_sym__Noreturn] = ACTIONS(5311),
    [anon_sym_noreturn] = ACTIONS(5311),
    [anon_sym__Nonnull] = ACTIONS(5311),
    [anon_sym_mutable] = ACTIONS(5311),
    [anon_sym_constinit] = ACTIONS(5311),
    [anon_sym_consteval] = ACTIONS(5311),
    [anon_sym_PROGMEM] = ACTIONS(5311),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5311),
    [anon_sym_byte] = ACTIONS(5311),
    [anon_sym_word] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_final] = ACTIONS(5311),
    [anon_sym_override] = ACTIONS(5311),
    [anon_sym_requires] = ACTIONS(5311),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [aux_sym_preproc_else_token1] = ACTIONS(5293),
    [aux_sym_preproc_elif_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_friend] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_protected] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5321),
    [anon_sym_GT_GT] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___attribute] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym___attribute] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_PROGMEM] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [aux_sym_primitive_type_token1] = ACTIONS(5327),
    [anon_sym_byte] = ACTIONS(5327),
    [anon_sym_word] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [aux_sym_preproc_else_token1] = ACTIONS(5331),
    [aux_sym_preproc_elif_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym___attribute] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_PROGMEM] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [aux_sym_primitive_type_token1] = ACTIONS(5331),
    [anon_sym_byte] = ACTIONS(5331),
    [anon_sym_word] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_BANG] = ACTIONS(4972),
    [anon_sym_TILDE] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym_COLON_COLON] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_static] = ACTIONS(4970),
    [anon_sym_RBRACK] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_not] = ACTIONS(4970),
    [anon_sym_compl] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_sizeof] = ACTIONS(4970),
    [anon_sym___alignof__] = ACTIONS(4970),
    [anon_sym___alignof] = ACTIONS(4970),
    [anon_sym__alignof] = ACTIONS(4970),
    [anon_sym_alignof] = ACTIONS(4970),
    [anon_sym__Alignof] = ACTIONS(4970),
    [anon_sym_offsetof] = ACTIONS(4970),
    [anon_sym__Generic] = ACTIONS(4970),
    [anon_sym_asm] = ACTIONS(4970),
    [anon_sym___asm__] = ACTIONS(4970),
    [anon_sym___asm] = ACTIONS(4970),
    [aux_sym_number_literal_token1] = ACTIONS(4972),
    [aux_sym_number_literal_token2] = ACTIONS(4970),
    [anon_sym_L_SQUOTE] = ACTIONS(4972),
    [anon_sym_u_SQUOTE] = ACTIONS(4972),
    [anon_sym_U_SQUOTE] = ACTIONS(4972),
    [anon_sym_u8_SQUOTE] = ACTIONS(4972),
    [anon_sym_SQUOTE] = ACTIONS(4972),
    [anon_sym_L_DQUOTE] = ACTIONS(4972),
    [anon_sym_u_DQUOTE] = ACTIONS(4972),
    [anon_sym_U_DQUOTE] = ACTIONS(4972),
    [anon_sym_u8_DQUOTE] = ACTIONS(4972),
    [anon_sym_DQUOTE] = ACTIONS(4972),
    [sym_true] = ACTIONS(4970),
    [sym_false] = ACTIONS(4970),
    [anon_sym_NULL] = ACTIONS(4970),
    [anon_sym_nullptr] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_template] = ACTIONS(4970),
    [anon_sym_delete] = ACTIONS(4970),
    [anon_sym_R_DQUOTE] = ACTIONS(4972),
    [anon_sym_LR_DQUOTE] = ACTIONS(4972),
    [anon_sym_uR_DQUOTE] = ACTIONS(4972),
    [anon_sym_UR_DQUOTE] = ACTIONS(4972),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4972),
    [anon_sym_co_await] = ACTIONS(4970),
    [anon_sym_new] = ACTIONS(4970),
    [anon_sym_requires] = ACTIONS(4970),
    [sym_this] = ACTIONS(4970),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token2] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [aux_sym_preproc_else_token1] = ACTIONS(5335),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token2] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [aux_sym_preproc_else_token1] = ACTIONS(5335),
    [aux_sym_preproc_elif_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(5339),
    [aux_sym_preproc_def_token1] = ACTIONS(5339),
    [aux_sym_preproc_if_token1] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5339),
    [aux_sym_preproc_else_token1] = ACTIONS(5339),
    [aux_sym_preproc_elif_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5339),
    [sym_preproc_directive] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_AMP_AMP] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_typedef] = ACTIONS(5339),
    [anon_sym_virtual] = ACTIONS(5339),
    [anon_sym_extern] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5339),
    [anon_sym___attribute] = ACTIONS(5339),
    [anon_sym_COLON_COLON] = ACTIONS(5341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5341),
    [anon_sym___declspec] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5339),
    [anon_sym_unsigned] = ACTIONS(5339),
    [anon_sym_long] = ACTIONS(5339),
    [anon_sym_short] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_static] = ACTIONS(5339),
    [anon_sym_register] = ACTIONS(5339),
    [anon_sym_inline] = ACTIONS(5339),
    [anon_sym___inline] = ACTIONS(5339),
    [anon_sym___inline__] = ACTIONS(5339),
    [anon_sym___forceinline] = ACTIONS(5339),
    [anon_sym_thread_local] = ACTIONS(5339),
    [anon_sym___thread] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_PROGMEM] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5339),
    [anon_sym__Alignas] = ACTIONS(5339),
    [aux_sym_primitive_type_token1] = ACTIONS(5339),
    [anon_sym_byte] = ACTIONS(5339),
    [anon_sym_word] = ACTIONS(5339),
    [anon_sym_enum] = ACTIONS(5339),
    [anon_sym_class] = ACTIONS(5339),
    [anon_sym_struct] = ACTIONS(5339),
    [anon_sym_union] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5339),
    [anon_sym_decltype] = ACTIONS(5339),
    [anon_sym_explicit] = ACTIONS(5339),
    [anon_sym_typename] = ACTIONS(5339),
    [anon_sym_template] = ACTIONS(5339),
    [anon_sym_operator] = ACTIONS(5339),
    [anon_sym_friend] = ACTIONS(5339),
    [anon_sym_public] = ACTIONS(5339),
    [anon_sym_private] = ACTIONS(5339),
    [anon_sym_protected] = ACTIONS(5339),
    [anon_sym_using] = ACTIONS(5339),
    [anon_sym_static_assert] = ACTIONS(5339),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(5343),
    [aux_sym_preproc_def_token1] = ACTIONS(5343),
    [aux_sym_preproc_if_token1] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [sym_preproc_directive] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym_typedef] = ACTIONS(5343),
    [anon_sym_virtual] = ACTIONS(5343),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym___attribute] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5345),
    [anon_sym___declspec] = ACTIONS(5343),
    [anon_sym___based] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5343),
    [anon_sym_unsigned] = ACTIONS(5343),
    [anon_sym_long] = ACTIONS(5343),
    [anon_sym_short] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym__Nonnull] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [anon_sym_PROGMEM] = ACTIONS(5343),
    [anon_sym_alignas] = ACTIONS(5343),
    [anon_sym__Alignas] = ACTIONS(5343),
    [aux_sym_primitive_type_token1] = ACTIONS(5343),
    [anon_sym_byte] = ACTIONS(5343),
    [anon_sym_word] = ACTIONS(5343),
    [anon_sym_enum] = ACTIONS(5343),
    [anon_sym_class] = ACTIONS(5343),
    [anon_sym_struct] = ACTIONS(5343),
    [anon_sym_union] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_explicit] = ACTIONS(5343),
    [anon_sym_typename] = ACTIONS(5343),
    [anon_sym_template] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5343),
    [anon_sym_friend] = ACTIONS(5343),
    [anon_sym_public] = ACTIONS(5343),
    [anon_sym_private] = ACTIONS(5343),
    [anon_sym_protected] = ACTIONS(5343),
    [anon_sym_using] = ACTIONS(5343),
    [anon_sym_static_assert] = ACTIONS(5343),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_friend] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(5347),
    [aux_sym_preproc_def_token1] = ACTIONS(5347),
    [aux_sym_preproc_if_token1] = ACTIONS(5347),
    [aux_sym_preproc_if_token2] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5347),
    [aux_sym_preproc_else_token1] = ACTIONS(5347),
    [aux_sym_preproc_elif_token1] = ACTIONS(5347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5347),
    [sym_preproc_directive] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(5349),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5349),
    [anon_sym_AMP_AMP] = ACTIONS(5349),
    [anon_sym_AMP] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5349),
    [anon_sym___extension__] = ACTIONS(5347),
    [anon_sym_typedef] = ACTIONS(5347),
    [anon_sym_virtual] = ACTIONS(5347),
    [anon_sym_extern] = ACTIONS(5347),
    [anon_sym___attribute__] = ACTIONS(5347),
    [anon_sym___attribute] = ACTIONS(5347),
    [anon_sym_COLON_COLON] = ACTIONS(5349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5347),
    [anon_sym___based] = ACTIONS(5347),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_static] = ACTIONS(5347),
    [anon_sym_register] = ACTIONS(5347),
    [anon_sym_inline] = ACTIONS(5347),
    [anon_sym___inline] = ACTIONS(5347),
    [anon_sym___inline__] = ACTIONS(5347),
    [anon_sym___forceinline] = ACTIONS(5347),
    [anon_sym_thread_local] = ACTIONS(5347),
    [anon_sym___thread] = ACTIONS(5347),
    [anon_sym_const] = ACTIONS(5347),
    [anon_sym_constexpr] = ACTIONS(5347),
    [anon_sym_volatile] = ACTIONS(5347),
    [anon_sym_restrict] = ACTIONS(5347),
    [anon_sym___restrict__] = ACTIONS(5347),
    [anon_sym__Atomic] = ACTIONS(5347),
    [anon_sym__Noreturn] = ACTIONS(5347),
    [anon_sym_noreturn] = ACTIONS(5347),
    [anon_sym__Nonnull] = ACTIONS(5347),
    [anon_sym_mutable] = ACTIONS(5347),
    [anon_sym_constinit] = ACTIONS(5347),
    [anon_sym_consteval] = ACTIONS(5347),
    [anon_sym_PROGMEM] = ACTIONS(5347),
    [anon_sym_alignas] = ACTIONS(5347),
    [anon_sym__Alignas] = ACTIONS(5347),
    [aux_sym_primitive_type_token1] = ACTIONS(5347),
    [anon_sym_byte] = ACTIONS(5347),
    [anon_sym_word] = ACTIONS(5347),
    [anon_sym_enum] = ACTIONS(5347),
    [anon_sym_class] = ACTIONS(5347),
    [anon_sym_struct] = ACTIONS(5347),
    [anon_sym_union] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5347),
    [anon_sym_decltype] = ACTIONS(5347),
    [anon_sym_explicit] = ACTIONS(5347),
    [anon_sym_typename] = ACTIONS(5347),
    [anon_sym_template] = ACTIONS(5347),
    [anon_sym_operator] = ACTIONS(5347),
    [anon_sym_friend] = ACTIONS(5347),
    [anon_sym_public] = ACTIONS(5347),
    [anon_sym_private] = ACTIONS(5347),
    [anon_sym_protected] = ACTIONS(5347),
    [anon_sym_using] = ACTIONS(5347),
    [anon_sym_static_assert] = ACTIONS(5347),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(5351),
    [aux_sym_preproc_def_token1] = ACTIONS(5351),
    [aux_sym_preproc_if_token1] = ACTIONS(5351),
    [aux_sym_preproc_if_token2] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5351),
    [aux_sym_preproc_else_token1] = ACTIONS(5351),
    [aux_sym_preproc_elif_token1] = ACTIONS(5351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5351),
    [sym_preproc_directive] = ACTIONS(5351),
    [anon_sym_LPAREN2] = ACTIONS(5353),
    [anon_sym_TILDE] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5353),
    [anon_sym_AMP_AMP] = ACTIONS(5353),
    [anon_sym_AMP] = ACTIONS(5351),
    [anon_sym_SEMI] = ACTIONS(5353),
    [anon_sym___extension__] = ACTIONS(5351),
    [anon_sym_typedef] = ACTIONS(5351),
    [anon_sym_virtual] = ACTIONS(5351),
    [anon_sym_extern] = ACTIONS(5351),
    [anon_sym___attribute__] = ACTIONS(5351),
    [anon_sym___attribute] = ACTIONS(5351),
    [anon_sym_COLON_COLON] = ACTIONS(5353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5353),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5351),
    [anon_sym_signed] = ACTIONS(5351),
    [anon_sym_unsigned] = ACTIONS(5351),
    [anon_sym_long] = ACTIONS(5351),
    [anon_sym_short] = ACTIONS(5351),
    [anon_sym_LBRACK] = ACTIONS(5351),
    [anon_sym_static] = ACTIONS(5351),
    [anon_sym_register] = ACTIONS(5351),
    [anon_sym_inline] = ACTIONS(5351),
    [anon_sym___inline] = ACTIONS(5351),
    [anon_sym___inline__] = ACTIONS(5351),
    [anon_sym___forceinline] = ACTIONS(5351),
    [anon_sym_thread_local] = ACTIONS(5351),
    [anon_sym___thread] = ACTIONS(5351),
    [anon_sym_const] = ACTIONS(5351),
    [anon_sym_constexpr] = ACTIONS(5351),
    [anon_sym_volatile] = ACTIONS(5351),
    [anon_sym_restrict] = ACTIONS(5351),
    [anon_sym___restrict__] = ACTIONS(5351),
    [anon_sym__Atomic] = ACTIONS(5351),
    [anon_sym__Noreturn] = ACTIONS(5351),
    [anon_sym_noreturn] = ACTIONS(5351),
    [anon_sym__Nonnull] = ACTIONS(5351),
    [anon_sym_mutable] = ACTIONS(5351),
    [anon_sym_constinit] = ACTIONS(5351),
    [anon_sym_consteval] = ACTIONS(5351),
    [anon_sym_PROGMEM] = ACTIONS(5351),
    [anon_sym_alignas] = ACTIONS(5351),
    [anon_sym__Alignas] = ACTIONS(5351),
    [aux_sym_primitive_type_token1] = ACTIONS(5351),
    [anon_sym_byte] = ACTIONS(5351),
    [anon_sym_word] = ACTIONS(5351),
    [anon_sym_enum] = ACTIONS(5351),
    [anon_sym_class] = ACTIONS(5351),
    [anon_sym_struct] = ACTIONS(5351),
    [anon_sym_union] = ACTIONS(5351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5351),
    [anon_sym_decltype] = ACTIONS(5351),
    [anon_sym_explicit] = ACTIONS(5351),
    [anon_sym_typename] = ACTIONS(5351),
    [anon_sym_template] = ACTIONS(5351),
    [anon_sym_operator] = ACTIONS(5351),
    [anon_sym_friend] = ACTIONS(5351),
    [anon_sym_public] = ACTIONS(5351),
    [anon_sym_private] = ACTIONS(5351),
    [anon_sym_protected] = ACTIONS(5351),
    [anon_sym_using] = ACTIONS(5351),
    [anon_sym_static_assert] = ACTIONS(5351),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [aux_sym_preproc_else_token1] = ACTIONS(2980),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_friend] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [aux_sym_preproc_else_token1] = ACTIONS(5293),
    [aux_sym_preproc_elif_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(5355),
    [aux_sym_preproc_def_token1] = ACTIONS(5355),
    [aux_sym_preproc_if_token1] = ACTIONS(5355),
    [aux_sym_preproc_if_token2] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5355),
    [aux_sym_preproc_else_token1] = ACTIONS(5355),
    [aux_sym_preproc_elif_token1] = ACTIONS(5355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5355),
    [sym_preproc_directive] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5357),
    [anon_sym_TILDE] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5357),
    [anon_sym_AMP_AMP] = ACTIONS(5357),
    [anon_sym_AMP] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5357),
    [anon_sym___extension__] = ACTIONS(5355),
    [anon_sym_typedef] = ACTIONS(5355),
    [anon_sym_virtual] = ACTIONS(5355),
    [anon_sym_extern] = ACTIONS(5355),
    [anon_sym___attribute__] = ACTIONS(5355),
    [anon_sym___attribute] = ACTIONS(5355),
    [anon_sym_COLON_COLON] = ACTIONS(5357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5357),
    [anon_sym___declspec] = ACTIONS(5355),
    [anon_sym___based] = ACTIONS(5355),
    [anon_sym_signed] = ACTIONS(5355),
    [anon_sym_unsigned] = ACTIONS(5355),
    [anon_sym_long] = ACTIONS(5355),
    [anon_sym_short] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_static] = ACTIONS(5355),
    [anon_sym_register] = ACTIONS(5355),
    [anon_sym_inline] = ACTIONS(5355),
    [anon_sym___inline] = ACTIONS(5355),
    [anon_sym___inline__] = ACTIONS(5355),
    [anon_sym___forceinline] = ACTIONS(5355),
    [anon_sym_thread_local] = ACTIONS(5355),
    [anon_sym___thread] = ACTIONS(5355),
    [anon_sym_const] = ACTIONS(5355),
    [anon_sym_constexpr] = ACTIONS(5355),
    [anon_sym_volatile] = ACTIONS(5355),
    [anon_sym_restrict] = ACTIONS(5355),
    [anon_sym___restrict__] = ACTIONS(5355),
    [anon_sym__Atomic] = ACTIONS(5355),
    [anon_sym__Noreturn] = ACTIONS(5355),
    [anon_sym_noreturn] = ACTIONS(5355),
    [anon_sym__Nonnull] = ACTIONS(5355),
    [anon_sym_mutable] = ACTIONS(5355),
    [anon_sym_constinit] = ACTIONS(5355),
    [anon_sym_consteval] = ACTIONS(5355),
    [anon_sym_PROGMEM] = ACTIONS(5355),
    [anon_sym_alignas] = ACTIONS(5355),
    [anon_sym__Alignas] = ACTIONS(5355),
    [aux_sym_primitive_type_token1] = ACTIONS(5355),
    [anon_sym_byte] = ACTIONS(5355),
    [anon_sym_word] = ACTIONS(5355),
    [anon_sym_enum] = ACTIONS(5355),
    [anon_sym_class] = ACTIONS(5355),
    [anon_sym_struct] = ACTIONS(5355),
    [anon_sym_union] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5355),
    [anon_sym_decltype] = ACTIONS(5355),
    [anon_sym_explicit] = ACTIONS(5355),
    [anon_sym_typename] = ACTIONS(5355),
    [anon_sym_template] = ACTIONS(5355),
    [anon_sym_operator] = ACTIONS(5355),
    [anon_sym_friend] = ACTIONS(5355),
    [anon_sym_public] = ACTIONS(5355),
    [anon_sym_private] = ACTIONS(5355),
    [anon_sym_protected] = ACTIONS(5355),
    [anon_sym_using] = ACTIONS(5355),
    [anon_sym_static_assert] = ACTIONS(5355),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [aux_sym_preproc_else_token1] = ACTIONS(3167),
    [aux_sym_preproc_elif_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_friend] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_friend] = ACTIONS(2925),
    [anon_sym_public] = ACTIONS(2925),
    [anon_sym_private] = ACTIONS(2925),
    [anon_sym_protected] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [aux_sym_preproc_else_token1] = ACTIONS(5359),
    [aux_sym_preproc_elif_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [aux_sym_preproc_else_token1] = ACTIONS(5359),
    [aux_sym_preproc_elif_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_PROGMEM] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [aux_sym_primitive_type_token1] = ACTIONS(5363),
    [anon_sym_byte] = ACTIONS(5363),
    [anon_sym_word] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token2] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [aux_sym_preproc_else_token1] = ACTIONS(5367),
    [aux_sym_preproc_elif_token1] = ACTIONS(5367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym___attribute] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_PROGMEM] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [aux_sym_primitive_type_token1] = ACTIONS(5367),
    [anon_sym_byte] = ACTIONS(5367),
    [anon_sym_word] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [aux_sym_preproc_else_token1] = ACTIONS(3215),
    [aux_sym_preproc_elif_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [aux_sym_preproc_else_token1] = ACTIONS(5371),
    [aux_sym_preproc_elif_token1] = ACTIONS(5371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym___attribute] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_PROGMEM] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [aux_sym_primitive_type_token1] = ACTIONS(5371),
    [anon_sym_byte] = ACTIONS(5371),
    [anon_sym_word] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [aux_sym_preproc_else_token1] = ACTIONS(5375),
    [aux_sym_preproc_elif_token1] = ACTIONS(5375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_PROGMEM] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [aux_sym_primitive_type_token1] = ACTIONS(5375),
    [anon_sym_byte] = ACTIONS(5375),
    [anon_sym_word] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [aux_sym_preproc_else_token1] = ACTIONS(5379),
    [aux_sym_preproc_elif_token1] = ACTIONS(5379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_PROGMEM] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [aux_sym_primitive_type_token1] = ACTIONS(5379),
    [anon_sym_byte] = ACTIONS(5379),
    [anon_sym_word] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(2475),
    [anon_sym_compl] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_sizeof] = ACTIONS(2475),
    [anon_sym___alignof__] = ACTIONS(2475),
    [anon_sym___alignof] = ACTIONS(2475),
    [anon_sym__alignof] = ACTIONS(2475),
    [anon_sym_alignof] = ACTIONS(2475),
    [anon_sym__Alignof] = ACTIONS(2475),
    [anon_sym_offsetof] = ACTIONS(2475),
    [anon_sym__Generic] = ACTIONS(2475),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [aux_sym_number_literal_token1] = ACTIONS(2465),
    [aux_sym_number_literal_token2] = ACTIONS(2475),
    [anon_sym_L_SQUOTE] = ACTIONS(2465),
    [anon_sym_u_SQUOTE] = ACTIONS(2465),
    [anon_sym_U_SQUOTE] = ACTIONS(2465),
    [anon_sym_u8_SQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_L_DQUOTE] = ACTIONS(2465),
    [anon_sym_u_DQUOTE] = ACTIONS(2465),
    [anon_sym_U_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8_DQUOTE] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [anon_sym_NULL] = ACTIONS(2475),
    [anon_sym_nullptr] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2475),
    [anon_sym_R_DQUOTE] = ACTIONS(2465),
    [anon_sym_LR_DQUOTE] = ACTIONS(2465),
    [anon_sym_uR_DQUOTE] = ACTIONS(2465),
    [anon_sym_UR_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2465),
    [anon_sym_co_await] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
    [sym_this] = ACTIONS(2475),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_friend] = ACTIONS(2869),
    [anon_sym_public] = ACTIONS(2869),
    [anon_sym_private] = ACTIONS(2869),
    [anon_sym_protected] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
  },
  [1734] = {
    [sym_type_qualifier] = STATE(1768),
    [sym_alignas_qualifier] = STATE(1633),
    [sym_primitive_type] = STATE(2085),
    [aux_sym__type_definition_type_repeat1] = STATE(1768),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(5383),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4932),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4932),
    [anon_sym_GT_GT] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5387),
    [anon_sym_unsigned] = ACTIONS(5387),
    [anon_sym_long] = ACTIONS(5387),
    [anon_sym_short] = ACTIONS(5387),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_mutable] = ACTIONS(5385),
    [anon_sym_constinit] = ACTIONS(5385),
    [anon_sym_consteval] = ACTIONS(5385),
    [anon_sym_PROGMEM] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(4932),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [aux_sym_preproc_else_token1] = ACTIONS(5289),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_friend] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token2] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [aux_sym_preproc_else_token1] = ACTIONS(5391),
    [aux_sym_preproc_elif_token1] = ACTIONS(5391),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym___attribute] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_PROGMEM] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [aux_sym_primitive_type_token1] = ACTIONS(5391),
    [anon_sym_byte] = ACTIONS(5391),
    [anon_sym_word] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(5395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5397),
    [anon_sym_COMMA] = ACTIONS(5397),
    [anon_sym_RPAREN] = ACTIONS(5397),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5395),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5395),
    [anon_sym_PERCENT] = ACTIONS(5397),
    [anon_sym_PIPE_PIPE] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_PIPE] = ACTIONS(5395),
    [anon_sym_CARET] = ACTIONS(5397),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_EQ_EQ] = ACTIONS(5397),
    [anon_sym_BANG_EQ] = ACTIONS(5397),
    [anon_sym_GT] = ACTIONS(5395),
    [anon_sym_GT_EQ] = ACTIONS(5397),
    [anon_sym_LT_EQ] = ACTIONS(5395),
    [anon_sym_LT] = ACTIONS(5395),
    [anon_sym_LT_LT] = ACTIONS(5397),
    [anon_sym_GT_GT] = ACTIONS(5397),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym___based] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5397),
    [anon_sym_RBRACE] = ACTIONS(5397),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5397),
    [anon_sym_RBRACK] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [anon_sym_PROGMEM] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [aux_sym_primitive_type_token1] = ACTIONS(5395),
    [anon_sym_byte] = ACTIONS(5395),
    [anon_sym_word] = ACTIONS(5395),
    [anon_sym_COLON] = ACTIONS(5395),
    [anon_sym_QMARK] = ACTIONS(5397),
    [anon_sym_LT_EQ_GT] = ACTIONS(5397),
    [anon_sym_or] = ACTIONS(5395),
    [anon_sym_and] = ACTIONS(5395),
    [anon_sym_bitor] = ACTIONS(5395),
    [anon_sym_xor] = ACTIONS(5395),
    [anon_sym_bitand] = ACTIONS(5395),
    [anon_sym_not_eq] = ACTIONS(5395),
    [anon_sym_DASH_DASH] = ACTIONS(5397),
    [anon_sym_PLUS_PLUS] = ACTIONS(5397),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_DOT_STAR] = ACTIONS(5397),
    [anon_sym_DASH_GT] = ACTIONS(5397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
    [anon_sym_final] = ACTIONS(5395),
    [anon_sym_override] = ACTIONS(5395),
    [anon_sym_requires] = ACTIONS(5395),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [aux_sym_preproc_else_token1] = ACTIONS(3012),
    [aux_sym_preproc_elif_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4850),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4850),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4850),
    [anon_sym_GT_GT] = ACTIONS(4850),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_signed] = ACTIONS(4848),
    [anon_sym_unsigned] = ACTIONS(4848),
    [anon_sym_long] = ACTIONS(4848),
    [anon_sym_short] = ACTIONS(4848),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [aux_sym_primitive_type_token1] = ACTIONS(4848),
    [anon_sym_byte] = ACTIONS(4848),
    [anon_sym_word] = ACTIONS(4848),
    [anon_sym_COLON] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_final] = ACTIONS(4848),
    [anon_sym_override] = ACTIONS(4848),
    [anon_sym_requires] = ACTIONS(4848),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4852),
    [anon_sym_PLUS] = ACTIONS(4852),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_SLASH] = ACTIONS(4852),
    [anon_sym_PERCENT] = ACTIONS(4854),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_PIPE] = ACTIONS(4852),
    [anon_sym_CARET] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym_EQ_EQ] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4852),
    [anon_sym_GT_EQ] = ACTIONS(4854),
    [anon_sym_LT_EQ] = ACTIONS(4852),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4854),
    [anon_sym_GT_GT] = ACTIONS(4854),
    [anon_sym_SEMI] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_RBRACE] = ACTIONS(4854),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym_RBRACK] = ACTIONS(4854),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [aux_sym_primitive_type_token1] = ACTIONS(4852),
    [anon_sym_byte] = ACTIONS(4852),
    [anon_sym_word] = ACTIONS(4852),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4854),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [anon_sym_bitor] = ACTIONS(4852),
    [anon_sym_xor] = ACTIONS(4852),
    [anon_sym_bitand] = ACTIONS(4852),
    [anon_sym_not_eq] = ACTIONS(4852),
    [anon_sym_DASH_DASH] = ACTIONS(4854),
    [anon_sym_PLUS_PLUS] = ACTIONS(4854),
    [anon_sym_DOT] = ACTIONS(4852),
    [anon_sym_DOT_STAR] = ACTIONS(4854),
    [anon_sym_DASH_GT] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_final] = ACTIONS(4852),
    [anon_sym_override] = ACTIONS(4852),
    [anon_sym_requires] = ACTIONS(4852),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [aux_sym_preproc_else_token1] = ACTIONS(3000),
    [aux_sym_preproc_elif_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1748] = {
    [sym_type_qualifier] = STATE(1780),
    [sym_alignas_qualifier] = STATE(1633),
    [sym_primitive_type] = STATE(3595),
    [aux_sym__type_definition_type_repeat1] = STATE(1780),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1975),
    [sym_identifier] = ACTIONS(5407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4932),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4932),
    [anon_sym_GT_GT] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5410),
    [anon_sym_unsigned] = ACTIONS(5410),
    [anon_sym_long] = ACTIONS(5410),
    [anon_sym_short] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_mutable] = ACTIONS(5385),
    [anon_sym_constinit] = ACTIONS(5385),
    [anon_sym_consteval] = ACTIONS(5385),
    [anon_sym_PROGMEM] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [aux_sym_primitive_type_token1] = ACTIONS(5412),
    [anon_sym_byte] = ACTIONS(5412),
    [anon_sym_word] = ACTIONS(5412),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4858),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4858),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4858),
    [anon_sym_GT_GT] = ACTIONS(4858),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_signed] = ACTIONS(4856),
    [anon_sym_unsigned] = ACTIONS(4856),
    [anon_sym_long] = ACTIONS(4856),
    [anon_sym_short] = ACTIONS(4856),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [aux_sym_primitive_type_token1] = ACTIONS(4856),
    [anon_sym_byte] = ACTIONS(4856),
    [anon_sym_word] = ACTIONS(4856),
    [anon_sym_COLON] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_final] = ACTIONS(4856),
    [anon_sym_override] = ACTIONS(4856),
    [anon_sym_requires] = ACTIONS(4856),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [aux_sym_preproc_else_token1] = ACTIONS(3004),
    [aux_sym_preproc_elif_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [aux_sym_preproc_else_token1] = ACTIONS(3008),
    [aux_sym_preproc_elif_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [1752] = {
    [sym_string_literal] = STATE(1752),
    [sym_raw_string_literal] = STATE(1752),
    [aux_sym_concatenated_string_repeat1] = STATE(1752),
    [sym_identifier] = ACTIONS(5414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5419),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5419),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_CARET] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5419),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5419),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5419),
    [anon_sym_COLON] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5419),
    [anon_sym_or_eq] = ACTIONS(5419),
    [anon_sym_xor_eq] = ACTIONS(5419),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_bitor] = ACTIONS(5419),
    [anon_sym_xor] = ACTIONS(5419),
    [anon_sym_bitand] = ACTIONS(5419),
    [anon_sym_not_eq] = ACTIONS(5419),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(5421),
    [anon_sym_u_DQUOTE] = ACTIONS(5421),
    [anon_sym_U_DQUOTE] = ACTIONS(5421),
    [anon_sym_u8_DQUOTE] = ACTIONS(5421),
    [anon_sym_DQUOTE] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5424),
    [anon_sym_LR_DQUOTE] = ACTIONS(5424),
    [anon_sym_uR_DQUOTE] = ACTIONS(5424),
    [anon_sym_UR_DQUOTE] = ACTIONS(5424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5424),
    [sym_literal_suffix] = ACTIONS(5419),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_PROGMEM] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [aux_sym_primitive_type_token1] = ACTIONS(5427),
    [anon_sym_byte] = ACTIONS(5427),
    [anon_sym_word] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [aux_sym_preproc_else_token1] = ACTIONS(5435),
    [aux_sym_preproc_elif_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [aux_sym_primitive_type_token1] = ACTIONS(5439),
    [anon_sym_byte] = ACTIONS(5439),
    [anon_sym_word] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_friend] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token2] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym___attribute] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_PROGMEM] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [aux_sym_primitive_type_token1] = ACTIONS(5447),
    [anon_sym_byte] = ACTIONS(5447),
    [anon_sym_word] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [aux_sym_preproc_else_token1] = ACTIONS(3016),
    [aux_sym_preproc_elif_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4862),
    [anon_sym_GT_GT] = ACTIONS(4862),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_signed] = ACTIONS(4860),
    [anon_sym_unsigned] = ACTIONS(4860),
    [anon_sym_long] = ACTIONS(4860),
    [anon_sym_short] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [aux_sym_primitive_type_token1] = ACTIONS(4860),
    [anon_sym_byte] = ACTIONS(4860),
    [anon_sym_word] = ACTIONS(4860),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_final] = ACTIONS(4860),
    [anon_sym_override] = ACTIONS(4860),
    [anon_sym_requires] = ACTIONS(4860),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4866),
    [anon_sym_GT_GT] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_signed] = ACTIONS(4864),
    [anon_sym_unsigned] = ACTIONS(4864),
    [anon_sym_long] = ACTIONS(4864),
    [anon_sym_short] = ACTIONS(4864),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_RBRACK] = ACTIONS(4866),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [aux_sym_primitive_type_token1] = ACTIONS(4864),
    [anon_sym_byte] = ACTIONS(4864),
    [anon_sym_word] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_final] = ACTIONS(4864),
    [anon_sym_override] = ACTIONS(4864),
    [anon_sym_requires] = ACTIONS(4864),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(4870),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4870),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4870),
    [anon_sym_GT_GT] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_signed] = ACTIONS(4868),
    [anon_sym_unsigned] = ACTIONS(4868),
    [anon_sym_long] = ACTIONS(4868),
    [anon_sym_short] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(4868),
    [anon_sym_byte] = ACTIONS(4868),
    [anon_sym_word] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4870),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4870),
    [anon_sym_PLUS_PLUS] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_final] = ACTIONS(4868),
    [anon_sym_override] = ACTIONS(4868),
    [anon_sym_requires] = ACTIONS(4868),
  },
  [1768] = {
    [sym_type_qualifier] = STATE(1615),
    [sym_alignas_qualifier] = STATE(1633),
    [sym_primitive_type] = STATE(2079),
    [aux_sym__type_definition_type_repeat1] = STATE(1615),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2081),
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4964),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5453),
    [anon_sym_unsigned] = ACTIONS(5453),
    [anon_sym_long] = ACTIONS(5453),
    [anon_sym_short] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_RBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_mutable] = ACTIONS(5385),
    [anon_sym_constinit] = ACTIONS(5385),
    [anon_sym_consteval] = ACTIONS(5385),
    [anon_sym_PROGMEM] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(4964),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_PROGMEM] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [aux_sym_primitive_type_token1] = ACTIONS(5455),
    [anon_sym_byte] = ACTIONS(5455),
    [anon_sym_word] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5455),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_final] = ACTIONS(5455),
    [anon_sym_override] = ACTIONS(5455),
    [anon_sym_requires] = ACTIONS(5455),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5321),
    [anon_sym_GT_GT] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [aux_sym_preproc_else_token1] = ACTIONS(3179),
    [aux_sym_preproc_elif_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token2] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [aux_sym_preproc_else_token1] = ACTIONS(3191),
    [aux_sym_preproc_elif_token1] = ACTIONS(3191),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_friend] = ACTIONS(3191),
    [anon_sym_public] = ACTIONS(3191),
    [anon_sym_private] = ACTIONS(3191),
    [anon_sym_protected] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [aux_sym_preproc_else_token1] = ACTIONS(3195),
    [aux_sym_preproc_elif_token1] = ACTIONS(3195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_friend] = ACTIONS(3195),
    [anon_sym_public] = ACTIONS(3195),
    [anon_sym_private] = ACTIONS(3195),
    [anon_sym_protected] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_friend] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_friend] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
  },
  [1780] = {
    [sym_type_qualifier] = STATE(1615),
    [sym_alignas_qualifier] = STATE(1633),
    [sym_primitive_type] = STATE(3605),
    [aux_sym__type_definition_type_repeat1] = STATE(1615),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3606),
    [sym_identifier] = ACTIONS(5459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [aux_sym_preproc_if_token2] = ACTIONS(4964),
    [aux_sym_preproc_else_token1] = ACTIONS(4964),
    [aux_sym_preproc_elif_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5462),
    [anon_sym_unsigned] = ACTIONS(5462),
    [anon_sym_long] = ACTIONS(5462),
    [anon_sym_short] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_mutable] = ACTIONS(5385),
    [anon_sym_constinit] = ACTIONS(5385),
    [anon_sym_consteval] = ACTIONS(5385),
    [anon_sym_PROGMEM] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [aux_sym_primitive_type_token1] = ACTIONS(5412),
    [anon_sym_byte] = ACTIONS(5412),
    [anon_sym_word] = ACTIONS(5412),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [aux_sym_primitive_type_token1] = ACTIONS(5464),
    [anon_sym_byte] = ACTIONS(5464),
    [anon_sym_word] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym__Nonnull] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [anon_sym_PROGMEM] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym__Alignas] = ACTIONS(5468),
    [aux_sym_primitive_type_token1] = ACTIONS(5468),
    [anon_sym_byte] = ACTIONS(5468),
    [anon_sym_word] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
    [anon_sym_requires] = ACTIONS(5468),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_PROGMEM] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [aux_sym_primitive_type_token1] = ACTIONS(5472),
    [anon_sym_byte] = ACTIONS(5472),
    [anon_sym_word] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_final] = ACTIONS(5472),
    [anon_sym_override] = ACTIONS(5472),
    [anon_sym_requires] = ACTIONS(5472),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_PROGMEM] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [aux_sym_primitive_type_token1] = ACTIONS(5476),
    [anon_sym_byte] = ACTIONS(5476),
    [anon_sym_word] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_final] = ACTIONS(5476),
    [anon_sym_override] = ACTIONS(5476),
    [anon_sym_requires] = ACTIONS(5476),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_PROGMEM] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [aux_sym_primitive_type_token1] = ACTIONS(5480),
    [anon_sym_byte] = ACTIONS(5480),
    [anon_sym_word] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_final] = ACTIONS(5480),
    [anon_sym_override] = ACTIONS(5480),
    [anon_sym_requires] = ACTIONS(5480),
  },
  [1787] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_PROGMEM] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [aux_sym_primitive_type_token1] = ACTIONS(5484),
    [anon_sym_byte] = ACTIONS(5484),
    [anon_sym_word] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_final] = ACTIONS(5484),
    [anon_sym_override] = ACTIONS(5484),
    [anon_sym_requires] = ACTIONS(5484),
  },
  [1788] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_PROGMEM] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [aux_sym_primitive_type_token1] = ACTIONS(5488),
    [anon_sym_byte] = ACTIONS(5488),
    [anon_sym_word] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_final] = ACTIONS(5488),
    [anon_sym_override] = ACTIONS(5488),
    [anon_sym_requires] = ACTIONS(5488),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_PROGMEM] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [aux_sym_primitive_type_token1] = ACTIONS(5492),
    [anon_sym_byte] = ACTIONS(5492),
    [anon_sym_word] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_final] = ACTIONS(5492),
    [anon_sym_override] = ACTIONS(5492),
    [anon_sym_requires] = ACTIONS(5492),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_PROGMEM] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [aux_sym_primitive_type_token1] = ACTIONS(5455),
    [anon_sym_byte] = ACTIONS(5455),
    [anon_sym_word] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_final] = ACTIONS(5455),
    [anon_sym_override] = ACTIONS(5455),
    [anon_sym_requires] = ACTIONS(5455),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5321),
    [anon_sym_GT_GT] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5321),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___attribute] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym__Nonnull] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [anon_sym_PROGMEM] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym__Alignas] = ACTIONS(5496),
    [aux_sym_primitive_type_token1] = ACTIONS(5496),
    [anon_sym_byte] = ACTIONS(5496),
    [anon_sym_word] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_final] = ACTIONS(5496),
    [anon_sym_override] = ACTIONS(5496),
    [anon_sym_requires] = ACTIONS(5496),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym___attribute] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym__Nonnull] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [anon_sym_PROGMEM] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym__Alignas] = ACTIONS(5500),
    [aux_sym_primitive_type_token1] = ACTIONS(5500),
    [anon_sym_byte] = ACTIONS(5500),
    [anon_sym_word] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_final] = ACTIONS(5500),
    [anon_sym_override] = ACTIONS(5500),
    [anon_sym_requires] = ACTIONS(5500),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym__Nonnull] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [anon_sym_PROGMEM] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym__Alignas] = ACTIONS(5504),
    [aux_sym_primitive_type_token1] = ACTIONS(5504),
    [anon_sym_byte] = ACTIONS(5504),
    [anon_sym_word] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [1795] = {
    [sym_catch_clause] = STATE(1806),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1806),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5508),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___extension__] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___attribute] = ACTIONS(5510),
    [anon_sym___based] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_signed] = ACTIONS(5510),
    [anon_sym_unsigned] = ACTIONS(5510),
    [anon_sym_long] = ACTIONS(5510),
    [anon_sym_short] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_const] = ACTIONS(5510),
    [anon_sym_constexpr] = ACTIONS(5510),
    [anon_sym_volatile] = ACTIONS(5510),
    [anon_sym_restrict] = ACTIONS(5510),
    [anon_sym___restrict__] = ACTIONS(5510),
    [anon_sym__Atomic] = ACTIONS(5510),
    [anon_sym__Noreturn] = ACTIONS(5510),
    [anon_sym_noreturn] = ACTIONS(5510),
    [anon_sym__Nonnull] = ACTIONS(5510),
    [anon_sym_mutable] = ACTIONS(5510),
    [anon_sym_constinit] = ACTIONS(5510),
    [anon_sym_consteval] = ACTIONS(5510),
    [anon_sym_PROGMEM] = ACTIONS(5510),
    [anon_sym_alignas] = ACTIONS(5510),
    [anon_sym__Alignas] = ACTIONS(5510),
    [aux_sym_primitive_type_token1] = ACTIONS(5510),
    [anon_sym_byte] = ACTIONS(5510),
    [anon_sym_word] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
    [anon_sym_final] = ACTIONS(5510),
    [anon_sym_override] = ACTIONS(5510),
    [anon_sym_requires] = ACTIONS(5510),
  },
  [1797] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5514),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym___attribute] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5518),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym__Nonnull] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [anon_sym_PROGMEM] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym__Alignas] = ACTIONS(5516),
    [aux_sym_primitive_type_token1] = ACTIONS(5516),
    [anon_sym_byte] = ACTIONS(5516),
    [anon_sym_word] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [anon_sym_asm] = ACTIONS(5516),
    [anon_sym___asm__] = ACTIONS(5516),
    [anon_sym___asm] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_final] = ACTIONS(5516),
    [anon_sym_override] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_GT2] = ACTIONS(5518),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_try] = ACTIONS(5516),
    [anon_sym_noexcept] = ACTIONS(5516),
    [anon_sym_throw] = ACTIONS(5516),
    [anon_sym_requires] = ACTIONS(5516),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_DASH] = ACTIONS(5520),
    [anon_sym_PLUS] = ACTIONS(5520),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5520),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5520),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT] = ACTIONS(5520),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5520),
    [anon_sym_LT] = ACTIONS(5520),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5522),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym___attribute] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_LBRACE] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym__Nonnull] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [anon_sym_PROGMEM] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym__Alignas] = ACTIONS(5520),
    [aux_sym_primitive_type_token1] = ACTIONS(5520),
    [anon_sym_byte] = ACTIONS(5520),
    [anon_sym_word] = ACTIONS(5520),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5522),
    [anon_sym_LT_EQ_GT] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5520),
    [anon_sym_and] = ACTIONS(5520),
    [anon_sym_bitor] = ACTIONS(5520),
    [anon_sym_xor] = ACTIONS(5520),
    [anon_sym_bitand] = ACTIONS(5520),
    [anon_sym_not_eq] = ACTIONS(5520),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_DOT_STAR] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_final] = ACTIONS(5520),
    [anon_sym_override] = ACTIONS(5520),
    [anon_sym_requires] = ACTIONS(5520),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym__Nonnull] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [anon_sym_PROGMEM] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym__Alignas] = ACTIONS(5504),
    [aux_sym_primitive_type_token1] = ACTIONS(5504),
    [anon_sym_byte] = ACTIONS(5504),
    [anon_sym_word] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym__Nonnull] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [anon_sym_PROGMEM] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym__Alignas] = ACTIONS(5504),
    [aux_sym_primitive_type_token1] = ACTIONS(5504),
    [anon_sym_byte] = ACTIONS(5504),
    [anon_sym_word] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5524),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym___extension__] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym___attribute] = ACTIONS(5524),
    [anon_sym___based] = ACTIONS(5524),
    [anon_sym_LBRACE] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_signed] = ACTIONS(5524),
    [anon_sym_unsigned] = ACTIONS(5524),
    [anon_sym_long] = ACTIONS(5524),
    [anon_sym_short] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_const] = ACTIONS(5524),
    [anon_sym_constexpr] = ACTIONS(5524),
    [anon_sym_volatile] = ACTIONS(5524),
    [anon_sym_restrict] = ACTIONS(5524),
    [anon_sym___restrict__] = ACTIONS(5524),
    [anon_sym__Atomic] = ACTIONS(5524),
    [anon_sym__Noreturn] = ACTIONS(5524),
    [anon_sym_noreturn] = ACTIONS(5524),
    [anon_sym__Nonnull] = ACTIONS(5524),
    [anon_sym_mutable] = ACTIONS(5524),
    [anon_sym_constinit] = ACTIONS(5524),
    [anon_sym_consteval] = ACTIONS(5524),
    [anon_sym_PROGMEM] = ACTIONS(5524),
    [anon_sym_alignas] = ACTIONS(5524),
    [anon_sym__Alignas] = ACTIONS(5524),
    [aux_sym_primitive_type_token1] = ACTIONS(5524),
    [anon_sym_byte] = ACTIONS(5524),
    [anon_sym_word] = ACTIONS(5524),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5526),
    [anon_sym_LT_EQ_GT] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5524),
    [anon_sym_and] = ACTIONS(5524),
    [anon_sym_bitor] = ACTIONS(5524),
    [anon_sym_xor] = ACTIONS(5524),
    [anon_sym_bitand] = ACTIONS(5524),
    [anon_sym_not_eq] = ACTIONS(5524),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_DOT_STAR] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
    [anon_sym_final] = ACTIONS(5524),
    [anon_sym_override] = ACTIONS(5524),
    [anon_sym_requires] = ACTIONS(5524),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5528),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5530),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym___extension__] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym___attribute] = ACTIONS(5528),
    [anon_sym___based] = ACTIONS(5528),
    [anon_sym_LBRACE] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_signed] = ACTIONS(5528),
    [anon_sym_unsigned] = ACTIONS(5528),
    [anon_sym_long] = ACTIONS(5528),
    [anon_sym_short] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_const] = ACTIONS(5528),
    [anon_sym_constexpr] = ACTIONS(5528),
    [anon_sym_volatile] = ACTIONS(5528),
    [anon_sym_restrict] = ACTIONS(5528),
    [anon_sym___restrict__] = ACTIONS(5528),
    [anon_sym__Atomic] = ACTIONS(5528),
    [anon_sym__Noreturn] = ACTIONS(5528),
    [anon_sym_noreturn] = ACTIONS(5528),
    [anon_sym__Nonnull] = ACTIONS(5528),
    [anon_sym_mutable] = ACTIONS(5528),
    [anon_sym_constinit] = ACTIONS(5528),
    [anon_sym_consteval] = ACTIONS(5528),
    [anon_sym_PROGMEM] = ACTIONS(5528),
    [anon_sym_alignas] = ACTIONS(5528),
    [anon_sym__Alignas] = ACTIONS(5528),
    [aux_sym_primitive_type_token1] = ACTIONS(5528),
    [anon_sym_byte] = ACTIONS(5528),
    [anon_sym_word] = ACTIONS(5528),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_QMARK] = ACTIONS(5530),
    [anon_sym_LT_EQ_GT] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5528),
    [anon_sym_and] = ACTIONS(5528),
    [anon_sym_bitor] = ACTIONS(5528),
    [anon_sym_xor] = ACTIONS(5528),
    [anon_sym_bitand] = ACTIONS(5528),
    [anon_sym_not_eq] = ACTIONS(5528),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_DOT_STAR] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
    [anon_sym_final] = ACTIONS(5528),
    [anon_sym_override] = ACTIONS(5528),
    [anon_sym_requires] = ACTIONS(5528),
  },
  [1804] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5514),
  },
  [1805] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5532),
  },
  [1806] = {
    [sym_catch_clause] = STATE(1806),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1806),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5535),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5540),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5540),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym__Nonnull] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [anon_sym_PROGMEM] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym__Alignas] = ACTIONS(5538),
    [aux_sym_primitive_type_token1] = ACTIONS(5538),
    [anon_sym_byte] = ACTIONS(5538),
    [anon_sym_word] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_final] = ACTIONS(5538),
    [anon_sym_override] = ACTIONS(5538),
    [anon_sym_requires] = ACTIONS(5538),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5542),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5542),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5542),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5544),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym___attribute] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_LBRACE] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym__Nonnull] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [anon_sym_PROGMEM] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym__Alignas] = ACTIONS(5542),
    [aux_sym_primitive_type_token1] = ACTIONS(5542),
    [anon_sym_byte] = ACTIONS(5542),
    [anon_sym_word] = ACTIONS(5542),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5544),
    [anon_sym_LT_EQ_GT] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5542),
    [anon_sym_and] = ACTIONS(5542),
    [anon_sym_bitor] = ACTIONS(5542),
    [anon_sym_xor] = ACTIONS(5542),
    [anon_sym_bitand] = ACTIONS(5542),
    [anon_sym_not_eq] = ACTIONS(5542),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_DOT_STAR] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_final] = ACTIONS(5542),
    [anon_sym_override] = ACTIONS(5542),
    [anon_sym_requires] = ACTIONS(5542),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___extension__] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym___attribute] = ACTIONS(5546),
    [anon_sym___based] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_const] = ACTIONS(5546),
    [anon_sym_constexpr] = ACTIONS(5546),
    [anon_sym_volatile] = ACTIONS(5546),
    [anon_sym_restrict] = ACTIONS(5546),
    [anon_sym___restrict__] = ACTIONS(5546),
    [anon_sym__Atomic] = ACTIONS(5546),
    [anon_sym__Noreturn] = ACTIONS(5546),
    [anon_sym_noreturn] = ACTIONS(5546),
    [anon_sym__Nonnull] = ACTIONS(5546),
    [anon_sym_mutable] = ACTIONS(5546),
    [anon_sym_constinit] = ACTIONS(5546),
    [anon_sym_consteval] = ACTIONS(5546),
    [anon_sym_PROGMEM] = ACTIONS(5546),
    [anon_sym_alignas] = ACTIONS(5546),
    [anon_sym__Alignas] = ACTIONS(5546),
    [aux_sym_primitive_type_token1] = ACTIONS(5546),
    [anon_sym_byte] = ACTIONS(5546),
    [anon_sym_word] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
    [anon_sym_final] = ACTIONS(5546),
    [anon_sym_override] = ACTIONS(5546),
    [anon_sym_requires] = ACTIONS(5546),
  },
  [1810] = {
    [sym_template_argument_list] = STATE(1831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_COMMA] = ACTIONS(4833),
    [anon_sym_RPAREN] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4833),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_PROGMEM] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4833),
    [anon_sym_or_eq] = ACTIONS(4833),
    [anon_sym_xor_eq] = ACTIONS(4833),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4833),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4833),
    [anon_sym_not_eq] = ACTIONS(4833),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4833),
  },
  [1811] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___attribute] = ACTIONS(5550),
    [anon_sym___based] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5550),
    [anon_sym_unsigned] = ACTIONS(5550),
    [anon_sym_long] = ACTIONS(5550),
    [anon_sym_short] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5550),
    [anon_sym_constexpr] = ACTIONS(5550),
    [anon_sym_volatile] = ACTIONS(5550),
    [anon_sym_restrict] = ACTIONS(5550),
    [anon_sym___restrict__] = ACTIONS(5550),
    [anon_sym__Atomic] = ACTIONS(5550),
    [anon_sym__Noreturn] = ACTIONS(5550),
    [anon_sym_noreturn] = ACTIONS(5550),
    [anon_sym__Nonnull] = ACTIONS(5550),
    [anon_sym_mutable] = ACTIONS(5550),
    [anon_sym_constinit] = ACTIONS(5550),
    [anon_sym_consteval] = ACTIONS(5550),
    [anon_sym_PROGMEM] = ACTIONS(5550),
    [anon_sym_alignas] = ACTIONS(5550),
    [anon_sym__Alignas] = ACTIONS(5550),
    [aux_sym_primitive_type_token1] = ACTIONS(5550),
    [anon_sym_byte] = ACTIONS(5550),
    [anon_sym_word] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
    [anon_sym_final] = ACTIONS(5550),
    [anon_sym_override] = ACTIONS(5550),
    [anon_sym_requires] = ACTIONS(5550),
  },
  [1812] = {
    [sym_catch_clause] = STATE(1806),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1806),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5508),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5554),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym___attribute] = ACTIONS(5554),
    [anon_sym___based] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5554),
    [anon_sym_unsigned] = ACTIONS(5554),
    [anon_sym_long] = ACTIONS(5554),
    [anon_sym_short] = ACTIONS(5554),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5554),
    [anon_sym_constexpr] = ACTIONS(5554),
    [anon_sym_volatile] = ACTIONS(5554),
    [anon_sym_restrict] = ACTIONS(5554),
    [anon_sym___restrict__] = ACTIONS(5554),
    [anon_sym__Atomic] = ACTIONS(5554),
    [anon_sym__Noreturn] = ACTIONS(5554),
    [anon_sym_noreturn] = ACTIONS(5554),
    [anon_sym__Nonnull] = ACTIONS(5554),
    [anon_sym_mutable] = ACTIONS(5554),
    [anon_sym_constinit] = ACTIONS(5554),
    [anon_sym_consteval] = ACTIONS(5554),
    [anon_sym_PROGMEM] = ACTIONS(5554),
    [anon_sym_alignas] = ACTIONS(5554),
    [anon_sym__Alignas] = ACTIONS(5554),
    [aux_sym_primitive_type_token1] = ACTIONS(5554),
    [anon_sym_byte] = ACTIONS(5554),
    [anon_sym_word] = ACTIONS(5554),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_LT_EQ_GT] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
    [anon_sym_final] = ACTIONS(5554),
    [anon_sym_override] = ACTIONS(5554),
    [anon_sym_requires] = ACTIONS(5554),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_CARET] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5558),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5560),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym___extension__] = ACTIONS(5558),
    [anon_sym___attribute__] = ACTIONS(5558),
    [anon_sym___attribute] = ACTIONS(5558),
    [anon_sym___based] = ACTIONS(5558),
    [anon_sym_LBRACE] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_signed] = ACTIONS(5558),
    [anon_sym_unsigned] = ACTIONS(5558),
    [anon_sym_long] = ACTIONS(5558),
    [anon_sym_short] = ACTIONS(5558),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_const] = ACTIONS(5558),
    [anon_sym_constexpr] = ACTIONS(5558),
    [anon_sym_volatile] = ACTIONS(5558),
    [anon_sym_restrict] = ACTIONS(5558),
    [anon_sym___restrict__] = ACTIONS(5558),
    [anon_sym__Atomic] = ACTIONS(5558),
    [anon_sym__Noreturn] = ACTIONS(5558),
    [anon_sym_noreturn] = ACTIONS(5558),
    [anon_sym__Nonnull] = ACTIONS(5558),
    [anon_sym_mutable] = ACTIONS(5558),
    [anon_sym_constinit] = ACTIONS(5558),
    [anon_sym_consteval] = ACTIONS(5558),
    [anon_sym_PROGMEM] = ACTIONS(5558),
    [anon_sym_alignas] = ACTIONS(5558),
    [anon_sym__Alignas] = ACTIONS(5558),
    [aux_sym_primitive_type_token1] = ACTIONS(5558),
    [anon_sym_byte] = ACTIONS(5558),
    [anon_sym_word] = ACTIONS(5558),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5560),
    [anon_sym_LT_EQ_GT] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5558),
    [anon_sym_and] = ACTIONS(5558),
    [anon_sym_bitor] = ACTIONS(5558),
    [anon_sym_xor] = ACTIONS(5558),
    [anon_sym_bitand] = ACTIONS(5558),
    [anon_sym_not_eq] = ACTIONS(5558),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_DOT_STAR] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5558),
    [anon_sym_decltype] = ACTIONS(5558),
    [anon_sym_final] = ACTIONS(5558),
    [anon_sym_override] = ACTIONS(5558),
    [anon_sym_requires] = ACTIONS(5558),
  },
  [1815] = {
    [sym_identifier] = ACTIONS(5562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5562),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym___extension__] = ACTIONS(5562),
    [anon_sym___attribute__] = ACTIONS(5562),
    [anon_sym___attribute] = ACTIONS(5562),
    [anon_sym___based] = ACTIONS(5562),
    [anon_sym_LBRACE] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_signed] = ACTIONS(5562),
    [anon_sym_unsigned] = ACTIONS(5562),
    [anon_sym_long] = ACTIONS(5562),
    [anon_sym_short] = ACTIONS(5562),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(5562),
    [anon_sym_constexpr] = ACTIONS(5562),
    [anon_sym_volatile] = ACTIONS(5562),
    [anon_sym_restrict] = ACTIONS(5562),
    [anon_sym___restrict__] = ACTIONS(5562),
    [anon_sym__Atomic] = ACTIONS(5562),
    [anon_sym__Noreturn] = ACTIONS(5562),
    [anon_sym_noreturn] = ACTIONS(5562),
    [anon_sym__Nonnull] = ACTIONS(5562),
    [anon_sym_mutable] = ACTIONS(5562),
    [anon_sym_constinit] = ACTIONS(5562),
    [anon_sym_consteval] = ACTIONS(5562),
    [anon_sym_PROGMEM] = ACTIONS(5562),
    [anon_sym_alignas] = ACTIONS(5562),
    [anon_sym__Alignas] = ACTIONS(5562),
    [aux_sym_primitive_type_token1] = ACTIONS(5562),
    [anon_sym_byte] = ACTIONS(5562),
    [anon_sym_word] = ACTIONS(5562),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5564),
    [anon_sym_LT_EQ_GT] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5562),
    [anon_sym_and] = ACTIONS(5562),
    [anon_sym_bitor] = ACTIONS(5562),
    [anon_sym_xor] = ACTIONS(5562),
    [anon_sym_bitand] = ACTIONS(5562),
    [anon_sym_not_eq] = ACTIONS(5562),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_DOT_STAR] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5562),
    [anon_sym_decltype] = ACTIONS(5562),
    [anon_sym_final] = ACTIONS(5562),
    [anon_sym_override] = ACTIONS(5562),
    [anon_sym_requires] = ACTIONS(5562),
  },
  [1816] = {
    [sym_identifier] = ACTIONS(5566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [anon_sym_LPAREN2] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5566),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym___extension__] = ACTIONS(5566),
    [anon_sym___attribute__] = ACTIONS(5566),
    [anon_sym___attribute] = ACTIONS(5566),
    [anon_sym___based] = ACTIONS(5566),
    [anon_sym_LBRACE] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_signed] = ACTIONS(5566),
    [anon_sym_unsigned] = ACTIONS(5566),
    [anon_sym_long] = ACTIONS(5566),
    [anon_sym_short] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_const] = ACTIONS(5566),
    [anon_sym_constexpr] = ACTIONS(5566),
    [anon_sym_volatile] = ACTIONS(5566),
    [anon_sym_restrict] = ACTIONS(5566),
    [anon_sym___restrict__] = ACTIONS(5566),
    [anon_sym__Atomic] = ACTIONS(5566),
    [anon_sym__Noreturn] = ACTIONS(5566),
    [anon_sym_noreturn] = ACTIONS(5566),
    [anon_sym__Nonnull] = ACTIONS(5566),
    [anon_sym_mutable] = ACTIONS(5566),
    [anon_sym_constinit] = ACTIONS(5566),
    [anon_sym_consteval] = ACTIONS(5566),
    [anon_sym_PROGMEM] = ACTIONS(5566),
    [anon_sym_alignas] = ACTIONS(5566),
    [anon_sym__Alignas] = ACTIONS(5566),
    [aux_sym_primitive_type_token1] = ACTIONS(5566),
    [anon_sym_byte] = ACTIONS(5566),
    [anon_sym_word] = ACTIONS(5566),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5568),
    [anon_sym_LT_EQ_GT] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5566),
    [anon_sym_and] = ACTIONS(5566),
    [anon_sym_bitor] = ACTIONS(5566),
    [anon_sym_xor] = ACTIONS(5566),
    [anon_sym_bitand] = ACTIONS(5566),
    [anon_sym_not_eq] = ACTIONS(5566),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_DOT_STAR] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5566),
    [anon_sym_decltype] = ACTIONS(5566),
    [anon_sym_final] = ACTIONS(5566),
    [anon_sym_override] = ACTIONS(5566),
    [anon_sym_requires] = ACTIONS(5566),
  },
  [1817] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5514),
  },
  [1818] = {
    [sym_identifier] = ACTIONS(5570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [anon_sym_LPAREN2] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5570),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5572),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym___based] = ACTIONS(5570),
    [anon_sym_LBRACE] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym__Nonnull] = ACTIONS(5570),
    [anon_sym_mutable] = ACTIONS(5570),
    [anon_sym_constinit] = ACTIONS(5570),
    [anon_sym_consteval] = ACTIONS(5570),
    [anon_sym_PROGMEM] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym__Alignas] = ACTIONS(5570),
    [aux_sym_primitive_type_token1] = ACTIONS(5570),
    [anon_sym_byte] = ACTIONS(5570),
    [anon_sym_word] = ACTIONS(5570),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5572),
    [anon_sym_LT_EQ_GT] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5570),
    [anon_sym_and] = ACTIONS(5570),
    [anon_sym_bitor] = ACTIONS(5570),
    [anon_sym_xor] = ACTIONS(5570),
    [anon_sym_bitand] = ACTIONS(5570),
    [anon_sym_not_eq] = ACTIONS(5570),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_DOT_STAR] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5570),
    [anon_sym_decltype] = ACTIONS(5570),
    [anon_sym_final] = ACTIONS(5570),
    [anon_sym_override] = ACTIONS(5570),
    [anon_sym_requires] = ACTIONS(5570),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(5574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_RPAREN] = ACTIONS(5576),
    [anon_sym_LPAREN2] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_CARET] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5574),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5576),
    [anon_sym_GT_GT] = ACTIONS(5576),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym___based] = ACTIONS(5574),
    [anon_sym_LBRACE] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_RBRACK] = ACTIONS(5576),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym__Nonnull] = ACTIONS(5574),
    [anon_sym_mutable] = ACTIONS(5574),
    [anon_sym_constinit] = ACTIONS(5574),
    [anon_sym_consteval] = ACTIONS(5574),
    [anon_sym_PROGMEM] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym__Alignas] = ACTIONS(5574),
    [aux_sym_primitive_type_token1] = ACTIONS(5574),
    [anon_sym_byte] = ACTIONS(5574),
    [anon_sym_word] = ACTIONS(5574),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5576),
    [anon_sym_LT_EQ_GT] = ACTIONS(5576),
    [anon_sym_or] = ACTIONS(5574),
    [anon_sym_and] = ACTIONS(5574),
    [anon_sym_bitor] = ACTIONS(5574),
    [anon_sym_xor] = ACTIONS(5574),
    [anon_sym_bitand] = ACTIONS(5574),
    [anon_sym_not_eq] = ACTIONS(5574),
    [anon_sym_DASH_DASH] = ACTIONS(5576),
    [anon_sym_PLUS_PLUS] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_DOT_STAR] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5574),
    [anon_sym_decltype] = ACTIONS(5574),
    [anon_sym_final] = ACTIONS(5574),
    [anon_sym_override] = ACTIONS(5574),
    [anon_sym_requires] = ACTIONS(5574),
  },
  [1820] = {
    [sym_identifier] = ACTIONS(5578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5578),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym___extension__] = ACTIONS(5578),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym___attribute] = ACTIONS(5578),
    [anon_sym___based] = ACTIONS(5578),
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_signed] = ACTIONS(5578),
    [anon_sym_unsigned] = ACTIONS(5578),
    [anon_sym_long] = ACTIONS(5578),
    [anon_sym_short] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_const] = ACTIONS(5578),
    [anon_sym_constexpr] = ACTIONS(5578),
    [anon_sym_volatile] = ACTIONS(5578),
    [anon_sym_restrict] = ACTIONS(5578),
    [anon_sym___restrict__] = ACTIONS(5578),
    [anon_sym__Atomic] = ACTIONS(5578),
    [anon_sym__Noreturn] = ACTIONS(5578),
    [anon_sym_noreturn] = ACTIONS(5578),
    [anon_sym__Nonnull] = ACTIONS(5578),
    [anon_sym_mutable] = ACTIONS(5578),
    [anon_sym_constinit] = ACTIONS(5578),
    [anon_sym_consteval] = ACTIONS(5578),
    [anon_sym_PROGMEM] = ACTIONS(5578),
    [anon_sym_alignas] = ACTIONS(5578),
    [anon_sym__Alignas] = ACTIONS(5578),
    [aux_sym_primitive_type_token1] = ACTIONS(5578),
    [anon_sym_byte] = ACTIONS(5578),
    [anon_sym_word] = ACTIONS(5578),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5578),
    [anon_sym_and] = ACTIONS(5578),
    [anon_sym_bitor] = ACTIONS(5578),
    [anon_sym_xor] = ACTIONS(5578),
    [anon_sym_bitand] = ACTIONS(5578),
    [anon_sym_not_eq] = ACTIONS(5578),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_DOT_STAR] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
    [anon_sym_final] = ACTIONS(5578),
    [anon_sym_override] = ACTIONS(5578),
    [anon_sym_requires] = ACTIONS(5578),
  },
  [1821] = {
    [sym_catch_clause] = STATE(1806),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1806),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5508),
  },
  [1822] = {
    [sym_identifier] = ACTIONS(5582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5582),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym___extension__] = ACTIONS(5582),
    [anon_sym___attribute__] = ACTIONS(5582),
    [anon_sym___attribute] = ACTIONS(5582),
    [anon_sym___based] = ACTIONS(5582),
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_signed] = ACTIONS(5582),
    [anon_sym_unsigned] = ACTIONS(5582),
    [anon_sym_long] = ACTIONS(5582),
    [anon_sym_short] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_const] = ACTIONS(5582),
    [anon_sym_constexpr] = ACTIONS(5582),
    [anon_sym_volatile] = ACTIONS(5582),
    [anon_sym_restrict] = ACTIONS(5582),
    [anon_sym___restrict__] = ACTIONS(5582),
    [anon_sym__Atomic] = ACTIONS(5582),
    [anon_sym__Noreturn] = ACTIONS(5582),
    [anon_sym_noreturn] = ACTIONS(5582),
    [anon_sym__Nonnull] = ACTIONS(5582),
    [anon_sym_mutable] = ACTIONS(5582),
    [anon_sym_constinit] = ACTIONS(5582),
    [anon_sym_consteval] = ACTIONS(5582),
    [anon_sym_PROGMEM] = ACTIONS(5582),
    [anon_sym_alignas] = ACTIONS(5582),
    [anon_sym__Alignas] = ACTIONS(5582),
    [aux_sym_primitive_type_token1] = ACTIONS(5582),
    [anon_sym_byte] = ACTIONS(5582),
    [anon_sym_word] = ACTIONS(5582),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_and] = ACTIONS(5582),
    [anon_sym_bitor] = ACTIONS(5582),
    [anon_sym_xor] = ACTIONS(5582),
    [anon_sym_bitand] = ACTIONS(5582),
    [anon_sym_not_eq] = ACTIONS(5582),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_DOT_STAR] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5582),
    [anon_sym_decltype] = ACTIONS(5582),
    [anon_sym_final] = ACTIONS(5582),
    [anon_sym_override] = ACTIONS(5582),
    [anon_sym_requires] = ACTIONS(5582),
  },
  [1823] = {
    [sym_identifier] = ACTIONS(5586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_RPAREN] = ACTIONS(5588),
    [anon_sym_LPAREN2] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_EQ_EQ] = ACTIONS(5588),
    [anon_sym_BANG_EQ] = ACTIONS(5588),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5586),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym___based] = ACTIONS(5586),
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_RBRACK] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_mutable] = ACTIONS(5586),
    [anon_sym_constinit] = ACTIONS(5586),
    [anon_sym_consteval] = ACTIONS(5586),
    [anon_sym_PROGMEM] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [aux_sym_primitive_type_token1] = ACTIONS(5586),
    [anon_sym_byte] = ACTIONS(5586),
    [anon_sym_word] = ACTIONS(5586),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5588),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_and] = ACTIONS(5586),
    [anon_sym_bitor] = ACTIONS(5586),
    [anon_sym_xor] = ACTIONS(5586),
    [anon_sym_bitand] = ACTIONS(5586),
    [anon_sym_not_eq] = ACTIONS(5586),
    [anon_sym_DASH_DASH] = ACTIONS(5588),
    [anon_sym_PLUS_PLUS] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_DOT_STAR] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
    [anon_sym_final] = ACTIONS(5586),
    [anon_sym_override] = ACTIONS(5586),
    [anon_sym_requires] = ACTIONS(5586),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(5590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5590),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym___extension__] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym___attribute] = ACTIONS(5590),
    [anon_sym___based] = ACTIONS(5590),
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_signed] = ACTIONS(5590),
    [anon_sym_unsigned] = ACTIONS(5590),
    [anon_sym_long] = ACTIONS(5590),
    [anon_sym_short] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_const] = ACTIONS(5590),
    [anon_sym_constexpr] = ACTIONS(5590),
    [anon_sym_volatile] = ACTIONS(5590),
    [anon_sym_restrict] = ACTIONS(5590),
    [anon_sym___restrict__] = ACTIONS(5590),
    [anon_sym__Atomic] = ACTIONS(5590),
    [anon_sym__Noreturn] = ACTIONS(5590),
    [anon_sym_noreturn] = ACTIONS(5590),
    [anon_sym__Nonnull] = ACTIONS(5590),
    [anon_sym_mutable] = ACTIONS(5590),
    [anon_sym_constinit] = ACTIONS(5590),
    [anon_sym_consteval] = ACTIONS(5590),
    [anon_sym_PROGMEM] = ACTIONS(5590),
    [anon_sym_alignas] = ACTIONS(5590),
    [anon_sym__Alignas] = ACTIONS(5590),
    [aux_sym_primitive_type_token1] = ACTIONS(5590),
    [anon_sym_byte] = ACTIONS(5590),
    [anon_sym_word] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_LT_EQ_GT] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5590),
    [anon_sym_and] = ACTIONS(5590),
    [anon_sym_bitor] = ACTIONS(5590),
    [anon_sym_xor] = ACTIONS(5590),
    [anon_sym_bitand] = ACTIONS(5590),
    [anon_sym_not_eq] = ACTIONS(5590),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_DOT_STAR] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
    [anon_sym_final] = ACTIONS(5590),
    [anon_sym_override] = ACTIONS(5590),
    [anon_sym_requires] = ACTIONS(5590),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5594),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym___attribute] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym__Nonnull] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [anon_sym_PROGMEM] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym__Alignas] = ACTIONS(5594),
    [aux_sym_primitive_type_token1] = ACTIONS(5594),
    [anon_sym_byte] = ACTIONS(5594),
    [anon_sym_word] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_and] = ACTIONS(5594),
    [anon_sym_bitor] = ACTIONS(5594),
    [anon_sym_xor] = ACTIONS(5594),
    [anon_sym_bitand] = ACTIONS(5594),
    [anon_sym_not_eq] = ACTIONS(5594),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_final] = ACTIONS(5594),
    [anon_sym_override] = ACTIONS(5594),
    [anon_sym_requires] = ACTIONS(5594),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(5598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym___attribute] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym__Nonnull] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [anon_sym_PROGMEM] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym__Alignas] = ACTIONS(5598),
    [aux_sym_primitive_type_token1] = ACTIONS(5598),
    [anon_sym_byte] = ACTIONS(5598),
    [anon_sym_word] = ACTIONS(5598),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5598),
    [anon_sym_and] = ACTIONS(5598),
    [anon_sym_bitor] = ACTIONS(5598),
    [anon_sym_xor] = ACTIONS(5598),
    [anon_sym_bitand] = ACTIONS(5598),
    [anon_sym_not_eq] = ACTIONS(5598),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_final] = ACTIONS(5598),
    [anon_sym_override] = ACTIONS(5598),
    [anon_sym_requires] = ACTIONS(5598),
  },
  [1827] = {
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym___based] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym__Nonnull] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [anon_sym_PROGMEM] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5602),
    [anon_sym__Alignas] = ACTIONS(5602),
    [aux_sym_primitive_type_token1] = ACTIONS(5602),
    [anon_sym_byte] = ACTIONS(5602),
    [anon_sym_word] = ACTIONS(5602),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_final] = ACTIONS(5602),
    [anon_sym_override] = ACTIONS(5602),
    [anon_sym_requires] = ACTIONS(5602),
  },
  [1828] = {
    [sym_identifier] = ACTIONS(5606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_CARET] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5606),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5608),
    [anon_sym_GT_GT] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5606),
    [anon_sym___attribute] = ACTIONS(5606),
    [anon_sym___based] = ACTIONS(5606),
    [anon_sym_LBRACE] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_signed] = ACTIONS(5606),
    [anon_sym_unsigned] = ACTIONS(5606),
    [anon_sym_long] = ACTIONS(5606),
    [anon_sym_short] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_const] = ACTIONS(5606),
    [anon_sym_constexpr] = ACTIONS(5606),
    [anon_sym_volatile] = ACTIONS(5606),
    [anon_sym_restrict] = ACTIONS(5606),
    [anon_sym___restrict__] = ACTIONS(5606),
    [anon_sym__Atomic] = ACTIONS(5606),
    [anon_sym__Noreturn] = ACTIONS(5606),
    [anon_sym_noreturn] = ACTIONS(5606),
    [anon_sym__Nonnull] = ACTIONS(5606),
    [anon_sym_mutable] = ACTIONS(5606),
    [anon_sym_constinit] = ACTIONS(5606),
    [anon_sym_consteval] = ACTIONS(5606),
    [anon_sym_PROGMEM] = ACTIONS(5606),
    [anon_sym_alignas] = ACTIONS(5606),
    [anon_sym__Alignas] = ACTIONS(5606),
    [aux_sym_primitive_type_token1] = ACTIONS(5606),
    [anon_sym_byte] = ACTIONS(5606),
    [anon_sym_word] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5608),
    [anon_sym_LT_EQ_GT] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5606),
    [anon_sym_and] = ACTIONS(5606),
    [anon_sym_bitor] = ACTIONS(5606),
    [anon_sym_xor] = ACTIONS(5606),
    [anon_sym_bitand] = ACTIONS(5606),
    [anon_sym_not_eq] = ACTIONS(5606),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_DOT_STAR] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5606),
    [anon_sym_decltype] = ACTIONS(5606),
    [anon_sym_final] = ACTIONS(5606),
    [anon_sym_override] = ACTIONS(5606),
    [anon_sym_requires] = ACTIONS(5606),
  },
  [1829] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_PROGMEM] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [aux_sym_primitive_type_token1] = ACTIONS(5492),
    [anon_sym_byte] = ACTIONS(5492),
    [anon_sym_word] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_final] = ACTIONS(5492),
    [anon_sym_override] = ACTIONS(5492),
    [anon_sym_requires] = ACTIONS(5492),
  },
  [1830] = {
    [sym_identifier] = ACTIONS(5610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5610),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym___extension__] = ACTIONS(5610),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym___attribute] = ACTIONS(5610),
    [anon_sym___based] = ACTIONS(5610),
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_const] = ACTIONS(5610),
    [anon_sym_constexpr] = ACTIONS(5610),
    [anon_sym_volatile] = ACTIONS(5610),
    [anon_sym_restrict] = ACTIONS(5610),
    [anon_sym___restrict__] = ACTIONS(5610),
    [anon_sym__Atomic] = ACTIONS(5610),
    [anon_sym__Noreturn] = ACTIONS(5610),
    [anon_sym_noreturn] = ACTIONS(5610),
    [anon_sym__Nonnull] = ACTIONS(5610),
    [anon_sym_mutable] = ACTIONS(5610),
    [anon_sym_constinit] = ACTIONS(5610),
    [anon_sym_consteval] = ACTIONS(5610),
    [anon_sym_PROGMEM] = ACTIONS(5610),
    [anon_sym_alignas] = ACTIONS(5610),
    [anon_sym__Alignas] = ACTIONS(5610),
    [aux_sym_primitive_type_token1] = ACTIONS(5610),
    [anon_sym_byte] = ACTIONS(5610),
    [anon_sym_word] = ACTIONS(5610),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_LT_EQ_GT] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_and] = ACTIONS(5610),
    [anon_sym_bitor] = ACTIONS(5610),
    [anon_sym_xor] = ACTIONS(5610),
    [anon_sym_bitand] = ACTIONS(5610),
    [anon_sym_not_eq] = ACTIONS(5610),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_DOT_STAR] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
    [anon_sym_final] = ACTIONS(5610),
    [anon_sym_override] = ACTIONS(5610),
    [anon_sym_requires] = ACTIONS(5610),
  },
  [1831] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(5614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5614),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5616),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym___extension__] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym___attribute] = ACTIONS(5614),
    [anon_sym___based] = ACTIONS(5614),
    [anon_sym_LBRACE] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_signed] = ACTIONS(5614),
    [anon_sym_unsigned] = ACTIONS(5614),
    [anon_sym_long] = ACTIONS(5614),
    [anon_sym_short] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_const] = ACTIONS(5614),
    [anon_sym_constexpr] = ACTIONS(5614),
    [anon_sym_volatile] = ACTIONS(5614),
    [anon_sym_restrict] = ACTIONS(5614),
    [anon_sym___restrict__] = ACTIONS(5614),
    [anon_sym__Atomic] = ACTIONS(5614),
    [anon_sym__Noreturn] = ACTIONS(5614),
    [anon_sym_noreturn] = ACTIONS(5614),
    [anon_sym__Nonnull] = ACTIONS(5614),
    [anon_sym_mutable] = ACTIONS(5614),
    [anon_sym_constinit] = ACTIONS(5614),
    [anon_sym_consteval] = ACTIONS(5614),
    [anon_sym_PROGMEM] = ACTIONS(5614),
    [anon_sym_alignas] = ACTIONS(5614),
    [anon_sym__Alignas] = ACTIONS(5614),
    [aux_sym_primitive_type_token1] = ACTIONS(5614),
    [anon_sym_byte] = ACTIONS(5614),
    [anon_sym_word] = ACTIONS(5614),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5616),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_and] = ACTIONS(5614),
    [anon_sym_bitor] = ACTIONS(5614),
    [anon_sym_xor] = ACTIONS(5614),
    [anon_sym_bitand] = ACTIONS(5614),
    [anon_sym_not_eq] = ACTIONS(5614),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_DOT_STAR] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
    [anon_sym_final] = ACTIONS(5614),
    [anon_sym_override] = ACTIONS(5614),
    [anon_sym_requires] = ACTIONS(5614),
  },
  [1833] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4769),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1834] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1835] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6280),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6723),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6723),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1836] = {
    [sym_template_argument_list] = STATE(1876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_COMMA] = ACTIONS(4833),
    [anon_sym_RPAREN] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(5636),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4835),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_PROGMEM] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4833),
    [anon_sym_or_eq] = ACTIONS(4833),
    [anon_sym_xor_eq] = ACTIONS(4833),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4833),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4833),
    [anon_sym_not_eq] = ACTIONS(4833),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4833),
  },
  [1837] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6206),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6698),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6698),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1838] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6209),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6723),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6723),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1839] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5237),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1840] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6268),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6722),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1841] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6170),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6722),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1842] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6251),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6710),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6710),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1843] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6219),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6710),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6710),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1844] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6281),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6707),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6707),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1845] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6125),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6725),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6725),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1846] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6141),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6707),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6707),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1847] = {
    [sym__declaration_modifiers] = STATE(3257),
    [sym_attribute_specifier] = STATE(3257),
    [sym_attribute_declaration] = STATE(3257),
    [sym_ms_declspec_modifier] = STATE(3257),
    [sym_ms_based_modifier] = STATE(7995),
    [sym__declarator] = STATE(6629),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_function_declarator] = STATE(6183),
    [sym_array_declarator] = STATE(5997),
    [sym_storage_class_specifier] = STATE(3257),
    [sym_type_qualifier] = STATE(3257),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype] = STATE(8077),
    [sym_explicit_function_specifier] = STATE(3257),
    [sym_operator_cast] = STATE(6746),
    [sym__constructor_specifiers] = STATE(3257),
    [sym_reference_declarator] = STATE(5997),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5580),
    [sym_qualified_identifier] = STATE(5997),
    [sym_qualified_operator_cast_identifier] = STATE(6746),
    [sym_operator_name] = STATE(5997),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3257),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4800),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1849] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4806),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1850] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4809),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1851] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4811),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1852] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2330),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(2928),
    [sym_attribute_specifier] = STATE(2928),
    [sym_attribute_declaration] = STATE(2928),
    [sym_ms_declspec_modifier] = STATE(2928),
    [sym_storage_class_specifier] = STATE(2928),
    [sym_type_qualifier] = STATE(2928),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2322),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1854] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1855] = {
    [sym_template_argument_list] = STATE(1976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4835),
    [anon_sym_COMMA] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(5641),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4835),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_PROGMEM] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4833),
    [anon_sym_or_eq] = ACTIONS(4833),
    [anon_sym_xor_eq] = ACTIONS(4833),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4833),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4833),
    [anon_sym_not_eq] = ACTIONS(4833),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_GT2] = ACTIONS(4835),
  },
  [1856] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
  },
  [1857] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_friend] = ACTIONS(1924),
    [anon_sym_public] = ACTIONS(1924),
    [anon_sym_private] = ACTIONS(1924),
    [anon_sym_protected] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
  },
  [1858] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1859] = {
    [sym__declaration_modifiers] = STATE(2928),
    [sym_attribute_specifier] = STATE(2928),
    [sym_attribute_declaration] = STATE(2928),
    [sym_ms_declspec_modifier] = STATE(2928),
    [sym_storage_class_specifier] = STATE(2928),
    [sym_type_qualifier] = STATE(2928),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(4011),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2980),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6520),
    [sym_qualified_type_identifier] = STATE(2643),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2407),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1860] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1860),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_TILDE] = ACTIONS(4922),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym_virtual] = ACTIONS(4920),
    [anon_sym_extern] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4922),
    [anon_sym___declspec] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym___cdecl] = ACTIONS(4920),
    [anon_sym___clrcall] = ACTIONS(4920),
    [anon_sym___stdcall] = ACTIONS(4920),
    [anon_sym___fastcall] = ACTIONS(4920),
    [anon_sym___thiscall] = ACTIONS(4920),
    [anon_sym___vectorcall] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5644),
    [anon_sym_unsigned] = ACTIONS(5644),
    [anon_sym_long] = ACTIONS(5644),
    [anon_sym_short] = ACTIONS(5644),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_static] = ACTIONS(4920),
    [anon_sym_EQ] = ACTIONS(4922),
    [anon_sym_register] = ACTIONS(4920),
    [anon_sym_inline] = ACTIONS(4920),
    [anon_sym___inline] = ACTIONS(4920),
    [anon_sym___inline__] = ACTIONS(4920),
    [anon_sym___forceinline] = ACTIONS(4920),
    [anon_sym_thread_local] = ACTIONS(4920),
    [anon_sym___thread] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_asm] = ACTIONS(4920),
    [anon_sym___asm__] = ACTIONS(4920),
    [anon_sym___asm] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_template] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
    [anon_sym_operator] = ACTIONS(4920),
    [anon_sym_try] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_friend] = ACTIONS(2653),
    [anon_sym_public] = ACTIONS(2653),
    [anon_sym_private] = ACTIONS(2653),
    [anon_sym_protected] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
  },
  [1862] = {
    [sym__declaration_modifiers] = STATE(2928),
    [sym_attribute_specifier] = STATE(2928),
    [sym_attribute_declaration] = STATE(2928),
    [sym_ms_declspec_modifier] = STATE(2928),
    [sym_storage_class_specifier] = STATE(2928),
    [sym_type_qualifier] = STATE(2928),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2322),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6540),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1863] = {
    [sym__declaration_modifiers] = STATE(2928),
    [sym_attribute_specifier] = STATE(2928),
    [sym_attribute_declaration] = STATE(2928),
    [sym_ms_declspec_modifier] = STATE(2928),
    [sym_storage_class_specifier] = STATE(2928),
    [sym_type_qualifier] = STATE(2928),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_type_specifier] = STATE(2322),
    [sym_sized_type_specifier] = STATE(2367),
    [sym_primitive_type] = STATE(2637),
    [sym_enum_specifier] = STATE(2367),
    [sym_struct_specifier] = STATE(2367),
    [sym_union_specifier] = STATE(2367),
    [sym_placeholder_type_specifier] = STATE(2367),
    [sym_decltype_auto] = STATE(2412),
    [sym_decltype] = STATE(2319),
    [sym_class_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(2367),
    [sym_template_type] = STATE(2319),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(2949),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1241),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(5647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5649),
    [anon_sym_COMMA] = ACTIONS(5649),
    [anon_sym_RPAREN] = ACTIONS(5649),
    [aux_sym_preproc_if_token2] = ACTIONS(5649),
    [aux_sym_preproc_else_token1] = ACTIONS(5649),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_DASH] = ACTIONS(5647),
    [anon_sym_PLUS] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_SLASH] = ACTIONS(5647),
    [anon_sym_PERCENT] = ACTIONS(5647),
    [anon_sym_PIPE_PIPE] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_PIPE] = ACTIONS(5647),
    [anon_sym_CARET] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym_EQ_EQ] = ACTIONS(5649),
    [anon_sym_BANG_EQ] = ACTIONS(5649),
    [anon_sym_GT] = ACTIONS(5647),
    [anon_sym_GT_EQ] = ACTIONS(5649),
    [anon_sym_LT_EQ] = ACTIONS(5647),
    [anon_sym_LT] = ACTIONS(5647),
    [anon_sym_LT_LT] = ACTIONS(5647),
    [anon_sym_GT_GT] = ACTIONS(5647),
    [anon_sym_SEMI] = ACTIONS(5649),
    [anon_sym_RBRACE] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_RBRACK] = ACTIONS(5649),
    [anon_sym_EQ] = ACTIONS(5647),
    [anon_sym_COLON] = ACTIONS(5649),
    [anon_sym_QMARK] = ACTIONS(5649),
    [anon_sym_STAR_EQ] = ACTIONS(5649),
    [anon_sym_SLASH_EQ] = ACTIONS(5649),
    [anon_sym_PERCENT_EQ] = ACTIONS(5649),
    [anon_sym_PLUS_EQ] = ACTIONS(5649),
    [anon_sym_DASH_EQ] = ACTIONS(5649),
    [anon_sym_LT_LT_EQ] = ACTIONS(5649),
    [anon_sym_GT_GT_EQ] = ACTIONS(5649),
    [anon_sym_AMP_EQ] = ACTIONS(5649),
    [anon_sym_CARET_EQ] = ACTIONS(5649),
    [anon_sym_PIPE_EQ] = ACTIONS(5649),
    [anon_sym_and_eq] = ACTIONS(5647),
    [anon_sym_or_eq] = ACTIONS(5647),
    [anon_sym_xor_eq] = ACTIONS(5647),
    [anon_sym_LT_EQ_GT] = ACTIONS(5649),
    [anon_sym_or] = ACTIONS(5647),
    [anon_sym_and] = ACTIONS(5647),
    [anon_sym_bitor] = ACTIONS(5647),
    [anon_sym_xor] = ACTIONS(5647),
    [anon_sym_bitand] = ACTIONS(5647),
    [anon_sym_not_eq] = ACTIONS(5647),
    [anon_sym_DASH_DASH] = ACTIONS(5649),
    [anon_sym_PLUS_PLUS] = ACTIONS(5649),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_DOT_STAR] = ACTIONS(5649),
    [anon_sym_DASH_GT] = ACTIONS(5649),
    [anon_sym_L_DQUOTE] = ACTIONS(5649),
    [anon_sym_u_DQUOTE] = ACTIONS(5649),
    [anon_sym_U_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8_DQUOTE] = ACTIONS(5649),
    [anon_sym_DQUOTE] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5649),
    [anon_sym_LR_DQUOTE] = ACTIONS(5649),
    [anon_sym_uR_DQUOTE] = ACTIONS(5649),
    [anon_sym_UR_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5649),
    [sym_literal_suffix] = ACTIONS(5647),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5651),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5651),
    [anon_sym_GT_GT] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_EQ] = ACTIONS(5651),
    [anon_sym_COLON] = ACTIONS(5653),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_STAR_EQ] = ACTIONS(5653),
    [anon_sym_SLASH_EQ] = ACTIONS(5653),
    [anon_sym_PERCENT_EQ] = ACTIONS(5653),
    [anon_sym_PLUS_EQ] = ACTIONS(5653),
    [anon_sym_DASH_EQ] = ACTIONS(5653),
    [anon_sym_LT_LT_EQ] = ACTIONS(5653),
    [anon_sym_GT_GT_EQ] = ACTIONS(5653),
    [anon_sym_AMP_EQ] = ACTIONS(5653),
    [anon_sym_CARET_EQ] = ACTIONS(5653),
    [anon_sym_PIPE_EQ] = ACTIONS(5653),
    [anon_sym_and_eq] = ACTIONS(5651),
    [anon_sym_or_eq] = ACTIONS(5651),
    [anon_sym_xor_eq] = ACTIONS(5651),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [anon_sym_L_DQUOTE] = ACTIONS(5653),
    [anon_sym_u_DQUOTE] = ACTIONS(5653),
    [anon_sym_U_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8_DQUOTE] = ACTIONS(5653),
    [anon_sym_DQUOTE] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5653),
    [anon_sym_LR_DQUOTE] = ACTIONS(5653),
    [anon_sym_uR_DQUOTE] = ACTIONS(5653),
    [anon_sym_UR_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5653),
    [sym_literal_suffix] = ACTIONS(5651),
  },
  [1866] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1867] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
    [anon_sym_catch] = ACTIONS(1920),
  },
  [1868] = {
    [sym_identifier] = ACTIONS(5655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5657),
    [anon_sym_COMMA] = ACTIONS(5657),
    [anon_sym_RPAREN] = ACTIONS(5657),
    [aux_sym_preproc_if_token2] = ACTIONS(5657),
    [aux_sym_preproc_else_token1] = ACTIONS(5657),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_DASH] = ACTIONS(5655),
    [anon_sym_PLUS] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_SLASH] = ACTIONS(5655),
    [anon_sym_PERCENT] = ACTIONS(5655),
    [anon_sym_PIPE_PIPE] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_PIPE] = ACTIONS(5655),
    [anon_sym_CARET] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym_EQ_EQ] = ACTIONS(5657),
    [anon_sym_BANG_EQ] = ACTIONS(5657),
    [anon_sym_GT] = ACTIONS(5655),
    [anon_sym_GT_EQ] = ACTIONS(5657),
    [anon_sym_LT_EQ] = ACTIONS(5655),
    [anon_sym_LT] = ACTIONS(5655),
    [anon_sym_LT_LT] = ACTIONS(5655),
    [anon_sym_GT_GT] = ACTIONS(5655),
    [anon_sym_SEMI] = ACTIONS(5657),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_RBRACK] = ACTIONS(5657),
    [anon_sym_EQ] = ACTIONS(5655),
    [anon_sym_COLON] = ACTIONS(5657),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_STAR_EQ] = ACTIONS(5657),
    [anon_sym_SLASH_EQ] = ACTIONS(5657),
    [anon_sym_PERCENT_EQ] = ACTIONS(5657),
    [anon_sym_PLUS_EQ] = ACTIONS(5657),
    [anon_sym_DASH_EQ] = ACTIONS(5657),
    [anon_sym_LT_LT_EQ] = ACTIONS(5657),
    [anon_sym_GT_GT_EQ] = ACTIONS(5657),
    [anon_sym_AMP_EQ] = ACTIONS(5657),
    [anon_sym_CARET_EQ] = ACTIONS(5657),
    [anon_sym_PIPE_EQ] = ACTIONS(5657),
    [anon_sym_and_eq] = ACTIONS(5655),
    [anon_sym_or_eq] = ACTIONS(5655),
    [anon_sym_xor_eq] = ACTIONS(5655),
    [anon_sym_LT_EQ_GT] = ACTIONS(5657),
    [anon_sym_or] = ACTIONS(5655),
    [anon_sym_and] = ACTIONS(5655),
    [anon_sym_bitor] = ACTIONS(5655),
    [anon_sym_xor] = ACTIONS(5655),
    [anon_sym_bitand] = ACTIONS(5655),
    [anon_sym_not_eq] = ACTIONS(5655),
    [anon_sym_DASH_DASH] = ACTIONS(5657),
    [anon_sym_PLUS_PLUS] = ACTIONS(5657),
    [anon_sym_DOT] = ACTIONS(5655),
    [anon_sym_DOT_STAR] = ACTIONS(5657),
    [anon_sym_DASH_GT] = ACTIONS(5657),
    [anon_sym_L_DQUOTE] = ACTIONS(5657),
    [anon_sym_u_DQUOTE] = ACTIONS(5657),
    [anon_sym_U_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8_DQUOTE] = ACTIONS(5657),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5657),
    [anon_sym_LR_DQUOTE] = ACTIONS(5657),
    [anon_sym_uR_DQUOTE] = ACTIONS(5657),
    [anon_sym_UR_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5657),
    [sym_literal_suffix] = ACTIONS(5655),
  },
  [1869] = {
    [sym_attribute_specifier] = STATE(2192),
    [sym_field_declaration_list] = STATE(2174),
    [sym_virtual_specifier] = STATE(6862),
    [sym_base_class_clause] = STATE(7656),
    [sym_identifier] = ACTIONS(5659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5661),
    [anon_sym_COMMA] = ACTIONS(5661),
    [anon_sym_RPAREN] = ACTIONS(5661),
    [aux_sym_preproc_if_token2] = ACTIONS(5661),
    [aux_sym_preproc_else_token1] = ACTIONS(5661),
    [aux_sym_preproc_elif_token1] = ACTIONS(5659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5661),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5661),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_DASH] = ACTIONS(5659),
    [anon_sym_PLUS] = ACTIONS(5659),
    [anon_sym_STAR] = ACTIONS(5659),
    [anon_sym_SLASH] = ACTIONS(5659),
    [anon_sym_PERCENT] = ACTIONS(5659),
    [anon_sym_PIPE_PIPE] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_PIPE] = ACTIONS(5659),
    [anon_sym_CARET] = ACTIONS(5659),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_EQ_EQ] = ACTIONS(5661),
    [anon_sym_BANG_EQ] = ACTIONS(5661),
    [anon_sym_GT] = ACTIONS(5659),
    [anon_sym_GT_EQ] = ACTIONS(5661),
    [anon_sym_LT_EQ] = ACTIONS(5659),
    [anon_sym_LT] = ACTIONS(5659),
    [anon_sym_LT_LT] = ACTIONS(5659),
    [anon_sym_GT_GT] = ACTIONS(5659),
    [anon_sym_SEMI] = ACTIONS(5661),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5665),
    [anon_sym_RBRACE] = ACTIONS(5661),
    [anon_sym_LBRACK] = ACTIONS(5661),
    [anon_sym_RBRACK] = ACTIONS(5661),
    [anon_sym_EQ] = ACTIONS(5659),
    [anon_sym_COLON] = ACTIONS(5667),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_STAR_EQ] = ACTIONS(5661),
    [anon_sym_SLASH_EQ] = ACTIONS(5661),
    [anon_sym_PERCENT_EQ] = ACTIONS(5661),
    [anon_sym_PLUS_EQ] = ACTIONS(5661),
    [anon_sym_DASH_EQ] = ACTIONS(5661),
    [anon_sym_LT_LT_EQ] = ACTIONS(5661),
    [anon_sym_GT_GT_EQ] = ACTIONS(5661),
    [anon_sym_AMP_EQ] = ACTIONS(5661),
    [anon_sym_CARET_EQ] = ACTIONS(5661),
    [anon_sym_PIPE_EQ] = ACTIONS(5661),
    [anon_sym_and_eq] = ACTIONS(5659),
    [anon_sym_or_eq] = ACTIONS(5659),
    [anon_sym_xor_eq] = ACTIONS(5659),
    [anon_sym_LT_EQ_GT] = ACTIONS(5661),
    [anon_sym_or] = ACTIONS(5659),
    [anon_sym_and] = ACTIONS(5659),
    [anon_sym_bitor] = ACTIONS(5659),
    [anon_sym_xor] = ACTIONS(5659),
    [anon_sym_bitand] = ACTIONS(5659),
    [anon_sym_not_eq] = ACTIONS(5659),
    [anon_sym_DASH_DASH] = ACTIONS(5661),
    [anon_sym_PLUS_PLUS] = ACTIONS(5661),
    [anon_sym_DOT] = ACTIONS(5659),
    [anon_sym_DOT_STAR] = ACTIONS(5661),
    [anon_sym_DASH_GT] = ACTIONS(5661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_final] = ACTIONS(5669),
    [anon_sym_override] = ACTIONS(5669),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(1924),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_friend] = ACTIONS(1924),
    [anon_sym_public] = ACTIONS(1924),
    [anon_sym_private] = ACTIONS(1924),
    [anon_sym_protected] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_static_assert] = ACTIONS(1924),
    [anon_sym_catch] = ACTIONS(1924),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [anon_sym_L_DQUOTE] = ACTIONS(5673),
    [anon_sym_u_DQUOTE] = ACTIONS(5673),
    [anon_sym_U_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8_DQUOTE] = ACTIONS(5673),
    [anon_sym_DQUOTE] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5673),
    [anon_sym_LR_DQUOTE] = ACTIONS(5673),
    [anon_sym_uR_DQUOTE] = ACTIONS(5673),
    [anon_sym_UR_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5673),
    [sym_literal_suffix] = ACTIONS(5671),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_PROGMEM] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [aux_sym_primitive_type_token1] = ACTIONS(2653),
    [anon_sym_byte] = ACTIONS(2653),
    [anon_sym_word] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_friend] = ACTIONS(2653),
    [anon_sym_public] = ACTIONS(2653),
    [anon_sym_private] = ACTIONS(2653),
    [anon_sym_protected] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
  },
  [1874] = {
    [sym_type_qualifier] = STATE(1874),
    [sym_alignas_qualifier] = STATE(2102),
    [aux_sym__type_definition_type_repeat1] = STATE(1874),
    [sym_identifier] = ACTIONS(4899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_COMMA] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_DASH] = ACTIONS(4899),
    [anon_sym_PLUS] = ACTIONS(4899),
    [anon_sym_STAR] = ACTIONS(4901),
    [anon_sym_SLASH] = ACTIONS(4899),
    [anon_sym_PERCENT] = ACTIONS(4901),
    [anon_sym_PIPE_PIPE] = ACTIONS(4901),
    [anon_sym_AMP_AMP] = ACTIONS(4901),
    [anon_sym_PIPE] = ACTIONS(4899),
    [anon_sym_CARET] = ACTIONS(4901),
    [anon_sym_AMP] = ACTIONS(4899),
    [anon_sym_EQ_EQ] = ACTIONS(4901),
    [anon_sym_BANG_EQ] = ACTIONS(4901),
    [anon_sym_GT] = ACTIONS(4899),
    [anon_sym_GT_EQ] = ACTIONS(4899),
    [anon_sym_LT_EQ] = ACTIONS(4899),
    [anon_sym_LT] = ACTIONS(4899),
    [anon_sym_LT_LT] = ACTIONS(4901),
    [anon_sym_GT_GT] = ACTIONS(4899),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(4899),
    [anon_sym___attribute] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(4901),
    [anon_sym_signed] = ACTIONS(4899),
    [anon_sym_unsigned] = ACTIONS(4899),
    [anon_sym_long] = ACTIONS(4899),
    [anon_sym_short] = ACTIONS(4899),
    [anon_sym_LBRACK] = ACTIONS(4901),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym__Nonnull] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [anon_sym_PROGMEM] = ACTIONS(5675),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [aux_sym_primitive_type_token1] = ACTIONS(4899),
    [anon_sym_byte] = ACTIONS(4899),
    [anon_sym_word] = ACTIONS(4899),
    [anon_sym_QMARK] = ACTIONS(4901),
    [anon_sym_LT_EQ_GT] = ACTIONS(4901),
    [anon_sym_or] = ACTIONS(4899),
    [anon_sym_and] = ACTIONS(4899),
    [anon_sym_bitor] = ACTIONS(4899),
    [anon_sym_xor] = ACTIONS(4899),
    [anon_sym_bitand] = ACTIONS(4899),
    [anon_sym_not_eq] = ACTIONS(4899),
    [anon_sym_DASH_DASH] = ACTIONS(4901),
    [anon_sym_PLUS_PLUS] = ACTIONS(4901),
    [anon_sym_DOT] = ACTIONS(4899),
    [anon_sym_DOT_STAR] = ACTIONS(4901),
    [anon_sym_DASH_GT] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4899),
    [anon_sym_decltype] = ACTIONS(4899),
    [anon_sym_final] = ACTIONS(4899),
    [anon_sym_override] = ACTIONS(4899),
    [anon_sym_GT2] = ACTIONS(4901),
    [anon_sym_requires] = ACTIONS(4899),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(1920),
    [aux_sym_preproc_def_token1] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1920),
    [sym_preproc_directive] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_typedef] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_public] = ACTIONS(1920),
    [anon_sym_private] = ACTIONS(1920),
    [anon_sym_protected] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_static_assert] = ACTIONS(1920),
  },
  [1876] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1877] = {
    [sym_type_qualifier] = STATE(1874),
    [sym_alignas_qualifier] = STATE(2102),
    [sym_primitive_type] = STATE(2223),
    [aux_sym__type_definition_type_repeat1] = STATE(1874),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2224),
    [sym_identifier] = ACTIONS(5681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5685),
    [anon_sym_unsigned] = ACTIONS(5685),
    [anon_sym_long] = ACTIONS(5685),
    [anon_sym_short] = ACTIONS(5685),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym__Nonnull] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [anon_sym_PROGMEM] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym__Alignas] = ACTIONS(5687),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
  },
  [1878] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_friend] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_protected] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_friend] = ACTIONS(2869),
    [anon_sym_public] = ACTIONS(2869),
    [anon_sym_private] = ACTIONS(2869),
    [anon_sym_protected] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_friend] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_friend] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_protected] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1885] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_RPAREN] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_RBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_RBRACK] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4996),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_friend] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym___attribute] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_RBRACE] = ACTIONS(5449),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_PROGMEM] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [aux_sym_primitive_type_token1] = ACTIONS(5447),
    [anon_sym_byte] = ACTIONS(5447),
    [anon_sym_word] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_friend] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_friend] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_PROGMEM] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_final] = ACTIONS(5455),
    [anon_sym_override] = ACTIONS(5455),
    [anon_sym_requires] = ACTIONS(5455),
  },
  [1909] = {
    [sym_template_argument_list] = STATE(1577),
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4133),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5689),
    [anon_sym_virtual] = ACTIONS(5689),
    [anon_sym_extern] = ACTIONS(5689),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___attribute] = ACTIONS(5689),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(5689),
    [anon_sym___based] = ACTIONS(5689),
    [anon_sym___cdecl] = ACTIONS(5689),
    [anon_sym___clrcall] = ACTIONS(5689),
    [anon_sym___stdcall] = ACTIONS(5689),
    [anon_sym___fastcall] = ACTIONS(5689),
    [anon_sym___thiscall] = ACTIONS(5689),
    [anon_sym___vectorcall] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5689),
    [anon_sym_unsigned] = ACTIONS(5689),
    [anon_sym_long] = ACTIONS(5689),
    [anon_sym_short] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_static] = ACTIONS(5689),
    [anon_sym_register] = ACTIONS(5689),
    [anon_sym_inline] = ACTIONS(5689),
    [anon_sym___inline] = ACTIONS(5689),
    [anon_sym___inline__] = ACTIONS(5689),
    [anon_sym___forceinline] = ACTIONS(5689),
    [anon_sym_thread_local] = ACTIONS(5689),
    [anon_sym___thread] = ACTIONS(5689),
    [anon_sym_const] = ACTIONS(5689),
    [anon_sym_constexpr] = ACTIONS(5689),
    [anon_sym_volatile] = ACTIONS(5689),
    [anon_sym_restrict] = ACTIONS(5689),
    [anon_sym___restrict__] = ACTIONS(5689),
    [anon_sym__Atomic] = ACTIONS(5689),
    [anon_sym__Noreturn] = ACTIONS(5689),
    [anon_sym_noreturn] = ACTIONS(5689),
    [anon_sym__Nonnull] = ACTIONS(5689),
    [anon_sym_mutable] = ACTIONS(5689),
    [anon_sym_constinit] = ACTIONS(5689),
    [anon_sym_consteval] = ACTIONS(5689),
    [anon_sym_PROGMEM] = ACTIONS(5689),
    [anon_sym_alignas] = ACTIONS(5689),
    [anon_sym__Alignas] = ACTIONS(5689),
    [aux_sym_primitive_type_token1] = ACTIONS(5689),
    [anon_sym_byte] = ACTIONS(5689),
    [anon_sym_word] = ACTIONS(5689),
    [anon_sym_enum] = ACTIONS(5689),
    [anon_sym_class] = ACTIONS(5689),
    [anon_sym_struct] = ACTIONS(5689),
    [anon_sym_union] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
    [anon_sym_explicit] = ACTIONS(5689),
    [anon_sym_typename] = ACTIONS(5689),
    [anon_sym_template] = ACTIONS(5689),
    [anon_sym_operator] = ACTIONS(5689),
    [anon_sym_friend] = ACTIONS(5689),
    [anon_sym_using] = ACTIONS(5689),
    [anon_sym_concept] = ACTIONS(5689),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym___attribute] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym___attribute] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym__Nonnull] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [anon_sym_PROGMEM] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym__Alignas] = ACTIONS(3096),
    [aux_sym_primitive_type_token1] = ACTIONS(3096),
    [anon_sym_byte] = ACTIONS(3096),
    [anon_sym_word] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_friend] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(3171),
    [aux_sym_preproc_def_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token2] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3171),
    [sym_preproc_directive] = ACTIONS(3171),
    [anon_sym_LPAREN2] = ACTIONS(3173),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3173),
    [anon_sym_AMP_AMP] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym___extension__] = ACTIONS(3171),
    [anon_sym_typedef] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym___attribute__] = ACTIONS(3171),
    [anon_sym___attribute] = ACTIONS(3171),
    [anon_sym_COLON_COLON] = ACTIONS(3173),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3173),
    [anon_sym___declspec] = ACTIONS(3171),
    [anon_sym___based] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3171),
    [anon_sym_unsigned] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_register] = ACTIONS(3171),
    [anon_sym_inline] = ACTIONS(3171),
    [anon_sym___inline] = ACTIONS(3171),
    [anon_sym___inline__] = ACTIONS(3171),
    [anon_sym___forceinline] = ACTIONS(3171),
    [anon_sym_thread_local] = ACTIONS(3171),
    [anon_sym___thread] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_constexpr] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_restrict] = ACTIONS(3171),
    [anon_sym___restrict__] = ACTIONS(3171),
    [anon_sym__Atomic] = ACTIONS(3171),
    [anon_sym__Noreturn] = ACTIONS(3171),
    [anon_sym_noreturn] = ACTIONS(3171),
    [anon_sym__Nonnull] = ACTIONS(3171),
    [anon_sym_mutable] = ACTIONS(3171),
    [anon_sym_constinit] = ACTIONS(3171),
    [anon_sym_consteval] = ACTIONS(3171),
    [anon_sym_PROGMEM] = ACTIONS(3171),
    [anon_sym_alignas] = ACTIONS(3171),
    [anon_sym__Alignas] = ACTIONS(3171),
    [aux_sym_primitive_type_token1] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_word] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_union] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3171),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_typename] = ACTIONS(3171),
    [anon_sym_template] = ACTIONS(3171),
    [anon_sym_operator] = ACTIONS(3171),
    [anon_sym_friend] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static_assert] = ACTIONS(3171),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token2] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token2] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_friend] = ACTIONS(3191),
    [anon_sym_public] = ACTIONS(3191),
    [anon_sym_private] = ACTIONS(3191),
    [anon_sym_protected] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_friend] = ACTIONS(3195),
    [anon_sym_public] = ACTIONS(3195),
    [anon_sym_private] = ACTIONS(3195),
    [anon_sym_protected] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_friend] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_friend] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(3179),
    [aux_sym_preproc_def_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3179),
    [sym_preproc_directive] = ACTIONS(3179),
    [anon_sym_LPAREN2] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_AMP_AMP] = ACTIONS(3181),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3179),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_virtual] = ACTIONS(3179),
    [anon_sym_extern] = ACTIONS(3179),
    [anon_sym___attribute__] = ACTIONS(3179),
    [anon_sym___attribute] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(3181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3181),
    [anon_sym___declspec] = ACTIONS(3179),
    [anon_sym___based] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3181),
    [anon_sym_signed] = ACTIONS(3179),
    [anon_sym_unsigned] = ACTIONS(3179),
    [anon_sym_long] = ACTIONS(3179),
    [anon_sym_short] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_register] = ACTIONS(3179),
    [anon_sym_inline] = ACTIONS(3179),
    [anon_sym___inline] = ACTIONS(3179),
    [anon_sym___inline__] = ACTIONS(3179),
    [anon_sym___forceinline] = ACTIONS(3179),
    [anon_sym_thread_local] = ACTIONS(3179),
    [anon_sym___thread] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_constexpr] = ACTIONS(3179),
    [anon_sym_volatile] = ACTIONS(3179),
    [anon_sym_restrict] = ACTIONS(3179),
    [anon_sym___restrict__] = ACTIONS(3179),
    [anon_sym__Atomic] = ACTIONS(3179),
    [anon_sym__Noreturn] = ACTIONS(3179),
    [anon_sym_noreturn] = ACTIONS(3179),
    [anon_sym__Nonnull] = ACTIONS(3179),
    [anon_sym_mutable] = ACTIONS(3179),
    [anon_sym_constinit] = ACTIONS(3179),
    [anon_sym_consteval] = ACTIONS(3179),
    [anon_sym_PROGMEM] = ACTIONS(3179),
    [anon_sym_alignas] = ACTIONS(3179),
    [anon_sym__Alignas] = ACTIONS(3179),
    [aux_sym_primitive_type_token1] = ACTIONS(3179),
    [anon_sym_byte] = ACTIONS(3179),
    [anon_sym_word] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_struct] = ACTIONS(3179),
    [anon_sym_union] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3179),
    [anon_sym_decltype] = ACTIONS(3179),
    [anon_sym_explicit] = ACTIONS(3179),
    [anon_sym_typename] = ACTIONS(3179),
    [anon_sym_template] = ACTIONS(3179),
    [anon_sym_operator] = ACTIONS(3179),
    [anon_sym_friend] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_static_assert] = ACTIONS(3179),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym___attribute] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym__Nonnull] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [anon_sym_PROGMEM] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym__Alignas] = ACTIONS(3128),
    [aux_sym_primitive_type_token1] = ACTIONS(3128),
    [anon_sym_byte] = ACTIONS(3128),
    [anon_sym_word] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_friend] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym___attribute] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym__Nonnull] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [anon_sym_PROGMEM] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym__Alignas] = ACTIONS(3132),
    [aux_sym_primitive_type_token1] = ACTIONS(3132),
    [anon_sym_byte] = ACTIONS(3132),
    [anon_sym_word] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token2] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_friend] = ACTIONS(2970),
    [anon_sym_public] = ACTIONS(2970),
    [anon_sym_private] = ACTIONS(2970),
    [anon_sym_protected] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_friend] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym___attribute] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym___attribute] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_friend] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym___attribute] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym__Nonnull] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [anon_sym_PROGMEM] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym__Alignas] = ACTIONS(3092),
    [aux_sym_primitive_type_token1] = ACTIONS(3092),
    [anon_sym_byte] = ACTIONS(3092),
    [anon_sym_word] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(3100),
    [aux_sym_preproc_def_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token1] = ACTIONS(3100),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3100),
    [sym_preproc_directive] = ACTIONS(3100),
    [anon_sym_LPAREN2] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3100),
    [anon_sym_typedef] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3100),
    [anon_sym_extern] = ACTIONS(3100),
    [anon_sym___attribute__] = ACTIONS(3100),
    [anon_sym___attribute] = ACTIONS(3100),
    [anon_sym_COLON_COLON] = ACTIONS(3102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3102),
    [anon_sym___declspec] = ACTIONS(3100),
    [anon_sym___based] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3100),
    [anon_sym_unsigned] = ACTIONS(3100),
    [anon_sym_long] = ACTIONS(3100),
    [anon_sym_short] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_register] = ACTIONS(3100),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym___inline] = ACTIONS(3100),
    [anon_sym___inline__] = ACTIONS(3100),
    [anon_sym___forceinline] = ACTIONS(3100),
    [anon_sym_thread_local] = ACTIONS(3100),
    [anon_sym___thread] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_constexpr] = ACTIONS(3100),
    [anon_sym_volatile] = ACTIONS(3100),
    [anon_sym_restrict] = ACTIONS(3100),
    [anon_sym___restrict__] = ACTIONS(3100),
    [anon_sym__Atomic] = ACTIONS(3100),
    [anon_sym__Noreturn] = ACTIONS(3100),
    [anon_sym_noreturn] = ACTIONS(3100),
    [anon_sym__Nonnull] = ACTIONS(3100),
    [anon_sym_mutable] = ACTIONS(3100),
    [anon_sym_constinit] = ACTIONS(3100),
    [anon_sym_consteval] = ACTIONS(3100),
    [anon_sym_PROGMEM] = ACTIONS(3100),
    [anon_sym_alignas] = ACTIONS(3100),
    [anon_sym__Alignas] = ACTIONS(3100),
    [aux_sym_primitive_type_token1] = ACTIONS(3100),
    [anon_sym_byte] = ACTIONS(3100),
    [anon_sym_word] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_struct] = ACTIONS(3100),
    [anon_sym_union] = ACTIONS(3100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3100),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_explicit] = ACTIONS(3100),
    [anon_sym_typename] = ACTIONS(3100),
    [anon_sym_template] = ACTIONS(3100),
    [anon_sym_operator] = ACTIONS(3100),
    [anon_sym_friend] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_static_assert] = ACTIONS(3100),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym___attribute] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym__Nonnull] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym__Alignas] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_friend] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_protected] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym___attribute] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym__Nonnull] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym__Alignas] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_friend] = ACTIONS(3116),
    [anon_sym_public] = ACTIONS(3116),
    [anon_sym_private] = ACTIONS(3116),
    [anon_sym_protected] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym___attribute] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_PROGMEM] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [aux_sym_primitive_type_token1] = ACTIONS(3183),
    [anon_sym_byte] = ACTIONS(3183),
    [anon_sym_word] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym___attribute] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_PROGMEM] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [aux_sym_primitive_type_token1] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_word] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3191),
    [sym_preproc_directive] = ACTIONS(3191),
    [anon_sym_LPAREN2] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3191),
    [anon_sym_typedef] = ACTIONS(3191),
    [anon_sym_virtual] = ACTIONS(3191),
    [anon_sym_extern] = ACTIONS(3191),
    [anon_sym___attribute__] = ACTIONS(3191),
    [anon_sym___attribute] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3193),
    [anon_sym___declspec] = ACTIONS(3191),
    [anon_sym___based] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3191),
    [anon_sym_unsigned] = ACTIONS(3191),
    [anon_sym_long] = ACTIONS(3191),
    [anon_sym_short] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_static] = ACTIONS(3191),
    [anon_sym_register] = ACTIONS(3191),
    [anon_sym_inline] = ACTIONS(3191),
    [anon_sym___inline] = ACTIONS(3191),
    [anon_sym___inline__] = ACTIONS(3191),
    [anon_sym___forceinline] = ACTIONS(3191),
    [anon_sym_thread_local] = ACTIONS(3191),
    [anon_sym___thread] = ACTIONS(3191),
    [anon_sym_const] = ACTIONS(3191),
    [anon_sym_constexpr] = ACTIONS(3191),
    [anon_sym_volatile] = ACTIONS(3191),
    [anon_sym_restrict] = ACTIONS(3191),
    [anon_sym___restrict__] = ACTIONS(3191),
    [anon_sym__Atomic] = ACTIONS(3191),
    [anon_sym__Noreturn] = ACTIONS(3191),
    [anon_sym_noreturn] = ACTIONS(3191),
    [anon_sym__Nonnull] = ACTIONS(3191),
    [anon_sym_mutable] = ACTIONS(3191),
    [anon_sym_constinit] = ACTIONS(3191),
    [anon_sym_consteval] = ACTIONS(3191),
    [anon_sym_PROGMEM] = ACTIONS(3191),
    [anon_sym_alignas] = ACTIONS(3191),
    [anon_sym__Alignas] = ACTIONS(3191),
    [aux_sym_primitive_type_token1] = ACTIONS(3191),
    [anon_sym_byte] = ACTIONS(3191),
    [anon_sym_word] = ACTIONS(3191),
    [anon_sym_enum] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3191),
    [anon_sym_struct] = ACTIONS(3191),
    [anon_sym_union] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3191),
    [anon_sym_decltype] = ACTIONS(3191),
    [anon_sym_explicit] = ACTIONS(3191),
    [anon_sym_typename] = ACTIONS(3191),
    [anon_sym_template] = ACTIONS(3191),
    [anon_sym_operator] = ACTIONS(3191),
    [anon_sym_friend] = ACTIONS(3191),
    [anon_sym_public] = ACTIONS(3191),
    [anon_sym_private] = ACTIONS(3191),
    [anon_sym_protected] = ACTIONS(3191),
    [anon_sym_using] = ACTIONS(3191),
    [anon_sym_static_assert] = ACTIONS(3191),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(3195),
    [aux_sym_preproc_def_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3195),
    [sym_preproc_directive] = ACTIONS(3195),
    [anon_sym_LPAREN2] = ACTIONS(3197),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_AMP_AMP] = ACTIONS(3197),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3195),
    [anon_sym_typedef] = ACTIONS(3195),
    [anon_sym_virtual] = ACTIONS(3195),
    [anon_sym_extern] = ACTIONS(3195),
    [anon_sym___attribute__] = ACTIONS(3195),
    [anon_sym___attribute] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3197),
    [anon_sym___declspec] = ACTIONS(3195),
    [anon_sym___based] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_signed] = ACTIONS(3195),
    [anon_sym_unsigned] = ACTIONS(3195),
    [anon_sym_long] = ACTIONS(3195),
    [anon_sym_short] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_static] = ACTIONS(3195),
    [anon_sym_register] = ACTIONS(3195),
    [anon_sym_inline] = ACTIONS(3195),
    [anon_sym___inline] = ACTIONS(3195),
    [anon_sym___inline__] = ACTIONS(3195),
    [anon_sym___forceinline] = ACTIONS(3195),
    [anon_sym_thread_local] = ACTIONS(3195),
    [anon_sym___thread] = ACTIONS(3195),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_constexpr] = ACTIONS(3195),
    [anon_sym_volatile] = ACTIONS(3195),
    [anon_sym_restrict] = ACTIONS(3195),
    [anon_sym___restrict__] = ACTIONS(3195),
    [anon_sym__Atomic] = ACTIONS(3195),
    [anon_sym__Noreturn] = ACTIONS(3195),
    [anon_sym_noreturn] = ACTIONS(3195),
    [anon_sym__Nonnull] = ACTIONS(3195),
    [anon_sym_mutable] = ACTIONS(3195),
    [anon_sym_constinit] = ACTIONS(3195),
    [anon_sym_consteval] = ACTIONS(3195),
    [anon_sym_PROGMEM] = ACTIONS(3195),
    [anon_sym_alignas] = ACTIONS(3195),
    [anon_sym__Alignas] = ACTIONS(3195),
    [aux_sym_primitive_type_token1] = ACTIONS(3195),
    [anon_sym_byte] = ACTIONS(3195),
    [anon_sym_word] = ACTIONS(3195),
    [anon_sym_enum] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3195),
    [anon_sym_struct] = ACTIONS(3195),
    [anon_sym_union] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3195),
    [anon_sym_decltype] = ACTIONS(3195),
    [anon_sym_explicit] = ACTIONS(3195),
    [anon_sym_typename] = ACTIONS(3195),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_operator] = ACTIONS(3195),
    [anon_sym_friend] = ACTIONS(3195),
    [anon_sym_public] = ACTIONS(3195),
    [anon_sym_private] = ACTIONS(3195),
    [anon_sym_protected] = ACTIONS(3195),
    [anon_sym_using] = ACTIONS(3195),
    [anon_sym_static_assert] = ACTIONS(3195),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym___attribute] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym__Nonnull] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [anon_sym_PROGMEM] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym__Alignas] = ACTIONS(3203),
    [aux_sym_primitive_type_token1] = ACTIONS(3203),
    [anon_sym_byte] = ACTIONS(3203),
    [anon_sym_word] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_friend] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym___attribute] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym__Nonnull] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [anon_sym_PROGMEM] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym__Alignas] = ACTIONS(3207),
    [aux_sym_primitive_type_token1] = ACTIONS(3207),
    [anon_sym_byte] = ACTIONS(3207),
    [anon_sym_word] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_friend] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym___attribute] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym__Nonnull] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [anon_sym_PROGMEM] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym__Alignas] = ACTIONS(2813),
    [aux_sym_primitive_type_token1] = ACTIONS(2813),
    [anon_sym_byte] = ACTIONS(2813),
    [anon_sym_word] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym___attribute] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym__Nonnull] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [anon_sym_PROGMEM] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym__Alignas] = ACTIONS(2829),
    [aux_sym_primitive_type_token1] = ACTIONS(2829),
    [anon_sym_byte] = ACTIONS(2829),
    [anon_sym_word] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym___attribute] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym__Nonnull] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [anon_sym_PROGMEM] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym__Alignas] = ACTIONS(2833),
    [aux_sym_primitive_type_token1] = ACTIONS(2833),
    [anon_sym_byte] = ACTIONS(2833),
    [anon_sym_word] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_friend] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym___attribute] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym__Nonnull] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [anon_sym_PROGMEM] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(2865),
    [anon_sym_byte] = ACTIONS(2865),
    [anon_sym_word] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
  },
  [1966] = {
    [sym_type_qualifier] = STATE(1877),
    [sym_alignas_qualifier] = STATE(2102),
    [sym_primitive_type] = STATE(2207),
    [aux_sym__type_definition_type_repeat1] = STATE(1877),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_SLASH] = ACTIONS(4934),
    [anon_sym_PERCENT] = ACTIONS(4932),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_CARET] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4934),
    [anon_sym_LT_EQ] = ACTIONS(4934),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4932),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5695),
    [anon_sym_unsigned] = ACTIONS(5695),
    [anon_sym_long] = ACTIONS(5695),
    [anon_sym_short] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym__Nonnull] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [anon_sym_PROGMEM] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym__Alignas] = ACTIONS(5687),
    [aux_sym_primitive_type_token1] = ACTIONS(2599),
    [anon_sym_byte] = ACTIONS(2599),
    [anon_sym_word] = ACTIONS(2599),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4934),
    [anon_sym_and] = ACTIONS(4934),
    [anon_sym_bitor] = ACTIONS(4934),
    [anon_sym_xor] = ACTIONS(4934),
    [anon_sym_bitand] = ACTIONS(4934),
    [anon_sym_not_eq] = ACTIONS(4934),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
    [anon_sym_GT2] = ACTIONS(4932),
  },
  [1967] = {
    [sym_template_argument_list] = STATE(2088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_RPAREN] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4842),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(5697),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4835),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_PROGMEM] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4833),
    [anon_sym_or_eq] = ACTIONS(4833),
    [anon_sym_xor_eq] = ACTIONS(4833),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4833),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4833),
    [anon_sym_not_eq] = ACTIONS(4833),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [aux_sym_preproc_if_token2] = ACTIONS(5518),
    [aux_sym_preproc_else_token1] = ACTIONS(5518),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5518),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5518),
    [anon_sym_GT_GT] = ACTIONS(5518),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym___attribute] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym__Nonnull] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [anon_sym_PROGMEM] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym__Alignas] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_final] = ACTIONS(5516),
    [anon_sym_override] = ACTIONS(5516),
    [anon_sym_requires] = ACTIONS(5516),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym___attribute] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym__Nonnull] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [anon_sym_PROGMEM] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym__Alignas] = ACTIONS(2817),
    [aux_sym_primitive_type_token1] = ACTIONS(2817),
    [anon_sym_byte] = ACTIONS(2817),
    [anon_sym_word] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_friend] = ACTIONS(2925),
    [anon_sym_public] = ACTIONS(2925),
    [anon_sym_private] = ACTIONS(2925),
    [anon_sym_protected] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_friend] = ACTIONS(2869),
    [anon_sym_public] = ACTIONS(2869),
    [anon_sym_private] = ACTIONS(2869),
    [anon_sym_protected] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym___attribute] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym__Nonnull] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym__Alignas] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_friend] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
  },
  [1975] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_else_token1] = ACTIONS(4996),
    [aux_sym_preproc_elif_token1] = ACTIONS(4999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
  },
  [1976] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4885),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4885),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_GT2] = ACTIONS(4880),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5466),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [aux_sym_primitive_type_token1] = ACTIONS(5464),
    [anon_sym_byte] = ACTIONS(5464),
    [anon_sym_word] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym___attribute] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_PROGMEM] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [aux_sym_primitive_type_token1] = ACTIONS(3139),
    [anon_sym_byte] = ACTIONS(3139),
    [anon_sym_word] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym___attribute] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_RBRACE] = ACTIONS(5429),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_PROGMEM] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [aux_sym_primitive_type_token1] = ACTIONS(5427),
    [anon_sym_byte] = ACTIONS(5427),
    [anon_sym_word] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym___attribute] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym_RBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_friend] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_RBRACE] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_RBRACE] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_RBRACE] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym___attribute] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_PROGMEM] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [aux_sym_primitive_type_token1] = ACTIONS(3143),
    [anon_sym_byte] = ACTIONS(3143),
    [anon_sym_word] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_friend] = ACTIONS(3143),
    [anon_sym_public] = ACTIONS(3143),
    [anon_sym_private] = ACTIONS(3143),
    [anon_sym_protected] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
  },
  [1988] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [aux_sym_preproc_if_token2] = ACTIONS(4109),
    [aux_sym_preproc_else_token1] = ACTIONS(4109),
    [aux_sym_preproc_elif_token1] = ACTIONS(4117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5700),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5703),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5705),
    [anon_sym_SLASH_EQ] = ACTIONS(5705),
    [anon_sym_PERCENT_EQ] = ACTIONS(5705),
    [anon_sym_PLUS_EQ] = ACTIONS(5705),
    [anon_sym_DASH_EQ] = ACTIONS(5705),
    [anon_sym_LT_LT_EQ] = ACTIONS(5705),
    [anon_sym_GT_GT_EQ] = ACTIONS(5705),
    [anon_sym_AMP_EQ] = ACTIONS(5705),
    [anon_sym_CARET_EQ] = ACTIONS(5705),
    [anon_sym_PIPE_EQ] = ACTIONS(5705),
    [anon_sym_and_eq] = ACTIONS(5703),
    [anon_sym_or_eq] = ACTIONS(5703),
    [anon_sym_xor_eq] = ACTIONS(5703),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___attribute] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym___attribute] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_PROGMEM] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [aux_sym_primitive_type_token1] = ACTIONS(5327),
    [anon_sym_byte] = ACTIONS(5327),
    [anon_sym_word] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym___attribute] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_RBRACE] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_PROGMEM] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [aux_sym_primitive_type_token1] = ACTIONS(5331),
    [anon_sym_byte] = ACTIONS(5331),
    [anon_sym_word] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym___attribute] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_PROGMEM] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [aux_sym_primitive_type_token1] = ACTIONS(3147),
    [anon_sym_byte] = ACTIONS(3147),
    [anon_sym_word] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5447),
    [aux_sym_preproc_def_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token1] = ACTIONS(5447),
    [aux_sym_preproc_if_token2] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5447),
    [sym_preproc_directive] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_TILDE] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5447),
    [anon_sym_typedef] = ACTIONS(5447),
    [anon_sym_virtual] = ACTIONS(5447),
    [anon_sym_extern] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym___attribute] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5449),
    [anon_sym___declspec] = ACTIONS(5447),
    [anon_sym___based] = ACTIONS(5447),
    [anon_sym_signed] = ACTIONS(5447),
    [anon_sym_unsigned] = ACTIONS(5447),
    [anon_sym_long] = ACTIONS(5447),
    [anon_sym_short] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_static] = ACTIONS(5447),
    [anon_sym_register] = ACTIONS(5447),
    [anon_sym_inline] = ACTIONS(5447),
    [anon_sym___inline] = ACTIONS(5447),
    [anon_sym___inline__] = ACTIONS(5447),
    [anon_sym___forceinline] = ACTIONS(5447),
    [anon_sym_thread_local] = ACTIONS(5447),
    [anon_sym___thread] = ACTIONS(5447),
    [anon_sym_const] = ACTIONS(5447),
    [anon_sym_constexpr] = ACTIONS(5447),
    [anon_sym_volatile] = ACTIONS(5447),
    [anon_sym_restrict] = ACTIONS(5447),
    [anon_sym___restrict__] = ACTIONS(5447),
    [anon_sym__Atomic] = ACTIONS(5447),
    [anon_sym__Noreturn] = ACTIONS(5447),
    [anon_sym_noreturn] = ACTIONS(5447),
    [anon_sym__Nonnull] = ACTIONS(5447),
    [anon_sym_mutable] = ACTIONS(5447),
    [anon_sym_constinit] = ACTIONS(5447),
    [anon_sym_consteval] = ACTIONS(5447),
    [anon_sym_PROGMEM] = ACTIONS(5447),
    [anon_sym_alignas] = ACTIONS(5447),
    [anon_sym__Alignas] = ACTIONS(5447),
    [aux_sym_primitive_type_token1] = ACTIONS(5447),
    [anon_sym_byte] = ACTIONS(5447),
    [anon_sym_word] = ACTIONS(5447),
    [anon_sym_enum] = ACTIONS(5447),
    [anon_sym_class] = ACTIONS(5447),
    [anon_sym_struct] = ACTIONS(5447),
    [anon_sym_union] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5447),
    [anon_sym_decltype] = ACTIONS(5447),
    [anon_sym_explicit] = ACTIONS(5447),
    [anon_sym_typename] = ACTIONS(5447),
    [anon_sym_template] = ACTIONS(5447),
    [anon_sym_operator] = ACTIONS(5447),
    [anon_sym_friend] = ACTIONS(5447),
    [anon_sym_public] = ACTIONS(5447),
    [anon_sym_private] = ACTIONS(5447),
    [anon_sym_protected] = ACTIONS(5447),
    [anon_sym_using] = ACTIONS(5447),
    [anon_sym_static_assert] = ACTIONS(5447),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_RBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(5339),
    [aux_sym_preproc_def_token1] = ACTIONS(5339),
    [aux_sym_preproc_if_token1] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5339),
    [sym_preproc_directive] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_AMP_AMP] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_typedef] = ACTIONS(5339),
    [anon_sym_virtual] = ACTIONS(5339),
    [anon_sym_extern] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5339),
    [anon_sym___attribute] = ACTIONS(5339),
    [anon_sym_COLON_COLON] = ACTIONS(5341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5341),
    [anon_sym___declspec] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5339),
    [anon_sym_unsigned] = ACTIONS(5339),
    [anon_sym_long] = ACTIONS(5339),
    [anon_sym_short] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_static] = ACTIONS(5339),
    [anon_sym_register] = ACTIONS(5339),
    [anon_sym_inline] = ACTIONS(5339),
    [anon_sym___inline] = ACTIONS(5339),
    [anon_sym___inline__] = ACTIONS(5339),
    [anon_sym___forceinline] = ACTIONS(5339),
    [anon_sym_thread_local] = ACTIONS(5339),
    [anon_sym___thread] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_PROGMEM] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5339),
    [anon_sym__Alignas] = ACTIONS(5339),
    [aux_sym_primitive_type_token1] = ACTIONS(5339),
    [anon_sym_byte] = ACTIONS(5339),
    [anon_sym_word] = ACTIONS(5339),
    [anon_sym_enum] = ACTIONS(5339),
    [anon_sym_class] = ACTIONS(5339),
    [anon_sym_struct] = ACTIONS(5339),
    [anon_sym_union] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5339),
    [anon_sym_decltype] = ACTIONS(5339),
    [anon_sym_explicit] = ACTIONS(5339),
    [anon_sym_typename] = ACTIONS(5339),
    [anon_sym_template] = ACTIONS(5339),
    [anon_sym_operator] = ACTIONS(5339),
    [anon_sym_friend] = ACTIONS(5339),
    [anon_sym_public] = ACTIONS(5339),
    [anon_sym_private] = ACTIONS(5339),
    [anon_sym_protected] = ACTIONS(5339),
    [anon_sym_using] = ACTIONS(5339),
    [anon_sym_static_assert] = ACTIONS(5339),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(5343),
    [aux_sym_preproc_def_token1] = ACTIONS(5343),
    [aux_sym_preproc_if_token1] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5343),
    [sym_preproc_directive] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym_typedef] = ACTIONS(5343),
    [anon_sym_virtual] = ACTIONS(5343),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym___attribute] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5345),
    [anon_sym___declspec] = ACTIONS(5343),
    [anon_sym___based] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5343),
    [anon_sym_unsigned] = ACTIONS(5343),
    [anon_sym_long] = ACTIONS(5343),
    [anon_sym_short] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym__Nonnull] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [anon_sym_PROGMEM] = ACTIONS(5343),
    [anon_sym_alignas] = ACTIONS(5343),
    [anon_sym__Alignas] = ACTIONS(5343),
    [aux_sym_primitive_type_token1] = ACTIONS(5343),
    [anon_sym_byte] = ACTIONS(5343),
    [anon_sym_word] = ACTIONS(5343),
    [anon_sym_enum] = ACTIONS(5343),
    [anon_sym_class] = ACTIONS(5343),
    [anon_sym_struct] = ACTIONS(5343),
    [anon_sym_union] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_explicit] = ACTIONS(5343),
    [anon_sym_typename] = ACTIONS(5343),
    [anon_sym_template] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5343),
    [anon_sym_friend] = ACTIONS(5343),
    [anon_sym_public] = ACTIONS(5343),
    [anon_sym_private] = ACTIONS(5343),
    [anon_sym_protected] = ACTIONS(5343),
    [anon_sym_using] = ACTIONS(5343),
    [anon_sym_static_assert] = ACTIONS(5343),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5347),
    [aux_sym_preproc_def_token1] = ACTIONS(5347),
    [aux_sym_preproc_if_token1] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5347),
    [sym_preproc_directive] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(5349),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5349),
    [anon_sym_AMP_AMP] = ACTIONS(5349),
    [anon_sym_AMP] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5349),
    [anon_sym___extension__] = ACTIONS(5347),
    [anon_sym_typedef] = ACTIONS(5347),
    [anon_sym_virtual] = ACTIONS(5347),
    [anon_sym_extern] = ACTIONS(5347),
    [anon_sym___attribute__] = ACTIONS(5347),
    [anon_sym___attribute] = ACTIONS(5347),
    [anon_sym_COLON_COLON] = ACTIONS(5349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5347),
    [anon_sym___based] = ACTIONS(5347),
    [anon_sym_RBRACE] = ACTIONS(5349),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_static] = ACTIONS(5347),
    [anon_sym_register] = ACTIONS(5347),
    [anon_sym_inline] = ACTIONS(5347),
    [anon_sym___inline] = ACTIONS(5347),
    [anon_sym___inline__] = ACTIONS(5347),
    [anon_sym___forceinline] = ACTIONS(5347),
    [anon_sym_thread_local] = ACTIONS(5347),
    [anon_sym___thread] = ACTIONS(5347),
    [anon_sym_const] = ACTIONS(5347),
    [anon_sym_constexpr] = ACTIONS(5347),
    [anon_sym_volatile] = ACTIONS(5347),
    [anon_sym_restrict] = ACTIONS(5347),
    [anon_sym___restrict__] = ACTIONS(5347),
    [anon_sym__Atomic] = ACTIONS(5347),
    [anon_sym__Noreturn] = ACTIONS(5347),
    [anon_sym_noreturn] = ACTIONS(5347),
    [anon_sym__Nonnull] = ACTIONS(5347),
    [anon_sym_mutable] = ACTIONS(5347),
    [anon_sym_constinit] = ACTIONS(5347),
    [anon_sym_consteval] = ACTIONS(5347),
    [anon_sym_PROGMEM] = ACTIONS(5347),
    [anon_sym_alignas] = ACTIONS(5347),
    [anon_sym__Alignas] = ACTIONS(5347),
    [aux_sym_primitive_type_token1] = ACTIONS(5347),
    [anon_sym_byte] = ACTIONS(5347),
    [anon_sym_word] = ACTIONS(5347),
    [anon_sym_enum] = ACTIONS(5347),
    [anon_sym_class] = ACTIONS(5347),
    [anon_sym_struct] = ACTIONS(5347),
    [anon_sym_union] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5347),
    [anon_sym_decltype] = ACTIONS(5347),
    [anon_sym_explicit] = ACTIONS(5347),
    [anon_sym_typename] = ACTIONS(5347),
    [anon_sym_template] = ACTIONS(5347),
    [anon_sym_operator] = ACTIONS(5347),
    [anon_sym_friend] = ACTIONS(5347),
    [anon_sym_public] = ACTIONS(5347),
    [anon_sym_private] = ACTIONS(5347),
    [anon_sym_protected] = ACTIONS(5347),
    [anon_sym_using] = ACTIONS(5347),
    [anon_sym_static_assert] = ACTIONS(5347),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(5351),
    [aux_sym_preproc_def_token1] = ACTIONS(5351),
    [aux_sym_preproc_if_token1] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5351),
    [sym_preproc_directive] = ACTIONS(5351),
    [anon_sym_LPAREN2] = ACTIONS(5353),
    [anon_sym_TILDE] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5353),
    [anon_sym_AMP_AMP] = ACTIONS(5353),
    [anon_sym_AMP] = ACTIONS(5351),
    [anon_sym_SEMI] = ACTIONS(5353),
    [anon_sym___extension__] = ACTIONS(5351),
    [anon_sym_typedef] = ACTIONS(5351),
    [anon_sym_virtual] = ACTIONS(5351),
    [anon_sym_extern] = ACTIONS(5351),
    [anon_sym___attribute__] = ACTIONS(5351),
    [anon_sym___attribute] = ACTIONS(5351),
    [anon_sym_COLON_COLON] = ACTIONS(5353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5353),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5351),
    [anon_sym_RBRACE] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5351),
    [anon_sym_unsigned] = ACTIONS(5351),
    [anon_sym_long] = ACTIONS(5351),
    [anon_sym_short] = ACTIONS(5351),
    [anon_sym_LBRACK] = ACTIONS(5351),
    [anon_sym_static] = ACTIONS(5351),
    [anon_sym_register] = ACTIONS(5351),
    [anon_sym_inline] = ACTIONS(5351),
    [anon_sym___inline] = ACTIONS(5351),
    [anon_sym___inline__] = ACTIONS(5351),
    [anon_sym___forceinline] = ACTIONS(5351),
    [anon_sym_thread_local] = ACTIONS(5351),
    [anon_sym___thread] = ACTIONS(5351),
    [anon_sym_const] = ACTIONS(5351),
    [anon_sym_constexpr] = ACTIONS(5351),
    [anon_sym_volatile] = ACTIONS(5351),
    [anon_sym_restrict] = ACTIONS(5351),
    [anon_sym___restrict__] = ACTIONS(5351),
    [anon_sym__Atomic] = ACTIONS(5351),
    [anon_sym__Noreturn] = ACTIONS(5351),
    [anon_sym_noreturn] = ACTIONS(5351),
    [anon_sym__Nonnull] = ACTIONS(5351),
    [anon_sym_mutable] = ACTIONS(5351),
    [anon_sym_constinit] = ACTIONS(5351),
    [anon_sym_consteval] = ACTIONS(5351),
    [anon_sym_PROGMEM] = ACTIONS(5351),
    [anon_sym_alignas] = ACTIONS(5351),
    [anon_sym__Alignas] = ACTIONS(5351),
    [aux_sym_primitive_type_token1] = ACTIONS(5351),
    [anon_sym_byte] = ACTIONS(5351),
    [anon_sym_word] = ACTIONS(5351),
    [anon_sym_enum] = ACTIONS(5351),
    [anon_sym_class] = ACTIONS(5351),
    [anon_sym_struct] = ACTIONS(5351),
    [anon_sym_union] = ACTIONS(5351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5351),
    [anon_sym_decltype] = ACTIONS(5351),
    [anon_sym_explicit] = ACTIONS(5351),
    [anon_sym_typename] = ACTIONS(5351),
    [anon_sym_template] = ACTIONS(5351),
    [anon_sym_operator] = ACTIONS(5351),
    [anon_sym_friend] = ACTIONS(5351),
    [anon_sym_public] = ACTIONS(5351),
    [anon_sym_private] = ACTIONS(5351),
    [anon_sym_protected] = ACTIONS(5351),
    [anon_sym_using] = ACTIONS(5351),
    [anon_sym_static_assert] = ACTIONS(5351),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5355),
    [aux_sym_preproc_def_token1] = ACTIONS(5355),
    [aux_sym_preproc_if_token1] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5355),
    [sym_preproc_directive] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5357),
    [anon_sym_TILDE] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5357),
    [anon_sym_AMP_AMP] = ACTIONS(5357),
    [anon_sym_AMP] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5357),
    [anon_sym___extension__] = ACTIONS(5355),
    [anon_sym_typedef] = ACTIONS(5355),
    [anon_sym_virtual] = ACTIONS(5355),
    [anon_sym_extern] = ACTIONS(5355),
    [anon_sym___attribute__] = ACTIONS(5355),
    [anon_sym___attribute] = ACTIONS(5355),
    [anon_sym_COLON_COLON] = ACTIONS(5357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5357),
    [anon_sym___declspec] = ACTIONS(5355),
    [anon_sym___based] = ACTIONS(5355),
    [anon_sym_RBRACE] = ACTIONS(5357),
    [anon_sym_signed] = ACTIONS(5355),
    [anon_sym_unsigned] = ACTIONS(5355),
    [anon_sym_long] = ACTIONS(5355),
    [anon_sym_short] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_static] = ACTIONS(5355),
    [anon_sym_register] = ACTIONS(5355),
    [anon_sym_inline] = ACTIONS(5355),
    [anon_sym___inline] = ACTIONS(5355),
    [anon_sym___inline__] = ACTIONS(5355),
    [anon_sym___forceinline] = ACTIONS(5355),
    [anon_sym_thread_local] = ACTIONS(5355),
    [anon_sym___thread] = ACTIONS(5355),
    [anon_sym_const] = ACTIONS(5355),
    [anon_sym_constexpr] = ACTIONS(5355),
    [anon_sym_volatile] = ACTIONS(5355),
    [anon_sym_restrict] = ACTIONS(5355),
    [anon_sym___restrict__] = ACTIONS(5355),
    [anon_sym__Atomic] = ACTIONS(5355),
    [anon_sym__Noreturn] = ACTIONS(5355),
    [anon_sym_noreturn] = ACTIONS(5355),
    [anon_sym__Nonnull] = ACTIONS(5355),
    [anon_sym_mutable] = ACTIONS(5355),
    [anon_sym_constinit] = ACTIONS(5355),
    [anon_sym_consteval] = ACTIONS(5355),
    [anon_sym_PROGMEM] = ACTIONS(5355),
    [anon_sym_alignas] = ACTIONS(5355),
    [anon_sym__Alignas] = ACTIONS(5355),
    [aux_sym_primitive_type_token1] = ACTIONS(5355),
    [anon_sym_byte] = ACTIONS(5355),
    [anon_sym_word] = ACTIONS(5355),
    [anon_sym_enum] = ACTIONS(5355),
    [anon_sym_class] = ACTIONS(5355),
    [anon_sym_struct] = ACTIONS(5355),
    [anon_sym_union] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5355),
    [anon_sym_decltype] = ACTIONS(5355),
    [anon_sym_explicit] = ACTIONS(5355),
    [anon_sym_typename] = ACTIONS(5355),
    [anon_sym_template] = ACTIONS(5355),
    [anon_sym_operator] = ACTIONS(5355),
    [anon_sym_friend] = ACTIONS(5355),
    [anon_sym_public] = ACTIONS(5355),
    [anon_sym_private] = ACTIONS(5355),
    [anon_sym_protected] = ACTIONS(5355),
    [anon_sym_using] = ACTIONS(5355),
    [anon_sym_static_assert] = ACTIONS(5355),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym___attribute] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [aux_sym_primitive_type_token1] = ACTIONS(5464),
    [anon_sym_byte] = ACTIONS(5464),
    [anon_sym_word] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym___attribute] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_PROGMEM] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [aux_sym_primitive_type_token1] = ACTIONS(5427),
    [anon_sym_byte] = ACTIONS(5427),
    [anon_sym_word] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_class] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_explicit] = ACTIONS(5427),
    [anon_sym_typename] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_friend] = ACTIONS(5427),
    [anon_sym_public] = ACTIONS(5427),
    [anon_sym_private] = ACTIONS(5427),
    [anon_sym_protected] = ACTIONS(5427),
    [anon_sym_using] = ACTIONS(5427),
    [anon_sym_static_assert] = ACTIONS(5427),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5293),
    [aux_sym_preproc_def_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token1] = ACTIONS(5293),
    [aux_sym_preproc_if_token2] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5293),
    [sym_preproc_directive] = ACTIONS(5293),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_TILDE] = ACTIONS(5295),
    [anon_sym_STAR] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(5293),
    [anon_sym_typedef] = ACTIONS(5293),
    [anon_sym_virtual] = ACTIONS(5293),
    [anon_sym_extern] = ACTIONS(5293),
    [anon_sym___attribute__] = ACTIONS(5293),
    [anon_sym___attribute] = ACTIONS(5293),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5295),
    [anon_sym___declspec] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5293),
    [anon_sym_unsigned] = ACTIONS(5293),
    [anon_sym_long] = ACTIONS(5293),
    [anon_sym_short] = ACTIONS(5293),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_static] = ACTIONS(5293),
    [anon_sym_register] = ACTIONS(5293),
    [anon_sym_inline] = ACTIONS(5293),
    [anon_sym___inline] = ACTIONS(5293),
    [anon_sym___inline__] = ACTIONS(5293),
    [anon_sym___forceinline] = ACTIONS(5293),
    [anon_sym_thread_local] = ACTIONS(5293),
    [anon_sym___thread] = ACTIONS(5293),
    [anon_sym_const] = ACTIONS(5293),
    [anon_sym_constexpr] = ACTIONS(5293),
    [anon_sym_volatile] = ACTIONS(5293),
    [anon_sym_restrict] = ACTIONS(5293),
    [anon_sym___restrict__] = ACTIONS(5293),
    [anon_sym__Atomic] = ACTIONS(5293),
    [anon_sym__Noreturn] = ACTIONS(5293),
    [anon_sym_noreturn] = ACTIONS(5293),
    [anon_sym__Nonnull] = ACTIONS(5293),
    [anon_sym_mutable] = ACTIONS(5293),
    [anon_sym_constinit] = ACTIONS(5293),
    [anon_sym_consteval] = ACTIONS(5293),
    [anon_sym_PROGMEM] = ACTIONS(5293),
    [anon_sym_alignas] = ACTIONS(5293),
    [anon_sym__Alignas] = ACTIONS(5293),
    [aux_sym_primitive_type_token1] = ACTIONS(5293),
    [anon_sym_byte] = ACTIONS(5293),
    [anon_sym_word] = ACTIONS(5293),
    [anon_sym_enum] = ACTIONS(5293),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(5293),
    [anon_sym_union] = ACTIONS(5293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
    [anon_sym_explicit] = ACTIONS(5293),
    [anon_sym_typename] = ACTIONS(5293),
    [anon_sym_template] = ACTIONS(5293),
    [anon_sym_operator] = ACTIONS(5293),
    [anon_sym_friend] = ACTIONS(5293),
    [anon_sym_public] = ACTIONS(5293),
    [anon_sym_private] = ACTIONS(5293),
    [anon_sym_protected] = ACTIONS(5293),
    [anon_sym_using] = ACTIONS(5293),
    [anon_sym_static_assert] = ACTIONS(5293),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5289),
    [aux_sym_preproc_def_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token1] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5289),
    [sym_preproc_directive] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_typedef] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_public] = ACTIONS(5289),
    [anon_sym_private] = ACTIONS(5289),
    [anon_sym_protected] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_static_assert] = ACTIONS(5289),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5361),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5361),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_RBRACE] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_PROGMEM] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [aux_sym_primitive_type_token1] = ACTIONS(5363),
    [anon_sym_byte] = ACTIONS(5363),
    [anon_sym_word] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym___attribute] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_RBRACE] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_PROGMEM] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [aux_sym_primitive_type_token1] = ACTIONS(5367),
    [anon_sym_byte] = ACTIONS(5367),
    [anon_sym_word] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym___attribute] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym___attribute] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym___attribute] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_RBRACE] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_PROGMEM] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [aux_sym_primitive_type_token1] = ACTIONS(5371),
    [anon_sym_byte] = ACTIONS(5371),
    [anon_sym_word] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_RBRACE] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_PROGMEM] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [aux_sym_primitive_type_token1] = ACTIONS(5375),
    [anon_sym_byte] = ACTIONS(5375),
    [anon_sym_word] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_RBRACE] = ACTIONS(5381),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_PROGMEM] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [aux_sym_primitive_type_token1] = ACTIONS(5379),
    [anon_sym_byte] = ACTIONS(5379),
    [anon_sym_word] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym___attribute] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_RBRACE] = ACTIONS(5393),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_PROGMEM] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [aux_sym_primitive_type_token1] = ACTIONS(5391),
    [anon_sym_byte] = ACTIONS(5391),
    [anon_sym_word] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
  },
  [2021] = {
    [sym_template_argument_list] = STATE(1577),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_LPAREN2] = ACTIONS(4838),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_STAR] = ACTIONS(4838),
    [anon_sym_PIPE_PIPE] = ACTIONS(4838),
    [anon_sym_AMP_AMP] = ACTIONS(4838),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(4831),
    [anon_sym_virtual] = ACTIONS(4831),
    [anon_sym_extern] = ACTIONS(4831),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4831),
    [anon_sym___based] = ACTIONS(4831),
    [anon_sym___cdecl] = ACTIONS(4831),
    [anon_sym___clrcall] = ACTIONS(4831),
    [anon_sym___stdcall] = ACTIONS(4831),
    [anon_sym___fastcall] = ACTIONS(4831),
    [anon_sym___thiscall] = ACTIONS(4831),
    [anon_sym___vectorcall] = ACTIONS(4831),
    [anon_sym_signed] = ACTIONS(4831),
    [anon_sym_unsigned] = ACTIONS(4831),
    [anon_sym_long] = ACTIONS(4831),
    [anon_sym_short] = ACTIONS(4831),
    [anon_sym_LBRACK] = ACTIONS(4831),
    [anon_sym_static] = ACTIONS(4831),
    [anon_sym_register] = ACTIONS(4831),
    [anon_sym_inline] = ACTIONS(4831),
    [anon_sym___inline] = ACTIONS(4831),
    [anon_sym___inline__] = ACTIONS(4831),
    [anon_sym___forceinline] = ACTIONS(4831),
    [anon_sym_thread_local] = ACTIONS(4831),
    [anon_sym___thread] = ACTIONS(4831),
    [anon_sym_const] = ACTIONS(4831),
    [anon_sym_constexpr] = ACTIONS(4831),
    [anon_sym_volatile] = ACTIONS(4831),
    [anon_sym_restrict] = ACTIONS(4831),
    [anon_sym___restrict__] = ACTIONS(4831),
    [anon_sym__Atomic] = ACTIONS(4831),
    [anon_sym__Noreturn] = ACTIONS(4831),
    [anon_sym_noreturn] = ACTIONS(4831),
    [anon_sym__Nonnull] = ACTIONS(4831),
    [anon_sym_mutable] = ACTIONS(4831),
    [anon_sym_constinit] = ACTIONS(4831),
    [anon_sym_consteval] = ACTIONS(4831),
    [anon_sym_PROGMEM] = ACTIONS(4831),
    [anon_sym_alignas] = ACTIONS(4831),
    [anon_sym__Alignas] = ACTIONS(4831),
    [aux_sym_primitive_type_token1] = ACTIONS(4831),
    [anon_sym_byte] = ACTIONS(4831),
    [anon_sym_word] = ACTIONS(4831),
    [anon_sym_enum] = ACTIONS(4831),
    [anon_sym_class] = ACTIONS(4831),
    [anon_sym_struct] = ACTIONS(4831),
    [anon_sym_union] = ACTIONS(4831),
    [anon_sym_or] = ACTIONS(4831),
    [anon_sym_and] = ACTIONS(4831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_explicit] = ACTIONS(4831),
    [anon_sym_typename] = ACTIONS(4831),
    [anon_sym_template] = ACTIONS(4831),
    [anon_sym_operator] = ACTIONS(4831),
    [anon_sym_friend] = ACTIONS(4831),
    [anon_sym_using] = ACTIONS(4831),
    [anon_sym_concept] = ACTIONS(4831),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym___attribute] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5323),
    [aux_sym_preproc_def_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token1] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5323),
    [sym_preproc_directive] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_typedef] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___attribute] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_public] = ACTIONS(5323),
    [anon_sym_private] = ACTIONS(5323),
    [anon_sym_protected] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_static_assert] = ACTIONS(5323),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(5327),
    [aux_sym_preproc_def_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token1] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5327),
    [sym_preproc_directive] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5327),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym___extension__] = ACTIONS(5327),
    [anon_sym_typedef] = ACTIONS(5327),
    [anon_sym_virtual] = ACTIONS(5327),
    [anon_sym_extern] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5327),
    [anon_sym___attribute] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym___declspec] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5327),
    [anon_sym_signed] = ACTIONS(5327),
    [anon_sym_unsigned] = ACTIONS(5327),
    [anon_sym_long] = ACTIONS(5327),
    [anon_sym_short] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_static] = ACTIONS(5327),
    [anon_sym_register] = ACTIONS(5327),
    [anon_sym_inline] = ACTIONS(5327),
    [anon_sym___inline] = ACTIONS(5327),
    [anon_sym___inline__] = ACTIONS(5327),
    [anon_sym___forceinline] = ACTIONS(5327),
    [anon_sym_thread_local] = ACTIONS(5327),
    [anon_sym___thread] = ACTIONS(5327),
    [anon_sym_const] = ACTIONS(5327),
    [anon_sym_constexpr] = ACTIONS(5327),
    [anon_sym_volatile] = ACTIONS(5327),
    [anon_sym_restrict] = ACTIONS(5327),
    [anon_sym___restrict__] = ACTIONS(5327),
    [anon_sym__Atomic] = ACTIONS(5327),
    [anon_sym__Noreturn] = ACTIONS(5327),
    [anon_sym_noreturn] = ACTIONS(5327),
    [anon_sym__Nonnull] = ACTIONS(5327),
    [anon_sym_mutable] = ACTIONS(5327),
    [anon_sym_constinit] = ACTIONS(5327),
    [anon_sym_consteval] = ACTIONS(5327),
    [anon_sym_PROGMEM] = ACTIONS(5327),
    [anon_sym_alignas] = ACTIONS(5327),
    [anon_sym__Alignas] = ACTIONS(5327),
    [aux_sym_primitive_type_token1] = ACTIONS(5327),
    [anon_sym_byte] = ACTIONS(5327),
    [anon_sym_word] = ACTIONS(5327),
    [anon_sym_enum] = ACTIONS(5327),
    [anon_sym_class] = ACTIONS(5327),
    [anon_sym_struct] = ACTIONS(5327),
    [anon_sym_union] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_explicit] = ACTIONS(5327),
    [anon_sym_typename] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_operator] = ACTIONS(5327),
    [anon_sym_friend] = ACTIONS(5327),
    [anon_sym_public] = ACTIONS(5327),
    [anon_sym_private] = ACTIONS(5327),
    [anon_sym_protected] = ACTIONS(5327),
    [anon_sym_using] = ACTIONS(5327),
    [anon_sym_static_assert] = ACTIONS(5327),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5331),
    [aux_sym_preproc_def_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token1] = ACTIONS(5331),
    [aux_sym_preproc_if_token2] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5331),
    [sym_preproc_directive] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_typedef] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym___attribute] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym__Nonnull] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [anon_sym_PROGMEM] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym__Alignas] = ACTIONS(5331),
    [aux_sym_primitive_type_token1] = ACTIONS(5331),
    [anon_sym_byte] = ACTIONS(5331),
    [anon_sym_word] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_public] = ACTIONS(5331),
    [anon_sym_private] = ACTIONS(5331),
    [anon_sym_protected] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_static_assert] = ACTIONS(5331),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token2] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5335),
    [aux_sym_preproc_def_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token1] = ACTIONS(5335),
    [aux_sym_preproc_if_token2] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5335),
    [sym_preproc_directive] = ACTIONS(5335),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_typedef] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym___attribute] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym__Nonnull] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [anon_sym_PROGMEM] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym__Alignas] = ACTIONS(5335),
    [aux_sym_primitive_type_token1] = ACTIONS(5335),
    [anon_sym_byte] = ACTIONS(5335),
    [anon_sym_word] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_public] = ACTIONS(5335),
    [anon_sym_private] = ACTIONS(5335),
    [anon_sym_protected] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_static_assert] = ACTIONS(5335),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5339),
    [aux_sym_preproc_def_token1] = ACTIONS(5339),
    [aux_sym_preproc_if_token1] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5339),
    [sym_preproc_directive] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_AMP_AMP] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_typedef] = ACTIONS(5339),
    [anon_sym_virtual] = ACTIONS(5339),
    [anon_sym_extern] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5339),
    [anon_sym___attribute] = ACTIONS(5339),
    [anon_sym_COLON_COLON] = ACTIONS(5341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5341),
    [anon_sym___declspec] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5339),
    [anon_sym_unsigned] = ACTIONS(5339),
    [anon_sym_long] = ACTIONS(5339),
    [anon_sym_short] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_static] = ACTIONS(5339),
    [anon_sym_register] = ACTIONS(5339),
    [anon_sym_inline] = ACTIONS(5339),
    [anon_sym___inline] = ACTIONS(5339),
    [anon_sym___inline__] = ACTIONS(5339),
    [anon_sym___forceinline] = ACTIONS(5339),
    [anon_sym_thread_local] = ACTIONS(5339),
    [anon_sym___thread] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_PROGMEM] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5339),
    [anon_sym__Alignas] = ACTIONS(5339),
    [aux_sym_primitive_type_token1] = ACTIONS(5339),
    [anon_sym_byte] = ACTIONS(5339),
    [anon_sym_word] = ACTIONS(5339),
    [anon_sym_enum] = ACTIONS(5339),
    [anon_sym_class] = ACTIONS(5339),
    [anon_sym_struct] = ACTIONS(5339),
    [anon_sym_union] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5339),
    [anon_sym_decltype] = ACTIONS(5339),
    [anon_sym_explicit] = ACTIONS(5339),
    [anon_sym_typename] = ACTIONS(5339),
    [anon_sym_template] = ACTIONS(5339),
    [anon_sym_operator] = ACTIONS(5339),
    [anon_sym_friend] = ACTIONS(5339),
    [anon_sym_public] = ACTIONS(5339),
    [anon_sym_private] = ACTIONS(5339),
    [anon_sym_protected] = ACTIONS(5339),
    [anon_sym_using] = ACTIONS(5339),
    [anon_sym_static_assert] = ACTIONS(5339),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5343),
    [aux_sym_preproc_def_token1] = ACTIONS(5343),
    [aux_sym_preproc_if_token1] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5343),
    [sym_preproc_directive] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym_typedef] = ACTIONS(5343),
    [anon_sym_virtual] = ACTIONS(5343),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym___attribute] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5345),
    [anon_sym___declspec] = ACTIONS(5343),
    [anon_sym___based] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5343),
    [anon_sym_unsigned] = ACTIONS(5343),
    [anon_sym_long] = ACTIONS(5343),
    [anon_sym_short] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym__Nonnull] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [anon_sym_PROGMEM] = ACTIONS(5343),
    [anon_sym_alignas] = ACTIONS(5343),
    [anon_sym__Alignas] = ACTIONS(5343),
    [aux_sym_primitive_type_token1] = ACTIONS(5343),
    [anon_sym_byte] = ACTIONS(5343),
    [anon_sym_word] = ACTIONS(5343),
    [anon_sym_enum] = ACTIONS(5343),
    [anon_sym_class] = ACTIONS(5343),
    [anon_sym_struct] = ACTIONS(5343),
    [anon_sym_union] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_explicit] = ACTIONS(5343),
    [anon_sym_typename] = ACTIONS(5343),
    [anon_sym_template] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5343),
    [anon_sym_friend] = ACTIONS(5343),
    [anon_sym_public] = ACTIONS(5343),
    [anon_sym_private] = ACTIONS(5343),
    [anon_sym_protected] = ACTIONS(5343),
    [anon_sym_using] = ACTIONS(5343),
    [anon_sym_static_assert] = ACTIONS(5343),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym___attribute] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_RBRACE] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5347),
    [aux_sym_preproc_def_token1] = ACTIONS(5347),
    [aux_sym_preproc_if_token1] = ACTIONS(5347),
    [aux_sym_preproc_if_token2] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5347),
    [sym_preproc_directive] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(5349),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5349),
    [anon_sym_AMP_AMP] = ACTIONS(5349),
    [anon_sym_AMP] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5349),
    [anon_sym___extension__] = ACTIONS(5347),
    [anon_sym_typedef] = ACTIONS(5347),
    [anon_sym_virtual] = ACTIONS(5347),
    [anon_sym_extern] = ACTIONS(5347),
    [anon_sym___attribute__] = ACTIONS(5347),
    [anon_sym___attribute] = ACTIONS(5347),
    [anon_sym_COLON_COLON] = ACTIONS(5349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5347),
    [anon_sym___based] = ACTIONS(5347),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_static] = ACTIONS(5347),
    [anon_sym_register] = ACTIONS(5347),
    [anon_sym_inline] = ACTIONS(5347),
    [anon_sym___inline] = ACTIONS(5347),
    [anon_sym___inline__] = ACTIONS(5347),
    [anon_sym___forceinline] = ACTIONS(5347),
    [anon_sym_thread_local] = ACTIONS(5347),
    [anon_sym___thread] = ACTIONS(5347),
    [anon_sym_const] = ACTIONS(5347),
    [anon_sym_constexpr] = ACTIONS(5347),
    [anon_sym_volatile] = ACTIONS(5347),
    [anon_sym_restrict] = ACTIONS(5347),
    [anon_sym___restrict__] = ACTIONS(5347),
    [anon_sym__Atomic] = ACTIONS(5347),
    [anon_sym__Noreturn] = ACTIONS(5347),
    [anon_sym_noreturn] = ACTIONS(5347),
    [anon_sym__Nonnull] = ACTIONS(5347),
    [anon_sym_mutable] = ACTIONS(5347),
    [anon_sym_constinit] = ACTIONS(5347),
    [anon_sym_consteval] = ACTIONS(5347),
    [anon_sym_PROGMEM] = ACTIONS(5347),
    [anon_sym_alignas] = ACTIONS(5347),
    [anon_sym__Alignas] = ACTIONS(5347),
    [aux_sym_primitive_type_token1] = ACTIONS(5347),
    [anon_sym_byte] = ACTIONS(5347),
    [anon_sym_word] = ACTIONS(5347),
    [anon_sym_enum] = ACTIONS(5347),
    [anon_sym_class] = ACTIONS(5347),
    [anon_sym_struct] = ACTIONS(5347),
    [anon_sym_union] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5347),
    [anon_sym_decltype] = ACTIONS(5347),
    [anon_sym_explicit] = ACTIONS(5347),
    [anon_sym_typename] = ACTIONS(5347),
    [anon_sym_template] = ACTIONS(5347),
    [anon_sym_operator] = ACTIONS(5347),
    [anon_sym_friend] = ACTIONS(5347),
    [anon_sym_public] = ACTIONS(5347),
    [anon_sym_private] = ACTIONS(5347),
    [anon_sym_protected] = ACTIONS(5347),
    [anon_sym_using] = ACTIONS(5347),
    [anon_sym_static_assert] = ACTIONS(5347),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5351),
    [aux_sym_preproc_def_token1] = ACTIONS(5351),
    [aux_sym_preproc_if_token1] = ACTIONS(5351),
    [aux_sym_preproc_if_token2] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5351),
    [sym_preproc_directive] = ACTIONS(5351),
    [anon_sym_LPAREN2] = ACTIONS(5353),
    [anon_sym_TILDE] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5353),
    [anon_sym_AMP_AMP] = ACTIONS(5353),
    [anon_sym_AMP] = ACTIONS(5351),
    [anon_sym_SEMI] = ACTIONS(5353),
    [anon_sym___extension__] = ACTIONS(5351),
    [anon_sym_typedef] = ACTIONS(5351),
    [anon_sym_virtual] = ACTIONS(5351),
    [anon_sym_extern] = ACTIONS(5351),
    [anon_sym___attribute__] = ACTIONS(5351),
    [anon_sym___attribute] = ACTIONS(5351),
    [anon_sym_COLON_COLON] = ACTIONS(5353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5353),
    [anon_sym___declspec] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5351),
    [anon_sym_signed] = ACTIONS(5351),
    [anon_sym_unsigned] = ACTIONS(5351),
    [anon_sym_long] = ACTIONS(5351),
    [anon_sym_short] = ACTIONS(5351),
    [anon_sym_LBRACK] = ACTIONS(5351),
    [anon_sym_static] = ACTIONS(5351),
    [anon_sym_register] = ACTIONS(5351),
    [anon_sym_inline] = ACTIONS(5351),
    [anon_sym___inline] = ACTIONS(5351),
    [anon_sym___inline__] = ACTIONS(5351),
    [anon_sym___forceinline] = ACTIONS(5351),
    [anon_sym_thread_local] = ACTIONS(5351),
    [anon_sym___thread] = ACTIONS(5351),
    [anon_sym_const] = ACTIONS(5351),
    [anon_sym_constexpr] = ACTIONS(5351),
    [anon_sym_volatile] = ACTIONS(5351),
    [anon_sym_restrict] = ACTIONS(5351),
    [anon_sym___restrict__] = ACTIONS(5351),
    [anon_sym__Atomic] = ACTIONS(5351),
    [anon_sym__Noreturn] = ACTIONS(5351),
    [anon_sym_noreturn] = ACTIONS(5351),
    [anon_sym__Nonnull] = ACTIONS(5351),
    [anon_sym_mutable] = ACTIONS(5351),
    [anon_sym_constinit] = ACTIONS(5351),
    [anon_sym_consteval] = ACTIONS(5351),
    [anon_sym_PROGMEM] = ACTIONS(5351),
    [anon_sym_alignas] = ACTIONS(5351),
    [anon_sym__Alignas] = ACTIONS(5351),
    [aux_sym_primitive_type_token1] = ACTIONS(5351),
    [anon_sym_byte] = ACTIONS(5351),
    [anon_sym_word] = ACTIONS(5351),
    [anon_sym_enum] = ACTIONS(5351),
    [anon_sym_class] = ACTIONS(5351),
    [anon_sym_struct] = ACTIONS(5351),
    [anon_sym_union] = ACTIONS(5351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5351),
    [anon_sym_decltype] = ACTIONS(5351),
    [anon_sym_explicit] = ACTIONS(5351),
    [anon_sym_typename] = ACTIONS(5351),
    [anon_sym_template] = ACTIONS(5351),
    [anon_sym_operator] = ACTIONS(5351),
    [anon_sym_friend] = ACTIONS(5351),
    [anon_sym_public] = ACTIONS(5351),
    [anon_sym_private] = ACTIONS(5351),
    [anon_sym_protected] = ACTIONS(5351),
    [anon_sym_using] = ACTIONS(5351),
    [anon_sym_static_assert] = ACTIONS(5351),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5355),
    [aux_sym_preproc_def_token1] = ACTIONS(5355),
    [aux_sym_preproc_if_token1] = ACTIONS(5355),
    [aux_sym_preproc_if_token2] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5355),
    [sym_preproc_directive] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5357),
    [anon_sym_TILDE] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5357),
    [anon_sym_AMP_AMP] = ACTIONS(5357),
    [anon_sym_AMP] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5357),
    [anon_sym___extension__] = ACTIONS(5355),
    [anon_sym_typedef] = ACTIONS(5355),
    [anon_sym_virtual] = ACTIONS(5355),
    [anon_sym_extern] = ACTIONS(5355),
    [anon_sym___attribute__] = ACTIONS(5355),
    [anon_sym___attribute] = ACTIONS(5355),
    [anon_sym_COLON_COLON] = ACTIONS(5357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5357),
    [anon_sym___declspec] = ACTIONS(5355),
    [anon_sym___based] = ACTIONS(5355),
    [anon_sym_signed] = ACTIONS(5355),
    [anon_sym_unsigned] = ACTIONS(5355),
    [anon_sym_long] = ACTIONS(5355),
    [anon_sym_short] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_static] = ACTIONS(5355),
    [anon_sym_register] = ACTIONS(5355),
    [anon_sym_inline] = ACTIONS(5355),
    [anon_sym___inline] = ACTIONS(5355),
    [anon_sym___inline__] = ACTIONS(5355),
    [anon_sym___forceinline] = ACTIONS(5355),
    [anon_sym_thread_local] = ACTIONS(5355),
    [anon_sym___thread] = ACTIONS(5355),
    [anon_sym_const] = ACTIONS(5355),
    [anon_sym_constexpr] = ACTIONS(5355),
    [anon_sym_volatile] = ACTIONS(5355),
    [anon_sym_restrict] = ACTIONS(5355),
    [anon_sym___restrict__] = ACTIONS(5355),
    [anon_sym__Atomic] = ACTIONS(5355),
    [anon_sym__Noreturn] = ACTIONS(5355),
    [anon_sym_noreturn] = ACTIONS(5355),
    [anon_sym__Nonnull] = ACTIONS(5355),
    [anon_sym_mutable] = ACTIONS(5355),
    [anon_sym_constinit] = ACTIONS(5355),
    [anon_sym_consteval] = ACTIONS(5355),
    [anon_sym_PROGMEM] = ACTIONS(5355),
    [anon_sym_alignas] = ACTIONS(5355),
    [anon_sym__Alignas] = ACTIONS(5355),
    [aux_sym_primitive_type_token1] = ACTIONS(5355),
    [anon_sym_byte] = ACTIONS(5355),
    [anon_sym_word] = ACTIONS(5355),
    [anon_sym_enum] = ACTIONS(5355),
    [anon_sym_class] = ACTIONS(5355),
    [anon_sym_struct] = ACTIONS(5355),
    [anon_sym_union] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5355),
    [anon_sym_decltype] = ACTIONS(5355),
    [anon_sym_explicit] = ACTIONS(5355),
    [anon_sym_typename] = ACTIONS(5355),
    [anon_sym_template] = ACTIONS(5355),
    [anon_sym_operator] = ACTIONS(5355),
    [anon_sym_friend] = ACTIONS(5355),
    [anon_sym_public] = ACTIONS(5355),
    [anon_sym_private] = ACTIONS(5355),
    [anon_sym_protected] = ACTIONS(5355),
    [anon_sym_using] = ACTIONS(5355),
    [anon_sym_static_assert] = ACTIONS(5355),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [aux_sym_primitive_type_token1] = ACTIONS(5439),
    [anon_sym_byte] = ACTIONS(5439),
    [anon_sym_word] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5359),
    [aux_sym_preproc_def_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token1] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5359),
    [sym_preproc_directive] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_AMP_AMP] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(5359),
    [anon_sym_typedef] = ACTIONS(5359),
    [anon_sym_virtual] = ACTIONS(5359),
    [anon_sym_extern] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5359),
    [anon_sym___attribute] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5361),
    [anon_sym___declspec] = ACTIONS(5359),
    [anon_sym___based] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5359),
    [anon_sym_unsigned] = ACTIONS(5359),
    [anon_sym_long] = ACTIONS(5359),
    [anon_sym_short] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_static] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5359),
    [anon_sym_inline] = ACTIONS(5359),
    [anon_sym___inline] = ACTIONS(5359),
    [anon_sym___inline__] = ACTIONS(5359),
    [anon_sym___forceinline] = ACTIONS(5359),
    [anon_sym_thread_local] = ACTIONS(5359),
    [anon_sym___thread] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5359),
    [anon_sym_constexpr] = ACTIONS(5359),
    [anon_sym_volatile] = ACTIONS(5359),
    [anon_sym_restrict] = ACTIONS(5359),
    [anon_sym___restrict__] = ACTIONS(5359),
    [anon_sym__Atomic] = ACTIONS(5359),
    [anon_sym__Noreturn] = ACTIONS(5359),
    [anon_sym_noreturn] = ACTIONS(5359),
    [anon_sym__Nonnull] = ACTIONS(5359),
    [anon_sym_mutable] = ACTIONS(5359),
    [anon_sym_constinit] = ACTIONS(5359),
    [anon_sym_consteval] = ACTIONS(5359),
    [anon_sym_PROGMEM] = ACTIONS(5359),
    [anon_sym_alignas] = ACTIONS(5359),
    [anon_sym__Alignas] = ACTIONS(5359),
    [aux_sym_primitive_type_token1] = ACTIONS(5359),
    [anon_sym_byte] = ACTIONS(5359),
    [anon_sym_word] = ACTIONS(5359),
    [anon_sym_enum] = ACTIONS(5359),
    [anon_sym_class] = ACTIONS(5359),
    [anon_sym_struct] = ACTIONS(5359),
    [anon_sym_union] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5359),
    [anon_sym_decltype] = ACTIONS(5359),
    [anon_sym_explicit] = ACTIONS(5359),
    [anon_sym_typename] = ACTIONS(5359),
    [anon_sym_template] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5359),
    [anon_sym_friend] = ACTIONS(5359),
    [anon_sym_public] = ACTIONS(5359),
    [anon_sym_private] = ACTIONS(5359),
    [anon_sym_protected] = ACTIONS(5359),
    [anon_sym_using] = ACTIONS(5359),
    [anon_sym_static_assert] = ACTIONS(5359),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5365),
    [anon_sym_TILDE] = ACTIONS(5365),
    [anon_sym_STAR] = ACTIONS(5365),
    [anon_sym_AMP_AMP] = ACTIONS(5365),
    [anon_sym_AMP] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_virtual] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(5365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___based] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_mutable] = ACTIONS(5363),
    [anon_sym_constinit] = ACTIONS(5363),
    [anon_sym_consteval] = ACTIONS(5363),
    [anon_sym_PROGMEM] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [aux_sym_primitive_type_token1] = ACTIONS(5363),
    [anon_sym_byte] = ACTIONS(5363),
    [anon_sym_word] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_class] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5363),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_explicit] = ACTIONS(5363),
    [anon_sym_typename] = ACTIONS(5363),
    [anon_sym_template] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5363),
    [anon_sym_friend] = ACTIONS(5363),
    [anon_sym_public] = ACTIONS(5363),
    [anon_sym_private] = ACTIONS(5363),
    [anon_sym_protected] = ACTIONS(5363),
    [anon_sym_using] = ACTIONS(5363),
    [anon_sym_static_assert] = ACTIONS(5363),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(5367),
    [aux_sym_preproc_def_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token1] = ACTIONS(5367),
    [aux_sym_preproc_if_token2] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5367),
    [sym_preproc_directive] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5369),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5369),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym_typedef] = ACTIONS(5367),
    [anon_sym_virtual] = ACTIONS(5367),
    [anon_sym_extern] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym___attribute] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5369),
    [anon_sym___declspec] = ACTIONS(5367),
    [anon_sym___based] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5367),
    [anon_sym_unsigned] = ACTIONS(5367),
    [anon_sym_long] = ACTIONS(5367),
    [anon_sym_short] = ACTIONS(5367),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_static] = ACTIONS(5367),
    [anon_sym_register] = ACTIONS(5367),
    [anon_sym_inline] = ACTIONS(5367),
    [anon_sym___inline] = ACTIONS(5367),
    [anon_sym___inline__] = ACTIONS(5367),
    [anon_sym___forceinline] = ACTIONS(5367),
    [anon_sym_thread_local] = ACTIONS(5367),
    [anon_sym___thread] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5367),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym__Nonnull] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_PROGMEM] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [aux_sym_primitive_type_token1] = ACTIONS(5367),
    [anon_sym_byte] = ACTIONS(5367),
    [anon_sym_word] = ACTIONS(5367),
    [anon_sym_enum] = ACTIONS(5367),
    [anon_sym_class] = ACTIONS(5367),
    [anon_sym_struct] = ACTIONS(5367),
    [anon_sym_union] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_explicit] = ACTIONS(5367),
    [anon_sym_typename] = ACTIONS(5367),
    [anon_sym_template] = ACTIONS(5367),
    [anon_sym_operator] = ACTIONS(5367),
    [anon_sym_friend] = ACTIONS(5367),
    [anon_sym_public] = ACTIONS(5367),
    [anon_sym_private] = ACTIONS(5367),
    [anon_sym_protected] = ACTIONS(5367),
    [anon_sym_using] = ACTIONS(5367),
    [anon_sym_static_assert] = ACTIONS(5367),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym___attribute] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5371),
    [aux_sym_preproc_def_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token1] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5371),
    [sym_preproc_directive] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_STAR] = ACTIONS(5373),
    [anon_sym_AMP_AMP] = ACTIONS(5373),
    [anon_sym_AMP] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5371),
    [anon_sym_typedef] = ACTIONS(5371),
    [anon_sym_virtual] = ACTIONS(5371),
    [anon_sym_extern] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5371),
    [anon_sym___attribute] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(5373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5373),
    [anon_sym___declspec] = ACTIONS(5371),
    [anon_sym___based] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5371),
    [anon_sym_unsigned] = ACTIONS(5371),
    [anon_sym_long] = ACTIONS(5371),
    [anon_sym_short] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_static] = ACTIONS(5371),
    [anon_sym_register] = ACTIONS(5371),
    [anon_sym_inline] = ACTIONS(5371),
    [anon_sym___inline] = ACTIONS(5371),
    [anon_sym___inline__] = ACTIONS(5371),
    [anon_sym___forceinline] = ACTIONS(5371),
    [anon_sym_thread_local] = ACTIONS(5371),
    [anon_sym___thread] = ACTIONS(5371),
    [anon_sym_const] = ACTIONS(5371),
    [anon_sym_constexpr] = ACTIONS(5371),
    [anon_sym_volatile] = ACTIONS(5371),
    [anon_sym_restrict] = ACTIONS(5371),
    [anon_sym___restrict__] = ACTIONS(5371),
    [anon_sym__Atomic] = ACTIONS(5371),
    [anon_sym__Noreturn] = ACTIONS(5371),
    [anon_sym_noreturn] = ACTIONS(5371),
    [anon_sym__Nonnull] = ACTIONS(5371),
    [anon_sym_mutable] = ACTIONS(5371),
    [anon_sym_constinit] = ACTIONS(5371),
    [anon_sym_consteval] = ACTIONS(5371),
    [anon_sym_PROGMEM] = ACTIONS(5371),
    [anon_sym_alignas] = ACTIONS(5371),
    [anon_sym__Alignas] = ACTIONS(5371),
    [aux_sym_primitive_type_token1] = ACTIONS(5371),
    [anon_sym_byte] = ACTIONS(5371),
    [anon_sym_word] = ACTIONS(5371),
    [anon_sym_enum] = ACTIONS(5371),
    [anon_sym_class] = ACTIONS(5371),
    [anon_sym_struct] = ACTIONS(5371),
    [anon_sym_union] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5371),
    [anon_sym_decltype] = ACTIONS(5371),
    [anon_sym_explicit] = ACTIONS(5371),
    [anon_sym_typename] = ACTIONS(5371),
    [anon_sym_template] = ACTIONS(5371),
    [anon_sym_operator] = ACTIONS(5371),
    [anon_sym_friend] = ACTIONS(5371),
    [anon_sym_public] = ACTIONS(5371),
    [anon_sym_private] = ACTIONS(5371),
    [anon_sym_protected] = ACTIONS(5371),
    [anon_sym_using] = ACTIONS(5371),
    [anon_sym_static_assert] = ACTIONS(5371),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_LPAREN2] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_AMP_AMP] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5375),
    [anon_sym_SEMI] = ACTIONS(5377),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_virtual] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_COLON_COLON] = ACTIONS(5377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___based] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_mutable] = ACTIONS(5375),
    [anon_sym_constinit] = ACTIONS(5375),
    [anon_sym_consteval] = ACTIONS(5375),
    [anon_sym_PROGMEM] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [aux_sym_primitive_type_token1] = ACTIONS(5375),
    [anon_sym_byte] = ACTIONS(5375),
    [anon_sym_word] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_class] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5375),
    [anon_sym_decltype] = ACTIONS(5375),
    [anon_sym_explicit] = ACTIONS(5375),
    [anon_sym_typename] = ACTIONS(5375),
    [anon_sym_template] = ACTIONS(5375),
    [anon_sym_operator] = ACTIONS(5375),
    [anon_sym_friend] = ACTIONS(5375),
    [anon_sym_public] = ACTIONS(5375),
    [anon_sym_private] = ACTIONS(5375),
    [anon_sym_protected] = ACTIONS(5375),
    [anon_sym_using] = ACTIONS(5375),
    [anon_sym_static_assert] = ACTIONS(5375),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_AMP_AMP] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5379),
    [anon_sym_SEMI] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_virtual] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___based] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_mutable] = ACTIONS(5379),
    [anon_sym_constinit] = ACTIONS(5379),
    [anon_sym_consteval] = ACTIONS(5379),
    [anon_sym_PROGMEM] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [aux_sym_primitive_type_token1] = ACTIONS(5379),
    [anon_sym_byte] = ACTIONS(5379),
    [anon_sym_word] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_class] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5379),
    [anon_sym_decltype] = ACTIONS(5379),
    [anon_sym_explicit] = ACTIONS(5379),
    [anon_sym_typename] = ACTIONS(5379),
    [anon_sym_template] = ACTIONS(5379),
    [anon_sym_operator] = ACTIONS(5379),
    [anon_sym_friend] = ACTIONS(5379),
    [anon_sym_public] = ACTIONS(5379),
    [anon_sym_private] = ACTIONS(5379),
    [anon_sym_protected] = ACTIONS(5379),
    [anon_sym_using] = ACTIONS(5379),
    [anon_sym_static_assert] = ACTIONS(5379),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym___attribute] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_friend] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5391),
    [aux_sym_preproc_def_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token1] = ACTIONS(5391),
    [aux_sym_preproc_if_token2] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5391),
    [sym_preproc_directive] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_STAR] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5391),
    [anon_sym_typedef] = ACTIONS(5391),
    [anon_sym_virtual] = ACTIONS(5391),
    [anon_sym_extern] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(5391),
    [anon_sym___attribute] = ACTIONS(5391),
    [anon_sym_COLON_COLON] = ACTIONS(5393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5393),
    [anon_sym___declspec] = ACTIONS(5391),
    [anon_sym___based] = ACTIONS(5391),
    [anon_sym_signed] = ACTIONS(5391),
    [anon_sym_unsigned] = ACTIONS(5391),
    [anon_sym_long] = ACTIONS(5391),
    [anon_sym_short] = ACTIONS(5391),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym_static] = ACTIONS(5391),
    [anon_sym_register] = ACTIONS(5391),
    [anon_sym_inline] = ACTIONS(5391),
    [anon_sym___inline] = ACTIONS(5391),
    [anon_sym___inline__] = ACTIONS(5391),
    [anon_sym___forceinline] = ACTIONS(5391),
    [anon_sym_thread_local] = ACTIONS(5391),
    [anon_sym___thread] = ACTIONS(5391),
    [anon_sym_const] = ACTIONS(5391),
    [anon_sym_constexpr] = ACTIONS(5391),
    [anon_sym_volatile] = ACTIONS(5391),
    [anon_sym_restrict] = ACTIONS(5391),
    [anon_sym___restrict__] = ACTIONS(5391),
    [anon_sym__Atomic] = ACTIONS(5391),
    [anon_sym__Noreturn] = ACTIONS(5391),
    [anon_sym_noreturn] = ACTIONS(5391),
    [anon_sym__Nonnull] = ACTIONS(5391),
    [anon_sym_mutable] = ACTIONS(5391),
    [anon_sym_constinit] = ACTIONS(5391),
    [anon_sym_consteval] = ACTIONS(5391),
    [anon_sym_PROGMEM] = ACTIONS(5391),
    [anon_sym_alignas] = ACTIONS(5391),
    [anon_sym__Alignas] = ACTIONS(5391),
    [aux_sym_primitive_type_token1] = ACTIONS(5391),
    [anon_sym_byte] = ACTIONS(5391),
    [anon_sym_word] = ACTIONS(5391),
    [anon_sym_enum] = ACTIONS(5391),
    [anon_sym_class] = ACTIONS(5391),
    [anon_sym_struct] = ACTIONS(5391),
    [anon_sym_union] = ACTIONS(5391),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_explicit] = ACTIONS(5391),
    [anon_sym_typename] = ACTIONS(5391),
    [anon_sym_template] = ACTIONS(5391),
    [anon_sym_operator] = ACTIONS(5391),
    [anon_sym_friend] = ACTIONS(5391),
    [anon_sym_public] = ACTIONS(5391),
    [anon_sym_private] = ACTIONS(5391),
    [anon_sym_protected] = ACTIONS(5391),
    [anon_sym_using] = ACTIONS(5391),
    [anon_sym_static_assert] = ACTIONS(5391),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym_SEMI] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_virtual] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___based] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_mutable] = ACTIONS(5399),
    [anon_sym_constinit] = ACTIONS(5399),
    [anon_sym_consteval] = ACTIONS(5399),
    [anon_sym_PROGMEM] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [aux_sym_primitive_type_token1] = ACTIONS(5399),
    [anon_sym_byte] = ACTIONS(5399),
    [anon_sym_word] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_class] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5399),
    [anon_sym_decltype] = ACTIONS(5399),
    [anon_sym_explicit] = ACTIONS(5399),
    [anon_sym_typename] = ACTIONS(5399),
    [anon_sym_template] = ACTIONS(5399),
    [anon_sym_operator] = ACTIONS(5399),
    [anon_sym_friend] = ACTIONS(5399),
    [anon_sym_public] = ACTIONS(5399),
    [anon_sym_private] = ACTIONS(5399),
    [anon_sym_protected] = ACTIONS(5399),
    [anon_sym_using] = ACTIONS(5399),
    [anon_sym_static_assert] = ACTIONS(5399),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5403),
    [aux_sym_preproc_def_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token1] = ACTIONS(5403),
    [aux_sym_preproc_if_token2] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5403),
    [sym_preproc_directive] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5403),
    [anon_sym_SEMI] = ACTIONS(5405),
    [anon_sym___extension__] = ACTIONS(5403),
    [anon_sym_typedef] = ACTIONS(5403),
    [anon_sym_virtual] = ACTIONS(5403),
    [anon_sym_extern] = ACTIONS(5403),
    [anon_sym___attribute__] = ACTIONS(5403),
    [anon_sym___attribute] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5405),
    [anon_sym___declspec] = ACTIONS(5403),
    [anon_sym___based] = ACTIONS(5403),
    [anon_sym_signed] = ACTIONS(5403),
    [anon_sym_unsigned] = ACTIONS(5403),
    [anon_sym_long] = ACTIONS(5403),
    [anon_sym_short] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_static] = ACTIONS(5403),
    [anon_sym_register] = ACTIONS(5403),
    [anon_sym_inline] = ACTIONS(5403),
    [anon_sym___inline] = ACTIONS(5403),
    [anon_sym___inline__] = ACTIONS(5403),
    [anon_sym___forceinline] = ACTIONS(5403),
    [anon_sym_thread_local] = ACTIONS(5403),
    [anon_sym___thread] = ACTIONS(5403),
    [anon_sym_const] = ACTIONS(5403),
    [anon_sym_constexpr] = ACTIONS(5403),
    [anon_sym_volatile] = ACTIONS(5403),
    [anon_sym_restrict] = ACTIONS(5403),
    [anon_sym___restrict__] = ACTIONS(5403),
    [anon_sym__Atomic] = ACTIONS(5403),
    [anon_sym__Noreturn] = ACTIONS(5403),
    [anon_sym_noreturn] = ACTIONS(5403),
    [anon_sym__Nonnull] = ACTIONS(5403),
    [anon_sym_mutable] = ACTIONS(5403),
    [anon_sym_constinit] = ACTIONS(5403),
    [anon_sym_consteval] = ACTIONS(5403),
    [anon_sym_PROGMEM] = ACTIONS(5403),
    [anon_sym_alignas] = ACTIONS(5403),
    [anon_sym__Alignas] = ACTIONS(5403),
    [aux_sym_primitive_type_token1] = ACTIONS(5403),
    [anon_sym_byte] = ACTIONS(5403),
    [anon_sym_word] = ACTIONS(5403),
    [anon_sym_enum] = ACTIONS(5403),
    [anon_sym_class] = ACTIONS(5403),
    [anon_sym_struct] = ACTIONS(5403),
    [anon_sym_union] = ACTIONS(5403),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5403),
    [anon_sym_decltype] = ACTIONS(5403),
    [anon_sym_explicit] = ACTIONS(5403),
    [anon_sym_typename] = ACTIONS(5403),
    [anon_sym_template] = ACTIONS(5403),
    [anon_sym_operator] = ACTIONS(5403),
    [anon_sym_friend] = ACTIONS(5403),
    [anon_sym_public] = ACTIONS(5403),
    [anon_sym_private] = ACTIONS(5403),
    [anon_sym_protected] = ACTIONS(5403),
    [anon_sym_using] = ACTIONS(5403),
    [anon_sym_static_assert] = ACTIONS(5403),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [aux_sym_primitive_type_token1] = ACTIONS(5439),
    [anon_sym_byte] = ACTIONS(5439),
    [anon_sym_word] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_class] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_explicit] = ACTIONS(5439),
    [anon_sym_typename] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_friend] = ACTIONS(5439),
    [anon_sym_public] = ACTIONS(5439),
    [anon_sym_private] = ACTIONS(5439),
    [anon_sym_protected] = ACTIONS(5439),
    [anon_sym_using] = ACTIONS(5439),
    [anon_sym_static_assert] = ACTIONS(5439),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token2] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_friend] = ACTIONS(2925),
    [anon_sym_public] = ACTIONS(2925),
    [anon_sym_private] = ACTIONS(2925),
    [anon_sym_protected] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(3167),
    [aux_sym_preproc_def_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3169),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3169),
    [anon_sym_AMP_AMP] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_typedef] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym___attribute] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3169),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym___based] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_PROGMEM] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [aux_sym_primitive_type_token1] = ACTIONS(3167),
    [anon_sym_byte] = ACTIONS(3167),
    [anon_sym_word] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_explicit] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_operator] = ACTIONS(3167),
    [anon_sym_friend] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_static_assert] = ACTIONS(3167),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(5443),
    [aux_sym_preproc_def_token1] = ACTIONS(5443),
    [aux_sym_preproc_if_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5443),
    [sym_preproc_directive] = ACTIONS(5443),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5443),
    [anon_sym_SEMI] = ACTIONS(5445),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_typedef] = ACTIONS(5443),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5443),
    [anon_sym___attribute__] = ACTIONS(5443),
    [anon_sym___attribute] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5445),
    [anon_sym___declspec] = ACTIONS(5443),
    [anon_sym___based] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_static] = ACTIONS(5443),
    [anon_sym_register] = ACTIONS(5443),
    [anon_sym_inline] = ACTIONS(5443),
    [anon_sym___inline] = ACTIONS(5443),
    [anon_sym___inline__] = ACTIONS(5443),
    [anon_sym___forceinline] = ACTIONS(5443),
    [anon_sym_thread_local] = ACTIONS(5443),
    [anon_sym___thread] = ACTIONS(5443),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym__Nonnull] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5443),
    [anon_sym__Alignas] = ACTIONS(5443),
    [aux_sym_primitive_type_token1] = ACTIONS(5443),
    [anon_sym_byte] = ACTIONS(5443),
    [anon_sym_word] = ACTIONS(5443),
    [anon_sym_enum] = ACTIONS(5443),
    [anon_sym_class] = ACTIONS(5443),
    [anon_sym_struct] = ACTIONS(5443),
    [anon_sym_union] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5443),
    [anon_sym_decltype] = ACTIONS(5443),
    [anon_sym_explicit] = ACTIONS(5443),
    [anon_sym_typename] = ACTIONS(5443),
    [anon_sym_template] = ACTIONS(5443),
    [anon_sym_operator] = ACTIONS(5443),
    [anon_sym_friend] = ACTIONS(5443),
    [anon_sym_public] = ACTIONS(5443),
    [anon_sym_private] = ACTIONS(5443),
    [anon_sym_protected] = ACTIONS(5443),
    [anon_sym_using] = ACTIONS(5443),
    [anon_sym_static_assert] = ACTIONS(5443),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym___attribute] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym__Nonnull] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [anon_sym_PROGMEM] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym__Alignas] = ACTIONS(2837),
    [aux_sym_primitive_type_token1] = ACTIONS(2837),
    [anon_sym_byte] = ACTIONS(2837),
    [anon_sym_word] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
  },
  [2063] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2064),
    [sym__declarator] = STATE(6275),
    [sym__abstract_declarator] = STATE(6463),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2515),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(2920),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2515),
    [aux_sym_pointer_declarator_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5717),
    [anon_sym___attribute] = ACTIONS(5717),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5709),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(5709),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2064] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(3787),
    [sym__declarator] = STATE(6283),
    [sym__abstract_declarator] = STATE(6465),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2516),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(2920),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2516),
    [aux_sym_pointer_declarator_repeat1] = STATE(3787),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5723),
    [anon_sym_RPAREN] = ACTIONS(5723),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5723),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(5723),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym___attribute] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym___attribute] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym__Nonnull] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_PROGMEM] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [aux_sym_primitive_type_token1] = ACTIONS(2937),
    [anon_sym_byte] = ACTIONS(2937),
    [anon_sym_word] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym___attribute] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym___attribute] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym__Nonnull] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_PROGMEM] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [aux_sym_primitive_type_token1] = ACTIONS(2941),
    [anon_sym_byte] = ACTIONS(2941),
    [anon_sym_word] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_AMP_AMP] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_typedef] = ACTIONS(2970),
    [anon_sym_virtual] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_mutable] = ACTIONS(2970),
    [anon_sym_constinit] = ACTIONS(2970),
    [anon_sym_consteval] = ACTIONS(2970),
    [anon_sym_PROGMEM] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2970),
    [anon_sym_decltype] = ACTIONS(2970),
    [anon_sym_explicit] = ACTIONS(2970),
    [anon_sym_typename] = ACTIONS(2970),
    [anon_sym_template] = ACTIONS(2970),
    [anon_sym_operator] = ACTIONS(2970),
    [anon_sym_friend] = ACTIONS(2970),
    [anon_sym_public] = ACTIONS(2970),
    [anon_sym_private] = ACTIONS(2970),
    [anon_sym_protected] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_static_assert] = ACTIONS(2970),
  },
  [2072] = {
    [sym_argument_list] = STATE(2432),
    [sym_initializer_list] = STATE(2432),
    [sym_decltype_auto] = STATE(2301),
    [sym_new_declarator] = STATE(2270),
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5729),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [aux_sym_preproc_if_token2] = ACTIONS(5729),
    [aux_sym_preproc_else_token1] = ACTIONS(5729),
    [aux_sym_preproc_elif_token1] = ACTIONS(5727),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5729),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(5727),
    [anon_sym_SLASH] = ACTIONS(5727),
    [anon_sym_PERCENT] = ACTIONS(5727),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_PIPE] = ACTIONS(5727),
    [anon_sym_CARET] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym_EQ_EQ] = ACTIONS(5729),
    [anon_sym_BANG_EQ] = ACTIONS(5729),
    [anon_sym_GT] = ACTIONS(5727),
    [anon_sym_GT_EQ] = ACTIONS(5729),
    [anon_sym_LT_EQ] = ACTIONS(5727),
    [anon_sym_LT] = ACTIONS(5727),
    [anon_sym_LT_LT] = ACTIONS(5727),
    [anon_sym_GT_GT] = ACTIONS(5727),
    [anon_sym_SEMI] = ACTIONS(5729),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym___attribute] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(5729),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_COLON] = ACTIONS(5729),
    [anon_sym_QMARK] = ACTIONS(5729),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5727),
    [anon_sym_or_eq] = ACTIONS(5727),
    [anon_sym_xor_eq] = ACTIONS(5727),
    [anon_sym_LT_EQ_GT] = ACTIONS(5729),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [anon_sym_bitor] = ACTIONS(5727),
    [anon_sym_xor] = ACTIONS(5727),
    [anon_sym_bitand] = ACTIONS(5727),
    [anon_sym_not_eq] = ACTIONS(5727),
    [anon_sym_DASH_DASH] = ACTIONS(5729),
    [anon_sym_PLUS_PLUS] = ACTIONS(5729),
    [anon_sym_DOT] = ACTIONS(5727),
    [anon_sym_DOT_STAR] = ACTIONS(5729),
    [anon_sym_DASH_GT] = ACTIONS(5729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2073] = {
    [sym_argument_list] = STATE(2458),
    [sym_initializer_list] = STATE(2458),
    [sym_decltype_auto] = STATE(2301),
    [sym_new_declarator] = STATE(2280),
    [sym_identifier] = ACTIONS(5739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5741),
    [anon_sym_COMMA] = ACTIONS(5741),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [aux_sym_preproc_if_token2] = ACTIONS(5741),
    [aux_sym_preproc_else_token1] = ACTIONS(5741),
    [aux_sym_preproc_elif_token1] = ACTIONS(5739),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5741),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_PERCENT] = ACTIONS(5739),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_PIPE] = ACTIONS(5739),
    [anon_sym_CARET] = ACTIONS(5739),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym_EQ_EQ] = ACTIONS(5741),
    [anon_sym_BANG_EQ] = ACTIONS(5741),
    [anon_sym_GT] = ACTIONS(5739),
    [anon_sym_GT_EQ] = ACTIONS(5741),
    [anon_sym_LT_EQ] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5739),
    [anon_sym_LT_LT] = ACTIONS(5739),
    [anon_sym_GT_GT] = ACTIONS(5739),
    [anon_sym_SEMI] = ACTIONS(5741),
    [anon_sym___attribute__] = ACTIONS(5739),
    [anon_sym___attribute] = ACTIONS(5739),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_EQ] = ACTIONS(5739),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_QMARK] = ACTIONS(5741),
    [anon_sym_STAR_EQ] = ACTIONS(5741),
    [anon_sym_SLASH_EQ] = ACTIONS(5741),
    [anon_sym_PERCENT_EQ] = ACTIONS(5741),
    [anon_sym_PLUS_EQ] = ACTIONS(5741),
    [anon_sym_DASH_EQ] = ACTIONS(5741),
    [anon_sym_LT_LT_EQ] = ACTIONS(5741),
    [anon_sym_GT_GT_EQ] = ACTIONS(5741),
    [anon_sym_AMP_EQ] = ACTIONS(5741),
    [anon_sym_CARET_EQ] = ACTIONS(5741),
    [anon_sym_PIPE_EQ] = ACTIONS(5741),
    [anon_sym_and_eq] = ACTIONS(5739),
    [anon_sym_or_eq] = ACTIONS(5739),
    [anon_sym_xor_eq] = ACTIONS(5739),
    [anon_sym_LT_EQ_GT] = ACTIONS(5741),
    [anon_sym_or] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_bitor] = ACTIONS(5739),
    [anon_sym_xor] = ACTIONS(5739),
    [anon_sym_bitand] = ACTIONS(5739),
    [anon_sym_not_eq] = ACTIONS(5739),
    [anon_sym_DASH_DASH] = ACTIONS(5741),
    [anon_sym_PLUS_PLUS] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5739),
    [anon_sym_DOT_STAR] = ACTIONS(5741),
    [anon_sym_DASH_GT] = ACTIONS(5741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2074] = {
    [sym_argument_list] = STATE(2470),
    [sym_initializer_list] = STATE(2470),
    [sym_decltype_auto] = STATE(2301),
    [sym_new_declarator] = STATE(2282),
    [sym_identifier] = ACTIONS(5743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5745),
    [anon_sym_COMMA] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5745),
    [aux_sym_preproc_if_token2] = ACTIONS(5745),
    [aux_sym_preproc_else_token1] = ACTIONS(5745),
    [aux_sym_preproc_elif_token1] = ACTIONS(5743),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5745),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5743),
    [anon_sym_PLUS] = ACTIONS(5743),
    [anon_sym_STAR] = ACTIONS(5743),
    [anon_sym_SLASH] = ACTIONS(5743),
    [anon_sym_PERCENT] = ACTIONS(5743),
    [anon_sym_PIPE_PIPE] = ACTIONS(5745),
    [anon_sym_AMP_AMP] = ACTIONS(5745),
    [anon_sym_PIPE] = ACTIONS(5743),
    [anon_sym_CARET] = ACTIONS(5743),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym_EQ_EQ] = ACTIONS(5745),
    [anon_sym_BANG_EQ] = ACTIONS(5745),
    [anon_sym_GT] = ACTIONS(5743),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5743),
    [anon_sym_LT] = ACTIONS(5743),
    [anon_sym_LT_LT] = ACTIONS(5743),
    [anon_sym_GT_GT] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5743),
    [anon_sym___attribute] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5745),
    [anon_sym_EQ] = ACTIONS(5743),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5745),
    [anon_sym_STAR_EQ] = ACTIONS(5745),
    [anon_sym_SLASH_EQ] = ACTIONS(5745),
    [anon_sym_PERCENT_EQ] = ACTIONS(5745),
    [anon_sym_PLUS_EQ] = ACTIONS(5745),
    [anon_sym_DASH_EQ] = ACTIONS(5745),
    [anon_sym_LT_LT_EQ] = ACTIONS(5745),
    [anon_sym_GT_GT_EQ] = ACTIONS(5745),
    [anon_sym_AMP_EQ] = ACTIONS(5745),
    [anon_sym_CARET_EQ] = ACTIONS(5745),
    [anon_sym_PIPE_EQ] = ACTIONS(5745),
    [anon_sym_and_eq] = ACTIONS(5743),
    [anon_sym_or_eq] = ACTIONS(5743),
    [anon_sym_xor_eq] = ACTIONS(5743),
    [anon_sym_LT_EQ_GT] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5743),
    [anon_sym_and] = ACTIONS(5743),
    [anon_sym_bitor] = ACTIONS(5743),
    [anon_sym_xor] = ACTIONS(5743),
    [anon_sym_bitand] = ACTIONS(5743),
    [anon_sym_not_eq] = ACTIONS(5743),
    [anon_sym_DASH_DASH] = ACTIONS(5745),
    [anon_sym_PLUS_PLUS] = ACTIONS(5745),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_DOT_STAR] = ACTIONS(5745),
    [anon_sym_DASH_GT] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2075] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4920),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5747),
    [anon_sym_unsigned] = ACTIONS(5747),
    [anon_sym_long] = ACTIONS(5747),
    [anon_sym_short] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [2076] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5750),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5750),
    [anon_sym_GT_GT] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym___extension__] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym___attribute] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_RBRACK] = ACTIONS(5750),
    [anon_sym_const] = ACTIONS(5752),
    [anon_sym_constexpr] = ACTIONS(5750),
    [anon_sym_volatile] = ACTIONS(5750),
    [anon_sym_restrict] = ACTIONS(5750),
    [anon_sym___restrict__] = ACTIONS(5750),
    [anon_sym__Atomic] = ACTIONS(5750),
    [anon_sym__Noreturn] = ACTIONS(5750),
    [anon_sym_noreturn] = ACTIONS(5750),
    [anon_sym__Nonnull] = ACTIONS(5750),
    [anon_sym_mutable] = ACTIONS(5750),
    [anon_sym_constinit] = ACTIONS(5750),
    [anon_sym_consteval] = ACTIONS(5750),
    [anon_sym_PROGMEM] = ACTIONS(5750),
    [anon_sym_alignas] = ACTIONS(5750),
    [anon_sym__Alignas] = ACTIONS(5750),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
    [anon_sym_final] = ACTIONS(5750),
    [anon_sym_override] = ACTIONS(5750),
    [anon_sym_requires] = ACTIONS(5750),
  },
  [2077] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_restrict] = ACTIONS(5756),
    [anon_sym___restrict__] = ACTIONS(5756),
    [anon_sym__Atomic] = ACTIONS(5756),
    [anon_sym__Noreturn] = ACTIONS(5756),
    [anon_sym_noreturn] = ACTIONS(5756),
    [anon_sym__Nonnull] = ACTIONS(5756),
    [anon_sym_mutable] = ACTIONS(5756),
    [anon_sym_constinit] = ACTIONS(5756),
    [anon_sym_consteval] = ACTIONS(5756),
    [anon_sym_PROGMEM] = ACTIONS(5756),
    [anon_sym_alignas] = ACTIONS(5756),
    [anon_sym__Alignas] = ACTIONS(5756),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
    [anon_sym_final] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_requires] = ACTIONS(5756),
  },
  [2078] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(5764),
    [anon_sym_unsigned] = ACTIONS(5764),
    [anon_sym_long] = ACTIONS(5764),
    [anon_sym_short] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5762),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym__Nonnull] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [anon_sym_PROGMEM] = ACTIONS(5760),
    [anon_sym_alignas] = ACTIONS(5760),
    [anon_sym__Alignas] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
  },
  [2079] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(5770),
    [anon_sym_unsigned] = ACTIONS(5770),
    [anon_sym_long] = ACTIONS(5770),
    [anon_sym_short] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym__Nonnull] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [anon_sym_PROGMEM] = ACTIONS(5766),
    [anon_sym_alignas] = ACTIONS(5766),
    [anon_sym__Alignas] = ACTIONS(5766),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [2080] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [anon_sym_RPAREN] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5772),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5772),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5772),
    [anon_sym_GT_GT] = ACTIONS(5772),
    [anon_sym_SEMI] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5772),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_RBRACE] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(5776),
    [anon_sym_unsigned] = ACTIONS(5776),
    [anon_sym_long] = ACTIONS(5776),
    [anon_sym_short] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_RBRACK] = ACTIONS(5772),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5772),
    [anon_sym_volatile] = ACTIONS(5772),
    [anon_sym_restrict] = ACTIONS(5772),
    [anon_sym___restrict__] = ACTIONS(5772),
    [anon_sym__Atomic] = ACTIONS(5772),
    [anon_sym__Noreturn] = ACTIONS(5772),
    [anon_sym_noreturn] = ACTIONS(5772),
    [anon_sym__Nonnull] = ACTIONS(5772),
    [anon_sym_mutable] = ACTIONS(5772),
    [anon_sym_constinit] = ACTIONS(5772),
    [anon_sym_consteval] = ACTIONS(5772),
    [anon_sym_PROGMEM] = ACTIONS(5772),
    [anon_sym_alignas] = ACTIONS(5772),
    [anon_sym__Alignas] = ACTIONS(5772),
    [anon_sym_COLON] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5772),
    [anon_sym_and] = ACTIONS(5772),
    [anon_sym_bitor] = ACTIONS(5772),
    [anon_sym_xor] = ACTIONS(5772),
    [anon_sym_bitand] = ACTIONS(5772),
    [anon_sym_not_eq] = ACTIONS(5772),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5772),
    [anon_sym_decltype] = ACTIONS(5772),
    [anon_sym_final] = ACTIONS(5772),
    [anon_sym_override] = ACTIONS(5772),
    [anon_sym_requires] = ACTIONS(5772),
  },
  [2081] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5778),
    [anon_sym_COMMA] = ACTIONS(5778),
    [anon_sym_RPAREN] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5780),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5778),
    [anon_sym_AMP_AMP] = ACTIONS(5778),
    [anon_sym_PIPE] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5780),
    [anon_sym_EQ_EQ] = ACTIONS(5778),
    [anon_sym_BANG_EQ] = ACTIONS(5778),
    [anon_sym_GT] = ACTIONS(5780),
    [anon_sym_GT_EQ] = ACTIONS(5778),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5780),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5778),
    [anon_sym___extension__] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5780),
    [anon_sym_LBRACE] = ACTIONS(5778),
    [anon_sym_RBRACE] = ACTIONS(5778),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5778),
    [anon_sym_RBRACK] = ACTIONS(5778),
    [anon_sym_const] = ACTIONS(5780),
    [anon_sym_constexpr] = ACTIONS(5778),
    [anon_sym_volatile] = ACTIONS(5778),
    [anon_sym_restrict] = ACTIONS(5778),
    [anon_sym___restrict__] = ACTIONS(5778),
    [anon_sym__Atomic] = ACTIONS(5778),
    [anon_sym__Noreturn] = ACTIONS(5778),
    [anon_sym_noreturn] = ACTIONS(5778),
    [anon_sym__Nonnull] = ACTIONS(5778),
    [anon_sym_mutable] = ACTIONS(5778),
    [anon_sym_constinit] = ACTIONS(5778),
    [anon_sym_consteval] = ACTIONS(5778),
    [anon_sym_PROGMEM] = ACTIONS(5778),
    [anon_sym_alignas] = ACTIONS(5778),
    [anon_sym__Alignas] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5778),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5778),
    [anon_sym_PLUS_PLUS] = ACTIONS(5778),
    [anon_sym_DOT] = ACTIONS(5780),
    [anon_sym_DOT_STAR] = ACTIONS(5778),
    [anon_sym_DASH_GT] = ACTIONS(5778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
    [anon_sym_final] = ACTIONS(5778),
    [anon_sym_override] = ACTIONS(5778),
    [anon_sym_requires] = ACTIONS(5778),
  },
  [2082] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym___extension__] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_RBRACK] = ACTIONS(5782),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5782),
    [anon_sym_volatile] = ACTIONS(5782),
    [anon_sym_restrict] = ACTIONS(5782),
    [anon_sym___restrict__] = ACTIONS(5782),
    [anon_sym__Atomic] = ACTIONS(5782),
    [anon_sym__Noreturn] = ACTIONS(5782),
    [anon_sym_noreturn] = ACTIONS(5782),
    [anon_sym__Nonnull] = ACTIONS(5782),
    [anon_sym_mutable] = ACTIONS(5782),
    [anon_sym_constinit] = ACTIONS(5782),
    [anon_sym_consteval] = ACTIONS(5782),
    [anon_sym_PROGMEM] = ACTIONS(5782),
    [anon_sym_alignas] = ACTIONS(5782),
    [anon_sym__Alignas] = ACTIONS(5782),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
    [anon_sym_final] = ACTIONS(5782),
    [anon_sym_override] = ACTIONS(5782),
    [anon_sym_requires] = ACTIONS(5782),
  },
  [2083] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5788),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_PROGMEM] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [2084] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_PROGMEM] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [2085] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5794),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym___extension__] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_signed] = ACTIONS(5798),
    [anon_sym_unsigned] = ACTIONS(5798),
    [anon_sym_long] = ACTIONS(5798),
    [anon_sym_short] = ACTIONS(5798),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_const] = ACTIONS(5796),
    [anon_sym_constexpr] = ACTIONS(5794),
    [anon_sym_volatile] = ACTIONS(5794),
    [anon_sym_restrict] = ACTIONS(5794),
    [anon_sym___restrict__] = ACTIONS(5794),
    [anon_sym__Atomic] = ACTIONS(5794),
    [anon_sym__Noreturn] = ACTIONS(5794),
    [anon_sym_noreturn] = ACTIONS(5794),
    [anon_sym__Nonnull] = ACTIONS(5794),
    [anon_sym_mutable] = ACTIONS(5794),
    [anon_sym_constinit] = ACTIONS(5794),
    [anon_sym_consteval] = ACTIONS(5794),
    [anon_sym_PROGMEM] = ACTIONS(5794),
    [anon_sym_alignas] = ACTIONS(5794),
    [anon_sym__Alignas] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5794),
    [anon_sym_PLUS_PLUS] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_DOT_STAR] = ACTIONS(5794),
    [anon_sym_DASH_GT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
    [anon_sym_final] = ACTIONS(5794),
    [anon_sym_override] = ACTIONS(5794),
    [anon_sym_requires] = ACTIONS(5794),
  },
  [2086] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_PROGMEM] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2087] = {
    [sym_argument_list] = STATE(2446),
    [sym_initializer_list] = STATE(2446),
    [sym_decltype_auto] = STATE(2301),
    [sym_new_declarator] = STATE(2277),
    [sym_identifier] = ACTIONS(5804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [anon_sym_RPAREN] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_else_token1] = ACTIONS(5806),
    [aux_sym_preproc_elif_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5806),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5804),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(5806),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_COLON] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2088] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
  },
  [2089] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5808),
    [anon_sym_unsigned] = ACTIONS(5808),
    [anon_sym_long] = ACTIONS(5808),
    [anon_sym_short] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym__Nonnull] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym__Alignas] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
    [anon_sym_requires] = ACTIONS(5604),
  },
  [2090] = {
    [sym_template_argument_list] = STATE(2095),
    [sym_identifier] = ACTIONS(4831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4838),
    [anon_sym_COMMA] = ACTIONS(4838),
    [anon_sym_RPAREN] = ACTIONS(4838),
    [aux_sym_preproc_if_token2] = ACTIONS(4838),
    [aux_sym_preproc_else_token1] = ACTIONS(4838),
    [aux_sym_preproc_elif_token1] = ACTIONS(4831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4838),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4838),
    [anon_sym_LPAREN2] = ACTIONS(4838),
    [anon_sym_DASH] = ACTIONS(4831),
    [anon_sym_PLUS] = ACTIONS(4831),
    [anon_sym_STAR] = ACTIONS(4831),
    [anon_sym_SLASH] = ACTIONS(4831),
    [anon_sym_PERCENT] = ACTIONS(4831),
    [anon_sym_PIPE_PIPE] = ACTIONS(4838),
    [anon_sym_AMP_AMP] = ACTIONS(4838),
    [anon_sym_PIPE] = ACTIONS(4831),
    [anon_sym_CARET] = ACTIONS(4831),
    [anon_sym_AMP] = ACTIONS(4831),
    [anon_sym_EQ_EQ] = ACTIONS(4838),
    [anon_sym_BANG_EQ] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4831),
    [anon_sym_GT_EQ] = ACTIONS(4838),
    [anon_sym_LT_EQ] = ACTIONS(4831),
    [anon_sym_LT] = ACTIONS(5810),
    [anon_sym_LT_LT] = ACTIONS(4831),
    [anon_sym_GT_GT] = ACTIONS(4831),
    [anon_sym_SEMI] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4831),
    [anon_sym___attribute] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_RBRACE] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4838),
    [anon_sym_RBRACK] = ACTIONS(4838),
    [anon_sym_EQ] = ACTIONS(4831),
    [anon_sym_COLON] = ACTIONS(4831),
    [anon_sym_QMARK] = ACTIONS(4838),
    [anon_sym_STAR_EQ] = ACTIONS(4838),
    [anon_sym_SLASH_EQ] = ACTIONS(4838),
    [anon_sym_PERCENT_EQ] = ACTIONS(4838),
    [anon_sym_PLUS_EQ] = ACTIONS(4838),
    [anon_sym_DASH_EQ] = ACTIONS(4838),
    [anon_sym_LT_LT_EQ] = ACTIONS(4838),
    [anon_sym_GT_GT_EQ] = ACTIONS(4838),
    [anon_sym_AMP_EQ] = ACTIONS(4838),
    [anon_sym_CARET_EQ] = ACTIONS(4838),
    [anon_sym_PIPE_EQ] = ACTIONS(4838),
    [anon_sym_and_eq] = ACTIONS(4831),
    [anon_sym_or_eq] = ACTIONS(4831),
    [anon_sym_xor_eq] = ACTIONS(4831),
    [anon_sym_LT_EQ_GT] = ACTIONS(4838),
    [anon_sym_or] = ACTIONS(4831),
    [anon_sym_and] = ACTIONS(4831),
    [anon_sym_bitor] = ACTIONS(4831),
    [anon_sym_xor] = ACTIONS(4831),
    [anon_sym_bitand] = ACTIONS(4831),
    [anon_sym_not_eq] = ACTIONS(4831),
    [anon_sym_DASH_DASH] = ACTIONS(4838),
    [anon_sym_PLUS_PLUS] = ACTIONS(4838),
    [anon_sym_DOT] = ACTIONS(4831),
    [anon_sym_DOT_STAR] = ACTIONS(4838),
    [anon_sym_DASH_GT] = ACTIONS(4838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4831),
    [anon_sym_decltype] = ACTIONS(4831),
    [anon_sym_final] = ACTIONS(4831),
    [anon_sym_override] = ACTIONS(4831),
  },
  [2091] = {
    [sym_template_argument_list] = STATE(2095),
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4133),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_RPAREN] = ACTIONS(4133),
    [aux_sym_preproc_if_token2] = ACTIONS(4133),
    [aux_sym_preproc_else_token1] = ACTIONS(4133),
    [aux_sym_preproc_elif_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4133),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(5689),
    [anon_sym_PLUS] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_SLASH] = ACTIONS(5689),
    [anon_sym_PERCENT] = ACTIONS(5689),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_PIPE] = ACTIONS(5689),
    [anon_sym_CARET] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_EQ_EQ] = ACTIONS(4133),
    [anon_sym_BANG_EQ] = ACTIONS(4133),
    [anon_sym_GT] = ACTIONS(5689),
    [anon_sym_GT_EQ] = ACTIONS(4133),
    [anon_sym_LT_EQ] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5813),
    [anon_sym_LT_LT] = ACTIONS(5689),
    [anon_sym_GT_GT] = ACTIONS(5689),
    [anon_sym_SEMI] = ACTIONS(4133),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___attribute] = ACTIONS(5689),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4133),
    [anon_sym_RBRACK] = ACTIONS(4133),
    [anon_sym_EQ] = ACTIONS(5689),
    [anon_sym_COLON] = ACTIONS(5689),
    [anon_sym_QMARK] = ACTIONS(4133),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(5689),
    [anon_sym_or_eq] = ACTIONS(5689),
    [anon_sym_xor_eq] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(4133),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5689),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(4133),
    [anon_sym_PLUS_PLUS] = ACTIONS(4133),
    [anon_sym_DOT] = ACTIONS(5689),
    [anon_sym_DOT_STAR] = ACTIONS(4133),
    [anon_sym_DASH_GT] = ACTIONS(4133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
    [anon_sym_final] = ACTIONS(5689),
    [anon_sym_override] = ACTIONS(5689),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [aux_sym_preproc_if_token2] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_and_eq] = ACTIONS(5480),
    [anon_sym_or_eq] = ACTIONS(5480),
    [anon_sym_xor_eq] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
  },
  [2093] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5808),
    [anon_sym_unsigned] = ACTIONS(5808),
    [anon_sym_long] = ACTIONS(5808),
    [anon_sym_short] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5457),
    [anon_sym_volatile] = ACTIONS(5457),
    [anon_sym_restrict] = ACTIONS(5457),
    [anon_sym___restrict__] = ACTIONS(5457),
    [anon_sym__Atomic] = ACTIONS(5457),
    [anon_sym__Noreturn] = ACTIONS(5457),
    [anon_sym_noreturn] = ACTIONS(5457),
    [anon_sym__Nonnull] = ACTIONS(5457),
    [anon_sym_mutable] = ACTIONS(5457),
    [anon_sym_constinit] = ACTIONS(5457),
    [anon_sym_consteval] = ACTIONS(5457),
    [anon_sym_PROGMEM] = ACTIONS(5457),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym__Alignas] = ACTIONS(5457),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5457),
    [anon_sym_and] = ACTIONS(5457),
    [anon_sym_bitor] = ACTIONS(5457),
    [anon_sym_xor] = ACTIONS(5457),
    [anon_sym_bitand] = ACTIONS(5457),
    [anon_sym_not_eq] = ACTIONS(5457),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5457),
    [anon_sym_decltype] = ACTIONS(5457),
    [anon_sym_final] = ACTIONS(5457),
    [anon_sym_override] = ACTIONS(5457),
    [anon_sym_requires] = ACTIONS(5457),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_PIPE_PIPE] = ACTIONS(4854),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(4852),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_virtual] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(4854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym___cdecl] = ACTIONS(4852),
    [anon_sym___clrcall] = ACTIONS(4852),
    [anon_sym___stdcall] = ACTIONS(4852),
    [anon_sym___fastcall] = ACTIONS(4852),
    [anon_sym___thiscall] = ACTIONS(4852),
    [anon_sym___vectorcall] = ACTIONS(4852),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_mutable] = ACTIONS(4852),
    [anon_sym_constinit] = ACTIONS(4852),
    [anon_sym_consteval] = ACTIONS(4852),
    [anon_sym_PROGMEM] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [aux_sym_primitive_type_token1] = ACTIONS(4852),
    [anon_sym_byte] = ACTIONS(4852),
    [anon_sym_word] = ACTIONS(4852),
    [anon_sym_enum] = ACTIONS(4852),
    [anon_sym_class] = ACTIONS(4852),
    [anon_sym_struct] = ACTIONS(4852),
    [anon_sym_union] = ACTIONS(4852),
    [anon_sym_or] = ACTIONS(4852),
    [anon_sym_and] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(4852),
    [anon_sym_explicit] = ACTIONS(4852),
    [anon_sym_typename] = ACTIONS(4852),
    [anon_sym_template] = ACTIONS(4852),
    [anon_sym_operator] = ACTIONS(4852),
    [anon_sym_friend] = ACTIONS(4852),
    [anon_sym_using] = ACTIONS(4852),
    [anon_sym_concept] = ACTIONS(4852),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_concept] = ACTIONS(5319),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_concept] = ACTIONS(5319),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3821),
    [anon_sym_COMMA] = ACTIONS(3821),
    [anon_sym_RPAREN] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP_AMP] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym___based] = ACTIONS(3819),
    [anon_sym___cdecl] = ACTIONS(3819),
    [anon_sym___clrcall] = ACTIONS(3819),
    [anon_sym___stdcall] = ACTIONS(3819),
    [anon_sym___fastcall] = ACTIONS(3819),
    [anon_sym___thiscall] = ACTIONS(3819),
    [anon_sym___vectorcall] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_EQ] = ACTIONS(3821),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [anon_sym_COLON] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [anon_sym_DASH_GT] = ACTIONS(3821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_final] = ACTIONS(3819),
    [anon_sym_override] = ACTIONS(3819),
    [anon_sym_explicit] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_GT2] = ACTIONS(3821),
    [anon_sym_operator] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_public] = ACTIONS(3819),
    [anon_sym_private] = ACTIONS(3819),
    [anon_sym_protected] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
  },
  [2099] = {
    [sym_attribute_specifier] = STATE(1796),
    [sym_field_declaration_list] = STATE(2258),
    [sym_virtual_specifier] = STATE(7046),
    [sym_base_class_clause] = STATE(7702),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5661),
    [anon_sym_COMMA] = ACTIONS(5661),
    [anon_sym_RPAREN] = ACTIONS(5661),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_DASH] = ACTIONS(5659),
    [anon_sym_PLUS] = ACTIONS(5659),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_SLASH] = ACTIONS(5659),
    [anon_sym_PERCENT] = ACTIONS(5661),
    [anon_sym_PIPE_PIPE] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_PIPE] = ACTIONS(5659),
    [anon_sym_CARET] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_EQ_EQ] = ACTIONS(5661),
    [anon_sym_BANG_EQ] = ACTIONS(5661),
    [anon_sym_GT] = ACTIONS(5659),
    [anon_sym_GT_EQ] = ACTIONS(5661),
    [anon_sym_LT_EQ] = ACTIONS(5659),
    [anon_sym_LT] = ACTIONS(5659),
    [anon_sym_LT_LT] = ACTIONS(5661),
    [anon_sym_GT_GT] = ACTIONS(5661),
    [anon_sym_SEMI] = ACTIONS(5661),
    [anon_sym___extension__] = ACTIONS(5661),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5819),
    [anon_sym_RBRACE] = ACTIONS(5661),
    [anon_sym_LBRACK] = ACTIONS(5661),
    [anon_sym_RBRACK] = ACTIONS(5661),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5661),
    [anon_sym_volatile] = ACTIONS(5661),
    [anon_sym_restrict] = ACTIONS(5661),
    [anon_sym___restrict__] = ACTIONS(5661),
    [anon_sym__Atomic] = ACTIONS(5661),
    [anon_sym__Noreturn] = ACTIONS(5661),
    [anon_sym_noreturn] = ACTIONS(5661),
    [anon_sym__Nonnull] = ACTIONS(5661),
    [anon_sym_mutable] = ACTIONS(5661),
    [anon_sym_constinit] = ACTIONS(5661),
    [anon_sym_consteval] = ACTIONS(5661),
    [anon_sym_PROGMEM] = ACTIONS(5661),
    [anon_sym_alignas] = ACTIONS(5661),
    [anon_sym__Alignas] = ACTIONS(5661),
    [anon_sym_COLON] = ACTIONS(5667),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_LT_EQ_GT] = ACTIONS(5661),
    [anon_sym_or] = ACTIONS(5661),
    [anon_sym_and] = ACTIONS(5661),
    [anon_sym_bitor] = ACTIONS(5661),
    [anon_sym_xor] = ACTIONS(5661),
    [anon_sym_bitand] = ACTIONS(5661),
    [anon_sym_not_eq] = ACTIONS(5661),
    [anon_sym_DASH_DASH] = ACTIONS(5661),
    [anon_sym_PLUS_PLUS] = ACTIONS(5661),
    [anon_sym_DOT] = ACTIONS(5659),
    [anon_sym_DOT_STAR] = ACTIONS(5661),
    [anon_sym_DASH_GT] = ACTIONS(5661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5661),
    [anon_sym_decltype] = ACTIONS(5661),
    [anon_sym_final] = ACTIONS(5821),
    [anon_sym_override] = ACTIONS(5821),
    [anon_sym_requires] = ACTIONS(5661),
  },
  [2100] = {
    [sym_string_literal] = STATE(1671),
    [sym_raw_string_literal] = STATE(1671),
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [aux_sym_preproc_if_token2] = ACTIONS(5825),
    [aux_sym_preproc_else_token1] = ACTIONS(5825),
    [aux_sym_preproc_elif_token1] = ACTIONS(5823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5825),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [sym_literal_suffix] = ACTIONS(5823),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_concept] = ACTIONS(5319),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4972),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4972),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_PERCENT] = ACTIONS(4972),
    [anon_sym_PIPE_PIPE] = ACTIONS(4972),
    [anon_sym_AMP_AMP] = ACTIONS(4972),
    [anon_sym_PIPE] = ACTIONS(4970),
    [anon_sym_CARET] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(4970),
    [anon_sym_EQ_EQ] = ACTIONS(4972),
    [anon_sym_BANG_EQ] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(4970),
    [anon_sym_GT_EQ] = ACTIONS(4970),
    [anon_sym_LT_EQ] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4970),
    [anon_sym_LT_LT] = ACTIONS(4972),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_mutable] = ACTIONS(4970),
    [anon_sym_constinit] = ACTIONS(4970),
    [anon_sym_consteval] = ACTIONS(4970),
    [anon_sym_PROGMEM] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [aux_sym_primitive_type_token1] = ACTIONS(4970),
    [anon_sym_byte] = ACTIONS(4970),
    [anon_sym_word] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4972),
    [anon_sym_LT_EQ_GT] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4970),
    [anon_sym_and] = ACTIONS(4970),
    [anon_sym_bitor] = ACTIONS(4970),
    [anon_sym_xor] = ACTIONS(4970),
    [anon_sym_bitand] = ACTIONS(4970),
    [anon_sym_not_eq] = ACTIONS(4970),
    [anon_sym_DASH_DASH] = ACTIONS(4972),
    [anon_sym_PLUS_PLUS] = ACTIONS(4972),
    [anon_sym_DOT] = ACTIONS(4970),
    [anon_sym_DOT_STAR] = ACTIONS(4972),
    [anon_sym_DASH_GT] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4970),
    [anon_sym_decltype] = ACTIONS(4970),
    [anon_sym_final] = ACTIONS(4970),
    [anon_sym_override] = ACTIONS(4970),
    [anon_sym_GT2] = ACTIONS(4972),
    [anon_sym_requires] = ACTIONS(4970),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym_virtual] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1920),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1918),
    [anon_sym___declspec] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1920),
    [anon_sym___cdecl] = ACTIONS(1920),
    [anon_sym___clrcall] = ACTIONS(1920),
    [anon_sym___stdcall] = ACTIONS(1920),
    [anon_sym___fastcall] = ACTIONS(1920),
    [anon_sym___thiscall] = ACTIONS(1920),
    [anon_sym___vectorcall] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1920),
    [anon_sym_unsigned] = ACTIONS(1920),
    [anon_sym_long] = ACTIONS(1920),
    [anon_sym_short] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1920),
    [anon_sym_inline] = ACTIONS(1920),
    [anon_sym___inline] = ACTIONS(1920),
    [anon_sym___inline__] = ACTIONS(1920),
    [anon_sym___forceinline] = ACTIONS(1920),
    [anon_sym_thread_local] = ACTIONS(1920),
    [anon_sym___thread] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_PROGMEM] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(1920),
    [anon_sym_byte] = ACTIONS(1920),
    [anon_sym_word] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1920),
    [anon_sym_and] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_explicit] = ACTIONS(1920),
    [anon_sym_typename] = ACTIONS(1920),
    [anon_sym_template] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1920),
    [anon_sym_friend] = ACTIONS(1920),
    [anon_sym_using] = ACTIONS(1920),
    [anon_sym_concept] = ACTIONS(1920),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_virtual] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1922),
    [anon_sym___declspec] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1924),
    [anon_sym___cdecl] = ACTIONS(1924),
    [anon_sym___clrcall] = ACTIONS(1924),
    [anon_sym___stdcall] = ACTIONS(1924),
    [anon_sym___fastcall] = ACTIONS(1924),
    [anon_sym___thiscall] = ACTIONS(1924),
    [anon_sym___vectorcall] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1924),
    [anon_sym_unsigned] = ACTIONS(1924),
    [anon_sym_long] = ACTIONS(1924),
    [anon_sym_short] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1924),
    [anon_sym_inline] = ACTIONS(1924),
    [anon_sym___inline] = ACTIONS(1924),
    [anon_sym___inline__] = ACTIONS(1924),
    [anon_sym___forceinline] = ACTIONS(1924),
    [anon_sym_thread_local] = ACTIONS(1924),
    [anon_sym___thread] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_PROGMEM] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [aux_sym_primitive_type_token1] = ACTIONS(1924),
    [anon_sym_byte] = ACTIONS(1924),
    [anon_sym_word] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1924),
    [anon_sym_and] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_explicit] = ACTIONS(1924),
    [anon_sym_typename] = ACTIONS(1924),
    [anon_sym_template] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1924),
    [anon_sym_friend] = ACTIONS(1924),
    [anon_sym_using] = ACTIONS(1924),
    [anon_sym_concept] = ACTIONS(1924),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym___attribute] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_PROGMEM] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [aux_sym_primitive_type_token1] = ACTIONS(4872),
    [anon_sym_byte] = ACTIONS(4872),
    [anon_sym_word] = ACTIONS(4872),
    [anon_sym_enum] = ACTIONS(4872),
    [anon_sym_class] = ACTIONS(4872),
    [anon_sym_struct] = ACTIONS(4872),
    [anon_sym_union] = ACTIONS(4872),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_explicit] = ACTIONS(4872),
    [anon_sym_typename] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_friend] = ACTIONS(4872),
    [anon_sym_using] = ACTIONS(4872),
    [anon_sym_concept] = ACTIONS(4872),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_TILDE] = ACTIONS(4850),
    [anon_sym_STAR] = ACTIONS(4850),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_virtual] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4848),
    [anon_sym_COLON_COLON] = ACTIONS(4850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4850),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym___based] = ACTIONS(4848),
    [anon_sym___cdecl] = ACTIONS(4848),
    [anon_sym___clrcall] = ACTIONS(4848),
    [anon_sym___stdcall] = ACTIONS(4848),
    [anon_sym___fastcall] = ACTIONS(4848),
    [anon_sym___thiscall] = ACTIONS(4848),
    [anon_sym___vectorcall] = ACTIONS(4848),
    [anon_sym_signed] = ACTIONS(4848),
    [anon_sym_unsigned] = ACTIONS(4848),
    [anon_sym_long] = ACTIONS(4848),
    [anon_sym_short] = ACTIONS(4848),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4848),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4848),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_mutable] = ACTIONS(4848),
    [anon_sym_constinit] = ACTIONS(4848),
    [anon_sym_consteval] = ACTIONS(4848),
    [anon_sym_PROGMEM] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [aux_sym_primitive_type_token1] = ACTIONS(4848),
    [anon_sym_byte] = ACTIONS(4848),
    [anon_sym_word] = ACTIONS(4848),
    [anon_sym_enum] = ACTIONS(4848),
    [anon_sym_class] = ACTIONS(4848),
    [anon_sym_struct] = ACTIONS(4848),
    [anon_sym_union] = ACTIONS(4848),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4848),
    [anon_sym_decltype] = ACTIONS(4848),
    [anon_sym_explicit] = ACTIONS(4848),
    [anon_sym_typename] = ACTIONS(4848),
    [anon_sym_template] = ACTIONS(4848),
    [anon_sym_operator] = ACTIONS(4848),
    [anon_sym_friend] = ACTIONS(4848),
    [anon_sym_using] = ACTIONS(4848),
    [anon_sym_concept] = ACTIONS(4848),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4858),
    [anon_sym_TILDE] = ACTIONS(4858),
    [anon_sym_STAR] = ACTIONS(4858),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym_virtual] = ACTIONS(4856),
    [anon_sym_extern] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym___attribute] = ACTIONS(4856),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4858),
    [anon_sym___declspec] = ACTIONS(4856),
    [anon_sym___based] = ACTIONS(4856),
    [anon_sym___cdecl] = ACTIONS(4856),
    [anon_sym___clrcall] = ACTIONS(4856),
    [anon_sym___stdcall] = ACTIONS(4856),
    [anon_sym___fastcall] = ACTIONS(4856),
    [anon_sym___thiscall] = ACTIONS(4856),
    [anon_sym___vectorcall] = ACTIONS(4856),
    [anon_sym_signed] = ACTIONS(4856),
    [anon_sym_unsigned] = ACTIONS(4856),
    [anon_sym_long] = ACTIONS(4856),
    [anon_sym_short] = ACTIONS(4856),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_static] = ACTIONS(4856),
    [anon_sym_register] = ACTIONS(4856),
    [anon_sym_inline] = ACTIONS(4856),
    [anon_sym___inline] = ACTIONS(4856),
    [anon_sym___inline__] = ACTIONS(4856),
    [anon_sym___forceinline] = ACTIONS(4856),
    [anon_sym_thread_local] = ACTIONS(4856),
    [anon_sym___thread] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4856),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym__Nonnull] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_PROGMEM] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [aux_sym_primitive_type_token1] = ACTIONS(4856),
    [anon_sym_byte] = ACTIONS(4856),
    [anon_sym_word] = ACTIONS(4856),
    [anon_sym_enum] = ACTIONS(4856),
    [anon_sym_class] = ACTIONS(4856),
    [anon_sym_struct] = ACTIONS(4856),
    [anon_sym_union] = ACTIONS(4856),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_explicit] = ACTIONS(4856),
    [anon_sym_typename] = ACTIONS(4856),
    [anon_sym_template] = ACTIONS(4856),
    [anon_sym_operator] = ACTIONS(4856),
    [anon_sym_friend] = ACTIONS(4856),
    [anon_sym_using] = ACTIONS(4856),
    [anon_sym_concept] = ACTIONS(4856),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(4860),
    [anon_sym_virtual] = ACTIONS(4860),
    [anon_sym_extern] = ACTIONS(4860),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym___attribute] = ACTIONS(4860),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4860),
    [anon_sym___based] = ACTIONS(4860),
    [anon_sym___cdecl] = ACTIONS(4860),
    [anon_sym___clrcall] = ACTIONS(4860),
    [anon_sym___stdcall] = ACTIONS(4860),
    [anon_sym___fastcall] = ACTIONS(4860),
    [anon_sym___thiscall] = ACTIONS(4860),
    [anon_sym___vectorcall] = ACTIONS(4860),
    [anon_sym_signed] = ACTIONS(4860),
    [anon_sym_unsigned] = ACTIONS(4860),
    [anon_sym_long] = ACTIONS(4860),
    [anon_sym_short] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_static] = ACTIONS(4860),
    [anon_sym_register] = ACTIONS(4860),
    [anon_sym_inline] = ACTIONS(4860),
    [anon_sym___inline] = ACTIONS(4860),
    [anon_sym___inline__] = ACTIONS(4860),
    [anon_sym___forceinline] = ACTIONS(4860),
    [anon_sym_thread_local] = ACTIONS(4860),
    [anon_sym___thread] = ACTIONS(4860),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4860),
    [anon_sym_volatile] = ACTIONS(4860),
    [anon_sym_restrict] = ACTIONS(4860),
    [anon_sym___restrict__] = ACTIONS(4860),
    [anon_sym__Atomic] = ACTIONS(4860),
    [anon_sym__Noreturn] = ACTIONS(4860),
    [anon_sym_noreturn] = ACTIONS(4860),
    [anon_sym__Nonnull] = ACTIONS(4860),
    [anon_sym_mutable] = ACTIONS(4860),
    [anon_sym_constinit] = ACTIONS(4860),
    [anon_sym_consteval] = ACTIONS(4860),
    [anon_sym_PROGMEM] = ACTIONS(4860),
    [anon_sym_alignas] = ACTIONS(4860),
    [anon_sym__Alignas] = ACTIONS(4860),
    [aux_sym_primitive_type_token1] = ACTIONS(4860),
    [anon_sym_byte] = ACTIONS(4860),
    [anon_sym_word] = ACTIONS(4860),
    [anon_sym_enum] = ACTIONS(4860),
    [anon_sym_class] = ACTIONS(4860),
    [anon_sym_struct] = ACTIONS(4860),
    [anon_sym_union] = ACTIONS(4860),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_explicit] = ACTIONS(4860),
    [anon_sym_typename] = ACTIONS(4860),
    [anon_sym_template] = ACTIONS(4860),
    [anon_sym_operator] = ACTIONS(4860),
    [anon_sym_friend] = ACTIONS(4860),
    [anon_sym_using] = ACTIONS(4860),
    [anon_sym_concept] = ACTIONS(4860),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4864),
    [anon_sym_virtual] = ACTIONS(4864),
    [anon_sym_extern] = ACTIONS(4864),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4864),
    [anon_sym___based] = ACTIONS(4864),
    [anon_sym___cdecl] = ACTIONS(4864),
    [anon_sym___clrcall] = ACTIONS(4864),
    [anon_sym___stdcall] = ACTIONS(4864),
    [anon_sym___fastcall] = ACTIONS(4864),
    [anon_sym___thiscall] = ACTIONS(4864),
    [anon_sym___vectorcall] = ACTIONS(4864),
    [anon_sym_signed] = ACTIONS(4864),
    [anon_sym_unsigned] = ACTIONS(4864),
    [anon_sym_long] = ACTIONS(4864),
    [anon_sym_short] = ACTIONS(4864),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_static] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4864),
    [anon_sym_inline] = ACTIONS(4864),
    [anon_sym___inline] = ACTIONS(4864),
    [anon_sym___inline__] = ACTIONS(4864),
    [anon_sym___forceinline] = ACTIONS(4864),
    [anon_sym_thread_local] = ACTIONS(4864),
    [anon_sym___thread] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4864),
    [anon_sym_constexpr] = ACTIONS(4864),
    [anon_sym_volatile] = ACTIONS(4864),
    [anon_sym_restrict] = ACTIONS(4864),
    [anon_sym___restrict__] = ACTIONS(4864),
    [anon_sym__Atomic] = ACTIONS(4864),
    [anon_sym__Noreturn] = ACTIONS(4864),
    [anon_sym_noreturn] = ACTIONS(4864),
    [anon_sym__Nonnull] = ACTIONS(4864),
    [anon_sym_mutable] = ACTIONS(4864),
    [anon_sym_constinit] = ACTIONS(4864),
    [anon_sym_consteval] = ACTIONS(4864),
    [anon_sym_PROGMEM] = ACTIONS(4864),
    [anon_sym_alignas] = ACTIONS(4864),
    [anon_sym__Alignas] = ACTIONS(4864),
    [aux_sym_primitive_type_token1] = ACTIONS(4864),
    [anon_sym_byte] = ACTIONS(4864),
    [anon_sym_word] = ACTIONS(4864),
    [anon_sym_enum] = ACTIONS(4864),
    [anon_sym_class] = ACTIONS(4864),
    [anon_sym_struct] = ACTIONS(4864),
    [anon_sym_union] = ACTIONS(4864),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4864),
    [anon_sym_decltype] = ACTIONS(4864),
    [anon_sym_explicit] = ACTIONS(4864),
    [anon_sym_typename] = ACTIONS(4864),
    [anon_sym_template] = ACTIONS(4864),
    [anon_sym_operator] = ACTIONS(4864),
    [anon_sym_friend] = ACTIONS(4864),
    [anon_sym_using] = ACTIONS(4864),
    [anon_sym_concept] = ACTIONS(4864),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(4870),
    [anon_sym_TILDE] = ACTIONS(4870),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_PIPE_PIPE] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_virtual] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4870),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym___based] = ACTIONS(4868),
    [anon_sym___cdecl] = ACTIONS(4868),
    [anon_sym___clrcall] = ACTIONS(4868),
    [anon_sym___stdcall] = ACTIONS(4868),
    [anon_sym___fastcall] = ACTIONS(4868),
    [anon_sym___thiscall] = ACTIONS(4868),
    [anon_sym___vectorcall] = ACTIONS(4868),
    [anon_sym_signed] = ACTIONS(4868),
    [anon_sym_unsigned] = ACTIONS(4868),
    [anon_sym_long] = ACTIONS(4868),
    [anon_sym_short] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4868),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4868),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_mutable] = ACTIONS(4868),
    [anon_sym_constinit] = ACTIONS(4868),
    [anon_sym_consteval] = ACTIONS(4868),
    [anon_sym_PROGMEM] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(4868),
    [anon_sym_byte] = ACTIONS(4868),
    [anon_sym_word] = ACTIONS(4868),
    [anon_sym_enum] = ACTIONS(4868),
    [anon_sym_class] = ACTIONS(4868),
    [anon_sym_struct] = ACTIONS(4868),
    [anon_sym_union] = ACTIONS(4868),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4868),
    [anon_sym_decltype] = ACTIONS(4868),
    [anon_sym_explicit] = ACTIONS(4868),
    [anon_sym_typename] = ACTIONS(4868),
    [anon_sym_template] = ACTIONS(4868),
    [anon_sym_operator] = ACTIONS(4868),
    [anon_sym_friend] = ACTIONS(4868),
    [anon_sym_using] = ACTIONS(4868),
    [anon_sym_concept] = ACTIONS(4868),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym___cdecl] = ACTIONS(5480),
    [anon_sym___clrcall] = ACTIONS(5480),
    [anon_sym___stdcall] = ACTIONS(5480),
    [anon_sym___fastcall] = ACTIONS(5480),
    [anon_sym___thiscall] = ACTIONS(5480),
    [anon_sym___vectorcall] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5482),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_PROGMEM] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [anon_sym_asm] = ACTIONS(5480),
    [anon_sym___asm__] = ACTIONS(5480),
    [anon_sym___asm] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_final] = ACTIONS(5480),
    [anon_sym_override] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_GT2] = ACTIONS(5482),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_try] = ACTIONS(5480),
    [anon_sym_requires] = ACTIONS(5480),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym___attribute] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym___cdecl] = ACTIONS(5307),
    [anon_sym___clrcall] = ACTIONS(5307),
    [anon_sym___stdcall] = ACTIONS(5307),
    [anon_sym___fastcall] = ACTIONS(5307),
    [anon_sym___thiscall] = ACTIONS(5307),
    [anon_sym___vectorcall] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [aux_sym_primitive_type_token1] = ACTIONS(5307),
    [anon_sym_byte] = ACTIONS(5307),
    [anon_sym_word] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_and] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_concept] = ACTIONS(5307),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3825),
    [anon_sym_RPAREN] = ACTIONS(3825),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP_AMP] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym___based] = ACTIONS(3823),
    [anon_sym___cdecl] = ACTIONS(3823),
    [anon_sym___clrcall] = ACTIONS(3823),
    [anon_sym___stdcall] = ACTIONS(3823),
    [anon_sym___fastcall] = ACTIONS(3823),
    [anon_sym___thiscall] = ACTIONS(3823),
    [anon_sym___vectorcall] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_EQ] = ACTIONS(3825),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [anon_sym_COLON] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [anon_sym_DASH_GT] = ACTIONS(3825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_final] = ACTIONS(3823),
    [anon_sym_override] = ACTIONS(3823),
    [anon_sym_explicit] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_GT2] = ACTIONS(3825),
    [anon_sym_operator] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_public] = ACTIONS(3823),
    [anon_sym_private] = ACTIONS(3823),
    [anon_sym_protected] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
  },
  [2115] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2127),
    [sym__declarator] = STATE(6275),
    [sym__abstract_declarator] = STATE(6571),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2623),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(3108),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2623),
    [aux_sym_pointer_declarator_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5827),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5717),
    [anon_sym___attribute] = ACTIONS(5717),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(5709),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5835),
    [anon_sym_TILDE] = ACTIONS(5835),
    [anon_sym_STAR] = ACTIONS(5835),
    [anon_sym_PIPE_PIPE] = ACTIONS(5835),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5833),
    [anon_sym___extension__] = ACTIONS(5833),
    [anon_sym_virtual] = ACTIONS(5833),
    [anon_sym_extern] = ACTIONS(5833),
    [anon_sym___attribute__] = ACTIONS(5833),
    [anon_sym___attribute] = ACTIONS(5833),
    [anon_sym_COLON_COLON] = ACTIONS(5835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5835),
    [anon_sym___declspec] = ACTIONS(5833),
    [anon_sym___based] = ACTIONS(5833),
    [anon_sym___cdecl] = ACTIONS(5833),
    [anon_sym___clrcall] = ACTIONS(5833),
    [anon_sym___stdcall] = ACTIONS(5833),
    [anon_sym___fastcall] = ACTIONS(5833),
    [anon_sym___thiscall] = ACTIONS(5833),
    [anon_sym___vectorcall] = ACTIONS(5833),
    [anon_sym_signed] = ACTIONS(5833),
    [anon_sym_unsigned] = ACTIONS(5833),
    [anon_sym_long] = ACTIONS(5833),
    [anon_sym_short] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_static] = ACTIONS(5833),
    [anon_sym_register] = ACTIONS(5833),
    [anon_sym_inline] = ACTIONS(5833),
    [anon_sym___inline] = ACTIONS(5833),
    [anon_sym___inline__] = ACTIONS(5833),
    [anon_sym___forceinline] = ACTIONS(5833),
    [anon_sym_thread_local] = ACTIONS(5833),
    [anon_sym___thread] = ACTIONS(5833),
    [anon_sym_const] = ACTIONS(5833),
    [anon_sym_constexpr] = ACTIONS(5833),
    [anon_sym_volatile] = ACTIONS(5833),
    [anon_sym_restrict] = ACTIONS(5833),
    [anon_sym___restrict__] = ACTIONS(5833),
    [anon_sym__Atomic] = ACTIONS(5833),
    [anon_sym__Noreturn] = ACTIONS(5833),
    [anon_sym_noreturn] = ACTIONS(5833),
    [anon_sym__Nonnull] = ACTIONS(5833),
    [anon_sym_mutable] = ACTIONS(5833),
    [anon_sym_constinit] = ACTIONS(5833),
    [anon_sym_consteval] = ACTIONS(5833),
    [anon_sym_PROGMEM] = ACTIONS(5833),
    [anon_sym_alignas] = ACTIONS(5833),
    [anon_sym__Alignas] = ACTIONS(5833),
    [aux_sym_primitive_type_token1] = ACTIONS(5833),
    [anon_sym_byte] = ACTIONS(5833),
    [anon_sym_word] = ACTIONS(5833),
    [anon_sym_enum] = ACTIONS(5833),
    [anon_sym_class] = ACTIONS(5833),
    [anon_sym_struct] = ACTIONS(5833),
    [anon_sym_union] = ACTIONS(5833),
    [anon_sym_or] = ACTIONS(5833),
    [anon_sym_and] = ACTIONS(5839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5833),
    [anon_sym_decltype] = ACTIONS(5833),
    [anon_sym_explicit] = ACTIONS(5833),
    [anon_sym_typename] = ACTIONS(5833),
    [anon_sym_template] = ACTIONS(5833),
    [anon_sym_operator] = ACTIONS(5833),
    [anon_sym_friend] = ACTIONS(5833),
    [anon_sym_using] = ACTIONS(5833),
    [anon_sym_concept] = ACTIONS(5833),
  },
  [2117] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2118),
    [sym__declarator] = STATE(6275),
    [sym__abstract_declarator] = STATE(6598),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2656),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(3092),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2656),
    [aux_sym_pointer_declarator_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5843),
    [anon_sym_AMP] = ACTIONS(5845),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5717),
    [anon_sym___attribute] = ACTIONS(5717),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2118] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(3787),
    [sym__declarator] = STATE(6283),
    [sym__abstract_declarator] = STATE(6603),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2664),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(3092),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2664),
    [aux_sym_pointer_declarator_repeat1] = STATE(3787),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5723),
    [anon_sym_RPAREN] = ACTIONS(5723),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5843),
    [anon_sym_AMP] = ACTIONS(5845),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5283),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5285),
    [anon_sym_COMMA] = ACTIONS(5285),
    [anon_sym_RPAREN] = ACTIONS(5285),
    [aux_sym_preproc_if_token2] = ACTIONS(5285),
    [aux_sym_preproc_else_token1] = ACTIONS(5285),
    [aux_sym_preproc_elif_token1] = ACTIONS(5283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_DASH] = ACTIONS(5283),
    [anon_sym_PLUS] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_SLASH] = ACTIONS(5283),
    [anon_sym_PERCENT] = ACTIONS(5283),
    [anon_sym_PIPE_PIPE] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_PIPE] = ACTIONS(5283),
    [anon_sym_CARET] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_EQ_EQ] = ACTIONS(5285),
    [anon_sym_BANG_EQ] = ACTIONS(5285),
    [anon_sym_GT] = ACTIONS(5283),
    [anon_sym_GT_EQ] = ACTIONS(5285),
    [anon_sym_LT_EQ] = ACTIONS(5283),
    [anon_sym_LT] = ACTIONS(5283),
    [anon_sym_LT_LT] = ACTIONS(5283),
    [anon_sym_GT_GT] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym___attribute] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACK] = ACTIONS(5285),
    [anon_sym_EQ] = ACTIONS(5283),
    [anon_sym_COLON] = ACTIONS(5283),
    [anon_sym_QMARK] = ACTIONS(5285),
    [anon_sym_STAR_EQ] = ACTIONS(5285),
    [anon_sym_SLASH_EQ] = ACTIONS(5285),
    [anon_sym_PERCENT_EQ] = ACTIONS(5285),
    [anon_sym_PLUS_EQ] = ACTIONS(5285),
    [anon_sym_DASH_EQ] = ACTIONS(5285),
    [anon_sym_LT_LT_EQ] = ACTIONS(5285),
    [anon_sym_GT_GT_EQ] = ACTIONS(5285),
    [anon_sym_AMP_EQ] = ACTIONS(5285),
    [anon_sym_CARET_EQ] = ACTIONS(5285),
    [anon_sym_PIPE_EQ] = ACTIONS(5285),
    [anon_sym_and_eq] = ACTIONS(5283),
    [anon_sym_or_eq] = ACTIONS(5283),
    [anon_sym_xor_eq] = ACTIONS(5283),
    [anon_sym_LT_EQ_GT] = ACTIONS(5285),
    [anon_sym_or] = ACTIONS(5283),
    [anon_sym_and] = ACTIONS(5283),
    [anon_sym_bitor] = ACTIONS(5283),
    [anon_sym_xor] = ACTIONS(5283),
    [anon_sym_bitand] = ACTIONS(5283),
    [anon_sym_not_eq] = ACTIONS(5283),
    [anon_sym_DASH_DASH] = ACTIONS(5285),
    [anon_sym_PLUS_PLUS] = ACTIONS(5285),
    [anon_sym_DOT] = ACTIONS(5283),
    [anon_sym_DOT_STAR] = ACTIONS(5285),
    [anon_sym_DASH_GT] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_final] = ACTIONS(5283),
    [anon_sym_override] = ACTIONS(5283),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_TILDE] = ACTIONS(5849),
    [anon_sym_STAR] = ACTIONS(5849),
    [anon_sym_PIPE_PIPE] = ACTIONS(5851),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym___extension__] = ACTIONS(5847),
    [anon_sym_virtual] = ACTIONS(5847),
    [anon_sym_extern] = ACTIONS(5847),
    [anon_sym___attribute__] = ACTIONS(5847),
    [anon_sym___attribute] = ACTIONS(5847),
    [anon_sym_COLON_COLON] = ACTIONS(5849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5849),
    [anon_sym___declspec] = ACTIONS(5847),
    [anon_sym___based] = ACTIONS(5847),
    [anon_sym___cdecl] = ACTIONS(5847),
    [anon_sym___clrcall] = ACTIONS(5847),
    [anon_sym___stdcall] = ACTIONS(5847),
    [anon_sym___fastcall] = ACTIONS(5847),
    [anon_sym___thiscall] = ACTIONS(5847),
    [anon_sym___vectorcall] = ACTIONS(5847),
    [anon_sym_signed] = ACTIONS(5847),
    [anon_sym_unsigned] = ACTIONS(5847),
    [anon_sym_long] = ACTIONS(5847),
    [anon_sym_short] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5847),
    [anon_sym_static] = ACTIONS(5847),
    [anon_sym_register] = ACTIONS(5847),
    [anon_sym_inline] = ACTIONS(5847),
    [anon_sym___inline] = ACTIONS(5847),
    [anon_sym___inline__] = ACTIONS(5847),
    [anon_sym___forceinline] = ACTIONS(5847),
    [anon_sym_thread_local] = ACTIONS(5847),
    [anon_sym___thread] = ACTIONS(5847),
    [anon_sym_const] = ACTIONS(5847),
    [anon_sym_constexpr] = ACTIONS(5847),
    [anon_sym_volatile] = ACTIONS(5847),
    [anon_sym_restrict] = ACTIONS(5847),
    [anon_sym___restrict__] = ACTIONS(5847),
    [anon_sym__Atomic] = ACTIONS(5847),
    [anon_sym__Noreturn] = ACTIONS(5847),
    [anon_sym_noreturn] = ACTIONS(5847),
    [anon_sym__Nonnull] = ACTIONS(5847),
    [anon_sym_mutable] = ACTIONS(5847),
    [anon_sym_constinit] = ACTIONS(5847),
    [anon_sym_consteval] = ACTIONS(5847),
    [anon_sym_PROGMEM] = ACTIONS(5847),
    [anon_sym_alignas] = ACTIONS(5847),
    [anon_sym__Alignas] = ACTIONS(5847),
    [aux_sym_primitive_type_token1] = ACTIONS(5847),
    [anon_sym_byte] = ACTIONS(5847),
    [anon_sym_word] = ACTIONS(5847),
    [anon_sym_enum] = ACTIONS(5847),
    [anon_sym_class] = ACTIONS(5847),
    [anon_sym_struct] = ACTIONS(5847),
    [anon_sym_union] = ACTIONS(5847),
    [anon_sym_or] = ACTIONS(5853),
    [anon_sym_and] = ACTIONS(5839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
    [anon_sym_explicit] = ACTIONS(5847),
    [anon_sym_typename] = ACTIONS(5847),
    [anon_sym_template] = ACTIONS(5847),
    [anon_sym_operator] = ACTIONS(5847),
    [anon_sym_friend] = ACTIONS(5847),
    [anon_sym_using] = ACTIONS(5847),
    [anon_sym_concept] = ACTIONS(5847),
  },
  [2121] = {
    [sym_type_qualifier] = STATE(2122),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_primitive_type] = STATE(2570),
    [aux_sym__type_definition_type_repeat1] = STATE(2122),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2318),
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_TILDE] = ACTIONS(4932),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(5858),
    [anon_sym_virtual] = ACTIONS(4934),
    [anon_sym_extern] = ACTIONS(4934),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_COLON_COLON] = ACTIONS(4932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4932),
    [anon_sym___declspec] = ACTIONS(4934),
    [anon_sym___based] = ACTIONS(4934),
    [anon_sym___cdecl] = ACTIONS(4934),
    [anon_sym___clrcall] = ACTIONS(4934),
    [anon_sym___stdcall] = ACTIONS(4934),
    [anon_sym___fastcall] = ACTIONS(4934),
    [anon_sym___thiscall] = ACTIONS(4934),
    [anon_sym___vectorcall] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(5861),
    [anon_sym_unsigned] = ACTIONS(5861),
    [anon_sym_long] = ACTIONS(5861),
    [anon_sym_short] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(4934),
    [anon_sym_static] = ACTIONS(4934),
    [anon_sym_EQ] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4934),
    [anon_sym_inline] = ACTIONS(4934),
    [anon_sym___inline] = ACTIONS(4934),
    [anon_sym___inline__] = ACTIONS(4934),
    [anon_sym___forceinline] = ACTIONS(4934),
    [anon_sym_thread_local] = ACTIONS(4934),
    [anon_sym___thread] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(5858),
    [anon_sym_constexpr] = ACTIONS(5858),
    [anon_sym_volatile] = ACTIONS(5858),
    [anon_sym_restrict] = ACTIONS(5858),
    [anon_sym___restrict__] = ACTIONS(5858),
    [anon_sym__Atomic] = ACTIONS(5858),
    [anon_sym__Noreturn] = ACTIONS(5858),
    [anon_sym_noreturn] = ACTIONS(5858),
    [anon_sym__Nonnull] = ACTIONS(5858),
    [anon_sym_mutable] = ACTIONS(5858),
    [anon_sym_constinit] = ACTIONS(5858),
    [anon_sym_consteval] = ACTIONS(5858),
    [anon_sym_PROGMEM] = ACTIONS(5858),
    [anon_sym_alignas] = ACTIONS(5863),
    [anon_sym__Alignas] = ACTIONS(5863),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4934),
    [anon_sym_decltype] = ACTIONS(4934),
    [anon_sym_template] = ACTIONS(4934),
    [anon_sym_GT2] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4934),
  },
  [2122] = {
    [sym_type_qualifier] = STATE(1611),
    [sym_alignas_qualifier] = STATE(1625),
    [sym_primitive_type] = STATE(2586),
    [aux_sym__type_definition_type_repeat1] = STATE(1611),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2587),
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_TILDE] = ACTIONS(4964),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5869),
    [anon_sym_virtual] = ACTIONS(4966),
    [anon_sym_extern] = ACTIONS(4966),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_COLON_COLON] = ACTIONS(4964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4964),
    [anon_sym___declspec] = ACTIONS(4966),
    [anon_sym___based] = ACTIONS(4966),
    [anon_sym___cdecl] = ACTIONS(4966),
    [anon_sym___clrcall] = ACTIONS(4966),
    [anon_sym___stdcall] = ACTIONS(4966),
    [anon_sym___fastcall] = ACTIONS(4966),
    [anon_sym___thiscall] = ACTIONS(4966),
    [anon_sym___vectorcall] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5872),
    [anon_sym_unsigned] = ACTIONS(5872),
    [anon_sym_long] = ACTIONS(5872),
    [anon_sym_short] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(4966),
    [anon_sym_static] = ACTIONS(4966),
    [anon_sym_EQ] = ACTIONS(4964),
    [anon_sym_register] = ACTIONS(4966),
    [anon_sym_inline] = ACTIONS(4966),
    [anon_sym___inline] = ACTIONS(4966),
    [anon_sym___inline__] = ACTIONS(4966),
    [anon_sym___forceinline] = ACTIONS(4966),
    [anon_sym_thread_local] = ACTIONS(4966),
    [anon_sym___thread] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5869),
    [anon_sym_constexpr] = ACTIONS(5869),
    [anon_sym_volatile] = ACTIONS(5869),
    [anon_sym_restrict] = ACTIONS(5869),
    [anon_sym___restrict__] = ACTIONS(5869),
    [anon_sym__Atomic] = ACTIONS(5869),
    [anon_sym__Noreturn] = ACTIONS(5869),
    [anon_sym_noreturn] = ACTIONS(5869),
    [anon_sym__Nonnull] = ACTIONS(5869),
    [anon_sym_mutable] = ACTIONS(5869),
    [anon_sym_constinit] = ACTIONS(5869),
    [anon_sym_consteval] = ACTIONS(5869),
    [anon_sym_PROGMEM] = ACTIONS(5869),
    [anon_sym_alignas] = ACTIONS(5874),
    [anon_sym__Alignas] = ACTIONS(5874),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_template] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
    [anon_sym_operator] = ACTIONS(4966),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_else_token1] = ACTIONS(5321),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_else_token1] = ACTIONS(5321),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_PIPE_PIPE] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym___attribute] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym___cdecl] = ACTIONS(5283),
    [anon_sym___clrcall] = ACTIONS(5283),
    [anon_sym___stdcall] = ACTIONS(5283),
    [anon_sym___fastcall] = ACTIONS(5283),
    [anon_sym___thiscall] = ACTIONS(5283),
    [anon_sym___vectorcall] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [aux_sym_primitive_type_token1] = ACTIONS(5283),
    [anon_sym_byte] = ACTIONS(5283),
    [anon_sym_word] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [anon_sym_or] = ACTIONS(5283),
    [anon_sym_and] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_concept] = ACTIONS(5283),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_RPAREN] = ACTIONS(5309),
    [aux_sym_preproc_if_token2] = ACTIONS(5309),
    [aux_sym_preproc_else_token1] = ACTIONS(5309),
    [aux_sym_preproc_elif_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5309),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5307),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym___attribute] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACE] = ACTIONS(5309),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_RBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5307),
    [anon_sym_COLON] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5307),
    [anon_sym_or_eq] = ACTIONS(5307),
    [anon_sym_xor_eq] = ACTIONS(5307),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_and] = ACTIONS(5307),
    [anon_sym_bitor] = ACTIONS(5307),
    [anon_sym_xor] = ACTIONS(5307),
    [anon_sym_bitand] = ACTIONS(5307),
    [anon_sym_not_eq] = ACTIONS(5307),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_final] = ACTIONS(5307),
    [anon_sym_override] = ACTIONS(5307),
  },
  [2127] = {
    [sym_ms_based_modifier] = STATE(7941),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(3787),
    [sym__declarator] = STATE(6283),
    [sym__abstract_declarator] = STATE(6579),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2619),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(3108),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5761),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2619),
    [aux_sym_pointer_declarator_repeat1] = STATE(3787),
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5723),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5827),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_COLON_COLON] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_GT2] = ACTIONS(5723),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2128] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5877),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_EQ] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_asm] = ACTIONS(5319),
    [anon_sym___asm__] = ACTIONS(5319),
    [anon_sym___asm] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_GT2] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_try] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [2130] = {
    [sym_string_literal] = STATE(2147),
    [sym_raw_string_literal] = STATE(2147),
    [aux_sym_concatenated_string_repeat1] = STATE(2147),
    [sym_identifier] = ACTIONS(5881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5281),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_CARET] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5281),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5281),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_EQ] = ACTIONS(5281),
    [anon_sym_QMARK] = ACTIONS(5279),
    [anon_sym_STAR_EQ] = ACTIONS(5279),
    [anon_sym_SLASH_EQ] = ACTIONS(5279),
    [anon_sym_PERCENT_EQ] = ACTIONS(5279),
    [anon_sym_PLUS_EQ] = ACTIONS(5279),
    [anon_sym_DASH_EQ] = ACTIONS(5279),
    [anon_sym_LT_LT_EQ] = ACTIONS(5279),
    [anon_sym_GT_GT_EQ] = ACTIONS(5279),
    [anon_sym_AMP_EQ] = ACTIONS(5279),
    [anon_sym_CARET_EQ] = ACTIONS(5279),
    [anon_sym_PIPE_EQ] = ACTIONS(5279),
    [anon_sym_and_eq] = ACTIONS(5281),
    [anon_sym_or_eq] = ACTIONS(5281),
    [anon_sym_xor_eq] = ACTIONS(5281),
    [anon_sym_LT_EQ_GT] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_and] = ACTIONS(5281),
    [anon_sym_bitor] = ACTIONS(5281),
    [anon_sym_xor] = ACTIONS(5281),
    [anon_sym_bitand] = ACTIONS(5281),
    [anon_sym_not_eq] = ACTIONS(5281),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_DOT_STAR] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_L_DQUOTE] = ACTIONS(5883),
    [anon_sym_u_DQUOTE] = ACTIONS(5883),
    [anon_sym_U_DQUOTE] = ACTIONS(5883),
    [anon_sym_u8_DQUOTE] = ACTIONS(5883),
    [anon_sym_DQUOTE] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5885),
    [anon_sym_LR_DQUOTE] = ACTIONS(5885),
    [anon_sym_uR_DQUOTE] = ACTIONS(5885),
    [anon_sym_UR_DQUOTE] = ACTIONS(5885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5885),
    [sym_literal_suffix] = ACTIONS(5281),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_EQ] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_asm] = ACTIONS(5319),
    [anon_sym___asm__] = ACTIONS(5319),
    [anon_sym___asm] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_GT2] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_try] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [2132] = {
    [sym_string_literal] = STATE(1671),
    [sym_raw_string_literal] = STATE(1671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym_RBRACE] = ACTIONS(5825),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_RBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_COLON] = ACTIONS(5825),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [sym_literal_suffix] = ACTIONS(5823),
  },
  [2133] = {
    [sym_attribute_specifier] = STATE(2210),
    [sym_enumerator_list] = STATE(2175),
    [sym_identifier] = ACTIONS(5887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [aux_sym_preproc_if_token2] = ACTIONS(5889),
    [aux_sym_preproc_else_token1] = ACTIONS(5889),
    [aux_sym_preproc_elif_token1] = ACTIONS(5887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5887),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5887),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_CARET] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5887),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5887),
    [anon_sym_GT_GT] = ACTIONS(5887),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_EQ] = ACTIONS(5887),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_QMARK] = ACTIONS(5889),
    [anon_sym_STAR_EQ] = ACTIONS(5889),
    [anon_sym_SLASH_EQ] = ACTIONS(5889),
    [anon_sym_PERCENT_EQ] = ACTIONS(5889),
    [anon_sym_PLUS_EQ] = ACTIONS(5889),
    [anon_sym_DASH_EQ] = ACTIONS(5889),
    [anon_sym_LT_LT_EQ] = ACTIONS(5889),
    [anon_sym_GT_GT_EQ] = ACTIONS(5889),
    [anon_sym_AMP_EQ] = ACTIONS(5889),
    [anon_sym_CARET_EQ] = ACTIONS(5889),
    [anon_sym_PIPE_EQ] = ACTIONS(5889),
    [anon_sym_and_eq] = ACTIONS(5887),
    [anon_sym_or_eq] = ACTIONS(5887),
    [anon_sym_xor_eq] = ACTIONS(5887),
    [anon_sym_LT_EQ_GT] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5887),
    [anon_sym_and] = ACTIONS(5887),
    [anon_sym_bitor] = ACTIONS(5887),
    [anon_sym_xor] = ACTIONS(5887),
    [anon_sym_bitand] = ACTIONS(5887),
    [anon_sym_not_eq] = ACTIONS(5887),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_DOT_STAR] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5887),
    [anon_sym_decltype] = ACTIONS(5887),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5283),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5285),
    [anon_sym_COMMA] = ACTIONS(5285),
    [anon_sym_RPAREN] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_PIPE_PIPE] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym___attribute] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym___cdecl] = ACTIONS(5283),
    [anon_sym___clrcall] = ACTIONS(5283),
    [anon_sym___stdcall] = ACTIONS(5283),
    [anon_sym___fastcall] = ACTIONS(5283),
    [anon_sym___thiscall] = ACTIONS(5283),
    [anon_sym___vectorcall] = ACTIONS(5283),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_EQ] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [anon_sym_COLON] = ACTIONS(5283),
    [anon_sym_or] = ACTIONS(5283),
    [anon_sym_and] = ACTIONS(5283),
    [anon_sym_asm] = ACTIONS(5283),
    [anon_sym___asm__] = ACTIONS(5283),
    [anon_sym___asm] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_final] = ACTIONS(5283),
    [anon_sym_override] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_GT2] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_try] = ACTIONS(5283),
    [anon_sym_requires] = ACTIONS(5283),
  },
  [2135] = {
    [sym_string_literal] = STATE(2155),
    [sym_template_argument_list] = STATE(3022),
    [sym_raw_string_literal] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4909),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2136] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2137] = {
    [sym_string_literal] = STATE(1671),
    [sym_template_argument_list] = STATE(2310),
    [sym_raw_string_literal] = STATE(1671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5877),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
  },
  [2138] = {
    [sym_string_literal] = STATE(2155),
    [sym_template_argument_list] = STATE(3135),
    [sym_raw_string_literal] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5877),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2139] = {
    [sym_string_literal] = STATE(3130),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___attribute__] = ACTIONS(4109),
    [anon_sym___attribute] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5899),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5901),
    [anon_sym_SLASH_EQ] = ACTIONS(5901),
    [anon_sym_PERCENT_EQ] = ACTIONS(5901),
    [anon_sym_PLUS_EQ] = ACTIONS(5901),
    [anon_sym_DASH_EQ] = ACTIONS(5901),
    [anon_sym_LT_LT_EQ] = ACTIONS(5901),
    [anon_sym_GT_GT_EQ] = ACTIONS(5901),
    [anon_sym_AMP_EQ] = ACTIONS(5901),
    [anon_sym_CARET_EQ] = ACTIONS(5901),
    [anon_sym_PIPE_EQ] = ACTIONS(5901),
    [anon_sym_and_eq] = ACTIONS(5901),
    [anon_sym_or_eq] = ACTIONS(5901),
    [anon_sym_xor_eq] = ACTIONS(5901),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(5903),
    [anon_sym_u_DQUOTE] = ACTIONS(5903),
    [anon_sym_U_DQUOTE] = ACTIONS(5903),
    [anon_sym_u8_DQUOTE] = ACTIONS(5903),
    [anon_sym_DQUOTE] = ACTIONS(5903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5905),
    [anon_sym_LR_DQUOTE] = ACTIONS(5905),
    [anon_sym_uR_DQUOTE] = ACTIONS(5905),
    [anon_sym_UR_DQUOTE] = ACTIONS(5905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5905),
  },
  [2140] = {
    [sym_string_literal] = STATE(2130),
    [sym_template_argument_list] = STATE(2310),
    [sym_raw_string_literal] = STATE(2130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___attribute__] = ACTIONS(4109),
    [anon_sym___attribute] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(5883),
    [anon_sym_u_DQUOTE] = ACTIONS(5883),
    [anon_sym_U_DQUOTE] = ACTIONS(5883),
    [anon_sym_u8_DQUOTE] = ACTIONS(5883),
    [anon_sym_DQUOTE] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5885),
    [anon_sym_LR_DQUOTE] = ACTIONS(5885),
    [anon_sym_uR_DQUOTE] = ACTIONS(5885),
    [anon_sym_UR_DQUOTE] = ACTIONS(5885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5885),
  },
  [2141] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2142] = {
    [sym_string_literal] = STATE(2142),
    [sym_raw_string_literal] = STATE(2142),
    [aux_sym_concatenated_string_repeat1] = STATE(2142),
    [sym_identifier] = ACTIONS(5909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5419),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_CARET] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5419),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5419),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5419),
    [anon_sym___attribute] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5419),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5419),
    [anon_sym_or_eq] = ACTIONS(5419),
    [anon_sym_xor_eq] = ACTIONS(5419),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_bitor] = ACTIONS(5419),
    [anon_sym_xor] = ACTIONS(5419),
    [anon_sym_bitand] = ACTIONS(5419),
    [anon_sym_not_eq] = ACTIONS(5419),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(5912),
    [anon_sym_u_DQUOTE] = ACTIONS(5912),
    [anon_sym_U_DQUOTE] = ACTIONS(5912),
    [anon_sym_u8_DQUOTE] = ACTIONS(5912),
    [anon_sym_DQUOTE] = ACTIONS(5912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5915),
    [anon_sym_LR_DQUOTE] = ACTIONS(5915),
    [anon_sym_uR_DQUOTE] = ACTIONS(5915),
    [anon_sym_UR_DQUOTE] = ACTIONS(5915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5915),
    [sym_literal_suffix] = ACTIONS(5419),
  },
  [2143] = {
    [sym_attribute_specifier] = STATE(2269),
    [sym_enumerator_list] = STATE(2156),
    [sym_identifier] = ACTIONS(5918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [aux_sym_preproc_if_token2] = ACTIONS(5920),
    [aux_sym_preproc_else_token1] = ACTIONS(5920),
    [aux_sym_preproc_elif_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5920),
    [anon_sym_LPAREN2] = ACTIONS(5920),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5920),
    [anon_sym_AMP_AMP] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_EQ_EQ] = ACTIONS(5920),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5918),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_EQ] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_and_eq] = ACTIONS(5918),
    [anon_sym_or_eq] = ACTIONS(5918),
    [anon_sym_xor_eq] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_or] = ACTIONS(5918),
    [anon_sym_and] = ACTIONS(5918),
    [anon_sym_bitor] = ACTIONS(5918),
    [anon_sym_xor] = ACTIONS(5918),
    [anon_sym_bitand] = ACTIONS(5918),
    [anon_sym_not_eq] = ACTIONS(5918),
    [anon_sym_DASH_DASH] = ACTIONS(5920),
    [anon_sym_PLUS_PLUS] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_DOT_STAR] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5918),
    [anon_sym_decltype] = ACTIONS(5918),
  },
  [2144] = {
    [sym_string_literal] = STATE(1671),
    [sym_template_argument_list] = STATE(2910),
    [sym_raw_string_literal] = STATE(1671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym___cdecl] = ACTIONS(5319),
    [anon_sym___clrcall] = ACTIONS(5319),
    [anon_sym___stdcall] = ACTIONS(5319),
    [anon_sym___fastcall] = ACTIONS(5319),
    [anon_sym___thiscall] = ACTIONS(5319),
    [anon_sym___vectorcall] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_EQ] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_asm] = ACTIONS(5319),
    [anon_sym___asm__] = ACTIONS(5319),
    [anon_sym___asm] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_GT2] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_try] = ACTIONS(5319),
    [anon_sym_requires] = ACTIONS(5319),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_else_token1] = ACTIONS(5321),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5321),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_final] = ACTIONS(5319),
    [anon_sym_override] = ACTIONS(5319),
  },
  [2147] = {
    [sym_string_literal] = STATE(2142),
    [sym_raw_string_literal] = STATE(2142),
    [aux_sym_concatenated_string_repeat1] = STATE(2142),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym___attribute] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5883),
    [anon_sym_u_DQUOTE] = ACTIONS(5883),
    [anon_sym_U_DQUOTE] = ACTIONS(5883),
    [anon_sym_u8_DQUOTE] = ACTIONS(5883),
    [anon_sym_DQUOTE] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5885),
    [anon_sym_LR_DQUOTE] = ACTIONS(5885),
    [anon_sym_uR_DQUOTE] = ACTIONS(5885),
    [anon_sym_UR_DQUOTE] = ACTIONS(5885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5885),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(5307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_RPAREN] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym___attribute] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym___cdecl] = ACTIONS(5307),
    [anon_sym___clrcall] = ACTIONS(5307),
    [anon_sym___stdcall] = ACTIONS(5307),
    [anon_sym___fastcall] = ACTIONS(5307),
    [anon_sym___thiscall] = ACTIONS(5307),
    [anon_sym___vectorcall] = ACTIONS(5307),
    [anon_sym_LBRACE] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_EQ] = ACTIONS(5309),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [anon_sym_COLON] = ACTIONS(5307),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_and] = ACTIONS(5307),
    [anon_sym_asm] = ACTIONS(5307),
    [anon_sym___asm__] = ACTIONS(5307),
    [anon_sym___asm] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_final] = ACTIONS(5307),
    [anon_sym_override] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_GT2] = ACTIONS(5309),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_try] = ACTIONS(5307),
    [anon_sym_requires] = ACTIONS(5307),
  },
  [2149] = {
    [sym_template_argument_list] = STATE(1577),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2238),
    [sym_identifier] = ACTIONS(5927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5929),
    [aux_sym_preproc_if_token2] = ACTIONS(5929),
    [aux_sym_preproc_else_token1] = ACTIONS(5929),
    [aux_sym_preproc_elif_token1] = ACTIONS(5927),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5929),
    [anon_sym_LPAREN2] = ACTIONS(5929),
    [anon_sym_DASH] = ACTIONS(5927),
    [anon_sym_PLUS] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_SLASH] = ACTIONS(5927),
    [anon_sym_PERCENT] = ACTIONS(5927),
    [anon_sym_PIPE_PIPE] = ACTIONS(5929),
    [anon_sym_AMP_AMP] = ACTIONS(5929),
    [anon_sym_PIPE] = ACTIONS(5927),
    [anon_sym_CARET] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5927),
    [anon_sym_EQ_EQ] = ACTIONS(5929),
    [anon_sym_BANG_EQ] = ACTIONS(5929),
    [anon_sym_GT] = ACTIONS(5927),
    [anon_sym_GT_EQ] = ACTIONS(5929),
    [anon_sym_LT_EQ] = ACTIONS(5927),
    [anon_sym_LT] = ACTIONS(5927),
    [anon_sym_LT_LT] = ACTIONS(5927),
    [anon_sym_GT_GT] = ACTIONS(5927),
    [anon_sym___attribute__] = ACTIONS(5927),
    [anon_sym___attribute] = ACTIONS(5927),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_signed] = ACTIONS(5931),
    [anon_sym_unsigned] = ACTIONS(5931),
    [anon_sym_long] = ACTIONS(5931),
    [anon_sym_short] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5929),
    [anon_sym_EQ] = ACTIONS(5927),
    [anon_sym_QMARK] = ACTIONS(5929),
    [anon_sym_STAR_EQ] = ACTIONS(5929),
    [anon_sym_SLASH_EQ] = ACTIONS(5929),
    [anon_sym_PERCENT_EQ] = ACTIONS(5929),
    [anon_sym_PLUS_EQ] = ACTIONS(5929),
    [anon_sym_DASH_EQ] = ACTIONS(5929),
    [anon_sym_LT_LT_EQ] = ACTIONS(5929),
    [anon_sym_GT_GT_EQ] = ACTIONS(5929),
    [anon_sym_AMP_EQ] = ACTIONS(5929),
    [anon_sym_CARET_EQ] = ACTIONS(5929),
    [anon_sym_PIPE_EQ] = ACTIONS(5929),
    [anon_sym_and_eq] = ACTIONS(5927),
    [anon_sym_or_eq] = ACTIONS(5927),
    [anon_sym_xor_eq] = ACTIONS(5927),
    [anon_sym_LT_EQ_GT] = ACTIONS(5929),
    [anon_sym_or] = ACTIONS(5927),
    [anon_sym_and] = ACTIONS(5927),
    [anon_sym_bitor] = ACTIONS(5927),
    [anon_sym_xor] = ACTIONS(5927),
    [anon_sym_bitand] = ACTIONS(5927),
    [anon_sym_not_eq] = ACTIONS(5927),
    [anon_sym_DASH_DASH] = ACTIONS(5929),
    [anon_sym_PLUS_PLUS] = ACTIONS(5929),
    [anon_sym_DOT] = ACTIONS(5927),
    [anon_sym_DOT_STAR] = ACTIONS(5929),
    [anon_sym_DASH_GT] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5927),
    [anon_sym_decltype] = ACTIONS(5927),
  },
  [2150] = {
    [sym_attribute_specifier] = STATE(2227),
    [sym_identifier] = ACTIONS(5933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5935),
    [anon_sym_COMMA] = ACTIONS(5935),
    [anon_sym_RPAREN] = ACTIONS(5935),
    [aux_sym_preproc_if_token2] = ACTIONS(5935),
    [aux_sym_preproc_else_token1] = ACTIONS(5935),
    [aux_sym_preproc_elif_token1] = ACTIONS(5933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5935),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5935),
    [anon_sym_LPAREN2] = ACTIONS(5935),
    [anon_sym_DASH] = ACTIONS(5933),
    [anon_sym_PLUS] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5933),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5935),
    [anon_sym_AMP_AMP] = ACTIONS(5935),
    [anon_sym_PIPE] = ACTIONS(5933),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5933),
    [anon_sym_EQ_EQ] = ACTIONS(5935),
    [anon_sym_BANG_EQ] = ACTIONS(5935),
    [anon_sym_GT] = ACTIONS(5933),
    [anon_sym_GT_EQ] = ACTIONS(5935),
    [anon_sym_LT_EQ] = ACTIONS(5933),
    [anon_sym_LT] = ACTIONS(5933),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5935),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5935),
    [anon_sym_RBRACE] = ACTIONS(5935),
    [anon_sym_LBRACK] = ACTIONS(5935),
    [anon_sym_RBRACK] = ACTIONS(5935),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5935),
    [anon_sym_QMARK] = ACTIONS(5935),
    [anon_sym_STAR_EQ] = ACTIONS(5935),
    [anon_sym_SLASH_EQ] = ACTIONS(5935),
    [anon_sym_PERCENT_EQ] = ACTIONS(5935),
    [anon_sym_PLUS_EQ] = ACTIONS(5935),
    [anon_sym_DASH_EQ] = ACTIONS(5935),
    [anon_sym_LT_LT_EQ] = ACTIONS(5935),
    [anon_sym_GT_GT_EQ] = ACTIONS(5935),
    [anon_sym_AMP_EQ] = ACTIONS(5935),
    [anon_sym_CARET_EQ] = ACTIONS(5935),
    [anon_sym_PIPE_EQ] = ACTIONS(5935),
    [anon_sym_and_eq] = ACTIONS(5933),
    [anon_sym_or_eq] = ACTIONS(5933),
    [anon_sym_xor_eq] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5935),
    [anon_sym_or] = ACTIONS(5933),
    [anon_sym_and] = ACTIONS(5933),
    [anon_sym_bitor] = ACTIONS(5933),
    [anon_sym_xor] = ACTIONS(5933),
    [anon_sym_bitand] = ACTIONS(5933),
    [anon_sym_not_eq] = ACTIONS(5933),
    [anon_sym_DASH_DASH] = ACTIONS(5935),
    [anon_sym_PLUS_PLUS] = ACTIONS(5935),
    [anon_sym_DOT] = ACTIONS(5933),
    [anon_sym_DOT_STAR] = ACTIONS(5935),
    [anon_sym_DASH_GT] = ACTIONS(5935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5933),
    [anon_sym_decltype] = ACTIONS(5933),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(5939),
    [anon_sym_TILDE] = ACTIONS(5939),
    [anon_sym_STAR] = ACTIONS(5939),
    [anon_sym_AMP_AMP] = ACTIONS(5939),
    [anon_sym_AMP] = ACTIONS(5937),
    [anon_sym___extension__] = ACTIONS(5937),
    [anon_sym_virtual] = ACTIONS(5937),
    [anon_sym_extern] = ACTIONS(5937),
    [anon_sym___attribute__] = ACTIONS(5937),
    [anon_sym___attribute] = ACTIONS(5937),
    [anon_sym_COLON_COLON] = ACTIONS(5939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5939),
    [anon_sym___declspec] = ACTIONS(5937),
    [anon_sym___based] = ACTIONS(5937),
    [anon_sym___cdecl] = ACTIONS(5937),
    [anon_sym___clrcall] = ACTIONS(5937),
    [anon_sym___stdcall] = ACTIONS(5937),
    [anon_sym___fastcall] = ACTIONS(5937),
    [anon_sym___thiscall] = ACTIONS(5937),
    [anon_sym___vectorcall] = ACTIONS(5937),
    [anon_sym_signed] = ACTIONS(5937),
    [anon_sym_unsigned] = ACTIONS(5937),
    [anon_sym_long] = ACTIONS(5937),
    [anon_sym_short] = ACTIONS(5937),
    [anon_sym_LBRACK] = ACTIONS(5937),
    [anon_sym_static] = ACTIONS(5937),
    [anon_sym_register] = ACTIONS(5937),
    [anon_sym_inline] = ACTIONS(5937),
    [anon_sym___inline] = ACTIONS(5937),
    [anon_sym___inline__] = ACTIONS(5937),
    [anon_sym___forceinline] = ACTIONS(5937),
    [anon_sym_thread_local] = ACTIONS(5937),
    [anon_sym___thread] = ACTIONS(5937),
    [anon_sym_const] = ACTIONS(5937),
    [anon_sym_constexpr] = ACTIONS(5937),
    [anon_sym_volatile] = ACTIONS(5937),
    [anon_sym_restrict] = ACTIONS(5937),
    [anon_sym___restrict__] = ACTIONS(5937),
    [anon_sym__Atomic] = ACTIONS(5937),
    [anon_sym__Noreturn] = ACTIONS(5937),
    [anon_sym_noreturn] = ACTIONS(5937),
    [anon_sym__Nonnull] = ACTIONS(5937),
    [anon_sym_mutable] = ACTIONS(5937),
    [anon_sym_constinit] = ACTIONS(5937),
    [anon_sym_consteval] = ACTIONS(5937),
    [anon_sym_PROGMEM] = ACTIONS(5937),
    [anon_sym_alignas] = ACTIONS(5937),
    [anon_sym__Alignas] = ACTIONS(5937),
    [aux_sym_primitive_type_token1] = ACTIONS(5937),
    [anon_sym_byte] = ACTIONS(5937),
    [anon_sym_word] = ACTIONS(5937),
    [anon_sym_enum] = ACTIONS(5937),
    [anon_sym_class] = ACTIONS(5937),
    [anon_sym_struct] = ACTIONS(5937),
    [anon_sym_union] = ACTIONS(5937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5937),
    [anon_sym_decltype] = ACTIONS(5937),
    [anon_sym_explicit] = ACTIONS(5937),
    [anon_sym_typename] = ACTIONS(5937),
    [anon_sym_template] = ACTIONS(5937),
    [anon_sym_operator] = ACTIONS(5937),
    [anon_sym_friend] = ACTIONS(5937),
    [anon_sym_using] = ACTIONS(5937),
    [anon_sym_concept] = ACTIONS(5937),
    [anon_sym_requires] = ACTIONS(5937),
  },
  [2152] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2225),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [aux_sym_preproc_if_token2] = ACTIONS(5943),
    [aux_sym_preproc_else_token1] = ACTIONS(5943),
    [aux_sym_preproc_elif_token1] = ACTIONS(5941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(5941),
    [anon_sym_PLUS] = ACTIONS(5941),
    [anon_sym_STAR] = ACTIONS(5941),
    [anon_sym_SLASH] = ACTIONS(5941),
    [anon_sym_PERCENT] = ACTIONS(5941),
    [anon_sym_PIPE_PIPE] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_PIPE] = ACTIONS(5941),
    [anon_sym_CARET] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(5941),
    [anon_sym_EQ_EQ] = ACTIONS(5943),
    [anon_sym_BANG_EQ] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(5941),
    [anon_sym_GT_EQ] = ACTIONS(5943),
    [anon_sym_LT_EQ] = ACTIONS(5941),
    [anon_sym_LT] = ACTIONS(5941),
    [anon_sym_LT_LT] = ACTIONS(5941),
    [anon_sym_GT_GT] = ACTIONS(5941),
    [anon_sym_SEMI] = ACTIONS(5943),
    [anon_sym___attribute__] = ACTIONS(5941),
    [anon_sym___attribute] = ACTIONS(5941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(5943),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(5941),
    [anon_sym_COLON] = ACTIONS(5943),
    [anon_sym_QMARK] = ACTIONS(5943),
    [anon_sym_STAR_EQ] = ACTIONS(5943),
    [anon_sym_SLASH_EQ] = ACTIONS(5943),
    [anon_sym_PERCENT_EQ] = ACTIONS(5943),
    [anon_sym_PLUS_EQ] = ACTIONS(5943),
    [anon_sym_DASH_EQ] = ACTIONS(5943),
    [anon_sym_LT_LT_EQ] = ACTIONS(5943),
    [anon_sym_GT_GT_EQ] = ACTIONS(5943),
    [anon_sym_AMP_EQ] = ACTIONS(5943),
    [anon_sym_CARET_EQ] = ACTIONS(5943),
    [anon_sym_PIPE_EQ] = ACTIONS(5943),
    [anon_sym_and_eq] = ACTIONS(5941),
    [anon_sym_or_eq] = ACTIONS(5941),
    [anon_sym_xor_eq] = ACTIONS(5941),
    [anon_sym_LT_EQ_GT] = ACTIONS(5943),
    [anon_sym_or] = ACTIONS(5941),
    [anon_sym_and] = ACTIONS(5941),
    [anon_sym_bitor] = ACTIONS(5941),
    [anon_sym_xor] = ACTIONS(5941),
    [anon_sym_bitand] = ACTIONS(5941),
    [anon_sym_not_eq] = ACTIONS(5941),
    [anon_sym_DASH_DASH] = ACTIONS(5943),
    [anon_sym_PLUS_PLUS] = ACTIONS(5943),
    [anon_sym_DOT] = ACTIONS(5941),
    [anon_sym_DOT_STAR] = ACTIONS(5943),
    [anon_sym_DASH_GT] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
  },
  [2153] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2154] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4387),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2155] = {
    [sym_string_literal] = STATE(2163),
    [sym_raw_string_literal] = STATE(2163),
    [aux_sym_concatenated_string_repeat1] = STATE(2163),
    [sym_identifier] = ACTIONS(5951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5281),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_CARET] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5281),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5281),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_EQ] = ACTIONS(5281),
    [anon_sym_QMARK] = ACTIONS(5279),
    [anon_sym_STAR_EQ] = ACTIONS(5279),
    [anon_sym_SLASH_EQ] = ACTIONS(5279),
    [anon_sym_PERCENT_EQ] = ACTIONS(5279),
    [anon_sym_PLUS_EQ] = ACTIONS(5279),
    [anon_sym_DASH_EQ] = ACTIONS(5279),
    [anon_sym_LT_LT_EQ] = ACTIONS(5279),
    [anon_sym_GT_GT_EQ] = ACTIONS(5279),
    [anon_sym_AMP_EQ] = ACTIONS(5279),
    [anon_sym_CARET_EQ] = ACTIONS(5279),
    [anon_sym_PIPE_EQ] = ACTIONS(5279),
    [anon_sym_and_eq] = ACTIONS(5281),
    [anon_sym_or_eq] = ACTIONS(5281),
    [anon_sym_xor_eq] = ACTIONS(5281),
    [anon_sym_LT_EQ_GT] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_and] = ACTIONS(5281),
    [anon_sym_bitor] = ACTIONS(5281),
    [anon_sym_xor] = ACTIONS(5281),
    [anon_sym_bitand] = ACTIONS(5281),
    [anon_sym_not_eq] = ACTIONS(5281),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_DOT_STAR] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5281),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5279),
    [sym_literal_suffix] = ACTIONS(5281),
  },
  [2156] = {
    [sym_attribute_specifier] = STATE(2211),
    [sym_identifier] = ACTIONS(5953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5955),
    [anon_sym_RPAREN] = ACTIONS(5955),
    [aux_sym_preproc_if_token2] = ACTIONS(5955),
    [aux_sym_preproc_else_token1] = ACTIONS(5955),
    [aux_sym_preproc_elif_token1] = ACTIONS(5953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5955),
    [anon_sym_LPAREN2] = ACTIONS(5955),
    [anon_sym_DASH] = ACTIONS(5953),
    [anon_sym_PLUS] = ACTIONS(5953),
    [anon_sym_STAR] = ACTIONS(5953),
    [anon_sym_SLASH] = ACTIONS(5953),
    [anon_sym_PERCENT] = ACTIONS(5953),
    [anon_sym_PIPE_PIPE] = ACTIONS(5955),
    [anon_sym_AMP_AMP] = ACTIONS(5955),
    [anon_sym_PIPE] = ACTIONS(5953),
    [anon_sym_CARET] = ACTIONS(5953),
    [anon_sym_AMP] = ACTIONS(5953),
    [anon_sym_EQ_EQ] = ACTIONS(5955),
    [anon_sym_BANG_EQ] = ACTIONS(5955),
    [anon_sym_GT] = ACTIONS(5953),
    [anon_sym_GT_EQ] = ACTIONS(5955),
    [anon_sym_LT_EQ] = ACTIONS(5953),
    [anon_sym_LT] = ACTIONS(5953),
    [anon_sym_LT_LT] = ACTIONS(5953),
    [anon_sym_GT_GT] = ACTIONS(5953),
    [anon_sym_SEMI] = ACTIONS(5955),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5955),
    [anon_sym_RBRACE] = ACTIONS(5955),
    [anon_sym_LBRACK] = ACTIONS(5955),
    [anon_sym_RBRACK] = ACTIONS(5955),
    [anon_sym_EQ] = ACTIONS(5953),
    [anon_sym_COLON] = ACTIONS(5955),
    [anon_sym_QMARK] = ACTIONS(5955),
    [anon_sym_STAR_EQ] = ACTIONS(5955),
    [anon_sym_SLASH_EQ] = ACTIONS(5955),
    [anon_sym_PERCENT_EQ] = ACTIONS(5955),
    [anon_sym_PLUS_EQ] = ACTIONS(5955),
    [anon_sym_DASH_EQ] = ACTIONS(5955),
    [anon_sym_LT_LT_EQ] = ACTIONS(5955),
    [anon_sym_GT_GT_EQ] = ACTIONS(5955),
    [anon_sym_AMP_EQ] = ACTIONS(5955),
    [anon_sym_CARET_EQ] = ACTIONS(5955),
    [anon_sym_PIPE_EQ] = ACTIONS(5955),
    [anon_sym_and_eq] = ACTIONS(5953),
    [anon_sym_or_eq] = ACTIONS(5953),
    [anon_sym_xor_eq] = ACTIONS(5953),
    [anon_sym_LT_EQ_GT] = ACTIONS(5955),
    [anon_sym_or] = ACTIONS(5953),
    [anon_sym_and] = ACTIONS(5953),
    [anon_sym_bitor] = ACTIONS(5953),
    [anon_sym_xor] = ACTIONS(5953),
    [anon_sym_bitand] = ACTIONS(5953),
    [anon_sym_not_eq] = ACTIONS(5953),
    [anon_sym_DASH_DASH] = ACTIONS(5955),
    [anon_sym_PLUS_PLUS] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(5953),
    [anon_sym_DOT_STAR] = ACTIONS(5955),
    [anon_sym_DASH_GT] = ACTIONS(5955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5953),
    [anon_sym_decltype] = ACTIONS(5953),
  },
  [2157] = {
    [sym_attribute_specifier] = STATE(2278),
    [sym_identifier] = ACTIONS(5957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5959),
    [anon_sym_COMMA] = ACTIONS(5959),
    [anon_sym_RPAREN] = ACTIONS(5959),
    [aux_sym_preproc_if_token2] = ACTIONS(5959),
    [aux_sym_preproc_else_token1] = ACTIONS(5959),
    [aux_sym_preproc_elif_token1] = ACTIONS(5957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5959),
    [anon_sym_LPAREN2] = ACTIONS(5959),
    [anon_sym_DASH] = ACTIONS(5957),
    [anon_sym_PLUS] = ACTIONS(5957),
    [anon_sym_STAR] = ACTIONS(5957),
    [anon_sym_SLASH] = ACTIONS(5957),
    [anon_sym_PERCENT] = ACTIONS(5957),
    [anon_sym_PIPE_PIPE] = ACTIONS(5959),
    [anon_sym_AMP_AMP] = ACTIONS(5959),
    [anon_sym_PIPE] = ACTIONS(5957),
    [anon_sym_CARET] = ACTIONS(5957),
    [anon_sym_AMP] = ACTIONS(5957),
    [anon_sym_EQ_EQ] = ACTIONS(5959),
    [anon_sym_BANG_EQ] = ACTIONS(5959),
    [anon_sym_GT] = ACTIONS(5957),
    [anon_sym_GT_EQ] = ACTIONS(5959),
    [anon_sym_LT_EQ] = ACTIONS(5957),
    [anon_sym_LT] = ACTIONS(5957),
    [anon_sym_LT_LT] = ACTIONS(5957),
    [anon_sym_GT_GT] = ACTIONS(5957),
    [anon_sym_SEMI] = ACTIONS(5959),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_RBRACE] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5959),
    [anon_sym_EQ] = ACTIONS(5957),
    [anon_sym_COLON] = ACTIONS(5959),
    [anon_sym_QMARK] = ACTIONS(5959),
    [anon_sym_STAR_EQ] = ACTIONS(5959),
    [anon_sym_SLASH_EQ] = ACTIONS(5959),
    [anon_sym_PERCENT_EQ] = ACTIONS(5959),
    [anon_sym_PLUS_EQ] = ACTIONS(5959),
    [anon_sym_DASH_EQ] = ACTIONS(5959),
    [anon_sym_LT_LT_EQ] = ACTIONS(5959),
    [anon_sym_GT_GT_EQ] = ACTIONS(5959),
    [anon_sym_AMP_EQ] = ACTIONS(5959),
    [anon_sym_CARET_EQ] = ACTIONS(5959),
    [anon_sym_PIPE_EQ] = ACTIONS(5959),
    [anon_sym_and_eq] = ACTIONS(5957),
    [anon_sym_or_eq] = ACTIONS(5957),
    [anon_sym_xor_eq] = ACTIONS(5957),
    [anon_sym_LT_EQ_GT] = ACTIONS(5959),
    [anon_sym_or] = ACTIONS(5957),
    [anon_sym_and] = ACTIONS(5957),
    [anon_sym_bitor] = ACTIONS(5957),
    [anon_sym_xor] = ACTIONS(5957),
    [anon_sym_bitand] = ACTIONS(5957),
    [anon_sym_not_eq] = ACTIONS(5957),
    [anon_sym_DASH_DASH] = ACTIONS(5959),
    [anon_sym_PLUS_PLUS] = ACTIONS(5959),
    [anon_sym_DOT] = ACTIONS(5957),
    [anon_sym_DOT_STAR] = ACTIONS(5959),
    [anon_sym_DASH_GT] = ACTIONS(5959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5957),
    [anon_sym_decltype] = ACTIONS(5957),
  },
  [2158] = {
    [sym_attribute_specifier] = STATE(1784),
    [sym_enumerator_list] = STATE(2196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [anon_sym_LPAREN2] = ACTIONS(5920),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5920),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE] = ACTIONS(5920),
    [anon_sym_AMP_AMP] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_CARET] = ACTIONS(5920),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_EQ_EQ] = ACTIONS(5920),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5918),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5920),
    [anon_sym_GT_GT] = ACTIONS(5920),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym___extension__] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5961),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_const] = ACTIONS(5918),
    [anon_sym_constexpr] = ACTIONS(5920),
    [anon_sym_volatile] = ACTIONS(5920),
    [anon_sym_restrict] = ACTIONS(5920),
    [anon_sym___restrict__] = ACTIONS(5920),
    [anon_sym__Atomic] = ACTIONS(5920),
    [anon_sym__Noreturn] = ACTIONS(5920),
    [anon_sym_noreturn] = ACTIONS(5920),
    [anon_sym__Nonnull] = ACTIONS(5920),
    [anon_sym_mutable] = ACTIONS(5920),
    [anon_sym_constinit] = ACTIONS(5920),
    [anon_sym_consteval] = ACTIONS(5920),
    [anon_sym_PROGMEM] = ACTIONS(5920),
    [anon_sym_alignas] = ACTIONS(5920),
    [anon_sym__Alignas] = ACTIONS(5920),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_or] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5920),
    [anon_sym_bitor] = ACTIONS(5920),
    [anon_sym_xor] = ACTIONS(5920),
    [anon_sym_bitand] = ACTIONS(5920),
    [anon_sym_not_eq] = ACTIONS(5920),
    [anon_sym_DASH_DASH] = ACTIONS(5920),
    [anon_sym_PLUS_PLUS] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_DOT_STAR] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5920),
    [anon_sym_decltype] = ACTIONS(5920),
    [anon_sym_final] = ACTIONS(5920),
    [anon_sym_override] = ACTIONS(5920),
    [anon_sym_requires] = ACTIONS(5920),
  },
  [2159] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2225),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5965),
    [anon_sym_COMMA] = ACTIONS(5965),
    [anon_sym_RPAREN] = ACTIONS(5965),
    [aux_sym_preproc_if_token2] = ACTIONS(5965),
    [aux_sym_preproc_else_token1] = ACTIONS(5965),
    [aux_sym_preproc_elif_token1] = ACTIONS(5963),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5965),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(5963),
    [anon_sym_PLUS] = ACTIONS(5963),
    [anon_sym_STAR] = ACTIONS(5963),
    [anon_sym_SLASH] = ACTIONS(5963),
    [anon_sym_PERCENT] = ACTIONS(5963),
    [anon_sym_PIPE_PIPE] = ACTIONS(5965),
    [anon_sym_AMP_AMP] = ACTIONS(5965),
    [anon_sym_PIPE] = ACTIONS(5963),
    [anon_sym_CARET] = ACTIONS(5963),
    [anon_sym_AMP] = ACTIONS(5963),
    [anon_sym_EQ_EQ] = ACTIONS(5965),
    [anon_sym_BANG_EQ] = ACTIONS(5965),
    [anon_sym_GT] = ACTIONS(5963),
    [anon_sym_GT_EQ] = ACTIONS(5965),
    [anon_sym_LT_EQ] = ACTIONS(5963),
    [anon_sym_LT] = ACTIONS(5963),
    [anon_sym_LT_LT] = ACTIONS(5963),
    [anon_sym_GT_GT] = ACTIONS(5963),
    [anon_sym_SEMI] = ACTIONS(5965),
    [anon_sym___attribute__] = ACTIONS(5963),
    [anon_sym___attribute] = ACTIONS(5963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(5965),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(5965),
    [anon_sym_EQ] = ACTIONS(5963),
    [anon_sym_COLON] = ACTIONS(5965),
    [anon_sym_QMARK] = ACTIONS(5965),
    [anon_sym_STAR_EQ] = ACTIONS(5965),
    [anon_sym_SLASH_EQ] = ACTIONS(5965),
    [anon_sym_PERCENT_EQ] = ACTIONS(5965),
    [anon_sym_PLUS_EQ] = ACTIONS(5965),
    [anon_sym_DASH_EQ] = ACTIONS(5965),
    [anon_sym_LT_LT_EQ] = ACTIONS(5965),
    [anon_sym_GT_GT_EQ] = ACTIONS(5965),
    [anon_sym_AMP_EQ] = ACTIONS(5965),
    [anon_sym_CARET_EQ] = ACTIONS(5965),
    [anon_sym_PIPE_EQ] = ACTIONS(5965),
    [anon_sym_and_eq] = ACTIONS(5963),
    [anon_sym_or_eq] = ACTIONS(5963),
    [anon_sym_xor_eq] = ACTIONS(5963),
    [anon_sym_LT_EQ_GT] = ACTIONS(5965),
    [anon_sym_or] = ACTIONS(5963),
    [anon_sym_and] = ACTIONS(5963),
    [anon_sym_bitor] = ACTIONS(5963),
    [anon_sym_xor] = ACTIONS(5963),
    [anon_sym_bitand] = ACTIONS(5963),
    [anon_sym_not_eq] = ACTIONS(5963),
    [anon_sym_DASH_DASH] = ACTIONS(5965),
    [anon_sym_PLUS_PLUS] = ACTIONS(5965),
    [anon_sym_DOT] = ACTIONS(5963),
    [anon_sym_DOT_STAR] = ACTIONS(5965),
    [anon_sym_DASH_GT] = ACTIONS(5965),
    [sym_comment] = ACTIONS(3),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5455),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
  },
  [2161] = {
    [sym_attribute_specifier] = STATE(2215),
    [sym_identifier] = ACTIONS(5967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5969),
    [anon_sym_COMMA] = ACTIONS(5969),
    [anon_sym_RPAREN] = ACTIONS(5969),
    [aux_sym_preproc_if_token2] = ACTIONS(5969),
    [aux_sym_preproc_else_token1] = ACTIONS(5969),
    [aux_sym_preproc_elif_token1] = ACTIONS(5967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5969),
    [anon_sym_LPAREN2] = ACTIONS(5969),
    [anon_sym_DASH] = ACTIONS(5967),
    [anon_sym_PLUS] = ACTIONS(5967),
    [anon_sym_STAR] = ACTIONS(5967),
    [anon_sym_SLASH] = ACTIONS(5967),
    [anon_sym_PERCENT] = ACTIONS(5967),
    [anon_sym_PIPE_PIPE] = ACTIONS(5969),
    [anon_sym_AMP_AMP] = ACTIONS(5969),
    [anon_sym_PIPE] = ACTIONS(5967),
    [anon_sym_CARET] = ACTIONS(5967),
    [anon_sym_AMP] = ACTIONS(5967),
    [anon_sym_EQ_EQ] = ACTIONS(5969),
    [anon_sym_BANG_EQ] = ACTIONS(5969),
    [anon_sym_GT] = ACTIONS(5967),
    [anon_sym_GT_EQ] = ACTIONS(5969),
    [anon_sym_LT_EQ] = ACTIONS(5967),
    [anon_sym_LT] = ACTIONS(5967),
    [anon_sym_LT_LT] = ACTIONS(5967),
    [anon_sym_GT_GT] = ACTIONS(5967),
    [anon_sym_SEMI] = ACTIONS(5969),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5969),
    [anon_sym_RBRACE] = ACTIONS(5969),
    [anon_sym_LBRACK] = ACTIONS(5969),
    [anon_sym_RBRACK] = ACTIONS(5969),
    [anon_sym_EQ] = ACTIONS(5967),
    [anon_sym_COLON] = ACTIONS(5969),
    [anon_sym_QMARK] = ACTIONS(5969),
    [anon_sym_STAR_EQ] = ACTIONS(5969),
    [anon_sym_SLASH_EQ] = ACTIONS(5969),
    [anon_sym_PERCENT_EQ] = ACTIONS(5969),
    [anon_sym_PLUS_EQ] = ACTIONS(5969),
    [anon_sym_DASH_EQ] = ACTIONS(5969),
    [anon_sym_LT_LT_EQ] = ACTIONS(5969),
    [anon_sym_GT_GT_EQ] = ACTIONS(5969),
    [anon_sym_AMP_EQ] = ACTIONS(5969),
    [anon_sym_CARET_EQ] = ACTIONS(5969),
    [anon_sym_PIPE_EQ] = ACTIONS(5969),
    [anon_sym_and_eq] = ACTIONS(5967),
    [anon_sym_or_eq] = ACTIONS(5967),
    [anon_sym_xor_eq] = ACTIONS(5967),
    [anon_sym_LT_EQ_GT] = ACTIONS(5969),
    [anon_sym_or] = ACTIONS(5967),
    [anon_sym_and] = ACTIONS(5967),
    [anon_sym_bitor] = ACTIONS(5967),
    [anon_sym_xor] = ACTIONS(5967),
    [anon_sym_bitand] = ACTIONS(5967),
    [anon_sym_not_eq] = ACTIONS(5967),
    [anon_sym_DASH_DASH] = ACTIONS(5969),
    [anon_sym_PLUS_PLUS] = ACTIONS(5969),
    [anon_sym_DOT] = ACTIONS(5967),
    [anon_sym_DOT_STAR] = ACTIONS(5969),
    [anon_sym_DASH_GT] = ACTIONS(5969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5967),
    [anon_sym_decltype] = ACTIONS(5967),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5971),
    [anon_sym_LPAREN2] = ACTIONS(5973),
    [anon_sym_TILDE] = ACTIONS(5973),
    [anon_sym_STAR] = ACTIONS(5973),
    [anon_sym_AMP_AMP] = ACTIONS(5973),
    [anon_sym_AMP] = ACTIONS(5971),
    [anon_sym___extension__] = ACTIONS(5971),
    [anon_sym_virtual] = ACTIONS(5971),
    [anon_sym_extern] = ACTIONS(5971),
    [anon_sym___attribute__] = ACTIONS(5971),
    [anon_sym___attribute] = ACTIONS(5971),
    [anon_sym_COLON_COLON] = ACTIONS(5973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5973),
    [anon_sym___declspec] = ACTIONS(5971),
    [anon_sym___based] = ACTIONS(5971),
    [anon_sym___cdecl] = ACTIONS(5971),
    [anon_sym___clrcall] = ACTIONS(5971),
    [anon_sym___stdcall] = ACTIONS(5971),
    [anon_sym___fastcall] = ACTIONS(5971),
    [anon_sym___thiscall] = ACTIONS(5971),
    [anon_sym___vectorcall] = ACTIONS(5971),
    [anon_sym_signed] = ACTIONS(5971),
    [anon_sym_unsigned] = ACTIONS(5971),
    [anon_sym_long] = ACTIONS(5971),
    [anon_sym_short] = ACTIONS(5971),
    [anon_sym_LBRACK] = ACTIONS(5971),
    [anon_sym_static] = ACTIONS(5971),
    [anon_sym_register] = ACTIONS(5971),
    [anon_sym_inline] = ACTIONS(5971),
    [anon_sym___inline] = ACTIONS(5971),
    [anon_sym___inline__] = ACTIONS(5971),
    [anon_sym___forceinline] = ACTIONS(5971),
    [anon_sym_thread_local] = ACTIONS(5971),
    [anon_sym___thread] = ACTIONS(5971),
    [anon_sym_const] = ACTIONS(5971),
    [anon_sym_constexpr] = ACTIONS(5971),
    [anon_sym_volatile] = ACTIONS(5971),
    [anon_sym_restrict] = ACTIONS(5971),
    [anon_sym___restrict__] = ACTIONS(5971),
    [anon_sym__Atomic] = ACTIONS(5971),
    [anon_sym__Noreturn] = ACTIONS(5971),
    [anon_sym_noreturn] = ACTIONS(5971),
    [anon_sym__Nonnull] = ACTIONS(5971),
    [anon_sym_mutable] = ACTIONS(5971),
    [anon_sym_constinit] = ACTIONS(5971),
    [anon_sym_consteval] = ACTIONS(5971),
    [anon_sym_PROGMEM] = ACTIONS(5971),
    [anon_sym_alignas] = ACTIONS(5971),
    [anon_sym__Alignas] = ACTIONS(5971),
    [aux_sym_primitive_type_token1] = ACTIONS(5971),
    [anon_sym_byte] = ACTIONS(5971),
    [anon_sym_word] = ACTIONS(5971),
    [anon_sym_enum] = ACTIONS(5971),
    [anon_sym_class] = ACTIONS(5971),
    [anon_sym_struct] = ACTIONS(5971),
    [anon_sym_union] = ACTIONS(5971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5971),
    [anon_sym_decltype] = ACTIONS(5971),
    [anon_sym_explicit] = ACTIONS(5971),
    [anon_sym_typename] = ACTIONS(5971),
    [anon_sym_template] = ACTIONS(5971),
    [anon_sym_operator] = ACTIONS(5971),
    [anon_sym_friend] = ACTIONS(5971),
    [anon_sym_using] = ACTIONS(5971),
    [anon_sym_concept] = ACTIONS(5971),
    [anon_sym_requires] = ACTIONS(5971),
  },
  [2163] = {
    [sym_string_literal] = STATE(2170),
    [sym_raw_string_literal] = STATE(2170),
    [aux_sym_concatenated_string_repeat1] = STATE(2170),
    [sym_identifier] = ACTIONS(5975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5301),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5299),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2164] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7445),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(5977),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(5979),
    [anon_sym_EQ] = ACTIONS(5982),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2165] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2166] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2225),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [aux_sym_preproc_if_token2] = ACTIONS(5988),
    [aux_sym_preproc_else_token1] = ACTIONS(5988),
    [aux_sym_preproc_elif_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5986),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5986),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5986),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5986),
    [anon_sym_GT_GT] = ACTIONS(5986),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(5986),
    [anon_sym___attribute] = ACTIONS(5986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_EQ] = ACTIONS(5986),
    [anon_sym_COLON] = ACTIONS(5988),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_STAR_EQ] = ACTIONS(5988),
    [anon_sym_SLASH_EQ] = ACTIONS(5988),
    [anon_sym_PERCENT_EQ] = ACTIONS(5988),
    [anon_sym_PLUS_EQ] = ACTIONS(5988),
    [anon_sym_DASH_EQ] = ACTIONS(5988),
    [anon_sym_LT_LT_EQ] = ACTIONS(5988),
    [anon_sym_GT_GT_EQ] = ACTIONS(5988),
    [anon_sym_AMP_EQ] = ACTIONS(5988),
    [anon_sym_CARET_EQ] = ACTIONS(5988),
    [anon_sym_PIPE_EQ] = ACTIONS(5988),
    [anon_sym_and_eq] = ACTIONS(5986),
    [anon_sym_or_eq] = ACTIONS(5986),
    [anon_sym_xor_eq] = ACTIONS(5986),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5986),
    [anon_sym_and] = ACTIONS(5986),
    [anon_sym_bitor] = ACTIONS(5986),
    [anon_sym_xor] = ACTIONS(5986),
    [anon_sym_bitand] = ACTIONS(5986),
    [anon_sym_not_eq] = ACTIONS(5986),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
  },
  [2167] = {
    [sym_attribute_specifier] = STATE(2219),
    [sym_identifier] = ACTIONS(5990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5992),
    [anon_sym_COMMA] = ACTIONS(5992),
    [anon_sym_RPAREN] = ACTIONS(5992),
    [aux_sym_preproc_if_token2] = ACTIONS(5992),
    [aux_sym_preproc_else_token1] = ACTIONS(5992),
    [aux_sym_preproc_elif_token1] = ACTIONS(5990),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5992),
    [anon_sym_LPAREN2] = ACTIONS(5992),
    [anon_sym_DASH] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5990),
    [anon_sym_STAR] = ACTIONS(5990),
    [anon_sym_SLASH] = ACTIONS(5990),
    [anon_sym_PERCENT] = ACTIONS(5990),
    [anon_sym_PIPE_PIPE] = ACTIONS(5992),
    [anon_sym_AMP_AMP] = ACTIONS(5992),
    [anon_sym_PIPE] = ACTIONS(5990),
    [anon_sym_CARET] = ACTIONS(5990),
    [anon_sym_AMP] = ACTIONS(5990),
    [anon_sym_EQ_EQ] = ACTIONS(5992),
    [anon_sym_BANG_EQ] = ACTIONS(5992),
    [anon_sym_GT] = ACTIONS(5990),
    [anon_sym_GT_EQ] = ACTIONS(5992),
    [anon_sym_LT_EQ] = ACTIONS(5990),
    [anon_sym_LT] = ACTIONS(5990),
    [anon_sym_LT_LT] = ACTIONS(5990),
    [anon_sym_GT_GT] = ACTIONS(5990),
    [anon_sym_SEMI] = ACTIONS(5992),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5992),
    [anon_sym_RBRACE] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5992),
    [anon_sym_RBRACK] = ACTIONS(5992),
    [anon_sym_EQ] = ACTIONS(5990),
    [anon_sym_COLON] = ACTIONS(5992),
    [anon_sym_QMARK] = ACTIONS(5992),
    [anon_sym_STAR_EQ] = ACTIONS(5992),
    [anon_sym_SLASH_EQ] = ACTIONS(5992),
    [anon_sym_PERCENT_EQ] = ACTIONS(5992),
    [anon_sym_PLUS_EQ] = ACTIONS(5992),
    [anon_sym_DASH_EQ] = ACTIONS(5992),
    [anon_sym_LT_LT_EQ] = ACTIONS(5992),
    [anon_sym_GT_GT_EQ] = ACTIONS(5992),
    [anon_sym_AMP_EQ] = ACTIONS(5992),
    [anon_sym_CARET_EQ] = ACTIONS(5992),
    [anon_sym_PIPE_EQ] = ACTIONS(5992),
    [anon_sym_and_eq] = ACTIONS(5990),
    [anon_sym_or_eq] = ACTIONS(5990),
    [anon_sym_xor_eq] = ACTIONS(5990),
    [anon_sym_LT_EQ_GT] = ACTIONS(5992),
    [anon_sym_or] = ACTIONS(5990),
    [anon_sym_and] = ACTIONS(5990),
    [anon_sym_bitor] = ACTIONS(5990),
    [anon_sym_xor] = ACTIONS(5990),
    [anon_sym_bitand] = ACTIONS(5990),
    [anon_sym_not_eq] = ACTIONS(5990),
    [anon_sym_DASH_DASH] = ACTIONS(5992),
    [anon_sym_PLUS_PLUS] = ACTIONS(5992),
    [anon_sym_DOT] = ACTIONS(5990),
    [anon_sym_DOT_STAR] = ACTIONS(5992),
    [anon_sym_DASH_GT] = ACTIONS(5992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5990),
    [anon_sym_decltype] = ACTIONS(5990),
  },
  [2168] = {
    [sym_attribute_specifier] = STATE(2260),
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [aux_sym_preproc_if_token2] = ACTIONS(5996),
    [aux_sym_preproc_else_token1] = ACTIONS(5996),
    [aux_sym_preproc_elif_token1] = ACTIONS(5994),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5994),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5994),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5994),
    [anon_sym_GT_GT] = ACTIONS(5994),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_EQ] = ACTIONS(5994),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_STAR_EQ] = ACTIONS(5996),
    [anon_sym_SLASH_EQ] = ACTIONS(5996),
    [anon_sym_PERCENT_EQ] = ACTIONS(5996),
    [anon_sym_PLUS_EQ] = ACTIONS(5996),
    [anon_sym_DASH_EQ] = ACTIONS(5996),
    [anon_sym_LT_LT_EQ] = ACTIONS(5996),
    [anon_sym_GT_GT_EQ] = ACTIONS(5996),
    [anon_sym_AMP_EQ] = ACTIONS(5996),
    [anon_sym_CARET_EQ] = ACTIONS(5996),
    [anon_sym_PIPE_EQ] = ACTIONS(5996),
    [anon_sym_and_eq] = ACTIONS(5994),
    [anon_sym_or_eq] = ACTIONS(5994),
    [anon_sym_xor_eq] = ACTIONS(5994),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5994),
    [anon_sym_and] = ACTIONS(5994),
    [anon_sym_bitor] = ACTIONS(5994),
    [anon_sym_xor] = ACTIONS(5994),
    [anon_sym_bitand] = ACTIONS(5994),
    [anon_sym_not_eq] = ACTIONS(5994),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
  },
  [2169] = {
    [sym_string_literal] = STATE(2402),
    [sym_template_argument_list] = STATE(3712),
    [sym_raw_string_literal] = STATE(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5998),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(6001),
    [anon_sym_or_eq] = ACTIONS(6001),
    [anon_sym_xor_eq] = ACTIONS(6001),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4381),
    [anon_sym_u_DQUOTE] = ACTIONS(4381),
    [anon_sym_U_DQUOTE] = ACTIONS(4381),
    [anon_sym_u8_DQUOTE] = ACTIONS(4381),
    [anon_sym_DQUOTE] = ACTIONS(4381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4383),
    [anon_sym_LR_DQUOTE] = ACTIONS(4383),
    [anon_sym_uR_DQUOTE] = ACTIONS(4383),
    [anon_sym_UR_DQUOTE] = ACTIONS(4383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4383),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2170] = {
    [sym_string_literal] = STATE(2170),
    [sym_raw_string_literal] = STATE(2170),
    [aux_sym_concatenated_string_repeat1] = STATE(2170),
    [sym_identifier] = ACTIONS(6003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5419),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_CARET] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5419),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5419),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5419),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5419),
    [anon_sym_or_eq] = ACTIONS(5419),
    [anon_sym_xor_eq] = ACTIONS(5419),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_bitor] = ACTIONS(5419),
    [anon_sym_xor] = ACTIONS(5419),
    [anon_sym_bitand] = ACTIONS(5419),
    [anon_sym_not_eq] = ACTIONS(5419),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5419),
    [anon_sym_L_DQUOTE] = ACTIONS(6006),
    [anon_sym_u_DQUOTE] = ACTIONS(6006),
    [anon_sym_U_DQUOTE] = ACTIONS(6006),
    [anon_sym_u8_DQUOTE] = ACTIONS(6006),
    [anon_sym_DQUOTE] = ACTIONS(6006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6009),
    [anon_sym_LR_DQUOTE] = ACTIONS(6009),
    [anon_sym_uR_DQUOTE] = ACTIONS(6009),
    [anon_sym_UR_DQUOTE] = ACTIONS(6009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6009),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5417),
    [sym_literal_suffix] = ACTIONS(5419),
  },
  [2171] = {
    [sym_template_argument_list] = STATE(1577),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5929),
    [anon_sym_RPAREN] = ACTIONS(5929),
    [anon_sym_LPAREN2] = ACTIONS(5929),
    [anon_sym_DASH] = ACTIONS(5927),
    [anon_sym_PLUS] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_SLASH] = ACTIONS(5927),
    [anon_sym_PERCENT] = ACTIONS(5927),
    [anon_sym_PIPE_PIPE] = ACTIONS(5929),
    [anon_sym_AMP_AMP] = ACTIONS(5929),
    [anon_sym_PIPE] = ACTIONS(5927),
    [anon_sym_CARET] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5927),
    [anon_sym_EQ_EQ] = ACTIONS(5929),
    [anon_sym_BANG_EQ] = ACTIONS(5929),
    [anon_sym_GT] = ACTIONS(5927),
    [anon_sym_GT_EQ] = ACTIONS(5929),
    [anon_sym_LT_EQ] = ACTIONS(5927),
    [anon_sym_LT] = ACTIONS(5927),
    [anon_sym_LT_LT] = ACTIONS(5927),
    [anon_sym_GT_GT] = ACTIONS(5927),
    [anon_sym_SEMI] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5929),
    [anon_sym___attribute] = ACTIONS(5927),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_RBRACE] = ACTIONS(5929),
    [anon_sym_signed] = ACTIONS(6012),
    [anon_sym_unsigned] = ACTIONS(6012),
    [anon_sym_long] = ACTIONS(6012),
    [anon_sym_short] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(5929),
    [anon_sym_RBRACK] = ACTIONS(5929),
    [anon_sym_EQ] = ACTIONS(5927),
    [anon_sym_COLON] = ACTIONS(5927),
    [anon_sym_QMARK] = ACTIONS(5929),
    [anon_sym_STAR_EQ] = ACTIONS(5929),
    [anon_sym_SLASH_EQ] = ACTIONS(5929),
    [anon_sym_PERCENT_EQ] = ACTIONS(5929),
    [anon_sym_PLUS_EQ] = ACTIONS(5929),
    [anon_sym_DASH_EQ] = ACTIONS(5929),
    [anon_sym_LT_LT_EQ] = ACTIONS(5929),
    [anon_sym_GT_GT_EQ] = ACTIONS(5929),
    [anon_sym_AMP_EQ] = ACTIONS(5929),
    [anon_sym_CARET_EQ] = ACTIONS(5929),
    [anon_sym_PIPE_EQ] = ACTIONS(5929),
    [anon_sym_and_eq] = ACTIONS(5929),
    [anon_sym_or_eq] = ACTIONS(5929),
    [anon_sym_xor_eq] = ACTIONS(5929),
    [anon_sym_LT_EQ_GT] = ACTIONS(5929),
    [anon_sym_or] = ACTIONS(5927),
    [anon_sym_and] = ACTIONS(5927),
    [anon_sym_bitor] = ACTIONS(5929),
    [anon_sym_xor] = ACTIONS(5927),
    [anon_sym_bitand] = ACTIONS(5929),
    [anon_sym_not_eq] = ACTIONS(5929),
    [anon_sym_DASH_DASH] = ACTIONS(5929),
    [anon_sym_PLUS_PLUS] = ACTIONS(5929),
    [anon_sym_DOT] = ACTIONS(5927),
    [anon_sym_DOT_STAR] = ACTIONS(5929),
    [anon_sym_DASH_GT] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5929),
    [anon_sym_decltype] = ACTIONS(5929),
  },
  [2172] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4385),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2173] = {
    [sym_template_argument_list] = STATE(2095),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4115),
    [anon_sym_COMMA] = ACTIONS(4115),
    [anon_sym_RPAREN] = ACTIONS(4115),
    [anon_sym_LPAREN2] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4107),
    [anon_sym_PERCENT] = ACTIONS(4107),
    [anon_sym_PIPE_PIPE] = ACTIONS(4115),
    [anon_sym_AMP_AMP] = ACTIONS(4115),
    [anon_sym_PIPE] = ACTIONS(4107),
    [anon_sym_CARET] = ACTIONS(4107),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4115),
    [anon_sym_BANG_EQ] = ACTIONS(4115),
    [anon_sym_GT] = ACTIONS(4107),
    [anon_sym_GT_EQ] = ACTIONS(4115),
    [anon_sym_LT_EQ] = ACTIONS(4107),
    [anon_sym_LT] = ACTIONS(5813),
    [anon_sym_LT_LT] = ACTIONS(4107),
    [anon_sym_GT_GT] = ACTIONS(4107),
    [anon_sym_SEMI] = ACTIONS(4115),
    [anon_sym___attribute__] = ACTIONS(4115),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4115),
    [anon_sym_RBRACE] = ACTIONS(4115),
    [anon_sym_signed] = ACTIONS(6012),
    [anon_sym_unsigned] = ACTIONS(6012),
    [anon_sym_long] = ACTIONS(6012),
    [anon_sym_short] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4115),
    [anon_sym_STAR_EQ] = ACTIONS(4115),
    [anon_sym_SLASH_EQ] = ACTIONS(4115),
    [anon_sym_PERCENT_EQ] = ACTIONS(4115),
    [anon_sym_PLUS_EQ] = ACTIONS(4115),
    [anon_sym_DASH_EQ] = ACTIONS(4115),
    [anon_sym_LT_LT_EQ] = ACTIONS(4115),
    [anon_sym_GT_GT_EQ] = ACTIONS(4115),
    [anon_sym_AMP_EQ] = ACTIONS(4115),
    [anon_sym_CARET_EQ] = ACTIONS(4115),
    [anon_sym_PIPE_EQ] = ACTIONS(4115),
    [anon_sym_and_eq] = ACTIONS(4115),
    [anon_sym_or_eq] = ACTIONS(4115),
    [anon_sym_xor_eq] = ACTIONS(4115),
    [anon_sym_LT_EQ_GT] = ACTIONS(4115),
    [anon_sym_or] = ACTIONS(4107),
    [anon_sym_and] = ACTIONS(4107),
    [anon_sym_bitor] = ACTIONS(4115),
    [anon_sym_xor] = ACTIONS(4107),
    [anon_sym_bitand] = ACTIONS(4115),
    [anon_sym_not_eq] = ACTIONS(4115),
    [anon_sym_DASH_DASH] = ACTIONS(4115),
    [anon_sym_PLUS_PLUS] = ACTIONS(4115),
    [anon_sym_DOT] = ACTIONS(4107),
    [anon_sym_DOT_STAR] = ACTIONS(4115),
    [anon_sym_DASH_GT] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
  },
  [2174] = {
    [sym_attribute_specifier] = STATE(2275),
    [sym_identifier] = ACTIONS(6014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6016),
    [anon_sym_COMMA] = ACTIONS(6016),
    [anon_sym_RPAREN] = ACTIONS(6016),
    [aux_sym_preproc_if_token2] = ACTIONS(6016),
    [aux_sym_preproc_else_token1] = ACTIONS(6016),
    [aux_sym_preproc_elif_token1] = ACTIONS(6014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6016),
    [anon_sym_LPAREN2] = ACTIONS(6016),
    [anon_sym_DASH] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(6014),
    [anon_sym_STAR] = ACTIONS(6014),
    [anon_sym_SLASH] = ACTIONS(6014),
    [anon_sym_PERCENT] = ACTIONS(6014),
    [anon_sym_PIPE_PIPE] = ACTIONS(6016),
    [anon_sym_AMP_AMP] = ACTIONS(6016),
    [anon_sym_PIPE] = ACTIONS(6014),
    [anon_sym_CARET] = ACTIONS(6014),
    [anon_sym_AMP] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6016),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_GT] = ACTIONS(6014),
    [anon_sym_GT_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6014),
    [anon_sym_LT] = ACTIONS(6014),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_SEMI] = ACTIONS(6016),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6016),
    [anon_sym_RBRACE] = ACTIONS(6016),
    [anon_sym_LBRACK] = ACTIONS(6016),
    [anon_sym_RBRACK] = ACTIONS(6016),
    [anon_sym_EQ] = ACTIONS(6014),
    [anon_sym_COLON] = ACTIONS(6016),
    [anon_sym_QMARK] = ACTIONS(6016),
    [anon_sym_STAR_EQ] = ACTIONS(6016),
    [anon_sym_SLASH_EQ] = ACTIONS(6016),
    [anon_sym_PERCENT_EQ] = ACTIONS(6016),
    [anon_sym_PLUS_EQ] = ACTIONS(6016),
    [anon_sym_DASH_EQ] = ACTIONS(6016),
    [anon_sym_LT_LT_EQ] = ACTIONS(6016),
    [anon_sym_GT_GT_EQ] = ACTIONS(6016),
    [anon_sym_AMP_EQ] = ACTIONS(6016),
    [anon_sym_CARET_EQ] = ACTIONS(6016),
    [anon_sym_PIPE_EQ] = ACTIONS(6016),
    [anon_sym_and_eq] = ACTIONS(6014),
    [anon_sym_or_eq] = ACTIONS(6014),
    [anon_sym_xor_eq] = ACTIONS(6014),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_or] = ACTIONS(6014),
    [anon_sym_and] = ACTIONS(6014),
    [anon_sym_bitor] = ACTIONS(6014),
    [anon_sym_xor] = ACTIONS(6014),
    [anon_sym_bitand] = ACTIONS(6014),
    [anon_sym_not_eq] = ACTIONS(6014),
    [anon_sym_DASH_DASH] = ACTIONS(6016),
    [anon_sym_PLUS_PLUS] = ACTIONS(6016),
    [anon_sym_DOT] = ACTIONS(6014),
    [anon_sym_DOT_STAR] = ACTIONS(6016),
    [anon_sym_DASH_GT] = ACTIONS(6016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6014),
    [anon_sym_decltype] = ACTIONS(6014),
  },
  [2175] = {
    [sym_attribute_specifier] = STATE(2226),
    [sym_identifier] = ACTIONS(6018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6020),
    [anon_sym_COMMA] = ACTIONS(6020),
    [anon_sym_RPAREN] = ACTIONS(6020),
    [aux_sym_preproc_if_token2] = ACTIONS(6020),
    [aux_sym_preproc_else_token1] = ACTIONS(6020),
    [aux_sym_preproc_elif_token1] = ACTIONS(6018),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6020),
    [anon_sym_LPAREN2] = ACTIONS(6020),
    [anon_sym_DASH] = ACTIONS(6018),
    [anon_sym_PLUS] = ACTIONS(6018),
    [anon_sym_STAR] = ACTIONS(6018),
    [anon_sym_SLASH] = ACTIONS(6018),
    [anon_sym_PERCENT] = ACTIONS(6018),
    [anon_sym_PIPE_PIPE] = ACTIONS(6020),
    [anon_sym_AMP_AMP] = ACTIONS(6020),
    [anon_sym_PIPE] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(6018),
    [anon_sym_AMP] = ACTIONS(6018),
    [anon_sym_EQ_EQ] = ACTIONS(6020),
    [anon_sym_BANG_EQ] = ACTIONS(6020),
    [anon_sym_GT] = ACTIONS(6018),
    [anon_sym_GT_EQ] = ACTIONS(6020),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_LT] = ACTIONS(6018),
    [anon_sym_LT_LT] = ACTIONS(6018),
    [anon_sym_GT_GT] = ACTIONS(6018),
    [anon_sym_SEMI] = ACTIONS(6020),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6020),
    [anon_sym_RBRACE] = ACTIONS(6020),
    [anon_sym_LBRACK] = ACTIONS(6020),
    [anon_sym_RBRACK] = ACTIONS(6020),
    [anon_sym_EQ] = ACTIONS(6018),
    [anon_sym_COLON] = ACTIONS(6020),
    [anon_sym_QMARK] = ACTIONS(6020),
    [anon_sym_STAR_EQ] = ACTIONS(6020),
    [anon_sym_SLASH_EQ] = ACTIONS(6020),
    [anon_sym_PERCENT_EQ] = ACTIONS(6020),
    [anon_sym_PLUS_EQ] = ACTIONS(6020),
    [anon_sym_DASH_EQ] = ACTIONS(6020),
    [anon_sym_LT_LT_EQ] = ACTIONS(6020),
    [anon_sym_GT_GT_EQ] = ACTIONS(6020),
    [anon_sym_AMP_EQ] = ACTIONS(6020),
    [anon_sym_CARET_EQ] = ACTIONS(6020),
    [anon_sym_PIPE_EQ] = ACTIONS(6020),
    [anon_sym_and_eq] = ACTIONS(6018),
    [anon_sym_or_eq] = ACTIONS(6018),
    [anon_sym_xor_eq] = ACTIONS(6018),
    [anon_sym_LT_EQ_GT] = ACTIONS(6020),
    [anon_sym_or] = ACTIONS(6018),
    [anon_sym_and] = ACTIONS(6018),
    [anon_sym_bitor] = ACTIONS(6018),
    [anon_sym_xor] = ACTIONS(6018),
    [anon_sym_bitand] = ACTIONS(6018),
    [anon_sym_not_eq] = ACTIONS(6018),
    [anon_sym_DASH_DASH] = ACTIONS(6020),
    [anon_sym_PLUS_PLUS] = ACTIONS(6020),
    [anon_sym_DOT] = ACTIONS(6018),
    [anon_sym_DOT_STAR] = ACTIONS(6020),
    [anon_sym_DASH_GT] = ACTIONS(6020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6018),
    [anon_sym_decltype] = ACTIONS(6018),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(6022),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_TILDE] = ACTIONS(6024),
    [anon_sym_STAR] = ACTIONS(6024),
    [anon_sym_AMP_AMP] = ACTIONS(6024),
    [anon_sym_AMP] = ACTIONS(6022),
    [anon_sym___extension__] = ACTIONS(6022),
    [anon_sym_virtual] = ACTIONS(6022),
    [anon_sym_extern] = ACTIONS(6022),
    [anon_sym___attribute__] = ACTIONS(6022),
    [anon_sym___attribute] = ACTIONS(6022),
    [anon_sym_COLON_COLON] = ACTIONS(6024),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6024),
    [anon_sym___declspec] = ACTIONS(6022),
    [anon_sym___based] = ACTIONS(6022),
    [anon_sym___cdecl] = ACTIONS(6022),
    [anon_sym___clrcall] = ACTIONS(6022),
    [anon_sym___stdcall] = ACTIONS(6022),
    [anon_sym___fastcall] = ACTIONS(6022),
    [anon_sym___thiscall] = ACTIONS(6022),
    [anon_sym___vectorcall] = ACTIONS(6022),
    [anon_sym_signed] = ACTIONS(6022),
    [anon_sym_unsigned] = ACTIONS(6022),
    [anon_sym_long] = ACTIONS(6022),
    [anon_sym_short] = ACTIONS(6022),
    [anon_sym_LBRACK] = ACTIONS(6022),
    [anon_sym_static] = ACTIONS(6022),
    [anon_sym_register] = ACTIONS(6022),
    [anon_sym_inline] = ACTIONS(6022),
    [anon_sym___inline] = ACTIONS(6022),
    [anon_sym___inline__] = ACTIONS(6022),
    [anon_sym___forceinline] = ACTIONS(6022),
    [anon_sym_thread_local] = ACTIONS(6022),
    [anon_sym___thread] = ACTIONS(6022),
    [anon_sym_const] = ACTIONS(6022),
    [anon_sym_constexpr] = ACTIONS(6022),
    [anon_sym_volatile] = ACTIONS(6022),
    [anon_sym_restrict] = ACTIONS(6022),
    [anon_sym___restrict__] = ACTIONS(6022),
    [anon_sym__Atomic] = ACTIONS(6022),
    [anon_sym__Noreturn] = ACTIONS(6022),
    [anon_sym_noreturn] = ACTIONS(6022),
    [anon_sym__Nonnull] = ACTIONS(6022),
    [anon_sym_mutable] = ACTIONS(6022),
    [anon_sym_constinit] = ACTIONS(6022),
    [anon_sym_consteval] = ACTIONS(6022),
    [anon_sym_PROGMEM] = ACTIONS(6022),
    [anon_sym_alignas] = ACTIONS(6022),
    [anon_sym__Alignas] = ACTIONS(6022),
    [aux_sym_primitive_type_token1] = ACTIONS(6022),
    [anon_sym_byte] = ACTIONS(6022),
    [anon_sym_word] = ACTIONS(6022),
    [anon_sym_enum] = ACTIONS(6022),
    [anon_sym_class] = ACTIONS(6022),
    [anon_sym_struct] = ACTIONS(6022),
    [anon_sym_union] = ACTIONS(6022),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6022),
    [anon_sym_decltype] = ACTIONS(6022),
    [anon_sym_explicit] = ACTIONS(6022),
    [anon_sym_typename] = ACTIONS(6022),
    [anon_sym_template] = ACTIONS(6022),
    [anon_sym_operator] = ACTIONS(6022),
    [anon_sym_friend] = ACTIONS(6022),
    [anon_sym_using] = ACTIONS(6022),
    [anon_sym_concept] = ACTIONS(6022),
    [anon_sym_requires] = ACTIONS(6022),
  },
  [2177] = {
    [sym_decltype_auto] = STATE(2301),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_else_token1] = ACTIONS(5313),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym___attribute] = ACTIONS(5311),
    [anon_sym_LBRACE] = ACTIONS(5313),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_RBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_STAR_EQ] = ACTIONS(5313),
    [anon_sym_SLASH_EQ] = ACTIONS(5313),
    [anon_sym_PERCENT_EQ] = ACTIONS(5313),
    [anon_sym_PLUS_EQ] = ACTIONS(5313),
    [anon_sym_DASH_EQ] = ACTIONS(5313),
    [anon_sym_LT_LT_EQ] = ACTIONS(5313),
    [anon_sym_GT_GT_EQ] = ACTIONS(5313),
    [anon_sym_AMP_EQ] = ACTIONS(5313),
    [anon_sym_CARET_EQ] = ACTIONS(5313),
    [anon_sym_PIPE_EQ] = ACTIONS(5313),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2178] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2225),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(6026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6028),
    [anon_sym_COMMA] = ACTIONS(6028),
    [anon_sym_RPAREN] = ACTIONS(6028),
    [aux_sym_preproc_if_token2] = ACTIONS(6028),
    [aux_sym_preproc_else_token1] = ACTIONS(6028),
    [aux_sym_preproc_elif_token1] = ACTIONS(6026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6028),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(6026),
    [anon_sym_PLUS] = ACTIONS(6026),
    [anon_sym_STAR] = ACTIONS(6026),
    [anon_sym_SLASH] = ACTIONS(6026),
    [anon_sym_PERCENT] = ACTIONS(6026),
    [anon_sym_PIPE_PIPE] = ACTIONS(6028),
    [anon_sym_AMP_AMP] = ACTIONS(6028),
    [anon_sym_PIPE] = ACTIONS(6026),
    [anon_sym_CARET] = ACTIONS(6026),
    [anon_sym_AMP] = ACTIONS(6026),
    [anon_sym_EQ_EQ] = ACTIONS(6028),
    [anon_sym_BANG_EQ] = ACTIONS(6028),
    [anon_sym_GT] = ACTIONS(6026),
    [anon_sym_GT_EQ] = ACTIONS(6028),
    [anon_sym_LT_EQ] = ACTIONS(6026),
    [anon_sym_LT] = ACTIONS(6026),
    [anon_sym_LT_LT] = ACTIONS(6026),
    [anon_sym_GT_GT] = ACTIONS(6026),
    [anon_sym_SEMI] = ACTIONS(6028),
    [anon_sym___attribute__] = ACTIONS(6026),
    [anon_sym___attribute] = ACTIONS(6026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(6028),
    [anon_sym_EQ] = ACTIONS(6026),
    [anon_sym_COLON] = ACTIONS(6028),
    [anon_sym_QMARK] = ACTIONS(6028),
    [anon_sym_STAR_EQ] = ACTIONS(6028),
    [anon_sym_SLASH_EQ] = ACTIONS(6028),
    [anon_sym_PERCENT_EQ] = ACTIONS(6028),
    [anon_sym_PLUS_EQ] = ACTIONS(6028),
    [anon_sym_DASH_EQ] = ACTIONS(6028),
    [anon_sym_LT_LT_EQ] = ACTIONS(6028),
    [anon_sym_GT_GT_EQ] = ACTIONS(6028),
    [anon_sym_AMP_EQ] = ACTIONS(6028),
    [anon_sym_CARET_EQ] = ACTIONS(6028),
    [anon_sym_PIPE_EQ] = ACTIONS(6028),
    [anon_sym_and_eq] = ACTIONS(6026),
    [anon_sym_or_eq] = ACTIONS(6026),
    [anon_sym_xor_eq] = ACTIONS(6026),
    [anon_sym_LT_EQ_GT] = ACTIONS(6028),
    [anon_sym_or] = ACTIONS(6026),
    [anon_sym_and] = ACTIONS(6026),
    [anon_sym_bitor] = ACTIONS(6026),
    [anon_sym_xor] = ACTIONS(6026),
    [anon_sym_bitand] = ACTIONS(6026),
    [anon_sym_not_eq] = ACTIONS(6026),
    [anon_sym_DASH_DASH] = ACTIONS(6028),
    [anon_sym_PLUS_PLUS] = ACTIONS(6028),
    [anon_sym_DOT] = ACTIONS(6026),
    [anon_sym_DOT_STAR] = ACTIONS(6028),
    [anon_sym_DASH_GT] = ACTIONS(6028),
    [sym_comment] = ACTIONS(3),
  },
  [2179] = {
    [sym_attribute_specifier] = STATE(2240),
    [sym_identifier] = ACTIONS(6030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [anon_sym_RPAREN] = ACTIONS(6032),
    [aux_sym_preproc_if_token2] = ACTIONS(6032),
    [aux_sym_preproc_else_token1] = ACTIONS(6032),
    [aux_sym_preproc_elif_token1] = ACTIONS(6030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(6030),
    [anon_sym_STAR] = ACTIONS(6030),
    [anon_sym_SLASH] = ACTIONS(6030),
    [anon_sym_PERCENT] = ACTIONS(6030),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6030),
    [anon_sym_CARET] = ACTIONS(6030),
    [anon_sym_AMP] = ACTIONS(6030),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6030),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6030),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_LT_LT] = ACTIONS(6030),
    [anon_sym_GT_GT] = ACTIONS(6030),
    [anon_sym_SEMI] = ACTIONS(6032),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_RBRACE] = ACTIONS(6032),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_RBRACK] = ACTIONS(6032),
    [anon_sym_EQ] = ACTIONS(6030),
    [anon_sym_COLON] = ACTIONS(6032),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_STAR_EQ] = ACTIONS(6032),
    [anon_sym_SLASH_EQ] = ACTIONS(6032),
    [anon_sym_PERCENT_EQ] = ACTIONS(6032),
    [anon_sym_PLUS_EQ] = ACTIONS(6032),
    [anon_sym_DASH_EQ] = ACTIONS(6032),
    [anon_sym_LT_LT_EQ] = ACTIONS(6032),
    [anon_sym_GT_GT_EQ] = ACTIONS(6032),
    [anon_sym_AMP_EQ] = ACTIONS(6032),
    [anon_sym_CARET_EQ] = ACTIONS(6032),
    [anon_sym_PIPE_EQ] = ACTIONS(6032),
    [anon_sym_and_eq] = ACTIONS(6030),
    [anon_sym_or_eq] = ACTIONS(6030),
    [anon_sym_xor_eq] = ACTIONS(6030),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6030),
    [anon_sym_and] = ACTIONS(6030),
    [anon_sym_bitor] = ACTIONS(6030),
    [anon_sym_xor] = ACTIONS(6030),
    [anon_sym_bitand] = ACTIONS(6030),
    [anon_sym_not_eq] = ACTIONS(6030),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6030),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6030),
    [anon_sym_decltype] = ACTIONS(6030),
  },
  [2180] = {
    [sym_attribute_specifier] = STATE(2217),
    [sym_identifier] = ACTIONS(6034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6036),
    [anon_sym_COMMA] = ACTIONS(6036),
    [anon_sym_RPAREN] = ACTIONS(6036),
    [aux_sym_preproc_if_token2] = ACTIONS(6036),
    [aux_sym_preproc_else_token1] = ACTIONS(6036),
    [aux_sym_preproc_elif_token1] = ACTIONS(6034),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_DASH] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(6034),
    [anon_sym_STAR] = ACTIONS(6034),
    [anon_sym_SLASH] = ACTIONS(6034),
    [anon_sym_PERCENT] = ACTIONS(6034),
    [anon_sym_PIPE_PIPE] = ACTIONS(6036),
    [anon_sym_AMP_AMP] = ACTIONS(6036),
    [anon_sym_PIPE] = ACTIONS(6034),
    [anon_sym_CARET] = ACTIONS(6034),
    [anon_sym_AMP] = ACTIONS(6034),
    [anon_sym_EQ_EQ] = ACTIONS(6036),
    [anon_sym_BANG_EQ] = ACTIONS(6036),
    [anon_sym_GT] = ACTIONS(6034),
    [anon_sym_GT_EQ] = ACTIONS(6036),
    [anon_sym_LT_EQ] = ACTIONS(6034),
    [anon_sym_LT] = ACTIONS(6034),
    [anon_sym_LT_LT] = ACTIONS(6034),
    [anon_sym_GT_GT] = ACTIONS(6034),
    [anon_sym_SEMI] = ACTIONS(6036),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6036),
    [anon_sym_RBRACE] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6036),
    [anon_sym_RBRACK] = ACTIONS(6036),
    [anon_sym_EQ] = ACTIONS(6034),
    [anon_sym_COLON] = ACTIONS(6036),
    [anon_sym_QMARK] = ACTIONS(6036),
    [anon_sym_STAR_EQ] = ACTIONS(6036),
    [anon_sym_SLASH_EQ] = ACTIONS(6036),
    [anon_sym_PERCENT_EQ] = ACTIONS(6036),
    [anon_sym_PLUS_EQ] = ACTIONS(6036),
    [anon_sym_DASH_EQ] = ACTIONS(6036),
    [anon_sym_LT_LT_EQ] = ACTIONS(6036),
    [anon_sym_GT_GT_EQ] = ACTIONS(6036),
    [anon_sym_AMP_EQ] = ACTIONS(6036),
    [anon_sym_CARET_EQ] = ACTIONS(6036),
    [anon_sym_PIPE_EQ] = ACTIONS(6036),
    [anon_sym_and_eq] = ACTIONS(6034),
    [anon_sym_or_eq] = ACTIONS(6034),
    [anon_sym_xor_eq] = ACTIONS(6034),
    [anon_sym_LT_EQ_GT] = ACTIONS(6036),
    [anon_sym_or] = ACTIONS(6034),
    [anon_sym_and] = ACTIONS(6034),
    [anon_sym_bitor] = ACTIONS(6034),
    [anon_sym_xor] = ACTIONS(6034),
    [anon_sym_bitand] = ACTIONS(6034),
    [anon_sym_not_eq] = ACTIONS(6034),
    [anon_sym_DASH_DASH] = ACTIONS(6036),
    [anon_sym_PLUS_PLUS] = ACTIONS(6036),
    [anon_sym_DOT] = ACTIONS(6034),
    [anon_sym_DOT_STAR] = ACTIONS(6036),
    [anon_sym_DASH_GT] = ACTIONS(6036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6034),
    [anon_sym_decltype] = ACTIONS(6034),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5397),
    [anon_sym_COMMA] = ACTIONS(5397),
    [anon_sym_RPAREN] = ACTIONS(5397),
    [aux_sym_preproc_if_token2] = ACTIONS(5397),
    [aux_sym_preproc_else_token1] = ACTIONS(5397),
    [aux_sym_preproc_elif_token1] = ACTIONS(5395),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5397),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5395),
    [anon_sym_STAR] = ACTIONS(5395),
    [anon_sym_SLASH] = ACTIONS(5395),
    [anon_sym_PERCENT] = ACTIONS(5395),
    [anon_sym_PIPE_PIPE] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_PIPE] = ACTIONS(5395),
    [anon_sym_CARET] = ACTIONS(5395),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_EQ_EQ] = ACTIONS(5397),
    [anon_sym_BANG_EQ] = ACTIONS(5397),
    [anon_sym_GT] = ACTIONS(5395),
    [anon_sym_GT_EQ] = ACTIONS(5397),
    [anon_sym_LT_EQ] = ACTIONS(5395),
    [anon_sym_LT] = ACTIONS(5395),
    [anon_sym_LT_LT] = ACTIONS(5395),
    [anon_sym_GT_GT] = ACTIONS(5395),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym_LBRACE] = ACTIONS(5397),
    [anon_sym_RBRACE] = ACTIONS(5397),
    [anon_sym_LBRACK] = ACTIONS(5397),
    [anon_sym_RBRACK] = ACTIONS(5397),
    [anon_sym_EQ] = ACTIONS(5395),
    [anon_sym_COLON] = ACTIONS(5395),
    [anon_sym_QMARK] = ACTIONS(5397),
    [anon_sym_STAR_EQ] = ACTIONS(5397),
    [anon_sym_SLASH_EQ] = ACTIONS(5397),
    [anon_sym_PERCENT_EQ] = ACTIONS(5397),
    [anon_sym_PLUS_EQ] = ACTIONS(5397),
    [anon_sym_DASH_EQ] = ACTIONS(5397),
    [anon_sym_LT_LT_EQ] = ACTIONS(5397),
    [anon_sym_GT_GT_EQ] = ACTIONS(5397),
    [anon_sym_AMP_EQ] = ACTIONS(5397),
    [anon_sym_CARET_EQ] = ACTIONS(5397),
    [anon_sym_PIPE_EQ] = ACTIONS(5397),
    [anon_sym_and_eq] = ACTIONS(5395),
    [anon_sym_or_eq] = ACTIONS(5395),
    [anon_sym_xor_eq] = ACTIONS(5395),
    [anon_sym_LT_EQ_GT] = ACTIONS(5397),
    [anon_sym_or] = ACTIONS(5395),
    [anon_sym_and] = ACTIONS(5395),
    [anon_sym_bitor] = ACTIONS(5395),
    [anon_sym_xor] = ACTIONS(5395),
    [anon_sym_bitand] = ACTIONS(5395),
    [anon_sym_not_eq] = ACTIONS(5395),
    [anon_sym_DASH_DASH] = ACTIONS(5397),
    [anon_sym_PLUS_PLUS] = ACTIONS(5397),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_DOT_STAR] = ACTIONS(5397),
    [anon_sym_DASH_GT] = ACTIONS(5397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
  },
  [2182] = {
    [sym_attribute_specifier] = STATE(2205),
    [sym_identifier] = ACTIONS(6038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6040),
    [anon_sym_COMMA] = ACTIONS(6040),
    [anon_sym_RPAREN] = ACTIONS(6040),
    [aux_sym_preproc_if_token2] = ACTIONS(6040),
    [aux_sym_preproc_else_token1] = ACTIONS(6040),
    [aux_sym_preproc_elif_token1] = ACTIONS(6038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6040),
    [anon_sym_LPAREN2] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(6038),
    [anon_sym_STAR] = ACTIONS(6038),
    [anon_sym_SLASH] = ACTIONS(6038),
    [anon_sym_PERCENT] = ACTIONS(6038),
    [anon_sym_PIPE_PIPE] = ACTIONS(6040),
    [anon_sym_AMP_AMP] = ACTIONS(6040),
    [anon_sym_PIPE] = ACTIONS(6038),
    [anon_sym_CARET] = ACTIONS(6038),
    [anon_sym_AMP] = ACTIONS(6038),
    [anon_sym_EQ_EQ] = ACTIONS(6040),
    [anon_sym_BANG_EQ] = ACTIONS(6040),
    [anon_sym_GT] = ACTIONS(6038),
    [anon_sym_GT_EQ] = ACTIONS(6040),
    [anon_sym_LT_EQ] = ACTIONS(6038),
    [anon_sym_LT] = ACTIONS(6038),
    [anon_sym_LT_LT] = ACTIONS(6038),
    [anon_sym_GT_GT] = ACTIONS(6038),
    [anon_sym_SEMI] = ACTIONS(6040),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6040),
    [anon_sym_RBRACE] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [anon_sym_RBRACK] = ACTIONS(6040),
    [anon_sym_EQ] = ACTIONS(6038),
    [anon_sym_COLON] = ACTIONS(6040),
    [anon_sym_QMARK] = ACTIONS(6040),
    [anon_sym_STAR_EQ] = ACTIONS(6040),
    [anon_sym_SLASH_EQ] = ACTIONS(6040),
    [anon_sym_PERCENT_EQ] = ACTIONS(6040),
    [anon_sym_PLUS_EQ] = ACTIONS(6040),
    [anon_sym_DASH_EQ] = ACTIONS(6040),
    [anon_sym_LT_LT_EQ] = ACTIONS(6040),
    [anon_sym_GT_GT_EQ] = ACTIONS(6040),
    [anon_sym_AMP_EQ] = ACTIONS(6040),
    [anon_sym_CARET_EQ] = ACTIONS(6040),
    [anon_sym_PIPE_EQ] = ACTIONS(6040),
    [anon_sym_and_eq] = ACTIONS(6038),
    [anon_sym_or_eq] = ACTIONS(6038),
    [anon_sym_xor_eq] = ACTIONS(6038),
    [anon_sym_LT_EQ_GT] = ACTIONS(6040),
    [anon_sym_or] = ACTIONS(6038),
    [anon_sym_and] = ACTIONS(6038),
    [anon_sym_bitor] = ACTIONS(6038),
    [anon_sym_xor] = ACTIONS(6038),
    [anon_sym_bitand] = ACTIONS(6038),
    [anon_sym_not_eq] = ACTIONS(6038),
    [anon_sym_DASH_DASH] = ACTIONS(6040),
    [anon_sym_PLUS_PLUS] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6038),
    [anon_sym_DOT_STAR] = ACTIONS(6040),
    [anon_sym_DASH_GT] = ACTIONS(6040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6038),
    [anon_sym_decltype] = ACTIONS(6038),
  },
  [2183] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2184] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7445),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6042),
    [anon_sym_COMMA] = ACTIONS(6045),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6048),
    [anon_sym_EQ] = ACTIONS(6052),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2185] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2225),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(6054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6056),
    [anon_sym_COMMA] = ACTIONS(6056),
    [anon_sym_RPAREN] = ACTIONS(6056),
    [aux_sym_preproc_if_token2] = ACTIONS(6056),
    [aux_sym_preproc_else_token1] = ACTIONS(6056),
    [aux_sym_preproc_elif_token1] = ACTIONS(6054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6056),
    [anon_sym_LPAREN2] = ACTIONS(5945),
    [anon_sym_DASH] = ACTIONS(6054),
    [anon_sym_PLUS] = ACTIONS(6054),
    [anon_sym_STAR] = ACTIONS(6054),
    [anon_sym_SLASH] = ACTIONS(6054),
    [anon_sym_PERCENT] = ACTIONS(6054),
    [anon_sym_PIPE_PIPE] = ACTIONS(6056),
    [anon_sym_AMP_AMP] = ACTIONS(6056),
    [anon_sym_PIPE] = ACTIONS(6054),
    [anon_sym_CARET] = ACTIONS(6054),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_EQ_EQ] = ACTIONS(6056),
    [anon_sym_BANG_EQ] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(6054),
    [anon_sym_GT_EQ] = ACTIONS(6056),
    [anon_sym_LT_EQ] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6054),
    [anon_sym_LT_LT] = ACTIONS(6054),
    [anon_sym_GT_GT] = ACTIONS(6054),
    [anon_sym_SEMI] = ACTIONS(6056),
    [anon_sym___attribute__] = ACTIONS(6054),
    [anon_sym___attribute] = ACTIONS(6054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(6056),
    [anon_sym_LBRACK] = ACTIONS(5949),
    [anon_sym_RBRACK] = ACTIONS(6056),
    [anon_sym_EQ] = ACTIONS(6054),
    [anon_sym_COLON] = ACTIONS(6056),
    [anon_sym_QMARK] = ACTIONS(6056),
    [anon_sym_STAR_EQ] = ACTIONS(6056),
    [anon_sym_SLASH_EQ] = ACTIONS(6056),
    [anon_sym_PERCENT_EQ] = ACTIONS(6056),
    [anon_sym_PLUS_EQ] = ACTIONS(6056),
    [anon_sym_DASH_EQ] = ACTIONS(6056),
    [anon_sym_LT_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT_GT_EQ] = ACTIONS(6056),
    [anon_sym_AMP_EQ] = ACTIONS(6056),
    [anon_sym_CARET_EQ] = ACTIONS(6056),
    [anon_sym_PIPE_EQ] = ACTIONS(6056),
    [anon_sym_and_eq] = ACTIONS(6054),
    [anon_sym_or_eq] = ACTIONS(6054),
    [anon_sym_xor_eq] = ACTIONS(6054),
    [anon_sym_LT_EQ_GT] = ACTIONS(6056),
    [anon_sym_or] = ACTIONS(6054),
    [anon_sym_and] = ACTIONS(6054),
    [anon_sym_bitor] = ACTIONS(6054),
    [anon_sym_xor] = ACTIONS(6054),
    [anon_sym_bitand] = ACTIONS(6054),
    [anon_sym_not_eq] = ACTIONS(6054),
    [anon_sym_DASH_DASH] = ACTIONS(6056),
    [anon_sym_PLUS_PLUS] = ACTIONS(6056),
    [anon_sym_DOT] = ACTIONS(6054),
    [anon_sym_DOT_STAR] = ACTIONS(6056),
    [anon_sym_DASH_GT] = ACTIONS(6056),
    [sym_comment] = ACTIONS(3),
  },
  [2186] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2187] = {
    [sym_attribute_specifier] = STATE(2268),
    [sym_identifier] = ACTIONS(6058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6060),
    [anon_sym_COMMA] = ACTIONS(6060),
    [anon_sym_RPAREN] = ACTIONS(6060),
    [aux_sym_preproc_if_token2] = ACTIONS(6060),
    [aux_sym_preproc_else_token1] = ACTIONS(6060),
    [aux_sym_preproc_elif_token1] = ACTIONS(6058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6060),
    [anon_sym_LPAREN2] = ACTIONS(6060),
    [anon_sym_DASH] = ACTIONS(6058),
    [anon_sym_PLUS] = ACTIONS(6058),
    [anon_sym_STAR] = ACTIONS(6058),
    [anon_sym_SLASH] = ACTIONS(6058),
    [anon_sym_PERCENT] = ACTIONS(6058),
    [anon_sym_PIPE_PIPE] = ACTIONS(6060),
    [anon_sym_AMP_AMP] = ACTIONS(6060),
    [anon_sym_PIPE] = ACTIONS(6058),
    [anon_sym_CARET] = ACTIONS(6058),
    [anon_sym_AMP] = ACTIONS(6058),
    [anon_sym_EQ_EQ] = ACTIONS(6060),
    [anon_sym_BANG_EQ] = ACTIONS(6060),
    [anon_sym_GT] = ACTIONS(6058),
    [anon_sym_GT_EQ] = ACTIONS(6060),
    [anon_sym_LT_EQ] = ACTIONS(6058),
    [anon_sym_LT] = ACTIONS(6058),
    [anon_sym_LT_LT] = ACTIONS(6058),
    [anon_sym_GT_GT] = ACTIONS(6058),
    [anon_sym_SEMI] = ACTIONS(6060),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(6060),
    [anon_sym_RBRACE] = ACTIONS(6060),
    [anon_sym_LBRACK] = ACTIONS(6060),
    [anon_sym_RBRACK] = ACTIONS(6060),
    [anon_sym_EQ] = ACTIONS(6058),
    [anon_sym_COLON] = ACTIONS(6060),
    [anon_sym_QMARK] = ACTIONS(6060),
    [anon_sym_STAR_EQ] = ACTIONS(6060),
    [anon_sym_SLASH_EQ] = ACTIONS(6060),
    [anon_sym_PERCENT_EQ] = ACTIONS(6060),
    [anon_sym_PLUS_EQ] = ACTIONS(6060),
    [anon_sym_DASH_EQ] = ACTIONS(6060),
    [anon_sym_LT_LT_EQ] = ACTIONS(6060),
    [anon_sym_GT_GT_EQ] = ACTIONS(6060),
    [anon_sym_AMP_EQ] = ACTIONS(6060),
    [anon_sym_CARET_EQ] = ACTIONS(6060),
    [anon_sym_PIPE_EQ] = ACTIONS(6060),
    [anon_sym_and_eq] = ACTIONS(6058),
    [anon_sym_or_eq] = ACTIONS(6058),
    [anon_sym_xor_eq] = ACTIONS(6058),
    [anon_sym_LT_EQ_GT] = ACTIONS(6060),
    [anon_sym_or] = ACTIONS(6058),
    [anon_sym_and] = ACTIONS(6058),
    [anon_sym_bitor] = ACTIONS(6058),
    [anon_sym_xor] = ACTIONS(6058),
    [anon_sym_bitand] = ACTIONS(6058),
    [anon_sym_not_eq] = ACTIONS(6058),
    [anon_sym_DASH_DASH] = ACTIONS(6060),
    [anon_sym_PLUS_PLUS] = ACTIONS(6060),
    [anon_sym_DOT] = ACTIONS(6058),
    [anon_sym_DOT_STAR] = ACTIONS(6060),
    [anon_sym_DASH_GT] = ACTIONS(6060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6058),
    [anon_sym_decltype] = ACTIONS(6058),
  },
  [2188] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(4996),
    [anon_sym_BANG_EQ] = ACTIONS(4996),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5747),
    [anon_sym_unsigned] = ACTIONS(5747),
    [anon_sym_long] = ACTIONS(5747),
    [anon_sym_short] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4996),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(4996),
    [anon_sym_PLUS_PLUS] = ACTIONS(4996),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(4996),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_GT2] = ACTIONS(4996),
  },
  [2189] = {
    [sym_string_literal] = STATE(2155),
    [sym_template_argument_list] = STATE(3135),
    [sym_raw_string_literal] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2190] = {
    [sym_attribute_specifier] = STATE(1815),
    [sym_enumerator_list] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5887),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___extension__] = ACTIONS(5889),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5961),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_const] = ACTIONS(5887),
    [anon_sym_constexpr] = ACTIONS(5889),
    [anon_sym_volatile] = ACTIONS(5889),
    [anon_sym_restrict] = ACTIONS(5889),
    [anon_sym___restrict__] = ACTIONS(5889),
    [anon_sym__Atomic] = ACTIONS(5889),
    [anon_sym__Noreturn] = ACTIONS(5889),
    [anon_sym_noreturn] = ACTIONS(5889),
    [anon_sym__Nonnull] = ACTIONS(5889),
    [anon_sym_mutable] = ACTIONS(5889),
    [anon_sym_constinit] = ACTIONS(5889),
    [anon_sym_consteval] = ACTIONS(5889),
    [anon_sym_PROGMEM] = ACTIONS(5889),
    [anon_sym_alignas] = ACTIONS(5889),
    [anon_sym__Alignas] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_QMARK] = ACTIONS(5889),
    [anon_sym_LT_EQ_GT] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5889),
    [anon_sym_and] = ACTIONS(5889),
    [anon_sym_bitor] = ACTIONS(5889),
    [anon_sym_xor] = ACTIONS(5889),
    [anon_sym_bitand] = ACTIONS(5889),
    [anon_sym_not_eq] = ACTIONS(5889),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_DOT_STAR] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5889),
    [anon_sym_decltype] = ACTIONS(5889),
    [anon_sym_final] = ACTIONS(5889),
    [anon_sym_override] = ACTIONS(5889),
    [anon_sym_requires] = ACTIONS(5889),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [aux_sym_preproc_if_token2] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5546),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5546),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5546),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym___attribute] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_EQ] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_STAR_EQ] = ACTIONS(5548),
    [anon_sym_SLASH_EQ] = ACTIONS(5548),
    [anon_sym_PERCENT_EQ] = ACTIONS(5548),
    [anon_sym_PLUS_EQ] = ACTIONS(5548),
    [anon_sym_DASH_EQ] = ACTIONS(5548),
    [anon_sym_LT_LT_EQ] = ACTIONS(5548),
    [anon_sym_GT_GT_EQ] = ACTIONS(5548),
    [anon_sym_AMP_EQ] = ACTIONS(5548),
    [anon_sym_CARET_EQ] = ACTIONS(5548),
    [anon_sym_PIPE_EQ] = ACTIONS(5548),
    [anon_sym_and_eq] = ACTIONS(5546),
    [anon_sym_or_eq] = ACTIONS(5546),
    [anon_sym_xor_eq] = ACTIONS(5546),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___attribute] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_EQ] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_STAR_EQ] = ACTIONS(5512),
    [anon_sym_SLASH_EQ] = ACTIONS(5512),
    [anon_sym_PERCENT_EQ] = ACTIONS(5512),
    [anon_sym_PLUS_EQ] = ACTIONS(5512),
    [anon_sym_DASH_EQ] = ACTIONS(5512),
    [anon_sym_LT_LT_EQ] = ACTIONS(5512),
    [anon_sym_GT_GT_EQ] = ACTIONS(5512),
    [anon_sym_AMP_EQ] = ACTIONS(5512),
    [anon_sym_CARET_EQ] = ACTIONS(5512),
    [anon_sym_PIPE_EQ] = ACTIONS(5512),
    [anon_sym_and_eq] = ACTIONS(5510),
    [anon_sym_or_eq] = ACTIONS(5510),
    [anon_sym_xor_eq] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [aux_sym_preproc_if_token2] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_EQ] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_STAR_EQ] = ACTIONS(5490),
    [anon_sym_SLASH_EQ] = ACTIONS(5490),
    [anon_sym_PERCENT_EQ] = ACTIONS(5490),
    [anon_sym_PLUS_EQ] = ACTIONS(5490),
    [anon_sym_DASH_EQ] = ACTIONS(5490),
    [anon_sym_LT_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT_GT_EQ] = ACTIONS(5490),
    [anon_sym_AMP_EQ] = ACTIONS(5490),
    [anon_sym_CARET_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_and_eq] = ACTIONS(5488),
    [anon_sym_or_eq] = ACTIONS(5488),
    [anon_sym_xor_eq] = ACTIONS(5488),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
  },
  [2194] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6042),
    [anon_sym_COMMA] = ACTIONS(6062),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6064),
    [anon_sym_EQ] = ACTIONS(6052),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2195] = {
    [sym_attribute_specifier] = STATE(1814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6040),
    [anon_sym_COMMA] = ACTIONS(6040),
    [anon_sym_RPAREN] = ACTIONS(6040),
    [anon_sym_LPAREN2] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(6038),
    [anon_sym_STAR] = ACTIONS(6040),
    [anon_sym_SLASH] = ACTIONS(6038),
    [anon_sym_PERCENT] = ACTIONS(6040),
    [anon_sym_PIPE_PIPE] = ACTIONS(6040),
    [anon_sym_AMP_AMP] = ACTIONS(6040),
    [anon_sym_PIPE] = ACTIONS(6038),
    [anon_sym_CARET] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(6038),
    [anon_sym_EQ_EQ] = ACTIONS(6040),
    [anon_sym_BANG_EQ] = ACTIONS(6040),
    [anon_sym_GT] = ACTIONS(6038),
    [anon_sym_GT_EQ] = ACTIONS(6040),
    [anon_sym_LT_EQ] = ACTIONS(6038),
    [anon_sym_LT] = ACTIONS(6038),
    [anon_sym_LT_LT] = ACTIONS(6040),
    [anon_sym_GT_GT] = ACTIONS(6040),
    [anon_sym_SEMI] = ACTIONS(6040),
    [anon_sym___extension__] = ACTIONS(6040),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6040),
    [anon_sym_RBRACE] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [anon_sym_RBRACK] = ACTIONS(6040),
    [anon_sym_const] = ACTIONS(6038),
    [anon_sym_constexpr] = ACTIONS(6040),
    [anon_sym_volatile] = ACTIONS(6040),
    [anon_sym_restrict] = ACTIONS(6040),
    [anon_sym___restrict__] = ACTIONS(6040),
    [anon_sym__Atomic] = ACTIONS(6040),
    [anon_sym__Noreturn] = ACTIONS(6040),
    [anon_sym_noreturn] = ACTIONS(6040),
    [anon_sym__Nonnull] = ACTIONS(6040),
    [anon_sym_mutable] = ACTIONS(6040),
    [anon_sym_constinit] = ACTIONS(6040),
    [anon_sym_consteval] = ACTIONS(6040),
    [anon_sym_PROGMEM] = ACTIONS(6040),
    [anon_sym_alignas] = ACTIONS(6040),
    [anon_sym__Alignas] = ACTIONS(6040),
    [anon_sym_COLON] = ACTIONS(6040),
    [anon_sym_QMARK] = ACTIONS(6040),
    [anon_sym_LT_EQ_GT] = ACTIONS(6040),
    [anon_sym_or] = ACTIONS(6040),
    [anon_sym_and] = ACTIONS(6040),
    [anon_sym_bitor] = ACTIONS(6040),
    [anon_sym_xor] = ACTIONS(6040),
    [anon_sym_bitand] = ACTIONS(6040),
    [anon_sym_not_eq] = ACTIONS(6040),
    [anon_sym_DASH_DASH] = ACTIONS(6040),
    [anon_sym_PLUS_PLUS] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6038),
    [anon_sym_DOT_STAR] = ACTIONS(6040),
    [anon_sym_DASH_GT] = ACTIONS(6040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6040),
    [anon_sym_decltype] = ACTIONS(6040),
    [anon_sym_final] = ACTIONS(6040),
    [anon_sym_override] = ACTIONS(6040),
    [anon_sym_requires] = ACTIONS(6040),
  },
  [2196] = {
    [sym_attribute_specifier] = STATE(1818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5955),
    [anon_sym_RPAREN] = ACTIONS(5955),
    [anon_sym_LPAREN2] = ACTIONS(5955),
    [anon_sym_DASH] = ACTIONS(5953),
    [anon_sym_PLUS] = ACTIONS(5953),
    [anon_sym_STAR] = ACTIONS(5955),
    [anon_sym_SLASH] = ACTIONS(5953),
    [anon_sym_PERCENT] = ACTIONS(5955),
    [anon_sym_PIPE_PIPE] = ACTIONS(5955),
    [anon_sym_AMP_AMP] = ACTIONS(5955),
    [anon_sym_PIPE] = ACTIONS(5953),
    [anon_sym_CARET] = ACTIONS(5955),
    [anon_sym_AMP] = ACTIONS(5953),
    [anon_sym_EQ_EQ] = ACTIONS(5955),
    [anon_sym_BANG_EQ] = ACTIONS(5955),
    [anon_sym_GT] = ACTIONS(5953),
    [anon_sym_GT_EQ] = ACTIONS(5955),
    [anon_sym_LT_EQ] = ACTIONS(5953),
    [anon_sym_LT] = ACTIONS(5953),
    [anon_sym_LT_LT] = ACTIONS(5955),
    [anon_sym_GT_GT] = ACTIONS(5955),
    [anon_sym_SEMI] = ACTIONS(5955),
    [anon_sym___extension__] = ACTIONS(5955),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5955),
    [anon_sym_RBRACE] = ACTIONS(5955),
    [anon_sym_LBRACK] = ACTIONS(5955),
    [anon_sym_RBRACK] = ACTIONS(5955),
    [anon_sym_const] = ACTIONS(5953),
    [anon_sym_constexpr] = ACTIONS(5955),
    [anon_sym_volatile] = ACTIONS(5955),
    [anon_sym_restrict] = ACTIONS(5955),
    [anon_sym___restrict__] = ACTIONS(5955),
    [anon_sym__Atomic] = ACTIONS(5955),
    [anon_sym__Noreturn] = ACTIONS(5955),
    [anon_sym_noreturn] = ACTIONS(5955),
    [anon_sym__Nonnull] = ACTIONS(5955),
    [anon_sym_mutable] = ACTIONS(5955),
    [anon_sym_constinit] = ACTIONS(5955),
    [anon_sym_consteval] = ACTIONS(5955),
    [anon_sym_PROGMEM] = ACTIONS(5955),
    [anon_sym_alignas] = ACTIONS(5955),
    [anon_sym__Alignas] = ACTIONS(5955),
    [anon_sym_COLON] = ACTIONS(5955),
    [anon_sym_QMARK] = ACTIONS(5955),
    [anon_sym_LT_EQ_GT] = ACTIONS(5955),
    [anon_sym_or] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_bitor] = ACTIONS(5955),
    [anon_sym_xor] = ACTIONS(5955),
    [anon_sym_bitand] = ACTIONS(5955),
    [anon_sym_not_eq] = ACTIONS(5955),
    [anon_sym_DASH_DASH] = ACTIONS(5955),
    [anon_sym_PLUS_PLUS] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(5953),
    [anon_sym_DOT_STAR] = ACTIONS(5955),
    [anon_sym_DASH_GT] = ACTIONS(5955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5955),
    [anon_sym_decltype] = ACTIONS(5955),
    [anon_sym_final] = ACTIONS(5955),
    [anon_sym_override] = ACTIONS(5955),
    [anon_sym_requires] = ACTIONS(5955),
  },
  [2197] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(6067),
    [anon_sym_unsigned] = ACTIONS(6067),
    [anon_sym_long] = ACTIONS(6067),
    [anon_sym_short] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5457),
    [anon_sym_volatile] = ACTIONS(5457),
    [anon_sym_restrict] = ACTIONS(5457),
    [anon_sym___restrict__] = ACTIONS(5457),
    [anon_sym__Atomic] = ACTIONS(5457),
    [anon_sym__Noreturn] = ACTIONS(5457),
    [anon_sym_noreturn] = ACTIONS(5457),
    [anon_sym__Nonnull] = ACTIONS(5457),
    [anon_sym_mutable] = ACTIONS(5457),
    [anon_sym_constinit] = ACTIONS(5457),
    [anon_sym_consteval] = ACTIONS(5457),
    [anon_sym_PROGMEM] = ACTIONS(5457),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym__Alignas] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5457),
    [anon_sym_and] = ACTIONS(5457),
    [anon_sym_bitor] = ACTIONS(5457),
    [anon_sym_xor] = ACTIONS(5457),
    [anon_sym_bitand] = ACTIONS(5457),
    [anon_sym_not_eq] = ACTIONS(5457),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5457),
    [anon_sym_decltype] = ACTIONS(5457),
    [anon_sym_final] = ACTIONS(5457),
    [anon_sym_override] = ACTIONS(5457),
    [anon_sym_GT2] = ACTIONS(5457),
    [anon_sym_requires] = ACTIONS(5457),
  },
  [2198] = {
    [sym_attribute_specifier] = STATE(1799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5969),
    [anon_sym_COMMA] = ACTIONS(5969),
    [anon_sym_RPAREN] = ACTIONS(5969),
    [anon_sym_LPAREN2] = ACTIONS(5969),
    [anon_sym_DASH] = ACTIONS(5967),
    [anon_sym_PLUS] = ACTIONS(5967),
    [anon_sym_STAR] = ACTIONS(5969),
    [anon_sym_SLASH] = ACTIONS(5967),
    [anon_sym_PERCENT] = ACTIONS(5969),
    [anon_sym_PIPE_PIPE] = ACTIONS(5969),
    [anon_sym_AMP_AMP] = ACTIONS(5969),
    [anon_sym_PIPE] = ACTIONS(5967),
    [anon_sym_CARET] = ACTIONS(5969),
    [anon_sym_AMP] = ACTIONS(5967),
    [anon_sym_EQ_EQ] = ACTIONS(5969),
    [anon_sym_BANG_EQ] = ACTIONS(5969),
    [anon_sym_GT] = ACTIONS(5967),
    [anon_sym_GT_EQ] = ACTIONS(5969),
    [anon_sym_LT_EQ] = ACTIONS(5967),
    [anon_sym_LT] = ACTIONS(5967),
    [anon_sym_LT_LT] = ACTIONS(5969),
    [anon_sym_GT_GT] = ACTIONS(5969),
    [anon_sym_SEMI] = ACTIONS(5969),
    [anon_sym___extension__] = ACTIONS(5969),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5969),
    [anon_sym_RBRACE] = ACTIONS(5969),
    [anon_sym_LBRACK] = ACTIONS(5969),
    [anon_sym_RBRACK] = ACTIONS(5969),
    [anon_sym_const] = ACTIONS(5967),
    [anon_sym_constexpr] = ACTIONS(5969),
    [anon_sym_volatile] = ACTIONS(5969),
    [anon_sym_restrict] = ACTIONS(5969),
    [anon_sym___restrict__] = ACTIONS(5969),
    [anon_sym__Atomic] = ACTIONS(5969),
    [anon_sym__Noreturn] = ACTIONS(5969),
    [anon_sym_noreturn] = ACTIONS(5969),
    [anon_sym__Nonnull] = ACTIONS(5969),
    [anon_sym_mutable] = ACTIONS(5969),
    [anon_sym_constinit] = ACTIONS(5969),
    [anon_sym_consteval] = ACTIONS(5969),
    [anon_sym_PROGMEM] = ACTIONS(5969),
    [anon_sym_alignas] = ACTIONS(5969),
    [anon_sym__Alignas] = ACTIONS(5969),
    [anon_sym_COLON] = ACTIONS(5969),
    [anon_sym_QMARK] = ACTIONS(5969),
    [anon_sym_LT_EQ_GT] = ACTIONS(5969),
    [anon_sym_or] = ACTIONS(5969),
    [anon_sym_and] = ACTIONS(5969),
    [anon_sym_bitor] = ACTIONS(5969),
    [anon_sym_xor] = ACTIONS(5969),
    [anon_sym_bitand] = ACTIONS(5969),
    [anon_sym_not_eq] = ACTIONS(5969),
    [anon_sym_DASH_DASH] = ACTIONS(5969),
    [anon_sym_PLUS_PLUS] = ACTIONS(5969),
    [anon_sym_DOT] = ACTIONS(5967),
    [anon_sym_DOT_STAR] = ACTIONS(5969),
    [anon_sym_DASH_GT] = ACTIONS(5969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5969),
    [anon_sym_decltype] = ACTIONS(5969),
    [anon_sym_final] = ACTIONS(5969),
    [anon_sym_override] = ACTIONS(5969),
    [anon_sym_requires] = ACTIONS(5969),
  },
  [2199] = {
    [sym_attribute_specifier] = STATE(1808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6036),
    [anon_sym_COMMA] = ACTIONS(6036),
    [anon_sym_RPAREN] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_DASH] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(6034),
    [anon_sym_STAR] = ACTIONS(6036),
    [anon_sym_SLASH] = ACTIONS(6034),
    [anon_sym_PERCENT] = ACTIONS(6036),
    [anon_sym_PIPE_PIPE] = ACTIONS(6036),
    [anon_sym_AMP_AMP] = ACTIONS(6036),
    [anon_sym_PIPE] = ACTIONS(6034),
    [anon_sym_CARET] = ACTIONS(6036),
    [anon_sym_AMP] = ACTIONS(6034),
    [anon_sym_EQ_EQ] = ACTIONS(6036),
    [anon_sym_BANG_EQ] = ACTIONS(6036),
    [anon_sym_GT] = ACTIONS(6034),
    [anon_sym_GT_EQ] = ACTIONS(6036),
    [anon_sym_LT_EQ] = ACTIONS(6034),
    [anon_sym_LT] = ACTIONS(6034),
    [anon_sym_LT_LT] = ACTIONS(6036),
    [anon_sym_GT_GT] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6036),
    [anon_sym___extension__] = ACTIONS(6036),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6036),
    [anon_sym_RBRACE] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6036),
    [anon_sym_RBRACK] = ACTIONS(6036),
    [anon_sym_const] = ACTIONS(6034),
    [anon_sym_constexpr] = ACTIONS(6036),
    [anon_sym_volatile] = ACTIONS(6036),
    [anon_sym_restrict] = ACTIONS(6036),
    [anon_sym___restrict__] = ACTIONS(6036),
    [anon_sym__Atomic] = ACTIONS(6036),
    [anon_sym__Noreturn] = ACTIONS(6036),
    [anon_sym_noreturn] = ACTIONS(6036),
    [anon_sym__Nonnull] = ACTIONS(6036),
    [anon_sym_mutable] = ACTIONS(6036),
    [anon_sym_constinit] = ACTIONS(6036),
    [anon_sym_consteval] = ACTIONS(6036),
    [anon_sym_PROGMEM] = ACTIONS(6036),
    [anon_sym_alignas] = ACTIONS(6036),
    [anon_sym__Alignas] = ACTIONS(6036),
    [anon_sym_COLON] = ACTIONS(6036),
    [anon_sym_QMARK] = ACTIONS(6036),
    [anon_sym_LT_EQ_GT] = ACTIONS(6036),
    [anon_sym_or] = ACTIONS(6036),
    [anon_sym_and] = ACTIONS(6036),
    [anon_sym_bitor] = ACTIONS(6036),
    [anon_sym_xor] = ACTIONS(6036),
    [anon_sym_bitand] = ACTIONS(6036),
    [anon_sym_not_eq] = ACTIONS(6036),
    [anon_sym_DASH_DASH] = ACTIONS(6036),
    [anon_sym_PLUS_PLUS] = ACTIONS(6036),
    [anon_sym_DOT] = ACTIONS(6034),
    [anon_sym_DOT_STAR] = ACTIONS(6036),
    [anon_sym_DASH_GT] = ACTIONS(6036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6036),
    [anon_sym_decltype] = ACTIONS(6036),
    [anon_sym_final] = ACTIONS(6036),
    [anon_sym_override] = ACTIONS(6036),
    [anon_sym_requires] = ACTIONS(6036),
  },
  [2200] = {
    [sym_string_literal] = STATE(2214),
    [sym_raw_string_literal] = STATE(2214),
    [aux_sym_concatenated_string_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5281),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_CARET] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_GT_EQ] = ACTIONS(5281),
    [anon_sym_LT_EQ] = ACTIONS(5281),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5281),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_EQ] = ACTIONS(5281),
    [anon_sym_QMARK] = ACTIONS(5279),
    [anon_sym_STAR_EQ] = ACTIONS(5279),
    [anon_sym_SLASH_EQ] = ACTIONS(5279),
    [anon_sym_PERCENT_EQ] = ACTIONS(5279),
    [anon_sym_PLUS_EQ] = ACTIONS(5279),
    [anon_sym_DASH_EQ] = ACTIONS(5279),
    [anon_sym_LT_LT_EQ] = ACTIONS(5279),
    [anon_sym_GT_GT_EQ] = ACTIONS(5281),
    [anon_sym_AMP_EQ] = ACTIONS(5279),
    [anon_sym_CARET_EQ] = ACTIONS(5279),
    [anon_sym_PIPE_EQ] = ACTIONS(5279),
    [anon_sym_and_eq] = ACTIONS(5281),
    [anon_sym_or_eq] = ACTIONS(5281),
    [anon_sym_xor_eq] = ACTIONS(5281),
    [anon_sym_LT_EQ_GT] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_and] = ACTIONS(5281),
    [anon_sym_bitor] = ACTIONS(5281),
    [anon_sym_xor] = ACTIONS(5281),
    [anon_sym_bitand] = ACTIONS(5281),
    [anon_sym_not_eq] = ACTIONS(5281),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_DOT_STAR] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_L_DQUOTE] = ACTIONS(6071),
    [anon_sym_u_DQUOTE] = ACTIONS(6071),
    [anon_sym_U_DQUOTE] = ACTIONS(6071),
    [anon_sym_u8_DQUOTE] = ACTIONS(6071),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5279),
    [anon_sym_R_DQUOTE] = ACTIONS(6073),
    [anon_sym_LR_DQUOTE] = ACTIONS(6073),
    [anon_sym_uR_DQUOTE] = ACTIONS(6073),
    [anon_sym_UR_DQUOTE] = ACTIONS(6073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6073),
    [sym_literal_suffix] = ACTIONS(5281),
  },
  [2201] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_PROGMEM] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_GT2] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2203] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5802),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_PROGMEM] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_GT2] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5554),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym___attribute] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_EQ] = ACTIONS(5554),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5556),
    [anon_sym_STAR_EQ] = ACTIONS(5556),
    [anon_sym_SLASH_EQ] = ACTIONS(5556),
    [anon_sym_PERCENT_EQ] = ACTIONS(5556),
    [anon_sym_PLUS_EQ] = ACTIONS(5556),
    [anon_sym_DASH_EQ] = ACTIONS(5556),
    [anon_sym_LT_LT_EQ] = ACTIONS(5556),
    [anon_sym_GT_GT_EQ] = ACTIONS(5556),
    [anon_sym_AMP_EQ] = ACTIONS(5556),
    [anon_sym_CARET_EQ] = ACTIONS(5556),
    [anon_sym_PIPE_EQ] = ACTIONS(5556),
    [anon_sym_and_eq] = ACTIONS(5554),
    [anon_sym_or_eq] = ACTIONS(5554),
    [anon_sym_xor_eq] = ACTIONS(5554),
    [anon_sym_LT_EQ_GT] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [aux_sym_preproc_if_token2] = ACTIONS(5560),
    [aux_sym_preproc_else_token1] = ACTIONS(5560),
    [aux_sym_preproc_elif_token1] = ACTIONS(5558),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5560),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5558),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5558),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_CARET] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5558),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5558),
    [anon_sym_GT_GT] = ACTIONS(5558),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym___attribute__] = ACTIONS(5558),
    [anon_sym___attribute] = ACTIONS(5558),
    [anon_sym_LBRACE] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_EQ] = ACTIONS(5558),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5560),
    [anon_sym_STAR_EQ] = ACTIONS(5560),
    [anon_sym_SLASH_EQ] = ACTIONS(5560),
    [anon_sym_PERCENT_EQ] = ACTIONS(5560),
    [anon_sym_PLUS_EQ] = ACTIONS(5560),
    [anon_sym_DASH_EQ] = ACTIONS(5560),
    [anon_sym_LT_LT_EQ] = ACTIONS(5560),
    [anon_sym_GT_GT_EQ] = ACTIONS(5560),
    [anon_sym_AMP_EQ] = ACTIONS(5560),
    [anon_sym_CARET_EQ] = ACTIONS(5560),
    [anon_sym_PIPE_EQ] = ACTIONS(5560),
    [anon_sym_and_eq] = ACTIONS(5558),
    [anon_sym_or_eq] = ACTIONS(5558),
    [anon_sym_xor_eq] = ACTIONS(5558),
    [anon_sym_LT_EQ_GT] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5558),
    [anon_sym_and] = ACTIONS(5558),
    [anon_sym_bitor] = ACTIONS(5558),
    [anon_sym_xor] = ACTIONS(5558),
    [anon_sym_bitand] = ACTIONS(5558),
    [anon_sym_not_eq] = ACTIONS(5558),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_DOT_STAR] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5558),
    [anon_sym_decltype] = ACTIONS(5558),
  },
  [2206] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5772),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5772),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5774),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5772),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym___extension__] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5772),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(6077),
    [anon_sym_unsigned] = ACTIONS(6077),
    [anon_sym_long] = ACTIONS(6077),
    [anon_sym_short] = ACTIONS(6077),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5772),
    [anon_sym_volatile] = ACTIONS(5772),
    [anon_sym_restrict] = ACTIONS(5772),
    [anon_sym___restrict__] = ACTIONS(5772),
    [anon_sym__Atomic] = ACTIONS(5772),
    [anon_sym__Noreturn] = ACTIONS(5772),
    [anon_sym_noreturn] = ACTIONS(5772),
    [anon_sym__Nonnull] = ACTIONS(5772),
    [anon_sym_mutable] = ACTIONS(5772),
    [anon_sym_constinit] = ACTIONS(5772),
    [anon_sym_consteval] = ACTIONS(5772),
    [anon_sym_PROGMEM] = ACTIONS(5772),
    [anon_sym_alignas] = ACTIONS(5772),
    [anon_sym__Alignas] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5772),
    [anon_sym_and] = ACTIONS(5772),
    [anon_sym_bitor] = ACTIONS(5772),
    [anon_sym_xor] = ACTIONS(5772),
    [anon_sym_bitand] = ACTIONS(5772),
    [anon_sym_not_eq] = ACTIONS(5772),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5772),
    [anon_sym_decltype] = ACTIONS(5772),
    [anon_sym_final] = ACTIONS(5772),
    [anon_sym_override] = ACTIONS(5772),
    [anon_sym_GT2] = ACTIONS(5772),
    [anon_sym_requires] = ACTIONS(5772),
  },
  [2207] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5794),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_signed] = ACTIONS(6079),
    [anon_sym_unsigned] = ACTIONS(6079),
    [anon_sym_long] = ACTIONS(6079),
    [anon_sym_short] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_const] = ACTIONS(5796),
    [anon_sym_constexpr] = ACTIONS(5794),
    [anon_sym_volatile] = ACTIONS(5794),
    [anon_sym_restrict] = ACTIONS(5794),
    [anon_sym___restrict__] = ACTIONS(5794),
    [anon_sym__Atomic] = ACTIONS(5794),
    [anon_sym__Noreturn] = ACTIONS(5794),
    [anon_sym_noreturn] = ACTIONS(5794),
    [anon_sym__Nonnull] = ACTIONS(5794),
    [anon_sym_mutable] = ACTIONS(5794),
    [anon_sym_constinit] = ACTIONS(5794),
    [anon_sym_consteval] = ACTIONS(5794),
    [anon_sym_PROGMEM] = ACTIONS(5794),
    [anon_sym_alignas] = ACTIONS(5794),
    [anon_sym__Alignas] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5794),
    [anon_sym_PLUS_PLUS] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_DOT_STAR] = ACTIONS(5794),
    [anon_sym_DASH_GT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
    [anon_sym_final] = ACTIONS(5794),
    [anon_sym_override] = ACTIONS(5794),
    [anon_sym_GT2] = ACTIONS(5794),
    [anon_sym_requires] = ACTIONS(5794),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(6081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6083),
    [anon_sym_COMMA] = ACTIONS(6083),
    [anon_sym_RPAREN] = ACTIONS(6083),
    [aux_sym_preproc_if_token2] = ACTIONS(6083),
    [aux_sym_preproc_else_token1] = ACTIONS(6083),
    [aux_sym_preproc_elif_token1] = ACTIONS(6081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6083),
    [anon_sym_LPAREN2] = ACTIONS(6083),
    [anon_sym_DASH] = ACTIONS(6081),
    [anon_sym_PLUS] = ACTIONS(6081),
    [anon_sym_STAR] = ACTIONS(6081),
    [anon_sym_SLASH] = ACTIONS(6081),
    [anon_sym_PERCENT] = ACTIONS(6081),
    [anon_sym_PIPE_PIPE] = ACTIONS(6083),
    [anon_sym_AMP_AMP] = ACTIONS(6083),
    [anon_sym_PIPE] = ACTIONS(6081),
    [anon_sym_CARET] = ACTIONS(6081),
    [anon_sym_AMP] = ACTIONS(6081),
    [anon_sym_EQ_EQ] = ACTIONS(6083),
    [anon_sym_BANG_EQ] = ACTIONS(6083),
    [anon_sym_GT] = ACTIONS(6081),
    [anon_sym_GT_EQ] = ACTIONS(6083),
    [anon_sym_LT_EQ] = ACTIONS(6081),
    [anon_sym_LT] = ACTIONS(6081),
    [anon_sym_LT_LT] = ACTIONS(6081),
    [anon_sym_GT_GT] = ACTIONS(6081),
    [anon_sym_SEMI] = ACTIONS(6083),
    [anon_sym___attribute__] = ACTIONS(6081),
    [anon_sym___attribute] = ACTIONS(6081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(6083),
    [anon_sym_RBRACE] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6081),
    [anon_sym_RBRACK] = ACTIONS(6083),
    [anon_sym_EQ] = ACTIONS(6081),
    [anon_sym_COLON] = ACTIONS(6083),
    [anon_sym_QMARK] = ACTIONS(6083),
    [anon_sym_STAR_EQ] = ACTIONS(6083),
    [anon_sym_SLASH_EQ] = ACTIONS(6083),
    [anon_sym_PERCENT_EQ] = ACTIONS(6083),
    [anon_sym_PLUS_EQ] = ACTIONS(6083),
    [anon_sym_DASH_EQ] = ACTIONS(6083),
    [anon_sym_LT_LT_EQ] = ACTIONS(6083),
    [anon_sym_GT_GT_EQ] = ACTIONS(6083),
    [anon_sym_AMP_EQ] = ACTIONS(6083),
    [anon_sym_CARET_EQ] = ACTIONS(6083),
    [anon_sym_PIPE_EQ] = ACTIONS(6083),
    [anon_sym_and_eq] = ACTIONS(6081),
    [anon_sym_or_eq] = ACTIONS(6081),
    [anon_sym_xor_eq] = ACTIONS(6081),
    [anon_sym_LT_EQ_GT] = ACTIONS(6083),
    [anon_sym_or] = ACTIONS(6081),
    [anon_sym_and] = ACTIONS(6081),
    [anon_sym_bitor] = ACTIONS(6081),
    [anon_sym_xor] = ACTIONS(6081),
    [anon_sym_bitand] = ACTIONS(6081),
    [anon_sym_not_eq] = ACTIONS(6081),
    [anon_sym_DASH_DASH] = ACTIONS(6083),
    [anon_sym_PLUS_PLUS] = ACTIONS(6083),
    [anon_sym_DOT] = ACTIONS(6081),
    [anon_sym_DOT_STAR] = ACTIONS(6083),
    [anon_sym_DASH_GT] = ACTIONS(6083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6081),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(6085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6087),
    [anon_sym_COMMA] = ACTIONS(6087),
    [anon_sym_RPAREN] = ACTIONS(6087),
    [aux_sym_preproc_if_token2] = ACTIONS(6087),
    [aux_sym_preproc_else_token1] = ACTIONS(6087),
    [aux_sym_preproc_elif_token1] = ACTIONS(6085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6087),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6087),
    [anon_sym_LPAREN2] = ACTIONS(6087),
    [anon_sym_DASH] = ACTIONS(6085),
    [anon_sym_PLUS] = ACTIONS(6085),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_SLASH] = ACTIONS(6085),
    [anon_sym_PERCENT] = ACTIONS(6085),
    [anon_sym_PIPE_PIPE] = ACTIONS(6087),
    [anon_sym_AMP_AMP] = ACTIONS(6087),
    [anon_sym_PIPE] = ACTIONS(6085),
    [anon_sym_CARET] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6085),
    [anon_sym_EQ_EQ] = ACTIONS(6087),
    [anon_sym_BANG_EQ] = ACTIONS(6087),
    [anon_sym_GT] = ACTIONS(6085),
    [anon_sym_GT_EQ] = ACTIONS(6087),
    [anon_sym_LT_EQ] = ACTIONS(6085),
    [anon_sym_LT] = ACTIONS(6085),
    [anon_sym_LT_LT] = ACTIONS(6085),
    [anon_sym_GT_GT] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6087),
    [anon_sym___attribute__] = ACTIONS(6085),
    [anon_sym___attribute] = ACTIONS(6085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6087),
    [anon_sym_LBRACE] = ACTIONS(6087),
    [anon_sym_RBRACE] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6087),
    [anon_sym_EQ] = ACTIONS(6085),
    [anon_sym_COLON] = ACTIONS(6087),
    [anon_sym_QMARK] = ACTIONS(6087),
    [anon_sym_STAR_EQ] = ACTIONS(6087),
    [anon_sym_SLASH_EQ] = ACTIONS(6087),
    [anon_sym_PERCENT_EQ] = ACTIONS(6087),
    [anon_sym_PLUS_EQ] = ACTIONS(6087),
    [anon_sym_DASH_EQ] = ACTIONS(6087),
    [anon_sym_LT_LT_EQ] = ACTIONS(6087),
    [anon_sym_GT_GT_EQ] = ACTIONS(6087),
    [anon_sym_AMP_EQ] = ACTIONS(6087),
    [anon_sym_CARET_EQ] = ACTIONS(6087),
    [anon_sym_PIPE_EQ] = ACTIONS(6087),
    [anon_sym_and_eq] = ACTIONS(6085),
    [anon_sym_or_eq] = ACTIONS(6085),
    [anon_sym_xor_eq] = ACTIONS(6085),
    [anon_sym_LT_EQ_GT] = ACTIONS(6087),
    [anon_sym_or] = ACTIONS(6085),
    [anon_sym_and] = ACTIONS(6085),
    [anon_sym_bitor] = ACTIONS(6085),
    [anon_sym_xor] = ACTIONS(6085),
    [anon_sym_bitand] = ACTIONS(6085),
    [anon_sym_not_eq] = ACTIONS(6085),
    [anon_sym_DASH_DASH] = ACTIONS(6087),
    [anon_sym_PLUS_PLUS] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(6085),
    [anon_sym_DOT_STAR] = ACTIONS(6087),
    [anon_sym_DASH_GT] = ACTIONS(6087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6085),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5562),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5562),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_CARET] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5562),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5562),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5562),
    [anon_sym___attribute] = ACTIONS(5562),
    [anon_sym_LBRACE] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_EQ] = ACTIONS(5562),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5564),
    [anon_sym_STAR_EQ] = ACTIONS(5564),
    [anon_sym_SLASH_EQ] = ACTIONS(5564),
    [anon_sym_PERCENT_EQ] = ACTIONS(5564),
    [anon_sym_PLUS_EQ] = ACTIONS(5564),
    [anon_sym_DASH_EQ] = ACTIONS(5564),
    [anon_sym_LT_LT_EQ] = ACTIONS(5564),
    [anon_sym_GT_GT_EQ] = ACTIONS(5564),
    [anon_sym_AMP_EQ] = ACTIONS(5564),
    [anon_sym_CARET_EQ] = ACTIONS(5564),
    [anon_sym_PIPE_EQ] = ACTIONS(5564),
    [anon_sym_and_eq] = ACTIONS(5562),
    [anon_sym_or_eq] = ACTIONS(5562),
    [anon_sym_xor_eq] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5562),
    [anon_sym_and] = ACTIONS(5562),
    [anon_sym_bitor] = ACTIONS(5562),
    [anon_sym_xor] = ACTIONS(5562),
    [anon_sym_bitand] = ACTIONS(5562),
    [anon_sym_not_eq] = ACTIONS(5562),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_DOT_STAR] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5562),
    [anon_sym_decltype] = ACTIONS(5562),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [aux_sym_preproc_if_token2] = ACTIONS(5572),
    [aux_sym_preproc_else_token1] = ACTIONS(5572),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5572),
    [anon_sym_LPAREN2] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5570),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5570),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_CARET] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5570),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5570),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym_LBRACE] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_EQ] = ACTIONS(5570),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5572),
    [anon_sym_STAR_EQ] = ACTIONS(5572),
    [anon_sym_SLASH_EQ] = ACTIONS(5572),
    [anon_sym_PERCENT_EQ] = ACTIONS(5572),
    [anon_sym_PLUS_EQ] = ACTIONS(5572),
    [anon_sym_DASH_EQ] = ACTIONS(5572),
    [anon_sym_LT_LT_EQ] = ACTIONS(5572),
    [anon_sym_GT_GT_EQ] = ACTIONS(5572),
    [anon_sym_AMP_EQ] = ACTIONS(5572),
    [anon_sym_CARET_EQ] = ACTIONS(5572),
    [anon_sym_PIPE_EQ] = ACTIONS(5572),
    [anon_sym_and_eq] = ACTIONS(5570),
    [anon_sym_or_eq] = ACTIONS(5570),
    [anon_sym_xor_eq] = ACTIONS(5570),
    [anon_sym_LT_EQ_GT] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5570),
    [anon_sym_and] = ACTIONS(5570),
    [anon_sym_bitor] = ACTIONS(5570),
    [anon_sym_xor] = ACTIONS(5570),
    [anon_sym_bitand] = ACTIONS(5570),
    [anon_sym_not_eq] = ACTIONS(5570),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_DOT_STAR] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5570),
    [anon_sym_decltype] = ACTIONS(5570),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(6089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6091),
    [anon_sym_COMMA] = ACTIONS(6091),
    [anon_sym_RPAREN] = ACTIONS(6091),
    [aux_sym_preproc_if_token2] = ACTIONS(6091),
    [aux_sym_preproc_else_token1] = ACTIONS(6091),
    [aux_sym_preproc_elif_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6091),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6091),
    [anon_sym_LPAREN2] = ACTIONS(6091),
    [anon_sym_DASH] = ACTIONS(6089),
    [anon_sym_PLUS] = ACTIONS(6089),
    [anon_sym_STAR] = ACTIONS(6089),
    [anon_sym_SLASH] = ACTIONS(6089),
    [anon_sym_PERCENT] = ACTIONS(6089),
    [anon_sym_PIPE_PIPE] = ACTIONS(6091),
    [anon_sym_AMP_AMP] = ACTIONS(6091),
    [anon_sym_PIPE] = ACTIONS(6089),
    [anon_sym_CARET] = ACTIONS(6089),
    [anon_sym_AMP] = ACTIONS(6089),
    [anon_sym_EQ_EQ] = ACTIONS(6091),
    [anon_sym_BANG_EQ] = ACTIONS(6091),
    [anon_sym_GT] = ACTIONS(6089),
    [anon_sym_GT_EQ] = ACTIONS(6091),
    [anon_sym_LT_EQ] = ACTIONS(6089),
    [anon_sym_LT] = ACTIONS(6089),
    [anon_sym_LT_LT] = ACTIONS(6089),
    [anon_sym_GT_GT] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6091),
    [anon_sym___attribute__] = ACTIONS(6089),
    [anon_sym___attribute] = ACTIONS(6089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6091),
    [anon_sym_LBRACE] = ACTIONS(6091),
    [anon_sym_RBRACE] = ACTIONS(6091),
    [anon_sym_LBRACK] = ACTIONS(6089),
    [anon_sym_RBRACK] = ACTIONS(6091),
    [anon_sym_EQ] = ACTIONS(6089),
    [anon_sym_COLON] = ACTIONS(6091),
    [anon_sym_QMARK] = ACTIONS(6091),
    [anon_sym_STAR_EQ] = ACTIONS(6091),
    [anon_sym_SLASH_EQ] = ACTIONS(6091),
    [anon_sym_PERCENT_EQ] = ACTIONS(6091),
    [anon_sym_PLUS_EQ] = ACTIONS(6091),
    [anon_sym_DASH_EQ] = ACTIONS(6091),
    [anon_sym_LT_LT_EQ] = ACTIONS(6091),
    [anon_sym_GT_GT_EQ] = ACTIONS(6091),
    [anon_sym_AMP_EQ] = ACTIONS(6091),
    [anon_sym_CARET_EQ] = ACTIONS(6091),
    [anon_sym_PIPE_EQ] = ACTIONS(6091),
    [anon_sym_and_eq] = ACTIONS(6089),
    [anon_sym_or_eq] = ACTIONS(6089),
    [anon_sym_xor_eq] = ACTIONS(6089),
    [anon_sym_LT_EQ_GT] = ACTIONS(6091),
    [anon_sym_or] = ACTIONS(6089),
    [anon_sym_and] = ACTIONS(6089),
    [anon_sym_bitor] = ACTIONS(6089),
    [anon_sym_xor] = ACTIONS(6089),
    [anon_sym_bitand] = ACTIONS(6089),
    [anon_sym_not_eq] = ACTIONS(6089),
    [anon_sym_DASH_DASH] = ACTIONS(6091),
    [anon_sym_PLUS_PLUS] = ACTIONS(6091),
    [anon_sym_DOT] = ACTIONS(6089),
    [anon_sym_DOT_STAR] = ACTIONS(6091),
    [anon_sym_DASH_GT] = ACTIONS(6091),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6089),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(6093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6095),
    [anon_sym_COMMA] = ACTIONS(6095),
    [anon_sym_RPAREN] = ACTIONS(6095),
    [aux_sym_preproc_if_token2] = ACTIONS(6095),
    [aux_sym_preproc_else_token1] = ACTIONS(6095),
    [aux_sym_preproc_elif_token1] = ACTIONS(6093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6095),
    [anon_sym_LPAREN2] = ACTIONS(6095),
    [anon_sym_DASH] = ACTIONS(6093),
    [anon_sym_PLUS] = ACTIONS(6093),
    [anon_sym_STAR] = ACTIONS(6093),
    [anon_sym_SLASH] = ACTIONS(6093),
    [anon_sym_PERCENT] = ACTIONS(6093),
    [anon_sym_PIPE_PIPE] = ACTIONS(6095),
    [anon_sym_AMP_AMP] = ACTIONS(6095),
    [anon_sym_PIPE] = ACTIONS(6093),
    [anon_sym_CARET] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(6093),
    [anon_sym_EQ_EQ] = ACTIONS(6095),
    [anon_sym_BANG_EQ] = ACTIONS(6095),
    [anon_sym_GT] = ACTIONS(6093),
    [anon_sym_GT_EQ] = ACTIONS(6095),
    [anon_sym_LT_EQ] = ACTIONS(6093),
    [anon_sym_LT] = ACTIONS(6093),
    [anon_sym_LT_LT] = ACTIONS(6093),
    [anon_sym_GT_GT] = ACTIONS(6093),
    [anon_sym_SEMI] = ACTIONS(6095),
    [anon_sym___attribute__] = ACTIONS(6093),
    [anon_sym___attribute] = ACTIONS(6093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6095),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_RBRACE] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6095),
    [anon_sym_EQ] = ACTIONS(6093),
    [anon_sym_COLON] = ACTIONS(6095),
    [anon_sym_QMARK] = ACTIONS(6095),
    [anon_sym_STAR_EQ] = ACTIONS(6095),
    [anon_sym_SLASH_EQ] = ACTIONS(6095),
    [anon_sym_PERCENT_EQ] = ACTIONS(6095),
    [anon_sym_PLUS_EQ] = ACTIONS(6095),
    [anon_sym_DASH_EQ] = ACTIONS(6095),
    [anon_sym_LT_LT_EQ] = ACTIONS(6095),
    [anon_sym_GT_GT_EQ] = ACTIONS(6095),
    [anon_sym_AMP_EQ] = ACTIONS(6095),
    [anon_sym_CARET_EQ] = ACTIONS(6095),
    [anon_sym_PIPE_EQ] = ACTIONS(6095),
    [anon_sym_and_eq] = ACTIONS(6093),
    [anon_sym_or_eq] = ACTIONS(6093),
    [anon_sym_xor_eq] = ACTIONS(6093),
    [anon_sym_LT_EQ_GT] = ACTIONS(6095),
    [anon_sym_or] = ACTIONS(6093),
    [anon_sym_and] = ACTIONS(6093),
    [anon_sym_bitor] = ACTIONS(6093),
    [anon_sym_xor] = ACTIONS(6093),
    [anon_sym_bitand] = ACTIONS(6093),
    [anon_sym_not_eq] = ACTIONS(6093),
    [anon_sym_DASH_DASH] = ACTIONS(6095),
    [anon_sym_PLUS_PLUS] = ACTIONS(6095),
    [anon_sym_DOT] = ACTIONS(6093),
    [anon_sym_DOT_STAR] = ACTIONS(6095),
    [anon_sym_DASH_GT] = ACTIONS(6095),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6093),
  },
  [2214] = {
    [sym_string_literal] = STATE(2229),
    [sym_raw_string_literal] = STATE(2229),
    [aux_sym_concatenated_string_repeat1] = STATE(2229),
    [sym_identifier] = ACTIONS(6097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5301),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(6071),
    [anon_sym_u_DQUOTE] = ACTIONS(6071),
    [anon_sym_U_DQUOTE] = ACTIONS(6071),
    [anon_sym_u8_DQUOTE] = ACTIONS(6071),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5299),
    [anon_sym_R_DQUOTE] = ACTIONS(6073),
    [anon_sym_LR_DQUOTE] = ACTIONS(6073),
    [anon_sym_uR_DQUOTE] = ACTIONS(6073),
    [anon_sym_UR_DQUOTE] = ACTIONS(6073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6073),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(5520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [aux_sym_preproc_if_token2] = ACTIONS(5522),
    [aux_sym_preproc_else_token1] = ACTIONS(5522),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5522),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_DASH] = ACTIONS(5520),
    [anon_sym_PLUS] = ACTIONS(5520),
    [anon_sym_STAR] = ACTIONS(5520),
    [anon_sym_SLASH] = ACTIONS(5520),
    [anon_sym_PERCENT] = ACTIONS(5520),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5520),
    [anon_sym_CARET] = ACTIONS(5520),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT] = ACTIONS(5520),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5520),
    [anon_sym_LT] = ACTIONS(5520),
    [anon_sym_LT_LT] = ACTIONS(5520),
    [anon_sym_GT_GT] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym___attribute] = ACTIONS(5520),
    [anon_sym_LBRACE] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_EQ] = ACTIONS(5520),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5522),
    [anon_sym_STAR_EQ] = ACTIONS(5522),
    [anon_sym_SLASH_EQ] = ACTIONS(5522),
    [anon_sym_PERCENT_EQ] = ACTIONS(5522),
    [anon_sym_PLUS_EQ] = ACTIONS(5522),
    [anon_sym_DASH_EQ] = ACTIONS(5522),
    [anon_sym_LT_LT_EQ] = ACTIONS(5522),
    [anon_sym_GT_GT_EQ] = ACTIONS(5522),
    [anon_sym_AMP_EQ] = ACTIONS(5522),
    [anon_sym_CARET_EQ] = ACTIONS(5522),
    [anon_sym_PIPE_EQ] = ACTIONS(5522),
    [anon_sym_and_eq] = ACTIONS(5520),
    [anon_sym_or_eq] = ACTIONS(5520),
    [anon_sym_xor_eq] = ACTIONS(5520),
    [anon_sym_LT_EQ_GT] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5520),
    [anon_sym_and] = ACTIONS(5520),
    [anon_sym_bitor] = ACTIONS(5520),
    [anon_sym_xor] = ACTIONS(5520),
    [anon_sym_bitand] = ACTIONS(5520),
    [anon_sym_not_eq] = ACTIONS(5520),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_DOT_STAR] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [aux_sym_preproc_if_token2] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_SLASH] = ACTIONS(5542),
    [anon_sym_PERCENT] = ACTIONS(5542),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5542),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5542),
    [anon_sym_LT_LT] = ACTIONS(5542),
    [anon_sym_GT_GT] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym___attribute] = ACTIONS(5542),
    [anon_sym_LBRACE] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_EQ] = ACTIONS(5542),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5544),
    [anon_sym_STAR_EQ] = ACTIONS(5544),
    [anon_sym_SLASH_EQ] = ACTIONS(5544),
    [anon_sym_PERCENT_EQ] = ACTIONS(5544),
    [anon_sym_PLUS_EQ] = ACTIONS(5544),
    [anon_sym_DASH_EQ] = ACTIONS(5544),
    [anon_sym_LT_LT_EQ] = ACTIONS(5544),
    [anon_sym_GT_GT_EQ] = ACTIONS(5544),
    [anon_sym_AMP_EQ] = ACTIONS(5544),
    [anon_sym_CARET_EQ] = ACTIONS(5544),
    [anon_sym_PIPE_EQ] = ACTIONS(5544),
    [anon_sym_and_eq] = ACTIONS(5542),
    [anon_sym_or_eq] = ACTIONS(5542),
    [anon_sym_xor_eq] = ACTIONS(5542),
    [anon_sym_LT_EQ_GT] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5542),
    [anon_sym_and] = ACTIONS(5542),
    [anon_sym_bitor] = ACTIONS(5542),
    [anon_sym_xor] = ACTIONS(5542),
    [anon_sym_bitand] = ACTIONS(5542),
    [anon_sym_not_eq] = ACTIONS(5542),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_DOT_STAR] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_RPAREN] = ACTIONS(5588),
    [aux_sym_preproc_if_token2] = ACTIONS(5588),
    [aux_sym_preproc_else_token1] = ACTIONS(5588),
    [aux_sym_preproc_elif_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5588),
    [anon_sym_LPAREN2] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5586),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5586),
    [anon_sym_PIPE_PIPE] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_CARET] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_EQ_EQ] = ACTIONS(5588),
    [anon_sym_BANG_EQ] = ACTIONS(5588),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5586),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5586),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_RBRACK] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5586),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5588),
    [anon_sym_STAR_EQ] = ACTIONS(5588),
    [anon_sym_SLASH_EQ] = ACTIONS(5588),
    [anon_sym_PERCENT_EQ] = ACTIONS(5588),
    [anon_sym_PLUS_EQ] = ACTIONS(5588),
    [anon_sym_DASH_EQ] = ACTIONS(5588),
    [anon_sym_LT_LT_EQ] = ACTIONS(5588),
    [anon_sym_GT_GT_EQ] = ACTIONS(5588),
    [anon_sym_AMP_EQ] = ACTIONS(5588),
    [anon_sym_CARET_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_and_eq] = ACTIONS(5586),
    [anon_sym_or_eq] = ACTIONS(5586),
    [anon_sym_xor_eq] = ACTIONS(5586),
    [anon_sym_LT_EQ_GT] = ACTIONS(5588),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_and] = ACTIONS(5586),
    [anon_sym_bitor] = ACTIONS(5586),
    [anon_sym_xor] = ACTIONS(5586),
    [anon_sym_bitand] = ACTIONS(5586),
    [anon_sym_not_eq] = ACTIONS(5586),
    [anon_sym_DASH_DASH] = ACTIONS(5588),
    [anon_sym_PLUS_PLUS] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_DOT_STAR] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [aux_sym_preproc_if_token2] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_STAR_EQ] = ACTIONS(5486),
    [anon_sym_SLASH_EQ] = ACTIONS(5486),
    [anon_sym_PERCENT_EQ] = ACTIONS(5486),
    [anon_sym_PLUS_EQ] = ACTIONS(5486),
    [anon_sym_DASH_EQ] = ACTIONS(5486),
    [anon_sym_LT_LT_EQ] = ACTIONS(5486),
    [anon_sym_GT_GT_EQ] = ACTIONS(5486),
    [anon_sym_AMP_EQ] = ACTIONS(5486),
    [anon_sym_CARET_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_and_eq] = ACTIONS(5484),
    [anon_sym_or_eq] = ACTIONS(5484),
    [anon_sym_xor_eq] = ACTIONS(5484),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
  },
  [2220] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5750),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5750),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym___extension__] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym___attribute] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_const] = ACTIONS(5752),
    [anon_sym_constexpr] = ACTIONS(5750),
    [anon_sym_volatile] = ACTIONS(5750),
    [anon_sym_restrict] = ACTIONS(5750),
    [anon_sym___restrict__] = ACTIONS(5750),
    [anon_sym__Atomic] = ACTIONS(5750),
    [anon_sym__Noreturn] = ACTIONS(5750),
    [anon_sym_noreturn] = ACTIONS(5750),
    [anon_sym__Nonnull] = ACTIONS(5750),
    [anon_sym_mutable] = ACTIONS(5750),
    [anon_sym_constinit] = ACTIONS(5750),
    [anon_sym_consteval] = ACTIONS(5750),
    [anon_sym_PROGMEM] = ACTIONS(5750),
    [anon_sym_alignas] = ACTIONS(5750),
    [anon_sym__Alignas] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
    [anon_sym_final] = ACTIONS(5750),
    [anon_sym_override] = ACTIONS(5750),
    [anon_sym_GT2] = ACTIONS(5750),
    [anon_sym_requires] = ACTIONS(5750),
  },
  [2221] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym___extension__] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_restrict] = ACTIONS(5756),
    [anon_sym___restrict__] = ACTIONS(5756),
    [anon_sym__Atomic] = ACTIONS(5756),
    [anon_sym__Noreturn] = ACTIONS(5756),
    [anon_sym_noreturn] = ACTIONS(5756),
    [anon_sym__Nonnull] = ACTIONS(5756),
    [anon_sym_mutable] = ACTIONS(5756),
    [anon_sym_constinit] = ACTIONS(5756),
    [anon_sym_consteval] = ACTIONS(5756),
    [anon_sym_PROGMEM] = ACTIONS(5756),
    [anon_sym_alignas] = ACTIONS(5756),
    [anon_sym__Alignas] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
    [anon_sym_final] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_GT2] = ACTIONS(5756),
    [anon_sym_requires] = ACTIONS(5756),
  },
  [2222] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5762),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6099),
    [anon_sym_unsigned] = ACTIONS(6099),
    [anon_sym_long] = ACTIONS(6099),
    [anon_sym_short] = ACTIONS(6099),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5762),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym__Nonnull] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [anon_sym_PROGMEM] = ACTIONS(5760),
    [anon_sym_alignas] = ACTIONS(5760),
    [anon_sym__Alignas] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_GT2] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
  },
  [2223] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6101),
    [anon_sym_unsigned] = ACTIONS(6101),
    [anon_sym_long] = ACTIONS(6101),
    [anon_sym_short] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym__Nonnull] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [anon_sym_PROGMEM] = ACTIONS(5766),
    [anon_sym_alignas] = ACTIONS(5766),
    [anon_sym__Alignas] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_GT2] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [2224] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5778),
    [anon_sym_COMMA] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5780),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5778),
    [anon_sym_AMP_AMP] = ACTIONS(5778),
    [anon_sym_PIPE] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5780),
    [anon_sym_EQ_EQ] = ACTIONS(5778),
    [anon_sym_BANG_EQ] = ACTIONS(5778),
    [anon_sym_GT] = ACTIONS(5780),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5780),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym___extension__] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5780),
    [anon_sym_LBRACE] = ACTIONS(5778),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5778),
    [anon_sym_const] = ACTIONS(5780),
    [anon_sym_constexpr] = ACTIONS(5778),
    [anon_sym_volatile] = ACTIONS(5778),
    [anon_sym_restrict] = ACTIONS(5778),
    [anon_sym___restrict__] = ACTIONS(5778),
    [anon_sym__Atomic] = ACTIONS(5778),
    [anon_sym__Noreturn] = ACTIONS(5778),
    [anon_sym_noreturn] = ACTIONS(5778),
    [anon_sym__Nonnull] = ACTIONS(5778),
    [anon_sym_mutable] = ACTIONS(5778),
    [anon_sym_constinit] = ACTIONS(5778),
    [anon_sym_consteval] = ACTIONS(5778),
    [anon_sym_PROGMEM] = ACTIONS(5778),
    [anon_sym_alignas] = ACTIONS(5778),
    [anon_sym__Alignas] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5778),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5778),
    [anon_sym_PLUS_PLUS] = ACTIONS(5778),
    [anon_sym_DOT] = ACTIONS(5780),
    [anon_sym_DOT_STAR] = ACTIONS(5778),
    [anon_sym_DASH_GT] = ACTIONS(5778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
    [anon_sym_final] = ACTIONS(5778),
    [anon_sym_override] = ACTIONS(5778),
    [anon_sym_GT2] = ACTIONS(5778),
    [anon_sym_requires] = ACTIONS(5778),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(6105),
    [aux_sym_preproc_if_token2] = ACTIONS(6105),
    [aux_sym_preproc_else_token1] = ACTIONS(6105),
    [aux_sym_preproc_elif_token1] = ACTIONS(6103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6105),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_STAR] = ACTIONS(6103),
    [anon_sym_SLASH] = ACTIONS(6103),
    [anon_sym_PERCENT] = ACTIONS(6103),
    [anon_sym_PIPE_PIPE] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_PIPE] = ACTIONS(6103),
    [anon_sym_CARET] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_EQ_EQ] = ACTIONS(6105),
    [anon_sym_BANG_EQ] = ACTIONS(6105),
    [anon_sym_GT] = ACTIONS(6103),
    [anon_sym_GT_EQ] = ACTIONS(6105),
    [anon_sym_LT_EQ] = ACTIONS(6103),
    [anon_sym_LT] = ACTIONS(6103),
    [anon_sym_LT_LT] = ACTIONS(6103),
    [anon_sym_GT_GT] = ACTIONS(6103),
    [anon_sym_SEMI] = ACTIONS(6105),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym___attribute] = ACTIONS(6103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_RBRACE] = ACTIONS(6105),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_RBRACK] = ACTIONS(6105),
    [anon_sym_EQ] = ACTIONS(6103),
    [anon_sym_COLON] = ACTIONS(6105),
    [anon_sym_QMARK] = ACTIONS(6105),
    [anon_sym_STAR_EQ] = ACTIONS(6105),
    [anon_sym_SLASH_EQ] = ACTIONS(6105),
    [anon_sym_PERCENT_EQ] = ACTIONS(6105),
    [anon_sym_PLUS_EQ] = ACTIONS(6105),
    [anon_sym_DASH_EQ] = ACTIONS(6105),
    [anon_sym_LT_LT_EQ] = ACTIONS(6105),
    [anon_sym_GT_GT_EQ] = ACTIONS(6105),
    [anon_sym_AMP_EQ] = ACTIONS(6105),
    [anon_sym_CARET_EQ] = ACTIONS(6105),
    [anon_sym_PIPE_EQ] = ACTIONS(6105),
    [anon_sym_and_eq] = ACTIONS(6103),
    [anon_sym_or_eq] = ACTIONS(6103),
    [anon_sym_xor_eq] = ACTIONS(6103),
    [anon_sym_LT_EQ_GT] = ACTIONS(6105),
    [anon_sym_or] = ACTIONS(6103),
    [anon_sym_and] = ACTIONS(6103),
    [anon_sym_bitor] = ACTIONS(6103),
    [anon_sym_xor] = ACTIONS(6103),
    [anon_sym_bitand] = ACTIONS(6103),
    [anon_sym_not_eq] = ACTIONS(6103),
    [anon_sym_DASH_DASH] = ACTIONS(6105),
    [anon_sym_PLUS_PLUS] = ACTIONS(6105),
    [anon_sym_DOT] = ACTIONS(6103),
    [anon_sym_DOT_STAR] = ACTIONS(6105),
    [anon_sym_DASH_GT] = ACTIONS(6105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6103),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [aux_sym_preproc_if_token2] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5594),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5594),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_CARET] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5594),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5594),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym___attribute] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_and_eq] = ACTIONS(5594),
    [anon_sym_or_eq] = ACTIONS(5594),
    [anon_sym_xor_eq] = ACTIONS(5594),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_and] = ACTIONS(5594),
    [anon_sym_bitor] = ACTIONS(5594),
    [anon_sym_xor] = ACTIONS(5594),
    [anon_sym_bitand] = ACTIONS(5594),
    [anon_sym_not_eq] = ACTIONS(5594),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [aux_sym_preproc_if_token2] = ACTIONS(5470),
    [aux_sym_preproc_else_token1] = ACTIONS(5470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_STAR_EQ] = ACTIONS(5470),
    [anon_sym_SLASH_EQ] = ACTIONS(5470),
    [anon_sym_PERCENT_EQ] = ACTIONS(5470),
    [anon_sym_PLUS_EQ] = ACTIONS(5470),
    [anon_sym_DASH_EQ] = ACTIONS(5470),
    [anon_sym_LT_LT_EQ] = ACTIONS(5470),
    [anon_sym_GT_GT_EQ] = ACTIONS(5470),
    [anon_sym_AMP_EQ] = ACTIONS(5470),
    [anon_sym_CARET_EQ] = ACTIONS(5470),
    [anon_sym_PIPE_EQ] = ACTIONS(5470),
    [anon_sym_and_eq] = ACTIONS(5468),
    [anon_sym_or_eq] = ACTIONS(5468),
    [anon_sym_xor_eq] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
  },
  [2228] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5602),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(6067),
    [anon_sym_unsigned] = ACTIONS(6067),
    [anon_sym_long] = ACTIONS(6067),
    [anon_sym_short] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym__Nonnull] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym__Alignas] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
    [anon_sym_GT2] = ACTIONS(5604),
    [anon_sym_requires] = ACTIONS(5604),
  },
  [2229] = {
    [sym_string_literal] = STATE(2229),
    [sym_raw_string_literal] = STATE(2229),
    [aux_sym_concatenated_string_repeat1] = STATE(2229),
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5419),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_CARET] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_GT_EQ] = ACTIONS(5419),
    [anon_sym_LT_EQ] = ACTIONS(5419),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5419),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5419),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5419),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5419),
    [anon_sym_or_eq] = ACTIONS(5419),
    [anon_sym_xor_eq] = ACTIONS(5419),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_bitor] = ACTIONS(5419),
    [anon_sym_xor] = ACTIONS(5419),
    [anon_sym_bitand] = ACTIONS(5419),
    [anon_sym_not_eq] = ACTIONS(5419),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(6110),
    [anon_sym_u_DQUOTE] = ACTIONS(6110),
    [anon_sym_U_DQUOTE] = ACTIONS(6110),
    [anon_sym_u8_DQUOTE] = ACTIONS(6110),
    [anon_sym_DQUOTE] = ACTIONS(6110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5417),
    [anon_sym_R_DQUOTE] = ACTIONS(6113),
    [anon_sym_LR_DQUOTE] = ACTIONS(6113),
    [anon_sym_uR_DQUOTE] = ACTIONS(6113),
    [anon_sym_UR_DQUOTE] = ACTIONS(6113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6113),
    [sym_literal_suffix] = ACTIONS(5419),
  },
  [2230] = {
    [sym_string_literal] = STATE(2200),
    [sym_template_argument_list] = STATE(3284),
    [sym_raw_string_literal] = STATE(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(6116),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4117),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(6071),
    [anon_sym_u_DQUOTE] = ACTIONS(6071),
    [anon_sym_U_DQUOTE] = ACTIONS(6071),
    [anon_sym_u8_DQUOTE] = ACTIONS(6071),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(6073),
    [anon_sym_LR_DQUOTE] = ACTIONS(6073),
    [anon_sym_uR_DQUOTE] = ACTIONS(6073),
    [anon_sym_UR_DQUOTE] = ACTIONS(6073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6073),
  },
  [2231] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym___extension__] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5782),
    [anon_sym_volatile] = ACTIONS(5782),
    [anon_sym_restrict] = ACTIONS(5782),
    [anon_sym___restrict__] = ACTIONS(5782),
    [anon_sym__Atomic] = ACTIONS(5782),
    [anon_sym__Noreturn] = ACTIONS(5782),
    [anon_sym_noreturn] = ACTIONS(5782),
    [anon_sym__Nonnull] = ACTIONS(5782),
    [anon_sym_mutable] = ACTIONS(5782),
    [anon_sym_constinit] = ACTIONS(5782),
    [anon_sym_consteval] = ACTIONS(5782),
    [anon_sym_PROGMEM] = ACTIONS(5782),
    [anon_sym_alignas] = ACTIONS(5782),
    [anon_sym__Alignas] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
    [anon_sym_final] = ACTIONS(5782),
    [anon_sym_override] = ACTIONS(5782),
    [anon_sym_GT2] = ACTIONS(5782),
    [anon_sym_requires] = ACTIONS(5782),
  },
  [2232] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5788),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6075),
    [anon_sym_unsigned] = ACTIONS(6075),
    [anon_sym_long] = ACTIONS(6075),
    [anon_sym_short] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5788),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_PROGMEM] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_GT2] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [2233] = {
    [sym_string_literal] = STATE(2130),
    [sym_raw_string_literal] = STATE(2130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym___attribute] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [anon_sym_L_DQUOTE] = ACTIONS(5883),
    [anon_sym_u_DQUOTE] = ACTIONS(5883),
    [anon_sym_U_DQUOTE] = ACTIONS(5883),
    [anon_sym_u8_DQUOTE] = ACTIONS(5883),
    [anon_sym_DQUOTE] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5885),
    [anon_sym_LR_DQUOTE] = ACTIONS(5885),
    [anon_sym_uR_DQUOTE] = ACTIONS(5885),
    [anon_sym_UR_DQUOTE] = ACTIONS(5885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5885),
    [sym_literal_suffix] = ACTIONS(5823),
  },
  [2234] = {
    [sym_attribute_specifier] = STATE(2647),
    [sym_field_declaration_list] = STATE(2591),
    [sym_virtual_specifier] = STATE(6864),
    [sym_base_class_clause] = STATE(7536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5661),
    [anon_sym_COMMA] = ACTIONS(5661),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_DASH] = ACTIONS(5659),
    [anon_sym_PLUS] = ACTIONS(5659),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_SLASH] = ACTIONS(5659),
    [anon_sym_PERCENT] = ACTIONS(5661),
    [anon_sym_PIPE_PIPE] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_PIPE] = ACTIONS(5659),
    [anon_sym_CARET] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_EQ_EQ] = ACTIONS(5661),
    [anon_sym_BANG_EQ] = ACTIONS(5661),
    [anon_sym_GT] = ACTIONS(5659),
    [anon_sym_GT_EQ] = ACTIONS(5659),
    [anon_sym_LT_EQ] = ACTIONS(5659),
    [anon_sym_LT] = ACTIONS(5659),
    [anon_sym_LT_LT] = ACTIONS(5661),
    [anon_sym_GT_GT] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5661),
    [anon_sym___attribute__] = ACTIONS(6119),
    [anon_sym___attribute] = ACTIONS(6121),
    [anon_sym_LBRACE] = ACTIONS(6123),
    [anon_sym_LBRACK] = ACTIONS(5661),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5661),
    [anon_sym_volatile] = ACTIONS(5661),
    [anon_sym_restrict] = ACTIONS(5661),
    [anon_sym___restrict__] = ACTIONS(5661),
    [anon_sym__Atomic] = ACTIONS(5661),
    [anon_sym__Noreturn] = ACTIONS(5661),
    [anon_sym_noreturn] = ACTIONS(5661),
    [anon_sym__Nonnull] = ACTIONS(5661),
    [anon_sym_mutable] = ACTIONS(5661),
    [anon_sym_constinit] = ACTIONS(5661),
    [anon_sym_consteval] = ACTIONS(5661),
    [anon_sym_PROGMEM] = ACTIONS(5661),
    [anon_sym_alignas] = ACTIONS(5661),
    [anon_sym__Alignas] = ACTIONS(5661),
    [anon_sym_COLON] = ACTIONS(5667),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_LT_EQ_GT] = ACTIONS(5661),
    [anon_sym_or] = ACTIONS(5661),
    [anon_sym_and] = ACTIONS(5661),
    [anon_sym_bitor] = ACTIONS(5661),
    [anon_sym_xor] = ACTIONS(5661),
    [anon_sym_bitand] = ACTIONS(5661),
    [anon_sym_not_eq] = ACTIONS(5661),
    [anon_sym_DASH_DASH] = ACTIONS(5661),
    [anon_sym_PLUS_PLUS] = ACTIONS(5661),
    [anon_sym_DOT] = ACTIONS(5659),
    [anon_sym_DOT_STAR] = ACTIONS(5661),
    [anon_sym_DASH_GT] = ACTIONS(5661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5661),
    [anon_sym_decltype] = ACTIONS(5661),
    [anon_sym_final] = ACTIONS(5821),
    [anon_sym_override] = ACTIONS(5821),
    [anon_sym_GT2] = ACTIONS(5661),
    [anon_sym_requires] = ACTIONS(5661),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(5578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [aux_sym_preproc_if_token2] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5580),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5578),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5578),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_CARET] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5578),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5578),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym___attribute] = ACTIONS(5578),
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_EQ] = ACTIONS(5578),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_STAR_EQ] = ACTIONS(5580),
    [anon_sym_SLASH_EQ] = ACTIONS(5580),
    [anon_sym_PERCENT_EQ] = ACTIONS(5580),
    [anon_sym_PLUS_EQ] = ACTIONS(5580),
    [anon_sym_DASH_EQ] = ACTIONS(5580),
    [anon_sym_LT_LT_EQ] = ACTIONS(5580),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5580),
    [anon_sym_CARET_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_and_eq] = ACTIONS(5578),
    [anon_sym_or_eq] = ACTIONS(5578),
    [anon_sym_xor_eq] = ACTIONS(5578),
    [anon_sym_LT_EQ_GT] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5578),
    [anon_sym_and] = ACTIONS(5578),
    [anon_sym_bitor] = ACTIONS(5578),
    [anon_sym_xor] = ACTIONS(5578),
    [anon_sym_bitand] = ACTIONS(5578),
    [anon_sym_not_eq] = ACTIONS(5578),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_DOT_STAR] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
  },
  [2236] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(6125),
    [anon_sym_unsigned] = ACTIONS(6125),
    [anon_sym_long] = ACTIONS(6125),
    [anon_sym_short] = ACTIONS(6125),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
  },
  [2237] = {
    [sym_template_argument_list] = STATE(2095),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2238),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4115),
    [anon_sym_COMMA] = ACTIONS(4115),
    [aux_sym_preproc_if_token2] = ACTIONS(4115),
    [aux_sym_preproc_else_token1] = ACTIONS(4115),
    [aux_sym_preproc_elif_token1] = ACTIONS(4107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4115),
    [anon_sym_LPAREN2] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4107),
    [anon_sym_PERCENT] = ACTIONS(4107),
    [anon_sym_PIPE_PIPE] = ACTIONS(4115),
    [anon_sym_AMP_AMP] = ACTIONS(4115),
    [anon_sym_PIPE] = ACTIONS(4107),
    [anon_sym_CARET] = ACTIONS(4107),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4115),
    [anon_sym_BANG_EQ] = ACTIONS(4115),
    [anon_sym_GT] = ACTIONS(4107),
    [anon_sym_GT_EQ] = ACTIONS(4115),
    [anon_sym_LT_EQ] = ACTIONS(4107),
    [anon_sym_LT] = ACTIONS(5813),
    [anon_sym_LT_LT] = ACTIONS(4107),
    [anon_sym_GT_GT] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4115),
    [anon_sym_signed] = ACTIONS(5931),
    [anon_sym_unsigned] = ACTIONS(5931),
    [anon_sym_long] = ACTIONS(5931),
    [anon_sym_short] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4115),
    [anon_sym_STAR_EQ] = ACTIONS(4115),
    [anon_sym_SLASH_EQ] = ACTIONS(4115),
    [anon_sym_PERCENT_EQ] = ACTIONS(4115),
    [anon_sym_PLUS_EQ] = ACTIONS(4115),
    [anon_sym_DASH_EQ] = ACTIONS(4115),
    [anon_sym_LT_LT_EQ] = ACTIONS(4115),
    [anon_sym_GT_GT_EQ] = ACTIONS(4115),
    [anon_sym_AMP_EQ] = ACTIONS(4115),
    [anon_sym_CARET_EQ] = ACTIONS(4115),
    [anon_sym_PIPE_EQ] = ACTIONS(4115),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4115),
    [anon_sym_or] = ACTIONS(4107),
    [anon_sym_and] = ACTIONS(4107),
    [anon_sym_bitor] = ACTIONS(4107),
    [anon_sym_xor] = ACTIONS(4107),
    [anon_sym_bitand] = ACTIONS(4107),
    [anon_sym_not_eq] = ACTIONS(4107),
    [anon_sym_DASH_DASH] = ACTIONS(4115),
    [anon_sym_PLUS_PLUS] = ACTIONS(4115),
    [anon_sym_DOT] = ACTIONS(4107),
    [anon_sym_DOT_STAR] = ACTIONS(4115),
    [anon_sym_DASH_GT] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
  },
  [2238] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_else_token1] = ACTIONS(5790),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5792),
    [anon_sym_or_eq] = ACTIONS(5792),
    [anon_sym_xor_eq] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
  },
  [2239] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [aux_sym_preproc_if_token2] = ACTIONS(5800),
    [aux_sym_preproc_else_token1] = ACTIONS(5800),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [aux_sym_preproc_if_token2] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_CARET] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5606),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5606),
    [anon_sym___attribute] = ACTIONS(5606),
    [anon_sym_LBRACE] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5608),
    [anon_sym_STAR_EQ] = ACTIONS(5608),
    [anon_sym_SLASH_EQ] = ACTIONS(5608),
    [anon_sym_PERCENT_EQ] = ACTIONS(5608),
    [anon_sym_PLUS_EQ] = ACTIONS(5608),
    [anon_sym_DASH_EQ] = ACTIONS(5608),
    [anon_sym_LT_LT_EQ] = ACTIONS(5608),
    [anon_sym_GT_GT_EQ] = ACTIONS(5608),
    [anon_sym_AMP_EQ] = ACTIONS(5608),
    [anon_sym_CARET_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_and_eq] = ACTIONS(5606),
    [anon_sym_or_eq] = ACTIONS(5606),
    [anon_sym_xor_eq] = ACTIONS(5606),
    [anon_sym_LT_EQ_GT] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5606),
    [anon_sym_and] = ACTIONS(5606),
    [anon_sym_bitor] = ACTIONS(5606),
    [anon_sym_xor] = ACTIONS(5606),
    [anon_sym_bitand] = ACTIONS(5606),
    [anon_sym_not_eq] = ACTIONS(5606),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_DOT_STAR] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5606),
    [anon_sym_decltype] = ACTIONS(5606),
  },
  [2241] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2244),
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [aux_sym_preproc_if_token2] = ACTIONS(5772),
    [aux_sym_preproc_else_token1] = ACTIONS(5772),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5772),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(6130),
    [anon_sym_unsigned] = ACTIONS(6130),
    [anon_sym_long] = ACTIONS(6130),
    [anon_sym_short] = ACTIONS(6130),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5774),
    [anon_sym_or_eq] = ACTIONS(5774),
    [anon_sym_xor_eq] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
  },
  [2242] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [aux_sym_preproc_if_token2] = ACTIONS(5794),
    [aux_sym_preproc_else_token1] = ACTIONS(5794),
    [aux_sym_preproc_elif_token1] = ACTIONS(5796),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5794),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5796),
    [anon_sym___attribute] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_signed] = ACTIONS(6132),
    [anon_sym_unsigned] = ACTIONS(6132),
    [anon_sym_long] = ACTIONS(6132),
    [anon_sym_short] = ACTIONS(6132),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_and_eq] = ACTIONS(5796),
    [anon_sym_or_eq] = ACTIONS(5796),
    [anon_sym_xor_eq] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5796),
    [anon_sym_and] = ACTIONS(5796),
    [anon_sym_bitor] = ACTIONS(5796),
    [anon_sym_xor] = ACTIONS(5796),
    [anon_sym_bitand] = ACTIONS(5796),
    [anon_sym_not_eq] = ACTIONS(5796),
    [anon_sym_DASH_DASH] = ACTIONS(5794),
    [anon_sym_PLUS_PLUS] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_DOT_STAR] = ACTIONS(5794),
    [anon_sym_DASH_GT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5796),
    [anon_sym_decltype] = ACTIONS(5796),
  },
  [2243] = {
    [sym_attribute_specifier] = STATE(1825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6020),
    [anon_sym_COMMA] = ACTIONS(6020),
    [anon_sym_RPAREN] = ACTIONS(6020),
    [anon_sym_LPAREN2] = ACTIONS(6020),
    [anon_sym_DASH] = ACTIONS(6018),
    [anon_sym_PLUS] = ACTIONS(6018),
    [anon_sym_STAR] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6018),
    [anon_sym_PERCENT] = ACTIONS(6020),
    [anon_sym_PIPE_PIPE] = ACTIONS(6020),
    [anon_sym_AMP_AMP] = ACTIONS(6020),
    [anon_sym_PIPE] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(6020),
    [anon_sym_AMP] = ACTIONS(6018),
    [anon_sym_EQ_EQ] = ACTIONS(6020),
    [anon_sym_BANG_EQ] = ACTIONS(6020),
    [anon_sym_GT] = ACTIONS(6018),
    [anon_sym_GT_EQ] = ACTIONS(6020),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_LT] = ACTIONS(6018),
    [anon_sym_LT_LT] = ACTIONS(6020),
    [anon_sym_GT_GT] = ACTIONS(6020),
    [anon_sym_SEMI] = ACTIONS(6020),
    [anon_sym___extension__] = ACTIONS(6020),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6020),
    [anon_sym_RBRACE] = ACTIONS(6020),
    [anon_sym_LBRACK] = ACTIONS(6020),
    [anon_sym_RBRACK] = ACTIONS(6020),
    [anon_sym_const] = ACTIONS(6018),
    [anon_sym_constexpr] = ACTIONS(6020),
    [anon_sym_volatile] = ACTIONS(6020),
    [anon_sym_restrict] = ACTIONS(6020),
    [anon_sym___restrict__] = ACTIONS(6020),
    [anon_sym__Atomic] = ACTIONS(6020),
    [anon_sym__Noreturn] = ACTIONS(6020),
    [anon_sym_noreturn] = ACTIONS(6020),
    [anon_sym__Nonnull] = ACTIONS(6020),
    [anon_sym_mutable] = ACTIONS(6020),
    [anon_sym_constinit] = ACTIONS(6020),
    [anon_sym_consteval] = ACTIONS(6020),
    [anon_sym_PROGMEM] = ACTIONS(6020),
    [anon_sym_alignas] = ACTIONS(6020),
    [anon_sym__Alignas] = ACTIONS(6020),
    [anon_sym_COLON] = ACTIONS(6020),
    [anon_sym_QMARK] = ACTIONS(6020),
    [anon_sym_LT_EQ_GT] = ACTIONS(6020),
    [anon_sym_or] = ACTIONS(6020),
    [anon_sym_and] = ACTIONS(6020),
    [anon_sym_bitor] = ACTIONS(6020),
    [anon_sym_xor] = ACTIONS(6020),
    [anon_sym_bitand] = ACTIONS(6020),
    [anon_sym_not_eq] = ACTIONS(6020),
    [anon_sym_DASH_DASH] = ACTIONS(6020),
    [anon_sym_PLUS_PLUS] = ACTIONS(6020),
    [anon_sym_DOT] = ACTIONS(6018),
    [anon_sym_DOT_STAR] = ACTIONS(6020),
    [anon_sym_DASH_GT] = ACTIONS(6020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6020),
    [anon_sym_decltype] = ACTIONS(6020),
    [anon_sym_final] = ACTIONS(6020),
    [anon_sym_override] = ACTIONS(6020),
    [anon_sym_requires] = ACTIONS(6020),
  },
  [2244] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_else_token1] = ACTIONS(5750),
    [aux_sym_preproc_elif_token1] = ACTIONS(5752),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym___attribute] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5752),
    [anon_sym_or_eq] = ACTIONS(5752),
    [anon_sym_xor_eq] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
  },
  [2245] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [aux_sym_preproc_if_token2] = ACTIONS(5756),
    [aux_sym_preproc_else_token1] = ACTIONS(5756),
    [aux_sym_preproc_elif_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_EQ] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_STAR_EQ] = ACTIONS(5756),
    [anon_sym_SLASH_EQ] = ACTIONS(5756),
    [anon_sym_PERCENT_EQ] = ACTIONS(5756),
    [anon_sym_PLUS_EQ] = ACTIONS(5756),
    [anon_sym_DASH_EQ] = ACTIONS(5756),
    [anon_sym_LT_LT_EQ] = ACTIONS(5756),
    [anon_sym_GT_GT_EQ] = ACTIONS(5756),
    [anon_sym_AMP_EQ] = ACTIONS(5756),
    [anon_sym_CARET_EQ] = ACTIONS(5756),
    [anon_sym_PIPE_EQ] = ACTIONS(5756),
    [anon_sym_and_eq] = ACTIONS(5758),
    [anon_sym_or_eq] = ACTIONS(5758),
    [anon_sym_xor_eq] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
  },
  [2246] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2250),
    [sym_identifier] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym___attribute__] = ACTIONS(5762),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6134),
    [anon_sym_unsigned] = ACTIONS(6134),
    [anon_sym_long] = ACTIONS(6134),
    [anon_sym_short] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_and_eq] = ACTIONS(5762),
    [anon_sym_or_eq] = ACTIONS(5762),
    [anon_sym_xor_eq] = ACTIONS(5762),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5762),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5762),
    [anon_sym_not_eq] = ACTIONS(5762),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5762),
    [anon_sym_decltype] = ACTIONS(5762),
  },
  [2247] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2251),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_else_token1] = ACTIONS(5766),
    [aux_sym_preproc_elif_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6136),
    [anon_sym_unsigned] = ACTIONS(6136),
    [anon_sym_long] = ACTIONS(6136),
    [anon_sym_short] = ACTIONS(6136),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_STAR_EQ] = ACTIONS(5766),
    [anon_sym_SLASH_EQ] = ACTIONS(5766),
    [anon_sym_PERCENT_EQ] = ACTIONS(5766),
    [anon_sym_PLUS_EQ] = ACTIONS(5766),
    [anon_sym_DASH_EQ] = ACTIONS(5766),
    [anon_sym_LT_LT_EQ] = ACTIONS(5766),
    [anon_sym_GT_GT_EQ] = ACTIONS(5766),
    [anon_sym_AMP_EQ] = ACTIONS(5766),
    [anon_sym_CARET_EQ] = ACTIONS(5766),
    [anon_sym_PIPE_EQ] = ACTIONS(5766),
    [anon_sym_and_eq] = ACTIONS(5768),
    [anon_sym_or_eq] = ACTIONS(5768),
    [anon_sym_xor_eq] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
  },
  [2248] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5778),
    [anon_sym_COMMA] = ACTIONS(5778),
    [aux_sym_preproc_if_token2] = ACTIONS(5778),
    [aux_sym_preproc_else_token1] = ACTIONS(5778),
    [aux_sym_preproc_elif_token1] = ACTIONS(5780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5780),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5778),
    [anon_sym_AMP_AMP] = ACTIONS(5778),
    [anon_sym_PIPE] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5780),
    [anon_sym_EQ_EQ] = ACTIONS(5778),
    [anon_sym_BANG_EQ] = ACTIONS(5778),
    [anon_sym_GT] = ACTIONS(5780),
    [anon_sym_GT_EQ] = ACTIONS(5778),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5780),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5780),
    [anon_sym___attribute] = ACTIONS(5780),
    [anon_sym_LBRACE] = ACTIONS(5778),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5778),
    [anon_sym_EQ] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5778),
    [anon_sym_STAR_EQ] = ACTIONS(5778),
    [anon_sym_SLASH_EQ] = ACTIONS(5778),
    [anon_sym_PERCENT_EQ] = ACTIONS(5778),
    [anon_sym_PLUS_EQ] = ACTIONS(5778),
    [anon_sym_DASH_EQ] = ACTIONS(5778),
    [anon_sym_LT_LT_EQ] = ACTIONS(5778),
    [anon_sym_GT_GT_EQ] = ACTIONS(5778),
    [anon_sym_AMP_EQ] = ACTIONS(5778),
    [anon_sym_CARET_EQ] = ACTIONS(5778),
    [anon_sym_PIPE_EQ] = ACTIONS(5778),
    [anon_sym_and_eq] = ACTIONS(5780),
    [anon_sym_or_eq] = ACTIONS(5780),
    [anon_sym_xor_eq] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5778),
    [anon_sym_or] = ACTIONS(5780),
    [anon_sym_and] = ACTIONS(5780),
    [anon_sym_bitor] = ACTIONS(5780),
    [anon_sym_xor] = ACTIONS(5780),
    [anon_sym_bitand] = ACTIONS(5780),
    [anon_sym_not_eq] = ACTIONS(5780),
    [anon_sym_DASH_DASH] = ACTIONS(5778),
    [anon_sym_PLUS_PLUS] = ACTIONS(5778),
    [anon_sym_DOT] = ACTIONS(5780),
    [anon_sym_DOT_STAR] = ACTIONS(5778),
    [anon_sym_DASH_GT] = ACTIONS(5778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5780),
    [anon_sym_decltype] = ACTIONS(5780),
  },
  [2249] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2239),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(6138),
    [anon_sym_unsigned] = ACTIONS(6138),
    [anon_sym_long] = ACTIONS(6138),
    [anon_sym_short] = ACTIONS(6138),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_and_eq] = ACTIONS(5602),
    [anon_sym_or_eq] = ACTIONS(5602),
    [anon_sym_xor_eq] = ACTIONS(5602),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
  },
  [2250] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_else_token1] = ACTIONS(5782),
    [aux_sym_preproc_elif_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_and_eq] = ACTIONS(5784),
    [anon_sym_or_eq] = ACTIONS(5784),
    [anon_sym_xor_eq] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
  },
  [2251] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2236),
    [sym_identifier] = ACTIONS(5788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5788),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5788),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5788),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5788),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym___attribute__] = ACTIONS(5788),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5788),
    [anon_sym_or_eq] = ACTIONS(5788),
    [anon_sym_xor_eq] = ACTIONS(5788),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5788),
    [anon_sym_and] = ACTIONS(5788),
    [anon_sym_bitor] = ACTIONS(5788),
    [anon_sym_xor] = ACTIONS(5788),
    [anon_sym_bitand] = ACTIONS(5788),
    [anon_sym_not_eq] = ACTIONS(5788),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5788),
    [anon_sym_decltype] = ACTIONS(5788),
  },
  [2252] = {
    [sym_attribute_specifier] = STATE(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5935),
    [anon_sym_COMMA] = ACTIONS(5935),
    [anon_sym_RPAREN] = ACTIONS(5935),
    [anon_sym_LPAREN2] = ACTIONS(5935),
    [anon_sym_DASH] = ACTIONS(5933),
    [anon_sym_PLUS] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5935),
    [anon_sym_SLASH] = ACTIONS(5933),
    [anon_sym_PERCENT] = ACTIONS(5935),
    [anon_sym_PIPE_PIPE] = ACTIONS(5935),
    [anon_sym_AMP_AMP] = ACTIONS(5935),
    [anon_sym_PIPE] = ACTIONS(5933),
    [anon_sym_CARET] = ACTIONS(5935),
    [anon_sym_AMP] = ACTIONS(5933),
    [anon_sym_EQ_EQ] = ACTIONS(5935),
    [anon_sym_BANG_EQ] = ACTIONS(5935),
    [anon_sym_GT] = ACTIONS(5933),
    [anon_sym_GT_EQ] = ACTIONS(5935),
    [anon_sym_LT_EQ] = ACTIONS(5933),
    [anon_sym_LT] = ACTIONS(5933),
    [anon_sym_LT_LT] = ACTIONS(5935),
    [anon_sym_GT_GT] = ACTIONS(5935),
    [anon_sym_SEMI] = ACTIONS(5935),
    [anon_sym___extension__] = ACTIONS(5935),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5935),
    [anon_sym_RBRACE] = ACTIONS(5935),
    [anon_sym_LBRACK] = ACTIONS(5935),
    [anon_sym_RBRACK] = ACTIONS(5935),
    [anon_sym_const] = ACTIONS(5933),
    [anon_sym_constexpr] = ACTIONS(5935),
    [anon_sym_volatile] = ACTIONS(5935),
    [anon_sym_restrict] = ACTIONS(5935),
    [anon_sym___restrict__] = ACTIONS(5935),
    [anon_sym__Atomic] = ACTIONS(5935),
    [anon_sym__Noreturn] = ACTIONS(5935),
    [anon_sym_noreturn] = ACTIONS(5935),
    [anon_sym__Nonnull] = ACTIONS(5935),
    [anon_sym_mutable] = ACTIONS(5935),
    [anon_sym_constinit] = ACTIONS(5935),
    [anon_sym_consteval] = ACTIONS(5935),
    [anon_sym_PROGMEM] = ACTIONS(5935),
    [anon_sym_alignas] = ACTIONS(5935),
    [anon_sym__Alignas] = ACTIONS(5935),
    [anon_sym_COLON] = ACTIONS(5935),
    [anon_sym_QMARK] = ACTIONS(5935),
    [anon_sym_LT_EQ_GT] = ACTIONS(5935),
    [anon_sym_or] = ACTIONS(5935),
    [anon_sym_and] = ACTIONS(5935),
    [anon_sym_bitor] = ACTIONS(5935),
    [anon_sym_xor] = ACTIONS(5935),
    [anon_sym_bitand] = ACTIONS(5935),
    [anon_sym_not_eq] = ACTIONS(5935),
    [anon_sym_DASH_DASH] = ACTIONS(5935),
    [anon_sym_PLUS_PLUS] = ACTIONS(5935),
    [anon_sym_DOT] = ACTIONS(5933),
    [anon_sym_DOT_STAR] = ACTIONS(5935),
    [anon_sym_DASH_GT] = ACTIONS(5935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5935),
    [anon_sym_decltype] = ACTIONS(5935),
    [anon_sym_final] = ACTIONS(5935),
    [anon_sym_override] = ACTIONS(5935),
    [anon_sym_requires] = ACTIONS(5935),
  },
  [2253] = {
    [sym_attribute_specifier] = STATE(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [anon_sym_RPAREN] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(6030),
    [anon_sym_STAR] = ACTIONS(6032),
    [anon_sym_SLASH] = ACTIONS(6030),
    [anon_sym_PERCENT] = ACTIONS(6032),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6030),
    [anon_sym_CARET] = ACTIONS(6032),
    [anon_sym_AMP] = ACTIONS(6030),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6030),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6030),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_LT_LT] = ACTIONS(6032),
    [anon_sym_GT_GT] = ACTIONS(6032),
    [anon_sym_SEMI] = ACTIONS(6032),
    [anon_sym___extension__] = ACTIONS(6032),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_RBRACE] = ACTIONS(6032),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_RBRACK] = ACTIONS(6032),
    [anon_sym_const] = ACTIONS(6030),
    [anon_sym_constexpr] = ACTIONS(6032),
    [anon_sym_volatile] = ACTIONS(6032),
    [anon_sym_restrict] = ACTIONS(6032),
    [anon_sym___restrict__] = ACTIONS(6032),
    [anon_sym__Atomic] = ACTIONS(6032),
    [anon_sym__Noreturn] = ACTIONS(6032),
    [anon_sym_noreturn] = ACTIONS(6032),
    [anon_sym__Nonnull] = ACTIONS(6032),
    [anon_sym_mutable] = ACTIONS(6032),
    [anon_sym_constinit] = ACTIONS(6032),
    [anon_sym_consteval] = ACTIONS(6032),
    [anon_sym_PROGMEM] = ACTIONS(6032),
    [anon_sym_alignas] = ACTIONS(6032),
    [anon_sym__Alignas] = ACTIONS(6032),
    [anon_sym_COLON] = ACTIONS(6032),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6032),
    [anon_sym_and] = ACTIONS(6032),
    [anon_sym_bitor] = ACTIONS(6032),
    [anon_sym_xor] = ACTIONS(6032),
    [anon_sym_bitand] = ACTIONS(6032),
    [anon_sym_not_eq] = ACTIONS(6032),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6030),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6032),
    [anon_sym_decltype] = ACTIONS(6032),
    [anon_sym_final] = ACTIONS(6032),
    [anon_sym_override] = ACTIONS(6032),
    [anon_sym_requires] = ACTIONS(6032),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [aux_sym_preproc_if_token2] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_STAR_EQ] = ACTIONS(5478),
    [anon_sym_SLASH_EQ] = ACTIONS(5478),
    [anon_sym_PERCENT_EQ] = ACTIONS(5478),
    [anon_sym_PLUS_EQ] = ACTIONS(5478),
    [anon_sym_DASH_EQ] = ACTIONS(5478),
    [anon_sym_LT_LT_EQ] = ACTIONS(5478),
    [anon_sym_GT_GT_EQ] = ACTIONS(5478),
    [anon_sym_AMP_EQ] = ACTIONS(5478),
    [anon_sym_CARET_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_and_eq] = ACTIONS(5476),
    [anon_sym_or_eq] = ACTIONS(5476),
    [anon_sym_xor_eq] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
  },
  [2255] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [anon_sym_L_DQUOTE] = ACTIONS(5673),
    [anon_sym_u_DQUOTE] = ACTIONS(5673),
    [anon_sym_U_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8_DQUOTE] = ACTIONS(5673),
    [anon_sym_DQUOTE] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5673),
    [anon_sym_LR_DQUOTE] = ACTIONS(5673),
    [anon_sym_uR_DQUOTE] = ACTIONS(5673),
    [anon_sym_UR_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5673),
    [sym_literal_suffix] = ACTIONS(5671),
  },
  [2256] = {
    [sym_attribute_specifier] = STATE(1807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6060),
    [anon_sym_COMMA] = ACTIONS(6060),
    [anon_sym_RPAREN] = ACTIONS(6060),
    [anon_sym_LPAREN2] = ACTIONS(6060),
    [anon_sym_DASH] = ACTIONS(6058),
    [anon_sym_PLUS] = ACTIONS(6058),
    [anon_sym_STAR] = ACTIONS(6060),
    [anon_sym_SLASH] = ACTIONS(6058),
    [anon_sym_PERCENT] = ACTIONS(6060),
    [anon_sym_PIPE_PIPE] = ACTIONS(6060),
    [anon_sym_AMP_AMP] = ACTIONS(6060),
    [anon_sym_PIPE] = ACTIONS(6058),
    [anon_sym_CARET] = ACTIONS(6060),
    [anon_sym_AMP] = ACTIONS(6058),
    [anon_sym_EQ_EQ] = ACTIONS(6060),
    [anon_sym_BANG_EQ] = ACTIONS(6060),
    [anon_sym_GT] = ACTIONS(6058),
    [anon_sym_GT_EQ] = ACTIONS(6060),
    [anon_sym_LT_EQ] = ACTIONS(6058),
    [anon_sym_LT] = ACTIONS(6058),
    [anon_sym_LT_LT] = ACTIONS(6060),
    [anon_sym_GT_GT] = ACTIONS(6060),
    [anon_sym_SEMI] = ACTIONS(6060),
    [anon_sym___extension__] = ACTIONS(6060),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6060),
    [anon_sym_RBRACE] = ACTIONS(6060),
    [anon_sym_LBRACK] = ACTIONS(6060),
    [anon_sym_RBRACK] = ACTIONS(6060),
    [anon_sym_const] = ACTIONS(6058),
    [anon_sym_constexpr] = ACTIONS(6060),
    [anon_sym_volatile] = ACTIONS(6060),
    [anon_sym_restrict] = ACTIONS(6060),
    [anon_sym___restrict__] = ACTIONS(6060),
    [anon_sym__Atomic] = ACTIONS(6060),
    [anon_sym__Noreturn] = ACTIONS(6060),
    [anon_sym_noreturn] = ACTIONS(6060),
    [anon_sym__Nonnull] = ACTIONS(6060),
    [anon_sym_mutable] = ACTIONS(6060),
    [anon_sym_constinit] = ACTIONS(6060),
    [anon_sym_consteval] = ACTIONS(6060),
    [anon_sym_PROGMEM] = ACTIONS(6060),
    [anon_sym_alignas] = ACTIONS(6060),
    [anon_sym__Alignas] = ACTIONS(6060),
    [anon_sym_COLON] = ACTIONS(6060),
    [anon_sym_QMARK] = ACTIONS(6060),
    [anon_sym_LT_EQ_GT] = ACTIONS(6060),
    [anon_sym_or] = ACTIONS(6060),
    [anon_sym_and] = ACTIONS(6060),
    [anon_sym_bitor] = ACTIONS(6060),
    [anon_sym_xor] = ACTIONS(6060),
    [anon_sym_bitand] = ACTIONS(6060),
    [anon_sym_not_eq] = ACTIONS(6060),
    [anon_sym_DASH_DASH] = ACTIONS(6060),
    [anon_sym_PLUS_PLUS] = ACTIONS(6060),
    [anon_sym_DOT] = ACTIONS(6058),
    [anon_sym_DOT_STAR] = ACTIONS(6060),
    [anon_sym_DASH_GT] = ACTIONS(6060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6060),
    [anon_sym_decltype] = ACTIONS(6060),
    [anon_sym_final] = ACTIONS(6060),
    [anon_sym_override] = ACTIONS(6060),
    [anon_sym_requires] = ACTIONS(6060),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(6140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6142),
    [anon_sym_COMMA] = ACTIONS(6142),
    [anon_sym_RPAREN] = ACTIONS(6142),
    [aux_sym_preproc_if_token2] = ACTIONS(6142),
    [aux_sym_preproc_else_token1] = ACTIONS(6142),
    [aux_sym_preproc_elif_token1] = ACTIONS(6140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6142),
    [anon_sym_DASH] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(6140),
    [anon_sym_STAR] = ACTIONS(6140),
    [anon_sym_SLASH] = ACTIONS(6140),
    [anon_sym_PERCENT] = ACTIONS(6140),
    [anon_sym_PIPE_PIPE] = ACTIONS(6142),
    [anon_sym_AMP_AMP] = ACTIONS(6142),
    [anon_sym_PIPE] = ACTIONS(6140),
    [anon_sym_CARET] = ACTIONS(6140),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_EQ_EQ] = ACTIONS(6142),
    [anon_sym_BANG_EQ] = ACTIONS(6142),
    [anon_sym_GT] = ACTIONS(6140),
    [anon_sym_GT_EQ] = ACTIONS(6142),
    [anon_sym_LT_EQ] = ACTIONS(6140),
    [anon_sym_LT] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6140),
    [anon_sym_GT_GT] = ACTIONS(6140),
    [anon_sym_SEMI] = ACTIONS(6142),
    [anon_sym___attribute__] = ACTIONS(6140),
    [anon_sym___attribute] = ACTIONS(6140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6142),
    [anon_sym_LBRACE] = ACTIONS(6142),
    [anon_sym_RBRACE] = ACTIONS(6142),
    [anon_sym_LBRACK] = ACTIONS(6140),
    [anon_sym_RBRACK] = ACTIONS(6142),
    [anon_sym_EQ] = ACTIONS(6140),
    [anon_sym_COLON] = ACTIONS(6142),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_STAR_EQ] = ACTIONS(6142),
    [anon_sym_SLASH_EQ] = ACTIONS(6142),
    [anon_sym_PERCENT_EQ] = ACTIONS(6142),
    [anon_sym_PLUS_EQ] = ACTIONS(6142),
    [anon_sym_DASH_EQ] = ACTIONS(6142),
    [anon_sym_LT_LT_EQ] = ACTIONS(6142),
    [anon_sym_GT_GT_EQ] = ACTIONS(6142),
    [anon_sym_AMP_EQ] = ACTIONS(6142),
    [anon_sym_CARET_EQ] = ACTIONS(6142),
    [anon_sym_PIPE_EQ] = ACTIONS(6142),
    [anon_sym_and_eq] = ACTIONS(6140),
    [anon_sym_or_eq] = ACTIONS(6140),
    [anon_sym_xor_eq] = ACTIONS(6140),
    [anon_sym_LT_EQ_GT] = ACTIONS(6142),
    [anon_sym_or] = ACTIONS(6140),
    [anon_sym_and] = ACTIONS(6140),
    [anon_sym_bitor] = ACTIONS(6140),
    [anon_sym_xor] = ACTIONS(6140),
    [anon_sym_bitand] = ACTIONS(6140),
    [anon_sym_not_eq] = ACTIONS(6140),
    [anon_sym_DASH_DASH] = ACTIONS(6142),
    [anon_sym_PLUS_PLUS] = ACTIONS(6142),
    [anon_sym_DOT] = ACTIONS(6140),
    [anon_sym_DOT_STAR] = ACTIONS(6142),
    [anon_sym_DASH_GT] = ACTIONS(6142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6140),
  },
  [2258] = {
    [sym_attribute_specifier] = STATE(1830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6016),
    [anon_sym_COMMA] = ACTIONS(6016),
    [anon_sym_RPAREN] = ACTIONS(6016),
    [anon_sym_LPAREN2] = ACTIONS(6016),
    [anon_sym_DASH] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(6014),
    [anon_sym_STAR] = ACTIONS(6016),
    [anon_sym_SLASH] = ACTIONS(6014),
    [anon_sym_PERCENT] = ACTIONS(6016),
    [anon_sym_PIPE_PIPE] = ACTIONS(6016),
    [anon_sym_AMP_AMP] = ACTIONS(6016),
    [anon_sym_PIPE] = ACTIONS(6014),
    [anon_sym_CARET] = ACTIONS(6016),
    [anon_sym_AMP] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6016),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_GT] = ACTIONS(6014),
    [anon_sym_GT_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6014),
    [anon_sym_LT] = ACTIONS(6014),
    [anon_sym_LT_LT] = ACTIONS(6016),
    [anon_sym_GT_GT] = ACTIONS(6016),
    [anon_sym_SEMI] = ACTIONS(6016),
    [anon_sym___extension__] = ACTIONS(6016),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(6016),
    [anon_sym_RBRACE] = ACTIONS(6016),
    [anon_sym_LBRACK] = ACTIONS(6016),
    [anon_sym_RBRACK] = ACTIONS(6016),
    [anon_sym_const] = ACTIONS(6014),
    [anon_sym_constexpr] = ACTIONS(6016),
    [anon_sym_volatile] = ACTIONS(6016),
    [anon_sym_restrict] = ACTIONS(6016),
    [anon_sym___restrict__] = ACTIONS(6016),
    [anon_sym__Atomic] = ACTIONS(6016),
    [anon_sym__Noreturn] = ACTIONS(6016),
    [anon_sym_noreturn] = ACTIONS(6016),
    [anon_sym__Nonnull] = ACTIONS(6016),
    [anon_sym_mutable] = ACTIONS(6016),
    [anon_sym_constinit] = ACTIONS(6016),
    [anon_sym_consteval] = ACTIONS(6016),
    [anon_sym_PROGMEM] = ACTIONS(6016),
    [anon_sym_alignas] = ACTIONS(6016),
    [anon_sym__Alignas] = ACTIONS(6016),
    [anon_sym_COLON] = ACTIONS(6016),
    [anon_sym_QMARK] = ACTIONS(6016),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_or] = ACTIONS(6016),
    [anon_sym_and] = ACTIONS(6016),
    [anon_sym_bitor] = ACTIONS(6016),
    [anon_sym_xor] = ACTIONS(6016),
    [anon_sym_bitand] = ACTIONS(6016),
    [anon_sym_not_eq] = ACTIONS(6016),
    [anon_sym_DASH_DASH] = ACTIONS(6016),
    [anon_sym_PLUS_PLUS] = ACTIONS(6016),
    [anon_sym_DOT] = ACTIONS(6014),
    [anon_sym_DOT_STAR] = ACTIONS(6016),
    [anon_sym_DASH_GT] = ACTIONS(6016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6016),
    [anon_sym_decltype] = ACTIONS(6016),
    [anon_sym_final] = ACTIONS(6016),
    [anon_sym_override] = ACTIONS(6016),
    [anon_sym_requires] = ACTIONS(6016),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(6144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6146),
    [anon_sym_COMMA] = ACTIONS(6146),
    [anon_sym_RPAREN] = ACTIONS(6146),
    [aux_sym_preproc_if_token2] = ACTIONS(6146),
    [aux_sym_preproc_else_token1] = ACTIONS(6146),
    [aux_sym_preproc_elif_token1] = ACTIONS(6144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6146),
    [anon_sym_LPAREN2] = ACTIONS(6146),
    [anon_sym_DASH] = ACTIONS(6144),
    [anon_sym_PLUS] = ACTIONS(6144),
    [anon_sym_STAR] = ACTIONS(6144),
    [anon_sym_SLASH] = ACTIONS(6144),
    [anon_sym_PERCENT] = ACTIONS(6144),
    [anon_sym_PIPE_PIPE] = ACTIONS(6146),
    [anon_sym_AMP_AMP] = ACTIONS(6146),
    [anon_sym_PIPE] = ACTIONS(6144),
    [anon_sym_CARET] = ACTIONS(6144),
    [anon_sym_AMP] = ACTIONS(6144),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT] = ACTIONS(6144),
    [anon_sym_GT_EQ] = ACTIONS(6146),
    [anon_sym_LT_EQ] = ACTIONS(6144),
    [anon_sym_LT] = ACTIONS(6144),
    [anon_sym_LT_LT] = ACTIONS(6144),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_SEMI] = ACTIONS(6146),
    [anon_sym___attribute__] = ACTIONS(6144),
    [anon_sym___attribute] = ACTIONS(6144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6146),
    [anon_sym_LBRACE] = ACTIONS(6146),
    [anon_sym_RBRACE] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6144),
    [anon_sym_RBRACK] = ACTIONS(6146),
    [anon_sym_EQ] = ACTIONS(6144),
    [anon_sym_COLON] = ACTIONS(6146),
    [anon_sym_QMARK] = ACTIONS(6146),
    [anon_sym_STAR_EQ] = ACTIONS(6146),
    [anon_sym_SLASH_EQ] = ACTIONS(6146),
    [anon_sym_PERCENT_EQ] = ACTIONS(6146),
    [anon_sym_PLUS_EQ] = ACTIONS(6146),
    [anon_sym_DASH_EQ] = ACTIONS(6146),
    [anon_sym_LT_LT_EQ] = ACTIONS(6146),
    [anon_sym_GT_GT_EQ] = ACTIONS(6146),
    [anon_sym_AMP_EQ] = ACTIONS(6146),
    [anon_sym_CARET_EQ] = ACTIONS(6146),
    [anon_sym_PIPE_EQ] = ACTIONS(6146),
    [anon_sym_and_eq] = ACTIONS(6144),
    [anon_sym_or_eq] = ACTIONS(6144),
    [anon_sym_xor_eq] = ACTIONS(6144),
    [anon_sym_LT_EQ_GT] = ACTIONS(6146),
    [anon_sym_or] = ACTIONS(6144),
    [anon_sym_and] = ACTIONS(6144),
    [anon_sym_bitor] = ACTIONS(6144),
    [anon_sym_xor] = ACTIONS(6144),
    [anon_sym_bitand] = ACTIONS(6144),
    [anon_sym_not_eq] = ACTIONS(6144),
    [anon_sym_DASH_DASH] = ACTIONS(6146),
    [anon_sym_PLUS_PLUS] = ACTIONS(6146),
    [anon_sym_DOT] = ACTIONS(6144),
    [anon_sym_DOT_STAR] = ACTIONS(6146),
    [anon_sym_DASH_GT] = ACTIONS(6146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6144),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym___attribute] = ACTIONS(5598),
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_STAR_EQ] = ACTIONS(5600),
    [anon_sym_SLASH_EQ] = ACTIONS(5600),
    [anon_sym_PERCENT_EQ] = ACTIONS(5600),
    [anon_sym_PLUS_EQ] = ACTIONS(5600),
    [anon_sym_DASH_EQ] = ACTIONS(5600),
    [anon_sym_LT_LT_EQ] = ACTIONS(5600),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5600),
    [anon_sym_CARET_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_and_eq] = ACTIONS(5598),
    [anon_sym_or_eq] = ACTIONS(5598),
    [anon_sym_xor_eq] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5598),
    [anon_sym_and] = ACTIONS(5598),
    [anon_sym_bitor] = ACTIONS(5598),
    [anon_sym_xor] = ACTIONS(5598),
    [anon_sym_bitand] = ACTIONS(5598),
    [anon_sym_not_eq] = ACTIONS(5598),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
  },
  [2261] = {
    [sym_attribute_declaration] = STATE(2267),
    [aux_sym_attributed_declarator_repeat1] = STATE(2267),
    [sym_identifier] = ACTIONS(6148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6150),
    [anon_sym_COMMA] = ACTIONS(6150),
    [anon_sym_RPAREN] = ACTIONS(6150),
    [aux_sym_preproc_if_token2] = ACTIONS(6150),
    [aux_sym_preproc_else_token1] = ACTIONS(6150),
    [aux_sym_preproc_elif_token1] = ACTIONS(6148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6150),
    [anon_sym_LPAREN2] = ACTIONS(6150),
    [anon_sym_DASH] = ACTIONS(6148),
    [anon_sym_PLUS] = ACTIONS(6148),
    [anon_sym_STAR] = ACTIONS(6148),
    [anon_sym_SLASH] = ACTIONS(6148),
    [anon_sym_PERCENT] = ACTIONS(6148),
    [anon_sym_PIPE_PIPE] = ACTIONS(6150),
    [anon_sym_AMP_AMP] = ACTIONS(6150),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_CARET] = ACTIONS(6148),
    [anon_sym_AMP] = ACTIONS(6148),
    [anon_sym_EQ_EQ] = ACTIONS(6150),
    [anon_sym_BANG_EQ] = ACTIONS(6150),
    [anon_sym_GT] = ACTIONS(6148),
    [anon_sym_GT_EQ] = ACTIONS(6150),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_LT] = ACTIONS(6148),
    [anon_sym_LT_LT] = ACTIONS(6148),
    [anon_sym_GT_GT] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(6150),
    [anon_sym___attribute__] = ACTIONS(6148),
    [anon_sym___attribute] = ACTIONS(6148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACE] = ACTIONS(6150),
    [anon_sym_LBRACK] = ACTIONS(6148),
    [anon_sym_RBRACK] = ACTIONS(6150),
    [anon_sym_EQ] = ACTIONS(6148),
    [anon_sym_COLON] = ACTIONS(6150),
    [anon_sym_QMARK] = ACTIONS(6150),
    [anon_sym_STAR_EQ] = ACTIONS(6150),
    [anon_sym_SLASH_EQ] = ACTIONS(6150),
    [anon_sym_PERCENT_EQ] = ACTIONS(6150),
    [anon_sym_PLUS_EQ] = ACTIONS(6150),
    [anon_sym_DASH_EQ] = ACTIONS(6150),
    [anon_sym_LT_LT_EQ] = ACTIONS(6150),
    [anon_sym_GT_GT_EQ] = ACTIONS(6150),
    [anon_sym_AMP_EQ] = ACTIONS(6150),
    [anon_sym_CARET_EQ] = ACTIONS(6150),
    [anon_sym_PIPE_EQ] = ACTIONS(6150),
    [anon_sym_and_eq] = ACTIONS(6148),
    [anon_sym_or_eq] = ACTIONS(6148),
    [anon_sym_xor_eq] = ACTIONS(6148),
    [anon_sym_LT_EQ_GT] = ACTIONS(6150),
    [anon_sym_or] = ACTIONS(6148),
    [anon_sym_and] = ACTIONS(6148),
    [anon_sym_bitor] = ACTIONS(6148),
    [anon_sym_xor] = ACTIONS(6148),
    [anon_sym_bitand] = ACTIONS(6148),
    [anon_sym_not_eq] = ACTIONS(6148),
    [anon_sym_DASH_DASH] = ACTIONS(6150),
    [anon_sym_PLUS_PLUS] = ACTIONS(6150),
    [anon_sym_DOT] = ACTIONS(6148),
    [anon_sym_DOT_STAR] = ACTIONS(6150),
    [anon_sym_DASH_GT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(3),
  },
  [2262] = {
    [sym_string_literal] = STATE(1671),
    [sym_template_argument_list] = STATE(2310),
    [sym_raw_string_literal] = STATE(1671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6042),
    [anon_sym_COMMA] = ACTIONS(6152),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6154),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
  },
  [2263] = {
    [sym_template_argument_list] = STATE(2310),
    [sym_identifier] = ACTIONS(4840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_COMMA] = ACTIONS(4833),
    [anon_sym_RPAREN] = ACTIONS(4833),
    [aux_sym_preproc_if_token2] = ACTIONS(4833),
    [aux_sym_preproc_else_token1] = ACTIONS(4833),
    [aux_sym_preproc_elif_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(4833),
    [anon_sym_DASH] = ACTIONS(4840),
    [anon_sym_PLUS] = ACTIONS(4840),
    [anon_sym_STAR] = ACTIONS(4840),
    [anon_sym_SLASH] = ACTIONS(4840),
    [anon_sym_PERCENT] = ACTIONS(4840),
    [anon_sym_PIPE_PIPE] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4833),
    [anon_sym_PIPE] = ACTIONS(4840),
    [anon_sym_CARET] = ACTIONS(4840),
    [anon_sym_AMP] = ACTIONS(4840),
    [anon_sym_EQ_EQ] = ACTIONS(4833),
    [anon_sym_BANG_EQ] = ACTIONS(4833),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_GT_EQ] = ACTIONS(4833),
    [anon_sym_LT_EQ] = ACTIONS(4840),
    [anon_sym_LT] = ACTIONS(5697),
    [anon_sym_LT_LT] = ACTIONS(4840),
    [anon_sym_GT_GT] = ACTIONS(4840),
    [anon_sym_SEMI] = ACTIONS(4833),
    [anon_sym___attribute__] = ACTIONS(4840),
    [anon_sym___attribute] = ACTIONS(4840),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4838),
    [anon_sym_RBRACE] = ACTIONS(4833),
    [anon_sym_LBRACK] = ACTIONS(4833),
    [anon_sym_RBRACK] = ACTIONS(4833),
    [anon_sym_EQ] = ACTIONS(4840),
    [anon_sym_COLON] = ACTIONS(4840),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_STAR_EQ] = ACTIONS(4833),
    [anon_sym_SLASH_EQ] = ACTIONS(4833),
    [anon_sym_PERCENT_EQ] = ACTIONS(4833),
    [anon_sym_PLUS_EQ] = ACTIONS(4833),
    [anon_sym_DASH_EQ] = ACTIONS(4833),
    [anon_sym_LT_LT_EQ] = ACTIONS(4833),
    [anon_sym_GT_GT_EQ] = ACTIONS(4833),
    [anon_sym_AMP_EQ] = ACTIONS(4833),
    [anon_sym_CARET_EQ] = ACTIONS(4833),
    [anon_sym_PIPE_EQ] = ACTIONS(4833),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4833),
    [anon_sym_or] = ACTIONS(4840),
    [anon_sym_and] = ACTIONS(4840),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4840),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4833),
    [anon_sym_PLUS_PLUS] = ACTIONS(4833),
    [anon_sym_DOT] = ACTIONS(4840),
    [anon_sym_DOT_STAR] = ACTIONS(4833),
    [anon_sym_DASH_GT] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
  },
  [2264] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(2265),
    [sym__declarator] = STATE(6454),
    [sym__abstract_declarator] = STATE(6646),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2757),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(2968),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5787),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2757),
    [aux_sym_pointer_declarator_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(6157),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2265] = {
    [sym_ms_based_modifier] = STATE(7995),
    [sym_ms_unaligned_ptr_modifier] = STATE(4029),
    [sym_ms_pointer_modifier] = STATE(3787),
    [sym__declarator] = STATE(6396),
    [sym__abstract_declarator] = STATE(6622),
    [sym_parenthesized_declarator] = STATE(5997),
    [sym_abstract_parenthesized_declarator] = STATE(5978),
    [sym_attributed_declarator] = STATE(5997),
    [sym_pointer_declarator] = STATE(5997),
    [sym_abstract_pointer_declarator] = STATE(5978),
    [sym_function_declarator] = STATE(5997),
    [sym_abstract_function_declarator] = STATE(5978),
    [sym_array_declarator] = STATE(5997),
    [sym_abstract_array_declarator] = STATE(5978),
    [sym_type_qualifier] = STATE(2759),
    [sym_alignas_qualifier] = STATE(4239),
    [sym_parameter_list] = STATE(2968),
    [sym_decltype] = STATE(8077),
    [sym_reference_declarator] = STATE(5997),
    [sym_abstract_reference_declarator] = STATE(5978),
    [sym_structured_binding_declarator] = STATE(5997),
    [sym__function_declarator_seq] = STATE(5963),
    [sym_template_type] = STATE(8077),
    [sym_template_function] = STATE(5997),
    [sym_destructor_name] = STATE(5997),
    [sym_dependent_type_identifier] = STATE(8077),
    [sym__scope_resolution] = STATE(5787),
    [sym_qualified_identifier] = STATE(5997),
    [sym_operator_name] = STATE(5997),
    [aux_sym__type_definition_type_repeat1] = STATE(2759),
    [aux_sym_pointer_declarator_repeat1] = STATE(3787),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5723),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(6157),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2883),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2883),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2883),
    [anon_sym__unaligned] = ACTIONS(2885),
    [anon_sym___unaligned] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym__Nonnull] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [anon_sym_PROGMEM] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_template] = ACTIONS(1241),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_and_eq] = ACTIONS(5602),
    [anon_sym_or_eq] = ACTIONS(5602),
    [anon_sym_xor_eq] = ACTIONS(5602),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
  },
  [2267] = {
    [sym_attribute_declaration] = STATE(2267),
    [aux_sym_attributed_declarator_repeat1] = STATE(2267),
    [sym_identifier] = ACTIONS(6159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6161),
    [anon_sym_COMMA] = ACTIONS(6161),
    [anon_sym_RPAREN] = ACTIONS(6161),
    [aux_sym_preproc_if_token2] = ACTIONS(6161),
    [aux_sym_preproc_else_token1] = ACTIONS(6161),
    [aux_sym_preproc_elif_token1] = ACTIONS(6159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6161),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6161),
    [anon_sym_LPAREN2] = ACTIONS(6161),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6159),
    [anon_sym_SLASH] = ACTIONS(6159),
    [anon_sym_PERCENT] = ACTIONS(6159),
    [anon_sym_PIPE_PIPE] = ACTIONS(6161),
    [anon_sym_AMP_AMP] = ACTIONS(6161),
    [anon_sym_PIPE] = ACTIONS(6159),
    [anon_sym_CARET] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(6159),
    [anon_sym_EQ_EQ] = ACTIONS(6161),
    [anon_sym_BANG_EQ] = ACTIONS(6161),
    [anon_sym_GT] = ACTIONS(6159),
    [anon_sym_GT_EQ] = ACTIONS(6161),
    [anon_sym_LT_EQ] = ACTIONS(6159),
    [anon_sym_LT] = ACTIONS(6159),
    [anon_sym_LT_LT] = ACTIONS(6159),
    [anon_sym_GT_GT] = ACTIONS(6159),
    [anon_sym_SEMI] = ACTIONS(6161),
    [anon_sym___attribute__] = ACTIONS(6159),
    [anon_sym___attribute] = ACTIONS(6159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6163),
    [anon_sym_RBRACE] = ACTIONS(6161),
    [anon_sym_LBRACK] = ACTIONS(6159),
    [anon_sym_RBRACK] = ACTIONS(6161),
    [anon_sym_EQ] = ACTIONS(6159),
    [anon_sym_COLON] = ACTIONS(6161),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_STAR_EQ] = ACTIONS(6161),
    [anon_sym_SLASH_EQ] = ACTIONS(6161),
    [anon_sym_PERCENT_EQ] = ACTIONS(6161),
    [anon_sym_PLUS_EQ] = ACTIONS(6161),
    [anon_sym_DASH_EQ] = ACTIONS(6161),
    [anon_sym_LT_LT_EQ] = ACTIONS(6161),
    [anon_sym_GT_GT_EQ] = ACTIONS(6161),
    [anon_sym_AMP_EQ] = ACTIONS(6161),
    [anon_sym_CARET_EQ] = ACTIONS(6161),
    [anon_sym_PIPE_EQ] = ACTIONS(6161),
    [anon_sym_and_eq] = ACTIONS(6159),
    [anon_sym_or_eq] = ACTIONS(6159),
    [anon_sym_xor_eq] = ACTIONS(6159),
    [anon_sym_LT_EQ_GT] = ACTIONS(6161),
    [anon_sym_or] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(6159),
    [anon_sym_bitor] = ACTIONS(6159),
    [anon_sym_xor] = ACTIONS(6159),
    [anon_sym_bitand] = ACTIONS(6159),
    [anon_sym_not_eq] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6161),
    [anon_sym_PLUS_PLUS] = ACTIONS(6161),
    [anon_sym_DOT] = ACTIONS(6159),
    [anon_sym_DOT_STAR] = ACTIONS(6161),
    [anon_sym_DASH_GT] = ACTIONS(6161),
    [sym_comment] = ACTIONS(3),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5538),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_EQ] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_STAR_EQ] = ACTIONS(5540),
    [anon_sym_SLASH_EQ] = ACTIONS(5540),
    [anon_sym_PERCENT_EQ] = ACTIONS(5540),
    [anon_sym_PLUS_EQ] = ACTIONS(5540),
    [anon_sym_DASH_EQ] = ACTIONS(5540),
    [anon_sym_LT_LT_EQ] = ACTIONS(5540),
    [anon_sym_GT_GT_EQ] = ACTIONS(5540),
    [anon_sym_AMP_EQ] = ACTIONS(5540),
    [anon_sym_CARET_EQ] = ACTIONS(5540),
    [anon_sym_PIPE_EQ] = ACTIONS(5540),
    [anon_sym_and_eq] = ACTIONS(5538),
    [anon_sym_or_eq] = ACTIONS(5538),
    [anon_sym_xor_eq] = ACTIONS(5538),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [aux_sym_preproc_if_token2] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_STAR_EQ] = ACTIONS(5474),
    [anon_sym_SLASH_EQ] = ACTIONS(5474),
    [anon_sym_PERCENT_EQ] = ACTIONS(5474),
    [anon_sym_PLUS_EQ] = ACTIONS(5474),
    [anon_sym_DASH_EQ] = ACTIONS(5474),
    [anon_sym_LT_LT_EQ] = ACTIONS(5474),
    [anon_sym_GT_GT_EQ] = ACTIONS(5474),
    [anon_sym_AMP_EQ] = ACTIONS(5474),
    [anon_sym_CARET_EQ] = ACTIONS(5474),
    [anon_sym_PIPE_EQ] = ACTIONS(5474),
    [anon_sym_and_eq] = ACTIONS(5472),
    [anon_sym_or_eq] = ACTIONS(5472),
    [anon_sym_xor_eq] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
  },
  [2270] = {
    [sym_argument_list] = STATE(2457),
    [sym_initializer_list] = STATE(2457),
    [sym_identifier] = ACTIONS(6166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6168),
    [anon_sym_COMMA] = ACTIONS(6168),
    [anon_sym_RPAREN] = ACTIONS(6168),
    [aux_sym_preproc_if_token2] = ACTIONS(6168),
    [aux_sym_preproc_else_token1] = ACTIONS(6168),
    [aux_sym_preproc_elif_token1] = ACTIONS(6166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(6166),
    [anon_sym_STAR] = ACTIONS(6166),
    [anon_sym_SLASH] = ACTIONS(6166),
    [anon_sym_PERCENT] = ACTIONS(6166),
    [anon_sym_PIPE_PIPE] = ACTIONS(6168),
    [anon_sym_AMP_AMP] = ACTIONS(6168),
    [anon_sym_PIPE] = ACTIONS(6166),
    [anon_sym_CARET] = ACTIONS(6166),
    [anon_sym_AMP] = ACTIONS(6166),
    [anon_sym_EQ_EQ] = ACTIONS(6168),
    [anon_sym_BANG_EQ] = ACTIONS(6168),
    [anon_sym_GT] = ACTIONS(6166),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_LT_EQ] = ACTIONS(6166),
    [anon_sym_LT] = ACTIONS(6166),
    [anon_sym_LT_LT] = ACTIONS(6166),
    [anon_sym_GT_GT] = ACTIONS(6166),
    [anon_sym_SEMI] = ACTIONS(6168),
    [anon_sym___attribute__] = ACTIONS(6166),
    [anon_sym___attribute] = ACTIONS(6166),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(6168),
    [anon_sym_LBRACK] = ACTIONS(6168),
    [anon_sym_RBRACK] = ACTIONS(6168),
    [anon_sym_EQ] = ACTIONS(6166),
    [anon_sym_COLON] = ACTIONS(6168),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_STAR_EQ] = ACTIONS(6168),
    [anon_sym_SLASH_EQ] = ACTIONS(6168),
    [anon_sym_PERCENT_EQ] = ACTIONS(6168),
    [anon_sym_PLUS_EQ] = ACTIONS(6168),
    [anon_sym_DASH_EQ] = ACTIONS(6168),
    [anon_sym_LT_LT_EQ] = ACTIONS(6168),
    [anon_sym_GT_GT_EQ] = ACTIONS(6168),
    [anon_sym_AMP_EQ] = ACTIONS(6168),
    [anon_sym_CARET_EQ] = ACTIONS(6168),
    [anon_sym_PIPE_EQ] = ACTIONS(6168),
    [anon_sym_and_eq] = ACTIONS(6166),
    [anon_sym_or_eq] = ACTIONS(6166),
    [anon_sym_xor_eq] = ACTIONS(6166),
    [anon_sym_LT_EQ_GT] = ACTIONS(6168),
    [anon_sym_or] = ACTIONS(6166),
    [anon_sym_and] = ACTIONS(6166),
    [anon_sym_bitor] = ACTIONS(6166),
    [anon_sym_xor] = ACTIONS(6166),
    [anon_sym_bitand] = ACTIONS(6166),
    [anon_sym_not_eq] = ACTIONS(6166),
    [anon_sym_DASH_DASH] = ACTIONS(6168),
    [anon_sym_PLUS_PLUS] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(6166),
    [anon_sym_DOT_STAR] = ACTIONS(6168),
    [anon_sym_DASH_GT] = ACTIONS(6168),
    [sym_comment] = ACTIONS(3),
  },
  [2271] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___attribute] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_EQ] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_STAR_EQ] = ACTIONS(5552),
    [anon_sym_SLASH_EQ] = ACTIONS(5552),
    [anon_sym_PERCENT_EQ] = ACTIONS(5552),
    [anon_sym_PLUS_EQ] = ACTIONS(5552),
    [anon_sym_DASH_EQ] = ACTIONS(5552),
    [anon_sym_LT_LT_EQ] = ACTIONS(5552),
    [anon_sym_GT_GT_EQ] = ACTIONS(5552),
    [anon_sym_AMP_EQ] = ACTIONS(5552),
    [anon_sym_CARET_EQ] = ACTIONS(5552),
    [anon_sym_PIPE_EQ] = ACTIONS(5552),
    [anon_sym_and_eq] = ACTIONS(5550),
    [anon_sym_or_eq] = ACTIONS(5550),
    [anon_sym_xor_eq] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [aux_sym_preproc_if_token2] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_and_eq] = ACTIONS(5492),
    [anon_sym_or_eq] = ACTIONS(5492),
    [anon_sym_xor_eq] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6172),
    [anon_sym_COMMA] = ACTIONS(6172),
    [anon_sym_RPAREN] = ACTIONS(6172),
    [aux_sym_preproc_if_token2] = ACTIONS(6172),
    [aux_sym_preproc_else_token1] = ACTIONS(6172),
    [aux_sym_preproc_elif_token1] = ACTIONS(6170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6172),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6170),
    [anon_sym_STAR] = ACTIONS(6170),
    [anon_sym_SLASH] = ACTIONS(6170),
    [anon_sym_PERCENT] = ACTIONS(6170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_PIPE] = ACTIONS(6170),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_EQ_EQ] = ACTIONS(6172),
    [anon_sym_BANG_EQ] = ACTIONS(6172),
    [anon_sym_GT] = ACTIONS(6170),
    [anon_sym_GT_EQ] = ACTIONS(6172),
    [anon_sym_LT_EQ] = ACTIONS(6170),
    [anon_sym_LT] = ACTIONS(6170),
    [anon_sym_LT_LT] = ACTIONS(6170),
    [anon_sym_GT_GT] = ACTIONS(6170),
    [anon_sym_SEMI] = ACTIONS(6172),
    [anon_sym___attribute__] = ACTIONS(6170),
    [anon_sym___attribute] = ACTIONS(6170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6172),
    [anon_sym_LBRACE] = ACTIONS(6172),
    [anon_sym_RBRACE] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6170),
    [anon_sym_RBRACK] = ACTIONS(6172),
    [anon_sym_EQ] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6172),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_STAR_EQ] = ACTIONS(6172),
    [anon_sym_SLASH_EQ] = ACTIONS(6172),
    [anon_sym_PERCENT_EQ] = ACTIONS(6172),
    [anon_sym_PLUS_EQ] = ACTIONS(6172),
    [anon_sym_DASH_EQ] = ACTIONS(6172),
    [anon_sym_LT_LT_EQ] = ACTIONS(6172),
    [anon_sym_GT_GT_EQ] = ACTIONS(6172),
    [anon_sym_AMP_EQ] = ACTIONS(6172),
    [anon_sym_CARET_EQ] = ACTIONS(6172),
    [anon_sym_PIPE_EQ] = ACTIONS(6172),
    [anon_sym_and_eq] = ACTIONS(6170),
    [anon_sym_or_eq] = ACTIONS(6170),
    [anon_sym_xor_eq] = ACTIONS(6170),
    [anon_sym_LT_EQ_GT] = ACTIONS(6172),
    [anon_sym_or] = ACTIONS(6170),
    [anon_sym_and] = ACTIONS(6170),
    [anon_sym_bitor] = ACTIONS(6170),
    [anon_sym_xor] = ACTIONS(6170),
    [anon_sym_bitand] = ACTIONS(6170),
    [anon_sym_not_eq] = ACTIONS(6170),
    [anon_sym_DASH_DASH] = ACTIONS(6172),
    [anon_sym_PLUS_PLUS] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6170),
    [anon_sym_DOT_STAR] = ACTIONS(6172),
    [anon_sym_DASH_GT] = ACTIONS(6172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6170),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(6174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6176),
    [anon_sym_COMMA] = ACTIONS(6176),
    [anon_sym_RPAREN] = ACTIONS(6176),
    [aux_sym_preproc_if_token2] = ACTIONS(6176),
    [aux_sym_preproc_else_token1] = ACTIONS(6176),
    [aux_sym_preproc_elif_token1] = ACTIONS(6174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(6176),
    [anon_sym_DASH] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_STAR] = ACTIONS(6174),
    [anon_sym_SLASH] = ACTIONS(6174),
    [anon_sym_PERCENT] = ACTIONS(6174),
    [anon_sym_PIPE_PIPE] = ACTIONS(6176),
    [anon_sym_AMP_AMP] = ACTIONS(6176),
    [anon_sym_PIPE] = ACTIONS(6174),
    [anon_sym_CARET] = ACTIONS(6174),
    [anon_sym_AMP] = ACTIONS(6174),
    [anon_sym_EQ_EQ] = ACTIONS(6176),
    [anon_sym_BANG_EQ] = ACTIONS(6176),
    [anon_sym_GT] = ACTIONS(6174),
    [anon_sym_GT_EQ] = ACTIONS(6176),
    [anon_sym_LT_EQ] = ACTIONS(6174),
    [anon_sym_LT] = ACTIONS(6174),
    [anon_sym_LT_LT] = ACTIONS(6174),
    [anon_sym_GT_GT] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6176),
    [anon_sym___attribute__] = ACTIONS(6174),
    [anon_sym___attribute] = ACTIONS(6174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6176),
    [anon_sym_LBRACE] = ACTIONS(6176),
    [anon_sym_RBRACE] = ACTIONS(6176),
    [anon_sym_LBRACK] = ACTIONS(6174),
    [anon_sym_RBRACK] = ACTIONS(6176),
    [anon_sym_EQ] = ACTIONS(6174),
    [anon_sym_COLON] = ACTIONS(6176),
    [anon_sym_QMARK] = ACTIONS(6176),
    [anon_sym_STAR_EQ] = ACTIONS(6176),
    [anon_sym_SLASH_EQ] = ACTIONS(6176),
    [anon_sym_PERCENT_EQ] = ACTIONS(6176),
    [anon_sym_PLUS_EQ] = ACTIONS(6176),
    [anon_sym_DASH_EQ] = ACTIONS(6176),
    [anon_sym_LT_LT_EQ] = ACTIONS(6176),
    [anon_sym_GT_GT_EQ] = ACTIONS(6176),
    [anon_sym_AMP_EQ] = ACTIONS(6176),
    [anon_sym_CARET_EQ] = ACTIONS(6176),
    [anon_sym_PIPE_EQ] = ACTIONS(6176),
    [anon_sym_and_eq] = ACTIONS(6174),
    [anon_sym_or_eq] = ACTIONS(6174),
    [anon_sym_xor_eq] = ACTIONS(6174),
    [anon_sym_LT_EQ_GT] = ACTIONS(6176),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_and] = ACTIONS(6174),
    [anon_sym_bitor] = ACTIONS(6174),
    [anon_sym_xor] = ACTIONS(6174),
    [anon_sym_bitand] = ACTIONS(6174),
    [anon_sym_not_eq] = ACTIONS(6174),
    [anon_sym_DASH_DASH] = ACTIONS(6176),
    [anon_sym_PLUS_PLUS] = ACTIONS(6176),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_DOT_STAR] = ACTIONS(6176),
    [anon_sym_DASH_GT] = ACTIONS(6176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6174),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(5610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5610),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_CARET] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5610),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5610),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym___attribute] = ACTIONS(5610),
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_EQ] = ACTIONS(5610),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_STAR_EQ] = ACTIONS(5612),
    [anon_sym_SLASH_EQ] = ACTIONS(5612),
    [anon_sym_PERCENT_EQ] = ACTIONS(5612),
    [anon_sym_PLUS_EQ] = ACTIONS(5612),
    [anon_sym_DASH_EQ] = ACTIONS(5612),
    [anon_sym_LT_LT_EQ] = ACTIONS(5612),
    [anon_sym_GT_GT_EQ] = ACTIONS(5612),
    [anon_sym_AMP_EQ] = ACTIONS(5612),
    [anon_sym_CARET_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_and_eq] = ACTIONS(5610),
    [anon_sym_or_eq] = ACTIONS(5610),
    [anon_sym_xor_eq] = ACTIONS(5610),
    [anon_sym_LT_EQ_GT] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_and] = ACTIONS(5610),
    [anon_sym_bitor] = ACTIONS(5610),
    [anon_sym_xor] = ACTIONS(5610),
    [anon_sym_bitand] = ACTIONS(5610),
    [anon_sym_not_eq] = ACTIONS(5610),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_DOT_STAR] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(6178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6180),
    [anon_sym_COMMA] = ACTIONS(6180),
    [anon_sym_RPAREN] = ACTIONS(6180),
    [aux_sym_preproc_if_token2] = ACTIONS(6180),
    [aux_sym_preproc_else_token1] = ACTIONS(6180),
    [aux_sym_preproc_elif_token1] = ACTIONS(6178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6180),
    [anon_sym_LPAREN2] = ACTIONS(6180),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_STAR] = ACTIONS(6178),
    [anon_sym_SLASH] = ACTIONS(6178),
    [anon_sym_PERCENT] = ACTIONS(6178),
    [anon_sym_PIPE_PIPE] = ACTIONS(6180),
    [anon_sym_AMP_AMP] = ACTIONS(6180),
    [anon_sym_PIPE] = ACTIONS(6178),
    [anon_sym_CARET] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(6178),
    [anon_sym_EQ_EQ] = ACTIONS(6180),
    [anon_sym_BANG_EQ] = ACTIONS(6180),
    [anon_sym_GT] = ACTIONS(6178),
    [anon_sym_GT_EQ] = ACTIONS(6180),
    [anon_sym_LT_EQ] = ACTIONS(6178),
    [anon_sym_LT] = ACTIONS(6178),
    [anon_sym_LT_LT] = ACTIONS(6178),
    [anon_sym_GT_GT] = ACTIONS(6178),
    [anon_sym_SEMI] = ACTIONS(6180),
    [anon_sym___attribute__] = ACTIONS(6178),
    [anon_sym___attribute] = ACTIONS(6178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6180),
    [anon_sym_LBRACE] = ACTIONS(6180),
    [anon_sym_RBRACE] = ACTIONS(6180),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_RBRACK] = ACTIONS(6180),
    [anon_sym_EQ] = ACTIONS(6178),
    [anon_sym_COLON] = ACTIONS(6180),
    [anon_sym_QMARK] = ACTIONS(6180),
    [anon_sym_STAR_EQ] = ACTIONS(6180),
    [anon_sym_SLASH_EQ] = ACTIONS(6180),
    [anon_sym_PERCENT_EQ] = ACTIONS(6180),
    [anon_sym_PLUS_EQ] = ACTIONS(6180),
    [anon_sym_DASH_EQ] = ACTIONS(6180),
    [anon_sym_LT_LT_EQ] = ACTIONS(6180),
    [anon_sym_GT_GT_EQ] = ACTIONS(6180),
    [anon_sym_AMP_EQ] = ACTIONS(6180),
    [anon_sym_CARET_EQ] = ACTIONS(6180),
    [anon_sym_PIPE_EQ] = ACTIONS(6180),
    [anon_sym_and_eq] = ACTIONS(6178),
    [anon_sym_or_eq] = ACTIONS(6178),
    [anon_sym_xor_eq] = ACTIONS(6178),
    [anon_sym_LT_EQ_GT] = ACTIONS(6180),
    [anon_sym_or] = ACTIONS(6178),
    [anon_sym_and] = ACTIONS(6178),
    [anon_sym_bitor] = ACTIONS(6178),
    [anon_sym_xor] = ACTIONS(6178),
    [anon_sym_bitand] = ACTIONS(6178),
    [anon_sym_not_eq] = ACTIONS(6178),
    [anon_sym_DASH_DASH] = ACTIONS(6180),
    [anon_sym_PLUS_PLUS] = ACTIONS(6180),
    [anon_sym_DOT] = ACTIONS(6178),
    [anon_sym_DOT_STAR] = ACTIONS(6180),
    [anon_sym_DASH_GT] = ACTIONS(6180),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6178),
  },
  [2277] = {
    [sym_argument_list] = STATE(2469),
    [sym_initializer_list] = STATE(2469),
    [sym_identifier] = ACTIONS(6182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6184),
    [anon_sym_COMMA] = ACTIONS(6184),
    [anon_sym_RPAREN] = ACTIONS(6184),
    [aux_sym_preproc_if_token2] = ACTIONS(6184),
    [aux_sym_preproc_else_token1] = ACTIONS(6184),
    [aux_sym_preproc_elif_token1] = ACTIONS(6182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6184),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(6182),
    [anon_sym_PLUS] = ACTIONS(6182),
    [anon_sym_STAR] = ACTIONS(6182),
    [anon_sym_SLASH] = ACTIONS(6182),
    [anon_sym_PERCENT] = ACTIONS(6182),
    [anon_sym_PIPE_PIPE] = ACTIONS(6184),
    [anon_sym_AMP_AMP] = ACTIONS(6184),
    [anon_sym_PIPE] = ACTIONS(6182),
    [anon_sym_CARET] = ACTIONS(6182),
    [anon_sym_AMP] = ACTIONS(6182),
    [anon_sym_EQ_EQ] = ACTIONS(6184),
    [anon_sym_BANG_EQ] = ACTIONS(6184),
    [anon_sym_GT] = ACTIONS(6182),
    [anon_sym_GT_EQ] = ACTIONS(6184),
    [anon_sym_LT_EQ] = ACTIONS(6182),
    [anon_sym_LT] = ACTIONS(6182),
    [anon_sym_LT_LT] = ACTIONS(6182),
    [anon_sym_GT_GT] = ACTIONS(6182),
    [anon_sym_SEMI] = ACTIONS(6184),
    [anon_sym___attribute__] = ACTIONS(6182),
    [anon_sym___attribute] = ACTIONS(6182),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(6184),
    [anon_sym_LBRACK] = ACTIONS(6184),
    [anon_sym_RBRACK] = ACTIONS(6184),
    [anon_sym_EQ] = ACTIONS(6182),
    [anon_sym_COLON] = ACTIONS(6184),
    [anon_sym_QMARK] = ACTIONS(6184),
    [anon_sym_STAR_EQ] = ACTIONS(6184),
    [anon_sym_SLASH_EQ] = ACTIONS(6184),
    [anon_sym_PERCENT_EQ] = ACTIONS(6184),
    [anon_sym_PLUS_EQ] = ACTIONS(6184),
    [anon_sym_DASH_EQ] = ACTIONS(6184),
    [anon_sym_LT_LT_EQ] = ACTIONS(6184),
    [anon_sym_GT_GT_EQ] = ACTIONS(6184),
    [anon_sym_AMP_EQ] = ACTIONS(6184),
    [anon_sym_CARET_EQ] = ACTIONS(6184),
    [anon_sym_PIPE_EQ] = ACTIONS(6184),
    [anon_sym_and_eq] = ACTIONS(6182),
    [anon_sym_or_eq] = ACTIONS(6182),
    [anon_sym_xor_eq] = ACTIONS(6182),
    [anon_sym_LT_EQ_GT] = ACTIONS(6184),
    [anon_sym_or] = ACTIONS(6182),
    [anon_sym_and] = ACTIONS(6182),
    [anon_sym_bitor] = ACTIONS(6182),
    [anon_sym_xor] = ACTIONS(6182),
    [anon_sym_bitand] = ACTIONS(6182),
    [anon_sym_not_eq] = ACTIONS(6182),
    [anon_sym_DASH_DASH] = ACTIONS(6184),
    [anon_sym_PLUS_PLUS] = ACTIONS(6184),
    [anon_sym_DOT] = ACTIONS(6182),
    [anon_sym_DOT_STAR] = ACTIONS(6184),
    [anon_sym_DASH_GT] = ACTIONS(6184),
    [sym_comment] = ACTIONS(3),
  },
  [2278] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [aux_sym_preproc_if_token2] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___attribute] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_and_eq] = ACTIONS(5496),
    [anon_sym_or_eq] = ACTIONS(5496),
    [anon_sym_xor_eq] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [aux_sym_preproc_if_token2] = ACTIONS(5502),
    [aux_sym_preproc_else_token1] = ACTIONS(5502),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym___attribute] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_and_eq] = ACTIONS(5500),
    [anon_sym_or_eq] = ACTIONS(5500),
    [anon_sym_xor_eq] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
  },
  [2280] = {
    [sym_argument_list] = STATE(2482),
    [sym_initializer_list] = STATE(2482),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6188),
    [anon_sym_COMMA] = ACTIONS(6188),
    [anon_sym_RPAREN] = ACTIONS(6188),
    [aux_sym_preproc_if_token2] = ACTIONS(6188),
    [aux_sym_preproc_else_token1] = ACTIONS(6188),
    [aux_sym_preproc_elif_token1] = ACTIONS(6186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6188),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(6186),
    [anon_sym_PLUS] = ACTIONS(6186),
    [anon_sym_STAR] = ACTIONS(6186),
    [anon_sym_SLASH] = ACTIONS(6186),
    [anon_sym_PERCENT] = ACTIONS(6186),
    [anon_sym_PIPE_PIPE] = ACTIONS(6188),
    [anon_sym_AMP_AMP] = ACTIONS(6188),
    [anon_sym_PIPE] = ACTIONS(6186),
    [anon_sym_CARET] = ACTIONS(6186),
    [anon_sym_AMP] = ACTIONS(6186),
    [anon_sym_EQ_EQ] = ACTIONS(6188),
    [anon_sym_BANG_EQ] = ACTIONS(6188),
    [anon_sym_GT] = ACTIONS(6186),
    [anon_sym_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_EQ] = ACTIONS(6186),
    [anon_sym_LT] = ACTIONS(6186),
    [anon_sym_LT_LT] = ACTIONS(6186),
    [anon_sym_GT_GT] = ACTIONS(6186),
    [anon_sym_SEMI] = ACTIONS(6188),
    [anon_sym___attribute__] = ACTIONS(6186),
    [anon_sym___attribute] = ACTIONS(6186),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(6188),
    [anon_sym_LBRACK] = ACTIONS(6188),
    [anon_sym_RBRACK] = ACTIONS(6188),
    [anon_sym_EQ] = ACTIONS(6186),
    [anon_sym_COLON] = ACTIONS(6188),
    [anon_sym_QMARK] = ACTIONS(6188),
    [anon_sym_STAR_EQ] = ACTIONS(6188),
    [anon_sym_SLASH_EQ] = ACTIONS(6188),
    [anon_sym_PERCENT_EQ] = ACTIONS(6188),
    [anon_sym_PLUS_EQ] = ACTIONS(6188),
    [anon_sym_DASH_EQ] = ACTIONS(6188),
    [anon_sym_LT_LT_EQ] = ACTIONS(6188),
    [anon_sym_GT_GT_EQ] = ACTIONS(6188),
    [anon_sym_AMP_EQ] = ACTIONS(6188),
    [anon_sym_CARET_EQ] = ACTIONS(6188),
    [anon_sym_PIPE_EQ] = ACTIONS(6188),
    [anon_sym_and_eq] = ACTIONS(6186),
    [anon_sym_or_eq] = ACTIONS(6186),
    [anon_sym_xor_eq] = ACTIONS(6186),
    [anon_sym_LT_EQ_GT] = ACTIONS(6188),
    [anon_sym_or] = ACTIONS(6186),
    [anon_sym_and] = ACTIONS(6186),
    [anon_sym_bitor] = ACTIONS(6186),
    [anon_sym_xor] = ACTIONS(6186),
    [anon_sym_bitand] = ACTIONS(6186),
    [anon_sym_not_eq] = ACTIONS(6186),
    [anon_sym_DASH_DASH] = ACTIONS(6188),
    [anon_sym_PLUS_PLUS] = ACTIONS(6188),
    [anon_sym_DOT] = ACTIONS(6186),
    [anon_sym_DOT_STAR] = ACTIONS(6188),
    [anon_sym_DASH_GT] = ACTIONS(6188),
    [sym_comment] = ACTIONS(3),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(6190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6192),
    [anon_sym_COMMA] = ACTIONS(6192),
    [anon_sym_RPAREN] = ACTIONS(6192),
    [aux_sym_preproc_if_token2] = ACTIONS(6192),
    [aux_sym_preproc_else_token1] = ACTIONS(6192),
    [aux_sym_preproc_elif_token1] = ACTIONS(6190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6192),
    [anon_sym_LPAREN2] = ACTIONS(6192),
    [anon_sym_DASH] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6190),
    [anon_sym_STAR] = ACTIONS(6190),
    [anon_sym_SLASH] = ACTIONS(6190),
    [anon_sym_PERCENT] = ACTIONS(6190),
    [anon_sym_PIPE_PIPE] = ACTIONS(6192),
    [anon_sym_AMP_AMP] = ACTIONS(6192),
    [anon_sym_PIPE] = ACTIONS(6190),
    [anon_sym_CARET] = ACTIONS(6190),
    [anon_sym_AMP] = ACTIONS(6190),
    [anon_sym_EQ_EQ] = ACTIONS(6192),
    [anon_sym_BANG_EQ] = ACTIONS(6192),
    [anon_sym_GT] = ACTIONS(6190),
    [anon_sym_GT_EQ] = ACTIONS(6192),
    [anon_sym_LT_EQ] = ACTIONS(6190),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_LT_LT] = ACTIONS(6190),
    [anon_sym_GT_GT] = ACTIONS(6190),
    [anon_sym_SEMI] = ACTIONS(6192),
    [anon_sym___attribute__] = ACTIONS(6190),
    [anon_sym___attribute] = ACTIONS(6190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6192),
    [anon_sym_LBRACE] = ACTIONS(6192),
    [anon_sym_RBRACE] = ACTIONS(6192),
    [anon_sym_LBRACK] = ACTIONS(6190),
    [anon_sym_RBRACK] = ACTIONS(6192),
    [anon_sym_EQ] = ACTIONS(6190),
    [anon_sym_COLON] = ACTIONS(6192),
    [anon_sym_QMARK] = ACTIONS(6192),
    [anon_sym_STAR_EQ] = ACTIONS(6192),
    [anon_sym_SLASH_EQ] = ACTIONS(6192),
    [anon_sym_PERCENT_EQ] = ACTIONS(6192),
    [anon_sym_PLUS_EQ] = ACTIONS(6192),
    [anon_sym_DASH_EQ] = ACTIONS(6192),
    [anon_sym_LT_LT_EQ] = ACTIONS(6192),
    [anon_sym_GT_GT_EQ] = ACTIONS(6192),
    [anon_sym_AMP_EQ] = ACTIONS(6192),
    [anon_sym_CARET_EQ] = ACTIONS(6192),
    [anon_sym_PIPE_EQ] = ACTIONS(6192),
    [anon_sym_and_eq] = ACTIONS(6190),
    [anon_sym_or_eq] = ACTIONS(6190),
    [anon_sym_xor_eq] = ACTIONS(6190),
    [anon_sym_LT_EQ_GT] = ACTIONS(6192),
    [anon_sym_or] = ACTIONS(6190),
    [anon_sym_and] = ACTIONS(6190),
    [anon_sym_bitor] = ACTIONS(6190),
    [anon_sym_xor] = ACTIONS(6190),
    [anon_sym_bitand] = ACTIONS(6190),
    [anon_sym_not_eq] = ACTIONS(6190),
    [anon_sym_DASH_DASH] = ACTIONS(6192),
    [anon_sym_PLUS_PLUS] = ACTIONS(6192),
    [anon_sym_DOT] = ACTIONS(6190),
    [anon_sym_DOT_STAR] = ACTIONS(6192),
    [anon_sym_DASH_GT] = ACTIONS(6192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6190),
  },
  [2282] = {
    [sym_argument_list] = STATE(2484),
    [sym_initializer_list] = STATE(2484),
    [sym_identifier] = ACTIONS(6194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6196),
    [anon_sym_COMMA] = ACTIONS(6196),
    [anon_sym_RPAREN] = ACTIONS(6196),
    [aux_sym_preproc_if_token2] = ACTIONS(6196),
    [aux_sym_preproc_else_token1] = ACTIONS(6196),
    [aux_sym_preproc_elif_token1] = ACTIONS(6194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6196),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(6194),
    [anon_sym_PLUS] = ACTIONS(6194),
    [anon_sym_STAR] = ACTIONS(6194),
    [anon_sym_SLASH] = ACTIONS(6194),
    [anon_sym_PERCENT] = ACTIONS(6194),
    [anon_sym_PIPE_PIPE] = ACTIONS(6196),
    [anon_sym_AMP_AMP] = ACTIONS(6196),
    [anon_sym_PIPE] = ACTIONS(6194),
    [anon_sym_CARET] = ACTIONS(6194),
    [anon_sym_AMP] = ACTIONS(6194),
    [anon_sym_EQ_EQ] = ACTIONS(6196),
    [anon_sym_BANG_EQ] = ACTIONS(6196),
    [anon_sym_GT] = ACTIONS(6194),
    [anon_sym_GT_EQ] = ACTIONS(6196),
    [anon_sym_LT_EQ] = ACTIONS(6194),
    [anon_sym_LT] = ACTIONS(6194),
    [anon_sym_LT_LT] = ACTIONS(6194),
    [anon_sym_GT_GT] = ACTIONS(6194),
    [anon_sym_SEMI] = ACTIONS(6196),
    [anon_sym___attribute__] = ACTIONS(6194),
    [anon_sym___attribute] = ACTIONS(6194),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(6196),
    [anon_sym_LBRACK] = ACTIONS(6196),
    [anon_sym_RBRACK] = ACTIONS(6196),
    [anon_sym_EQ] = ACTIONS(6194),
    [anon_sym_COLON] = ACTIONS(6196),
    [anon_sym_QMARK] = ACTIONS(6196),
    [anon_sym_STAR_EQ] = ACTIONS(6196),
    [anon_sym_SLASH_EQ] = ACTIONS(6196),
    [anon_sym_PERCENT_EQ] = ACTIONS(6196),
    [anon_sym_PLUS_EQ] = ACTIONS(6196),
    [anon_sym_DASH_EQ] = ACTIONS(6196),
    [anon_sym_LT_LT_EQ] = ACTIONS(6196),
    [anon_sym_GT_GT_EQ] = ACTIONS(6196),
    [anon_sym_AMP_EQ] = ACTIONS(6196),
    [anon_sym_CARET_EQ] = ACTIONS(6196),
    [anon_sym_PIPE_EQ] = ACTIONS(6196),
    [anon_sym_and_eq] = ACTIONS(6194),
    [anon_sym_or_eq] = ACTIONS(6194),
    [anon_sym_xor_eq] = ACTIONS(6194),
    [anon_sym_LT_EQ_GT] = ACTIONS(6196),
    [anon_sym_or] = ACTIONS(6194),
    [anon_sym_and] = ACTIONS(6194),
    [anon_sym_bitor] = ACTIONS(6194),
    [anon_sym_xor] = ACTIONS(6194),
    [anon_sym_bitand] = ACTIONS(6194),
    [anon_sym_not_eq] = ACTIONS(6194),
    [anon_sym_DASH_DASH] = ACTIONS(6196),
    [anon_sym_PLUS_PLUS] = ACTIONS(6196),
    [anon_sym_DOT] = ACTIONS(6194),
    [anon_sym_DOT_STAR] = ACTIONS(6196),
    [anon_sym_DASH_GT] = ACTIONS(6196),
    [sym_comment] = ACTIONS(3),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [aux_sym_preproc_if_token2] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_and_eq] = ACTIONS(5492),
    [anon_sym_or_eq] = ACTIONS(5492),
    [anon_sym_xor_eq] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
  },
  [2284] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5649),
    [anon_sym_COMMA] = ACTIONS(5649),
    [anon_sym_RPAREN] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_DASH] = ACTIONS(5647),
    [anon_sym_PLUS] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_SLASH] = ACTIONS(5647),
    [anon_sym_PERCENT] = ACTIONS(5647),
    [anon_sym_PIPE_PIPE] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_PIPE] = ACTIONS(5647),
    [anon_sym_CARET] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym_EQ_EQ] = ACTIONS(5649),
    [anon_sym_BANG_EQ] = ACTIONS(5649),
    [anon_sym_GT] = ACTIONS(5647),
    [anon_sym_GT_EQ] = ACTIONS(5649),
    [anon_sym_LT_EQ] = ACTIONS(5647),
    [anon_sym_LT] = ACTIONS(5647),
    [anon_sym_LT_LT] = ACTIONS(5647),
    [anon_sym_GT_GT] = ACTIONS(5647),
    [anon_sym_SEMI] = ACTIONS(5649),
    [anon_sym_RBRACE] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_RBRACK] = ACTIONS(5649),
    [anon_sym_EQ] = ACTIONS(5647),
    [anon_sym_COLON] = ACTIONS(5649),
    [anon_sym_QMARK] = ACTIONS(5649),
    [anon_sym_STAR_EQ] = ACTIONS(5649),
    [anon_sym_SLASH_EQ] = ACTIONS(5649),
    [anon_sym_PERCENT_EQ] = ACTIONS(5649),
    [anon_sym_PLUS_EQ] = ACTIONS(5649),
    [anon_sym_DASH_EQ] = ACTIONS(5649),
    [anon_sym_LT_LT_EQ] = ACTIONS(5649),
    [anon_sym_GT_GT_EQ] = ACTIONS(5649),
    [anon_sym_AMP_EQ] = ACTIONS(5649),
    [anon_sym_CARET_EQ] = ACTIONS(5649),
    [anon_sym_PIPE_EQ] = ACTIONS(5649),
    [anon_sym_and_eq] = ACTIONS(5647),
    [anon_sym_or_eq] = ACTIONS(5647),
    [anon_sym_xor_eq] = ACTIONS(5647),
    [anon_sym_LT_EQ_GT] = ACTIONS(5649),
    [anon_sym_or] = ACTIONS(5647),
    [anon_sym_and] = ACTIONS(5647),
    [anon_sym_bitor] = ACTIONS(5647),
    [anon_sym_xor] = ACTIONS(5647),
    [anon_sym_bitand] = ACTIONS(5647),
    [anon_sym_not_eq] = ACTIONS(5647),
    [anon_sym_DASH_DASH] = ACTIONS(5649),
    [anon_sym_PLUS_PLUS] = ACTIONS(5649),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_DOT_STAR] = ACTIONS(5649),
    [anon_sym_DASH_GT] = ACTIONS(5649),
    [anon_sym_L_DQUOTE] = ACTIONS(5649),
    [anon_sym_u_DQUOTE] = ACTIONS(5649),
    [anon_sym_U_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8_DQUOTE] = ACTIONS(5649),
    [anon_sym_DQUOTE] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5649),
    [anon_sym_LR_DQUOTE] = ACTIONS(5649),
    [anon_sym_uR_DQUOTE] = ACTIONS(5649),
    [anon_sym_UR_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5649),
    [sym_literal_suffix] = ACTIONS(5647),
  },
  [2285] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5651),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5651),
    [anon_sym_GT_GT] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_EQ] = ACTIONS(5651),
    [anon_sym_COLON] = ACTIONS(5653),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_STAR_EQ] = ACTIONS(5653),
    [anon_sym_SLASH_EQ] = ACTIONS(5653),
    [anon_sym_PERCENT_EQ] = ACTIONS(5653),
    [anon_sym_PLUS_EQ] = ACTIONS(5653),
    [anon_sym_DASH_EQ] = ACTIONS(5653),
    [anon_sym_LT_LT_EQ] = ACTIONS(5653),
    [anon_sym_GT_GT_EQ] = ACTIONS(5653),
    [anon_sym_AMP_EQ] = ACTIONS(5653),
    [anon_sym_CARET_EQ] = ACTIONS(5653),
    [anon_sym_PIPE_EQ] = ACTIONS(5653),
    [anon_sym_and_eq] = ACTIONS(5651),
    [anon_sym_or_eq] = ACTIONS(5651),
    [anon_sym_xor_eq] = ACTIONS(5651),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [anon_sym_L_DQUOTE] = ACTIONS(5653),
    [anon_sym_u_DQUOTE] = ACTIONS(5653),
    [anon_sym_U_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8_DQUOTE] = ACTIONS(5653),
    [anon_sym_DQUOTE] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5653),
    [anon_sym_LR_DQUOTE] = ACTIONS(5653),
    [anon_sym_uR_DQUOTE] = ACTIONS(5653),
    [anon_sym_UR_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5653),
    [sym_literal_suffix] = ACTIONS(5651),
  },
  [2286] = {
    [sym_identifier] = ACTIONS(5574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_RPAREN] = ACTIONS(5576),
    [aux_sym_preproc_if_token2] = ACTIONS(5576),
    [aux_sym_preproc_else_token1] = ACTIONS(5576),
    [aux_sym_preproc_elif_token1] = ACTIONS(5574),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5576),
    [anon_sym_LPAREN2] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5574),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5574),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_CARET] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5574),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5574),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym_LBRACE] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_RBRACK] = ACTIONS(5576),
    [anon_sym_EQ] = ACTIONS(5574),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5576),
    [anon_sym_STAR_EQ] = ACTIONS(5576),
    [anon_sym_SLASH_EQ] = ACTIONS(5576),
    [anon_sym_PERCENT_EQ] = ACTIONS(5576),
    [anon_sym_PLUS_EQ] = ACTIONS(5576),
    [anon_sym_DASH_EQ] = ACTIONS(5576),
    [anon_sym_LT_LT_EQ] = ACTIONS(5576),
    [anon_sym_GT_GT_EQ] = ACTIONS(5576),
    [anon_sym_AMP_EQ] = ACTIONS(5576),
    [anon_sym_CARET_EQ] = ACTIONS(5576),
    [anon_sym_PIPE_EQ] = ACTIONS(5576),
    [anon_sym_and_eq] = ACTIONS(5574),
    [anon_sym_or_eq] = ACTIONS(5574),
    [anon_sym_xor_eq] = ACTIONS(5574),
    [anon_sym_LT_EQ_GT] = ACTIONS(5576),
    [anon_sym_or] = ACTIONS(5574),
    [anon_sym_and] = ACTIONS(5574),
    [anon_sym_bitor] = ACTIONS(5574),
    [anon_sym_xor] = ACTIONS(5574),
    [anon_sym_bitand] = ACTIONS(5574),
    [anon_sym_not_eq] = ACTIONS(5574),
    [anon_sym_DASH_DASH] = ACTIONS(5576),
    [anon_sym_PLUS_PLUS] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_DOT_STAR] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5574),
    [anon_sym_decltype] = ACTIONS(5574),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(5582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5582),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5582),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_CARET] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5582),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5582),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym___attribute__] = ACTIONS(5582),
    [anon_sym___attribute] = ACTIONS(5582),
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_EQ] = ACTIONS(5582),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_STAR_EQ] = ACTIONS(5584),
    [anon_sym_SLASH_EQ] = ACTIONS(5584),
    [anon_sym_PERCENT_EQ] = ACTIONS(5584),
    [anon_sym_PLUS_EQ] = ACTIONS(5584),
    [anon_sym_DASH_EQ] = ACTIONS(5584),
    [anon_sym_LT_LT_EQ] = ACTIONS(5584),
    [anon_sym_GT_GT_EQ] = ACTIONS(5584),
    [anon_sym_AMP_EQ] = ACTIONS(5584),
    [anon_sym_CARET_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_and_eq] = ACTIONS(5582),
    [anon_sym_or_eq] = ACTIONS(5582),
    [anon_sym_xor_eq] = ACTIONS(5582),
    [anon_sym_LT_EQ_GT] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_and] = ACTIONS(5582),
    [anon_sym_bitor] = ACTIONS(5582),
    [anon_sym_xor] = ACTIONS(5582),
    [anon_sym_bitand] = ACTIONS(5582),
    [anon_sym_not_eq] = ACTIONS(5582),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_DOT_STAR] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5582),
    [anon_sym_decltype] = ACTIONS(5582),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
  },
  [2289] = {
    [sym_string_literal] = STATE(3488),
    [sym_template_argument_list] = STATE(4608),
    [sym_raw_string_literal] = STATE(3488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4944),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4949),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4951),
    [anon_sym_SLASH_EQ] = ACTIONS(4951),
    [anon_sym_PERCENT_EQ] = ACTIONS(4951),
    [anon_sym_PLUS_EQ] = ACTIONS(4951),
    [anon_sym_DASH_EQ] = ACTIONS(4951),
    [anon_sym_LT_LT_EQ] = ACTIONS(4951),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4951),
    [anon_sym_CARET_EQ] = ACTIONS(4951),
    [anon_sym_PIPE_EQ] = ACTIONS(4951),
    [anon_sym_and_eq] = ACTIONS(4951),
    [anon_sym_or_eq] = ACTIONS(4951),
    [anon_sym_xor_eq] = ACTIONS(4951),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4953),
    [anon_sym_u_DQUOTE] = ACTIONS(4953),
    [anon_sym_U_DQUOTE] = ACTIONS(4953),
    [anon_sym_u8_DQUOTE] = ACTIONS(4953),
    [anon_sym_DQUOTE] = ACTIONS(4953),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(4955),
    [anon_sym_LR_DQUOTE] = ACTIONS(4955),
    [anon_sym_uR_DQUOTE] = ACTIONS(4955),
    [anon_sym_UR_DQUOTE] = ACTIONS(4955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4955),
  },
  [2290] = {
    [sym_attribute_specifier] = STATE(1787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5992),
    [anon_sym_COMMA] = ACTIONS(5992),
    [anon_sym_RPAREN] = ACTIONS(5992),
    [anon_sym_LPAREN2] = ACTIONS(5992),
    [anon_sym_DASH] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5990),
    [anon_sym_STAR] = ACTIONS(5992),
    [anon_sym_SLASH] = ACTIONS(5990),
    [anon_sym_PERCENT] = ACTIONS(5992),
    [anon_sym_PIPE_PIPE] = ACTIONS(5992),
    [anon_sym_AMP_AMP] = ACTIONS(5992),
    [anon_sym_PIPE] = ACTIONS(5990),
    [anon_sym_CARET] = ACTIONS(5992),
    [anon_sym_AMP] = ACTIONS(5990),
    [anon_sym_EQ_EQ] = ACTIONS(5992),
    [anon_sym_BANG_EQ] = ACTIONS(5992),
    [anon_sym_GT] = ACTIONS(5990),
    [anon_sym_GT_EQ] = ACTIONS(5992),
    [anon_sym_LT_EQ] = ACTIONS(5990),
    [anon_sym_LT] = ACTIONS(5990),
    [anon_sym_LT_LT] = ACTIONS(5992),
    [anon_sym_GT_GT] = ACTIONS(5992),
    [anon_sym_SEMI] = ACTIONS(5992),
    [anon_sym___extension__] = ACTIONS(5992),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5992),
    [anon_sym_RBRACE] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5992),
    [anon_sym_RBRACK] = ACTIONS(5992),
    [anon_sym_const] = ACTIONS(5990),
    [anon_sym_constexpr] = ACTIONS(5992),
    [anon_sym_volatile] = ACTIONS(5992),
    [anon_sym_restrict] = ACTIONS(5992),
    [anon_sym___restrict__] = ACTIONS(5992),
    [anon_sym__Atomic] = ACTIONS(5992),
    [anon_sym__Noreturn] = ACTIONS(5992),
    [anon_sym_noreturn] = ACTIONS(5992),
    [anon_sym__Nonnull] = ACTIONS(5992),
    [anon_sym_mutable] = ACTIONS(5992),
    [anon_sym_constinit] = ACTIONS(5992),
    [anon_sym_consteval] = ACTIONS(5992),
    [anon_sym_PROGMEM] = ACTIONS(5992),
    [anon_sym_alignas] = ACTIONS(5992),
    [anon_sym__Alignas] = ACTIONS(5992),
    [anon_sym_COLON] = ACTIONS(5992),
    [anon_sym_QMARK] = ACTIONS(5992),
    [anon_sym_LT_EQ_GT] = ACTIONS(5992),
    [anon_sym_or] = ACTIONS(5992),
    [anon_sym_and] = ACTIONS(5992),
    [anon_sym_bitor] = ACTIONS(5992),
    [anon_sym_xor] = ACTIONS(5992),
    [anon_sym_bitand] = ACTIONS(5992),
    [anon_sym_not_eq] = ACTIONS(5992),
    [anon_sym_DASH_DASH] = ACTIONS(5992),
    [anon_sym_PLUS_PLUS] = ACTIONS(5992),
    [anon_sym_DOT] = ACTIONS(5990),
    [anon_sym_DOT_STAR] = ACTIONS(5992),
    [anon_sym_DASH_GT] = ACTIONS(5992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5992),
    [anon_sym_decltype] = ACTIONS(5992),
    [anon_sym_final] = ACTIONS(5992),
    [anon_sym_override] = ACTIONS(5992),
    [anon_sym_requires] = ACTIONS(5992),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
  },
  [2292] = {
    [sym_attribute_specifier] = STATE(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5996),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5996),
    [anon_sym_GT_GT] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5996),
    [anon_sym_volatile] = ACTIONS(5996),
    [anon_sym_restrict] = ACTIONS(5996),
    [anon_sym___restrict__] = ACTIONS(5996),
    [anon_sym__Atomic] = ACTIONS(5996),
    [anon_sym__Noreturn] = ACTIONS(5996),
    [anon_sym_noreturn] = ACTIONS(5996),
    [anon_sym__Nonnull] = ACTIONS(5996),
    [anon_sym_mutable] = ACTIONS(5996),
    [anon_sym_constinit] = ACTIONS(5996),
    [anon_sym_consteval] = ACTIONS(5996),
    [anon_sym_PROGMEM] = ACTIONS(5996),
    [anon_sym_alignas] = ACTIONS(5996),
    [anon_sym__Alignas] = ACTIONS(5996),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5996),
    [anon_sym_and] = ACTIONS(5996),
    [anon_sym_bitor] = ACTIONS(5996),
    [anon_sym_xor] = ACTIONS(5996),
    [anon_sym_bitand] = ACTIONS(5996),
    [anon_sym_not_eq] = ACTIONS(5996),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5996),
    [anon_sym_decltype] = ACTIONS(5996),
    [anon_sym_final] = ACTIONS(5996),
    [anon_sym_override] = ACTIONS(5996),
    [anon_sym_requires] = ACTIONS(5996),
  },
  [2293] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(6198),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(6200),
    [anon_sym_SLASH_EQ] = ACTIONS(6200),
    [anon_sym_PERCENT_EQ] = ACTIONS(6200),
    [anon_sym_PLUS_EQ] = ACTIONS(6200),
    [anon_sym_DASH_EQ] = ACTIONS(6200),
    [anon_sym_LT_LT_EQ] = ACTIONS(6200),
    [anon_sym_GT_GT_EQ] = ACTIONS(6200),
    [anon_sym_AMP_EQ] = ACTIONS(6200),
    [anon_sym_CARET_EQ] = ACTIONS(6200),
    [anon_sym_PIPE_EQ] = ACTIONS(6200),
    [anon_sym_and_eq] = ACTIONS(6200),
    [anon_sym_or_eq] = ACTIONS(6200),
    [anon_sym_xor_eq] = ACTIONS(6200),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [aux_sym_preproc_if_token2] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5616),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5616),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_CARET] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5614),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym___attribute] = ACTIONS(5614),
    [anon_sym_LBRACE] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5616),
    [anon_sym_STAR_EQ] = ACTIONS(5616),
    [anon_sym_SLASH_EQ] = ACTIONS(5616),
    [anon_sym_PERCENT_EQ] = ACTIONS(5616),
    [anon_sym_PLUS_EQ] = ACTIONS(5616),
    [anon_sym_DASH_EQ] = ACTIONS(5616),
    [anon_sym_LT_LT_EQ] = ACTIONS(5616),
    [anon_sym_GT_GT_EQ] = ACTIONS(5616),
    [anon_sym_AMP_EQ] = ACTIONS(5616),
    [anon_sym_CARET_EQ] = ACTIONS(5616),
    [anon_sym_PIPE_EQ] = ACTIONS(5616),
    [anon_sym_and_eq] = ACTIONS(5614),
    [anon_sym_or_eq] = ACTIONS(5614),
    [anon_sym_xor_eq] = ACTIONS(5614),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_and] = ACTIONS(5614),
    [anon_sym_bitor] = ACTIONS(5614),
    [anon_sym_xor] = ACTIONS(5614),
    [anon_sym_bitand] = ACTIONS(5614),
    [anon_sym_not_eq] = ACTIONS(5614),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_DOT_STAR] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(5566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [aux_sym_preproc_if_token2] = ACTIONS(5568),
    [aux_sym_preproc_else_token1] = ACTIONS(5568),
    [aux_sym_preproc_elif_token1] = ACTIONS(5566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5568),
    [anon_sym_LPAREN2] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5566),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5566),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_CARET] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5566),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5566),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym___attribute__] = ACTIONS(5566),
    [anon_sym___attribute] = ACTIONS(5566),
    [anon_sym_LBRACE] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_EQ] = ACTIONS(5566),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5568),
    [anon_sym_STAR_EQ] = ACTIONS(5568),
    [anon_sym_SLASH_EQ] = ACTIONS(5568),
    [anon_sym_PERCENT_EQ] = ACTIONS(5568),
    [anon_sym_PLUS_EQ] = ACTIONS(5568),
    [anon_sym_DASH_EQ] = ACTIONS(5568),
    [anon_sym_LT_LT_EQ] = ACTIONS(5568),
    [anon_sym_GT_GT_EQ] = ACTIONS(5568),
    [anon_sym_AMP_EQ] = ACTIONS(5568),
    [anon_sym_CARET_EQ] = ACTIONS(5568),
    [anon_sym_PIPE_EQ] = ACTIONS(5568),
    [anon_sym_and_eq] = ACTIONS(5566),
    [anon_sym_or_eq] = ACTIONS(5566),
    [anon_sym_xor_eq] = ACTIONS(5566),
    [anon_sym_LT_EQ_GT] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5566),
    [anon_sym_and] = ACTIONS(5566),
    [anon_sym_bitor] = ACTIONS(5566),
    [anon_sym_xor] = ACTIONS(5566),
    [anon_sym_bitand] = ACTIONS(5566),
    [anon_sym_not_eq] = ACTIONS(5566),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_DOT_STAR] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5566),
    [anon_sym_decltype] = ACTIONS(5566),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(5524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5524),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5524),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_CARET] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5524),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5524),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym___attribute] = ACTIONS(5524),
    [anon_sym_LBRACE] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_EQ] = ACTIONS(5524),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5526),
    [anon_sym_STAR_EQ] = ACTIONS(5526),
    [anon_sym_SLASH_EQ] = ACTIONS(5526),
    [anon_sym_PERCENT_EQ] = ACTIONS(5526),
    [anon_sym_PLUS_EQ] = ACTIONS(5526),
    [anon_sym_DASH_EQ] = ACTIONS(5526),
    [anon_sym_LT_LT_EQ] = ACTIONS(5526),
    [anon_sym_GT_GT_EQ] = ACTIONS(5526),
    [anon_sym_AMP_EQ] = ACTIONS(5526),
    [anon_sym_CARET_EQ] = ACTIONS(5526),
    [anon_sym_PIPE_EQ] = ACTIONS(5526),
    [anon_sym_and_eq] = ACTIONS(5524),
    [anon_sym_or_eq] = ACTIONS(5524),
    [anon_sym_xor_eq] = ACTIONS(5524),
    [anon_sym_LT_EQ_GT] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5524),
    [anon_sym_and] = ACTIONS(5524),
    [anon_sym_bitor] = ACTIONS(5524),
    [anon_sym_xor] = ACTIONS(5524),
    [anon_sym_bitand] = ACTIONS(5524),
    [anon_sym_not_eq] = ACTIONS(5524),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_DOT_STAR] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [aux_sym_preproc_if_token2] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5530),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5528),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_CARET] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5528),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5528),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym___attribute] = ACTIONS(5528),
    [anon_sym_LBRACE] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_EQ] = ACTIONS(5528),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_QMARK] = ACTIONS(5530),
    [anon_sym_STAR_EQ] = ACTIONS(5530),
    [anon_sym_SLASH_EQ] = ACTIONS(5530),
    [anon_sym_PERCENT_EQ] = ACTIONS(5530),
    [anon_sym_PLUS_EQ] = ACTIONS(5530),
    [anon_sym_DASH_EQ] = ACTIONS(5530),
    [anon_sym_LT_LT_EQ] = ACTIONS(5530),
    [anon_sym_GT_GT_EQ] = ACTIONS(5530),
    [anon_sym_AMP_EQ] = ACTIONS(5530),
    [anon_sym_CARET_EQ] = ACTIONS(5530),
    [anon_sym_PIPE_EQ] = ACTIONS(5530),
    [anon_sym_and_eq] = ACTIONS(5528),
    [anon_sym_or_eq] = ACTIONS(5528),
    [anon_sym_xor_eq] = ACTIONS(5528),
    [anon_sym_LT_EQ_GT] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5528),
    [anon_sym_and] = ACTIONS(5528),
    [anon_sym_bitor] = ACTIONS(5528),
    [anon_sym_xor] = ACTIONS(5528),
    [anon_sym_bitand] = ACTIONS(5528),
    [anon_sym_not_eq] = ACTIONS(5528),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_DOT_STAR] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
  },
  [2298] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5657),
    [anon_sym_COMMA] = ACTIONS(5657),
    [anon_sym_RPAREN] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_DASH] = ACTIONS(5655),
    [anon_sym_PLUS] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_SLASH] = ACTIONS(5655),
    [anon_sym_PERCENT] = ACTIONS(5655),
    [anon_sym_PIPE_PIPE] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_PIPE] = ACTIONS(5655),
    [anon_sym_CARET] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym_EQ_EQ] = ACTIONS(5657),
    [anon_sym_BANG_EQ] = ACTIONS(5657),
    [anon_sym_GT] = ACTIONS(5655),
    [anon_sym_GT_EQ] = ACTIONS(5657),
    [anon_sym_LT_EQ] = ACTIONS(5655),
    [anon_sym_LT] = ACTIONS(5655),
    [anon_sym_LT_LT] = ACTIONS(5655),
    [anon_sym_GT_GT] = ACTIONS(5655),
    [anon_sym_SEMI] = ACTIONS(5657),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_RBRACK] = ACTIONS(5657),
    [anon_sym_EQ] = ACTIONS(5655),
    [anon_sym_COLON] = ACTIONS(5657),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_STAR_EQ] = ACTIONS(5657),
    [anon_sym_SLASH_EQ] = ACTIONS(5657),
    [anon_sym_PERCENT_EQ] = ACTIONS(5657),
    [anon_sym_PLUS_EQ] = ACTIONS(5657),
    [anon_sym_DASH_EQ] = ACTIONS(5657),
    [anon_sym_LT_LT_EQ] = ACTIONS(5657),
    [anon_sym_GT_GT_EQ] = ACTIONS(5657),
    [anon_sym_AMP_EQ] = ACTIONS(5657),
    [anon_sym_CARET_EQ] = ACTIONS(5657),
    [anon_sym_PIPE_EQ] = ACTIONS(5657),
    [anon_sym_and_eq] = ACTIONS(5655),
    [anon_sym_or_eq] = ACTIONS(5655),
    [anon_sym_xor_eq] = ACTIONS(5655),
    [anon_sym_LT_EQ_GT] = ACTIONS(5657),
    [anon_sym_or] = ACTIONS(5655),
    [anon_sym_and] = ACTIONS(5655),
    [anon_sym_bitor] = ACTIONS(5655),
    [anon_sym_xor] = ACTIONS(5655),
    [anon_sym_bitand] = ACTIONS(5655),
    [anon_sym_not_eq] = ACTIONS(5655),
    [anon_sym_DASH_DASH] = ACTIONS(5657),
    [anon_sym_PLUS_PLUS] = ACTIONS(5657),
    [anon_sym_DOT] = ACTIONS(5655),
    [anon_sym_DOT_STAR] = ACTIONS(5657),
    [anon_sym_DASH_GT] = ACTIONS(5657),
    [anon_sym_L_DQUOTE] = ACTIONS(5657),
    [anon_sym_u_DQUOTE] = ACTIONS(5657),
    [anon_sym_U_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8_DQUOTE] = ACTIONS(5657),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5657),
    [anon_sym_LR_DQUOTE] = ACTIONS(5657),
    [anon_sym_uR_DQUOTE] = ACTIONS(5657),
    [anon_sym_UR_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5657),
    [sym_literal_suffix] = ACTIONS(5655),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [aux_sym_preproc_if_token2] = ACTIONS(5518),
    [aux_sym_preproc_else_token1] = ACTIONS(5518),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym___attribute] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_EQ] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_STAR_EQ] = ACTIONS(5518),
    [anon_sym_SLASH_EQ] = ACTIONS(5518),
    [anon_sym_PERCENT_EQ] = ACTIONS(5518),
    [anon_sym_PLUS_EQ] = ACTIONS(5518),
    [anon_sym_DASH_EQ] = ACTIONS(5518),
    [anon_sym_LT_LT_EQ] = ACTIONS(5518),
    [anon_sym_GT_GT_EQ] = ACTIONS(5518),
    [anon_sym_AMP_EQ] = ACTIONS(5518),
    [anon_sym_CARET_EQ] = ACTIONS(5518),
    [anon_sym_PIPE_EQ] = ACTIONS(5518),
    [anon_sym_and_eq] = ACTIONS(5516),
    [anon_sym_or_eq] = ACTIONS(5516),
    [anon_sym_xor_eq] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(5590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5590),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_CARET] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5590),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5590),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym___attribute] = ACTIONS(5590),
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_STAR_EQ] = ACTIONS(5592),
    [anon_sym_SLASH_EQ] = ACTIONS(5592),
    [anon_sym_PERCENT_EQ] = ACTIONS(5592),
    [anon_sym_PLUS_EQ] = ACTIONS(5592),
    [anon_sym_DASH_EQ] = ACTIONS(5592),
    [anon_sym_LT_LT_EQ] = ACTIONS(5592),
    [anon_sym_GT_GT_EQ] = ACTIONS(5592),
    [anon_sym_AMP_EQ] = ACTIONS(5592),
    [anon_sym_CARET_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_and_eq] = ACTIONS(5590),
    [anon_sym_or_eq] = ACTIONS(5590),
    [anon_sym_xor_eq] = ACTIONS(5590),
    [anon_sym_LT_EQ_GT] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5590),
    [anon_sym_and] = ACTIONS(5590),
    [anon_sym_bitor] = ACTIONS(5590),
    [anon_sym_xor] = ACTIONS(5590),
    [anon_sym_bitand] = ACTIONS(5590),
    [anon_sym_not_eq] = ACTIONS(5590),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_DOT_STAR] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
  },
  [2302] = {
    [sym_string_literal] = STATE(2678),
    [sym_template_argument_list] = STATE(3715),
    [sym_raw_string_literal] = STATE(2678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5982),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2303] = {
    [sym_attribute_specifier] = STATE(1792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5959),
    [anon_sym_COMMA] = ACTIONS(5959),
    [anon_sym_RPAREN] = ACTIONS(5959),
    [anon_sym_LPAREN2] = ACTIONS(5959),
    [anon_sym_DASH] = ACTIONS(5957),
    [anon_sym_PLUS] = ACTIONS(5957),
    [anon_sym_STAR] = ACTIONS(5959),
    [anon_sym_SLASH] = ACTIONS(5957),
    [anon_sym_PERCENT] = ACTIONS(5959),
    [anon_sym_PIPE_PIPE] = ACTIONS(5959),
    [anon_sym_AMP_AMP] = ACTIONS(5959),
    [anon_sym_PIPE] = ACTIONS(5957),
    [anon_sym_CARET] = ACTIONS(5959),
    [anon_sym_AMP] = ACTIONS(5957),
    [anon_sym_EQ_EQ] = ACTIONS(5959),
    [anon_sym_BANG_EQ] = ACTIONS(5959),
    [anon_sym_GT] = ACTIONS(5957),
    [anon_sym_GT_EQ] = ACTIONS(5959),
    [anon_sym_LT_EQ] = ACTIONS(5957),
    [anon_sym_LT] = ACTIONS(5957),
    [anon_sym_LT_LT] = ACTIONS(5959),
    [anon_sym_GT_GT] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(5959),
    [anon_sym___extension__] = ACTIONS(5959),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___attribute] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_RBRACE] = ACTIONS(5959),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5959),
    [anon_sym_const] = ACTIONS(5957),
    [anon_sym_constexpr] = ACTIONS(5959),
    [anon_sym_volatile] = ACTIONS(5959),
    [anon_sym_restrict] = ACTIONS(5959),
    [anon_sym___restrict__] = ACTIONS(5959),
    [anon_sym__Atomic] = ACTIONS(5959),
    [anon_sym__Noreturn] = ACTIONS(5959),
    [anon_sym_noreturn] = ACTIONS(5959),
    [anon_sym__Nonnull] = ACTIONS(5959),
    [anon_sym_mutable] = ACTIONS(5959),
    [anon_sym_constinit] = ACTIONS(5959),
    [anon_sym_consteval] = ACTIONS(5959),
    [anon_sym_PROGMEM] = ACTIONS(5959),
    [anon_sym_alignas] = ACTIONS(5959),
    [anon_sym__Alignas] = ACTIONS(5959),
    [anon_sym_COLON] = ACTIONS(5959),
    [anon_sym_QMARK] = ACTIONS(5959),
    [anon_sym_LT_EQ_GT] = ACTIONS(5959),
    [anon_sym_or] = ACTIONS(5959),
    [anon_sym_and] = ACTIONS(5959),
    [anon_sym_bitor] = ACTIONS(5959),
    [anon_sym_xor] = ACTIONS(5959),
    [anon_sym_bitand] = ACTIONS(5959),
    [anon_sym_not_eq] = ACTIONS(5959),
    [anon_sym_DASH_DASH] = ACTIONS(5959),
    [anon_sym_PLUS_PLUS] = ACTIONS(5959),
    [anon_sym_DOT] = ACTIONS(5957),
    [anon_sym_DOT_STAR] = ACTIONS(5959),
    [anon_sym_DASH_GT] = ACTIONS(5959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5959),
    [anon_sym_decltype] = ACTIONS(5959),
    [anon_sym_final] = ACTIONS(5959),
    [anon_sym_override] = ACTIONS(5959),
    [anon_sym_requires] = ACTIONS(5959),
  },
  [2304] = {
    [sym_attribute_specifier] = STATE(2254),
    [sym_enumerator_list] = STATE(2182),
    [sym__enum_base_clause] = STATE(2133),
    [sym_identifier] = ACTIONS(6202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6204),
    [anon_sym_COMMA] = ACTIONS(6204),
    [aux_sym_preproc_if_token2] = ACTIONS(6204),
    [aux_sym_preproc_else_token1] = ACTIONS(6204),
    [aux_sym_preproc_elif_token1] = ACTIONS(6202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6204),
    [anon_sym_LPAREN2] = ACTIONS(6204),
    [anon_sym_DASH] = ACTIONS(6202),
    [anon_sym_PLUS] = ACTIONS(6202),
    [anon_sym_STAR] = ACTIONS(6202),
    [anon_sym_SLASH] = ACTIONS(6202),
    [anon_sym_PERCENT] = ACTIONS(6202),
    [anon_sym_PIPE_PIPE] = ACTIONS(6204),
    [anon_sym_AMP_AMP] = ACTIONS(6204),
    [anon_sym_PIPE] = ACTIONS(6202),
    [anon_sym_CARET] = ACTIONS(6202),
    [anon_sym_AMP] = ACTIONS(6202),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_GT] = ACTIONS(6202),
    [anon_sym_GT_EQ] = ACTIONS(6204),
    [anon_sym_LT_EQ] = ACTIONS(6202),
    [anon_sym_LT] = ACTIONS(6202),
    [anon_sym_LT_LT] = ACTIONS(6202),
    [anon_sym_GT_GT] = ACTIONS(6202),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [anon_sym_EQ] = ACTIONS(6202),
    [anon_sym_COLON] = ACTIONS(6206),
    [anon_sym_QMARK] = ACTIONS(6204),
    [anon_sym_STAR_EQ] = ACTIONS(6204),
    [anon_sym_SLASH_EQ] = ACTIONS(6204),
    [anon_sym_PERCENT_EQ] = ACTIONS(6204),
    [anon_sym_PLUS_EQ] = ACTIONS(6204),
    [anon_sym_DASH_EQ] = ACTIONS(6204),
    [anon_sym_LT_LT_EQ] = ACTIONS(6204),
    [anon_sym_GT_GT_EQ] = ACTIONS(6204),
    [anon_sym_AMP_EQ] = ACTIONS(6204),
    [anon_sym_CARET_EQ] = ACTIONS(6204),
    [anon_sym_PIPE_EQ] = ACTIONS(6204),
    [anon_sym_and_eq] = ACTIONS(6202),
    [anon_sym_or_eq] = ACTIONS(6202),
    [anon_sym_xor_eq] = ACTIONS(6202),
    [anon_sym_LT_EQ_GT] = ACTIONS(6204),
    [anon_sym_or] = ACTIONS(6202),
    [anon_sym_and] = ACTIONS(6202),
    [anon_sym_bitor] = ACTIONS(6202),
    [anon_sym_xor] = ACTIONS(6202),
    [anon_sym_bitand] = ACTIONS(6202),
    [anon_sym_not_eq] = ACTIONS(6202),
    [anon_sym_DASH_DASH] = ACTIONS(6204),
    [anon_sym_PLUS_PLUS] = ACTIONS(6204),
    [anon_sym_DOT] = ACTIONS(6202),
    [anon_sym_DOT_STAR] = ACTIONS(6204),
    [anon_sym_DASH_GT] = ACTIONS(6204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6202),
    [anon_sym_decltype] = ACTIONS(6202),
  },
  [2305] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(6208),
    [anon_sym_unsigned] = ACTIONS(6208),
    [anon_sym_long] = ACTIONS(6208),
    [anon_sym_short] = ACTIONS(6208),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5457),
    [anon_sym_or_eq] = ACTIONS(5457),
    [anon_sym_xor_eq] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5457),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5457),
    [anon_sym_not_eq] = ACTIONS(5457),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5457),
    [anon_sym_decltype] = ACTIONS(5457),
  },
  [2306] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5790),
    [anon_sym_or_eq] = ACTIONS(5790),
    [anon_sym_xor_eq] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
  },
  [2307] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5800),
    [anon_sym_or_eq] = ACTIONS(5800),
    [anon_sym_xor_eq] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
  },
  [2308] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [anon_sym_RPAREN] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5772),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_RBRACE] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(6212),
    [anon_sym_unsigned] = ACTIONS(6212),
    [anon_sym_long] = ACTIONS(6212),
    [anon_sym_short] = ACTIONS(6212),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_RBRACK] = ACTIONS(5772),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5772),
    [anon_sym_or_eq] = ACTIONS(5772),
    [anon_sym_xor_eq] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5772),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5772),
    [anon_sym_not_eq] = ACTIONS(5772),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5772),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2309] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2321),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5794),
    [anon_sym_COMMA] = ACTIONS(5794),
    [anon_sym_RPAREN] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5794),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5794),
    [anon_sym_BANG_EQ] = ACTIONS(5794),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(5794),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_signed] = ACTIONS(6214),
    [anon_sym_unsigned] = ACTIONS(6214),
    [anon_sym_long] = ACTIONS(6214),
    [anon_sym_short] = ACTIONS(6214),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_and_eq] = ACTIONS(5794),
    [anon_sym_or_eq] = ACTIONS(5794),
    [anon_sym_xor_eq] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5794),
    [anon_sym_or] = ACTIONS(5796),
    [anon_sym_and] = ACTIONS(5796),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5796),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5794),
    [anon_sym_PLUS_PLUS] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_DOT_STAR] = ACTIONS(5794),
    [anon_sym_DASH_GT] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(4885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [aux_sym_preproc_if_token2] = ACTIONS(4878),
    [aux_sym_preproc_else_token1] = ACTIONS(4878),
    [aux_sym_preproc_elif_token1] = ACTIONS(4885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4885),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4885),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4885),
    [anon_sym___attribute] = ACTIONS(4885),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_COLON] = ACTIONS(4885),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
  },
  [2311] = {
    [sym_template_argument_list] = STATE(2325),
    [sym_identifier] = ACTIONS(6216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6218),
    [anon_sym_COMMA] = ACTIONS(6218),
    [anon_sym_RPAREN] = ACTIONS(6218),
    [aux_sym_preproc_if_token2] = ACTIONS(6218),
    [aux_sym_preproc_else_token1] = ACTIONS(6218),
    [aux_sym_preproc_elif_token1] = ACTIONS(6216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6218),
    [anon_sym_LPAREN2] = ACTIONS(6218),
    [anon_sym_DASH] = ACTIONS(6216),
    [anon_sym_PLUS] = ACTIONS(6216),
    [anon_sym_STAR] = ACTIONS(6216),
    [anon_sym_SLASH] = ACTIONS(6216),
    [anon_sym_PERCENT] = ACTIONS(6216),
    [anon_sym_PIPE_PIPE] = ACTIONS(6218),
    [anon_sym_AMP_AMP] = ACTIONS(6218),
    [anon_sym_PIPE] = ACTIONS(6216),
    [anon_sym_CARET] = ACTIONS(6216),
    [anon_sym_AMP] = ACTIONS(6216),
    [anon_sym_EQ_EQ] = ACTIONS(6218),
    [anon_sym_BANG_EQ] = ACTIONS(6218),
    [anon_sym_GT] = ACTIONS(6216),
    [anon_sym_GT_EQ] = ACTIONS(6218),
    [anon_sym_LT_EQ] = ACTIONS(6216),
    [anon_sym_LT] = ACTIONS(6220),
    [anon_sym_LT_LT] = ACTIONS(6216),
    [anon_sym_GT_GT] = ACTIONS(6216),
    [anon_sym_SEMI] = ACTIONS(6218),
    [anon_sym___attribute__] = ACTIONS(6216),
    [anon_sym___attribute] = ACTIONS(6216),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_RBRACE] = ACTIONS(6218),
    [anon_sym_LBRACK] = ACTIONS(6218),
    [anon_sym_RBRACK] = ACTIONS(6218),
    [anon_sym_EQ] = ACTIONS(6216),
    [anon_sym_COLON] = ACTIONS(6216),
    [anon_sym_QMARK] = ACTIONS(6218),
    [anon_sym_STAR_EQ] = ACTIONS(6218),
    [anon_sym_SLASH_EQ] = ACTIONS(6218),
    [anon_sym_PERCENT_EQ] = ACTIONS(6218),
    [anon_sym_PLUS_EQ] = ACTIONS(6218),
    [anon_sym_DASH_EQ] = ACTIONS(6218),
    [anon_sym_LT_LT_EQ] = ACTIONS(6218),
    [anon_sym_GT_GT_EQ] = ACTIONS(6218),
    [anon_sym_AMP_EQ] = ACTIONS(6218),
    [anon_sym_CARET_EQ] = ACTIONS(6218),
    [anon_sym_PIPE_EQ] = ACTIONS(6218),
    [anon_sym_and_eq] = ACTIONS(6216),
    [anon_sym_or_eq] = ACTIONS(6216),
    [anon_sym_xor_eq] = ACTIONS(6216),
    [anon_sym_LT_EQ_GT] = ACTIONS(6218),
    [anon_sym_or] = ACTIONS(6216),
    [anon_sym_and] = ACTIONS(6216),
    [anon_sym_bitor] = ACTIONS(6216),
    [anon_sym_xor] = ACTIONS(6216),
    [anon_sym_bitand] = ACTIONS(6216),
    [anon_sym_not_eq] = ACTIONS(6216),
    [anon_sym_DASH_DASH] = ACTIONS(6218),
    [anon_sym_PLUS_PLUS] = ACTIONS(6218),
    [anon_sym_DOT] = ACTIONS(6216),
    [anon_sym_DOT_STAR] = ACTIONS(6218),
    [anon_sym_DASH_GT] = ACTIONS(6218),
    [sym_comment] = ACTIONS(3),
  },
  [2312] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5480),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5482),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5482),
    [anon_sym_unsigned] = ACTIONS(5482),
    [anon_sym_long] = ACTIONS(5482),
    [anon_sym_short] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5482),
    [anon_sym_volatile] = ACTIONS(5482),
    [anon_sym_restrict] = ACTIONS(5482),
    [anon_sym___restrict__] = ACTIONS(5482),
    [anon_sym__Atomic] = ACTIONS(5482),
    [anon_sym__Noreturn] = ACTIONS(5482),
    [anon_sym_noreturn] = ACTIONS(5482),
    [anon_sym__Nonnull] = ACTIONS(5482),
    [anon_sym_mutable] = ACTIONS(5482),
    [anon_sym_constinit] = ACTIONS(5482),
    [anon_sym_consteval] = ACTIONS(5482),
    [anon_sym_PROGMEM] = ACTIONS(5482),
    [anon_sym_alignas] = ACTIONS(5482),
    [anon_sym__Alignas] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_bitor] = ACTIONS(5482),
    [anon_sym_xor] = ACTIONS(5482),
    [anon_sym_bitand] = ACTIONS(5482),
    [anon_sym_not_eq] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5482),
    [anon_sym_decltype] = ACTIONS(5482),
    [anon_sym_final] = ACTIONS(5482),
    [anon_sym_override] = ACTIONS(5482),
    [anon_sym_GT2] = ACTIONS(5482),
    [anon_sym_requires] = ACTIONS(5482),
  },
  [2313] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_RBRACK] = ACTIONS(5782),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_and_eq] = ACTIONS(5782),
    [anon_sym_or_eq] = ACTIONS(5782),
    [anon_sym_xor_eq] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
  },
  [2314] = {
    [sym_decltype_auto] = STATE(2384),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_TILDE] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5311),
    [anon_sym_virtual] = ACTIONS(5311),
    [anon_sym_extern] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym___attribute] = ACTIONS(5311),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5313),
    [anon_sym___declspec] = ACTIONS(5311),
    [anon_sym___based] = ACTIONS(5311),
    [anon_sym___cdecl] = ACTIONS(5311),
    [anon_sym___clrcall] = ACTIONS(5311),
    [anon_sym___stdcall] = ACTIONS(5311),
    [anon_sym___fastcall] = ACTIONS(5311),
    [anon_sym___thiscall] = ACTIONS(5311),
    [anon_sym___vectorcall] = ACTIONS(5311),
    [anon_sym_LBRACE] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_static] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5311),
    [anon_sym_inline] = ACTIONS(5311),
    [anon_sym___inline] = ACTIONS(5311),
    [anon_sym___inline__] = ACTIONS(5311),
    [anon_sym___forceinline] = ACTIONS(5311),
    [anon_sym_thread_local] = ACTIONS(5311),
    [anon_sym___thread] = ACTIONS(5311),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5311),
    [anon_sym_volatile] = ACTIONS(5311),
    [anon_sym_restrict] = ACTIONS(5311),
    [anon_sym___restrict__] = ACTIONS(5311),
    [anon_sym__Atomic] = ACTIONS(5311),
    [anon_sym__Noreturn] = ACTIONS(5311),
    [anon_sym_noreturn] = ACTIONS(5311),
    [anon_sym__Nonnull] = ACTIONS(5311),
    [anon_sym_mutable] = ACTIONS(5311),
    [anon_sym_constinit] = ACTIONS(5311),
    [anon_sym_consteval] = ACTIONS(5311),
    [anon_sym_PROGMEM] = ACTIONS(5311),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [anon_sym_asm] = ACTIONS(5311),
    [anon_sym___asm__] = ACTIONS(5311),
    [anon_sym___asm] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6223),
    [anon_sym_decltype] = ACTIONS(6225),
    [anon_sym_final] = ACTIONS(5311),
    [anon_sym_override] = ACTIONS(5311),
    [anon_sym_template] = ACTIONS(5311),
    [anon_sym_GT2] = ACTIONS(5313),
    [anon_sym_operator] = ACTIONS(5311),
    [anon_sym_try] = ACTIONS(5311),
    [anon_sym_requires] = ACTIONS(5311),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5649),
    [anon_sym_COMMA] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_DASH] = ACTIONS(5647),
    [anon_sym_PLUS] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_SLASH] = ACTIONS(5647),
    [anon_sym_PERCENT] = ACTIONS(5647),
    [anon_sym_PIPE_PIPE] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_PIPE] = ACTIONS(5647),
    [anon_sym_CARET] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym_EQ_EQ] = ACTIONS(5649),
    [anon_sym_BANG_EQ] = ACTIONS(5649),
    [anon_sym_GT] = ACTIONS(5647),
    [anon_sym_GT_EQ] = ACTIONS(5649),
    [anon_sym_LT_EQ] = ACTIONS(5647),
    [anon_sym_LT] = ACTIONS(5647),
    [anon_sym_LT_LT] = ACTIONS(5647),
    [anon_sym_GT_GT] = ACTIONS(5647),
    [anon_sym_SEMI] = ACTIONS(5649),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym___attribute] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_EQ] = ACTIONS(5647),
    [anon_sym_QMARK] = ACTIONS(5649),
    [anon_sym_STAR_EQ] = ACTIONS(5649),
    [anon_sym_SLASH_EQ] = ACTIONS(5649),
    [anon_sym_PERCENT_EQ] = ACTIONS(5649),
    [anon_sym_PLUS_EQ] = ACTIONS(5649),
    [anon_sym_DASH_EQ] = ACTIONS(5649),
    [anon_sym_LT_LT_EQ] = ACTIONS(5649),
    [anon_sym_GT_GT_EQ] = ACTIONS(5649),
    [anon_sym_AMP_EQ] = ACTIONS(5649),
    [anon_sym_CARET_EQ] = ACTIONS(5649),
    [anon_sym_PIPE_EQ] = ACTIONS(5649),
    [anon_sym_and_eq] = ACTIONS(5647),
    [anon_sym_or_eq] = ACTIONS(5647),
    [anon_sym_xor_eq] = ACTIONS(5647),
    [anon_sym_LT_EQ_GT] = ACTIONS(5649),
    [anon_sym_or] = ACTIONS(5647),
    [anon_sym_and] = ACTIONS(5647),
    [anon_sym_bitor] = ACTIONS(5647),
    [anon_sym_xor] = ACTIONS(5647),
    [anon_sym_bitand] = ACTIONS(5647),
    [anon_sym_not_eq] = ACTIONS(5647),
    [anon_sym_DASH_DASH] = ACTIONS(5649),
    [anon_sym_PLUS_PLUS] = ACTIONS(5649),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_DOT_STAR] = ACTIONS(5649),
    [anon_sym_DASH_GT] = ACTIONS(5649),
    [anon_sym_L_DQUOTE] = ACTIONS(5649),
    [anon_sym_u_DQUOTE] = ACTIONS(5649),
    [anon_sym_U_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8_DQUOTE] = ACTIONS(5649),
    [anon_sym_DQUOTE] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5649),
    [anon_sym_LR_DQUOTE] = ACTIONS(5649),
    [anon_sym_uR_DQUOTE] = ACTIONS(5649),
    [anon_sym_UR_DQUOTE] = ACTIONS(5649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5649),
    [sym_literal_suffix] = ACTIONS(5647),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5651),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5651),
    [anon_sym_GT_GT] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym___attribute] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_EQ] = ACTIONS(5651),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_STAR_EQ] = ACTIONS(5653),
    [anon_sym_SLASH_EQ] = ACTIONS(5653),
    [anon_sym_PERCENT_EQ] = ACTIONS(5653),
    [anon_sym_PLUS_EQ] = ACTIONS(5653),
    [anon_sym_DASH_EQ] = ACTIONS(5653),
    [anon_sym_LT_LT_EQ] = ACTIONS(5653),
    [anon_sym_GT_GT_EQ] = ACTIONS(5653),
    [anon_sym_AMP_EQ] = ACTIONS(5653),
    [anon_sym_CARET_EQ] = ACTIONS(5653),
    [anon_sym_PIPE_EQ] = ACTIONS(5653),
    [anon_sym_and_eq] = ACTIONS(5651),
    [anon_sym_or_eq] = ACTIONS(5651),
    [anon_sym_xor_eq] = ACTIONS(5651),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [anon_sym_L_DQUOTE] = ACTIONS(5653),
    [anon_sym_u_DQUOTE] = ACTIONS(5653),
    [anon_sym_U_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8_DQUOTE] = ACTIONS(5653),
    [anon_sym_DQUOTE] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5653),
    [anon_sym_LR_DQUOTE] = ACTIONS(5653),
    [anon_sym_uR_DQUOTE] = ACTIONS(5653),
    [anon_sym_UR_DQUOTE] = ACTIONS(5653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5653),
    [sym_literal_suffix] = ACTIONS(5651),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5657),
    [anon_sym_COMMA] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_DASH] = ACTIONS(5655),
    [anon_sym_PLUS] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_SLASH] = ACTIONS(5655),
    [anon_sym_PERCENT] = ACTIONS(5655),
    [anon_sym_PIPE_PIPE] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_PIPE] = ACTIONS(5655),
    [anon_sym_CARET] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym_EQ_EQ] = ACTIONS(5657),
    [anon_sym_BANG_EQ] = ACTIONS(5657),
    [anon_sym_GT] = ACTIONS(5655),
    [anon_sym_GT_EQ] = ACTIONS(5657),
    [anon_sym_LT_EQ] = ACTIONS(5655),
    [anon_sym_LT] = ACTIONS(5655),
    [anon_sym_LT_LT] = ACTIONS(5655),
    [anon_sym_GT_GT] = ACTIONS(5655),
    [anon_sym_SEMI] = ACTIONS(5657),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym___attribute] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_EQ] = ACTIONS(5655),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_STAR_EQ] = ACTIONS(5657),
    [anon_sym_SLASH_EQ] = ACTIONS(5657),
    [anon_sym_PERCENT_EQ] = ACTIONS(5657),
    [anon_sym_PLUS_EQ] = ACTIONS(5657),
    [anon_sym_DASH_EQ] = ACTIONS(5657),
    [anon_sym_LT_LT_EQ] = ACTIONS(5657),
    [anon_sym_GT_GT_EQ] = ACTIONS(5657),
    [anon_sym_AMP_EQ] = ACTIONS(5657),
    [anon_sym_CARET_EQ] = ACTIONS(5657),
    [anon_sym_PIPE_EQ] = ACTIONS(5657),
    [anon_sym_and_eq] = ACTIONS(5655),
    [anon_sym_or_eq] = ACTIONS(5655),
    [anon_sym_xor_eq] = ACTIONS(5655),
    [anon_sym_LT_EQ_GT] = ACTIONS(5657),
    [anon_sym_or] = ACTIONS(5655),
    [anon_sym_and] = ACTIONS(5655),
    [anon_sym_bitor] = ACTIONS(5655),
    [anon_sym_xor] = ACTIONS(5655),
    [anon_sym_bitand] = ACTIONS(5655),
    [anon_sym_not_eq] = ACTIONS(5655),
    [anon_sym_DASH_DASH] = ACTIONS(5657),
    [anon_sym_PLUS_PLUS] = ACTIONS(5657),
    [anon_sym_DOT] = ACTIONS(5655),
    [anon_sym_DOT_STAR] = ACTIONS(5657),
    [anon_sym_DASH_GT] = ACTIONS(5657),
    [anon_sym_L_DQUOTE] = ACTIONS(5657),
    [anon_sym_u_DQUOTE] = ACTIONS(5657),
    [anon_sym_U_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8_DQUOTE] = ACTIONS(5657),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5657),
    [anon_sym_LR_DQUOTE] = ACTIONS(5657),
    [anon_sym_uR_DQUOTE] = ACTIONS(5657),
    [anon_sym_UR_DQUOTE] = ACTIONS(5657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5657),
    [sym_literal_suffix] = ACTIONS(5655),
  },
  [2318] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1860),
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4996),
    [anon_sym_COMMA] = ACTIONS(4996),
    [anon_sym_RPAREN] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4996),
    [anon_sym_TILDE] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_AMP_AMP] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_SEMI] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym___attribute] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(4996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4996),
    [anon_sym___declspec] = ACTIONS(4999),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym___cdecl] = ACTIONS(4999),
    [anon_sym___clrcall] = ACTIONS(4999),
    [anon_sym___stdcall] = ACTIONS(4999),
    [anon_sym___fastcall] = ACTIONS(4999),
    [anon_sym___thiscall] = ACTIONS(4999),
    [anon_sym___vectorcall] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(5644),
    [anon_sym_unsigned] = ACTIONS(5644),
    [anon_sym_long] = ACTIONS(5644),
    [anon_sym_short] = ACTIONS(5644),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_register] = ACTIONS(4999),
    [anon_sym_inline] = ACTIONS(4999),
    [anon_sym___inline] = ACTIONS(4999),
    [anon_sym___inline__] = ACTIONS(4999),
    [anon_sym___forceinline] = ACTIONS(4999),
    [anon_sym_thread_local] = ACTIONS(4999),
    [anon_sym___thread] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym__Nonnull] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [anon_sym_PROGMEM] = ACTIONS(4999),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym__Alignas] = ACTIONS(4999),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_template] = ACTIONS(4999),
    [anon_sym_GT2] = ACTIONS(4996),
    [anon_sym_operator] = ACTIONS(4999),
  },
  [2319] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_TILDE] = ACTIONS(5457),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_extern] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___attribute] = ACTIONS(5455),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5457),
    [anon_sym___declspec] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym___cdecl] = ACTIONS(5455),
    [anon_sym___clrcall] = ACTIONS(5455),
    [anon_sym___stdcall] = ACTIONS(5455),
    [anon_sym___fastcall] = ACTIONS(5455),
    [anon_sym___thiscall] = ACTIONS(5455),
    [anon_sym___vectorcall] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_static] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5457),
    [anon_sym_register] = ACTIONS(5455),
    [anon_sym_inline] = ACTIONS(5455),
    [anon_sym___inline] = ACTIONS(5455),
    [anon_sym___inline__] = ACTIONS(5455),
    [anon_sym___forceinline] = ACTIONS(5455),
    [anon_sym_thread_local] = ACTIONS(5455),
    [anon_sym___thread] = ACTIONS(5455),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_PROGMEM] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5455),
    [anon_sym_asm] = ACTIONS(5455),
    [anon_sym___asm__] = ACTIONS(5455),
    [anon_sym___asm] = ACTIONS(5455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_final] = ACTIONS(5455),
    [anon_sym_override] = ACTIONS(5455),
    [anon_sym_template] = ACTIONS(5455),
    [anon_sym_GT2] = ACTIONS(5457),
    [anon_sym_operator] = ACTIONS(5455),
    [anon_sym_try] = ACTIONS(5455),
    [anon_sym_requires] = ACTIONS(5455),
  },
  [2320] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym___attribute] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_RBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5752),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5750),
    [anon_sym_or_eq] = ACTIONS(5750),
    [anon_sym_xor_eq] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
  },
  [2321] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_EQ] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_STAR_EQ] = ACTIONS(5756),
    [anon_sym_SLASH_EQ] = ACTIONS(5756),
    [anon_sym_PERCENT_EQ] = ACTIONS(5756),
    [anon_sym_PLUS_EQ] = ACTIONS(5756),
    [anon_sym_DASH_EQ] = ACTIONS(5756),
    [anon_sym_LT_LT_EQ] = ACTIONS(5756),
    [anon_sym_GT_GT_EQ] = ACTIONS(5756),
    [anon_sym_AMP_EQ] = ACTIONS(5756),
    [anon_sym_CARET_EQ] = ACTIONS(5756),
    [anon_sym_PIPE_EQ] = ACTIONS(5756),
    [anon_sym_and_eq] = ACTIONS(5756),
    [anon_sym_or_eq] = ACTIONS(5756),
    [anon_sym_xor_eq] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
  },
  [2322] = {
    [sym__declaration_modifiers] = STATE(2428),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype_auto] = STATE(2384),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2428),
    [sym_identifier] = ACTIONS(6227),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6229),
    [anon_sym_COMMA] = ACTIONS(6229),
    [anon_sym_RPAREN] = ACTIONS(6229),
    [anon_sym_LPAREN2] = ACTIONS(6229),
    [anon_sym_TILDE] = ACTIONS(6229),
    [anon_sym_STAR] = ACTIONS(6229),
    [anon_sym_AMP_AMP] = ACTIONS(6229),
    [anon_sym_AMP] = ACTIONS(6227),
    [anon_sym_SEMI] = ACTIONS(6229),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(6231),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(6229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(6227),
    [anon_sym___cdecl] = ACTIONS(6227),
    [anon_sym___clrcall] = ACTIONS(6227),
    [anon_sym___stdcall] = ACTIONS(6227),
    [anon_sym___fastcall] = ACTIONS(6227),
    [anon_sym___thiscall] = ACTIONS(6227),
    [anon_sym___vectorcall] = ACTIONS(6227),
    [anon_sym_LBRACK] = ACTIONS(6227),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(6229),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6223),
    [anon_sym_decltype] = ACTIONS(6225),
    [anon_sym_template] = ACTIONS(6227),
    [anon_sym_GT2] = ACTIONS(6229),
    [anon_sym_operator] = ACTIONS(6227),
  },
  [2323] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2313),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6233),
    [anon_sym_unsigned] = ACTIONS(6233),
    [anon_sym_long] = ACTIONS(6233),
    [anon_sym_short] = ACTIONS(6233),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_and_eq] = ACTIONS(5760),
    [anon_sym_or_eq] = ACTIONS(5760),
    [anon_sym_xor_eq] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym___attribute] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [anon_sym_L_DQUOTE] = ACTIONS(5673),
    [anon_sym_u_DQUOTE] = ACTIONS(5673),
    [anon_sym_U_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8_DQUOTE] = ACTIONS(5673),
    [anon_sym_DQUOTE] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5673),
    [anon_sym_LR_DQUOTE] = ACTIONS(5673),
    [anon_sym_uR_DQUOTE] = ACTIONS(5673),
    [anon_sym_UR_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5673),
    [sym_literal_suffix] = ACTIONS(5671),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(6235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6237),
    [anon_sym_COMMA] = ACTIONS(6237),
    [anon_sym_RPAREN] = ACTIONS(6237),
    [aux_sym_preproc_if_token2] = ACTIONS(6237),
    [aux_sym_preproc_else_token1] = ACTIONS(6237),
    [aux_sym_preproc_elif_token1] = ACTIONS(6235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6237),
    [anon_sym_LPAREN2] = ACTIONS(6237),
    [anon_sym_DASH] = ACTIONS(6235),
    [anon_sym_PLUS] = ACTIONS(6235),
    [anon_sym_STAR] = ACTIONS(6235),
    [anon_sym_SLASH] = ACTIONS(6235),
    [anon_sym_PERCENT] = ACTIONS(6235),
    [anon_sym_PIPE_PIPE] = ACTIONS(6237),
    [anon_sym_AMP_AMP] = ACTIONS(6237),
    [anon_sym_PIPE] = ACTIONS(6235),
    [anon_sym_CARET] = ACTIONS(6235),
    [anon_sym_AMP] = ACTIONS(6235),
    [anon_sym_EQ_EQ] = ACTIONS(6237),
    [anon_sym_BANG_EQ] = ACTIONS(6237),
    [anon_sym_GT] = ACTIONS(6235),
    [anon_sym_GT_EQ] = ACTIONS(6237),
    [anon_sym_LT_EQ] = ACTIONS(6235),
    [anon_sym_LT] = ACTIONS(6235),
    [anon_sym_LT_LT] = ACTIONS(6235),
    [anon_sym_GT_GT] = ACTIONS(6235),
    [anon_sym_SEMI] = ACTIONS(6237),
    [anon_sym___attribute__] = ACTIONS(6235),
    [anon_sym___attribute] = ACTIONS(6235),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(6237),
    [anon_sym_RBRACE] = ACTIONS(6237),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_RBRACK] = ACTIONS(6237),
    [anon_sym_EQ] = ACTIONS(6235),
    [anon_sym_COLON] = ACTIONS(6235),
    [anon_sym_QMARK] = ACTIONS(6237),
    [anon_sym_STAR_EQ] = ACTIONS(6237),
    [anon_sym_SLASH_EQ] = ACTIONS(6237),
    [anon_sym_PERCENT_EQ] = ACTIONS(6237),
    [anon_sym_PLUS_EQ] = ACTIONS(6237),
    [anon_sym_DASH_EQ] = ACTIONS(6237),
    [anon_sym_LT_LT_EQ] = ACTIONS(6237),
    [anon_sym_GT_GT_EQ] = ACTIONS(6237),
    [anon_sym_AMP_EQ] = ACTIONS(6237),
    [anon_sym_CARET_EQ] = ACTIONS(6237),
    [anon_sym_PIPE_EQ] = ACTIONS(6237),
    [anon_sym_and_eq] = ACTIONS(6235),
    [anon_sym_or_eq] = ACTIONS(6235),
    [anon_sym_xor_eq] = ACTIONS(6235),
    [anon_sym_LT_EQ_GT] = ACTIONS(6237),
    [anon_sym_or] = ACTIONS(6235),
    [anon_sym_and] = ACTIONS(6235),
    [anon_sym_bitor] = ACTIONS(6235),
    [anon_sym_xor] = ACTIONS(6235),
    [anon_sym_bitand] = ACTIONS(6235),
    [anon_sym_not_eq] = ACTIONS(6235),
    [anon_sym_DASH_DASH] = ACTIONS(6237),
    [anon_sym_PLUS_PLUS] = ACTIONS(6237),
    [anon_sym_DOT] = ACTIONS(6235),
    [anon_sym_DOT_STAR] = ACTIONS(6237),
    [anon_sym_DASH_GT] = ACTIONS(6237),
    [sym_comment] = ACTIONS(3),
  },
  [2326] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5788),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5788),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5788),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5788),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5786),
    [anon_sym_or_eq] = ACTIONS(5786),
    [anon_sym_xor_eq] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5788),
    [anon_sym_and] = ACTIONS(5788),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5788),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
  },
  [2327] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6239),
    [anon_sym_unsigned] = ACTIONS(6239),
    [anon_sym_long] = ACTIONS(6239),
    [anon_sym_short] = ACTIONS(6239),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_STAR_EQ] = ACTIONS(5766),
    [anon_sym_SLASH_EQ] = ACTIONS(5766),
    [anon_sym_PERCENT_EQ] = ACTIONS(5766),
    [anon_sym_PLUS_EQ] = ACTIONS(5766),
    [anon_sym_DASH_EQ] = ACTIONS(5766),
    [anon_sym_LT_LT_EQ] = ACTIONS(5766),
    [anon_sym_GT_GT_EQ] = ACTIONS(5766),
    [anon_sym_AMP_EQ] = ACTIONS(5766),
    [anon_sym_CARET_EQ] = ACTIONS(5766),
    [anon_sym_PIPE_EQ] = ACTIONS(5766),
    [anon_sym_and_eq] = ACTIONS(5766),
    [anon_sym_or_eq] = ACTIONS(5766),
    [anon_sym_xor_eq] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
  },
  [2328] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5778),
    [anon_sym_COMMA] = ACTIONS(5778),
    [anon_sym_RPAREN] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5780),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5778),
    [anon_sym_AMP_AMP] = ACTIONS(5778),
    [anon_sym_PIPE] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5780),
    [anon_sym_EQ_EQ] = ACTIONS(5778),
    [anon_sym_BANG_EQ] = ACTIONS(5778),
    [anon_sym_GT] = ACTIONS(5780),
    [anon_sym_GT_EQ] = ACTIONS(5778),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5780),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5780),
    [anon_sym_LBRACE] = ACTIONS(5778),
    [anon_sym_RBRACE] = ACTIONS(5778),
    [anon_sym_signed] = ACTIONS(6210),
    [anon_sym_unsigned] = ACTIONS(6210),
    [anon_sym_long] = ACTIONS(6210),
    [anon_sym_short] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(5778),
    [anon_sym_RBRACK] = ACTIONS(5778),
    [anon_sym_EQ] = ACTIONS(5780),
    [anon_sym_COLON] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5778),
    [anon_sym_STAR_EQ] = ACTIONS(5778),
    [anon_sym_SLASH_EQ] = ACTIONS(5778),
    [anon_sym_PERCENT_EQ] = ACTIONS(5778),
    [anon_sym_PLUS_EQ] = ACTIONS(5778),
    [anon_sym_DASH_EQ] = ACTIONS(5778),
    [anon_sym_LT_LT_EQ] = ACTIONS(5778),
    [anon_sym_GT_GT_EQ] = ACTIONS(5778),
    [anon_sym_AMP_EQ] = ACTIONS(5778),
    [anon_sym_CARET_EQ] = ACTIONS(5778),
    [anon_sym_PIPE_EQ] = ACTIONS(5778),
    [anon_sym_and_eq] = ACTIONS(5778),
    [anon_sym_or_eq] = ACTIONS(5778),
    [anon_sym_xor_eq] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5778),
    [anon_sym_or] = ACTIONS(5780),
    [anon_sym_and] = ACTIONS(5780),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5780),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5778),
    [anon_sym_PLUS_PLUS] = ACTIONS(5778),
    [anon_sym_DOT] = ACTIONS(5780),
    [anon_sym_DOT_STAR] = ACTIONS(5778),
    [anon_sym_DASH_GT] = ACTIONS(5778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
  },
  [2329] = {
    [sym_template_argument_list] = STATE(2325),
    [sym_identifier] = ACTIONS(6241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6243),
    [anon_sym_COMMA] = ACTIONS(6243),
    [anon_sym_RPAREN] = ACTIONS(6243),
    [aux_sym_preproc_if_token2] = ACTIONS(6243),
    [aux_sym_preproc_else_token1] = ACTIONS(6243),
    [aux_sym_preproc_elif_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6243),
    [anon_sym_LPAREN2] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6241),
    [anon_sym_PLUS] = ACTIONS(6241),
    [anon_sym_STAR] = ACTIONS(6241),
    [anon_sym_SLASH] = ACTIONS(6241),
    [anon_sym_PERCENT] = ACTIONS(6241),
    [anon_sym_PIPE_PIPE] = ACTIONS(6243),
    [anon_sym_AMP_AMP] = ACTIONS(6243),
    [anon_sym_PIPE] = ACTIONS(6241),
    [anon_sym_CARET] = ACTIONS(6241),
    [anon_sym_AMP] = ACTIONS(6241),
    [anon_sym_EQ_EQ] = ACTIONS(6243),
    [anon_sym_BANG_EQ] = ACTIONS(6243),
    [anon_sym_GT] = ACTIONS(6241),
    [anon_sym_GT_EQ] = ACTIONS(6243),
    [anon_sym_LT_EQ] = ACTIONS(6241),
    [anon_sym_LT] = ACTIONS(6245),
    [anon_sym_LT_LT] = ACTIONS(6241),
    [anon_sym_GT_GT] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6243),
    [anon_sym___attribute__] = ACTIONS(6241),
    [anon_sym___attribute] = ACTIONS(6241),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_RBRACE] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6243),
    [anon_sym_RBRACK] = ACTIONS(6243),
    [anon_sym_EQ] = ACTIONS(6241),
    [anon_sym_COLON] = ACTIONS(6241),
    [anon_sym_QMARK] = ACTIONS(6243),
    [anon_sym_STAR_EQ] = ACTIONS(6243),
    [anon_sym_SLASH_EQ] = ACTIONS(6243),
    [anon_sym_PERCENT_EQ] = ACTIONS(6243),
    [anon_sym_PLUS_EQ] = ACTIONS(6243),
    [anon_sym_DASH_EQ] = ACTIONS(6243),
    [anon_sym_LT_LT_EQ] = ACTIONS(6243),
    [anon_sym_GT_GT_EQ] = ACTIONS(6243),
    [anon_sym_AMP_EQ] = ACTIONS(6243),
    [anon_sym_CARET_EQ] = ACTIONS(6243),
    [anon_sym_PIPE_EQ] = ACTIONS(6243),
    [anon_sym_and_eq] = ACTIONS(6241),
    [anon_sym_or_eq] = ACTIONS(6241),
    [anon_sym_xor_eq] = ACTIONS(6241),
    [anon_sym_LT_EQ_GT] = ACTIONS(6243),
    [anon_sym_or] = ACTIONS(6241),
    [anon_sym_and] = ACTIONS(6241),
    [anon_sym_bitor] = ACTIONS(6241),
    [anon_sym_xor] = ACTIONS(6241),
    [anon_sym_bitand] = ACTIONS(6241),
    [anon_sym_not_eq] = ACTIONS(6241),
    [anon_sym_DASH_DASH] = ACTIONS(6243),
    [anon_sym_PLUS_PLUS] = ACTIONS(6243),
    [anon_sym_DOT] = ACTIONS(6241),
    [anon_sym_DOT_STAR] = ACTIONS(6243),
    [anon_sym_DASH_GT] = ACTIONS(6243),
    [sym_comment] = ACTIONS(3),
  },
  [2330] = {
    [sym__declaration_modifiers] = STATE(2500),
    [sym_attribute_specifier] = STATE(2500),
    [sym_attribute_declaration] = STATE(2500),
    [sym_ms_declspec_modifier] = STATE(2500),
    [sym_storage_class_specifier] = STATE(2500),
    [sym_type_qualifier] = STATE(2500),
    [sym_alignas_qualifier] = STATE(2961),
    [sym_decltype_auto] = STATE(2384),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(6248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6250),
    [anon_sym_COMMA] = ACTIONS(6250),
    [anon_sym_RPAREN] = ACTIONS(6250),
    [anon_sym_LPAREN2] = ACTIONS(6250),
    [anon_sym_TILDE] = ACTIONS(6250),
    [anon_sym_STAR] = ACTIONS(6250),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_AMP] = ACTIONS(6248),
    [anon_sym_SEMI] = ACTIONS(6250),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(6252),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(6250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(6248),
    [anon_sym___cdecl] = ACTIONS(6248),
    [anon_sym___clrcall] = ACTIONS(6248),
    [anon_sym___stdcall] = ACTIONS(6248),
    [anon_sym___fastcall] = ACTIONS(6248),
    [anon_sym___thiscall] = ACTIONS(6248),
    [anon_sym___vectorcall] = ACTIONS(6248),
    [anon_sym_LBRACK] = ACTIONS(6248),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(6250),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6223),
    [anon_sym_decltype] = ACTIONS(6225),
    [anon_sym_template] = ACTIONS(6248),
    [anon_sym_GT2] = ACTIONS(6250),
    [anon_sym_operator] = ACTIONS(6248),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(5395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5397),
    [anon_sym_COMMA] = ACTIONS(5397),
    [anon_sym_RPAREN] = ACTIONS(5397),
    [anon_sym_LPAREN2] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_AMP_AMP] = ACTIONS(5397),
    [anon_sym_AMP] = ACTIONS(5395),
    [anon_sym_SEMI] = ACTIONS(5397),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_virtual] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_COLON_COLON] = ACTIONS(5397),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___based] = ACTIONS(5395),
    [anon_sym___cdecl] = ACTIONS(5395),
    [anon_sym___clrcall] = ACTIONS(5395),
    [anon_sym___stdcall] = ACTIONS(5395),
    [anon_sym___fastcall] = ACTIONS(5395),
    [anon_sym___thiscall] = ACTIONS(5395),
    [anon_sym___vectorcall] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5397),
    [anon_sym_LBRACK] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_EQ] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [anon_sym_PROGMEM] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [anon_sym_COLON] = ACTIONS(5395),
    [anon_sym_asm] = ACTIONS(5395),
    [anon_sym___asm__] = ACTIONS(5395),
    [anon_sym___asm] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5395),
    [anon_sym_decltype] = ACTIONS(5395),
    [anon_sym_final] = ACTIONS(5395),
    [anon_sym_override] = ACTIONS(5395),
    [anon_sym_template] = ACTIONS(5395),
    [anon_sym_GT2] = ACTIONS(5397),
    [anon_sym_operator] = ACTIONS(5395),
    [anon_sym_try] = ACTIONS(5395),
    [anon_sym_requires] = ACTIONS(5395),
  },
  [2332] = {
    [sym_new_declarator] = STATE(2403),
    [sym_identifier] = ACTIONS(6254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6256),
    [anon_sym_COMMA] = ACTIONS(6256),
    [anon_sym_RPAREN] = ACTIONS(6256),
    [aux_sym_preproc_if_token2] = ACTIONS(6256),
    [aux_sym_preproc_else_token1] = ACTIONS(6256),
    [aux_sym_preproc_elif_token1] = ACTIONS(6254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6256),
    [anon_sym_LPAREN2] = ACTIONS(6256),
    [anon_sym_DASH] = ACTIONS(6254),
    [anon_sym_PLUS] = ACTIONS(6254),
    [anon_sym_STAR] = ACTIONS(6254),
    [anon_sym_SLASH] = ACTIONS(6254),
    [anon_sym_PERCENT] = ACTIONS(6254),
    [anon_sym_PIPE_PIPE] = ACTIONS(6256),
    [anon_sym_AMP_AMP] = ACTIONS(6256),
    [anon_sym_PIPE] = ACTIONS(6254),
    [anon_sym_CARET] = ACTIONS(6254),
    [anon_sym_AMP] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6256),
    [anon_sym_BANG_EQ] = ACTIONS(6256),
    [anon_sym_GT] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6254),
    [anon_sym_LT] = ACTIONS(6254),
    [anon_sym_LT_LT] = ACTIONS(6254),
    [anon_sym_GT_GT] = ACTIONS(6254),
    [anon_sym_SEMI] = ACTIONS(6256),
    [anon_sym___attribute__] = ACTIONS(6254),
    [anon_sym___attribute] = ACTIONS(6254),
    [anon_sym_LBRACE] = ACTIONS(6256),
    [anon_sym_RBRACE] = ACTIONS(6256),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(6256),
    [anon_sym_EQ] = ACTIONS(6254),
    [anon_sym_COLON] = ACTIONS(6256),
    [anon_sym_QMARK] = ACTIONS(6256),
    [anon_sym_STAR_EQ] = ACTIONS(6256),
    [anon_sym_SLASH_EQ] = ACTIONS(6256),
    [anon_sym_PERCENT_EQ] = ACTIONS(6256),
    [anon_sym_PLUS_EQ] = ACTIONS(6256),
    [anon_sym_DASH_EQ] = ACTIONS(6256),
    [anon_sym_LT_LT_EQ] = ACTIONS(6256),
    [anon_sym_GT_GT_EQ] = ACTIONS(6256),
    [anon_sym_AMP_EQ] = ACTIONS(6256),
    [anon_sym_CARET_EQ] = ACTIONS(6256),
    [anon_sym_PIPE_EQ] = ACTIONS(6256),
    [anon_sym_and_eq] = ACTIONS(6254),
    [anon_sym_or_eq] = ACTIONS(6254),
    [anon_sym_xor_eq] = ACTIONS(6254),
    [anon_sym_LT_EQ_GT] = ACTIONS(6256),
    [anon_sym_or] = ACTIONS(6254),
    [anon_sym_and] = ACTIONS(6254),
    [anon_sym_bitor] = ACTIONS(6254),
    [anon_sym_xor] = ACTIONS(6254),
    [anon_sym_bitand] = ACTIONS(6254),
    [anon_sym_not_eq] = ACTIONS(6254),
    [anon_sym_DASH_DASH] = ACTIONS(6256),
    [anon_sym_PLUS_PLUS] = ACTIONS(6256),
    [anon_sym_DOT] = ACTIONS(6254),
    [anon_sym_DOT_STAR] = ACTIONS(6256),
    [anon_sym_DASH_GT] = ACTIONS(6256),
    [sym_comment] = ACTIONS(3),
  },
  [2333] = {
    [sym_string_literal] = STATE(2155),
    [sym_raw_string_literal] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5823),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5825),
    [sym_literal_suffix] = ACTIONS(5823),
  },
  [2334] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym___attribute] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(6208),
    [anon_sym_unsigned] = ACTIONS(6208),
    [anon_sym_long] = ACTIONS(6208),
    [anon_sym_short] = ACTIONS(6208),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_and_eq] = ACTIONS(5604),
    [anon_sym_or_eq] = ACTIONS(5604),
    [anon_sym_xor_eq] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
  },
  [2335] = {
    [sym_attribute_specifier] = STATE(2193),
    [sym_enumerator_list] = STATE(2187),
    [sym__enum_base_clause] = STATE(2143),
    [sym_identifier] = ACTIONS(6258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6260),
    [anon_sym_COMMA] = ACTIONS(6260),
    [aux_sym_preproc_if_token2] = ACTIONS(6260),
    [aux_sym_preproc_else_token1] = ACTIONS(6260),
    [aux_sym_preproc_elif_token1] = ACTIONS(6258),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6260),
    [anon_sym_LPAREN2] = ACTIONS(6260),
    [anon_sym_DASH] = ACTIONS(6258),
    [anon_sym_PLUS] = ACTIONS(6258),
    [anon_sym_STAR] = ACTIONS(6258),
    [anon_sym_SLASH] = ACTIONS(6258),
    [anon_sym_PERCENT] = ACTIONS(6258),
    [anon_sym_PIPE_PIPE] = ACTIONS(6260),
    [anon_sym_AMP_AMP] = ACTIONS(6260),
    [anon_sym_PIPE] = ACTIONS(6258),
    [anon_sym_CARET] = ACTIONS(6258),
    [anon_sym_AMP] = ACTIONS(6258),
    [anon_sym_EQ_EQ] = ACTIONS(6260),
    [anon_sym_BANG_EQ] = ACTIONS(6260),
    [anon_sym_GT] = ACTIONS(6258),
    [anon_sym_GT_EQ] = ACTIONS(6260),
    [anon_sym_LT_EQ] = ACTIONS(6258),
    [anon_sym_LT] = ACTIONS(6258),
    [anon_sym_LT_LT] = ACTIONS(6258),
    [anon_sym_GT_GT] = ACTIONS(6258),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym___attribute] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(6260),
    [anon_sym_EQ] = ACTIONS(6258),
    [anon_sym_COLON] = ACTIONS(6206),
    [anon_sym_QMARK] = ACTIONS(6260),
    [anon_sym_STAR_EQ] = ACTIONS(6260),
    [anon_sym_SLASH_EQ] = ACTIONS(6260),
    [anon_sym_PERCENT_EQ] = ACTIONS(6260),
    [anon_sym_PLUS_EQ] = ACTIONS(6260),
    [anon_sym_DASH_EQ] = ACTIONS(6260),
    [anon_sym_LT_LT_EQ] = ACTIONS(6260),
    [anon_sym_GT_GT_EQ] = ACTIONS(6260),
    [anon_sym_AMP_EQ] = ACTIONS(6260),
    [anon_sym_CARET_EQ] = ACTIONS(6260),
    [anon_sym_PIPE_EQ] = ACTIONS(6260),
    [anon_sym_and_eq] = ACTIONS(6258),
    [anon_sym_or_eq] = ACTIONS(6258),
    [anon_sym_xor_eq] = ACTIONS(6258),
    [anon_sym_LT_EQ_GT] = ACTIONS(6260),
    [anon_sym_or] = ACTIONS(6258),
    [anon_sym_and] = ACTIONS(6258),
    [anon_sym_bitor] = ACTIONS(6258),
    [anon_sym_xor] = ACTIONS(6258),
    [anon_sym_bitand] = ACTIONS(6258),
    [anon_sym_not_eq] = ACTIONS(6258),
    [anon_sym_DASH_DASH] = ACTIONS(6260),
    [anon_sym_PLUS_PLUS] = ACTIONS(6260),
    [anon_sym_DOT] = ACTIONS(6258),
    [anon_sym_DOT_STAR] = ACTIONS(6260),
    [anon_sym_DASH_GT] = ACTIONS(6260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6258),
    [anon_sym_decltype] = ACTIONS(6258),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5482), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5546), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5484), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5576), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5574), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5488), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2239), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6264), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5524), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6280), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1140] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [1225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5649), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5653), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5657), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5673), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6296), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5578), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5598), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5510), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5606), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5476), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6300), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5455), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5556), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5554), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5560), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5558), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5562), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5570), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5929), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5927), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [2655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5602), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5520), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [2880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5542), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5538), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5586), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5472), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3164] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2944), 1,
      sym_primitive_type,
    STATE(2953), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5874), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6310), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5869), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4966), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [3253] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6312), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6314), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [3421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6320), 1,
      anon_sym_LT,
    STATE(2590), 1,
      sym_template_argument_list,
    ACTIONS(4838), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4831), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [3498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5590), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      sym_identifier,
    STATE(2385), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6325), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6328), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5419), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5417), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3648] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_LT,
    STATE(2310), 1,
      sym_template_argument_list,
    ACTIONS(6335), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6337), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5594), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6342), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6344), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5550), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5492), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5612), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5610), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5496), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5468), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5614), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5492), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6348), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2200), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6071), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6073), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5825), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5823), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [4824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 1,
      sym_identifier,
    STATE(2405), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4381), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4383), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5281), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5279), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [4903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3825), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 1,
      sym_identifier,
    STATE(2385), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4381), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4383), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5299), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [5124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5566), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5195] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2709), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2992), 1,
      sym_primitive_type,
    ACTIONS(5863), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4932), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5858), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4934), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [5284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5528), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6320), 1,
      anon_sym_LT,
    STATE(2590), 1,
      sym_template_argument_list,
    ACTIONS(4133), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5689), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [5432] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2775), 1,
      sym_field_declaration_list,
    STATE(3023), 1,
      sym_attribute_specifier,
    STATE(6915), 1,
      sym_virtual_specifier,
    STATE(7515), 1,
      sym_base_class_clause,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5659), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5661), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5582), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5663] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [5750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3821), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2580), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6378), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5900] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6380), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6382), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5165), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5149), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5149), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5149), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5309), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6388), 1,
      anon_sym_virtual,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2444), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6386), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6384), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [6843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5673), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6392), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6396), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6400), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4874), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [7193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5161), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7333] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 1,
      anon_sym___attribute,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym___attribute__,
    ACTIONS(6404), 1,
      anon_sym_COLON,
    STATE(2133), 1,
      sym__enum_base_clause,
    STATE(2182), 1,
      sym_enumerator_list,
    STATE(2254), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6204), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LPAREN2,
    STATE(2512), 1,
      sym_argument_list,
    STATE(2532), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3896), 1,
      sym_initializer_list,
    ACTIONS(6409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [7499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5173), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6413), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6415), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5929), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7927] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      anon_sym_virtual,
    ACTIONS(6437), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6440), 1,
      anon_sym___declspec,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(6434), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6443), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2444), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6431), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6423), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6421), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6425), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [8015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8225] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_enumerator_list,
    STATE(2617), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5889), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5653), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [8375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5285), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6470), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4850), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4854), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5153), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5177), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6486), 1,
      anon_sym_and,
    ACTIONS(5833), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5835), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5157), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6490), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5185), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5189), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4858), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6494), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6498), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6348), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 1,
      anon_sym___attribute,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym___attribute__,
    ACTIONS(6404), 1,
      anon_sym_COLON,
    STATE(2143), 1,
      sym__enum_base_clause,
    STATE(2187), 1,
      sym_enumerator_list,
    STATE(2193), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6260), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10005] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(2545), 1,
      sym_enumerator_list,
    STATE(2629), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5920), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1571), 1,
      sym_string_literal,
    ACTIONS(6504), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [10159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6508), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6512), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6516), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6520), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6524), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6528), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6532), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5181), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4866), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4870), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1574), 1,
      sym_string_literal,
    ACTIONS(6504), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [11143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1918), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6544), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6552), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6556), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1576), 1,
      sym_string_literal,
    ACTIONS(6504), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [11707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6560), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6564), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11917] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6388), 1,
      anon_sym_virtual,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2444), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6568), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6566), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [12005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5649), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [12075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1922), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6576), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5657), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [12425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5321), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(3145), 1,
      sym_attribute_specifier,
    STATE(6990), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5659), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5661), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [12795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5193), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6486), 1,
      anon_sym_and,
    ACTIONS(6600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6602), 1,
      anon_sym_or,
    ACTIONS(5847), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13013] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5711), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5715), 1,
      anon_sym_AMP,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6283), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5725), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5723), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [13133] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5711), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5715), 1,
      anon_sym_AMP,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6294), 1,
      sym__declarator,
    STATE(6466), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6606), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6604), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [13253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1572), 1,
      sym_string_literal,
    ACTIONS(6504), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [13327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6610), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6614), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3759), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6618), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4883), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6626), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5142), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4833), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5321), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4852), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5321), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4872), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4848), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5802), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5307), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2609), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6032), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2628), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6060), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4856), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5657), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5319), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5673), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2402), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4381), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4383), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5823), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5825), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [15021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6633), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2616), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6040), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2618), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5955), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6639), 1,
      anon_sym_LT,
    STATE(2580), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2622), 1,
      sym_template_argument_list,
    ACTIONS(6378), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4115), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5752), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2621), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5969), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4872), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4848), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6641), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4852), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4856), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4864), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4868), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2632), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6036), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2634), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6020), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5321), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5319), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2547), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5774), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2671), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5792), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6649), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6647), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5750), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2611), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5959), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5397), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2589), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6651), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5796), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4860), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4864), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4868), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2566), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2553), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5321), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5319), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2567), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2635), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5935), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5778), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5457), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5782), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5784), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5788), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6661), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6659), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2582), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6663), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5762), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2583), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5768), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5780), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5285), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5283), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5758), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4876), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2672), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6016), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5604), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6671), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6669), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6639), 1,
      anon_sym_LT,
    STATE(2622), 1,
      sym_template_argument_list,
    ACTIONS(5689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2666), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5992), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    STATE(2646), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5996), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    STATE(2669), 1,
      sym_decltype_auto,
    ACTIONS(5311), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5313), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2733), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2532), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5604), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5602), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5649), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5653), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6677), 1,
      anon_sym_LT,
    STATE(2622), 1,
      sym_template_argument_list,
    ACTIONS(4831), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4838), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2552), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5526), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5490), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5580), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5608), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5309), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5498), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5494), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5576), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5556), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5560), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5564), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5572), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20511] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 1,
      anon_sym_STAR,
    ACTIONS(5829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5831), 1,
      anon_sym_AMP,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6294), 1,
      sym__declarator,
    STATE(6600), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6604), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6606), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [20629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5478), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5522), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20833] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 1,
      anon_sym_STAR,
    ACTIONS(5829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5831), 1,
      anon_sym_AMP,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6283), 1,
      sym__declarator,
    STATE(6579), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5723), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(5725), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [20951] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6682), 1,
      sym_identifier,
    STATE(2624), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6688), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5419), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 1,
      sym_identifier,
    STATE(2624), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5502), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5604), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5540), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(2747), 1,
      sym__enum_base_clause,
    STATE(2792), 1,
      sym_enumerator_list,
    STATE(3037), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5544), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5588), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5596), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5470), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2532), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6697), 1,
      anon_sym_LT,
    STATE(2641), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(6415), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4115), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6697), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(5689), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22089] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3040), 1,
      sym_field_declaration_list,
    STATE(3600), 1,
      sym_attribute_specifier,
    STATE(6831), 1,
      sym_virtual_specifier,
    STATE(7487), 1,
      sym_base_class_clause,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5659), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5661), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5790), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5457), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5455), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [22383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5800), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5600), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5512), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2653), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2657), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6709), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5794), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5584), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5457), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5750), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23215] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_STAR,
    ACTIONS(5843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5845), 1,
      anon_sym_AMP,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6283), 1,
      sym__declarator,
    STATE(6603), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5725), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [23333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5756), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5494), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2674), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6711), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5760), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23545] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(2746), 1,
      sym__enum_base_clause,
    STATE(2774), 1,
      sym_enumerator_list,
    STATE(3012), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6260), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2675), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5766), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5616), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5568), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23835] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_STAR,
    ACTIONS(5843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5845), 1,
      anon_sym_AMP,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6294), 1,
      sym__declarator,
    STATE(6604), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6606), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [23953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5778), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5486), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5530), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2725), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5592), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2645), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6717), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5604), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5285), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5612), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5518), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5782), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [24795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6719), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4831), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4838), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      sym_identifier,
    STATE(2625), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5281), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5279), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5548), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5516), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [25081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5552), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6724), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym_COLON,
    STATE(2805), 1,
      sym__enum_base_clause,
    STATE(2879), 1,
      sym_enumerator_list,
    STATE(3243), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6260), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5649), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [25459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6488), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [25526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5653), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [25662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5309), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6730), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5673), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [25889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6732), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [26049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4970), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [26116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6530), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6734), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26276] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6736), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [26436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5285), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym_COLON,
    STATE(2758), 1,
      sym__enum_base_clause,
    STATE(2903), 1,
      sym_enumerator_list,
    STATE(3113), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [26586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6506), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6738), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4876), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [26951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6223), 1,
      sym_auto,
    ACTIONS(6225), 1,
      anon_sym_decltype,
    ACTIONS(6252), 1,
      anon_sym_virtual,
    ACTIONS(6740), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2500), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6248), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [27044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5657), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [27178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5644), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4999), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [27251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6742), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [27318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2645), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6717), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27388] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6746), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [27472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6748), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [27556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5778), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27626] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    STATE(2725), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4115), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27702] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6754), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [27786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2981), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6756), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5929), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [27862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6762), 1,
      sym_auto,
    ACTIONS(6764), 1,
      anon_sym_decltype,
    STATE(3050), 1,
      sym_decltype_auto,
    STATE(3071), 1,
      sym_new_declarator,
    STATE(3571), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [27944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6766), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(4831), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4838), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2730), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2726), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5604), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    STATE(2370), 1,
      sym_attribute_specifier,
    STATE(2892), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5889), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5887), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6775), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6777), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6779), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6781), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2729), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    STATE(2379), 1,
      sym_attribute_specifier,
    STATE(2836), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5920), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5918), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6785), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29144] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6787), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5321), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [29294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6762), 1,
      sym_auto,
    ACTIONS(6764), 1,
      anon_sym_decltype,
    STATE(2999), 1,
      sym_new_declarator,
    STATE(3050), 1,
      sym_decltype_auto,
    STATE(3473), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [29376] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6789), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29460] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6791), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6793), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29628] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6795), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(5689), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6762), 1,
      sym_auto,
    ACTIONS(6764), 1,
      anon_sym_decltype,
    STATE(3050), 1,
      sym_decltype_auto,
    STATE(3075), 1,
      sym_new_declarator,
    STATE(3453), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [29936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5750), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    STATE(2793), 1,
      sym_enumerator_list,
    STATE(3042), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5920), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    STATE(2800), 1,
      sym_enumerator_list,
    STATE(3002), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30228] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6801), 1,
      anon_sym_SEMI,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30312] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6762), 1,
      sym_auto,
    ACTIONS(6764), 1,
      anon_sym_decltype,
    STATE(3050), 1,
      sym_decltype_auto,
    STATE(3055), 1,
      sym_new_declarator,
    STATE(3544), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [30394] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30550] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6815), 1,
      anon_sym_LBRACK,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3686), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5319), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [30759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6413), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30824] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5723), 1,
      anon_sym_RPAREN,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6396), 1,
      sym__declarator,
    STATE(6622), 1,
      sym__abstract_declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [30937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    STATE(2858), 1,
      sym_enumerator_list,
    STATE(3196), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5889), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31012] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6604), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6370), 1,
      sym__declarator,
    STATE(6686), 1,
      sym__abstract_declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [31125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4133), 1,
      anon_sym_SEMI,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31202] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6818), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6820), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31311] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6842), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6390), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6392), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3035), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31495] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6333), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31800] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31897] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31992] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32079] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6844), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6846), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32188] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6842), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6850), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32301] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6854), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32410] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6842), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6856), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6858), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3041), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3049), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6016), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3052), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5285), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4874), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4850), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4854), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4858), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4866), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4870), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [33650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3001), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3003), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3021), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3009), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6036), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34206] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___attribute__,
    ACTIONS(6875), 1,
      anon_sym___attribute,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_requires,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4646), 1,
      sym__function_attributes_start,
    STATE(4959), 1,
      sym_ref_qualifier,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5733), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5231), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3024), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6020), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3039), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_namespace,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6905), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [34599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34666] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_enumerator_list,
    STATE(3235), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34741] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6911), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6913), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34850] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6828), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6830), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6915), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6917), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [35040] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [35123] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [35208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      anon_sym_namespace,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35275] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_COLON,
    STATE(2929), 1,
      sym__enum_base_clause,
    STATE(3076), 1,
      sym_enumerator_list,
    STATE(3586), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6260), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35486] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      sym_auto,
    ACTIONS(6933), 1,
      anon_sym_decltype,
    STATE(3168), 1,
      sym_new_declarator,
    STATE(3189), 1,
      sym_decltype_auto,
    STATE(3655), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5729), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [35567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_namespace,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5309), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      sym_auto,
    ACTIONS(6933), 1,
      anon_sym_decltype,
    STATE(3189), 1,
      sym_decltype_auto,
    STATE(3230), 1,
      sym_new_declarator,
    STATE(3763), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5806), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [35981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6939), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36048] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_COLON,
    STATE(2959), 1,
      sym__enum_base_clause,
    STATE(3056), 1,
      sym_enumerator_list,
    STATE(3558), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36326] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___attribute__,
    ACTIONS(6875), 1,
      anon_sym___attribute,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4748), 1,
      sym__function_attributes_start,
    STATE(4969), 1,
      sym_ref_qualifier,
    STATE(5631), 1,
      sym_trailing_return_type,
    STATE(5678), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5221), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [36445] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      sym_auto,
    ACTIONS(6933), 1,
      anon_sym_decltype,
    STATE(3189), 1,
      sym_decltype_auto,
    STATE(3221), 1,
      sym_new_declarator,
    STATE(3704), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5741), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [36526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6947), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      sym_auto,
    ACTIONS(6933), 1,
      anon_sym_decltype,
    STATE(3122), 1,
      sym_new_declarator,
    STATE(3189), 1,
      sym_decltype_auto,
    STATE(3675), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5745), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [36674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_namespace,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3008), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5992), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      anon_sym___attribute__,
    ACTIONS(6370), 1,
      anon_sym___attribute,
    STATE(3007), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5969), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3823), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [37014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2371), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5955), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5953), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6275), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3920), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37192] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6283), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2841), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3833), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6963), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5321), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6294), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3835), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37540] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6972), 1,
      anon_sym___asm,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4817), 1,
      sym__function_attributes_start,
    STATE(5017), 1,
      sym_ref_qualifier,
    STATE(5631), 1,
      sym_trailing_return_type,
    STATE(5700), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6969), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5266), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5580), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3116), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5992), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3102), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5996), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5604), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_const,
    ACTIONS(4887), 1,
      anon_sym_AMP,
    ACTIONS(4880), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4885), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4878), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4883), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [38062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6544), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2851), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6552), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3852), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38346] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6083), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3908), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5969), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5967), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [38524] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6454), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2874), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3902), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38634] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6972), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7002), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4786), 1,
      sym__function_attributes_start,
    STATE(4996), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5691), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6969), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5272), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2881), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3945), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38862] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6614), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2859), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3856), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3213), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6020), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39042] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6611), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3860), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2360), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5996), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5994), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3162), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5935), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39290] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4859), 1,
      sym__function_attributes_start,
    STATE(5037), 1,
      sym_ref_qualifier,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5935), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5275), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2376), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6036), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6034), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3095), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6032), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6370), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3862), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39656] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6972), 1,
      anon_sym___asm,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4825), 1,
      sym__function_attributes_start,
    STATE(5028), 1,
      sym_ref_qualifier,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5704), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6969), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5269), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5556), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3819), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6016), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6014), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5959), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5957), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [40038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6742), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [40102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6500), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [40166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7032), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7028), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7030), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7035), 13,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7025), 32,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [40236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3936), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40346] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6972), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4856), 1,
      sym__function_attributes_start,
    STATE(5034), 1,
      sym_ref_qualifier,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(5683), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6969), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5270), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40464] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6103), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40574] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6454), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2890), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3901), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6070), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2876), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3874), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3188), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6060), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40864] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4793), 1,
      sym__function_attributes_start,
    STATE(5035), 1,
      sym_ref_qualifier,
    STATE(5631), 1,
      sym_trailing_return_type,
    STATE(5887), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5271), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40982] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6370), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3881), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2362), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6032), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6030), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6103), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2899), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41334] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6609), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2902), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4133), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5689), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [41514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2726), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2338), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5992), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5990), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3203), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5955), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3945), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6538), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2897), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3913), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2388), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6020), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6018), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6096), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2896), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3899), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42118] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6096), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3899), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6040), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6038), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6097), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3923), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42406] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6544), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3227), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5969), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42586] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2377), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6060), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6058), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3236), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6036), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6614), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3856), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3193), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6040), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6283), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3833), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3177), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6016), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4838), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4831), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [43264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym___attribute,
    STATE(3184), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5959), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2865), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3936), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2394), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5935), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5933), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7049), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43708] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACE,
    ACTIONS(4845), 1,
      anon_sym_LT,
    STATE(2910), 1,
      sym_template_argument_list,
    ACTIONS(4840), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43779] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6844), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5548), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43951] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5556), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7085), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5760), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [44194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LBRACK,
    STATE(3270), 1,
      sym_parameter_list,
    STATE(3084), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5986), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44267] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4915), 1,
      sym__function_attributes_start,
    STATE(5039), 1,
      sym_ref_qualifier,
    STATE(5836), 1,
      sym_trailing_return_type,
    STATE(5921), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5279), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [44384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5705), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [44451] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7108), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4917), 1,
      sym__function_attributes_start,
    STATE(5049), 1,
      sym_ref_qualifier,
    STATE(5831), 1,
      sym_trailing_return_type,
    STATE(5925), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [44568] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7118), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7115), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7113), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7111), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [44639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5756), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [44706] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6818), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5580), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44878] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LBRACK,
    STATE(3270), 1,
      sym_parameter_list,
    STATE(3084), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44951] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7126), 1,
      anon_sym_virtual,
    ACTIONS(7135), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7138), 1,
      anon_sym___declspec,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(7132), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7141), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2928), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7129), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7123), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(6421), 16,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [45032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    STATE(3062), 1,
      sym_enumerator_list,
    STATE(3574), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5920), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45105] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4873), 1,
      sym__function_attributes_start,
    STATE(5064), 1,
      sym_ref_qualifier,
    STATE(5979), 1,
      sym__function_attributes_end,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5301), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [45222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [45303] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6848), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45416] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7150), 1,
      anon_sym_COMMA,
    ACTIONS(7152), 1,
      anon_sym_RPAREN,
    ACTIONS(7154), 1,
      anon_sym_DASH,
    ACTIONS(7156), 1,
      anon_sym_PLUS,
    ACTIONS(7158), 1,
      anon_sym_STAR,
    ACTIONS(7160), 1,
      anon_sym_SLASH,
    ACTIONS(7162), 1,
      anon_sym_PERCENT,
    ACTIONS(7164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7168), 1,
      anon_sym_PIPE,
    ACTIONS(7170), 1,
      anon_sym_CARET,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    ACTIONS(7174), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7176), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7178), 1,
      anon_sym_GT,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_LT,
    ACTIONS(7186), 1,
      anon_sym_LT_LT,
    ACTIONS(7188), 1,
      anon_sym_GT_GT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7192), 1,
      anon_sym_EQ,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7196), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7198), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7200), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7202), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7204), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7206), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7208), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7210), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7212), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7214), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7220), 1,
      anon_sym_or,
    ACTIONS(7222), 1,
      anon_sym_and,
    ACTIONS(7224), 1,
      anon_sym_bitor,
    ACTIONS(7226), 1,
      anon_sym_xor,
    ACTIONS(7228), 1,
      anon_sym_bitand,
    ACTIONS(7230), 1,
      anon_sym_not_eq,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7216), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(2723), 1,
      sym__enum_base_clause,
    STATE(2895), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6204), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6202), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2987), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7242), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5604), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5502), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LBRACK,
    STATE(3270), 1,
      sym_parameter_list,
    STATE(3084), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6026), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6028), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2733), 1,
      sym__enum_base_clause,
    STATE(2900), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6260), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6258), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45930] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6390), 1,
      anon_sym_EQ,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46043] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7108), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4949), 1,
      sym__function_attributes_start,
    STATE(5051), 1,
      sym_ref_qualifier,
    STATE(5831), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5300), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [46160] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    ACTIONS(7248), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    STATE(3438), 1,
      sym_new_declarator,
    STATE(3512), 1,
      sym_decltype_auto,
    STATE(3876), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6852), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_const,
    ACTIONS(4887), 1,
      anon_sym_AMP,
    ACTIONS(4880), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4885), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4883), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4878), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7254), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5766), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5552), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46549] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7258), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4950), 1,
      sym__function_attributes_start,
    STATE(5060), 1,
      sym_ref_qualifier,
    STATE(5962), 1,
      sym_trailing_return_type,
    STATE(6094), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5295), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [46666] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_requires,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4881), 1,
      sym__function_attributes_start,
    STATE(5059), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5843), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5296), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [46783] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    ACTIONS(7248), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    STATE(3461), 1,
      sym_new_declarator,
    STATE(3512), 1,
      sym_decltype_auto,
    STATE(3950), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LBRACK,
    STATE(3270), 1,
      sym_parameter_list,
    STATE(3084), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6054), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46998] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [47081] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(3559), 1,
      sym_field_declaration_list,
    STATE(6974), 1,
      sym_virtual_specifier,
    STATE(7720), 1,
      sym_base_class_clause,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5659), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5661), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5778), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47229] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7150), 1,
      anon_sym_COMMA,
    ACTIONS(7154), 1,
      anon_sym_DASH,
    ACTIONS(7156), 1,
      anon_sym_PLUS,
    ACTIONS(7158), 1,
      anon_sym_STAR,
    ACTIONS(7160), 1,
      anon_sym_SLASH,
    ACTIONS(7162), 1,
      anon_sym_PERCENT,
    ACTIONS(7164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7168), 1,
      anon_sym_PIPE,
    ACTIONS(7170), 1,
      anon_sym_CARET,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    ACTIONS(7174), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7176), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7178), 1,
      anon_sym_GT,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_LT,
    ACTIONS(7186), 1,
      anon_sym_LT_LT,
    ACTIONS(7188), 1,
      anon_sym_GT_GT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7192), 1,
      anon_sym_EQ,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7196), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7198), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7200), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7202), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7204), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7206), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7208), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7210), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7212), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7214), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7220), 1,
      anon_sym_or,
    ACTIONS(7222), 1,
      anon_sym_and,
    ACTIONS(7224), 1,
      anon_sym_bitor,
    ACTIONS(7226), 1,
      anon_sym_xor,
    ACTIONS(7228), 1,
      anon_sym_bitand,
    ACTIONS(7230), 1,
      anon_sym_not_eq,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7263), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7216), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [47390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5604), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [47562] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [47647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_LPAREN2,
    STATE(2532), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3448), 1,
      sym_argument_list,
    STATE(3869), 1,
      sym_initializer_list,
    ACTIONS(6409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5455), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_enumerator_list,
    STATE(3463), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [47921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6762), 1,
      sym_auto,
    ACTIONS(6764), 1,
      anon_sym_decltype,
    STATE(3050), 1,
      sym_decltype_auto,
    ACTIONS(5311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6963), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5786), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [48199] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7268), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4883), 1,
      sym__function_attributes_start,
    STATE(5047), 1,
      sym_ref_qualifier,
    STATE(5982), 1,
      sym__function_attributes_end,
    STATE(6199), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5284), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [48316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5457), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4885), 1,
      sym__function_attributes_start,
    STATE(5048), 1,
      sym_ref_qualifier,
    STATE(6001), 1,
      sym_trailing_return_type,
    STATE(6054), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5282), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [48500] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      anon_sym_LT,
    STATE(3022), 1,
      sym_template_argument_list,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5457), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48701] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    ACTIONS(7248), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    STATE(3512), 1,
      sym_decltype_auto,
    STATE(3548), 1,
      sym_new_declarator,
    STATE(3865), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4107), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48918] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    ACTIONS(7248), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    STATE(3440), 1,
      sym_new_declarator,
    STATE(3512), 1,
      sym_decltype_auto,
    STATE(3940), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48997] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4914), 1,
      sym__function_attributes_start,
    STATE(5058), 1,
      sym_ref_qualifier,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(5838), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5293), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49114] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6911), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6500), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [49286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5397), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2987), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7242), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5457), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49483] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7150), 1,
      anon_sym_COMMA,
    ACTIONS(7154), 1,
      anon_sym_DASH,
    ACTIONS(7156), 1,
      anon_sym_PLUS,
    ACTIONS(7158), 1,
      anon_sym_STAR,
    ACTIONS(7160), 1,
      anon_sym_SLASH,
    ACTIONS(7162), 1,
      anon_sym_PERCENT,
    ACTIONS(7164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7168), 1,
      anon_sym_PIPE,
    ACTIONS(7170), 1,
      anon_sym_CARET,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    ACTIONS(7174), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7176), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7178), 1,
      anon_sym_GT,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_LT,
    ACTIONS(7186), 1,
      anon_sym_LT_LT,
    ACTIONS(7188), 1,
      anon_sym_GT_GT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7192), 1,
      anon_sym_EQ,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7196), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7198), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7200), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7202), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7204), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7206), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7208), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7210), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7212), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7214), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7220), 1,
      anon_sym_or,
    ACTIONS(7222), 1,
      anon_sym_and,
    ACTIONS(7224), 1,
      anon_sym_bitor,
    ACTIONS(7226), 1,
      anon_sym_xor,
    ACTIONS(7228), 1,
      anon_sym_bitand,
    ACTIONS(7230), 1,
      anon_sym_not_eq,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7216), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49644] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49749] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4946), 1,
      sym__function_attributes_start,
    STATE(5053), 1,
      sym_ref_qualifier,
    STATE(5836), 1,
      sym_trailing_return_type,
    STATE(6109), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5283), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49866] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49967] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [50064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5800), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5750), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [50287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LBRACK,
    STATE(3270), 1,
      sym_parameter_list,
    STATE(3084), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5941), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5943), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7277), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5772), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2924), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5794), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50494] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [50589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [50680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7121), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4838), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4831), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [50815] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [50895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3496), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3444), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6168), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51031] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LPAREN2,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_parameter_list,
    STATE(3111), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5986), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5988), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5560), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5564), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5572), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3592), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5655), 51,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [51419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7295), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7293), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7291), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [51485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5522), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5588), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      sym_auto,
    ACTIONS(6933), 1,
      anon_sym_decltype,
    STATE(3189), 1,
      sym_decltype_auto,
    ACTIONS(5311), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5313), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51863] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [52035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5616), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7315), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7313), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7311), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7309), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [52163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4133), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5689), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [52231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2678), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5823), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5825), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5600), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4974), 1,
      sym__function_attributes_start,
    STATE(5109), 1,
      sym_ref_qualifier,
    STATE(6147), 1,
      sym_trailing_return_type,
    STATE(6152), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5306), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [52791] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6815), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(4130), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4107), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [52867] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6844), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52975] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7339), 1,
      anon_sym_requires,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4955), 1,
      sym__function_attributes_start,
    STATE(5111), 1,
      sym_ref_qualifier,
    STATE(6156), 1,
      sym_trailing_return_type,
    STATE(6162), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5310), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6864), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [53091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LPAREN2,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_parameter_list,
    STATE(3111), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6054), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7342), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3813), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3811), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53291] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3033), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6159), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6161), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5608), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53557] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6848), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7357), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7355), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7353), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3577), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6016), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5568), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54113] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [54197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACE,
    ACTIONS(5636), 1,
      anon_sym_LT,
    STATE(3135), 1,
      sym_template_argument_list,
    ACTIONS(4840), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LPAREN2,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_parameter_list,
    STATE(3111), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6026), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6028), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5592), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54587] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6852), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54757] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6856), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3493), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6196), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3462), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3578), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LPAREN2,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_parameter_list,
    STATE(3111), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5965), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7365), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7363), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7361), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [55273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5584), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5576), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3466), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7369), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3789), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3787), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [55681] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7054), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [55793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5526), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3468), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5969), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3471), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6036), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5530), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3543), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6184), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3552), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3585), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5992), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3455), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3573), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6911), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56563] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6915), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3495), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6020), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56739] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6818), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56847] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7331), 1,
      anon_sym_or,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6390), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5671), 51,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [57021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5397), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3033), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6148), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6150), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57227] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_and,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6331), 3,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57331] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7325), 1,
      anon_sym_PIPE,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7335), 1,
      anon_sym_bitor,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57431] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57525] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT_EQ,
    ACTIONS(7307), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7329), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7281), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7327), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7301), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7303), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57621] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_LPAREN2,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_parameter_list,
    STATE(3111), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5941), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5943), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57693] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8377), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [57802] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4990), 1,
      sym__function_attributes_start,
    STATE(5191), 1,
      sym_ref_qualifier,
    STATE(6001), 1,
      sym_trailing_return_type,
    STATE(6038), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5332), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [57917] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7874), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58026] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5608), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58186] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8118), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6348), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58358] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8241), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58467] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4104), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58637] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5600), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3992), 1,
      sym_field_declaration_list,
    STATE(4060), 1,
      sym_attribute_specifier,
    STATE(7021), 1,
      sym_virtual_specifier,
    STATE(7483), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5659), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5661), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58884] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3991), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3356), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59056] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7431), 1,
      sym_identifier,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7439), 1,
      anon_sym_enum,
    ACTIONS(7441), 1,
      anon_sym_class,
    ACTIONS(7443), 1,
      anon_sym_struct,
    ACTIONS(7445), 1,
      anon_sym_union,
    ACTIONS(7447), 1,
      sym_auto,
    ACTIONS(7449), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4198), 1,
      sym_type_specifier,
    STATE(4336), 1,
      sym_primitive_type,
    STATE(4886), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_qualified_type_identifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3346), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4808), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4887), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59165] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7923), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5033), 1,
      sym__function_attributes_start,
    STATE(5200), 1,
      sym_ref_qualifier,
    STATE(6087), 1,
      sym__function_attributes_end,
    STATE(6147), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5337), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59389] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59468] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4039), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3379), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6148), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6150), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [59703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59764] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7469), 1,
      anon_sym_LT,
    STATE(3343), 1,
      sym_template_argument_list,
    ACTIONS(6241), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6243), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5486), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59973] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5365), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACE,
    ACTIONS(5641), 1,
      anon_sym_LT,
    STATE(3284), 1,
      sym_template_argument_list,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60151] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60258] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8481), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6316), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [60440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3701), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6196), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(3591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7496), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5929), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4831), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4838), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [60643] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7990), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60752] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [60847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6911), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60954] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7502), 1,
      anon_sym_enum,
    ACTIONS(7504), 1,
      anon_sym_class,
    ACTIONS(7506), 1,
      anon_sym_struct,
    ACTIONS(7508), 1,
      anon_sym_union,
    ACTIONS(7510), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4317), 1,
      sym_type_specifier,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3377), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61063] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8398), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      sym_identifier,
    STATE(3170), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5903), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5905), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5279), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8297), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61350] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [61443] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4227), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3385), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61552] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7946), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61724] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4421), 1,
      sym_type_specifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3361), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61833] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61942] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8174), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62051] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7514), 1,
      anon_sym_LT,
    STATE(1831), 1,
      sym_template_argument_list,
    ACTIONS(6335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5616), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62284] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4196), 1,
      sym_type_specifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3365), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62393] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8306), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62502] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3965), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3352), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5512), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62672] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [62761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_LT,
    STATE(2910), 1,
      sym_template_argument_list,
    ACTIONS(6335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62826] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8410), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62935] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8627), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5568), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5580), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63166] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7909), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(5689), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [63342] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [63516] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63625] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8002), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5604), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5526), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5584), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63917] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8039), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5470), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6159), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5556), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64213] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8290), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64322] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4271), 1,
      sym_type_specifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    STATE(3376), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64431] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8444), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3703), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64607] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8313), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      sym_identifier,
    STATE(3248), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5903), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5905), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64785] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8531), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8538), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65064] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(3968), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3374), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65173] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65282] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7986), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5612), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65452] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5009), 1,
      sym__function_attributes_start,
    STATE(5209), 1,
      sym_ref_qualifier,
    STATE(5384), 1,
      sym_trailing_return_type,
    STATE(6191), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5314), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8220), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65676] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5378), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6312), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6314), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65860] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6852), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [65967] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_EQ,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [66078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66139] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7339), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5004), 1,
      sym__function_attributes_start,
    STATE(5183), 1,
      sym_ref_qualifier,
    STATE(6051), 1,
      sym__function_attributes_end,
    STATE(6156), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5312), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66254] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5364), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2733), 1,
      sym__enum_base_clause,
    STATE(2900), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6258), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [66436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5540), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5592), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66558] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5359), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(2723), 1,
      sym__enum_base_clause,
    STATE(2895), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6204), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6202), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [66740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5560), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66923] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4134), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym_type_descriptor,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    STATE(3434), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5564), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67154] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5038), 1,
      sym__function_attributes_start,
    STATE(5170), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6195), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5326), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5530), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67330] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6818), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67437] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [67514] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5372), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5572), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67684] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5376), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67793] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5366), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67902] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6331), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [67977] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5368), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68086] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6380), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6382), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [68161] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8132), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68270] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5369), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7514), 1,
      anon_sym_LT,
    STATE(3022), 1,
      sym_template_argument_list,
    ACTIONS(6335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68444] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5370), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68614] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5373), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68784] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5375), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68954] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5379), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69063] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4184), 1,
      sym_type_specifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69172] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5380), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3684), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69348] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5360), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69457] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5361), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69566] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5362), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69675] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4899), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(5363), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3295), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69784] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8183), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5522), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69954] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8205), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5518), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3674), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6184), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7533), 1,
      anon_sym_LT,
    STATE(3343), 1,
      sym_template_argument_list,
    ACTIONS(6216), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5576), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_LT,
    STATE(1511), 1,
      sym_template_argument_list,
    ACTIONS(6335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70384] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6848), 1,
      anon_sym_EQ,
    ACTIONS(7148), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7488), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_or,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [70495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5544), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70678] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7093), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym___attribute,
    ACTIONS(7258), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5019), 1,
      sym__function_attributes_start,
    STATE(5190), 1,
      sym_ref_qualifier,
    STATE(5962), 1,
      sym_trailing_return_type,
    STATE(6064), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3961), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6864), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5338), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2678), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5823), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5825), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70860] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6344), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [70935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5588), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70996] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(7763), 1,
      sym_type_descriptor,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5490), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [71253] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7431), 1,
      sym_identifier,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7439), 1,
      anon_sym_enum,
    ACTIONS(7441), 1,
      anon_sym_class,
    ACTIONS(7443), 1,
      anon_sym_struct,
    ACTIONS(7445), 1,
      anon_sym_union,
    ACTIONS(7447), 1,
      sym_auto,
    ACTIONS(7449), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4078), 1,
      sym_type_specifier,
    STATE(4336), 1,
      sym_primitive_type,
    STATE(4886), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_qualified_type_identifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3435), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4808), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4887), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71362] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4204), 1,
      sym_type_specifier,
    STATE(5974), 1,
      sym_type_descriptor,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    STATE(3380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [71554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      sym_identifier,
    STATE(3248), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7539), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7542), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5419), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_LT,
    STATE(1521), 1,
      sym_template_argument_list,
    ACTIONS(6335), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71688] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7218), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(7387), 1,
      anon_sym_AMP,
    ACTIONS(7393), 1,
      anon_sym_GT_EQ,
    ACTIONS(7397), 1,
      anon_sym_bitor,
    ACTIONS(7399), 1,
      anon_sym_bitand,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7494), 1,
      anon_sym_and,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7389), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7391), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [71791] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8355), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7047), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [71961] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8360), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4133), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5689), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [72141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72202] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8382), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72311] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_virtual,
    ACTIONS(7561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7564), 1,
      anon_sym___declspec,
    ACTIONS(7570), 1,
      anon_sym_explicit,
    STATE(2961), 1,
      sym_alignas_qualifier,
    ACTIONS(7558), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7567), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7547), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7545), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7555), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3257), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7549), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72392] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8397), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8402), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72610] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4466), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8416), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72719] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4807), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(8421), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    STATE(3338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72828] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [72903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    STATE(3296), 1,
      sym_new_declarator,
    ACTIONS(6254), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6256), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [73041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [73208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6087), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6091), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6095), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4842), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(3686), 1,
      sym_template_argument_list,
    ACTIONS(4835), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4838), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4831), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [73578] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6844), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73682] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5052), 1,
      sym__function_attributes_start,
    STATE(5226), 1,
      sym_ref_qualifier,
    STATE(6001), 1,
      sym_trailing_return_type,
    STATE(6332), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5342), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6456), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(7651), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7653), 1,
      anon_sym_QMARK,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6848), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5189), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74204] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6852), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [74308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      sym_literal_suffix,
    ACTIONS(4117), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74492] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7258), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5043), 1,
      sym__function_attributes_start,
    STATE(5233), 1,
      sym_ref_qualifier,
    STATE(5962), 1,
      sym_trailing_return_type,
    STATE(6319), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7105), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6000), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5348), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    STATE(3465), 1,
      sym_new_declarator,
    ACTIONS(6254), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6256), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5193), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74730] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(7651), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7653), 1,
      anon_sym_QMARK,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6856), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [74838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4465), 1,
      sym_type_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2981), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6756), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4115), 39,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [75014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7657), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [75074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6172), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6176), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6180), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4882), 1,
      sym_type_specifier,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6192), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 1,
      anon_sym_EQ,
    ACTIONS(5901), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [75604] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7669), 1,
      anon_sym_RPAREN,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(3135), 1,
      sym_template_argument_list,
    ACTIONS(6335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76200] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 1,
      anon_sym___attribute,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6016), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3311), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76298] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [76372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7766), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    STATE(2084), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4115), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [76442] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6022), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4051), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1918), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2084), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5929), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [76728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3825), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76788] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5717), 1,
      anon_sym___asm,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3318), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76946] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5725), 1,
      anon_sym___asm,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5953), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4065), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77110] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7152), 1,
      anon_sym_RPAREN,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(7776), 1,
      anon_sym_EQ,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7216), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(1876), 1,
      sym_template_argument_list,
    ACTIONS(6335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4062), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5397), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5153), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3821), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77758] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 1,
      anon_sym___asm,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6010), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3331), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4072), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78012] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym___asm,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5959), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1922), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4576), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5177), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7788), 1,
      anon_sym_LT,
    STATE(3507), 1,
      sym_template_argument_list,
    ACTIONS(6216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6218), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7514), 1,
      anon_sym_LT,
    STATE(1535), 1,
      sym_template_argument_list,
    ACTIONS(6335), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5157), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4801), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6963), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78752] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [78908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5181), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6235), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7793), 1,
      anon_sym_LT,
    STATE(3507), 1,
      sym_template_argument_list,
    ACTIONS(6241), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6243), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79156] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7431), 1,
      sym_identifier,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7439), 1,
      anon_sym_enum,
    ACTIONS(7441), 1,
      anon_sym_class,
    ACTIONS(7443), 1,
      anon_sym_struct,
    ACTIONS(7445), 1,
      anon_sym_union,
    ACTIONS(7447), 1,
      sym_auto,
    ACTIONS(7449), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4189), 1,
      sym_type_specifier,
    STATE(4336), 1,
      sym_primitive_type,
    STATE(4886), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_qualified_type_identifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4808), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4887), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79262] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7796), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    STATE(3512), 1,
      sym_decltype_auto,
    ACTIONS(5311), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6348), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79544] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7798), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5161), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3990), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79866] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7800), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5165), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80142] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3976), 1,
      sym_type_specifier,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80248] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7802), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5173), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6296), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80524] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7804), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80680] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4364), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80786] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_COMMA,
    ACTIONS(7671), 1,
      anon_sym_DASH,
    ACTIONS(7673), 1,
      anon_sym_PLUS,
    ACTIONS(7675), 1,
      anon_sym_STAR,
    ACTIONS(7677), 1,
      anon_sym_SLASH,
    ACTIONS(7679), 1,
      anon_sym_PERCENT,
    ACTIONS(7681), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7683), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    ACTIONS(7687), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7693), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7695), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_LT_EQ,
    ACTIONS(7701), 1,
      anon_sym_LT,
    ACTIONS(7703), 1,
      anon_sym_LT_LT,
    ACTIONS(7705), 1,
      anon_sym_GT_GT,
    ACTIONS(7707), 1,
      anon_sym_EQ,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7711), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7713), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7715), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7717), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7719), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7721), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7723), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7725), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7727), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7729), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_or,
    ACTIONS(7735), 1,
      anon_sym_and,
    ACTIONS(7737), 1,
      anon_sym_bitor,
    ACTIONS(7739), 1,
      anon_sym_xor,
    ACTIONS(7741), 1,
      anon_sym_bitand,
    ACTIONS(7743), 1,
      anon_sym_not_eq,
    ACTIONS(7806), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym__binary_fold_operator,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    STATE(7939), 1,
      sym__fold_operator,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80942] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [81014] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6911), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81118] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4206), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [81224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6380), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6382), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81298] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6312), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6314), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81372] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6390), 1,
      anon_sym_EQ,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7059), 1,
      anon_sym_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP,
    ACTIONS(7069), 1,
      anon_sym_GT_EQ,
    ACTIONS(7073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_or,
    ACTIONS(7077), 1,
      anon_sym_and,
    ACTIONS(7079), 1,
      anon_sym_bitor,
    ACTIONS(7081), 1,
      anon_sym_bitand,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7071), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7067), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [81484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7812), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7810), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [81664] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6915), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6318), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [81840] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(3975), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [81946] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7816), 1,
      anon_sym_requires,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5044), 1,
      sym__function_attributes_start,
    STATE(5246), 1,
      sym_ref_qualifier,
    STATE(6258), 1,
      sym__function_attributes_end,
    STATE(6366), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6893), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5357), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4246), 1,
      sym_type_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82166] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7502), 1,
      anon_sym_enum,
    ACTIONS(7504), 1,
      anon_sym_class,
    ACTIONS(7506), 1,
      anon_sym_struct,
    ACTIONS(7508), 1,
      anon_sym_union,
    ACTIONS(7510), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4319), 1,
      sym_type_specifier,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82272] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4203), 1,
      sym_type_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4040), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82484] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4194), 1,
      sym_type_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82650] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6818), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [82754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6146), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82874] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4245), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6413), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83040] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7633), 1,
      anon_sym_or,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(7651), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7653), 1,
      anon_sym_QMARK,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6390), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83344] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7635), 1,
      anon_sym_and,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83518] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7637), 1,
      anon_sym_bitor,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6331), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83614] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [83706] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7639), 1,
      anon_sym_bitand,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [83796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [83882] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83966] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7631), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84048] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84126] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6878), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5066), 1,
      sym__function_attributes_start,
    STATE(5251), 1,
      sym_ref_qualifier,
    STATE(6252), 1,
      sym__function_attributes_end,
    STATE(6400), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4044), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5768), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5347), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84240] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2379), 1,
      sym_attribute_specifier,
    STATE(3563), 1,
      sym_enumerator_list,
    ACTIONS(5918), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5920), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [84310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2370), 1,
      sym_attribute_specifier,
    STATE(3567), 1,
      sym_enumerator_list,
    ACTIONS(5887), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5889), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [84380] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7627), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [84638] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6380), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6382), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [84712] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6312), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6314), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [84786] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [84892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6318), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84964] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_EQ,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(7821), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85074] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [85150] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [85224] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85326] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85424] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [85518] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [85610] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [85698] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [85784] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [85866] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [85944] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6342), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6344), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86204] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6848), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(7821), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86314] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86420] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7579), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    ACTIONS(7585), 1,
      anon_sym_AMP,
    ACTIONS(7591), 1,
      anon_sym_GT_EQ,
    ACTIONS(7595), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7597), 1,
      anon_sym_or,
    ACTIONS(7599), 1,
      anon_sym_and,
    ACTIONS(7601), 1,
      anon_sym_bitor,
    ACTIONS(7603), 1,
      anon_sym_bitand,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(7821), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7573), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7583), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7593), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7575), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7587), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7589), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86590] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6288), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86664] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7641), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6342), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6344), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [86738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3790), 1,
      sym_alignas_qualifier,
    ACTIONS(7826), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4901), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(7823), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4899), 23,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [87002] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4118), 1,
      sym_type_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [87108] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7431), 1,
      sym_identifier,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7439), 1,
      anon_sym_enum,
    ACTIONS(7441), 1,
      anon_sym_class,
    ACTIONS(7443), 1,
      anon_sym_struct,
    ACTIONS(7445), 1,
      anon_sym_union,
    ACTIONS(7447), 1,
      sym_auto,
    ACTIONS(7449), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_typename,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4073), 1,
      sym_type_specifier,
    STATE(4336), 1,
      sym_primitive_type,
    STATE(4886), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_qualified_type_identifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4808), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4887), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [87214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6508), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    STATE(3939), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6168), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    STATE(3930), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6626), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6392), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1918), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6532), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6482), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6610), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5153), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5177), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6296), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7831), 1,
      anon_sym_and,
    ACTIONS(5833), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5157), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    STATE(3836), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6196), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5560), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5564), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5616), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6360), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5572), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5568), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5522), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5526), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5588), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6400), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5530), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6396), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5161), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5649), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [89775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4912), 1,
      anon_sym_SEMI,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6815), 1,
      anon_sym_LBRACK,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [89968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3759), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90322] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      sym_identifier,
    STATE(3581), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4953), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4955), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5279), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_LT,
    STATE(1541), 1,
      sym_template_argument_list,
    ACTIONS(6335), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6354), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6512), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7047), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [90629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6618), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6544), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3825), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6961), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [91101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6556), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3821), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3130), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5903), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5905), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5823), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5825), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6235), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6237), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 1,
      sym_literal_suffix,
    ACTIONS(4109), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4117), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [91583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6490), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5592), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5657), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [91878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6560), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6564), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5653), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6413), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7837), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(5689), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4133), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7839), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(4831), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4838), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6576), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6419), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6264), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5173), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6146), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6494), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6498), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5193), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1922), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    STATE(3938), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6184), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6172), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6176), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5608), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2338), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5992), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2360), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5996), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7842), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4920), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4922), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2362), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6032), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2377), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6060), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2392), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6016), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5959), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6040), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2371), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5955), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94898] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5969), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [94963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2376), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6036), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2388), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6020), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(2394), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5935), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [95217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7831), 1,
      anon_sym_and,
    ACTIONS(7845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7847), 1,
      anon_sym_or,
    ACTIONS(5847), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6470), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6474), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6192), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5584), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7849), 1,
      sym_identifier,
    STATE(3614), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4953), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4955), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7851), 1,
      anon_sym_LT,
    STATE(1976), 1,
      sym_template_argument_list,
    ACTIONS(6335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7851), 1,
      anon_sym_LT,
    STATE(3284), 1,
      sym_template_argument_list,
    ACTIONS(6335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96362] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7854), 1,
      sym_identifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(3986), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4140), 1,
      sym_primitive_type,
    ACTIONS(7861), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4932), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4934), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7856), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [96439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7837), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    STATE(3591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7496), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4115), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5790), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5600), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5800), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3601), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7866), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5772), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3602), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7868), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5794), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      sym_identifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4145), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4177), 1,
      sym_primitive_type,
    ACTIONS(7877), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7875), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4966), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7872), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [96955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7880), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6348), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6462), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5756), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3609), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7882), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5760), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7884), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5766), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5778), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6524), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3593), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7886), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5604), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5782), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5786), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6528), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7888), 1,
      sym_identifier,
    STATE(3614), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7891), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7894), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5419), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6087), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5576), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6091), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6095), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4833), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98413] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6380), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6382), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98659] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    ACTIONS(7899), 1,
      anon_sym_COLON,
    STATE(3866), 1,
      sym__enum_base_clause,
    STATE(3970), 1,
      sym_enumerator_list,
    STATE(4077), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6202), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6204), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [98915] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [99021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6456), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5189), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6474), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5149), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99369] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [99443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6272), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99559] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5717), 1,
      anon_sym___attribute,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6166), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3681), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4205), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [99655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4858), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [99785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4866), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7935), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7937), 1,
      anon_sym_and,
    ACTIONS(5833), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5835), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2877), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6532), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6342), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6344), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [100151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_SEMI,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5457), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [100213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6392), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_SEMI,
    ACTIONS(5457), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5455), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [100331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6508), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7935), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7937), 1,
      anon_sym_and,
    ACTIONS(7939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7941), 1,
      anon_sym_or,
    ACTIONS(5847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100455] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [100555] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6818), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6400), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6490), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100773] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5161), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5165), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5285), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101051] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6911), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4951), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [101215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4870), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6848), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101495] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6852), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5177), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101713] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_EQ,
    ACTIONS(6062), 1,
      anon_sym_COMMA,
    ACTIONS(6064), 1,
      anon_sym_RBRACK,
    ACTIONS(5984), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [101779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6264), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6462), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [101965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6494), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6498), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6316), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [102151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102209] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [102307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    STATE(3793), 1,
      sym_new_declarator,
    ACTIONS(6254), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6256), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6524), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102427] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6171), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4181), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [102523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1922), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6528), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6536), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4876), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [102817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6512), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5173), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103107] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [103201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103259] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [103349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6572), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6584), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7945), 1,
      anon_sym_COMMA,
    ACTIONS(7947), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6540), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6478), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6482), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6470), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103991] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      anon_sym_EQ,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7665), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [104097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_LT,
    STATE(2088), 1,
      sym_template_argument_list,
    ACTIONS(6335), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5153), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5157), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6544), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104333] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6312), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6314), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [104405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [104551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6610), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4878), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6413), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6548), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6618), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6333), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [104985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6466), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_LBRACK,
    STATE(3789), 1,
      sym_new_declarator,
    ACTIONS(6254), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6256), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 1,
      anon_sym_COMMA,
    ACTIONS(6154), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105167] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6333), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105247] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4874), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105381] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6333), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6396), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4850), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6348), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6552), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5193), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    ACTIONS(7899), 1,
      anon_sym_COLON,
    STATE(3853), 1,
      sym__enum_base_clause,
    STATE(3973), 1,
      sym_enumerator_list,
    STATE(4053), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6258), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4874), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6556), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105935] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    ACTIONS(6844), 1,
      anon_sym_EQ,
    ACTIONS(7190), 1,
      anon_sym_LBRACK,
    ACTIONS(7401), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7731), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    ACTIONS(7911), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_AMP,
    ACTIONS(7919), 1,
      anon_sym_GT_EQ,
    ACTIONS(7923), 1,
      anon_sym_bitor,
    ACTIONS(7925), 1,
      anon_sym_xor,
    ACTIONS(7927), 1,
      anon_sym_bitand,
    STATE(3443), 1,
      sym_argument_list,
    STATE(3454), 1,
      sym_subscript_argument_list,
    ACTIONS(7234), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [106037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6560), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_EQ,
    ACTIONS(6200), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5181), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6564), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6622), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6448), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3759), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4850), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4854), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4858), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6626), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4862), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6419), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4866), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5321), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4870), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_EQ,
    ACTIONS(5984), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5321), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6576), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6580), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6452), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4833), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6588), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1918), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7766), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(5689), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [107968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7950), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(4831), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4838), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [108031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3000), 1,
      sym__type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4278), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108124] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2950), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4244), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5657), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5673), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [108451] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4262), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6175), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3816), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4280), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6189), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3784), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108730] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2159), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4225), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108823] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3058), 1,
      sym__type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4211), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2877), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108973] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3058), 1,
      sym__type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3771), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4211), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109066] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6218), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4241), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109159] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6218), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3794), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4241), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109252] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6380), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6382), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8020), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8017), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7113), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7111), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [109388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2159), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4225), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(2475), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [109595] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4268), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6544), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109802] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6137), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4228), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4251), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109988] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6631), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3798), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4233), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(4970), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [110138] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6679), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6679), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3800), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110324] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6655), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110417] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5884), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4270), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110510] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5717), 1,
      anon_sym___attribute,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6241), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3803), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4217), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110605] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110700] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5884), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4270), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110793] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6342), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6344), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [110864] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6312), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6314), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [110935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6963), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2927), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4243), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111178] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6293), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3808), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4842), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(4835), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4838), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4831), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [111338] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2927), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3795), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4243), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111431] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4210), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [111502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3488), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4953), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4955), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5823), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5825), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5321), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111622] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6182), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4258), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5649), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5653), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111886] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6182), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3829), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4258), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111979] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [112050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3593), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7886), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [112237] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3029), 1,
      sym__type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3781), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4237), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112330] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5837), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3801), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4259), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      sym_literal_suffix,
    ACTIONS(4117), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112482] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6318), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [112551] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6184), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4214), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112644] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2166), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7963), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4220), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7758), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112737] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8059), 1,
      sym_identifier,
    STATE(4079), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4173), 1,
      sym_alignas_qualifier,
    STATE(4300), 1,
      sym_primitive_type,
    ACTIONS(8066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3891), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8064), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4934), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4932), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8061), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112867] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6294), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112961] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6120), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6296), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3759), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6544), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6556), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6560), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6564), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113691] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6552), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6576), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114121] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    STATE(3981), 1,
      sym_enumerator_list,
    STATE(4087), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5918), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5920), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114391] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6611), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5193), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114653] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6572), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114803] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6417), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6556), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    STATE(4000), 1,
      sym_enumerator_list,
    STATE(4102), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5887), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5889), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6508), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3759), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6470), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6626), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5153), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115521] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6103), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6400), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6560), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6564), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5833), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115953] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6417), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5157), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6524), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6528), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8071), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym___attribute__,
    ACTIONS(5817), 1,
      anon_sym___attribute,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(8073), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      sym_attribute_specifier,
    STATE(2158), 1,
      sym__enum_base_clause,
    STATE(2256), 1,
      sym_enumerator_list,
    ACTIONS(6258), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6260), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [116513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym___attribute__,
    ACTIONS(5817), 1,
      anon_sym___attribute,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(8073), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_attribute_specifier,
    STATE(2190), 1,
      sym__enum_base_clause,
    STATE(2195), 1,
      sym_enumerator_list,
    ACTIONS(6202), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [116583] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8075), 1,
      sym_identifier,
    STATE(4173), 1,
      sym_alignas_qualifier,
    STATE(4294), 1,
      sym_primitive_type,
    STATE(4298), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8082), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4964), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8077), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5161), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116825] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8085), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(3401), 1,
      sym__enum_base_clause,
    STATE(3557), 1,
      sym_enumerator_list,
    ACTIONS(6258), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6260), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6614), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6494), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6392), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117063] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6097), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6498), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117213] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117307] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6462), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117625] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2201), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5929), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [117689] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6096), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5149), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6626), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6470), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118007] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6544), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6474), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118213] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6614), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6532), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6576), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6283), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6104), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6400), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5173), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118999] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2361), 1,
      sym_attribute_specifier,
    STATE(2869), 1,
      sym_field_declaration_list,
    STATE(6832), 1,
      sym_virtual_specifier,
    STATE(7629), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [119071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6392), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
    ACTIONS(4887), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4876), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [119301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119357] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6314), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1918), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119505] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6370), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119599] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(4018), 1,
      sym_new_declarator,
    STATE(4109), 1,
      sym_decltype_auto,
    STATE(3924), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5729), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6494), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6482), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119839] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6317), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3934), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4325), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8085), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(3402), 1,
      sym__enum_base_clause,
    STATE(3561), 1,
      sym_enumerator_list,
    ACTIONS(6202), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6204), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1922), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5657), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [120113] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6370), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(4023), 1,
      sym_new_declarator,
    STATE(4109), 1,
      sym_decltype_auto,
    STATE(3948), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5177), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120391] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(4006), 1,
      sym_new_declarator,
    STATE(4109), 1,
      sym_decltype_auto,
    STATE(3929), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5741), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6498), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5649), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [120575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5653), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [120631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6520), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(4032), 1,
      sym_new_declarator,
    STATE(4109), 1,
      sym_decltype_auto,
    STATE(3900), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5745), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6524), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6528), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6490), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3112), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [121038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2869), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [121093] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4158), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5479), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8101), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8099), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [121162] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4170), 1,
      sym_new_declarator,
    STATE(3948), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5806), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5649), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121288] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6421), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4403), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8117), 1,
      anon_sym___attribute,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6015), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4074), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6030), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4052), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5990), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5992), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121588] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    ACTIONS(8117), 1,
      anon_sym___asm,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5945), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121677] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6398), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4399), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4101), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6038), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6040), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5657), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3084), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [121939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4116), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6058), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6060), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4059), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5994), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122057] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8135), 1,
      anon_sym___asm,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5952), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122146] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    ACTIONS(8135), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5958), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4075), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2837), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [122290] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 1,
      anon_sym_STAR,
    ACTIONS(8137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8143), 1,
      anon_sym_AMP,
    ACTIONS(8145), 1,
      anon_sym_EQ,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6224), 1,
      sym__declarator,
    STATE(6460), 1,
      sym__abstract_declarator,
    STATE(6663), 1,
      sym_abstract_reference_declarator,
    STATE(7152), 1,
      sym_variadic_reference_declarator,
    STATE(7183), 1,
      sym_variadic_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8139), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6671), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [122399] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4161), 1,
      sym_new_declarator,
    STATE(3929), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5741), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6450), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3999), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4417), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4103), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5953), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5955), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5653), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4105), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5967), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5969), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4107), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6034), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6036), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2695), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [122848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4999), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [122909] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4171), 1,
      sym_new_declarator,
    STATE(3900), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5745), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122980] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6410), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3998), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4436), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123071] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_STAR,
    ACTIONS(8137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8143), 1,
      anon_sym_AMP,
    ACTIONS(8162), 1,
      anon_sym_EQ,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6210), 1,
      sym__declarator,
    STATE(6496), 1,
      sym__abstract_declarator,
    STATE(6691), 1,
      sym_abstract_reference_declarator,
    STATE(7152), 1,
      sym_variadic_reference_declarator,
    STATE(7183), 1,
      sym_variadic_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8139), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6671), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    ACTIONS(8135), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5940), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123269] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    ACTIONS(8117), 1,
      anon_sym___asm,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5965), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4090), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6014), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6016), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5957), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5959), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4920), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [123535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5717), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6419), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123738] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6375), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4437), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123829] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4368), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4111), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6018), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6020), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4112), 1,
      sym_attribute_specifier,
    ACTIONS(5817), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5933), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5935), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124038] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5717), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6393), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3969), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4375), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124131] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4124), 1,
      sym_new_declarator,
    STATE(3924), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5729), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2925), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2981), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6756), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(4115), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    STATE(3888), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6188), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124382] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6461), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4481), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124526] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6467), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7812), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7810), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [124670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8176), 1,
      anon_sym_virtual,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    ACTIONS(6227), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6229), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4129), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5548), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8182), 1,
      anon_sym_virtual,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    ACTIONS(6248), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6250), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4147), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124892] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_identifier,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(2079), 1,
      sym_primitive_type,
    STATE(2081), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8187), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5453), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4964), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8184), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8190), 1,
      anon_sym_LT,
    STATE(2201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(4947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [125028] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6490), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(5689), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4133), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    STATE(3921), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6168), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      sym_identifier,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(2085), 1,
      sym_primitive_type,
    STATE(4200), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8197), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4934), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4932), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8192), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5604), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125364] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4833), 1,
      anon_sym_SEMI,
    ACTIONS(4842), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(4835), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4838), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4831), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [125430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4831), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4838), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    STATE(3897), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6184), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5556), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4119), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5929), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [125668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4173), 1,
      sym_alignas_qualifier,
    ACTIONS(8205), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4901), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8202), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4899), 17,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [125730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4119), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4115), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [125848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7657), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [125902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8208), 1,
      anon_sym_LT,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(4831), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4838), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [125962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8190), 1,
      anon_sym_LT,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(5689), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4133), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [126022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    STATE(3957), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6196), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5502), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6498), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4461), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(8211), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(2723), 1,
      sym__enum_base_clause,
    STATE(2895), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6204), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6202), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [126291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(4109), 1,
      sym_decltype_auto,
    ACTIONS(5311), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5313), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126350] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      sym_identifier,
    STATE(2102), 1,
      sym_alignas_qualifier,
    STATE(2223), 1,
      sym_primitive_type,
    STATE(2224), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8216), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1874), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5685), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4966), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8213), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(8211), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(2733), 1,
      sym__enum_base_clause,
    STATE(2900), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6260), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6258), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [126486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    ACTIONS(8117), 1,
      anon_sym___attribute,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6161), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126573] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8135), 1,
      anon_sym___attribute,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6169), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4187), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5397), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126713] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5711), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5715), 1,
      anon_sym_AMP,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(8137), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__declarator,
    STATE(6480), 1,
      sym__abstract_declarator,
    STATE(7391), 1,
      sym_variadic_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(8221), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8219), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [126812] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      sym_identifier,
    STATE(2102), 1,
      sym_alignas_qualifier,
    STATE(2207), 1,
      sym_primitive_type,
    STATE(4221), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8228), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8226), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4934), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8223), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126883] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    STATE(3790), 1,
      sym_alignas_qualifier,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4308), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5658), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8101), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8099), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [126950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(8231), 1,
      anon_sym_COLON,
    STATE(2473), 1,
      sym__enum_base_clause,
    STATE(2535), 1,
      sym_enumerator_list,
    STATE(2606), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [127017] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(8231), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym__enum_base_clause,
    STATE(2543), 1,
      sym_enumerator_list,
    STATE(2620), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6204), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [127084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6514), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4048), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4755), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127173] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7758), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3291), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6551), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7760), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7762), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2923), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127317] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6060), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4094), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127403] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6024), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5486), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5490), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127587] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6055), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4106), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4794), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127673] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5725), 1,
      anon_sym___asm,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5953), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [127809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127861] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    ACTIONS(8254), 1,
      anon_sym___asm,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5954), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5600), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5512), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128097] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4239), 1,
      sym_alignas_qualifier,
    ACTIONS(8259), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4899), 12,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4901), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8256), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128293] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6606), 1,
      anon_sym___asm,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5955), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128373] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6607), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4110), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4840), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5584), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128563] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6613), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4818), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8278), 1,
      sym_ms_restrict_modifier,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5186), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6615), 1,
      sym__abstract_declarator,
    ACTIONS(8280), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8282), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4071), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128737] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8278), 1,
      sym_ms_restrict_modifier,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5186), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6617), 1,
      sym__abstract_declarator,
    ACTIONS(8280), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8282), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4776), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5023), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5723), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128825] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym___asm,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5959), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128905] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8135), 1,
      anon_sym___attribute,
    ACTIONS(8286), 1,
      sym_auto,
    ACTIONS(8288), 1,
      anon_sym_decltype,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6238), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4222), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5608), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    ACTIONS(8254), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5960), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129123] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4840), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(4210), 1,
      sym_template_argument_list,
    ACTIONS(4835), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4838), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4831), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [129185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5478), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129237] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8117), 1,
      anon_sym___attribute,
    ACTIONS(8286), 1,
      sym_auto,
    ACTIONS(8288), 1,
      anon_sym_decltype,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6236), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4216), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4999), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___asm,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5966), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    ACTIONS(8292), 1,
      anon_sym___asm,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5950), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6619), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4069), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4857), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129627] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4018), 1,
      sym_new_declarator,
    STATE(3924), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5729), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129695] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6560), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4115), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4789), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129783] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4006), 1,
      sym_new_declarator,
    STATE(3929), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5741), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8254), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6023), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4032), 1,
      sym_new_declarator,
    STATE(3900), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5745), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5494), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5612), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5498), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5494), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5576), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130311] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6055), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4794), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130397] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6018), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5616), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5568), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    ACTIONS(8292), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5526), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5530), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5560), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5564), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5572), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6228), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4229), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5522), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131057] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6110), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5544), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5588), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5592), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131299] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6619), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4857), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5596), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6022), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(4023), 1,
      sym_new_declarator,
    STATE(3948), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5806), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6594), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5540), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131777] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [131868] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4286), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132006] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_const,
    ACTIONS(7129), 1,
      anon_sym___inline,
    ACTIONS(7132), 1,
      anon_sym___attribute,
    ACTIONS(8331), 1,
      anon_sym_virtual,
    ACTIONS(8337), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8343), 1,
      anon_sym___declspec,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6421), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8346), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6423), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4120), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8334), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8328), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6532), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4127), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8349), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5604), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6622), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4866), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(3921), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5786), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5800), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8353), 1,
      anon_sym_LPAREN2,
    ACTIONS(8355), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8351), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [132549] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8357), 1,
      anon_sym_virtual,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6384), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6386), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4120), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8359), 1,
      anon_sym_LT,
    STATE(4306), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4309), 1,
      sym_template_argument_list,
    ACTIONS(4107), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8361), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    ACTIONS(8365), 1,
      anon_sym_LBRACK,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(4367), 1,
      sym_new_declarator,
    STATE(4835), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5743), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5745), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6668), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4143), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4925), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132839] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6818), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [132938] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6302), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4354), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133021] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8383), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6390), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [133124] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [133193] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [133288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4174), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8385), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5772), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133343] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [133432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4175), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8387), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5794), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6333), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [133572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6333), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [133655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6674), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4929), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133742] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6331), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [133821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5778), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133876] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5711), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5715), 1,
      anon_sym_AMP,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__declarator,
    STATE(6480), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(8221), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8219), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [133969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8357), 1,
      anon_sym_virtual,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6566), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6568), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4120), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134044] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [134115] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [134188] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6844), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [134287] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8383), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6848), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [134390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    ACTIONS(8365), 1,
      anon_sym_LBRACK,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(4358), 1,
      sym_new_declarator,
    STATE(4822), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5739), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5741), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [134457] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6852), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [134556] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8383), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6856), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [134659] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5927), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8361), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5929), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134720] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8383), 1,
      anon_sym_QMARK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8389), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8391), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [134823] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8393), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(3401), 1,
      sym__enum_base_clause,
    STATE(3557), 1,
      sym_enumerator_list,
    ACTIONS(6258), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6260), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8397), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8395), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [134949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5457), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5455), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [135002] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8393), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(3402), 1,
      sym__enum_base_clause,
    STATE(3561), 1,
      sym_enumerator_list,
    ACTIONS(6202), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6204), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(3888), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6188), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135124] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6911), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [135223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8401), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8399), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [135274] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_CARET,
    ACTIONS(8316), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_xor,
    ACTIONS(8324), 1,
      anon_sym_not_eq,
    ACTIONS(8373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8377), 1,
      anon_sym_or,
    ACTIONS(8379), 1,
      anon_sym_and,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6915), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8310), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8312), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8314), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [135373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8101), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8099), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [135434] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    ACTIONS(8365), 1,
      anon_sym_LBRACK,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(4376), 1,
      sym_new_declarator,
    STATE(4805), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5727), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5729), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [135501] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4029), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6646), 1,
      sym__abstract_declarator,
    ACTIONS(8043), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8045), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4123), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4876), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6490), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4127), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8349), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5457), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(3897), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6184), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(3957), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6196), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4970), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5750), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5756), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4125), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8403), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5760), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4126), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5766), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6508), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    ACTIONS(8365), 1,
      anon_sym_LBRACK,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(4440), 1,
      sym_new_declarator,
    STATE(4812), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5804), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5806), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [136248] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6333), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [136323] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6606), 1,
      anon_sym___attribute,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6173), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6296), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6963), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136501] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    ACTIONS(8117), 1,
      anon_sym___attribute,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6433), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7049), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5847), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    ACTIONS(8254), 1,
      anon_sym___attribute,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6172), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8359), 1,
      anon_sym_LT,
    STATE(4309), 1,
      sym_template_argument_list,
    ACTIONS(4831), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4838), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136823] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      sym_auto,
    ACTIONS(8288), 1,
      anon_sym_decltype,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6429), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8415), 1,
      anon_sym___attribute__,
    ACTIONS(8418), 1,
      anon_sym___attribute,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8413), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8411), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    ACTIONS(8292), 1,
      anon_sym___attribute,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6168), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6300), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137141] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    ACTIONS(8135), 1,
      anon_sym___attribute,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6377), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4382), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137225] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_SEMI,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(6732), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8019), 1,
      sym_attribute_specifier,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137331] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6371), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4424), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137413] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    ACTIONS(8457), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(6706), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8187), 1,
      sym_attribute_specifier,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137519] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      sym_auto,
    ACTIONS(8288), 1,
      anon_sym_decltype,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6350), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4444), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6354), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1628), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4999), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [137707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5833), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5835), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4406), 1,
      sym_field_declaration_list,
    STATE(4616), 1,
      sym_attribute_specifier,
    STATE(6844), 1,
      sym_virtual_specifier,
    STATE(7631), 1,
      sym_base_class_clause,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5659), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5661), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [137827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    ACTIONS(8135), 1,
      anon_sym___attribute,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6351), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4401), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137911] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8117), 1,
      anon_sym___attribute,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6456), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4446), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6171), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138073] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6437), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4441), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138155] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(6713), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8191), 1,
      sym_attribute_specifier,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5482), 37,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [138311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8359), 1,
      anon_sym_LT,
    STATE(4309), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4876), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [138421] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3000), 1,
      sym__type_declarator,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138498] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(8465), 1,
      anon_sym_COLON,
    STATE(4295), 1,
      sym__enum_base_clause,
    STATE(4427), 1,
      sym_enumerator_list,
    STATE(4575), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6260), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [138561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(1796), 1,
      sym_attribute_specifier,
    STATE(4973), 1,
      sym_field_declaration_list,
    STATE(6891), 1,
      sym_virtual_specifier,
    STATE(7666), 1,
      sym_base_class_clause,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5659), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [138626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6185), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1918), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138752] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym___attribute,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6237), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5518), 36,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [138955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6262), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139030] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2178), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2075), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5747), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4999), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [139162] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8254), 1,
      anon_sym___attribute,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5165), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139337] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2166), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5157), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139463] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6459), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4473), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139544] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6127), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6234), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5169), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6606), 1,
      anon_sym___attribute,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6244), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5185), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139871] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6679), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4970), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [139997] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6655), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5173), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140123] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3058), 1,
      sym__type_declarator,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8469), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8471), 1,
      anon_sym_or,
    ACTIONS(8473), 1,
      anon_sym_and,
    ACTIONS(5847), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [140306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6678), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140383] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6137), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5193), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2927), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140663] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2384), 1,
      sym_decltype_auto,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6471), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140744] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6457), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4478), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8133), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1922), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(8465), 1,
      anon_sym_COLON,
    STATE(4335), 1,
      sym__enum_base_clause,
    STATE(4447), 1,
      sym_enumerator_list,
    STATE(4634), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6204), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    STATE(3790), 1,
      sym_alignas_qualifier,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8101), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8099), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [141071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2937), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(5709), 1,
      anon_sym_COLON,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8278), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5186), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6819), 1,
      sym__abstract_declarator,
    ACTIONS(8280), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8282), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4277), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5012), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5177), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5153), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2084), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5927), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5929), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [141490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6184), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141567] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5884), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6218), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141721] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5827), 1,
      anon_sym_STAR,
    ACTIONS(5829), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5831), 1,
      anon_sym_AMP,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__declarator,
    STATE(6588), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(8219), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8221), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [141812] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2159), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5149), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5149), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5149), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8469), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8473), 1,
      anon_sym_and,
    ACTIONS(5833), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5835), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    STATE(2084), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4107), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [142148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5826), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5181), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142351] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6473), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4600), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5189), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_STAR,
    ACTIONS(5843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5845), 1,
      anon_sym_AMP,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    ACTIONS(8219), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8221), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [142572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6245), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142647] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    STATE(3790), 1,
      sym_alignas_qualifier,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8397), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8395), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142755] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(5723), 1,
      anon_sym_COLON,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8278), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5186), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6798), 1,
      sym__abstract_declarator,
    ACTIONS(8280), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8282), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5023), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5024), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142840] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3046), 1,
      sym__type_declarator,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6182), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5285), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4874), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5782), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143193] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [143287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4838), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4831), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [143341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6338), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143415] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6390), 1,
      anon_sym___attribute,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5788), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6340), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2201), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5927), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5929), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143695] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [143785] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_SEMI,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7405), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4327), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5774), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4288), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    STATE(4370), 1,
      sym_enumerator_list,
    STATE(4485), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5920), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [144047] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6848), 1,
      anon_sym___attribute,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6850), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [144233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5780), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4330), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5796), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8527), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4866), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144433] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6856), 1,
      anon_sym___attribute,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144599] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4841), 1,
      sym_field_declaration_list,
    STATE(4910), 1,
      sym_attribute_specifier,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7455), 1,
      sym_base_class_clause,
    ACTIONS(5659), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5661), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4870), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5792), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144765] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6852), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [144857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8535), 1,
      anon_sym___attribute__,
    ACTIONS(8538), 1,
      anon_sym___attribute,
    STATE(4308), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8413), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8411), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [144911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4883), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4850), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145007] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [145163] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [145251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [145335] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6911), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [145427] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [145509] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6505), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8115), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145589] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6844), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [145681] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(4578), 1,
      sym_decltype_auto,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6537), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8133), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145761] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [145839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4283), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5762), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8541), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145891] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145963] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6333), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4356), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5602), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6314), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146157] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6333), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5752), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6392), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [146373] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [146467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146519] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    ACTIONS(8547), 1,
      anon_sym___attribute,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8545), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [146615] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6818), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [146707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [146861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    STATE(4419), 1,
      sym_enumerator_list,
    STATE(4470), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5889), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [146919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4356), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5455), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5321), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5319), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5321), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4854), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147119] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8449), 1,
      anon_sym_QMARK,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    ACTIONS(8551), 1,
      anon_sym___attribute,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8549), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [147215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5309), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4133), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5689), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [147317] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [147403] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [147493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [147577] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [147659] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [147737] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147813] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147885] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4858), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [148091] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [148181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6321), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [148255] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym___attribute,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_PIPE,
    ACTIONS(8437), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8453), 1,
      anon_sym_bitor,
    ACTIONS(8455), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8431), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8435), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8439), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [148347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8427), 1,
      anon_sym_SLASH,
    ACTIONS(8443), 1,
      anon_sym_GT_EQ,
    ACTIONS(8451), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8423), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8441), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    STATE(4853), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6186), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6188), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8555), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7342), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8559), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7132), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4633), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5959), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148824] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8599), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7087), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4775), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8133), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149000] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7232), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149097] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8605), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7099), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    STATE(4855), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6194), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6196), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6359), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149320] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8607), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7105), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4556), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5955), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [149470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8609), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7117), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149567] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_RBRACK,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7113), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149664] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8647), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7126), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149761] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8649), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7140), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149858] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6398), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    STATE(4821), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6166), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6168), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149986] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8651), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7172), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150083] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8653), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7147), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8655), 1,
      anon_sym_LT,
    STATE(2201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(4107), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150237] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8657), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7135), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150334] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7155), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    ACTIONS(8254), 1,
      anon_sym___attribute,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6453), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    ACTIONS(8292), 1,
      anon_sym___attribute,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6360), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150581] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7427), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4573), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5992), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150731] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8663), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7439), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(4831), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4838), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [150881] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8665), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7314), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4606), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5996), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [151031] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8669), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7316), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151128] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8671), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7320), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8655), 1,
      anon_sym_LT,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(4831), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [151278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8673), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4870), 1,
      sym_primitive_type,
    STATE(4871), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5863), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4443), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8679), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4932), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4934), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5858), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6963), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151390] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8682), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7419), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151487] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8684), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7367), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151631] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7231), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151728] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6606), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151803] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5725), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6421), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151878] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    ACTIONS(8254), 1,
      anon_sym___attribute,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6358), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      sym_auto,
    ACTIONS(8121), 1,
      anon_sym_decltype,
    STATE(4578), 1,
      sym_decltype_auto,
    ACTIONS(5311), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5313), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6606), 1,
      anon_sym___attribute,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6423), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152081] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8688), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7256), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152178] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7115), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4459), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6016), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152328] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7337), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152425] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152522] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8698), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7066), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5482), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152666] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
    ACTIONS(8700), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7405), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4603), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5935), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152816] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8702), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7233), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152913] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(8708), 1,
      anon_sym_COLON,
    STATE(4760), 1,
      sym__enum_base_clause,
    STATE(4839), 1,
      sym_enumerator_list,
    STATE(4904), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6260), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152974] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8710), 1,
      anon_sym_COMMA,
    ACTIONS(8712), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7057), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4599), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5969), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153197] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7246), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4502), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6020), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153347] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8716), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7064), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153444] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6574), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8115), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153523] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(8708), 1,
      anon_sym_COLON,
    STATE(4761), 1,
      sym__enum_base_clause,
    STATE(4847), 1,
      sym_enumerator_list,
    STATE(4920), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6204), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4631), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6032), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6436), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153710] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8718), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7236), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153807] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8720), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4540), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6060), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153955] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7264), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154052] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7086), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6378), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154222] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8728), 1,
      anon_sym_COMMA,
    ACTIONS(8730), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7268), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154319] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8732), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7271), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [154469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8655), 1,
      anon_sym_LT,
    STATE(2522), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154522] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7284), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6375), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154692] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6386), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154765] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8519), 1,
      anon_sym_SEMI,
    ACTIONS(8736), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1340), 1,
      sym__fold_operator,
    ACTIONS(8743), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8741), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [154911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8363), 1,
      anon_sym_LPAREN2,
    STATE(4834), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6182), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6184), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [154964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6382), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155037] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8745), 1,
      anon_sym_COMMA,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
    ACTIONS(8750), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155134] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(4902), 1,
      sym_primitive_type,
    STATE(4954), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5874), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8758), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4964), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8755), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5869), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6427), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155272] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    STATE(7393), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    ACTIONS(8292), 1,
      anon_sym___attribute,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6374), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4566), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6040), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155497] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8748), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155592] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    ACTIONS(8763), 1,
      anon_sym_GT2,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    STATE(7397), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5321), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    STATE(4627), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6036), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155789] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [155869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5588), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155915] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8765), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156007] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4906), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5929), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5927), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [156155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5506), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156201] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5612), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156341] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8771), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6461), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156507] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156577] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_COLON,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8811), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6352), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6354), 31,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [156719] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6684), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8133), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156797] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6642), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4875), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8115), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156875] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8814), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8391), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157061] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [157145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5564), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8765), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157283] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6470), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5494), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157493] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157585] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6673), 1,
      sym_auto,
    ACTIONS(6675), 1,
      anon_sym_decltype,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(2669), 1,
      sym_decltype_auto,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6625), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4940), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8115), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6479), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157827] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157915] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8820), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6462), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8720), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158173] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6392), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6392), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5474), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158403] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8822), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158497] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6342), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6344), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [158557] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8824), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6490), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5723), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158723] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8826), 1,
      anon_sym_COMMA,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8830), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6491), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8252), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158983] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8765), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5552), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5604), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6495), 1,
      sym__abstract_declarator,
    ACTIONS(6998), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6604), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6991), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [159239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6850), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [159389] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8832), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159483] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159547] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8834), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5596), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159687] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [159773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6820), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [159861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6392), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159953] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160017] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [160103] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [160187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [160269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8519), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160363] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [160439] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160583] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160809] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [160897] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160989] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161077] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161169] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [161345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161433] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [161515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161603] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6380), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6382), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161663] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161751] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6312), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6314), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161811] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [161891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161983] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [162059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162255] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162321] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8838), 1,
      anon_sym_COMMA,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162415] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162509] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6331), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162577] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8844), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5540), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162717] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8846), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162811] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8848), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162905] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8850), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8365), 1,
      anon_sym_LBRACK,
    STATE(4766), 1,
      sym_new_declarator,
    ACTIONS(6254), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6256), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5556), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163095] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8852), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163187] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      sym_attribute_specifier,
    STATE(4826), 1,
      sym__enum_base_clause,
    STATE(4971), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6260), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6258), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [163337] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8860), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163431] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8748), 1,
      anon_sym_COLON,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163525] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8862), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163619] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8864), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [163771] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8866), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163865] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6380), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6382), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5572), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6312), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6314), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [164031] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [164095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6318), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [164153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_attribute_specifier,
    STATE(4828), 1,
      sym__enum_base_clause,
    STATE(4958), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6204), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6202), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [164211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5548), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164351] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8870), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6316), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6318), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [164503] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [164591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5560), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164637] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6850), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5576), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164775] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8872), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5506), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164915] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6913), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [165003] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8219), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6384), 1,
      sym__declarator,
    STATE(6672), 1,
      sym__abstract_declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5486), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165135] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8874), 1,
      anon_sym_COMMA,
    ACTIONS(8876), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5490), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165275] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6693), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4862), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [165353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6854), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [165441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5592), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165487] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8878), 1,
      anon_sym_COMMA,
    ACTIONS(8880), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165581] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165673] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6333), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [165733] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [165807] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6331), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [165883] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [165965] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166057] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8882), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166151] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8884), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166245] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166339] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8888), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5502), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5616), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166523] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6917), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [166611] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [166697] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8890), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166791] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166885] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5568), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5506), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5522), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6474), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8290), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [167189] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167281] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6846), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5470), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167415] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5584), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5600), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5494), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4878), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167695] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5526), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5530), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167879] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [168045] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5457), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5512), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168197] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8902), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168291] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6342), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6344), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168351] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8765), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168443] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8904), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168537] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168631] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8908), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168723] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168817] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6854), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168905] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6820), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8589), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8888), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5544), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169131] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8912), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169225] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6331), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6333), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [169291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5580), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5608), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169383] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_PIPE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6333), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [169463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5498), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5478), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169555] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169649] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_DOT,
    ACTIONS(8569), 1,
      anon_sym_SLASH,
    ACTIONS(8575), 1,
      anon_sym_PIPE,
    ACTIONS(8579), 1,
      anon_sym_AMP,
    ACTIONS(8585), 1,
      anon_sym_LT_LT,
    ACTIONS(8587), 1,
      anon_sym_GT_GT,
    ACTIONS(8591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8593), 1,
      anon_sym_bitor,
    ACTIONS(8595), 1,
      anon_sym_bitand,
    STATE(3666), 1,
      sym_argument_list,
    STATE(3714), 1,
      sym_subscript_argument_list,
    ACTIONS(7645), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8565), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8567), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8573), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8577), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8581), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8583), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169737] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5247), 1,
      sym_ms_call_modifier,
    STATE(5619), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7414), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169818] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8916), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169909] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170000] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(8920), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170091] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8924), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170273] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8926), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8928), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170546] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(4972), 1,
      sym_ref_qualifier,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5688), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5232), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [170633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170724] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8949), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170906] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8951), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170997] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171088] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8953), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8955), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171270] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8957), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8959), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8961), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8963), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8965), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8967), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(8969), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8971), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172271] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172635] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172726] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1898), 1,
      anon_sym_typename,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8977), 1,
      sym_identifier,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2637), 1,
      sym_primitive_type,
    STATE(2949), 1,
      sym_qualified_type_identifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172860] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6595), 1,
      sym__declarator,
    STATE(6821), 1,
      sym__abstract_declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172943] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8985), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(8987), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6963), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8989), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8991), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8993), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173534] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8995), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173625] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8997), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173807] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173898] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8999), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9001), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174080] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9003), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174171] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9005), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174262] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174535] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9007), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174626] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(9009), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9011), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174808] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9013), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9015), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9017), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9019), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9021), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175263] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9023), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175354] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9025), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175445] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9027), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9029), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175627] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175718] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175809] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(9031), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9033), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175991] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9035), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9037), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176173] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9039), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176446] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176537] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9045), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_RBRACK,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176719] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176810] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176992] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177174] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9057), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177356] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177447] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9061), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9063), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9065), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9067), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9071), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9073), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178084] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9075), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9077), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178266] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9079), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178357] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178586] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9085), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9087), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178768] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178859] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9091), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9093), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179041] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9097), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179223] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5243), 1,
      sym_ms_call_modifier,
    STATE(5574), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7052), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179395] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9101), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179486] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179577] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8781), 1,
      anon_sym_SLASH,
    ACTIONS(8787), 1,
      anon_sym_PIPE,
    ACTIONS(8791), 1,
      anon_sym_AMP,
    ACTIONS(8797), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_QMARK,
    ACTIONS(8805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitor,
    ACTIONS(8809), 1,
      anon_sym_bitand,
    ACTIONS(9105), 1,
      anon_sym_COLON,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8779), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8789), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179668] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(4966), 1,
      sym_ref_qualifier,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5242), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179755] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5255), 1,
      sym_ms_call_modifier,
    STATE(5567), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7188), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179836] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5229), 1,
      sym_ms_call_modifier,
    STATE(5542), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7207), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179917] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5252), 1,
      sym_ms_call_modifier,
    STATE(5605), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7285), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5215), 1,
      sym_ms_call_modifier,
    STATE(5518), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7371), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [180079] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5220), 1,
      sym_ms_call_modifier,
    STATE(5552), 1,
      sym__declarator,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(7423), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [180160] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6536), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8290), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [180231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6551), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [180302] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6554), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8252), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [180373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_const,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(3790), 1,
      sym_alignas_qualifier,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6556), 1,
      sym__abstract_declarator,
    ACTIONS(6885), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6604), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6870), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [180444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8617), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_PIPE,
    ACTIONS(8627), 1,
      anon_sym_AMP,
    ACTIONS(8633), 1,
      anon_sym_GT_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    ACTIONS(8641), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8643), 1,
      anon_sym_bitor,
    ACTIONS(8645), 1,
      anon_sym_bitand,
    ACTIONS(9107), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9109), 1,
      anon_sym_RBRACK,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8615), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8625), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8635), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8629), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8631), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180535] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9111), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180626] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    STATE(4848), 1,
      sym_enumerator_list,
    STATE(4924), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5920), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    STATE(4851), 1,
      sym_enumerator_list,
    STATE(4936), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5889), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9113), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180827] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180918] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    ACTIONS(9119), 1,
      anon_sym_COMMA,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6360), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6073), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4119), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4107), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [181269] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5245), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6560), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181391] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    ACTIONS(6286), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_DOT,
    ACTIONS(8381), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_SLASH,
    ACTIONS(8495), 1,
      anon_sym_PIPE,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8505), 1,
      anon_sym_GT_EQ,
    ACTIONS(8509), 1,
      anon_sym_QMARK,
    ACTIONS(8511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8513), 1,
      anon_sym_bitor,
    ACTIONS(8515), 1,
      anon_sym_bitand,
    STATE(2509), 1,
      sym_argument_list,
    STATE(2518), 1,
      sym_subscript_argument_list,
    ACTIONS(6292), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8485), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8487), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8491), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8493), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8497), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8503), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6576), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8290), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6617), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6580), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8252), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6618), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6604), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [181851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6532), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181895] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2944), 1,
      sym_primitive_type,
    STATE(2953), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4964), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4966), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6310), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6584), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6588), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6508), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6556), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182133] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5240), 1,
      sym_ms_call_modifier,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6565), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [182211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6548), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182255] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5000), 1,
      sym_ref_qualifier,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5692), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5259), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6462), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6594), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6055), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6564), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6490), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182657] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(4997), 1,
      sym_ref_qualifier,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5931), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5268), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6110), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9133), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9135), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5847), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5849), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6614), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3759), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6626), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182993] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym___attribute__,
    ACTIONS(5817), 1,
      anon_sym___attribute,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      sym_attribute_specifier,
    STATE(2158), 1,
      sym__enum_base_clause,
    STATE(2256), 1,
      sym_enumerator_list,
    ACTIONS(6258), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6260), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183051] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5250), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6428), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183129] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8133), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6795), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6597), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6604), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2877), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6392), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6400), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183407] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5213), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6381), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183485] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      sym_auto,
    ACTIONS(8107), 1,
      anon_sym_decltype,
    ACTIONS(8115), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6773), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183607] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5239), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5234), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6392), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6572), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183895] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5216), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6362), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183973] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym___attribute__,
    ACTIONS(5817), 1,
      anon_sym___attribute,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_attribute_specifier,
    STATE(2190), 1,
      sym__enum_base_clause,
    STATE(2195), 1,
      sym_enumerator_list,
    ACTIONS(6202), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6204), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [184031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5222), 1,
      sym_ms_call_modifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6445), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184109] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5021), 1,
      sym_ref_qualifier,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5274), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [184195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6573), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [184265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6478), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9135), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5833), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5835), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5397), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184531] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5030), 1,
      sym_ref_qualifier,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5705), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5273), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [184617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_attribute_specifier,
    STATE(4960), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5920), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5918), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184669] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5896), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [184721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    STATE(1815), 1,
      sym_attribute_specifier,
    STATE(4968), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5889), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5887), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9139), 1,
      anon_sym_COMMA,
    ACTIONS(9141), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [184821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6576), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4903), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5992), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184915] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(9144), 1,
      anon_sym_COLON,
    STATE(2473), 1,
      sym__enum_base_clause,
    STATE(2535), 1,
      sym_enumerator_list,
    STATE(2606), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [184973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4909), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5996), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6494), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6498), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      sym_auto,
    ACTIONS(8288), 1,
      anon_sym_decltype,
    STATE(4898), 1,
      sym_decltype_auto,
    ACTIONS(5311), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5313), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4919), 1,
      sym_attribute_specifier,
    ACTIONS(6030), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6032), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185211] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym___attribute__,
    ACTIONS(6121), 1,
      anon_sym___attribute,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(9144), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym__enum_base_clause,
    STATE(2543), 1,
      sym_enumerator_list,
    STATE(2620), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6204), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [185269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4923), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6060), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6619), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [185389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4928), 1,
      sym_attribute_specifier,
    ACTIONS(6014), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6016), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4930), 1,
      sym_attribute_specifier,
    ACTIONS(5957), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5959), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6516), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6520), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6524), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4935), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6040), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4938), 1,
      sym_attribute_specifier,
    ACTIONS(5953), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5955), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4939), 1,
      sym_attribute_specifier,
    ACTIONS(5967), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5969), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4941), 1,
      sym_attribute_specifier,
    ACTIONS(6034), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6036), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4943), 1,
      sym_attribute_specifier,
    ACTIONS(6018), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6020), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym___attribute__,
    ACTIONS(8531), 1,
      anon_sym___attribute,
    STATE(4944), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5935), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6536), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6540), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186097] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(4991), 1,
      sym_ref_qualifier,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5257), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [186183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(6613), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(2889), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2887), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186253] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 1,
      sym_identifier,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(2992), 1,
      sym_primitive_type,
    STATE(5063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4779), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4932), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4934), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(9146), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186315] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5026), 1,
      sym_ref_qualifier,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5938), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5260), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [186401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6544), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6466), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6623), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8252), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186558] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9148), 1,
      sym_identifier,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9154), 1,
      anon_sym_enum,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2072), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2341), 1,
      sym_primitive_type,
    STATE(4994), 1,
      sym_argument_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186643] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9148), 1,
      sym_identifier,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9154), 1,
      anon_sym_enum,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2087), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2341), 1,
      sym_primitive_type,
    STATE(4995), 1,
      sym_argument_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4877), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5772), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9168), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6686), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6604), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9171), 1,
      sym_identifier,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9177), 1,
      anon_sym_enum,
    ACTIONS(9179), 1,
      anon_sym_class,
    ACTIONS(9181), 1,
      anon_sym_struct,
    ACTIONS(9183), 1,
      anon_sym_union,
    ACTIONS(9185), 1,
      sym_auto,
    ACTIONS(9187), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2887), 1,
      sym_primitive_type,
    STATE(2972), 1,
      sym_type_specifier,
    STATE(3447), 1,
      sym_qualified_type_identifier,
    STATE(3580), 1,
      sym_decltype_auto,
    STATE(4986), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3326), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3611), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186929] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_enum,
    ACTIONS(9199), 1,
      anon_sym_class,
    ACTIONS(9201), 1,
      anon_sym_struct,
    ACTIONS(9203), 1,
      anon_sym_union,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4179), 1,
      sym_type_specifier,
    STATE(4981), 1,
      sym_argument_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187014] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6694), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8252), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4888), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9207), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4996), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187177] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9214), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9220), 1,
      anon_sym_enum,
    ACTIONS(9222), 1,
      anon_sym_class,
    ACTIONS(9224), 1,
      anon_sym_struct,
    ACTIONS(9226), 1,
      anon_sym_union,
    ACTIONS(9228), 1,
      sym_auto,
    ACTIONS(9230), 1,
      anon_sym_decltype,
    ACTIONS(9232), 1,
      anon_sym_typename,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2711), 1,
      sym_primitive_type,
    STATE(2815), 1,
      sym_type_specifier,
    STATE(3160), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_qualified_type_identifier,
    STATE(4988), 1,
      sym_argument_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3020), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3265), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187262] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5057), 1,
      sym_ref_qualifier,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6140), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5289), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [187347] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9214), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9220), 1,
      anon_sym_enum,
    ACTIONS(9222), 1,
      anon_sym_class,
    ACTIONS(9224), 1,
      anon_sym_struct,
    ACTIONS(9226), 1,
      anon_sym_union,
    ACTIONS(9228), 1,
      sym_auto,
    ACTIONS(9230), 1,
      anon_sym_decltype,
    ACTIONS(9232), 1,
      anon_sym_typename,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2711), 1,
      sym_primitive_type,
    STATE(2821), 1,
      sym_type_specifier,
    STATE(3160), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_qualified_type_identifier,
    STATE(4989), 1,
      sym_argument_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3020), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3265), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187432] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6658), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8290), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6622), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5750), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9234), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4906), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4115), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9237), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187670] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_typename,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2072), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2305), 1,
      sym_primitive_type,
    STATE(5031), 1,
      sym_argument_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_typename,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2087), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2305), 1,
      sym_primitive_type,
    STATE(5032), 1,
      sym_argument_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5062), 1,
      sym_ref_qualifier,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5844), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5297), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [187925] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      sym_auto,
    ACTIONS(5317), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5067), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9255), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9253), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_requires,
    STATE(5061), 1,
      sym_ref_qualifier,
    STATE(5944), 1,
      sym__function_attributes_end,
    STATE(6200), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188067] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4083), 1,
      sym_type_specifier,
    STATE(5006), 1,
      sym_argument_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188152] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5068), 1,
      sym_ref_qualifier,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6062), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5285), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [188237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5584), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5756), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9276), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5782), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5800), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9282), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5616), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5568), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5526), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5530), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188636] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4114), 1,
      sym_type_specifier,
    STATE(5008), 1,
      sym_argument_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5786), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9285), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5760), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5592), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188858] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      sym_auto,
    ACTIONS(5317), 1,
      anon_sym_decltype,
    STATE(1625), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5046), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9293), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9291), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [188915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5548), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188958] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      anon_sym_enum,
    ACTIONS(9303), 1,
      anon_sym_class,
    ACTIONS(9305), 1,
      anon_sym_struct,
    ACTIONS(9307), 1,
      anon_sym_union,
    ACTIONS(9309), 1,
      sym_auto,
    ACTIONS(9311), 1,
      anon_sym_decltype,
    ACTIONS(9313), 1,
      anon_sym_typename,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(3823), 1,
      sym_primitive_type,
    STATE(3937), 1,
      sym_type_specifier,
    STATE(4067), 1,
      sym_decltype_auto,
    STATE(4992), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4049), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4896), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5766), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9315), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5486), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5490), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4890), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5604), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5602), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9318), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5502), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5506), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5600), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5512), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      anon_sym_enum,
    ACTIONS(9303), 1,
      anon_sym_class,
    ACTIONS(9305), 1,
      anon_sym_struct,
    ACTIONS(9307), 1,
      anon_sym_union,
    ACTIONS(9309), 1,
      sym_auto,
    ACTIONS(9311), 1,
      anon_sym_decltype,
    ACTIONS(9313), 1,
      anon_sym_typename,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(3823), 1,
      sym_primitive_type,
    STATE(3946), 1,
      sym_type_specifier,
    STATE(4067), 1,
      sym_decltype_auto,
    STATE(4976), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4049), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5506), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5506), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189611] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5065), 1,
      sym_ref_qualifier,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5276), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [189696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5040), 1,
      sym_ref_qualifier,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5280), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [189781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5518), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189824] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5050), 1,
      sym_ref_qualifier,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5305), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [189909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5580), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5608), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5478), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190038] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    ACTIONS(9327), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5600), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5174), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5540), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5474), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6674), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5723), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [190327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5552), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5494), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5612), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190456] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6681), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6604), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [190525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5498), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190568] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9171), 1,
      sym_identifier,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9177), 1,
      anon_sym_enum,
    ACTIONS(9179), 1,
      anon_sym_class,
    ACTIONS(9181), 1,
      anon_sym_struct,
    ACTIONS(9183), 1,
      anon_sym_union,
    ACTIONS(9185), 1,
      sym_auto,
    ACTIONS(9187), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2887), 1,
      sym_primitive_type,
    STATE(2941), 1,
      sym_type_specifier,
    STATE(3447), 1,
      sym_qualified_type_identifier,
    STATE(3580), 1,
      sym_decltype_auto,
    STATE(4985), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3326), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3611), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5494), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5576), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5556), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5560), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5564), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [190913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5572), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5522), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_const,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_alignas_qualifier,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6680), 1,
      sym__abstract_declarator,
    ACTIONS(8049), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8290), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8041), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [191068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5544), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5588), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5596), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5470), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191240] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_enum,
    ACTIONS(9199), 1,
      anon_sym_class,
    ACTIONS(9201), 1,
      anon_sym_struct,
    ACTIONS(9203), 1,
      anon_sym_union,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4166), 1,
      sym_type_specifier,
    STATE(4980), 1,
      sym_argument_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5045), 1,
      sym_ref_qualifier,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6119), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191410] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4003), 1,
      sym_type_specifier,
    STATE(5001), 1,
      sym_argument_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191495] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(3962), 1,
      sym_type_specifier,
    STATE(5027), 1,
      sym_argument_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191580] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5056), 1,
      sym_ref_qualifier,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(6037), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5291), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(5042), 1,
      sym_ref_qualifier,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6090), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5299), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [191750] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_primitive_type,
    STATE(2737), 1,
      sym_type_specifier,
    STATE(3060), 1,
      sym_decltype_auto,
    STATE(3074), 1,
      sym_qualified_type_identifier,
    STATE(4984), 1,
      sym_argument_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3064), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_primitive_type,
    STATE(2718), 1,
      sym_type_specifier,
    STATE(3060), 1,
      sym_decltype_auto,
    STATE(3074), 1,
      sym_qualified_type_identifier,
    STATE(4987), 1,
      sym_argument_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3064), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5778), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9352), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192010] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(5112), 1,
      sym_ref_qualifier,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5311), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [192094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1787), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5992), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5990), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1826), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5996), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5994), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1814), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6040), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5688), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5232), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1818), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5955), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9358), 1,
      anon_sym_COLON,
    STATE(4295), 1,
      sym__enum_base_clause,
    STATE(4427), 1,
      sym_enumerator_list,
    STATE(4575), 1,
      sym_attribute_specifier,
    ACTIONS(6258), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6260), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [192412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(9360), 1,
      anon_sym_LPAREN2,
    STATE(2203), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3755), 1,
      sym_argument_list,
    STATE(4796), 1,
      sym_initializer_list,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [192466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9358), 1,
      anon_sym_COLON,
    STATE(4335), 1,
      sym__enum_base_clause,
    STATE(4447), 1,
      sym_enumerator_list,
    STATE(4634), 1,
      sym_attribute_specifier,
    ACTIONS(6202), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6204), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [192522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1799), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5969), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5967), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1808), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6036), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6034), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192614] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(9365), 1,
      anon_sym___attribute__,
    ACTIONS(9368), 1,
      anon_sym___attribute,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5681), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5218), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1828), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6032), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1825), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6020), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6018), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5242), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1783), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5935), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5933), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1807), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6060), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6058), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192954] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(9365), 1,
      anon_sym___attribute__,
    ACTIONS(9368), 1,
      anon_sym___attribute,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5689), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5241), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [193032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1830), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6016), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6014), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5110), 1,
      sym_ref_qualifier,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6153), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5307), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [193162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1792), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5959), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5957), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      anon_sym_enum,
    ACTIONS(9303), 1,
      anon_sym_class,
    ACTIONS(9305), 1,
      anon_sym_struct,
    ACTIONS(9307), 1,
      anon_sym_union,
    ACTIONS(9309), 1,
      sym_auto,
    ACTIONS(9311), 1,
      anon_sym_decltype,
    ACTIONS(9313), 1,
      anon_sym_typename,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(3823), 1,
      sym_primitive_type,
    STATE(3954), 1,
      sym_type_specifier,
    STATE(4067), 1,
      sym_decltype_auto,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4049), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193287] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9214), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9220), 1,
      anon_sym_enum,
    ACTIONS(9222), 1,
      anon_sym_class,
    ACTIONS(9224), 1,
      anon_sym_struct,
    ACTIONS(9226), 1,
      anon_sym_union,
    ACTIONS(9228), 1,
      sym_auto,
    ACTIONS(9230), 1,
      anon_sym_decltype,
    ACTIONS(9232), 1,
      anon_sym_typename,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2711), 1,
      sym_primitive_type,
    STATE(3011), 1,
      sym_type_specifier,
    STATE(3160), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3020), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3265), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193366] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(9384), 1,
      anon_sym_enum,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193445] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193524] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_enum,
    ACTIONS(9199), 1,
      anon_sym_class,
    ACTIONS(9201), 1,
      anon_sym_struct,
    ACTIONS(9203), 1,
      anon_sym_union,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4152), 1,
      sym_type_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193603] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_enum,
    ACTIONS(9199), 1,
      anon_sym_class,
    ACTIONS(9201), 1,
      anon_sym_struct,
    ACTIONS(9203), 1,
      anon_sym_union,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4131), 1,
      sym_type_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193682] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9171), 1,
      sym_identifier,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9177), 1,
      anon_sym_enum,
    ACTIONS(9179), 1,
      anon_sym_class,
    ACTIONS(9181), 1,
      anon_sym_struct,
    ACTIONS(9183), 1,
      anon_sym_union,
    ACTIONS(9185), 1,
      sym_auto,
    ACTIONS(9187), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2887), 1,
      sym_primitive_type,
    STATE(3348), 1,
      sym_type_specifier,
    STATE(3447), 1,
      sym_qualified_type_identifier,
    STATE(3580), 1,
      sym_decltype_auto,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3326), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3611), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193761] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7431), 1,
      sym_identifier,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7439), 1,
      anon_sym_enum,
    ACTIONS(7441), 1,
      anon_sym_class,
    ACTIONS(7443), 1,
      anon_sym_struct,
    ACTIONS(7445), 1,
      anon_sym_union,
    ACTIONS(7447), 1,
      sym_auto,
    ACTIONS(7449), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_typename,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4336), 1,
      sym_primitive_type,
    STATE(4836), 1,
      sym_type_specifier,
    STATE(4886), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_qualified_type_identifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4808), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4887), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193840] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_primitive_type,
    STATE(2744), 1,
      sym_type_specifier,
    STATE(3060), 1,
      sym_decltype_auto,
    STATE(3074), 1,
      sym_qualified_type_identifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3064), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193919] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9171), 1,
      sym_identifier,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9177), 1,
      anon_sym_enum,
    ACTIONS(9179), 1,
      anon_sym_class,
    ACTIONS(9181), 1,
      anon_sym_struct,
    ACTIONS(9183), 1,
      anon_sym_union,
    ACTIONS(9185), 1,
      sym_auto,
    ACTIONS(9187), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2887), 1,
      sym_primitive_type,
    STATE(2975), 1,
      sym_type_specifier,
    STATE(3447), 1,
      sym_qualified_type_identifier,
    STATE(3580), 1,
      sym_decltype_auto,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3326), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3611), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193998] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9171), 1,
      sym_identifier,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9177), 1,
      anon_sym_enum,
    ACTIONS(9179), 1,
      anon_sym_class,
    ACTIONS(9181), 1,
      anon_sym_struct,
    ACTIONS(9183), 1,
      anon_sym_union,
    ACTIONS(9185), 1,
      sym_auto,
    ACTIONS(9187), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2887), 1,
      sym_primitive_type,
    STATE(2948), 1,
      sym_type_specifier,
    STATE(3447), 1,
      sym_qualified_type_identifier,
    STATE(3580), 1,
      sym_decltype_auto,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3326), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3611), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194077] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_primitive_type,
    STATE(2750), 1,
      sym_type_specifier,
    STATE(3060), 1,
      sym_decltype_auto,
    STATE(3074), 1,
      sym_qualified_type_identifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3064), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194156] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9214), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9220), 1,
      anon_sym_enum,
    ACTIONS(9222), 1,
      anon_sym_class,
    ACTIONS(9224), 1,
      anon_sym_struct,
    ACTIONS(9226), 1,
      anon_sym_union,
    ACTIONS(9228), 1,
      sym_auto,
    ACTIONS(9230), 1,
      anon_sym_decltype,
    ACTIONS(9232), 1,
      anon_sym_typename,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2711), 1,
      sym_primitive_type,
    STATE(2828), 1,
      sym_type_specifier,
    STATE(3160), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3020), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3265), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194235] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9214), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9220), 1,
      anon_sym_enum,
    ACTIONS(9222), 1,
      anon_sym_class,
    ACTIONS(9224), 1,
      anon_sym_struct,
    ACTIONS(9226), 1,
      anon_sym_union,
    ACTIONS(9228), 1,
      sym_auto,
    ACTIONS(9230), 1,
      anon_sym_decltype,
    ACTIONS(9232), 1,
      anon_sym_typename,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2711), 1,
      sym_primitive_type,
    STATE(2830), 1,
      sym_type_specifier,
    STATE(3160), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(3020), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3265), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5205), 1,
      sym_ref_qualifier,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6040), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5323), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194397] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5265), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194474] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      anon_sym_enum,
    ACTIONS(9303), 1,
      anon_sym_class,
    ACTIONS(9305), 1,
      anon_sym_struct,
    ACTIONS(9307), 1,
      anon_sym_union,
    ACTIONS(9309), 1,
      sym_auto,
    ACTIONS(9311), 1,
      anon_sym_decltype,
    ACTIONS(9313), 1,
      anon_sym_typename,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(3823), 1,
      sym_primitive_type,
    STATE(3949), 1,
      sym_type_specifier,
    STATE(4067), 1,
      sym_decltype_auto,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4049), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194553] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_primitive_type,
    STATE(2962), 1,
      sym_type_specifier,
    STATE(3060), 1,
      sym_decltype_auto,
    STATE(3074), 1,
      sym_qualified_type_identifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3064), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194632] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9148), 1,
      sym_identifier,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9154), 1,
      anon_sym_enum,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2073), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2341), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194711] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9148), 1,
      sym_identifier,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9154), 1,
      anon_sym_enum,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2074), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2341), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5692), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5259), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194867] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5891), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5264), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [194944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    STATE(1691), 1,
      sym_type_specifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195023] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7472), 1,
      sym_identifier,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7478), 1,
      anon_sym_enum,
    ACTIONS(7480), 1,
      anon_sym_class,
    ACTIONS(7482), 1,
      anon_sym_struct,
    ACTIONS(7484), 1,
      anon_sym_union,
    ACTIONS(7486), 1,
      anon_sym_typename,
    STATE(1691), 1,
      sym_type_specifier,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5041), 1,
      sym_primitive_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195102] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(5693), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5263), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [195179] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(3979), 1,
      sym_type_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195258] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1898), 1,
      anon_sym_typename,
    ACTIONS(4817), 1,
      sym_identifier,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2637), 1,
      sym_primitive_type,
    STATE(2949), 1,
      sym_qualified_type_identifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195337] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4402), 1,
      sym_type_specifier,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195416] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(5178), 1,
      sym_ref_qualifier,
    STATE(6068), 1,
      sym__function_attributes_end,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [195499] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1691), 1,
      sym_type_specifier,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195578] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4085), 1,
      sym_type_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6794), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [195724] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(4088), 1,
      sym_type_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195803] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5189), 1,
      sym_ref_qualifier,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(6192), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5316), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [195886] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7498), 1,
      sym_identifier,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7502), 1,
      anon_sym_enum,
    ACTIONS(7504), 1,
      anon_sym_class,
    ACTIONS(7506), 1,
      anon_sym_struct,
    ACTIONS(7508), 1,
      anon_sym_union,
    ACTIONS(7510), 1,
      anon_sym_typename,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4169), 1,
      sym_primitive_type,
    STATE(4402), 1,
      sym_type_specifier,
    STATE(4605), 1,
      sym_decltype_auto,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4615), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195965] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196044] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(5723), 1,
      anon_sym_COLON,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6798), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [196111] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      anon_sym_enum,
    ACTIONS(9303), 1,
      anon_sym_class,
    ACTIONS(9305), 1,
      anon_sym_struct,
    ACTIONS(9307), 1,
      anon_sym_union,
    ACTIONS(9309), 1,
      sym_auto,
    ACTIONS(9311), 1,
      anon_sym_decltype,
    ACTIONS(9313), 1,
      anon_sym_typename,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(3823), 1,
      sym_primitive_type,
    STATE(4036), 1,
      sym_type_specifier,
    STATE(4067), 1,
      sym_decltype_auto,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(4049), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8252), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6806), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [196257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2601), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_class,
    ACTIONS(2605), 1,
      anon_sym_struct,
    ACTIONS(2607), 1,
      anon_sym_union,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(2637), 1,
      anon_sym_typename,
    ACTIONS(7523), 1,
      sym_identifier,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2597), 1,
      sym_type_specifier,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196336] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_class,
    ACTIONS(75), 1,
      anon_sym_struct,
    ACTIONS(77), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(131), 1,
      anon_sym_typename,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(5016), 1,
      sym_identifier,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2637), 1,
      sym_primitive_type,
    STATE(2949), 1,
      sym_qualified_type_identifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196415] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5274), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [196492] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(9384), 1,
      anon_sym_enum,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6774), 1,
      sym_type_specifier,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196571] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(5192), 1,
      sym_ref_qualifier,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6065), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5315), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [196654] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9148), 1,
      sym_identifier,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9154), 1,
      anon_sym_enum,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9166), 1,
      anon_sym_typename,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2177), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2341), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196733] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5262), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [196810] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(2633), 1,
      sym_auto,
    ACTIONS(2635), 1,
      anon_sym_decltype,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_enum,
    ACTIONS(9199), 1,
      anon_sym_class,
    ACTIONS(9201), 1,
      anon_sym_struct,
    ACTIONS(9203), 1,
      anon_sym_union,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2197), 1,
      sym_primitive_type,
    STATE(2597), 1,
      sym_type_specifier,
    STATE(2642), 1,
      sym_qualified_type_identifier,
    STATE(2651), 1,
      sym_decltype_auto,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2581), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2652), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9400), 1,
      sym_ms_restrict_modifier,
    STATE(5186), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7111), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9403), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9406), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5023), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7113), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [196940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(5385), 1,
      anon_sym_const,
    ACTIONS(6604), 1,
      anon_sym_COLON,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(1633), 1,
      sym_alignas_qualifier,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6760), 1,
      sym__abstract_declarator,
    ACTIONS(8284), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8276), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [197007] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(3265), 1,
      anon_sym_enum,
    ACTIONS(3267), 1,
      anon_sym_class,
    ACTIONS(3269), 1,
      anon_sym_struct,
    ACTIONS(3271), 1,
      anon_sym_union,
    ACTIONS(3273), 1,
      anon_sym_typename,
    ACTIONS(5016), 1,
      sym_identifier,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2314), 1,
      sym_type_specifier,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2637), 1,
      sym_primitive_type,
    STATE(2949), 1,
      sym_qualified_type_identifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197086] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5896), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5258), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [197163] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9260), 1,
      sym_identifier,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_enum,
    ACTIONS(9268), 1,
      anon_sym_class,
    ACTIONS(9270), 1,
      anon_sym_struct,
    ACTIONS(9272), 1,
      anon_sym_union,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_decltype_auto,
    STATE(1908), 1,
      sym_qualified_type_identifier,
    STATE(2093), 1,
      sym_primitive_type,
    STATE(3987), 1,
      sym_type_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(1770), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1790), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5705), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5273), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [197319] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_typename,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2177), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2305), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197398] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5706), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5261), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [197475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_typename,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2073), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2305), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197554] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9156), 1,
      anon_sym_class,
    ACTIONS(9158), 1,
      anon_sym_struct,
    ACTIONS(9160), 1,
      anon_sym_union,
    ACTIONS(9162), 1,
      sym_auto,
    ACTIONS(9164), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_typename,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2074), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_decltype_auto,
    STATE(2291), 1,
      sym_qualified_type_identifier,
    STATE(2305), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2288), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197633] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5171), 1,
      sym_ref_qualifier,
    STATE(6089), 1,
      sym__function_attributes_end,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5313), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [197716] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5257), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [197793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5931), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5268), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [197870] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(9384), 1,
      anon_sym_enum,
    ACTIONS(9386), 1,
      anon_sym_typename,
    STATE(2412), 1,
      sym_decltype_auto,
    STATE(2643), 1,
      sym_qualified_type_identifier,
    STATE(2980), 1,
      sym_primitive_type,
    STATE(4858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6793), 1,
      sym_type_specifier,
    STATE(8077), 1,
      sym_dependent_type_identifier,
    STATE(2319), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2367), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197949] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5938), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5260), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [198026] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5188), 1,
      sym_ref_qualifier,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5324), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [198109] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5280), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5842), 1,
      sym_trailing_return_type,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5290), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4890), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5457), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9415), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198305] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6053), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5277), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [198381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(5210), 1,
      sym_ref_qualifier,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5349), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [198463] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(5254), 1,
      sym_ref_qualifier,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6387), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5341), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [198545] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5842), 1,
      sym_trailing_return_type,
    STATE(6108), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5304), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [198621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9429), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9427), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198669] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_requires,
    STATE(5944), 1,
      sym__function_attributes_end,
    STATE(6200), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [198745] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6062), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5285), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [198821] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5305), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198897] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(5927), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5292), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198973] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(6037), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5291), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [199049] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5244), 1,
      sym_ref_qualifier,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5343), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [199131] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6119), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [199207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_LPAREN2,
    STATE(2086), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3448), 1,
      sym_argument_list,
    STATE(3450), 1,
      sym_initializer_list,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5808), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [199259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LPAREN2,
    STATE(2086), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2512), 1,
      sym_argument_list,
    STATE(3896), 1,
      sym_initializer_list,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5808), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [199311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6061), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5281), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [199387] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6142), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5287), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5276), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199539] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5844), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5297), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199615] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6090), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5299), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [199691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9434), 1,
      anon_sym_requires,
    STATE(5985), 1,
      sym__function_attributes_end,
    STATE(6202), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5294), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_requires,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(5845), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5298), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4996), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4999), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5644), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4920), 20,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
  [199889] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6140), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5289), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199965] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5840), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5302), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [200041] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6868), 1,
      anon_sym_AMP,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5212), 1,
      sym_ref_qualifier,
    STATE(6253), 1,
      sym__function_attributes_end,
    STATE(6402), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5351), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1625), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9439), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9437), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200171] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6111), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5278), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [200247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5498), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5175), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(2667), 1,
      sym__class_declaration,
    STATE(5544), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5549), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5204), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2662), 1,
      sym__class_declaration,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200490] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2604), 1,
      sym__class_declaration,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200571] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(2667), 1,
      sym__class_declaration,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200652] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3464), 1,
      sym__class_declaration,
    STATE(3467), 1,
      sym__class_declaration_item,
    STATE(5577), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5578), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3467), 1,
      sym__class_declaration_item,
    STATE(3469), 1,
      sym__class_declaration,
    STATE(5577), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5578), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3467), 1,
      sym__class_declaration_item,
    STATE(3474), 1,
      sym__class_declaration,
    STATE(5577), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5578), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(5575), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5582), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200976] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(4610), 1,
      sym__class_declaration,
    STATE(5575), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5582), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201057] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(4611), 1,
      sym__class_declaration,
    STATE(5575), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5582), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201138] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5595), 1,
      sym_ms_declspec_modifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5630), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5179), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3141), 1,
      sym__class_declaration,
    STATE(3150), 1,
      sym__class_declaration_item,
    STATE(5616), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5207), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201300] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3150), 1,
      sym__class_declaration_item,
    STATE(3159), 1,
      sym__class_declaration,
    STATE(5616), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5207), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3150), 1,
      sym__class_declaration_item,
    STATE(3199), 1,
      sym__class_declaration,
    STATE(5616), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5590), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5207), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201462] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5546), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5547), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5177), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201543] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5546), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5547), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5177), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201624] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5546), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5547), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5177), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201705] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4891), 1,
      sym__class_declaration,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(5539), 1,
      sym_ms_declspec_modifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201786] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(4893), 1,
      sym__class_declaration,
    STATE(5539), 1,
      sym_ms_declspec_modifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201867] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(4894), 1,
      sym__class_declaration,
    STATE(5539), 1,
      sym_ms_declspec_modifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201948] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4096), 1,
      sym__class_declaration,
    STATE(4097), 1,
      sym__class_declaration_item,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202029] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4097), 1,
      sym__class_declaration_item,
    STATE(4099), 1,
      sym__class_declaration,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4097), 1,
      sym__class_declaration_item,
    STATE(4100), 1,
      sym__class_declaration,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(5500), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5504), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202272] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(4610), 1,
      sym__class_declaration,
    STATE(5500), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5504), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4597), 1,
      sym__class_declaration_item,
    STATE(4611), 1,
      sym__class_declaration,
    STATE(5500), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5504), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202434] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5600), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5174), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5600), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5174), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202596] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5600), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5174), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202677] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(1832), 1,
      sym__class_declaration,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5498), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5175), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(1832), 1,
      sym__class_declaration,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5595), 1,
      sym_ms_declspec_modifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5630), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5179), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5498), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5175), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202920] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203082] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203163] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203244] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203406] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203487] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6153), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5307), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [203562] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6149), 1,
      sym_trailing_return_type,
    STATE(6154), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5309), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [203637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5311), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [203712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6164), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5308), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9363), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [203787] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3015), 1,
      sym__class_declaration,
    STATE(3043), 1,
      sym__class_declaration_item,
    STATE(5614), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5615), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203868] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3043), 1,
      sym__class_declaration_item,
    STATE(3067), 1,
      sym__class_declaration,
    STATE(5614), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5615), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203949] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3043), 1,
      sym__class_declaration_item,
    STATE(3070), 1,
      sym__class_declaration,
    STATE(5614), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5615), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204192] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204273] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204354] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204435] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204516] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204597] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2740), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204921] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2740), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205002] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2740), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205083] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205245] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205326] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205407] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205569] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205650] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205731] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205812] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205893] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205974] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206055] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206136] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206298] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206379] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206460] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206541] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2731), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206622] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2731), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206703] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2731), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206784] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206865] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206946] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207027] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5632), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5182), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5636), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5636), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207270] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2294), 1,
      sym__class_declaration,
    STATE(2295), 1,
      sym__class_declaration_item,
    STATE(5604), 1,
      sym_ms_declspec_modifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5621), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5172), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207351] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2295), 1,
      sym__class_declaration_item,
    STATE(2296), 1,
      sym__class_declaration,
    STATE(5604), 1,
      sym_ms_declspec_modifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5621), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5172), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207432] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(1832), 1,
      sym__class_declaration,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(5617), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207513] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2295), 1,
      sym__class_declaration_item,
    STATE(2297), 1,
      sym__class_declaration,
    STATE(5604), 1,
      sym_ms_declspec_modifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5621), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5172), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(5617), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207675] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(5617), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207756] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5636), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207837] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5554), 1,
      sym_ms_declspec_modifier,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2344), 1,
      sym__class_declaration,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5554), 1,
      sym_ms_declspec_modifier,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207999] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2406), 1,
      sym__class_declaration_item,
    STATE(2408), 1,
      sym__class_declaration,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5554), 1,
      sym_ms_declspec_modifier,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6161), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6159), 18,
      anon_sym_virtual,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [208123] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2662), 1,
      sym__class_declaration,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(5544), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5549), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5204), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2604), 1,
      sym__class_declaration,
    STATE(2663), 1,
      sym__class_declaration_item,
    STATE(5544), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5549), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5204), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208285] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1816), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5595), 1,
      sym_ms_declspec_modifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5630), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5179), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5324), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(6092), 1,
      sym__function_attributes_end,
    STATE(6149), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5317), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208514] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2216), 1,
      sym__class_declaration_item,
    STATE(5534), 1,
      sym_ms_declspec_modifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5533), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5830), 1,
      sym__declarator,
    STATE(7052), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208662] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2365), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5507), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208740] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1800), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5566), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208818] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4064), 1,
      sym__class_declaration_item,
    STATE(5536), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208896] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2365), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5620), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208974] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6101), 1,
      sym__function_attributes_end,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5318), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209048] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1800), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(5606), 1,
      sym_ms_declspec_modifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5593), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209126] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4457), 1,
      sym__class_declaration_item,
    STATE(5565), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209204] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1800), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(5551), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5597), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209282] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2365), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5612), 1,
      sym_ms_declspec_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5562), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209360] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6068), 1,
      sym__function_attributes_end,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209434] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(5797), 1,
      sym__declarator,
    STATE(7056), 1,
      sym_init_declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209504] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4913), 1,
      sym__class_declaration_item,
    STATE(5622), 1,
      sym_ms_declspec_modifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5496), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7659), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [209620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7812), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [209658] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(6197), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5335), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209732] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6193), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5321), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209806] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6065), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5315), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6040), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5323), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209954] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6066), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5325), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210028] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2612), 1,
      sym__class_declaration_item,
    STATE(5512), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210106] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5828), 1,
      sym__declarator,
    STATE(7207), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210176] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4457), 1,
      sym__class_declaration_item,
    STATE(5556), 1,
      sym_ms_declspec_modifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5906), 1,
      sym__declarator,
    STATE(7504), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210324] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2365), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(5585), 1,
      sym_ms_declspec_modifier,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5583), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210402] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5863), 1,
      sym__declarator,
    STATE(7188), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210472] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3521), 1,
      sym__class_declaration_item,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5584), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210550] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(6089), 1,
      sym__function_attributes_end,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5313), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210624] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5874), 1,
      sym__declarator,
    STATE(7056), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210694] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5865), 1,
      sym__declarator,
    STATE(7414), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210764] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2365), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210842] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2612), 1,
      sym__class_declaration_item,
    STATE(5519), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6043), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5339), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210994] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3034), 1,
      sym__class_declaration_item,
    STATE(5629), 1,
      sym_ms_declspec_modifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211072] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3197), 1,
      sym__class_declaration_item,
    STATE(5514), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211150] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5864), 1,
      sym__declarator,
    STATE(7056), 1,
      sym_init_declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211220] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(6192), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5316), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211294] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5350), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(5386), 1,
      sym_ms_call_modifier,
    STATE(6635), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [211428] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6254), 1,
      sym__function_attributes_end,
    STATE(6404), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5352), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6369), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211568] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6591), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211635] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6361), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211702] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6411), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [211810] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(9481), 1,
      anon_sym___attribute__,
    ACTIONS(9484), 1,
      anon_sym___attribute,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5538), 1,
      sym_trailing_return_type,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211877] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6276), 1,
      sym__declarator,
    STATE(7941), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211944] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6444), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212011] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6355), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_STAR,
    ACTIONS(6985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(7853), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6575), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212279] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5343), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212419] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6596), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212486] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6484), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212553] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6425), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(5448), 1,
      sym_ms_call_modifier,
    STATE(6627), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [212681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(8932), 1,
      anon_sym___attribute__,
    ACTIONS(8935), 1,
      anon_sym___attribute,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5688), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212748] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(9365), 1,
      anon_sym___attribute__,
    ACTIONS(9368), 1,
      anon_sym___attribute,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5689), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5349), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212888] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6368), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6384), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213022] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6052), 1,
      sym__declarator,
    STATE(8348), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213089] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7015), 1,
      anon_sym_STAR,
    ACTIONS(7017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7019), 1,
      anon_sym_AMP,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(6561), 1,
      sym__declarator,
    STATE(8045), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213156] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6384), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213223] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6432), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6595), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(9481), 1,
      anon_sym___attribute__,
    ACTIONS(9484), 1,
      anon_sym___attribute,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_requires,
    STATE(5594), 1,
      sym_trailing_return_type,
    STATE(5690), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(9365), 1,
      anon_sym___attribute__,
    ACTIONS(9368), 1,
      anon_sym___attribute,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5681), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213491] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213558] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6335), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5344), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6353), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213698] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6387), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5341), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6424), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213838] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(5450), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [213899] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_STAR,
    ACTIONS(6979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(6539), 1,
      sym__declarator,
    STATE(7994), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6409), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214033] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym__function_attributes_end,
    STATE(6402), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5351), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [214106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6372), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(6559), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6896), 1,
      anon_sym_noexcept,
    ACTIONS(6898), 1,
      anon_sym_throw,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6260), 1,
      sym__function_attributes_end,
    STATE(6389), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5355), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [214313] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      sym_identifier,
    ACTIONS(7007), 1,
      anon_sym_STAR,
    ACTIONS(7009), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7011), 1,
      anon_sym_AMP,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(6365), 1,
      sym__declarator,
    STATE(8517), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5997), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214380] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(5406), 1,
      sym_ms_call_modifier,
    STATE(6651), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [214441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_requires,
    STATE(5594), 1,
      sym_trailing_return_type,
    STATE(5902), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(5693), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5896), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_requires,
    ACTIONS(9504), 1,
      anon_sym___asm,
    STATE(5594), 1,
      sym_trailing_return_type,
    STATE(5707), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9501), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym___asm,
    STATE(5538), 1,
      sym_trailing_return_type,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9501), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214837] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym___asm,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(5694), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9501), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5538), 1,
      sym_trailing_return_type,
    STATE(5930), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214969] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym___asm,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9501), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215035] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [215139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5891), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5705), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5558), 1,
      sym_trailing_return_type,
    STATE(5931), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9127), 1,
      anon_sym___asm,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5692), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9124), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215469] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5623), 1,
      sym_trailing_return_type,
    STATE(5706), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215535] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym___asm,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9391), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215601] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    STATE(5938), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215667] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5840), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [215732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9516), 1,
      anon_sym_requires,
    STATE(5972), 1,
      sym_trailing_return_type,
    STATE(6086), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215797] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5956), 1,
      sym_trailing_return_type,
    STATE(6049), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [215927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5842), 1,
      sym_trailing_return_type,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [215992] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9519), 1,
      anon_sym_requires,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(6059), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216057] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6062), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6119), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216187] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_requires,
    STATE(5944), 1,
      sym__function_attributes_end,
    STATE(6200), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6111), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6019), 1,
      sym__function_attributes_end,
    STATE(6144), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9434), 1,
      anon_sym_requires,
    STATE(5985), 1,
      sym__function_attributes_end,
    STATE(6202), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6142), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216577] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(5924), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6061), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216707] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9519), 1,
      anon_sym_requires,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5879), 1,
      sym_trailing_return_type,
    STATE(5928), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216772] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216837] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6009), 1,
      sym__function_attributes_end,
    STATE(6203), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6090), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216967] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(5844), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_requires,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(5845), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217097] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(5846), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6053), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    STATE(6037), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6140), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5841), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5842), 1,
      sym_trailing_return_type,
    STATE(6108), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(6112), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(5927), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217617] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6153), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6149), 1,
      sym_trailing_return_type,
    STATE(6154), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217745] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6159), 1,
      sym_trailing_return_type,
    STATE(6165), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6150), 1,
      sym_trailing_return_type,
    STATE(6155), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217873] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6163), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217937] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6164), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218001] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6068), 1,
      sym__function_attributes_end,
    STATE(6157), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(6092), 1,
      sym__function_attributes_end,
    STATE(6149), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218127] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5390), 1,
      sym_trailing_return_type,
    STATE(6192), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218190] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6066), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218253] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6193), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218316] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(6093), 1,
      sym__function_attributes_end,
    STATE(6150), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6042), 1,
      sym__function_attributes_end,
    STATE(6159), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218442] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(2452), 1,
      sym_template_type,
    STATE(4242), 1,
      sym_requirement_seq,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7589), 1,
      sym_requires_parameter_list,
    ACTIONS(9538), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4795), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9542), 1,
      anon_sym_LPAREN2,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_requires,
    STATE(3287), 1,
      sym_requirement_seq,
    STATE(3660), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_requires_parameter_list,
    ACTIONS(9546), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4238), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6194), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    ACTIONS(7770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7772), 1,
      anon_sym_AMP,
    ACTIONS(8221), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5949), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6043), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    STATE(6197), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218804] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9516), 1,
      anon_sym_requires,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5972), 1,
      sym_trailing_return_type,
    STATE(6067), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218867] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218930] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9542), 1,
      anon_sym_LPAREN2,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_requires,
    STATE(1672), 1,
      sym_template_type,
    STATE(3287), 1,
      sym_requirement_seq,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_requires_parameter_list,
    ACTIONS(9550), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4186), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    ACTIONS(9552), 1,
      anon_sym_LPAREN2,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9558), 1,
      anon_sym_requires,
    STATE(2119), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_requirement_seq,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7679), 1,
      sym_requires_parameter_list,
    ACTIONS(9556), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2514), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219052] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 1,
      anon_sym___attribute__,
    ACTIONS(9412), 1,
      anon_sym___attribute,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6101), 1,
      sym__function_attributes_end,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219115] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    ACTIONS(7754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7756), 1,
      anon_sym_AMP,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9560), 1,
      anon_sym_LPAREN2,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9566), 1,
      anon_sym_requires,
    STATE(2699), 1,
      sym_template_type,
    STATE(3732), 1,
      sym_requirement_seq,
    STATE(5933), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_requires_parameter_list,
    ACTIONS(9564), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3652), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6040), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219290] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN2,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_requires,
    STATE(2671), 1,
      sym_template_type,
    STATE(3545), 1,
      sym_requirement_seq,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(7780), 1,
      sym_requires_parameter_list,
    ACTIONS(9572), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3569), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219351] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7782), 1,
      anon_sym_STAR,
    ACTIONS(7784), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP,
    ACTIONS(8221), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219402] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(6198), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9576), 1,
      anon_sym_LPAREN2,
    ACTIONS(9578), 1,
      anon_sym_LBRACE,
    ACTIONS(9582), 1,
      anon_sym_requires,
    STATE(2781), 1,
      sym_template_type,
    STATE(3857), 1,
      sym_requirement_seq,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(7496), 1,
      sym_requires_parameter_list,
    ACTIONS(9580), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3887), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    STATE(6089), 1,
      sym__function_attributes_end,
    STATE(6148), 1,
      sym_trailing_return_type,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219589] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9247), 1,
      anon_sym___attribute__,
    ACTIONS(9250), 1,
      anon_sym___attribute,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6065), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219652] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym___attribute__,
    ACTIONS(9525), 1,
      anon_sym___attribute,
    STATE(5956), 1,
      sym_trailing_return_type,
    STATE(6044), 1,
      sym__function_attributes_end,
    STATE(6683), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5356), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219715] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9586), 1,
      anon_sym_SEMI,
    ACTIONS(9588), 1,
      anon_sym_LBRACE,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(9592), 1,
      anon_sym_EQ,
    ACTIONS(9594), 1,
      anon_sym_COLON,
    ACTIONS(9596), 1,
      anon_sym_try,
    STATE(2006), 1,
      sym_compound_statement,
    STATE(2007), 1,
      sym_default_method_clause,
    STATE(2008), 1,
      sym_delete_method_clause,
    STATE(2009), 1,
      sym_pure_virtual_clause,
    STATE(2010), 1,
      sym_try_statement,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6718), 1,
      sym_bitfield_clause,
    STATE(6720), 1,
      sym_initializer_list,
    STATE(6727), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7894), 1,
      sym_attribute_specifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [219789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6260), 1,
      sym__function_attributes_end,
    STATE(6389), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5942), 1,
      sym_trailing_return_type,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6335), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219975] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5956), 1,
      sym_trailing_return_type,
    STATE(6345), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_call_modifier,
    STATE(6566), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [220091] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(9594), 1,
      anon_sym_COLON,
    ACTIONS(9598), 1,
      anon_sym_SEMI,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      anon_sym_EQ,
    ACTIONS(9604), 1,
      anon_sym_try,
    STATE(1982), 1,
      sym_compound_statement,
    STATE(1983), 1,
      sym_default_method_clause,
    STATE(1984), 1,
      sym_delete_method_clause,
    STATE(1985), 1,
      sym_pure_virtual_clause,
    STATE(1986), 1,
      sym_try_statement,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6700), 1,
      sym_bitfield_clause,
    STATE(6715), 1,
      sym_initializer_list,
    STATE(6716), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7834), 1,
      sym_attribute_specifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [220165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym__function_attributes_end,
    STATE(6402), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220289] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6343), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220351] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9516), 1,
      anon_sym_requires,
    STATE(5972), 1,
      sym_trailing_return_type,
    STATE(6307), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220413] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6254), 1,
      sym__function_attributes_end,
    STATE(6404), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9363), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6255), 1,
      sym__function_attributes_end,
    STATE(6405), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220537] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(9594), 1,
      anon_sym_COLON,
    ACTIONS(9606), 1,
      anon_sym_SEMI,
    ACTIONS(9608), 1,
      anon_sym_LBRACE,
    ACTIONS(9610), 1,
      anon_sym_EQ,
    ACTIONS(9612), 1,
      anon_sym_try,
    STATE(1673), 1,
      sym_compound_statement,
    STATE(1676), 1,
      sym_default_method_clause,
    STATE(1692), 1,
      sym_delete_method_clause,
    STATE(1713), 1,
      sym_pure_virtual_clause,
    STATE(1735), 1,
      sym_try_statement,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6695), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6724), 1,
      sym_bitfield_clause,
    STATE(6728), 1,
      sym_initializer_list,
    STATE(7843), 1,
      sym_attribute_specifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [220611] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9616), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5404), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9614), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220653] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6261), 1,
      sym__function_attributes_end,
    STATE(6391), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9623), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5479), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9621), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym___asm,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(8938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6387), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6887), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8930), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5709), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9627), 1,
      anon_sym_RPAREN,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5553), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [220866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6766), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [220919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6802), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [220972] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6756), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6780), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221078] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6786), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6783), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221184] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6767), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221237] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6776), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5576), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [221337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6796), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6758), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221443] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6818), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221496] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    ACTIONS(7931), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7933), 1,
      anon_sym_AMP,
    ACTIONS(8221), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6167), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [221545] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6775), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221598] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6810), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221651] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5596), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [221698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6777), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221751] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6805), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9649), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9647), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [221835] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6803), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221888] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6823), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221941] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6403), 1,
      sym__type_declarator,
    STATE(6755), 1,
      sym__type_definition_declarators,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221994] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5809), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5728), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222082] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5729), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8930), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222164] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5639), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222208] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6633), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [222258] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5766), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222302] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5730), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5731), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9374), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9363), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9667), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222504] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9673), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9671), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222542] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5732), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5687), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222630] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5695), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222674] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5820), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222718] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5722), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222762] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5653), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9677), 1,
      anon_sym_LPAREN2,
    STATE(5661), 1,
      sym_preproc_argument_list,
    ACTIONS(9679), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9675), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222840] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5769), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222884] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_requires,
    STATE(4281), 1,
      sym_template_type,
    STATE(5890), 1,
      sym_lambda_capture_specifier,
    STATE(6529), 1,
      sym__scope_resolution,
    ACTIONS(9683), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5850), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9690), 1,
      anon_sym_requires,
    ACTIONS(9687), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9673), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9671), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9695), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9693), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223008] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5675), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223052] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6670), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223102] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5735), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5736), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223190] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(7989), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7991), 1,
      anon_sym_AMP,
    STATE(2152), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(8554), 1,
      sym_ms_based_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223240] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5738), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5739), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223328] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(9697), 1,
      sym_identifier,
    ACTIONS(9699), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5412), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [223398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5740), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9704), 1,
      anon_sym_requires,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9667), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5699), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223524] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5748), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(9709), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223620] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(9713), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5618), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    ACTIONS(9717), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6512), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(6180), 1,
      sym__type_declarator,
    STATE(7858), 1,
      sym_ms_based_modifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223774] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    ACTIONS(9721), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6207), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223826] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    ACTIONS(9725), 1,
      sym_identifier,
    ACTIONS(9727), 1,
      anon_sym_COLON_COLON,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6523), 1,
      sym__scope_resolution,
    ACTIONS(9729), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5989), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223878] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    ACTIONS(9725), 1,
      sym_identifier,
    ACTIONS(9727), 1,
      anon_sym_COLON_COLON,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6523), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223930] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5762), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9623), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9621), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9130), 1,
      anon_sym_requires,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8930), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5741), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224090] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5744), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224134] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9733), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_template_type,
    STATE(5933), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(9735), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3644), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6295), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224232] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9733), 1,
      anon_sym_LPAREN2,
    STATE(2699), 1,
      sym_template_type,
    STATE(5933), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(9737), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3709), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9739), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9741), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5849), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_requires,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9374), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9363), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5790), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224400] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5754), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224444] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5756), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224488] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(3660), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(9743), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5624), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224592] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6139), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224642] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7953), 1,
      sym_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN2,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(7959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7961), 1,
      anon_sym_AMP,
    STATE(3090), 1,
      sym__type_declarator,
    STATE(3619), 1,
      sym_pointer_type_declarator,
    STATE(8063), 1,
      sym_ms_based_modifier,
    ACTIONS(7967), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3618), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224692] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5759), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9616), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4308), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5668), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9614), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8035), 1,
      anon_sym_STAR,
    ACTIONS(8037), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8039), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym___attribute,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6242), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [224824] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(9745), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4201), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224928] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_COLON_COLON,
    STATE(2125), 1,
      sym_template_type,
    STATE(5909), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(9751), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2120), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224980] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(2452), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(9755), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4823), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225032] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6648), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [225082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(2452), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(9757), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4226), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225134] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6669), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [225184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5777), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225228] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_TILDE,
    ACTIONS(9763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      anon_sym_template,
    ACTIONS(9767), 1,
      anon_sym_operator,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5452), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [225298] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5765), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_requires,
    ACTIONS(9769), 1,
      anon_sym_LPAREN2,
    STATE(2671), 1,
      sym_template_type,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(9771), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3459), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_requires,
    ACTIONS(9769), 1,
      anon_sym_LPAREN2,
    STATE(2671), 1,
      sym_template_type,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(9773), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3460), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225446] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6489), 1,
      sym__type_declarator,
    STATE(7919), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [225496] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    ACTIONS(9775), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6176), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225548] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7969), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LPAREN2,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(7975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7977), 1,
      anon_sym_AMP,
    STATE(2990), 1,
      sym__type_declarator,
    STATE(3271), 1,
      sym_pointer_type_declarator,
    STATE(7832), 1,
      sym_ms_based_modifier,
    ACTIONS(7981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3269), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [225598] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    ACTIONS(9777), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1601), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225650] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(9779), 1,
      sym_identifier,
    ACTIONS(9781), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5460), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [225720] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5755), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225764] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7983), 1,
      sym_identifier,
    ACTIONS(7985), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(8031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8033), 1,
      anon_sym_AMP,
    STATE(2213), 1,
      sym_pointer_type_declarator,
    STATE(6639), 1,
      sym__type_declarator,
    STATE(8171), 1,
      sym_ms_based_modifier,
    ACTIONS(7995), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2212), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [225814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6509), 1,
      sym__scope_resolution,
    ACTIONS(9783), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6422), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5764), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225910] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5774), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225954] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9582), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2781), 1,
      sym_template_type,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(9787), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3880), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226006] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9582), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2781), 1,
      sym_template_type,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3883), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_requires,
    STATE(4281), 1,
      sym_template_type,
    STATE(5890), 1,
      sym_lambda_capture_specifier,
    STATE(6529), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5883), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226110] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_requires,
    STATE(4281), 1,
      sym_template_type,
    STATE(5890), 1,
      sym_lambda_capture_specifier,
    STATE(6529), 1,
      sym__scope_resolution,
    ACTIONS(9793), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5869), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(2452), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(9795), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6186), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    ACTIONS(9725), 1,
      sym_identifier,
    ACTIONS(9727), 1,
      anon_sym_COLON_COLON,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6523), 1,
      sym__scope_resolution,
    ACTIONS(9797), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5976), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    ACTIONS(9799), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6522), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226318] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(1672), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6508), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_requires,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [226408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_requires,
    ACTIONS(9801), 1,
      anon_sym_LPAREN2,
    STATE(2119), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6506), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2462), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_requires,
    ACTIONS(9801), 1,
      anon_sym_LPAREN2,
    STATE(2119), 1,
      sym_template_type,
    STATE(5915), 1,
      sym_lambda_capture_specifier,
    STATE(6506), 1,
      sym__scope_resolution,
    ACTIONS(9805), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2463), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226512] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5822), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226556] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9715), 1,
      anon_sym_LPAREN2,
    STATE(3660), 1,
      sym_template_type,
    STATE(5916), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(9807), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4266), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9616), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9614), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6509), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6408), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226694] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_LPAREN2,
    ACTIONS(9711), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5898), 1,
      sym_lambda_capture_specifier,
    STATE(6509), 1,
      sym__scope_resolution,
    ACTIONS(9713), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5618), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226746] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5485), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226798] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9777), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1601), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226850] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5823), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9741), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5833), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5835), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5817), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226970] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7997), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN2,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(5848), 1,
      sym__type_declarator,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8490), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5990), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [227020] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_COLON_COLON,
    STATE(2125), 1,
      sym_template_type,
    STATE(5909), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(9813), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2116), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(2452), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6179), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(2452), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(9757), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4226), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    STATE(2134), 1,
      sym_template_type,
    STATE(5907), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9817), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5432), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227228] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9719), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_requires,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_COLON_COLON,
    STATE(2125), 1,
      sym_template_type,
    STATE(5909), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(9777), 2,
      sym_true,
      sym_false,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1601), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9623), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4308), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5658), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9621), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5746), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [227364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_defined,
    ACTIONS(9661), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9663), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9657), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9665), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5758), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [227408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4927), 1,
      sym__class_declaration_item,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227467] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3241), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1794), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4598), 1,
      sym__class_declaration_item,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2658), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227821] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1801), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4570), 1,
      sym__class_declaration_item,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227939] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2391), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227998] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2363), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228057] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5537), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2391), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5149), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5149), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5149), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228262] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2613), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228321] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8087), 1,
      anon_sym_STAR,
    ACTIONS(8089), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 1,
      anon_sym_AMP,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6337), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3217), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5497), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228425] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2633), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228484] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4057), 1,
      sym__class_declaration_item,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9821), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9819), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_SEMI,
    ACTIONS(9829), 1,
      anon_sym_LBRACE,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    STATE(1769), 1,
      sym_compound_statement,
    STATE(1771), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7386), 1,
      sym_gnu_asm_expression,
    STATE(7387), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [228633] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2613), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228692] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2633), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9837), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228780] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9379), 1,
      anon_sym_requires,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9374), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9363), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [228817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1918), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9843), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9841), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5177), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228904] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4089), 1,
      sym__class_declaration_item,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228963] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4061), 1,
      sym__class_declaration_item,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229022] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9845), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5625), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9851), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9849), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9855), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9853), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9673), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9671), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229209] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2272), 1,
      sym__class_declaration_item,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2283), 1,
      sym__class_declaration_item,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5535), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229327] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2218), 1,
      sym__class_declaration_item,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229386] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4092), 1,
      sym__class_declaration_item,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5589), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229445] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229504] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9667), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229541] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4908), 1,
      sym__class_declaration_item,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5496), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1922), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5161), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229658] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9857), 1,
      anon_sym_SEMI,
    ACTIONS(9859), 1,
      anon_sym_LBRACE,
    ACTIONS(9861), 1,
      anon_sym_try,
    STATE(542), 1,
      sym_try_statement,
    STATE(684), 1,
      sym_compound_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7222), 1,
      sym_gnu_asm_expression,
    STATE(7223), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [229719] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2363), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229778] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2636), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229837] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4474), 1,
      sym__class_declaration_item,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229896] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2363), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5165), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230043] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5501), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230198] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9863), 1,
      anon_sym_SEMI,
    ACTIONS(9865), 1,
      anon_sym_LBRACE,
    STATE(1919), 1,
      sym_compound_statement,
    STATE(1920), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7432), 1,
      sym_gnu_asm_expression,
    STATE(7433), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [230259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(9869), 1,
      anon_sym_RPAREN,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    STATE(7159), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [230314] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5583), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2363), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230432] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4607), 1,
      sym__class_declaration_item,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230491] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9374), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9363), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230587] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4912), 1,
      sym__class_declaration_item,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230646] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1829), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5169), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2391), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230793] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4474), 1,
      sym__class_declaration_item,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5173), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230881] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4607), 1,
      sym__class_declaration_item,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5638), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5602), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230999] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9895), 1,
      anon_sym_SEMI,
    ACTIONS(9897), 1,
      anon_sym_LBRACE,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(376), 1,
      sym_compound_statement,
    STATE(377), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7226), 1,
      sym_gnu_asm_expression,
    STATE(7227), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [231060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5181), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8946), 1,
      anon_sym_requires,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8930), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231126] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3172), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5185), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231214] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1801), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231273] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231332] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9901), 1,
      anon_sym_SEMI,
    ACTIONS(9903), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(607), 1,
      sym_compound_statement,
    STATE(608), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7346), 1,
      sym_gnu_asm_expression,
    STATE(7347), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [231393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4598), 1,
      sym__class_declaration_item,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
    STATE(7187), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [231507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3590), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5584), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231566] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3437), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    ACTIONS(9909), 1,
      anon_sym_SEMI,
    STATE(5340), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    STATE(8615), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [231678] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9913), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5580), 1,
      sym__scope_resolution,
    STATE(6846), 1,
      sym_operator_cast,
    STATE(7031), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [231741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2391), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4570), 1,
      sym__class_declaration_item,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231859] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2391), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3576), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231977] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232036] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3579), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(3472), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym_virtual_specifier,
    STATE(7736), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5189), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4108), 1,
      sym__class_declaration_item,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6993), 1,
      sym_virtual_specifier,
    STATE(7635), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232242] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3192), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    ACTIONS(9915), 1,
      anon_sym_SEMI,
    STATE(5353), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    STATE(8572), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [232354] = 5,
    ACTIONS(9675), 1,
      anon_sym_LF,
    ACTIONS(9917), 1,
      anon_sym_LPAREN2,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(5760), 1,
      sym_preproc_argument_list,
    ACTIONS(9679), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [232387] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1829), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9921), 1,
      anon_sym_requires,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9667), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232483] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1794), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5593), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(9924), 1,
      anon_sym_RPAREN,
    STATE(7288), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [232597] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1829), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232656] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3928), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9926), 1,
      anon_sym_requires,
    ACTIONS(9687), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9673), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9671), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232752] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232811] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2363), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5153), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232958] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5533), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9929), 1,
      anon_sym_SEMI,
    ACTIONS(9931), 1,
      anon_sym_LBRACE,
    STATE(1886), 1,
      sym_compound_statement,
    STATE(1887), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7306), 1,
      sym_gnu_asm_expression,
    STATE(7307), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [233078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233137] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9933), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5833), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5835), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2636), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233345] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    ACTIONS(9935), 1,
      anon_sym_SEMI,
    STATE(5346), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(7999), 1,
      sym_attribute_specifier,
    STATE(8011), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [233398] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5499), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 1,
      anon_sym_LPAREN2,
    ACTIONS(9941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9937), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233488] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3019), 1,
      sym__class_declaration_item,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233547] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3030), 1,
      sym__class_declaration_item,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233606] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6878), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233665] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1794), 1,
      sym__class_declaration_item,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6890), 1,
      sym_virtual_specifier,
    STATE(7665), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4213), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5597), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5157), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233753] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(1916), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9943), 1,
      anon_sym_SEMI,
    ACTIONS(9945), 1,
      anon_sym_try,
    STATE(699), 1,
      sym_compound_statement,
    STATE(712), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7175), 1,
      sym_gnu_asm_expression,
    STATE(7178), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [233814] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2396), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233873] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2202), 1,
      sym__class_declaration_item,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(7025), 1,
      sym_virtual_specifier,
    STATE(7743), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4932), 1,
      sym__class_declaration_item,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233991] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9495), 1,
      anon_sym_requires,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9933), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9947), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5849), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5625), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9951), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9949), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234094] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3048), 1,
      sym__class_declaration_item,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234153] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2596), 1,
      sym_field_declaration_list,
    STATE(2658), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_virtual_specifier,
    STATE(7472), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2234), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3054), 1,
      sym__class_declaration_item,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(1801), 1,
      sym__class_declaration_item,
    STATE(2292), 1,
      sym_field_declaration_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(6879), 1,
      sym_virtual_specifier,
    STATE(7584), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8930), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234426] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration_item,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_virtual_specifier,
    STATE(7758), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2413), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5562), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_field_declaration_list,
    STATE(3010), 1,
      sym__class_declaration_item,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(6930), 1,
      sym_virtual_specifier,
    STATE(7552), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234544] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4833), 1,
      sym_field_declaration_list,
    STATE(4942), 1,
      sym__class_declaration_item,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(6837), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5193), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration_item,
    STATE(3554), 1,
      sym_field_declaration_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6967), 1,
      sym_virtual_specifier,
    STATE(7716), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5142), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234720] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7604), 1,
      sym_base_class_clause,
    ACTIONS(5669), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234779] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [234827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9958), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9970), 1,
      anon_sym_RBRACK,
    ACTIONS(9972), 1,
      sym_this,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234907] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_STAR,
    ACTIONS(8129), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_AMP,
    ACTIONS(8221), 1,
      anon_sym___attribute,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6394), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [234953] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9976), 1,
      sym_identifier,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(9980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9982), 1,
      anon_sym_template,
    ACTIONS(9984), 1,
      anon_sym_operator,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2421), 1,
      sym_qualified_identifier,
    STATE(2422), 1,
      sym_operator_name,
    STATE(2526), 1,
      sym_pointer_type_declarator,
    STATE(5644), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [235069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(9986), 1,
      sym_identifier,
    ACTIONS(9988), 1,
      anon_sym_TILDE,
    ACTIONS(9990), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9992), 1,
      anon_sym_template,
    ACTIONS(9994), 1,
      anon_sym_operator,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(3303), 1,
      sym_pointer_type_declarator,
    STATE(3305), 1,
      sym_template_function,
    STATE(3306), 1,
      sym_destructor_name,
    STATE(3312), 1,
      sym_dependent_identifier,
    STATE(3317), 1,
      sym_qualified_identifier,
    STATE(3322), 1,
      sym_operator_name,
    STATE(5645), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [235133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(9996), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235185] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8109), 1,
      anon_sym_STAR,
    ACTIONS(8111), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8113), 1,
      anon_sym_AMP,
    ACTIONS(8221), 1,
      anon_sym___attribute,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6420), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235231] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(9998), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10000), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(10004), 1,
      sym_identifier,
    ACTIONS(10006), 1,
      anon_sym_TILDE,
    ACTIONS(10008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10010), 1,
      anon_sym_template,
    ACTIONS(10012), 1,
      anon_sym_operator,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(3518), 1,
      sym_pointer_type_declarator,
    STATE(3520), 1,
      sym_template_function,
    STATE(3522), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_qualified_identifier,
    STATE(3531), 1,
      sym_operator_name,
    STATE(3620), 1,
      sym_destructor_name,
    STATE(5650), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [235375] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10018), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(9984), 1,
      anon_sym_operator,
    ACTIONS(10022), 1,
      sym_identifier,
    ACTIONS(10024), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10026), 1,
      anon_sym_template,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2421), 1,
      sym_qualified_identifier,
    STATE(2422), 1,
      sym_operator_name,
    STATE(2526), 1,
      sym_pointer_type_declarator,
    STATE(5655), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [235629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235681] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9616), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9614), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(9984), 1,
      anon_sym_operator,
    ACTIONS(10032), 1,
      sym_identifier,
    ACTIONS(10034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10036), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2421), 1,
      sym_qualified_identifier,
    STATE(2422), 1,
      sym_operator_name,
    STATE(2526), 1,
      sym_pointer_type_declarator,
    STATE(5659), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [235829] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10042), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10040), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235909] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10044), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6963), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10046), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [236017] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(10050), 1,
      sym_identifier,
    ACTIONS(10052), 1,
      anon_sym_TILDE,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10056), 1,
      anon_sym_template,
    ACTIONS(10058), 1,
      anon_sym_operator,
    STATE(2510), 1,
      sym_dependent_type_identifier,
    STATE(2527), 1,
      sym_template_type,
    STATE(2529), 1,
      sym_qualified_type_identifier,
    STATE(3622), 1,
      sym_template_function,
    STATE(3623), 1,
      sym_destructor_name,
    STATE(3624), 1,
      sym_dependent_identifier,
    STATE(3626), 1,
      sym_qualified_identifier,
    STATE(3627), 1,
      sym_operator_name,
    STATE(3765), 1,
      sym_pointer_type_declarator,
    STATE(5665), 1,
      sym__scope_resolution,
    STATE(8063), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [236081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10060), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10062), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9695), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9693), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(10006), 1,
      anon_sym_TILDE,
    ACTIONS(10012), 1,
      anon_sym_operator,
    ACTIONS(10064), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10068), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(3518), 1,
      sym_pointer_type_declarator,
    STATE(3520), 1,
      sym_template_function,
    STATE(3522), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_qualified_identifier,
    STATE(3531), 1,
      sym_operator_name,
    STATE(3620), 1,
      sym_destructor_name,
    STATE(5669), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [236281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_STAR,
    ACTIONS(10052), 1,
      anon_sym_TILDE,
    ACTIONS(10058), 1,
      anon_sym_operator,
    ACTIONS(10070), 1,
      sym_identifier,
    ACTIONS(10072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10074), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(3622), 1,
      sym_template_function,
    STATE(3623), 1,
      sym_destructor_name,
    STATE(3624), 1,
      sym_dependent_identifier,
    STATE(3626), 1,
      sym_qualified_identifier,
    STATE(3627), 1,
      sym_operator_name,
    STATE(3765), 1,
      sym_pointer_type_declarator,
    STATE(5670), 1,
      sym__scope_resolution,
    STATE(8063), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [236345] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(9984), 1,
      anon_sym_operator,
    ACTIONS(10076), 1,
      sym_identifier,
    ACTIONS(10078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10080), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2421), 1,
      sym_qualified_identifier,
    STATE(2422), 1,
      sym_operator_name,
    STATE(2526), 1,
      sym_pointer_type_declarator,
    STATE(5671), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [236409] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(10082), 1,
      sym_identifier,
    ACTIONS(10084), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5672), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [236473] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_STAR,
    ACTIONS(9761), 1,
      anon_sym_TILDE,
    ACTIONS(10086), 1,
      sym_identifier,
    ACTIONS(10088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10090), 1,
      anon_sym_template,
    ACTIONS(10092), 1,
      anon_sym_operator,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5673), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
    STATE(8554), 1,
      sym_ms_based_modifier,
  [236537] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10094), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236589] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10096), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [236639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6435), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [236683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10098), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    STATE(5558), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8941), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10100), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9374), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    STATE(5538), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(6945), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9669), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8941), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9374), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(7037), 1,
      anon_sym_requires,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9669), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10018), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9956), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [237149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    ACTIONS(9374), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237189] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(9495), 1,
      anon_sym_requires,
    STATE(5594), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(9921), 1,
      anon_sym_requires,
    STATE(5599), 1,
      sym_trailing_return_type,
    ACTIONS(9669), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    ACTIONS(8941), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    ACTIONS(9374), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5414), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7000), 1,
      anon_sym_DASH_GT,
    ACTIONS(9704), 1,
      anon_sym_requires,
    STATE(5403), 1,
      sym_trailing_return_type,
    ACTIONS(9669), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10018), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9956), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [237469] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4368), 1,
      anon_sym_RBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237521] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4368), 1,
      anon_sym_RBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10102), 1,
      sym_identifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10106), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10104), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10110), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10108), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(5558), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8941), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9374), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237709] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(5538), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9669), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    ACTIONS(8941), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    ACTIONS(9374), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9495), 1,
      anon_sym_requires,
    STATE(5594), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DASH_GT,
    ACTIONS(9921), 1,
      anon_sym_requires,
    STATE(5599), 1,
      sym_trailing_return_type,
    ACTIONS(9669), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10112), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9623), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9621), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7049), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238037] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(10116), 1,
      sym_identifier,
    ACTIONS(10118), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5711), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [238101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10120), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6159), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6161), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10123), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238237] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(9988), 1,
      anon_sym_TILDE,
    ACTIONS(9994), 1,
      anon_sym_operator,
    ACTIONS(10127), 1,
      sym_identifier,
    ACTIONS(10129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10131), 1,
      anon_sym_template,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(3303), 1,
      sym_pointer_type_declarator,
    STATE(3305), 1,
      sym_template_function,
    STATE(3306), 1,
      sym_destructor_name,
    STATE(3312), 1,
      sym_dependent_identifier,
    STATE(3317), 1,
      sym_qualified_identifier,
    STATE(3322), 1,
      sym_operator_name,
    STATE(5715), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [238301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238353] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8147), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8151), 1,
      anon_sym_AMP,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6455), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10135), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238449] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10137), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238501] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10139), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238553] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7973), 1,
      anon_sym_STAR,
    ACTIONS(10006), 1,
      anon_sym_TILDE,
    ACTIONS(10012), 1,
      anon_sym_operator,
    ACTIONS(10141), 1,
      sym_identifier,
    ACTIONS(10143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10145), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(3518), 1,
      sym_pointer_type_declarator,
    STATE(3520), 1,
      sym_template_function,
    STATE(3522), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_qualified_identifier,
    STATE(3531), 1,
      sym_operator_name,
    STATE(3620), 1,
      sym_destructor_name,
    STATE(5721), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_ms_based_modifier,
    STATE(8077), 1,
      sym_decltype,
  [238617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10018), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [238653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10147), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238705] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_AMP,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      sym_this,
    ACTIONS(10153), 1,
      anon_sym_RBRACK,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7608), 1,
      sym_lambda_default_capture,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7370), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10157), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10155), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10018), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10018), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238949] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [238995] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [239041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [239085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    ACTIONS(8941), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239125] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10159), 1,
      sym_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4122), 1,
      sym_primitive_type,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(4495), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239170] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10018), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239197] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10179), 1,
      sym_identifier,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2089), 1,
      sym_primitive_type,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(1827), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239287] = 11,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10018), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239330] = 10,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10018), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239371] = 9,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10018), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239410] = 8,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10018), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [239447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10183), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10181), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239474] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10104), 1,
      anon_sym_LF,
    ACTIONS(10106), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239501] = 7,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10018), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [239536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(8057), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4912), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [239569] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10185), 1,
      anon_sym_LF,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10189), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239641] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10193), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239686] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_identifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2935), 1,
      sym_primitive_type,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(2373), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10197), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10203), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10201), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239785] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6458), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239828] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      sym_identifier,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2599), 1,
      sym_primitive_type,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(2373), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239873] = 6,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10018), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239906] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10207), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239951] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10018), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239982] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(10209), 1,
      sym_identifier,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10213), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240039] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10215), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240084] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240129] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10040), 1,
      anon_sym_LF,
    ACTIONS(10042), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240156] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(10219), 1,
      sym_identifier,
    ACTIONS(10221), 1,
      anon_sym_template,
    STATE(5761), 1,
      sym__scope_resolution,
    STATE(5975), 1,
      sym_operator_name,
    STATE(6030), 1,
      sym_pointer_type_declarator,
    STATE(6033), 1,
      sym_template_function,
    STATE(6034), 1,
      sym_destructor_name,
    STATE(6035), 1,
      sym_dependent_identifier,
    STATE(6036), 1,
      sym_qualified_identifier,
    STATE(8490), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240213] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(10223), 1,
      anon_sym_RPAREN,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240289] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10225), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240334] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10227), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240379] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10229), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10231), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8930), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240478] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10108), 1,
      anon_sym_LF,
    ACTIONS(10110), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10237), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10235), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10241), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10239), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10243), 1,
      sym_identifier,
    STATE(1544), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(2266), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10247), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10245), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240631] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10249), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240676] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(7013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(10251), 1,
      sym_identifier,
    ACTIONS(10253), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10257), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10255), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240760] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10259), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240805] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10261), 1,
      sym_identifier,
    STATE(1966), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2228), 1,
      sym_primitive_type,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(2627), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10263), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_primitive_type,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(2627), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2599), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240895] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10265), 1,
      sym_identifier,
    STATE(1567), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2670), 1,
      sym_primitive_type,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(2955), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(4831), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4838), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10267), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_identifier,
    STATE(1748), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3608), 1,
      sym_primitive_type,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(4020), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5412), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241045] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8001), 1,
      anon_sym_STAR,
    ACTIONS(10219), 1,
      sym_identifier,
    ACTIONS(10221), 1,
      anon_sym_template,
    STATE(5784), 1,
      sym__scope_resolution,
    STATE(5975), 1,
      sym_operator_name,
    STATE(6030), 1,
      sym_pointer_type_declarator,
    STATE(6033), 1,
      sym_template_function,
    STATE(6034), 1,
      sym_destructor_name,
    STATE(6035), 1,
      sym_dependent_identifier,
    STATE(6036), 1,
      sym_qualified_identifier,
    STATE(7858), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241102] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10000), 1,
      anon_sym_LF,
    ACTIONS(10002), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241129] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8029), 1,
      anon_sym_STAR,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9913), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241186] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9913), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5787), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241243] = 3,
    ACTIONS(6963), 1,
      anon_sym_LF,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(6961), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241270] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10273), 1,
      sym_identifier,
    STATE(4393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4905), 1,
      sym_primitive_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(1827), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241315] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10275), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(10279), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2778), 1,
      sym_template_function,
    STATE(2779), 1,
      sym_destructor_name,
    STATE(2780), 1,
      sym_dependent_identifier,
    STATE(2791), 1,
      sym_qualified_identifier,
    STATE(2794), 1,
      sym_operator_name,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_ms_based_modifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241417] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_LF,
    ACTIONS(9960), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10281), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6346), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6348), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9671), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(4840), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4833), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241533] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      sym_identifier,
    STATE(2121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2599), 1,
      sym_primitive_type,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(2373), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241578] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    ACTIONS(10285), 1,
      anon_sym_COLON,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7092), 1,
      sym_gnu_asm_expression,
    STATE(7093), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [241633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6469), 1,
      sym__abstract_declarator,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8219), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10289), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10287), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241703] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10155), 1,
      anon_sym_LF,
    ACTIONS(10157), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241730] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10291), 1,
      sym_identifier,
    STATE(1542), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_primitive_type,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(2266), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4942), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10293), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10299), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10297), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9667), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10301), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10307), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10305), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9363), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241937] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10159), 1,
      sym_identifier,
    STATE(3588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4122), 1,
      sym_primitive_type,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(4495), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241982] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10309), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(5689), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4133), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10311), 1,
      sym_identifier,
    STATE(3831), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4324), 1,
      sym_primitive_type,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(4922), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7437), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242105] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10046), 1,
      anon_sym_LF,
    ACTIONS(10048), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242132] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10313), 1,
      sym_identifier,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2592), 1,
      sym_primitive_type,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2847), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242177] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10112), 1,
      anon_sym_LF,
    ACTIONS(10114), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10317), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10315), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242231] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_identifier,
    STATE(2935), 1,
      sym_primitive_type,
    STATE(4858), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(2373), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9879), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9881), 1,
      anon_sym_PIPE,
    ACTIONS(9883), 1,
      anon_sym_CARET,
    ACTIONS(9885), 1,
      anon_sym_AMP,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    ACTIONS(9871), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9887), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9889), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9893), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242325] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_identifier,
    STATE(2407), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2935), 1,
      sym_primitive_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(2373), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242370] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10321), 1,
      sym_identifier,
    STATE(1594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2722), 1,
      sym_primitive_type,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(3158), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5050), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242415] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10018), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242444] = 3,
    ACTIONS(7049), 1,
      anon_sym_LF,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242471] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10323), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242516] = 12,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    ACTIONS(10169), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_AMP,
    ACTIONS(10187), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10325), 1,
      anon_sym_LF,
    ACTIONS(10161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10163), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10327), 1,
      sym_identifier,
    STATE(2089), 1,
      sym_primitive_type,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(1827), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9519), 1,
      anon_sym_requires,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    ACTIONS(6026), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6028), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [242676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6383), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7392), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242724] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9857), 1,
      anon_sym_SEMI,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7222), 1,
      sym_gnu_asm_expression,
    STATE(7223), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [242776] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9901), 1,
      anon_sym_SEMI,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7346), 1,
      sym_gnu_asm_expression,
    STATE(7347), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [242862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9324), 1,
      anon_sym_requires,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3821), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9951), 1,
      anon_sym___attribute,
    ACTIONS(10335), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5833), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9949), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(6335), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6337), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [242982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6456), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    ACTIONS(6054), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8941), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9374), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9669), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243230] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    ACTIONS(8941), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    ACTIONS(9374), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5414), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_DASH_GT,
    ACTIONS(9704), 1,
      anon_sym_requires,
    STATE(5403), 1,
      sym_trailing_return_type,
    ACTIONS(9669), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3825), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [243442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    ACTIONS(5941), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5943), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym___attribute,
    ACTIONS(5193), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym___attribute,
    ACTIONS(10338), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10340), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5849), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9431), 1,
      anon_sym_requires,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym___attribute,
    ACTIONS(5142), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    ACTIONS(5986), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5988), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243630] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10342), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6390), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(5166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6984), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [243678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym___attribute,
    ACTIONS(5149), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym___attribute,
    ACTIONS(5149), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym___attribute,
    ACTIONS(5149), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10344), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6412), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(5827), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7200), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [243804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym___attribute,
    ACTIONS(5161), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym___attribute,
    ACTIONS(5165), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym___attribute,
    ACTIONS(5169), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym___attribute,
    ACTIONS(5173), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9895), 1,
      anon_sym_SEMI,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7226), 1,
      sym_gnu_asm_expression,
    STATE(7227), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [243960] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    ACTIONS(10346), 1,
      anon_sym_EQ,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7092), 1,
      sym_gnu_asm_expression,
    STATE(7093), 1,
      aux_sym_declaration_repeat1,
    STATE(7257), 1,
      sym_initializer_list,
    STATE(7625), 1,
      sym_argument_list,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244014] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(9943), 1,
      anon_sym_SEMI,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7175), 1,
      sym_gnu_asm_expression,
    STATE(7178), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [244066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6348), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym___attribute,
    ACTIONS(5153), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym___attribute,
    ACTIONS(5177), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym___attribute,
    ACTIONS(5157), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym___attribute,
    ACTIONS(1918), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym___attribute,
    ACTIONS(5185), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym___attribute,
    ACTIONS(5189), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244248] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_LPAREN2,
    ACTIONS(7764), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_STAR,
    ACTIONS(8235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5751), 1,
      sym__function_declarator_seq,
    STATE(6524), 1,
      sym__abstract_declarator,
    ACTIONS(8219), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5750), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244290] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7092), 1,
      sym_gnu_asm_expression,
    STATE(7093), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [244342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10348), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6413), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(5854), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6978), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym___attribute,
    ACTIONS(5181), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9851), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5833), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9849), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 1,
      anon_sym___attribute,
    ACTIONS(1922), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10353), 1,
      anon_sym_requires,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(10359), 1,
      anon_sym_requires,
    ACTIONS(10356), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym___attribute,
    ACTIONS(10340), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    ACTIONS(5963), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5965), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10362), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6159), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6161), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244702] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(6612), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [244745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5558), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(5279), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5920), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10367), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10369), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [244813] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4253), 1,
      sym_compound_statement,
    STATE(5913), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7030), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244862] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5852), 1,
      sym_compound_statement,
    STATE(5911), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7001), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5538), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4885), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4878), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244975] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_STAR,
    ACTIONS(8272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6616), 1,
      sym__abstract_declarator,
    ACTIONS(8219), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(5948), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245059] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10377), 1,
      anon_sym_AMP,
    ACTIONS(10379), 1,
      sym_this,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7614), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [245102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_requires,
    STATE(5594), 1,
      sym_trailing_return_type,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245139] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    ACTIONS(10383), 1,
      anon_sym_requires,
    STATE(2439), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6079), 1,
      sym_requires_clause,
    STATE(6827), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245188] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5637), 1,
      sym_compound_statement,
    STATE(5903), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6921), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5877), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10389), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10387), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      sym_identifier,
    ACTIONS(5417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5901), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10394), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10397), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9921), 1,
      anon_sym_requires,
    STATE(5599), 1,
      sym_trailing_return_type,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245359] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5564), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6077), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7034), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245408] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3358), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6080), 1,
      sym_requires_clause,
    STATE(6970), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245457] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3879), 1,
      sym_compound_statement,
    STATE(5918), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6910), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245506] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9825), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(7748), 1,
      sym_gnu_asm_expression,
    ACTIONS(9835), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10404), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7625), 2,
      sym_argument_list,
      sym_initializer_list,
  [245553] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    STATE(1595), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5932), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6852), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245602] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3537), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6047), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7014), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245651] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5939), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7012), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245700] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3470), 1,
      sym_compound_statement,
    STATE(5908), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6972), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245749] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    ACTIONS(10383), 1,
      anon_sym_requires,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5862), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6046), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7032), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245798] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 1,
      anon_sym_STAR,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10377), 1,
      anon_sym_AMP,
    ACTIONS(10410), 1,
      sym_this,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7245), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [245841] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    ACTIONS(10383), 1,
      anon_sym_requires,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6075), 1,
      sym_requires_clause,
    STATE(6909), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    ACTIONS(10414), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7004), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(2525), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5897), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7002), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245972] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3339), 1,
      sym_compound_statement,
    STATE(5904), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7000), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3691), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6058), 1,
      sym_requires_clause,
    STATE(6870), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246070] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3925), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6069), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7005), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10420), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(10425), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10423), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5919), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10418), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [246150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10428), 1,
      sym_identifier,
    ACTIONS(5299), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5901), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10367), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10369), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    STATE(5882), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    STATE(5842), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(5880), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    STATE(5829), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246366] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9519), 1,
      anon_sym_requires,
    STATE(5879), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246440] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10353), 1,
      anon_sym_requires,
    STATE(5881), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6148), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6150), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_requires,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246580] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    STATE(1605), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6102), 1,
      sym_requires_clause,
    STATE(6877), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LT,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3761), 1,
      sym_compound_statement,
    STATE(5917), 1,
      sym_template_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6838), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246678] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_identifier,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(6558), 1,
      sym__field_declarator,
    STATE(6703), 1,
      sym_operator_name,
    STATE(7914), 1,
      sym_ms_based_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_requires,
    STATE(5522), 1,
      sym_trailing_return_type,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6562), 1,
      sym__abstract_declarator,
    ACTIONS(8219), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246799] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8239), 1,
      sym_identifier,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(8243), 1,
      anon_sym_STAR,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8247), 1,
      anon_sym_AMP,
    STATE(6041), 1,
      sym__field_declarator,
    STATE(6269), 1,
      sym_operator_name,
    STATE(8011), 1,
      sym_ms_based_modifier,
    STATE(6330), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_requires,
    STATE(5623), 1,
      sym_trailing_return_type,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_requires,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6115), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7013), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___attribute,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(9667), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9434), 1,
      anon_sym_requires,
    STATE(6202), 1,
      sym_trailing_return_type,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247180] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(9594), 1,
      anon_sym_COLON,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10456), 1,
      anon_sym_EQ,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym_bitfield_clause,
    STATE(7035), 1,
      sym_initializer_list,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10452), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [247226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6413), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___asm,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247410] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247474] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10006), 1,
      anon_sym_TILDE,
    ACTIONS(10470), 1,
      sym_identifier,
    ACTIONS(10472), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      anon_sym_template,
    STATE(6232), 1,
      sym__scope_resolution,
    STATE(7598), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3530), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [247516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___asm,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6105), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9329), 1,
      anon_sym_requires,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10203), 1,
      anon_sym___attribute,
    ACTIONS(10201), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6142), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(9671), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247836] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8367), 1,
      anon_sym_STAR,
    ACTIONS(8369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8371), 1,
      anon_sym_AMP,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6673), 1,
      sym__abstract_declarator,
    ACTIONS(8219), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10307), 1,
      anon_sym___attribute,
    ACTIONS(10305), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6672), 1,
      sym__abstract_declarator,
    ACTIONS(8219), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10479), 1,
      anon_sym_requires,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10484), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10482), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10317), 1,
      anon_sym___attribute,
    ACTIONS(10315), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym___attribute,
    ACTIONS(10486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10488), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5849), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10492), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10490), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 1,
      anon_sym___attribute,
    ACTIONS(10197), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6140), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10494), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10498), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_requires,
    STATE(6200), 1,
      sym_trailing_return_type,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6146), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6083), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248288] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6203), 1,
      sym_trailing_return_type,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10502), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9479), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6087), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym___attribute,
    ACTIONS(10488), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6091), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6172), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10506), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 1,
      anon_sym___attribute,
    ACTIONS(10301), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6176), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 1,
      anon_sym___attribute,
    ACTIONS(10293), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4912), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6095), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6180), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(8930), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(10510), 1,
      anon_sym_requires,
    ACTIONS(10356), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9421), 1,
      anon_sym_requires,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10515), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10513), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10519), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10517), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9363), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10183), 1,
      anon_sym___attribute,
    ACTIONS(10181), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248886] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9516), 1,
      anon_sym_requires,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10521), 1,
      anon_sym_requires,
    STATE(6205), 1,
      sym_trailing_return_type,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___asm,
    STATE(2866), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 1,
      anon_sym___attribute,
    ACTIONS(10189), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10237), 1,
      anon_sym___attribute,
    ACTIONS(10235), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10524), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6142), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DASH_GT,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6144), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10289), 1,
      anon_sym___attribute,
    ACTIONS(10287), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    STATE(2799), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym___attribute,
    ACTIONS(10231), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10241), 1,
      anon_sym___attribute,
    ACTIONS(10239), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6192), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10247), 1,
      anon_sym___attribute,
    ACTIONS(10245), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10299), 1,
      anon_sym___attribute,
    ACTIONS(10297), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10257), 1,
      anon_sym___attribute,
    ACTIONS(10255), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym___attribute,
    ACTIONS(10267), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4833), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9431), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [249735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    STATE(5942), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [249770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5888), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10367), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10369), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    STATE(5994), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [249832] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 1,
      anon_sym___attribute,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10528), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [249867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10532), 1,
      anon_sym_requires,
    STATE(6160), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(5956), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [249937] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    STATE(5968), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [249972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7319), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5872), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7037), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250044] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3511), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6911), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7082), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250116] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(5968), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7380), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6157), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10537), 1,
      anon_sym___asm,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10535), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9516), 1,
      anon_sym_requires,
    STATE(5972), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250281] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(5942), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10541), 1,
      anon_sym___attribute,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10539), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7396), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9324), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250411] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3631), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6941), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(10353), 1,
      anon_sym_requires,
    STATE(5881), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10545), 1,
      anon_sym___attribute,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10543), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    ACTIONS(9519), 1,
      anon_sym_requires,
    STATE(5879), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(5994), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7062), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9516), 1,
      anon_sym_requires,
    STATE(5972), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10479), 1,
      anon_sym_requires,
    STATE(6002), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6158), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250792] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3851), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6966), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10549), 1,
      anon_sym___asm,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10547), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7431), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7219), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10553), 1,
      anon_sym___attribute,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10551), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7134), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4272), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6957), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7801), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251064] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5588), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6901), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7911), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251136] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(2466), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6880), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251179] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3280), 1,
      sym_compound_statement,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(7029), 1,
      sym_abstract_function_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251222] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10006), 1,
      anon_sym_TILDE,
    ACTIONS(10470), 1,
      sym_identifier,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      anon_sym_template,
    STATE(6232), 1,
      sym__scope_resolution,
    STATE(7598), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3530), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8035), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10549), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10547), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7410), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8079), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(10479), 1,
      anon_sym_requires,
    STATE(6002), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    STATE(6148), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251451] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10537), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10535), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    STATE(6149), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251521] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7235), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(6150), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251618] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    STATE(6151), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10052), 1,
      anon_sym_TILDE,
    ACTIONS(10555), 1,
      sym_identifier,
    ACTIONS(10557), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10559), 1,
      anon_sym_template,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3751), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10563), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10561), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10567), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10565), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(10569), 1,
      sym_identifier,
    ACTIONS(10571), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10573), 1,
      anon_sym_template,
    STATE(6289), 1,
      sym__scope_resolution,
    STATE(7575), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2443), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10567), 1,
      anon_sym___asm,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10565), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251869] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10577), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10579), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10581), 1,
      aux_sym_preproc_elif_token1,
    STATE(6449), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6451), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6632), 1,
      sym_enumerator,
    ACTIONS(10583), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7821), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [251908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7453), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6159), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251943] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(1609), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6882), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10563), 1,
      anon_sym___asm,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10561), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252021] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10587), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10585), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [252056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7965), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7215), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10579), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10581), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10589), 1,
      aux_sym_preproc_if_token2,
    STATE(6367), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6379), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6632), 1,
      sym_enumerator,
    ACTIONS(10583), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7947), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7951), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [252153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(5880), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(5882), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10593), 1,
      anon_sym___attribute,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10591), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(5956), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(5829), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252320] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10579), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10581), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10595), 1,
      aux_sym_preproc_if_token2,
    STATE(6352), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6357), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6632), 1,
      sym_enumerator,
    ACTIONS(10583), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7972), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7974), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [252359] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10579), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10581), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10597), 1,
      aux_sym_preproc_if_token2,
    STATE(6395), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6414), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6632), 1,
      sym_enumerator,
    ACTIONS(10583), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8249), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8328), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [252398] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1609), 1,
      sym_compound_statement,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6843), 1,
      sym_abstract_function_declarator,
    STATE(6992), 1,
      sym__abstract_declarator,
    STATE(5978), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8475), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7270), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7299), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_requires,
    ACTIONS(7244), 1,
      anon_sym_DASH_GT,
    STATE(5842), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10587), 1,
      anon_sym___asm,
    STATE(2875), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10585), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252596] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9978), 1,
      anon_sym_TILDE,
    ACTIONS(10569), 1,
      sym_identifier,
    ACTIONS(10599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10601), 1,
      anon_sym_template,
    STATE(6248), 1,
      sym__scope_resolution,
    STATE(7601), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2443), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [252635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7263), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7295), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      sym_identifier,
    STATE(6039), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7984), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252722] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym_SEMI,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_EQ,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10611), 1,
      anon_sym_try,
    STATE(1774), 1,
      sym_compound_statement,
    STATE(7510), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1775), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [252760] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4385), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(10613), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4212), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(6026), 1,
      anon_sym___attribute,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6028), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [252832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2844), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(10615), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2684), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3553), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(10617), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6447), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4831), 1,
      sym_enumerator_list,
    STATE(6529), 1,
      sym__scope_resolution,
    ACTIONS(10619), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4414), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252952] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3967), 1,
      sym_enumerator_list,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(10621), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3733), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4385), 1,
      sym_enumerator_list,
    STATE(6509), 1,
      sym__scope_resolution,
    ACTIONS(10623), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4961), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253032] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2888), 1,
      sym_enumerator_list,
    STATE(6531), 1,
      sym__scope_resolution,
    ACTIONS(10625), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_EQ,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10611), 1,
      anon_sym_try,
    ACTIONS(10627), 1,
      anon_sym_SEMI,
    STATE(1724), 1,
      sym_compound_statement,
    STATE(7459), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1725), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253110] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_STAR,
    ACTIONS(8477), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8479), 1,
      anon_sym_AMP,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6763), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10629), 1,
      anon_sym_SEMI,
    ACTIONS(10631), 1,
      anon_sym_EQ,
    ACTIONS(10633), 1,
      anon_sym_try,
    STATE(638), 1,
      sym_compound_statement,
    STATE(7499), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(639), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(5986), 1,
      anon_sym___attribute,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5988), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5941), 1,
      anon_sym___attribute,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5943), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253310] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10631), 1,
      anon_sym_EQ,
    ACTIONS(10633), 1,
      anon_sym_try,
    ACTIONS(10635), 1,
      anon_sym_SEMI,
    STATE(669), 1,
      sym_compound_statement,
    STATE(7560), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(672), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253378] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10637), 1,
      anon_sym_SEMI,
    ACTIONS(10639), 1,
      anon_sym_EQ,
    ACTIONS(10641), 1,
      anon_sym_try,
    STATE(578), 1,
      sym_compound_statement,
    STATE(7540), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(579), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10643), 1,
      anon_sym_SEMI,
    ACTIONS(10645), 1,
      anon_sym_EQ,
    ACTIONS(10647), 1,
      anon_sym_try,
    STATE(735), 1,
      sym_compound_statement,
    STATE(7660), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(736), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    STATE(6148), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    STATE(6149), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    STATE(6150), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(7319), 1,
      anon_sym_requires,
    STATE(6151), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym___attribute,
    ACTIONS(9355), 1,
      anon_sym_requires,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym___attribute,
    ACTIONS(9465), 1,
      anon_sym_requires,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253852] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym___attribute,
    ACTIONS(10532), 1,
      anon_sym_requires,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym___attribute,
    ACTIONS(10649), 1,
      anon_sym_requires,
    ACTIONS(10356), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6007), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253942] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [253972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9355), 1,
      anon_sym_requires,
    STATE(6157), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9465), 1,
      anon_sym_requires,
    STATE(6158), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6159), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_DASH_GT,
    ACTIONS(10532), 1,
      anon_sym_requires,
    STATE(6160), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___attribute,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10639), 1,
      anon_sym_EQ,
    ACTIONS(10641), 1,
      anon_sym_try,
    ACTIONS(10652), 1,
      anon_sym_SEMI,
    STATE(611), 1,
      sym_compound_statement,
    STATE(7662), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(612), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    STATE(2947), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254348] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2167), 1,
      sym_enumerator_list,
    STATE(6506), 1,
      sym__scope_resolution,
    ACTIONS(10654), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2472), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym___asm,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(10656), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254444] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3073), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(10658), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2812), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254484] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3553), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    ACTIONS(10660), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym___attribute,
    ACTIONS(10662), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 1,
      anon_sym___asm,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5943), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10664), 1,
      anon_sym_SEMI,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(10668), 1,
      anon_sym_EQ,
    ACTIONS(10670), 1,
      anon_sym_try,
    STATE(1910), 1,
      sym_compound_statement,
    STATE(7616), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1911), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5963), 1,
      anon_sym___asm,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5965), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(10668), 1,
      anon_sym_EQ,
    ACTIONS(10670), 1,
      anon_sym_try,
    ACTIONS(10672), 1,
      anon_sym_SEMI,
    STATE(1922), 1,
      sym_compound_statement,
    STATE(7646), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1923), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5986), 1,
      anon_sym___asm,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5988), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym___asm,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10329), 1,
      anon_sym_LBRACK,
    STATE(5961), 1,
      sym_parameter_list,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6028), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym___attribute,
    ACTIONS(10662), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10674), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10676), 1,
      anon_sym_SEMI,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    ACTIONS(10680), 1,
      anon_sym_EQ,
    ACTIONS(10682), 1,
      anon_sym_try,
    STATE(2065), 1,
      sym_compound_statement,
    STATE(7492), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2066), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254816] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(4956), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(10684), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4548), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(6054), 1,
      anon_sym___attribute,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [254888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2888), 1,
      sym_enumerator_list,
    STATE(6527), 1,
      sym__scope_resolution,
    ACTIONS(10686), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [254962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [254996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_requires,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9130), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255098] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_requires,
    STATE(5474), 1,
      sym_trailing_return_type,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255132] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5414), 1,
      sym_trailing_return_type,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255166] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9704), 1,
      anon_sym_requires,
    STATE(5403), 1,
      sym_trailing_return_type,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [255200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_requires,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255230] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9434), 1,
      anon_sym_requires,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255260] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3553), 1,
      sym_enumerator_list,
    STATE(6509), 1,
      sym__scope_resolution,
    ACTIONS(10688), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10521), 1,
      anon_sym_requires,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6478), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7248), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(10690), 1,
      anon_sym_requires,
    ACTIONS(9687), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    ACTIONS(10680), 1,
      anon_sym_EQ,
    ACTIONS(10682), 1,
      anon_sym_try,
    ACTIONS(10693), 1,
      anon_sym_SEMI,
    STATE(1953), 1,
      sym_compound_statement,
    STATE(7752), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1954), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_LBRACK,
    ACTIONS(10656), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10695), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6464), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7024), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10645), 1,
      anon_sym_EQ,
    ACTIONS(10647), 1,
      anon_sym_try,
    ACTIONS(10697), 1,
      anon_sym_SEMI,
    STATE(732), 1,
      sym_compound_statement,
    STATE(7595), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(733), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255568] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10701), 1,
      anon_sym_EQ,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10699), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6653), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2888), 1,
      sym_enumerator_list,
    STATE(6540), 1,
      sym__scope_resolution,
    ACTIONS(10703), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2938), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255648] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2595), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(10705), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4832), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255688] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6500), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(6984), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      sym_identifier,
    ACTIONS(5649), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255748] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10707), 1,
      anon_sym_SEMI,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(387), 1,
      sym_compound_statement,
    STATE(7726), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(388), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    ACTIONS(5653), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(2290), 1,
      sym_enumerator_list,
    STATE(6508), 1,
      sym__scope_resolution,
    ACTIONS(10713), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4799), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255848] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym___attribute,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5965), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [255880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    ACTIONS(10715), 1,
      anon_sym_SEMI,
    STATE(380), 1,
      sym_compound_statement,
    STATE(7641), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(381), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255918] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2595), 1,
      sym_enumerator_list,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(10717), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4045), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_enumerator_list,
    STATE(6549), 1,
      sym__scope_resolution,
    ACTIONS(10719), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2660), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255998] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(2290), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(10721), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3889), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 1,
      sym_identifier,
    ACTIONS(5657), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10723), 1,
      anon_sym_EQ,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10699), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6653), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [256100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      sym_identifier,
    ACTIONS(5673), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256122] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6497), 1,
      sym_access_specifier,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7392), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10333), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [256160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2167), 1,
      sym_enumerator_list,
    STATE(6506), 1,
      sym__scope_resolution,
    ACTIONS(10725), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      anon_sym_COLON_COLON,
    STATE(6270), 1,
      sym__scope_resolution,
    STATE(7379), 1,
      sym_field_initializer,
    STATE(7689), 1,
      sym_operator_name,
    STATE(6946), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10737), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7481), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7889), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256297] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10739), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7576), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8281), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256330] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      anon_sym_template,
    ACTIONS(10741), 1,
      sym_identifier,
    STATE(3482), 1,
      sym_template_method,
    STATE(3483), 1,
      sym_dependent_field_identifier,
    STATE(3484), 1,
      sym_qualified_field_identifier,
    STATE(6232), 1,
      sym__scope_resolution,
    STATE(7598), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10743), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7498), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8048), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6271), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256485] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10464), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7518), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7975), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256663] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256692] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2922), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6148), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6150), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10749), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7628), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8227), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6249), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256806] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10601), 1,
      anon_sym_template,
    ACTIONS(10751), 1,
      sym_identifier,
    STATE(2345), 1,
      sym_template_method,
    STATE(2347), 1,
      sym_dependent_field_identifier,
    STATE(2348), 1,
      sym_qualified_field_identifier,
    STATE(6248), 1,
      sym__scope_resolution,
    STATE(7601), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7649), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8277), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256878] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6821), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256913] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(380), 1,
      sym_compound_statement,
    STATE(7641), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(381), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    STATE(6402), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [256981] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    STATE(6404), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6405), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(6406), 1,
      sym_trailing_return_type,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257080] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4433), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10755), 1,
      sym_identifier,
    STATE(5791), 1,
      sym__scope_resolution,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(7755), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257115] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(4821), 1,
      anon_sym_STAR,
    ACTIONS(4823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4825), 1,
      anon_sym_AMP,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6781), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [257150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6387), 1,
      sym_trailing_return_type,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6389), 1,
      sym_trailing_return_type,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6391), 1,
      sym_trailing_return_type,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DASH_GT,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10757), 1,
      anon_sym_requires,
    STATE(6397), 1,
      sym_trailing_return_type,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10760), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7715), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8486), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6273), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_LT,
    STATE(6327), 1,
      sym_template_argument_list,
    ACTIONS(10766), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10762), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257394] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(387), 1,
      sym_compound_statement,
    STATE(7726), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(388), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6148), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6150), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [257454] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10639), 1,
      anon_sym_EQ,
    ACTIONS(10641), 1,
      anon_sym_try,
    STATE(611), 1,
      sym_compound_statement,
    STATE(7662), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(612), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_LT,
    STATE(6346), 1,
      sym_template_argument_list,
    ACTIONS(10770), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10768), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257514] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10729), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10772), 1,
      sym_identifier,
    ACTIONS(10774), 1,
      anon_sym_template,
    STATE(2345), 1,
      sym_template_method,
    STATE(2347), 1,
      sym_dependent_field_identifier,
    STATE(2348), 1,
      sym_qualified_field_identifier,
    STATE(6270), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257553] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10776), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7685), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8586), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10631), 1,
      anon_sym_EQ,
    ACTIONS(10633), 1,
      anon_sym_try,
    STATE(638), 1,
      sym_compound_statement,
    STATE(7499), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(639), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10778), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7453), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8524), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10780), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7653), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8525), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6301), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10549), 1,
      anon_sym___attribute,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10547), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10537), 1,
      anon_sym___attribute,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10535), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10782), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7634), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7928), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6285), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10784), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7603), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8530), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6286), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10645), 1,
      anon_sym_EQ,
    ACTIONS(10647), 1,
      anon_sym_try,
    STATE(735), 1,
      sym_compound_statement,
    STATE(7660), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(736), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10645), 1,
      anon_sym_EQ,
    ACTIONS(10647), 1,
      anon_sym_try,
    STATE(732), 1,
      sym_compound_statement,
    STATE(7595), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(733), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10631), 1,
      anon_sym_EQ,
    ACTIONS(10633), 1,
      anon_sym_try,
    STATE(669), 1,
      sym_compound_statement,
    STATE(7560), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(672), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10786), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7545), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8567), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6287), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10563), 1,
      anon_sym___attribute,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10561), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257990] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_STAR,
    ACTIONS(8296), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8298), 1,
      anon_sym_AMP,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5963), 1,
      sym__function_declarator_seq,
    STATE(6606), 1,
      sym__abstract_declarator,
    STATE(5978), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258025] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10788), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7551), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7788), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7466), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7863), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7506), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7806), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      anon_sym_COLON_COLON,
    STATE(6270), 1,
      sym__scope_resolution,
    STATE(7573), 1,
      sym_field_initializer,
    STATE(7689), 1,
      sym_operator_name,
    STATE(6946), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10571), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10573), 1,
      anon_sym_template,
    ACTIONS(10751), 1,
      sym_identifier,
    STATE(2345), 1,
      sym_template_method,
    STATE(2347), 1,
      sym_dependent_field_identifier,
    STATE(2348), 1,
      sym_qualified_field_identifier,
    STATE(6289), 1,
      sym__scope_resolution,
    STATE(7575), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10389), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10387), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [258225] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10557), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10559), 1,
      anon_sym_template,
    ACTIONS(10794), 1,
      sym_identifier,
    STATE(3685), 1,
      sym_template_method,
    STATE(3687), 1,
      sym_dependent_field_identifier,
    STATE(3688), 1,
      sym_qualified_field_identifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_operator_name,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10796), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7530), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8108), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6231), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10567), 1,
      anon_sym___attribute,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [258357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10587), 1,
      anon_sym___attribute,
    STATE(2976), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10585), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [258417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10800), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10798), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10802), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7476), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8299), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6300), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258475] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10639), 1,
      anon_sym_EQ,
    ACTIONS(10641), 1,
      anon_sym_try,
    STATE(578), 1,
      sym_compound_statement,
    STATE(7540), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(579), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [258510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10804), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7529), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8578), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10733), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
    ACTIONS(10735), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7745), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8537), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258602] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4423), 1,
      sym_enumerator_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(4963), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2699), 1,
      sym_template_type,
    STATE(2864), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(2700), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2179), 1,
      sym_enumerator_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(2304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258710] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3556), 1,
      sym_enumerator_list,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(3942), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258746] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(10479), 1,
      anon_sym_requires,
    STATE(6002), 1,
      sym_trailing_return_type,
    ACTIONS(10350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [258776] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2882), 1,
      sym_enumerator_list,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(2934), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258812] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6921), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2781), 1,
      sym_template_type,
    STATE(3072), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(2823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8463), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(4423), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(4248), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10808), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10814), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10812), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258924] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9472), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(4967), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(4560), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3556), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(4160), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259022] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2534), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(4838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10816), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9329), 1,
      anon_sym_requires,
    STATE(6003), 1,
      sym_trailing_return_type,
    ACTIONS(9321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10820), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259180] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8706), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_template_type,
    STATE(4837), 1,
      sym_enumerator_list,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(4422), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7663), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [259236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9470), 1,
      sym_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2179), 1,
      sym_enumerator_list,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(2436), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259272] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(2882), 1,
      sym_enumerator_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(3191), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10824), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6235), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6237), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259348] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(3556), 1,
      sym_enumerator_list,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(6448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(6008), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10770), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10768), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5888), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10367), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10369), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(5942), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6006), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(5994), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259542] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(5956), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259572] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(2253), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10828), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(3660), 1,
      sym_template_type,
    STATE(3966), 1,
      sym_enumerator_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(3625), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259742] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2452), 1,
      sym_template_type,
    STATE(2534), 1,
      sym_enumerator_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(4046), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    ACTIONS(9516), 1,
      anon_sym_requires,
    STATE(5972), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5941), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9468), 1,
      sym_identifier,
    STATE(2671), 1,
      sym_template_type,
    STATE(2763), 1,
      sym_enumerator_list,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(2631), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(7649), 1,
      anon_sym_DASH_GT,
    STATE(5968), 1,
      sym_trailing_return_type,
    ACTIONS(7101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5877), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6276), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5961), 1,
      anon_sym_LBRACE,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(1672), 1,
      sym_template_type,
    STATE(2253), 1,
      sym_enumerator_list,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(4815), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10832), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259950] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_template_type,
    STATE(2882), 1,
      sym_enumerator_list,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(4035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7841), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9945), 1,
      anon_sym_try,
    STATE(704), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10844), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8654), 1,
      sym_qualified_identifier,
    ACTIONS(10846), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_compound_statement,
    STATE(1948), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7955), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [260224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10464), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260303] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1710), 1,
      sym_compound_statement,
    STATE(1711), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_compound_statement,
    STATE(1715), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      sym_identifier,
    ACTIONS(10859), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10865), 1,
      sym_preproc_directive,
    ACTIONS(10868), 1,
      anon_sym_RBRACE,
    ACTIONS(10862), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8033), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6363), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [260402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8441), 1,
      sym_qualified_identifier,
    ACTIONS(10872), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(314), 1,
      sym_compound_statement,
    STATE(315), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    ACTIONS(8943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [260495] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10874), 1,
      aux_sym_preproc_if_token2,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8661), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(1899), 1,
      sym_compound_statement,
    STATE(1900), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(345), 1,
      sym_compound_statement,
    STATE(346), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10565), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [260625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(1889), 1,
      sym_compound_statement,
    STATE(1890), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9945), 1,
      anon_sym_try,
    STATE(693), 1,
      sym_compound_statement,
    STATE(695), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10876), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8017), 1,
      sym_qualified_identifier,
    ACTIONS(10878), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8295), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [260884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10882), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_qualified_identifier,
    ACTIONS(10884), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(318), 1,
      sym_compound_statement,
    STATE(319), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260975] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10886), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7248), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10535), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4433), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10755), 1,
      sym_identifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(7755), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    ACTIONS(9376), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10888), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8192), 1,
      sym_qualified_identifier,
    ACTIONS(10890), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    ACTIONS(9492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261178] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10892), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7024), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10757), 1,
      anon_sym_requires,
    ACTIONS(9701), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261238] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_compound_statement,
    STATE(1892), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10894), 1,
      aux_sym_preproc_if_token2,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8534), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10561), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(10896), 1,
      anon_sym_requires,
    ACTIONS(9687), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(8941), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5807), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8930), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261495] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6367), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7947), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5763), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10899), 1,
      anon_sym_COMMA,
    ACTIONS(10903), 1,
      anon_sym___attribute,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6779), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10901), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5804), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(5821), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5530), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5742), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10905), 1,
      aux_sym_preproc_if_token2,
    STATE(6395), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8249), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(10907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(667), 1,
      sym_compound_statement,
    STATE(668), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1677), 1,
      sym_compound_statement,
    STATE(1686), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261814] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10909), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7392), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261847] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(10911), 1,
      anon_sym_virtual,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(6984), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10913), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7803), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [261909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10915), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7951), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [261938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10917), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7820), 1,
      sym_qualified_identifier,
    ACTIONS(10919), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261969] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10585), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(635), 1,
      sym_compound_statement,
    STATE(636), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262060] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_LBRACK,
    ACTIONS(10907), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10921), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9945), 1,
      anon_sym_try,
    STATE(749), 1,
      sym_compound_statement,
    STATE(750), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262199] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9861), 1,
      anon_sym_try,
    STATE(572), 1,
      sym_compound_statement,
    STATE(573), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262234] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9861), 1,
      anon_sym_try,
    STATE(574), 1,
      sym_compound_statement,
    STATE(575), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(640), 1,
      sym_compound_statement,
    STATE(641), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4874), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10923), 1,
      aux_sym_preproc_if_token2,
    STATE(6352), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7972), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262404] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(9861), 1,
      anon_sym_try,
    STATE(622), 1,
      sym_compound_statement,
    STATE(627), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3238), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10925), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7933), 1,
      sym_qualified_identifier,
    ACTIONS(10927), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2946), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4850), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4854), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4858), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4862), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4866), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4870), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_compound_statement,
    STATE(1934), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_compound_statement,
    STATE(1936), 1,
      sym_try_statement,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10929), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6451), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7821), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(10931), 1,
      anon_sym_COLON,
    STATE(2340), 1,
      sym_attribute_specifier,
    STATE(3401), 1,
      sym__enum_base_clause,
    STATE(3557), 1,
      sym_enumerator_list,
    ACTIONS(6260), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [262816] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6773), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(10931), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_attribute_specifier,
    STATE(3402), 1,
      sym__enum_base_clause,
    STATE(3561), 1,
      sym_enumerator_list,
    ACTIONS(6204), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [262847] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10933), 1,
      aux_sym_preproc_if_token2,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7976), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10935), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10854), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7983), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10577), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6449), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10464), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10547), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [263019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2940), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263044] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3185), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10699), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6628), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [263173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(6940), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10939), 1,
      anon_sym_LBRACK,
    STATE(7020), 1,
      sym_gnu_asm_input_operand,
    STATE(8344), 1,
      sym_string_literal,
    ACTIONS(10937), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [263377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_delete,
    ACTIONS(10947), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_delete,
    ACTIONS(10951), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10953), 1,
      sym_identifier,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    STATE(2588), 1,
      sym_template_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(2542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10957), 1,
      anon_sym_delete,
    ACTIONS(10959), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7362), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2920), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10963), 1,
      anon_sym_LBRACK,
    STATE(6988), 1,
      sym_gnu_asm_output_operand,
    STATE(8140), 1,
      sym_string_literal,
    ACTIONS(10961), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [263697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10965), 1,
      anon_sym_delete,
    ACTIONS(10967), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      anon_sym_delete,
    ACTIONS(10971), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10973), 1,
      anon_sym_EQ,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(8373), 1,
      sym_initializer_list,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_delete,
    ACTIONS(10977), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_delete,
    ACTIONS(10981), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_new,
    ACTIONS(10983), 1,
      anon_sym_delete,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10959), 1,
      anon_sym_new,
    ACTIONS(10985), 1,
      anon_sym_delete,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10989), 1,
      anon_sym___attribute,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10987), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [263889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10991), 1,
      anon_sym_delete,
    ACTIONS(10993), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 1,
      anon_sym_new,
    ACTIONS(10995), 1,
      anon_sym_delete,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10959), 1,
      anon_sym_new,
    ACTIONS(10997), 1,
      anon_sym_delete,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3198), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10699), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6628), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [264057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7248), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3028), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10999), 1,
      anon_sym_delete,
    ACTIONS(11001), 1,
      anon_sym_new,
    ACTIONS(10943), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(7024), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8077), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11003), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8202), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11005), 1,
      sym_identifier,
    ACTIONS(11009), 1,
      sym_system_lib_string,
    STATE(8009), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11007), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264211] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11011), 1,
      sym_identifier,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    STATE(384), 1,
      sym_declaration_list,
    STATE(6685), 1,
      sym_attribute_declaration,
    STATE(7785), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [264242] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11017), 1,
      sym_identifier,
    ACTIONS(11019), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2755), 1,
      sym_qualified_type_identifier,
    STATE(6504), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264296] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11021), 1,
      sym_identifier,
    ACTIONS(11023), 1,
      anon_sym_template,
    STATE(2123), 1,
      sym_template_type,
    STATE(2124), 1,
      sym_dependent_type_identifier,
    STATE(2146), 1,
      sym_qualified_type_identifier,
    STATE(6506), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11025), 1,
      sym_identifier,
    STATE(709), 1,
      sym_declaration_list,
    STATE(6682), 1,
      sym_attribute_declaration,
    STATE(7707), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [264358] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7375), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11029), 1,
      anon_sym_template,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6508), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264389] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2755), 1,
      sym_qualified_type_identifier,
    STATE(6509), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264420] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11033), 1,
      sym_identifier,
    ACTIONS(11035), 1,
      anon_sym_template,
    STATE(3753), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_dependent_type_identifier,
    STATE(3815), 1,
      sym_qualified_type_identifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2910), 1,
      sym_template_argument_list,
    ACTIONS(8057), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4912), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [264474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_AMP,
    ACTIONS(11037), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11039), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5849), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [264495] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11041), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      anon_sym_template,
    STATE(2539), 1,
      sym_qualified_type_identifier,
    STATE(2561), 1,
      sym_template_type,
    STATE(2576), 1,
      sym_dependent_type_identifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264549] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9749), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11045), 1,
      sym_identifier,
    ACTIONS(11047), 1,
      anon_sym_template,
    STATE(2096), 1,
      sym_template_type,
    STATE(2097), 1,
      sym_dependent_type_identifier,
    STATE(2101), 1,
      sym_qualified_type_identifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11049), 1,
      sym_identifier,
    ACTIONS(11051), 1,
      sym_system_lib_string,
    STATE(7891), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11007), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264601] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11029), 1,
      anon_sym_template,
    ACTIONS(11053), 1,
      sym_identifier,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264632] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11055), 1,
      sym_identifier,
    STATE(720), 1,
      sym_declaration_list,
    STATE(6665), 1,
      sym_attribute_declaration,
    STATE(7671), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [264663] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11057), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7873), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264690] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(6520), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11059), 1,
      sym_identifier,
    STATE(567), 1,
      sym_declaration_list,
    STATE(6638), 1,
      sym_attribute_declaration,
    STATE(7626), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [264752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_AMP,
    ACTIONS(11039), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5835), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [264771] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9727), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11061), 1,
      sym_identifier,
    ACTIONS(11063), 1,
      anon_sym_template,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6523), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8143), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11067), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8190), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11069), 1,
      sym_identifier,
    ACTIONS(11071), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2755), 1,
      sym_qualified_type_identifier,
    STATE(6527), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11073), 1,
      sym_identifier,
    ACTIONS(11075), 1,
      sym_system_lib_string,
    STATE(8383), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11007), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11077), 1,
      sym_identifier,
    ACTIONS(11079), 1,
      anon_sym_template,
    STATE(4337), 1,
      sym_template_type,
    STATE(4338), 1,
      sym_dependent_type_identifier,
    STATE(4450), 1,
      sym_qualified_type_identifier,
    STATE(6529), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264962] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11081), 1,
      sym_identifier,
    ACTIONS(11083), 1,
      anon_sym_template,
    STATE(2817), 1,
      sym_template_type,
    STATE(2818), 1,
      sym_dependent_type_identifier,
    STATE(2840), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [264993] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(4827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11085), 1,
      sym_identifier,
    ACTIONS(11087), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11017), 1,
      sym_identifier,
    ACTIONS(11019), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11089), 1,
      sym_identifier,
    ACTIONS(11091), 1,
      sym_system_lib_string,
    STATE(8500), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11007), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265076] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11093), 1,
      sym_identifier,
    STATE(599), 1,
      sym_declaration_list,
    STATE(6692), 1,
      sym_attribute_declaration,
    STATE(7782), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [265107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11095), 1,
      sym_identifier,
    ACTIONS(11097), 1,
      anon_sym_template,
    STATE(2510), 1,
      sym_dependent_type_identifier,
    STATE(2527), 1,
      sym_template_type,
    STATE(2529), 1,
      sym_qualified_type_identifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10547), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10535), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265238] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11069), 1,
      sym_identifier,
    ACTIONS(11071), 1,
      anon_sym_template,
    STATE(2129), 1,
      sym_qualified_type_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265269] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11099), 1,
      sym_identifier,
    ACTIONS(11101), 1,
      anon_sym_template,
    STATE(2683), 1,
      sym_template_type,
    STATE(2687), 1,
      sym_dependent_type_identifier,
    STATE(2736), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2910), 1,
      sym_template_argument_list,
    ACTIONS(4840), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4833), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [265323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11103), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7921), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10561), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265377] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11105), 1,
      sym_identifier,
    STATE(591), 1,
      sym_declaration_list,
    STATE(6637), 1,
      sym_attribute_declaration,
    STATE(7638), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [265408] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10585), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11107), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(8244), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265462] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_template,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(10211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11109), 1,
      sym_identifier,
    STATE(5757), 1,
      sym__scope_resolution,
    STATE(7961), 1,
      sym_qualified_identifier,
    STATE(8077), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265489] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11111), 1,
      sym_identifier,
    ACTIONS(11113), 1,
      anon_sym_template,
    STATE(2605), 1,
      sym_template_type,
    STATE(2607), 1,
      sym_dependent_type_identifier,
    STATE(2707), 1,
      sym_qualified_type_identifier,
    STATE(6549), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(7474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11115), 1,
      sym_identifier,
    ACTIONS(11117), 1,
      anon_sym_template,
    STATE(1694), 1,
      sym_template_type,
    STATE(1772), 1,
      sym_dependent_type_identifier,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(3178), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    ACTIONS(10565), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265601] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11119), 1,
      sym_identifier,
    STATE(378), 1,
      sym_declaration_list,
    STATE(6640), 1,
      sym_attribute_declaration,
    STATE(7494), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [265632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265655] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11121), 1,
      sym_identifier,
    STATE(576), 1,
      sym_declaration_list,
    STATE(6641), 1,
      sym_attribute_declaration,
    STATE(7697), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [265686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    STATE(3375), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265709] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_decltype,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11097), 1,
      anon_sym_template,
    ACTIONS(11123), 1,
      sym_identifier,
    STATE(2510), 1,
      sym_dependent_type_identifier,
    STATE(2527), 1,
      sym_template_type,
    STATE(2529), 1,
      sym_qualified_type_identifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8077), 1,
      sym_decltype,
  [265740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10528), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11125), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [265814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11127), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [265862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    STATE(2910), 1,
      sym_template_argument_list,
    ACTIONS(6337), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11131), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11129), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [265898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(11135), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11139), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11137), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [265966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11141), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11143), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11145), 1,
      anon_sym_SEMI,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6916), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266044] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10585), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11149), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11151), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10963), 1,
      anon_sym_LBRACK,
    STATE(7265), 1,
      sym_gnu_asm_output_operand,
    STATE(8140), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11153), 1,
      anon_sym_SEMI,
    ACTIONS(11155), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6865), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11157), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11159), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11161), 1,
      anon_sym_SEMI,
    ACTIONS(11163), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6927), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266408] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11165), 1,
      anon_sym_SEMI,
    ACTIONS(11167), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6958), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11169), 1,
      anon_sym_SEMI,
    ACTIONS(11171), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6887), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266460] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(4912), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [266506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11173), 1,
      anon_sym_SEMI,
    ACTIONS(11175), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6953), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10535), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11177), 1,
      sym_identifier,
    ACTIONS(11182), 1,
      aux_sym_preproc_elif_token1,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
    ACTIONS(11180), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [266580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11188), 1,
      anon_sym_EQ,
    ACTIONS(11184), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [266598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11190), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266646] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_SEMI,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3108), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4840), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(4833), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [266788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      sym_identifier,
    ACTIONS(11199), 1,
      aux_sym_preproc_elif_token1,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11197), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [266808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10460), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10468), 1,
      anon_sym___attribute,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3092), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10939), 1,
      anon_sym_LBRACK,
    STATE(7374), 1,
      sym_gnu_asm_input_operand,
    STATE(8344), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2984), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(11201), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10543), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11203), 1,
      anon_sym_SEMI,
    ACTIONS(11205), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6961), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10547), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6045), 1,
      anon_sym_COMMA,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11209), 1,
      anon_sym_RBRACK,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(7445), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [267004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10565), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(11214), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10591), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 1,
      anon_sym_COLON,
    STATE(3400), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267196] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_LBRACK,
    ACTIONS(10539), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      sym_parameter_list,
    STATE(6339), 1,
      sym__function_declarator_seq,
    STATE(6730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5971), 1,
      anon_sym_AMP,
    ACTIONS(5973), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [267237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11216), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    STATE(5892), 1,
      sym_template_argument_list,
    ACTIONS(6337), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11220), 1,
      anon_sym_AMP,
    ACTIONS(11218), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11222), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11224), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [267399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(9831), 1,
      anon_sym_LBRACK,
    STATE(2880), 1,
      sym_parameter_list,
    STATE(6005), 1,
      sym__function_declarator_seq,
    STATE(5900), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(6056), 1,
      anon_sym_COLON,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11234), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11230), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [267479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11236), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_AMP,
    ACTIONS(11238), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11242), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_AMP,
    ACTIONS(4447), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11244), 1,
      sym_identifier,
    STATE(624), 1,
      sym_declaration_list,
    STATE(7735), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [267580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11246), 1,
      sym_identifier,
    STATE(560), 1,
      sym_declaration_list,
    STATE(7549), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [267605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 1,
      anon_sym_COLON,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11248), 1,
      sym_identifier,
    STATE(305), 1,
      sym_declaration_list,
    STATE(7684), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [267653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11105), 1,
      sym_identifier,
    STATE(591), 1,
      sym_declaration_list,
    STATE(7638), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [267678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(6062), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [267722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_AMP,
    ACTIONS(11250), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_AMP,
    ACTIONS(11254), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_LBRACK,
    ACTIONS(11261), 1,
      anon_sym_EQ,
    ACTIONS(11263), 1,
      anon_sym_DOT,
    STATE(6647), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [267792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11266), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_LPAREN2,
    STATE(6650), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11270), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11272), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_LPAREN2,
    STATE(6654), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11224), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [267908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(5988), 1,
      anon_sym_COLON,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11278), 1,
      anon_sym_LPAREN2,
    STATE(6659), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11280), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11282), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11285), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11287), 1,
      anon_sym_LBRACK,
    ACTIONS(11289), 1,
      anon_sym_EQ,
    ACTIONS(11291), 1,
      anon_sym_DOT,
    STATE(6647), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [268039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11293), 1,
      anon_sym_LPAREN2,
    STATE(6662), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11295), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 1,
      anon_sym___attribute,
    ACTIONS(11297), 1,
      anon_sym_EQ,
    ACTIONS(10197), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11299), 1,
      anon_sym_LPAREN2,
    STATE(6675), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11301), 1,
      sym_identifier,
    STATE(723), 1,
      sym_declaration_list,
    STATE(7655), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [268132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11303), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11311), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10458), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_LPAREN2,
    STATE(6657), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(2325), 1,
      sym_template_argument_list,
    STATE(7315), 2,
      sym_argument_list,
      sym_initializer_list,
  [268355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 1,
      anon_sym_AMP,
    ACTIONS(5939), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [268370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_COLON,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268393] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACK,
    ACTIONS(5965), 1,
      anon_sym_COLON,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(2225), 1,
      sym_parameter_list,
    STATE(6696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11055), 1,
      sym_identifier,
    STATE(720), 1,
      sym_declaration_list,
    STATE(7671), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [268483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    STATE(5354), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5479), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11119), 1,
      sym_identifier,
    STATE(378), 1,
      sym_declaration_list,
    STATE(7494), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [268550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10466), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_AMP,
    ACTIONS(6024), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [268586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(6152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [268609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___attribute__,
    ACTIONS(6967), 1,
      anon_sym___attribute,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5442), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5658), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_LPAREN2,
    STATE(6630), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11228), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 1,
      anon_sym___attribute,
    ACTIONS(11319), 1,
      anon_sym_EQ,
    ACTIONS(10197), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [268664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11059), 1,
      sym_identifier,
    STATE(567), 1,
      sym_declaration_list,
    STATE(7626), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [268689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3025), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
    ACTIONS(10462), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11321), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8085), 1,
      sym_attribute_specifier,
  [268753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(7647), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6150), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11323), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11325), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [268785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_SEMI,
    ACTIONS(11329), 1,
      anon_sym_EQ,
    STATE(1956), 2,
      sym_compound_statement,
      sym_try_statement,
  [268805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11182), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11180), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [268819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11331), 1,
      anon_sym_SEMI,
    STATE(6736), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8218), 1,
      sym_attribute_specifier,
  [268841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(10766), 1,
      anon_sym_LBRACK,
    STATE(6327), 1,
      sym_template_argument_list,
    ACTIONS(10762), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [268859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11333), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11335), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [268873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(10770), 1,
      anon_sym_LBRACK,
    STATE(6346), 1,
      sym_template_argument_list,
    ACTIONS(10768), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [268891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(6337), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [268909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11337), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8147), 1,
      sym_attribute_specifier,
  [268931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8105), 1,
      sym_attribute_specifier,
  [268953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(9861), 1,
      anon_sym_try,
    ACTIONS(11341), 1,
      anon_sym_SEMI,
    ACTIONS(11343), 1,
      anon_sym_EQ,
    STATE(676), 2,
      sym_compound_statement,
      sym_try_statement,
  [268973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11345), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [268987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11347), 1,
      anon_sym_SEMI,
    STATE(6745), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8204), 1,
      sym_attribute_specifier,
  [269009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9899), 1,
      anon_sym_try,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    ACTIONS(11351), 1,
      anon_sym_EQ,
    STATE(383), 2,
      sym_compound_statement,
      sym_try_statement,
  [269029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11353), 1,
      anon_sym_SEMI,
    STATE(6733), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8022), 1,
      sym_attribute_specifier,
  [269051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11355), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8031), 1,
      sym_attribute_specifier,
  [269073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11357), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8288), 1,
      sym_attribute_specifier,
  [269095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11359), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11361), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
    STATE(6739), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8229), 1,
      sym_attribute_specifier,
  [269131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11365), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8232), 1,
      sym_attribute_specifier,
  [269153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_SEMI,
    STATE(6705), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8201), 1,
      sym_attribute_specifier,
  [269175] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11369), 1,
      anon_sym_SEMI,
    STATE(6712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7964), 1,
      sym_attribute_specifier,
  [269197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11371), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11373), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_SEMI,
    STATE(6752), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7967), 1,
      sym_attribute_specifier,
  [269233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11377), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8222), 1,
      sym_attribute_specifier,
  [269255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_try,
    ACTIONS(11379), 1,
      anon_sym_SEMI,
    ACTIONS(11381), 1,
      anon_sym_EQ,
    STATE(614), 2,
      sym_compound_statement,
      sym_try_statement,
  [269275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9945), 1,
      anon_sym_try,
    ACTIONS(11383), 1,
      anon_sym_SEMI,
    ACTIONS(11385), 1,
      anon_sym_EQ,
    STATE(688), 2,
      sym_compound_statement,
      sym_try_statement,
  [269295] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11387), 1,
      anon_sym_SEMI,
    STATE(6721), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8064), 1,
      sym_attribute_specifier,
  [269317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    ACTIONS(11389), 1,
      anon_sym_SEMI,
    ACTIONS(11391), 1,
      anon_sym_EQ,
    STATE(1777), 2,
      sym_compound_statement,
      sym_try_statement,
  [269337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9612), 1,
      anon_sym_try,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    ACTIONS(11393), 1,
      anon_sym_SEMI,
    ACTIONS(11395), 1,
      anon_sym_EQ,
    STATE(1732), 2,
      sym_compound_statement,
      sym_try_statement,
  [269357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7982), 1,
      sym_attribute_specifier,
  [269379] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11399), 1,
      anon_sym_SEMI,
    STATE(6729), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8081), 1,
      sym_attribute_specifier,
  [269401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11401), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8224), 1,
      sym_attribute_specifier,
  [269423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10800), 1,
      anon_sym_LBRACK,
    ACTIONS(10798), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11403), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11405), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11407), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8062), 1,
      sym_attribute_specifier,
  [269477] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11409), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8065), 1,
      sym_attribute_specifier,
  [269499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(11411), 1,
      anon_sym_SEMI,
    ACTIONS(11413), 1,
      anon_sym_EQ,
    STATE(1914), 2,
      sym_compound_statement,
      sym_try_statement,
  [269519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11415), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11417), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11419), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8230), 1,
      sym_attribute_specifier,
  [269555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9899), 1,
      anon_sym_try,
    ACTIONS(11421), 1,
      anon_sym_SEMI,
    ACTIONS(11423), 1,
      anon_sym_EQ,
    STATE(302), 2,
      sym_compound_statement,
      sym_try_statement,
  [269575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11425), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11427), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8292), 1,
      sym_attribute_specifier,
  [269611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9945), 1,
      anon_sym_try,
    ACTIONS(11431), 1,
      anon_sym_SEMI,
    ACTIONS(11433), 1,
      anon_sym_EQ,
    STATE(706), 2,
      sym_compound_statement,
      sym_try_statement,
  [269631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(6337), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11403), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11405), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_try,
    ACTIONS(11435), 1,
      anon_sym_SEMI,
    ACTIONS(11437), 1,
      anon_sym_EQ,
    STATE(582), 2,
      sym_compound_statement,
      sym_try_statement,
  [269683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_try,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    ACTIONS(11439), 1,
      anon_sym_SEMI,
    ACTIONS(11441), 1,
      anon_sym_EQ,
    STATE(2068), 2,
      sym_compound_statement,
      sym_try_statement,
  [269703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11443), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8357), 1,
      sym_attribute_specifier,
  [269725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      anon_sym_try,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(11445), 1,
      anon_sym_SEMI,
    ACTIONS(11447), 1,
      anon_sym_EQ,
    STATE(1925), 2,
      sym_compound_statement,
      sym_try_statement,
  [269745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8443), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [269759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11425), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11427), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8195), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [269787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11449), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11451), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(9861), 1,
      anon_sym_try,
    ACTIONS(11453), 1,
      anon_sym_SEMI,
    ACTIONS(11455), 1,
      anon_sym_EQ,
    STATE(652), 2,
      sym_compound_statement,
      sym_try_statement,
  [269821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(8421), 1,
      anon_sym_COMMA,
    ACTIONS(11457), 1,
      anon_sym_SEMI,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8043), 1,
      sym_attribute_specifier,
  [269843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    ACTIONS(11459), 1,
      sym_identifier,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11461), 1,
      sym_identifier,
    STATE(8545), 1,
      sym__namespace_specifier,
    STATE(8651), 1,
      sym_nested_namespace_specifier,
  [269879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11463), 1,
      anon_sym_SEMI,
    STATE(6782), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11465), 1,
      anon_sym_SEMI,
    STATE(6761), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11467), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11469), 1,
      anon_sym_SEMI,
    STATE(6824), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11471), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10466), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [269983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11473), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(11475), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10436), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11477), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2350), 1,
      sym_template_method,
    STATE(7575), 1,
      sym_operator_name,
  [270057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11477), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2350), 1,
      sym_template_method,
    STATE(7601), 1,
      sym_operator_name,
  [270076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11479), 1,
      anon_sym_SEMI,
    STATE(6771), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11481), 1,
      anon_sym_SEMI,
    STATE(6809), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [270121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11485), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11487), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2350), 1,
      sym_template_method,
    STATE(7689), 1,
      sym_operator_name,
  [270157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11489), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_COMMA,
    ACTIONS(11496), 1,
      anon_sym___attribute,
    STATE(6772), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11494), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [270191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10440), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(2384), 1,
      sym_decltype_auto,
    ACTIONS(11498), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11500), 1,
      anon_sym_SEMI,
    STATE(6811), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11502), 1,
      anon_sym_SEMI,
    STATE(6797), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11504), 1,
      anon_sym_SEMI,
    STATE(6784), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11506), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_COMMA,
    ACTIONS(11510), 1,
      anon_sym___attribute,
    STATE(6825), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11508), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [270312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11512), 1,
      anon_sym_SEMI,
    STATE(6787), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11516), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11518), 1,
      anon_sym_SEMI,
    STATE(6801), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11520), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11522), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11524), 1,
      anon_sym_SEMI,
    STATE(6788), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11526), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11528), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11530), 1,
      sym_identifier,
    STATE(7277), 1,
      sym__namespace_specifier,
    STATE(7511), 1,
      sym_nested_namespace_specifier,
  [270486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11532), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3693), 1,
      sym_template_method,
    STATE(7673), 1,
      sym_operator_name,
  [270505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11534), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1573), 1,
      sym_template_argument_list,
    ACTIONS(4833), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [270539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      sym_auto,
    ACTIONS(8125), 1,
      anon_sym_decltype,
    STATE(2384), 1,
      sym_decltype_auto,
    ACTIONS(11536), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10448), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10430), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11538), 1,
      anon_sym_SEMI,
    STATE(6807), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11540), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10458), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
    ACTIONS(6218), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [270664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(11542), 1,
      aux_sym_preproc_if_token2,
    STATE(6632), 1,
      sym_enumerator,
    STATE(6896), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6943), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [270683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11544), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11546), 1,
      anon_sym_SEMI,
    STATE(6759), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11548), 1,
      anon_sym_SEMI,
    STATE(6785), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11550), 1,
      sym_identifier,
    STATE(7943), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [270753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11552), 1,
      anon_sym_SEMI,
    STATE(6769), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10462), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11556), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [270819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11560), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11562), 1,
      anon_sym_SEMI,
    STATE(6778), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11564), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11566), 1,
      sym_identifier,
    STATE(7813), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [270889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11568), 1,
      sym_identifier,
    STATE(7989), 1,
      sym_nested_namespace_specifier,
    STATE(8545), 1,
      sym__namespace_specifier,
  [270908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(11570), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [270927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11572), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7627), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [270940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    ACTIONS(11576), 1,
      anon_sym_COLON_COLON,
    STATE(7674), 1,
      sym_argument_list,
    ACTIONS(11574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [270957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_template_argument_list,
    ACTIONS(6337), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [270974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11578), 1,
      anon_sym_SEMI,
    STATE(6791), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10444), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [271010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6335), 1,
      anon_sym_LBRACK,
    STATE(4210), 1,
      sym_template_argument_list,
    ACTIONS(6337), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [271027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(11580), 1,
      anon_sym_RPAREN,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [271046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11582), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3503), 1,
      sym_template_method,
    STATE(7598), 1,
      sym_operator_name,
  [271065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11584), 1,
      anon_sym_SEMI,
    STATE(6757), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6993), 1,
      anon_sym___attribute__,
    ACTIONS(11586), 1,
      anon_sym_SEMI,
    STATE(4190), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11593), 1,
      anon_sym___attribute,
    STATE(6825), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11591), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      anon_sym_inline,
    ACTIONS(11530), 1,
      sym_identifier,
    STATE(7303), 1,
      sym__namespace_specifier,
    STATE(7495), 1,
      sym_nested_namespace_specifier,
  [271135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(2465), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8551), 1,
      anon_sym___attribute,
    ACTIONS(8549), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
    STATE(7454), 1,
      sym_base_class_clause,
  [271177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(821), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [271193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3068), 1,
      sym_field_declaration_list,
    STATE(7521), 1,
      sym_base_class_clause,
  [271209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2853), 1,
      sym_field_declaration_list,
    STATE(7588), 1,
      sym_base_class_clause,
  [271225] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11597), 1,
      anon_sym_DQUOTE,
    ACTIONS(11599), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11601), 1,
      sym_escape_sequence,
    STATE(6893), 1,
      aux_sym_string_literal_repeat1,
  [271241] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_DQUOTE,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [271257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(7682), 1,
      sym_argument_list,
    ACTIONS(11609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [271271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11171), 1,
      anon_sym_EQ,
    STATE(6887), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(7490), 1,
      sym_base_class_clause,
  [271301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(3690), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11613), 1,
      anon_sym_GT2,
    STATE(7100), 1,
      aux_sym_template_argument_list_repeat1,
  [271331] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11615), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271345] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11619), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [271361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11621), 1,
      anon_sym_EQ,
    STATE(6936), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_field_declaration_list,
    STATE(7651), 1,
      sym_base_class_clause,
  [271405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    ACTIONS(11625), 1,
      anon_sym_LBRACE,
    STATE(5849), 1,
      sym_requirement_seq,
    STATE(7637), 1,
      sym_requires_parameter_list,
  [271421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11627), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [271431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11631), 1,
      anon_sym_EQ,
    STATE(337), 1,
      sym_declaration_list,
  [271447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11633), 1,
      anon_sym___except,
    ACTIONS(11635), 1,
      anon_sym___finally,
    STATE(459), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [271461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11637), 1,
      anon_sym_EQ,
    STATE(601), 1,
      sym_declaration_list,
  [271477] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_DQUOTE,
    ACTIONS(11641), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11643), 1,
      sym_escape_sequence,
    STATE(6834), 1,
      aux_sym_string_literal_repeat1,
  [271493] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11645), 1,
      anon_sym_DQUOTE,
    ACTIONS(11647), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11649), 1,
      sym_escape_sequence,
    STATE(6860), 1,
      aux_sym_string_literal_repeat1,
  [271509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271523] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11651), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11653), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11655), 1,
      anon_sym___except,
    ACTIONS(11657), 1,
      anon_sym___finally,
    STATE(270), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [271567] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11659), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym___attribute,
    ACTIONS(11661), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    ACTIONS(11665), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_requirement_seq,
    STATE(7612), 1,
      sym_requires_parameter_list,
  [271609] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11667), 1,
      anon_sym_DQUOTE,
    ACTIONS(11669), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11671), 1,
      sym_escape_sequence,
    STATE(7011), 1,
      aux_sym_string_literal_repeat1,
  [271625] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11673), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [271641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11675), 1,
      anon_sym_GT2,
    STATE(7156), 1,
      aux_sym_template_argument_list_repeat1,
  [271657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    STATE(2161), 1,
      sym_field_declaration_list,
    STATE(7567), 1,
      sym_base_class_clause,
  [271673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11677), 1,
      anon_sym_COMMA,
    STATE(6923), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11679), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [271687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_field_declaration_list,
    STATE(7580), 1,
      sym_base_class_clause,
  [271703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11683), 1,
      anon_sym_GT2,
    STATE(7136), 1,
      aux_sym_template_argument_list_repeat1,
  [271733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4849), 1,
      sym_field_declaration_list,
    STATE(7541), 1,
      sym_base_class_clause,
  [271749] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11685), 1,
      anon_sym_DQUOTE,
    ACTIONS(11687), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11689), 1,
      sym_escape_sequence,
    STATE(6875), 1,
      aux_sym_string_literal_repeat1,
  [271765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11691), 1,
      anon_sym_GT2,
    STATE(7067), 1,
      aux_sym_template_argument_list_repeat1,
  [271781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(3762), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3057), 1,
      sym_field_declaration_list,
    STATE(7488), 1,
      sym_base_class_clause,
  [271811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11693), 1,
      anon_sym_EQ,
    STATE(659), 1,
      sym_declaration_list,
  [271827] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271841] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11697), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [271857] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11699), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [271873] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11701), 1,
      anon_sym_DQUOTE,
    ACTIONS(11703), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11705), 1,
      sym_escape_sequence,
    STATE(6981), 1,
      aux_sym_string_literal_repeat1,
  [271889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1608), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7719), 1,
      sym_base_class_clause,
  [271919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_field_declaration_list,
    STATE(7711), 1,
      sym_base_class_clause,
  [271935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(2483), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(807), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [271965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11707), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271995] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272009] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11711), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7365), 1,
      sym_compound_statement,
    STATE(7713), 1,
      sym_field_initializer_list,
  [272041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11713), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272055] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11715), 1,
      anon_sym_DQUOTE,
    ACTIONS(11717), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11719), 1,
      sym_escape_sequence,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272071] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11721), 1,
      anon_sym_DQUOTE,
    ACTIONS(11723), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11725), 1,
      sym_escape_sequence,
    STATE(6962), 1,
      aux_sym_string_literal_repeat1,
  [272087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4975), 1,
      sym_field_declaration_list,
    STATE(7667), 1,
      sym_base_class_clause,
  [272103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4964), 1,
      sym_field_declaration_list,
    STATE(7668), 1,
      sym_base_class_clause,
  [272119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(3287), 1,
      sym_requirement_seq,
    STATE(7636), 1,
      sym_requires_parameter_list,
  [272135] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11727), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272151] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11729), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11731), 1,
      anon_sym_GT2,
    STATE(7106), 1,
      aux_sym_template_argument_list_repeat1,
  [272183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(11733), 1,
      aux_sym_preproc_if_token2,
    STATE(6592), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
  [272199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3741), 1,
      sym_initializer_list,
    STATE(3755), 1,
      sym_argument_list,
  [272215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11735), 1,
      anon_sym_GT2,
    STATE(7398), 1,
      aux_sym_template_argument_list_repeat1,
  [272231] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11737), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11741), 1,
      sym_preproc_arg,
    STATE(7621), 1,
      sym_preproc_params,
  [272247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11743), 1,
      anon_sym___except,
    ACTIONS(11745), 1,
      anon_sym___finally,
    STATE(430), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [272261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(5568), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11747), 1,
      anon_sym_GT2,
    STATE(7127), 1,
      aux_sym_template_argument_list_repeat1,
  [272291] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11749), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(11751), 1,
      aux_sym_preproc_if_token2,
    STATE(6943), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272321] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11753), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11755), 1,
      anon_sym_EQ,
    STATE(6944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(815), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [272367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11757), 1,
      anon_sym_GT2,
    STATE(7118), 1,
      aux_sym_template_argument_list_repeat1,
  [272383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(4232), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(3915), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(3480), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272425] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11761), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272439] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11764), 1,
      anon_sym_DQUOTE,
    ACTIONS(11766), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11768), 1,
      sym_escape_sequence,
    STATE(6874), 1,
      aux_sym_string_literal_repeat1,
  [272455] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11770), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [272471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2834), 1,
      sym_field_declaration_list,
    STATE(7698), 1,
      sym_base_class_clause,
  [272487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11772), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11155), 1,
      anon_sym_EQ,
    STATE(6865), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(3732), 1,
      sym_requirement_seq,
    STATE(7784), 1,
      sym_requires_parameter_list,
  [272531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11774), 1,
      anon_sym_GT2,
    STATE(7237), 1,
      aux_sym_template_argument_list_repeat1,
  [272547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7311), 1,
      sym_compound_statement,
    STATE(7542), 1,
      sym_field_initializer_list,
  [272563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(5561), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11776), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [272593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      anon_sym_COMMA,
    STATE(6923), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11781), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11783), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [272623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(812), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [272639] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11785), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11787), 1,
      sym_preproc_arg,
    STATE(7461), 1,
      sym_preproc_params,
  [272655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11789), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    STATE(6916), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11791), 1,
      anon_sym___except,
    ACTIONS(11793), 1,
      anon_sym___finally,
    STATE(879), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [272697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2776), 1,
      sym_field_declaration_list,
    STATE(7520), 1,
      sym_base_class_clause,
  [272713] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11795), 1,
      anon_sym_DQUOTE,
    ACTIONS(11797), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11799), 1,
      sym_escape_sequence,
    STATE(6905), 1,
      aux_sym_string_literal_repeat1,
  [272729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7102), 1,
      sym_compound_statement,
    STATE(7484), 1,
      sym_field_initializer_list,
  [272745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11801), 1,
      anon_sym_GT2,
    STATE(7273), 1,
      aux_sym_template_argument_list_repeat1,
  [272761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11803), 1,
      anon_sym_GT2,
    STATE(7070), 1,
      aux_sym_template_argument_list_repeat1,
  [272777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    STATE(2512), 1,
      sym_argument_list,
    STATE(3896), 1,
      sym_initializer_list,
  [272793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11805), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11163), 1,
      anon_sym_EQ,
    STATE(6927), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_LBRACE,
    ACTIONS(5731), 1,
      anon_sym_LPAREN2,
    STATE(2512), 1,
      sym_argument_list,
    STATE(2519), 1,
      sym_initializer_list,
  [272837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7417), 1,
      sym_compound_statement,
    STATE(7703), 1,
      sym_field_initializer_list,
  [272853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_LBRACE,
    STATE(7244), 1,
      aux_sym_base_class_clause_repeat1,
  [272869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    STATE(3739), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272883] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11813), 1,
      anon_sym_DQUOTE,
    ACTIONS(11815), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11817), 1,
      sym_escape_sequence,
    STATE(6960), 1,
      aux_sym_string_literal_repeat1,
  [272899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      sym_identifier,
    ACTIONS(11819), 1,
      aux_sym_preproc_if_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11821), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11175), 1,
      anon_sym_EQ,
    STATE(6953), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_argument_list,
      sym_initializer_list,
  [272955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11823), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [272971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(2513), 1,
      sym_requirement_seq,
    STATE(7679), 1,
      sym_requires_parameter_list,
  [272987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7239), 1,
      sym_compound_statement,
    STATE(7701), 1,
      sym_field_initializer_list,
  [273003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2568), 1,
      sym_field_declaration_list,
    STATE(7537), 1,
      sym_base_class_clause,
  [273019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11825), 1,
      anon_sym_GT2,
    STATE(7141), 1,
      aux_sym_template_argument_list_repeat1,
  [273035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    STATE(7016), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11829), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11831), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11167), 1,
      anon_sym_EQ,
    STATE(6958), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4362), 1,
      sym_field_declaration_list,
    STATE(7632), 1,
      sym_base_class_clause,
  [273093] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11833), 1,
      anon_sym_DQUOTE,
    ACTIONS(11835), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11837), 1,
      sym_escape_sequence,
    STATE(6996), 1,
      aux_sym_string_literal_repeat1,
  [273109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(4269), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11839), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11205), 1,
      anon_sym_EQ,
    STATE(6961), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273151] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11841), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11843), 1,
      anon_sym_EQ,
    STATE(5885), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273181] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11845), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273197] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11847), 1,
      anon_sym_DQUOTE,
    ACTIONS(11849), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11851), 1,
      sym_escape_sequence,
    STATE(6885), 1,
      aux_sym_string_literal_repeat1,
  [273213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11853), 1,
      anon_sym___except,
    ACTIONS(11855), 1,
      anon_sym___finally,
    STATE(512), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(6815), 1,
      sym_template_parameter_list,
  [273243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(3832), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3560), 1,
      sym_field_declaration_list,
    STATE(7721), 1,
      sym_base_class_clause,
  [273273] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11857), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11859), 1,
      sym_preproc_arg,
    STATE(7493), 1,
      sym_preproc_params,
  [273289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(795), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [273305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(3279), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(4242), 1,
      sym_requirement_seq,
    STATE(7589), 1,
      sym_requires_parameter_list,
  [273335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11861), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [273365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3564), 1,
      sym_field_declaration_list,
    STATE(7722), 1,
      sym_base_class_clause,
  [273381] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11863), 1,
      anon_sym_DQUOTE,
    ACTIONS(11865), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11867), 1,
      sym_escape_sequence,
    STATE(6903), 1,
      aux_sym_string_literal_repeat1,
  [273397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 1,
      anon_sym___except,
    ACTIONS(11871), 1,
      anon_sym___finally,
    STATE(430), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273411] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11873), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11875), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11877), 1,
      anon_sym_LBRACE,
    STATE(7341), 1,
      aux_sym_base_class_clause_repeat1,
  [273441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(809), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [273457] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11879), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11881), 1,
      sym_preproc_arg,
    STATE(7607), 1,
      sym_preproc_params,
  [273473] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11883), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273489] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_DQUOTE,
    ACTIONS(11887), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11890), 1,
      sym_escape_sequence,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7389), 1,
      sym_compound_statement,
    STATE(7563), 1,
      sym_field_initializer_list,
  [273521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11893), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11895), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      aux_sym_base_class_clause_repeat1,
  [273537] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_DQUOTE,
    ACTIONS(11899), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11901), 1,
      sym_escape_sequence,
    STATE(7007), 1,
      aux_sym_string_literal_repeat1,
  [273553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(3545), 1,
      sym_requirement_seq,
    STATE(7780), 1,
      sym_requires_parameter_list,
  [273569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(797), 1,
      sym_template_parameter_list,
    STATE(2148), 1,
      sym_template_type,
  [273585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11677), 1,
      anon_sym_COMMA,
    STATE(6863), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11903), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    ACTIONS(11905), 1,
      anon_sym_LBRACE,
    STATE(5635), 1,
      sym_requirement_seq,
    STATE(7704), 1,
      sym_requires_parameter_list,
  [273615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(7737), 1,
      sym_base_class_clause,
  [273631] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5970), 1,
      sym__function_declarator_seq,
  [273661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3993), 1,
      sym_field_declaration_list,
    STATE(7489), 1,
      sym_base_class_clause,
  [273677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11909), 1,
      anon_sym_GT2,
    STATE(7440), 1,
      aux_sym_template_argument_list_repeat1,
  [273693] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273707] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11913), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11915), 1,
      anon_sym_COMMA,
    STATE(7043), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11917), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_LPAREN2,
    STATE(3755), 1,
      sym_argument_list,
    STATE(4796), 1,
      sym_initializer_list,
  [273753] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(3427), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(5861), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273809] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11921), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11923), 1,
      sym_preproc_arg,
    STATE(7470), 1,
      sym_preproc_params,
  [273825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    STATE(6952), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11925), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(3905), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273853] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11927), 1,
      anon_sym_DQUOTE,
    ACTIONS(11929), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11931), 1,
      sym_escape_sequence,
    STATE(6841), 1,
      aux_sym_string_literal_repeat1,
  [273869] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11933), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273885] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11935), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11937), 1,
      anon_sym_EQ,
    STATE(756), 1,
      sym_declaration_list,
  [273917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(11542), 1,
      aux_sym_preproc_if_token2,
    STATE(6896), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7870), 1,
      sym_enumerator,
  [273933] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11939), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [273949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(1608), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(11941), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [274007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_COMMA,
    STATE(7016), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11946), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274021] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_DQUOTE,
    ACTIONS(11950), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11952), 1,
      sym_escape_sequence,
    STATE(7041), 1,
      aux_sym_string_literal_repeat1,
  [274037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11954), 1,
      sym_identifier,
    ACTIONS(11956), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [274049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1573), 1,
      sym_template_argument_list,
    ACTIONS(6337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [274063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11915), 1,
      anon_sym_COMMA,
    STATE(6997), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11958), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3983), 1,
      sym_field_declaration_list,
    STATE(7535), 1,
      sym_base_class_clause,
  [274093] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_DQUOTE,
    ACTIONS(11962), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11964), 1,
      sym_escape_sequence,
    STATE(6914), 1,
      aux_sym_string_literal_repeat1,
  [274109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3448), 1,
      sym_argument_list,
    STATE(3869), 1,
      sym_initializer_list,
  [274125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11966), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    STATE(7384), 1,
      aux_sym_base_class_clause_repeat1,
  [274141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    STATE(2157), 1,
      sym_field_declaration_list,
    STATE(7677), 1,
      sym_base_class_clause,
  [274157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11970), 1,
      anon_sym_GT2,
    STATE(7088), 1,
      aux_sym_template_argument_list_repeat1,
  [274173] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(11972), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11974), 1,
      sym_preproc_arg,
    STATE(7463), 1,
      sym_preproc_params,
  [274189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11976), 1,
      anon_sym_SEMI,
    ACTIONS(11978), 1,
      anon_sym_DASH_GT,
    ACTIONS(11980), 1,
      anon_sym_noexcept,
    STATE(8110), 1,
      sym_trailing_return_type,
  [274205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(3342), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(4230), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11627), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [274243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(5871), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11982), 1,
      anon_sym_GT2,
    STATE(7148), 1,
      aux_sym_template_argument_list_repeat1,
  [274273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      anon_sym_LBRACE,
    STATE(5571), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11986), 1,
      anon_sym___attribute,
    ACTIONS(11984), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [274299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 1,
      anon_sym_LBRACE,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(3857), 1,
      sym_requirement_seq,
    STATE(7496), 1,
      sym_requires_parameter_list,
  [274315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(5876), 1,
      sym_compound_statement,
    ACTIONS(10197), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    STATE(7225), 1,
      sym_compound_statement,
    STATE(7517), 1,
      sym_field_initializer_list,
  [274345] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11988), 1,
      anon_sym_DQUOTE,
    ACTIONS(11990), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11992), 1,
      sym_escape_sequence,
    STATE(7008), 1,
      aux_sym_string_literal_repeat1,
  [274361] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11994), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274375] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11605), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11607), 1,
      sym_escape_sequence,
    ACTIONS(11996), 1,
      anon_sym_DQUOTE,
    STATE(6982), 1,
      aux_sym_string_literal_repeat1,
  [274391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4833), 1,
      anon_sym_SEMI,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1831), 1,
      sym_template_argument_list,
  [274407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11998), 1,
      anon_sym_COMMA,
    STATE(7043), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12001), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    ACTIONS(6758), 1,
      anon_sym_LPAREN2,
    STATE(3448), 1,
      sym_argument_list,
    STATE(3450), 1,
      sym_initializer_list,
  [274437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12003), 1,
      anon_sym_GT2,
    STATE(7428), 1,
      aux_sym_template_argument_list_repeat1,
  [274453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_COLON,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_field_declaration_list,
    STATE(7779), 1,
      sym_base_class_clause,
  [274469] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12005), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274483] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12007), 1,
      anon_sym_SQUOTE,
    STATE(6912), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11617), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274497] = 5,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN,
    ACTIONS(12009), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12011), 1,
      sym_preproc_arg,
    STATE(7509), 1,
      sym_preproc_params,
  [274513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12013), 1,
      anon_sym_GT2,
    STATE(7321), 1,
      aux_sym_template_argument_list_repeat1,
  [274529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    STATE(7427), 1,
      aux_sym_argument_list_repeat1,
  [274542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      anon_sym_SEMI,
    STATE(7349), 1,
      aux_sym_declaration_repeat1,
  [274555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3524), 1,
      sym_template_function,
  [274568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COMMA,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
    STATE(7109), 1,
      aux_sym_throw_specifier_repeat1,
  [274581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12025), 1,
      anon_sym_SEMI,
    STATE(7094), 1,
      aux_sym_declaration_repeat1,
  [274603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_RBRACE,
    ACTIONS(12027), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [274616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute,
    ACTIONS(6524), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [274627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12029), 1,
      anon_sym_GT2,
    STATE(7068), 1,
      aux_sym_template_argument_list_repeat1,
  [274640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 1,
      anon_sym___attribute,
    ACTIONS(6528), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [274651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12031), 1,
      anon_sym_RPAREN,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    STATE(7193), 1,
      sym_gnu_asm_input_operand_list,
  [274664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_RPAREN,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    STATE(7195), 1,
      sym_gnu_asm_output_operand_list,
  [274677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12039), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [274690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12041), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12045), 1,
      anon_sym_constexpr,
    STATE(178), 1,
      sym_condition_clause,
  [274716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12047), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12049), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12051), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    STATE(7798), 1,
      sym_gnu_asm_goto_list,
  [274768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12057), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12059), 1,
      anon_sym_RPAREN,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    STATE(7274), 1,
      sym_gnu_asm_clobber_list,
  [274794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [274807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12065), 1,
      anon_sym_GT2,
    STATE(7436), 1,
      aux_sym_template_argument_list_repeat1,
  [274820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12069), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [274833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7346), 1,
      anon_sym_EQ,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [274844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(7115), 1,
      aux_sym_argument_list_repeat1,
  [274857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12073), 1,
      anon_sym_GT2,
    STATE(7415), 1,
      aux_sym_template_parameter_list_repeat1,
  [274870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(555), 1,
      sym_declaration_list,
  [274883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12075), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3386), 1,
      sym_template_function,
  [274896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    STATE(7086), 1,
      aux_sym_subscript_argument_list_repeat1,
  [274909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8559), 1,
      anon_sym_RBRACE,
    STATE(7132), 1,
      aux_sym_initializer_list_repeat1,
  [274922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12077), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      sym_gnu_asm_output_operand_list,
  [274935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12079), 1,
      anon_sym_GT2,
    STATE(7089), 1,
      aux_sym_template_argument_list_repeat1,
  [274948] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12081), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12083), 1,
      anon_sym_LPAREN2,
    STATE(7881), 1,
      sym_preproc_argument_list,
  [274961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12085), 1,
      anon_sym_GT2,
    STATE(7138), 1,
      aux_sym_template_argument_list_repeat1,
  [274974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(12087), 1,
      anon_sym_RBRACK,
    STATE(7121), 1,
      aux_sym_subscript_argument_list_repeat1,
  [274987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12089), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12091), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12093), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12095), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [275039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12097), 1,
      anon_sym_COMMA,
    ACTIONS(12100), 1,
      anon_sym_LBRACE,
    STATE(7091), 1,
      aux_sym_field_initializer_list_repeat1,
  [275052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12102), 1,
      anon_sym_SEMI,
    STATE(7144), 1,
      aux_sym_declaration_repeat1,
  [275065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12104), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [275078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12106), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [275091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12110), 1,
      anon_sym_RPAREN,
    STATE(7150), 1,
      aux_sym_parameter_list_repeat1,
  [275104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12112), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
    STATE(3524), 1,
      sym_template_function,
  [275117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11978), 1,
      anon_sym_DASH_GT,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
    STATE(7830), 1,
      sym_trailing_return_type,
  [275130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12116), 1,
      anon_sym_GT2,
    STATE(7101), 1,
      aux_sym_template_argument_list_repeat1,
  [275143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12118), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12120), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12122), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12124), 1,
      anon_sym_catch,
    STATE(1795), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12126), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
    STATE(2441), 1,
      sym_template_function,
  [275206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_GT2,
    STATE(7107), 1,
      aux_sym_template_argument_list_repeat1,
  [275219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12130), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12132), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12136), 1,
      anon_sym_RPAREN,
    STATE(7446), 1,
      aux_sym_parameter_list_repeat1,
  [275271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_COMMA,
    ACTIONS(12138), 1,
      anon_sym_RPAREN,
    STATE(7290), 1,
      aux_sym_throw_specifier_repeat1,
  [275284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym_EQ,
    ACTIONS(11184), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [275295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    ACTIONS(12142), 1,
      anon_sym_COMMA,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [275308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12145), 1,
      anon_sym_catch,
    STATE(410), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(12147), 1,
      anon_sym_RBRACK,
    STATE(7121), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12149), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [275345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12151), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [275358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_GT2,
    STATE(7119), 1,
      aux_sym_template_argument_list_repeat1,
  [275371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12155), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12157), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12159), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(592), 1,
      sym_declaration_list,
  [275423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      anon_sym_RBRACK,
    ACTIONS(12161), 1,
      anon_sym_COMMA,
    STATE(7121), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12164), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
    STATE(3386), 1,
      sym_template_function,
  [275449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2441), 1,
      sym_template_function,
  [275462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym___attribute,
    ACTIONS(6552), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12168), 1,
      anon_sym_GT2,
    STATE(7128), 1,
      aux_sym_template_argument_list_repeat1,
  [275486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12170), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12172), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12174), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8748), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [275534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym___attribute,
    ACTIONS(6556), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7202), 1,
      aux_sym_attribute_declaration_repeat1,
  [275558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_RBRACE,
    ACTIONS(12178), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [275571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12180), 1,
      anon_sym_RPAREN,
    STATE(7165), 1,
      sym_gnu_asm_input_operand_list,
  [275584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12182), 1,
      anon_sym_RPAREN,
    STATE(7166), 1,
      sym_gnu_asm_output_operand_list,
  [275597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12184), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12186), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 1,
      sym_identifier,
    STATE(2426), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_template_function,
  [275636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12190), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_GT2,
    STATE(7142), 1,
      aux_sym_template_argument_list_repeat1,
  [275662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12194), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12196), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12198), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    ACTIONS(12200), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [275712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12204), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [275725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [275738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12208), 1,
      anon_sym_GT2,
    STATE(7149), 1,
      aux_sym_template_argument_list_repeat1,
  [275751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12210), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12212), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_RPAREN,
    STATE(7446), 1,
      aux_sym_parameter_list_repeat1,
  [275803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12124), 1,
      anon_sym_catch,
    STATE(1821), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12218), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [275823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12220), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3524), 1,
      sym_template_function,
  [275836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12222), 1,
      anon_sym_GT2,
    STATE(7157), 1,
      aux_sym_template_argument_list_repeat1,
  [275849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12224), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12226), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12228), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [275888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12230), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [275901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      anon_sym_RPAREN,
    STATE(7184), 1,
      aux_sym_preproc_argument_list_repeat1,
  [275914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute,
    ACTIONS(6560), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_template_function,
  [275938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12236), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2441), 1,
      sym_template_function,
  [275951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 1,
      anon_sym___attribute,
    ACTIONS(6564), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12238), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [275975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12240), 1,
      anon_sym_RPAREN,
    STATE(7169), 1,
      sym_gnu_asm_clobber_list,
  [275988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12242), 1,
      anon_sym_RPAREN,
    STATE(7170), 1,
      sym_gnu_asm_input_operand_list,
  [276001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12244), 1,
      anon_sym_constexpr,
    STATE(211), 1,
      sym_condition_clause,
  [276014] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(7048), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12248), 1,
      anon_sym_RPAREN,
    STATE(8418), 1,
      sym_gnu_asm_goto_list,
  [276038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12250), 1,
      anon_sym_RPAREN,
    STATE(7171), 1,
      sym_gnu_asm_clobber_list,
  [276051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12252), 1,
      anon_sym_RPAREN,
    STATE(8437), 1,
      sym_gnu_asm_goto_list,
  [276064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12254), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [276077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 1,
      anon_sym___attribute,
    ACTIONS(6576), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym___attribute,
    ACTIONS(6580), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_SEMI,
    STATE(7276), 1,
      aux_sym_declaration_repeat1,
  [276112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 1,
      anon_sym___attribute,
    ACTIONS(6588), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12258), 1,
      anon_sym_default,
    ACTIONS(12260), 1,
      anon_sym_delete,
    ACTIONS(12262), 1,
      aux_sym_pure_virtual_clause_token1,
  [276136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12264), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 1,
      anon_sym_catch,
    STATE(223), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12268), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [276173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    ACTIONS(6337), 1,
      anon_sym_SEMI,
    STATE(1831), 1,
      sym_template_argument_list,
  [276186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_COMMA,
    ACTIONS(12272), 1,
      anon_sym_RBRACK,
    STATE(7247), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [276199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12218), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [276208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    ACTIONS(12274), 1,
      anon_sym_COMMA,
    STATE(7184), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    STATE(7384), 1,
      aux_sym_base_class_clause_repeat1,
  [276234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
    ACTIONS(8700), 1,
      anon_sym_COMMA,
    STATE(7405), 1,
      aux_sym_initializer_list_repeat1,
  [276247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_RPAREN,
    STATE(7184), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12279), 1,
      anon_sym_SEMI,
    STATE(7228), 1,
      aux_sym_declaration_repeat1,
  [276273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12281), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      anon_sym_RPAREN,
    STATE(7189), 1,
      aux_sym_preproc_params_repeat1,
  [276286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12286), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276299] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_LPAREN2,
    ACTIONS(12288), 1,
      aux_sym_preproc_include_token2,
    STATE(7881), 1,
      sym_preproc_argument_list,
  [276312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12290), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2441), 1,
      sym_template_function,
  [276325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12292), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      sym_gnu_asm_clobber_list,
  [276338] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6991), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12294), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(7211), 1,
      sym_gnu_asm_input_operand_list,
  [276362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [276375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12298), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7212), 1,
      aux_sym_attribute_declaration_repeat1,
  [276388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_COMMA,
    ACTIONS(12300), 1,
      anon_sym_RBRACK,
    STATE(7247), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [276401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_RPAREN,
    STATE(7354), 1,
      aux_sym_parameter_list_repeat1,
  [276414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12304), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12306), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [276425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12124), 1,
      anon_sym_catch,
    STATE(1812), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12308), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [276449] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_LPAREN2,
    ACTIONS(12310), 1,
      aux_sym_preproc_include_token2,
    STATE(7881), 1,
      sym_preproc_argument_list,
  [276462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    STATE(7264), 1,
      aux_sym_argument_list_repeat1,
  [276475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(304), 1,
      sym_declaration_list,
  [276488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_COMMA,
    ACTIONS(12314), 1,
      anon_sym_RPAREN,
    STATE(7189), 1,
      aux_sym_preproc_params_repeat1,
  [276501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12316), 1,
      anon_sym_SEMI,
    STATE(7224), 1,
      aux_sym_declaration_repeat1,
  [276514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12306), 1,
      anon_sym_LBRACE,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [276527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [276540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12323), 1,
      anon_sym_RPAREN,
    STATE(8231), 1,
      sym_gnu_asm_goto_list,
  [276553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12325), 1,
      anon_sym_RPAREN,
    STATE(7229), 1,
      sym_gnu_asm_clobber_list,
  [276566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12327), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [276579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RPAREN,
    STATE(7231), 1,
      aux_sym_argument_list_repeat1,
  [276592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8728), 1,
      anon_sym_COMMA,
    ACTIONS(8730), 1,
      anon_sym_RBRACE,
    STATE(7268), 1,
      aux_sym_initializer_list_repeat1,
  [276605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12329), 1,
      anon_sym_RPAREN,
    STATE(7269), 1,
      sym_gnu_asm_output_operand_list,
  [276618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12331), 1,
      anon_sym_COMMA,
    ACTIONS(12334), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [276631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12336), 1,
      anon_sym_GT2,
    STATE(7452), 1,
      aux_sym_template_argument_list_repeat1,
  [276644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8702), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
    STATE(7233), 1,
      aux_sym_initializer_list_repeat1,
  [276657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12338), 1,
      anon_sym_RPAREN,
    STATE(7234), 1,
      sym_gnu_asm_output_operand_list,
  [276670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12340), 1,
      anon_sym_GT2,
    STATE(7238), 1,
      aux_sym_template_argument_list_repeat1,
  [276683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12342), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [276696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12344), 1,
      anon_sym_SEMI,
    STATE(7240), 1,
      aux_sym_declaration_repeat1,
  [276709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12348), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_catch,
    STATE(392), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12352), 1,
      anon_sym_SEMI,
    STATE(7279), 1,
      aux_sym_declaration_repeat1,
  [276759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12354), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12356), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12358), 1,
      anon_sym_RPAREN,
    STATE(8362), 1,
      sym_gnu_asm_goto_list,
  [276798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12360), 1,
      anon_sym_RPAREN,
    STATE(7282), 1,
      aux_sym_parameter_list_repeat1,
  [276811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12362), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [276824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [276837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    ACTIONS(12366), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [276850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12368), 1,
      anon_sym_RPAREN,
    STATE(7249), 1,
      sym_gnu_asm_input_operand_list,
  [276863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12370), 1,
      anon_sym_RPAREN,
    STATE(7250), 1,
      sym_gnu_asm_output_operand_list,
  [276876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12372), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [276889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12374), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [276902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12376), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [276915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 1,
      anon_sym_catch,
    STATE(226), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12378), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [276939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_catch,
    STATE(393), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    STATE(7284), 1,
      aux_sym_subscript_argument_list_repeat1,
  [276963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COMMA,
    ACTIONS(12383), 1,
      anon_sym_RBRACK,
    STATE(7243), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [276976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(12385), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [276989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_COMMA,
    ACTIONS(12387), 1,
      anon_sym_RBRACK,
    STATE(7182), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [277002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12389), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [277015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12391), 1,
      anon_sym_COMMA,
    ACTIONS(12394), 1,
      anon_sym_RBRACK,
    STATE(7247), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [277028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12398), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12400), 1,
      anon_sym_RPAREN,
    STATE(7252), 1,
      sym_gnu_asm_clobber_list,
  [277052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12402), 1,
      anon_sym_RPAREN,
    STATE(7253), 1,
      sym_gnu_asm_input_operand_list,
  [277065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(623), 1,
      sym_declaration_list,
  [277078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(8435), 1,
      sym_gnu_asm_goto_list,
  [277091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12406), 1,
      anon_sym_RPAREN,
    STATE(7255), 1,
      sym_gnu_asm_clobber_list,
  [277104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(12385), 1,
      anon_sym_LBRACE,
    STATE(7363), 1,
      aux_sym_base_class_clause_repeat1,
  [277117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12408), 1,
      anon_sym_RPAREN,
    STATE(8476), 1,
      sym_gnu_asm_goto_list,
  [277130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [277143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
    ACTIONS(12412), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [277154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(718), 1,
      sym_declaration_list,
  [277167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12416), 1,
      anon_sym_constexpr,
    STATE(186), 1,
      sym_condition_clause,
  [277180] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6856), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12418), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [277200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12422), 1,
      anon_sym_GT2,
    STATE(7376), 1,
      aux_sym_template_parameter_list_repeat1,
  [277213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12424), 1,
      anon_sym_RPAREN,
    STATE(7409), 1,
      sym_gnu_asm_output_operand_list,
  [277226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12426), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [277239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12428), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [277248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12430), 1,
      anon_sym_default,
    ACTIONS(12432), 1,
      anon_sym_delete,
    ACTIONS(12434), 1,
      aux_sym_pure_virtual_clause_token1,
  [277261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(333), 1,
      sym_declaration_list,
  [277274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_RBRACE,
    ACTIONS(12436), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [277287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12438), 1,
      anon_sym_RPAREN,
    STATE(7300), 1,
      sym_gnu_asm_input_operand_list,
  [277300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12440), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      sym_gnu_asm_output_operand_list,
  [277313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12442), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [277326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12444), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7293), 1,
      aux_sym_attribute_declaration_repeat1,
  [277339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12446), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [277352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12448), 1,
      anon_sym_RPAREN,
    STATE(8246), 1,
      sym_gnu_asm_goto_list,
  [277365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_while,
    ACTIONS(12450), 1,
      anon_sym_else,
    STATE(460), 1,
      sym_else_clause,
  [277378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12452), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12454), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [277402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_while,
    ACTIONS(12450), 1,
      anon_sym_else,
    STATE(433), 1,
      sym_else_clause,
  [277415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12458), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COMMA,
    ACTIONS(12463), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12465), 1,
      anon_sym_catch,
    STATE(835), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12467), 1,
      anon_sym_RPAREN,
    STATE(7446), 1,
      aux_sym_parameter_list_repeat1,
  [277465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 1,
      anon_sym_catch,
    STATE(227), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(12469), 1,
      anon_sym_RBRACK,
    STATE(7121), 1,
      aux_sym_subscript_argument_list_repeat1,
  [277489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      anon_sym_SEMI,
    STATE(7308), 1,
      aux_sym_declaration_repeat1,
  [277502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12473), 1,
      anon_sym_constexpr,
    STATE(203), 1,
      sym_condition_clause,
  [277515] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(7047), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12475), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_COMMA,
    ACTIONS(12477), 1,
      anon_sym_RPAREN,
    STATE(7184), 1,
      aux_sym_preproc_argument_list_repeat1,
  [277539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [277552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12481), 1,
      anon_sym_COMMA,
    ACTIONS(12484), 1,
      anon_sym_RPAREN,
    STATE(7290), 1,
      aux_sym_throw_specifier_repeat1,
  [277565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8710), 1,
      anon_sym_COMMA,
    ACTIONS(8712), 1,
      anon_sym_RBRACE,
    STATE(7057), 1,
      aux_sym_initializer_list_repeat1,
  [277578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_default,
    ACTIONS(12488), 1,
      anon_sym_delete,
    ACTIONS(12490), 1,
      aux_sym_pure_virtual_clause_token1,
  [277591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12492), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [277604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8665), 1,
      anon_sym_RPAREN,
    STATE(7314), 1,
      aux_sym_argument_list_repeat1,
  [277617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12494), 1,
      anon_sym_RPAREN,
    STATE(7061), 1,
      sym_gnu_asm_output_operand_list,
  [277630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [277639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12496), 1,
      anon_sym_GT2,
    STATE(7072), 1,
      aux_sym_template_argument_list_repeat1,
  [277652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8669), 1,
      anon_sym_RBRACE,
    STATE(7316), 1,
      aux_sym_initializer_list_repeat1,
  [277665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12498), 1,
      anon_sym_RPAREN,
    STATE(7318), 1,
      sym_gnu_asm_output_operand_list,
  [277678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12500), 1,
      anon_sym_RPAREN,
    STATE(7323), 1,
      sym_gnu_asm_clobber_list,
  [277691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12502), 1,
      anon_sym_RPAREN,
    STATE(7325), 1,
      sym_gnu_asm_input_operand_list,
  [277704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12504), 1,
      anon_sym_GT2,
    STATE(7322), 1,
      aux_sym_template_argument_list_repeat1,
  [277717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12506), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [277728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 1,
      anon_sym_COMMA,
    ACTIONS(12510), 1,
      anon_sym_RPAREN,
    STATE(7443), 1,
      aux_sym_requires_parameter_list_repeat1,
  [277741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12512), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7221), 1,
      aux_sym_attribute_declaration_repeat1,
  [277754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12514), 1,
      anon_sym_SEMI,
    STATE(7326), 1,
      aux_sym_declaration_repeat1,
  [277767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12516), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_GT2,
    STATE(7077), 1,
      aux_sym_template_parameter_list_repeat1,
  [277806] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(7040), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12522), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_catch,
    STATE(1630), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_default,
    ACTIONS(12528), 1,
      anon_sym_delete,
    ACTIONS(12530), 1,
      aux_sym_pure_virtual_clause_token1,
  [277841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12532), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7407), 1,
      aux_sym_attribute_declaration_repeat1,
  [277854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12534), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [277867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12538), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RBRACE,
    ACTIONS(12540), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [277891] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6853), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12542), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
    STATE(7331), 1,
      sym_gnu_asm_input_operand_list,
  [277915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
    STATE(7332), 1,
      sym_gnu_asm_output_operand_list,
  [277928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12548), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [277941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12550), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [277954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12552), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [277967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12554), 1,
      anon_sym_RPAREN,
    STATE(8060), 1,
      sym_gnu_asm_goto_list,
  [277980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12556), 1,
      anon_sym_default,
    ACTIONS(12558), 1,
      anon_sym_delete,
    ACTIONS(12560), 1,
      aux_sym_pure_virtual_clause_token1,
  [277993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12562), 1,
      anon_sym_RPAREN,
    STATE(7339), 1,
      sym_gnu_asm_clobber_list,
  [278006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12564), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_catch,
    STATE(1637), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12566), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [278039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_default,
    ACTIONS(12570), 1,
      anon_sym_delete,
    ACTIONS(12572), 1,
      aux_sym_pure_virtual_clause_token1,
  [278052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12574), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [278061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12576), 1,
      anon_sym_RPAREN,
    STATE(7334), 1,
      sym_gnu_asm_clobber_list,
  [278074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12578), 1,
      anon_sym_RPAREN,
    STATE(7335), 1,
      sym_gnu_asm_input_operand_list,
  [278087] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6977), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12580), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12582), 1,
      anon_sym_RPAREN,
    STATE(8053), 1,
      sym_gnu_asm_goto_list,
  [278111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12584), 1,
      anon_sym_RPAREN,
    STATE(7336), 1,
      sym_gnu_asm_clobber_list,
  [278124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12586), 1,
      anon_sym_RPAREN,
    STATE(8057), 1,
      sym_gnu_asm_goto_list,
  [278137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12588), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [278150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 1,
      anon_sym_default,
    ACTIONS(12592), 1,
      anon_sym_delete,
    ACTIONS(12594), 1,
      aux_sym_pure_virtual_clause_token1,
  [278163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12596), 1,
      anon_sym_RPAREN,
    STATE(8070), 1,
      sym_gnu_asm_goto_list,
  [278176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11895), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      aux_sym_base_class_clause_repeat1,
  [278189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11895), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [278202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12598), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [278215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(721), 1,
      sym_declaration_list,
  [278228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      anon_sym_LBRACE,
    STATE(7091), 1,
      aux_sym_field_initializer_list_repeat1,
  [278241] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6884), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12604), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12606), 1,
      anon_sym_SEMI,
    STATE(7090), 1,
      aux_sym_declaration_repeat1,
  [278265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12608), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_RBRACE,
    ACTIONS(12610), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [278291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278304] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6840), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12615), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12619), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [278326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12621), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [278339] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6995), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12623), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_COMMA,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
    STATE(7446), 1,
      aux_sym_parameter_list_repeat1,
  [278363] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6999), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12627), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278374] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    STATE(6873), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12629), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
    STATE(7069), 1,
      sym_gnu_asm_clobber_list,
  [278398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    STATE(7071), 1,
      sym_gnu_asm_input_operand_list,
  [278411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_RBRACK,
    STATE(7445), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [278424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11611), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12637), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12639), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7375), 1,
      aux_sym_attribute_declaration_repeat1,
  [278448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12643), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [278459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(12645), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [278472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 1,
      anon_sym_COMMA,
    ACTIONS(12650), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [278485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12145), 1,
      anon_sym_catch,
    STATE(402), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym___attribute,
    ACTIONS(6474), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [278507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_COMMA,
    ACTIONS(12652), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [278520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_catch,
    STATE(1631), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8637), 1,
      anon_sym_RBRACK,
    STATE(7113), 1,
      aux_sym_subscript_argument_list_repeat1,
  [278544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_COMMA,
    ACTIONS(12654), 1,
      anon_sym_RBRACK,
    STATE(7198), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12656), 1,
      anon_sym_SEMI,
    STATE(7388), 1,
      aux_sym_declaration_repeat1,
  [278570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12658), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [278592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12662), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12664), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [278614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_COMMA,
    ACTIONS(12666), 1,
      anon_sym_GT2,
    STATE(7415), 1,
      aux_sym_template_parameter_list_repeat1,
  [278627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    STATE(7393), 1,
      aux_sym_argument_list_repeat1,
  [278640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12668), 1,
      anon_sym_constexpr,
    STATE(170), 1,
      sym_condition_clause,
  [278653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12670), 1,
      anon_sym_LBRACE,
    STATE(7344), 1,
      aux_sym_field_initializer_list_repeat1,
  [278666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12672), 1,
      anon_sym_RPAREN,
    STATE(7395), 1,
      sym_gnu_asm_output_operand_list,
  [278679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_COMMA,
    ACTIONS(12676), 1,
      anon_sym_RPAREN,
    STATE(7447), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [278692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12678), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [278701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12680), 1,
      anon_sym_GT2,
    STATE(7399), 1,
      aux_sym_template_argument_list_repeat1,
  [278714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      aux_sym_base_class_clause_repeat1,
  [278727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_LBRACE,
    STATE(7244), 1,
      aux_sym_base_class_clause_repeat1,
  [278740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12682), 1,
      anon_sym_SEMI,
    STATE(7400), 1,
      aux_sym_declaration_repeat1,
  [278753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12686), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(1804), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      anon_sym_catch,
    STATE(311), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12692), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [278810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12694), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12696), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [278821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [278834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [278843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(7402), 1,
      sym_gnu_asm_input_operand_list,
  [278856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(7403), 1,
      sym_gnu_asm_output_operand_list,
  [278869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [278882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12708), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [278895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12710), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [278908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12712), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [278921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(1817), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(7404), 1,
      sym_gnu_asm_clobber_list,
  [278945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    STATE(7406), 1,
      sym_gnu_asm_input_operand_list,
  [278958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_gnu_asm_goto_list,
  [278971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RBRACE,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_initializer_list_repeat1,
  [278984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      sym_gnu_asm_clobber_list,
  [278997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [279010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12726), 1,
      anon_sym_RPAREN,
    STATE(8329), 1,
      sym_gnu_asm_goto_list,
  [279023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_COLON,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(7357), 1,
      sym_gnu_asm_input_operand_list,
  [279036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_COLON,
    ACTIONS(12730), 1,
      anon_sym_RPAREN,
    STATE(7358), 1,
      sym_gnu_asm_output_operand_list,
  [279049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    STATE(7232), 1,
      aux_sym_argument_list_repeat1,
  [279062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_COMMA,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    STATE(7206), 1,
      aux_sym_preproc_params_repeat1,
  [279075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12145), 1,
      anon_sym_catch,
    STATE(351), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_SEMI,
    STATE(7190), 1,
      aux_sym_declaration_repeat1,
  [279099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12736), 1,
      anon_sym_COMMA,
    ACTIONS(12739), 1,
      anon_sym_GT2,
    STATE(7415), 1,
      aux_sym_template_parameter_list_repeat1,
  [279112] = 4,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_LPAREN2,
    ACTIONS(12741), 1,
      aux_sym_preproc_include_token2,
    STATE(7881), 1,
      sym_preproc_argument_list,
  [279125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      anon_sym_catch,
    STATE(437), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12743), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7425), 1,
      aux_sym_attribute_declaration_repeat1,
  [279149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12745), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_COMMA,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym_generic_expression_repeat1,
  [279175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(1797), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 1,
      anon_sym_COMMA,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(7304), 1,
      aux_sym_requires_parameter_list_repeat1,
  [279199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12754), 1,
      anon_sym_SEMI,
    STATE(7434), 1,
      aux_sym_declaration_repeat1,
  [279212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(5951), 1,
      sym_template_function,
  [279225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12758), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7216), 1,
      aux_sym_attribute_declaration_repeat1,
  [279238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_RPAREN,
    STATE(7111), 1,
      aux_sym_argument_list_repeat1,
  [279260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12764), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    ACTIONS(12766), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7074), 1,
      aux_sym_attribute_declaration_repeat1,
  [279286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12768), 1,
      anon_sym_GT2,
    STATE(7441), 1,
      aux_sym_template_argument_list_repeat1,
  [279299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12772), 1,
      anon_sym_SEMI,
    STATE(7442), 1,
      aux_sym_declaration_repeat1,
  [279321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [279334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12776), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [279347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
  [279360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    STATE(654), 1,
      sym_declaration_list,
  [279386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12784), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12786), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12788), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_COMMA,
    ACTIONS(12790), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [279447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 1,
      anon_sym_COMMA,
    ACTIONS(12795), 1,
      anon_sym_RPAREN,
    STATE(7443), 1,
      aux_sym_requires_parameter_list_repeat1,
  [279460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12797), 1,
      sym_identifier,
    ACTIONS(12799), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [279471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(12801), 1,
      anon_sym_RBRACK,
    STATE(7243), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [279484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
    STATE(7446), 1,
      aux_sym_parameter_list_repeat1,
  [279497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_COMMA,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
    STATE(7451), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [279510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    ACTIONS(12810), 1,
      anon_sym_constexpr,
    STATE(174), 1,
      sym_condition_clause,
  [279523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_catch,
    STATE(353), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      anon_sym_catch,
    STATE(483), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      anon_sym_COMMA,
    ACTIONS(12815), 1,
      anon_sym_RPAREN,
    STATE(7451), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [279558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(12817), 1,
      anon_sym_GT2,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
  [279571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12821), 1,
      anon_sym_RBRACE,
  [279581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2863), 1,
      sym_field_declaration_list,
  [279591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4849), 1,
      sym_field_declaration_list,
  [279601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7429), 1,
      sym_attribute,
  [279611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
  [279621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(7746), 1,
      sym_condition_clause,
  [279631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1773), 1,
      sym_compound_statement,
  [279641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(204), 1,
      sym_condition_clause,
  [279651] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12825), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12827), 1,
      sym_preproc_arg,
  [279661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7449), 1,
      sym_compound_statement,
  [279671] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12829), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12831), 1,
      sym_preproc_arg,
  [279681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
  [279691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
  [279701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12835), 1,
      anon_sym_RBRACE,
  [279711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8518), 1,
      sym_argument_list,
  [279721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6848), 1,
      sym_compound_statement,
  [279731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(166), 1,
      sym_condition_clause,
  [279741] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12837), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12839), 1,
      sym_preproc_arg,
  [279751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_LT,
    STATE(2095), 1,
      sym_template_argument_list,
  [279761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2568), 1,
      sym_field_declaration_list,
  [279771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      sym_identifier,
    ACTIONS(12845), 1,
      anon_sym_LPAREN2,
  [279781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym_compound_statement,
  [279791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_compound_statement,
  [279801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [279811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
  [279821] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12847), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12849), 1,
      sym_preproc_arg,
  [279831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7833), 1,
      sym_parenthesized_expression,
  [279841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7683), 1,
      sym_parameter_list,
  [279851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [279861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
  [279871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3983), 1,
      sym_field_declaration_list,
  [279881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7151), 1,
      sym_compound_statement,
  [279891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_compound_statement,
  [279901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7538), 1,
      sym_parenthesized_expression,
  [279911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3068), 1,
      sym_field_declaration_list,
  [279921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3069), 1,
      sym_field_declaration_list,
  [279931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3984), 1,
      sym_field_declaration_list,
  [279941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
  [279951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_LT,
    STATE(3507), 1,
      sym_template_argument_list,
  [279961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_compound_statement,
  [279971] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12855), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12857), 1,
      sym_preproc_arg,
  [279981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_declaration_list,
  [279991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [279999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_requirement_seq,
  [280009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
  [280019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [280029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_compound_statement,
  [280039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
  [280049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
  [280059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7197), 1,
      sym_attribute,
  [280069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(7474), 1,
      sym_condition_clause,
  [280079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [280087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7201), 1,
      sym_compound_statement,
  [280097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12863), 1,
      anon_sym_RBRACE,
  [280107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8086), 1,
      sym_argument_list,
  [280117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6929), 1,
      sym_compound_statement,
  [280127] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12865), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12867), 1,
      sym_preproc_arg,
  [280137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1670), 1,
      sym_compound_statement,
  [280147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12454), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [280155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(8289), 1,
      sym_parenthesized_expression,
  [280165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7593), 1,
      sym_parameter_list,
  [280175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      anon_sym_LT,
    STATE(2622), 1,
      sym_template_argument_list,
  [280185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2834), 1,
      sym_field_declaration_list,
  [280195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(865), 1,
      sym_compound_statement,
  [280205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7241), 1,
      sym_compound_statement,
  [280215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12871), 1,
      anon_sym_RBRACE,
  [280225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7623), 1,
      sym_parenthesized_expression,
  [280235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2796), 1,
      sym_field_declaration_list,
  [280245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(2998), 1,
      sym_field_declaration_list,
  [280255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [280263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7272), 1,
      sym_attribute,
  [280273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      anon_sym_LT,
    STATE(3343), 1,
      sym_template_argument_list,
  [280283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7281), 1,
      sym_compound_statement,
  [280293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(188), 1,
      sym_condition_clause,
  [280303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8359), 1,
      anon_sym_LT,
    STATE(4309), 1,
      sym_template_argument_list,
  [280313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7390), 1,
      sym_compound_statement,
  [280323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12873), 1,
      anon_sym_RBRACE,
  [280333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10739), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [280343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(7872), 1,
      sym_argument_list,
  [280353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [280361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_compound_statement,
  [280371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_compound_statement,
  [280381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(4001), 1,
      sym_field_declaration_list,
  [280391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_field_declaration_list,
  [280401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2559), 1,
      sym_field_declaration_list,
  [280411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_compound_statement,
  [280421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7533), 1,
      sym_parameter_list,
  [280431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_compound_statement,
  [280441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4852), 1,
      sym_field_declaration_list,
  [280451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7327), 1,
      sym_compound_statement,
  [280461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7544), 1,
      sym_parenthesized_expression,
  [280471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_compound_statement,
  [280481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [280491] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12875), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12877), 1,
      sym_preproc_arg,
  [280501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7305), 1,
      sym_attribute,
  [280511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7361), 1,
      sym_attribute,
  [280521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_declaration_list,
  [280531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7368), 1,
      sym_compound_statement,
  [280541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12879), 1,
      anon_sym_RBRACE,
  [280551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2776), 1,
      sym_field_declaration_list,
  [280561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8217), 1,
      sym_argument_list,
  [280571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      sym_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN2,
  [280589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12885), 1,
      sym_identifier,
    STATE(2610), 1,
      sym_template_type,
  [280599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(7620), 1,
      sym_condition_clause,
  [280609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(213), 1,
      sym_condition_clause,
  [280619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7657), 1,
      sym_parameter_list,
  [280629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_compound_statement,
  [280639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [280647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7413), 1,
      sym_compound_statement,
  [280657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7401), 1,
      sym_compound_statement,
  [280667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(181), 1,
      sym_condition_clause,
  [280677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
  [280687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7418), 1,
      sym_attribute,
  [280697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(2150), 1,
      sym_field_declaration_list,
  [280707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7421), 1,
      sym_compound_statement,
  [280717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8446), 1,
      sym_argument_list,
  [280735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [280745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_compound_statement,
  [280755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12100), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [280763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7741), 1,
      sym_parameter_list,
  [280773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_LT,
    STATE(2349), 1,
      sym_template_argument_list,
  [280783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12893), 1,
      anon_sym_RBRACE,
  [280793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8565), 1,
      sym_argument_list,
  [280811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7747), 1,
      sym_parenthesized_expression,
  [280821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LBRACE,
    STATE(2578), 1,
      sym_field_declaration_list,
  [280831] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12895), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12897), 1,
      sym_preproc_arg,
  [280841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
  [280851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8234), 1,
      sym_argument_list,
  [280861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_field_declaration_list,
  [280871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_LT,
    STATE(1870), 1,
      sym_template_argument_list,
  [280881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 1,
      sym_identifier,
    STATE(3764), 1,
      sym_template_type,
  [280891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8082), 1,
      sym_argument_list,
  [280901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2911), 1,
      sym_field_declaration_list,
  [280911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    STATE(4224), 1,
      sym_requirement_seq,
  [280921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6964), 1,
      sym_compound_statement,
  [280931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      sym_identifier,
    STATE(2820), 1,
      sym_template_type,
  [280941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6900), 1,
      sym_compound_statement,
  [280951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(1861), 1,
      sym_compound_statement,
  [280961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_compound_statement,
  [280971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym_compound_statement,
  [280981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [280989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      anon_sym_LT,
    STATE(3486), 1,
      sym_template_argument_list,
  [281007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_compound_statement,
  [281017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [281027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_LT,
    STATE(2349), 1,
      sym_template_argument_list,
  [281037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12383), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [281055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4362), 1,
      sym_field_declaration_list,
  [281065] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12909), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12911), 1,
      sym_preproc_arg,
  [281075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      sym_identifier,
    STATE(4341), 1,
      sym_template_type,
  [281085] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12915), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12917), 1,
      sym_preproc_arg,
  [281095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_RBRACK,
    ACTIONS(12919), 1,
      anon_sym_COMMA,
  [281105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7313), 1,
      sym_attribute,
  [281115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(193), 1,
      sym_condition_clause,
  [281125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(172), 1,
      sym_condition_clause,
  [281135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_requirement_seq,
  [281145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_compound_statement,
  [281155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_LBRACE,
    STATE(3450), 1,
      sym_initializer_list,
  [281173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1921), 1,
      sym_compound_statement,
  [281183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(8194), 1,
      sym_parenthesized_expression,
  [281193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [281201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_compound_statement,
  [281211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_compound_statement,
  [281221] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12923), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12925), 1,
      sym_preproc_arg,
  [281231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
  [281241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_compound_statement,
  [281251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12398), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [281267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_declaration_list,
  [281277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [281285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [281295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2853), 1,
      sym_field_declaration_list,
  [281305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12929), 1,
      anon_sym_SEMI,
  [281315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_field_declaration_list,
  [281325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4451), 1,
      sym_field_declaration_list,
  [281335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8481), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
  [281345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [281355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_LBRACE,
    STATE(3993), 1,
      sym_field_declaration_list,
  [281365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3354), 1,
      sym_requirement_seq,
  [281375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11625), 1,
      anon_sym_LBRACE,
    STATE(5860), 1,
      sym_requirement_seq,
  [281385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym_declaration_list,
  [281395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6976), 1,
      sym_compound_statement,
  [281405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_LBRACE,
    STATE(2519), 1,
      sym_initializer_list,
  [281415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_compound_statement,
  [281425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7131), 1,
      sym_attribute,
  [281435] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12931), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12933), 1,
      sym_preproc_arg,
  [281445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(8170), 1,
      sym_parenthesized_expression,
  [281455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(7599), 1,
      sym_condition_clause,
  [281465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1941), 1,
      sym_compound_statement,
  [281475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(187), 1,
      sym_condition_clause,
  [281485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7613), 1,
      sym_parameter_list,
  [281495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12935), 1,
      anon_sym_RBRACE,
  [281505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7179), 1,
      sym_compound_statement,
  [281515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_LBRACE,
    STATE(4412), 1,
      sym_field_declaration_list,
  [281525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      anon_sym_LPAREN2,
    ACTIONS(12939), 1,
      sym_raw_string_delimiter,
  [281535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [281545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12941), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_template_type,
  [281555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(719), 1,
      sym_declaration_list,
  [281565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_field_declaration_list,
  [281575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      anon_sym_LBRACE,
    STATE(1656), 1,
      sym_compound_statement,
  [281585] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12943), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12945), 1,
      sym_preproc_arg,
  [281595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8720), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [281603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_compound_statement,
  [281613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(7996), 1,
      sym_argument_list,
  [281623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym_compound_statement,
  [281633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12696), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [281649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4975), 1,
      sym_field_declaration_list,
  [281659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4964), 1,
      sym_field_declaration_list,
  [281669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4965), 1,
      sym_field_declaration_list,
  [281679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(4970), 1,
      sym_field_declaration_list,
  [281689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6855), 1,
      sym_compound_statement,
  [281699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(195), 1,
      sym_condition_clause,
  [281709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(725), 1,
      sym_declaration_list,
  [281719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12947), 1,
      anon_sym_SEMI,
  [281729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_LT,
    STATE(3748), 1,
      sym_template_argument_list,
  [281739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [281747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      sym_identifier,
    STATE(7522), 1,
      sym_attribute,
  [281757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12284), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_field_declaration_list,
  [281775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_compound_statement,
  [281785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(2417), 1,
      sym_requirement_seq,
  [281795] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12951), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12953), 1,
      sym_preproc_arg,
  [281805] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12955), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12957), 1,
      sym_preproc_arg,
  [281815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12959), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [281823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_compound_statement,
  [281833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(334), 1,
      sym_declaration_list,
  [281843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_RBRACE,
  [281853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(7754), 1,
      sym_condition_clause,
  [281863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(8639), 1,
      sym_parenthesized_expression,
  [281873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2349), 1,
      sym_template_argument_list,
  [281891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    STATE(4796), 1,
      sym_initializer_list,
  [281901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12965), 1,
      sym_identifier,
    STATE(2533), 1,
      sym_template_type,
  [281911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7733), 1,
      sym_parameter_list,
  [281921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(196), 1,
      sym_condition_clause,
  [281931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8266), 1,
      sym_argument_list,
  [281941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      sym_identifier,
    STATE(2126), 1,
      sym_template_type,
  [281951] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12969), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12971), 1,
      sym_preproc_arg,
  [281961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(602), 1,
      sym_declaration_list,
  [281971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACE,
    STATE(2801), 1,
      sym_field_declaration_list,
  [281981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2908), 1,
      sym_field_declaration_list,
  [281991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    STATE(3741), 1,
      sym_initializer_list,
  [282001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7283), 1,
      sym_compound_statement,
  [282011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_field_declaration_list,
  [282021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7450), 1,
      sym_compound_statement,
  [282031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      anon_sym_LBRACE,
    STATE(5548), 1,
      sym_requirement_seq,
  [282041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7475), 1,
      sym_parenthesized_expression,
  [282051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [282061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(753), 1,
      sym_declaration_list,
  [282071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 1,
      sym_identifier,
    STATE(2113), 1,
      sym_template_type,
  [282081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8655), 1,
      anon_sym_LT,
    STATE(2522), 1,
      sym_template_argument_list,
  [282091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2199), 1,
      sym_field_declaration_list,
  [282109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_LPAREN2,
    ACTIONS(12979), 1,
      sym_raw_string_delimiter,
  [282119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7112), 1,
      sym_compound_statement,
  [282129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12981), 1,
      sym_identifier,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
  [282139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10778), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [282149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3560), 1,
      sym_field_declaration_list,
  [282159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_compound_statement,
  [282169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2898), 1,
      sym_field_declaration_list,
  [282179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2901), 1,
      sym_field_declaration_list,
  [282189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3564), 1,
      sym_field_declaration_list,
  [282199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3565), 1,
      sym_field_declaration_list,
  [282209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(3568), 1,
      sym_field_declaration_list,
  [282219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [282227] = 3,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12987), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12989), 1,
      sym_preproc_arg,
  [282237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(179), 1,
      sym_condition_clause,
  [282247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(379), 1,
      sym_compound_statement,
  [282257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    STATE(3869), 1,
      sym_initializer_list,
  [282267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [282275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
  [282285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LPAREN2,
    STATE(7485), 1,
      sym_parameter_list,
  [282295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(3896), 1,
      sym_initializer_list,
  [282313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(231), 1,
      sym_compound_statement,
  [282323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12993), 1,
      anon_sym_SEMI,
  [282333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_declaration_list,
  [282343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3057), 1,
      sym_field_declaration_list,
  [282353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(2861), 1,
      sym_field_declaration_list,
  [282363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12995), 1,
      sym_identifier,
    STATE(2426), 1,
      sym_template_type,
  [282373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(192), 1,
      sym_condition_clause,
  [282383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    STATE(7619), 1,
      sym_parenthesized_expression,
  [282393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1873), 1,
      sym_compound_statement,
  [282403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      sym_field_declaration_list,
  [282421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12997), 1,
      anon_sym_SEMI,
  [282431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    ACTIONS(12999), 1,
      anon_sym_RBRACE,
  [282441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [282451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_compound_statement,
  [282461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [282469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_LPAREN2,
    STATE(8151), 1,
      sym_argument_list,
  [282479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7945), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_compound_statement,
  [282505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13005), 1,
      sym_raw_string_delimiter,
  [282515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_compound_statement,
  [282525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_LT,
    STATE(2590), 1,
      sym_template_argument_list,
  [282551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
  [282561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      anon_sym_LPAREN2,
    ACTIONS(13011), 1,
      sym_raw_string_delimiter,
  [282571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      sym_identifier,
    STATE(2689), 1,
      sym_template_type,
  [282581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      sym_identifier,
    STATE(1689), 1,
      sym_template_type,
  [282591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      anon_sym_LPAREN2,
    ACTIONS(13019), 1,
      sym_raw_string_delimiter,
  [282601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    ACTIONS(13023), 1,
      sym_raw_string_delimiter,
  [282619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [282629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13025), 1,
      anon_sym_LPAREN2,
    ACTIONS(13027), 1,
      sym_raw_string_delimiter,
  [282647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_LPAREN2,
    ACTIONS(13031), 1,
      sym_raw_string_delimiter,
  [282657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      anon_sym_LPAREN2,
    ACTIONS(13035), 1,
      sym_raw_string_delimiter,
  [282667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_LPAREN2,
    ACTIONS(13039), 1,
      sym_raw_string_delimiter,
  [282677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_LPAREN2,
    ACTIONS(13043), 1,
      sym_raw_string_delimiter,
  [282687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      anon_sym_LPAREN2,
    ACTIONS(13047), 1,
      sym_raw_string_delimiter,
  [282697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_LPAREN2,
    ACTIONS(13051), 1,
      sym_raw_string_delimiter,
  [282707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_LPAREN2,
    ACTIONS(13055), 1,
      sym_raw_string_delimiter,
  [282717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_LPAREN2,
    ACTIONS(13059), 1,
      sym_raw_string_delimiter,
  [282727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_LPAREN2,
    ACTIONS(13063), 1,
      sym_raw_string_delimiter,
  [282737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      anon_sym_LPAREN2,
    ACTIONS(13067), 1,
      sym_raw_string_delimiter,
  [282747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_field_declaration_list,
  [282765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    STATE(3477), 1,
      sym_requirement_seq,
  [282775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
  [282785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_declaration_list,
  [282795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_LBRACE,
    STATE(4842), 1,
      sym_field_declaration_list,
  [282805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    STATE(3659), 1,
      sym_requirement_seq,
  [282815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_declaration_list,
  [282825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      sym_identifier,
  [282832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_GT_GT_EQ,
  [282839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_RBRACE,
  [282846] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10000), 1,
      aux_sym_preproc_include_token2,
  [282853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      sym_identifier,
  [282860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
  [282867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      sym_identifier,
  [282874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13081), 1,
      anon_sym_RPAREN,
  [282881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_RPAREN,
  [282888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
  [282895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_RPAREN,
  [282902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_AMP_EQ,
  [282909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_RPAREN,
  [282916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      sym_identifier,
  [282923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      sym_identifier,
  [282930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13095), 1,
      anon_sym_RPAREN,
  [282937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      sym_raw_string_delimiter,
  [282944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      aux_sym_preproc_if_token2,
  [282951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_CARET_EQ,
  [282958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PIPE_EQ,
  [282965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      anon_sym_RBRACE,
  [282972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_SEMI,
  [282979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
  [282986] = 2,
    ACTIONS(5657), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9919), 1,
      sym_comment,
  [282993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      sym_identifier,
  [283000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      sym_identifier,
  [283007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
  [283014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_SEMI,
  [283021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_SEMI,
  [283028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_COMMA,
  [283035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_SEMI,
  [283042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_or,
  [283049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_DQUOTE,
  [283056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      aux_sym_preproc_if_token2,
  [283063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11145), 1,
      anon_sym_SEMI,
  [283070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      aux_sym_preproc_if_token2,
  [283077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      sym_identifier,
  [283084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8519), 1,
      anon_sym_SEMI,
  [283091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7880), 1,
      sym_identifier,
  [283098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [283105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
  [283112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      sym_identifier,
  [283119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11165), 1,
      anon_sym_SEMI,
  [283126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      anon_sym_RPAREN,
  [283133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_SEMI,
  [283140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_and,
  [283147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_STAR,
  [283154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_SEMI,
  [283161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      anon_sym_SEMI,
  [283168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_DQUOTE,
  [283175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      sym_identifier,
  [283182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      sym_identifier,
  [283189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_COLON,
  [283196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_bitor,
  [283203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_RPAREN,
  [283210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
  [283217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_xor,
  [283224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_SEMI,
  [283231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_SEMI,
  [283238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_SEMI,
  [283245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      sym_identifier,
  [283252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_LPAREN2,
  [283259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8822), 1,
      anon_sym_SEMI,
  [283266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LPAREN2,
  [283273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_RPAREN,
  [283280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_RPAREN,
  [283287] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13167), 1,
      aux_sym_preproc_include_token2,
  [283294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_STAR,
  [283301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      aux_sym_preproc_if_token2,
  [283308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_RPAREN,
  [283315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_DQUOTE,
  [283322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_bitand,
  [283329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_STAR,
  [283336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_RBRACE,
  [283343] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13179), 1,
      aux_sym_preproc_include_token2,
  [283350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_not_eq,
  [283357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_DOT_STAR,
  [283364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_RBRACE,
  [283371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_DASH_GT_STAR,
  [283378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_RPAREN,
  [283385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_RPAREN,
  [283392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
  [283399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_DQUOTE,
  [283406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_DQUOTE,
  [283413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
  [283420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_RPAREN,
  [283427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [283434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11707), 1,
      anon_sym_SEMI,
  [283441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_RPAREN,
  [283448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_LPAREN2,
  [283455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_DQUOTE,
  [283462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      sym_this,
  [283469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_RBRACE,
  [283476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      aux_sym_preproc_if_token2,
  [283483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      aux_sym_preproc_if_token2,
  [283490] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10040), 1,
      aux_sym_preproc_include_token2,
  [283497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_RPAREN,
  [283504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
  [283511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_RPAREN,
  [283518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      sym_identifier,
  [283525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_RPAREN,
  [283532] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13213), 1,
      aux_sym_preproc_include_token2,
  [283539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
  [283546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
  [283553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_SEMI,
  [283560] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12288), 1,
      aux_sym_preproc_include_token2,
  [283567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
  [283574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_RBRACE,
  [283581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_SEMI,
  [283588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      sym_identifier,
  [283595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_COLON,
  [283602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_SEMI,
  [283609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_LBRACE,
  [283616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_DQUOTE,
  [283623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
  [283630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_RPAREN,
  [283637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_RPAREN,
  [283644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_RPAREN,
  [283651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      sym_identifier,
  [283658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8669), 1,
      anon_sym_RBRACE,
  [283665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      anon_sym_RPAREN,
  [283672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_RPAREN,
  [283679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_RPAREN,
  [283686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      anon_sym_RPAREN,
  [283693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_DASH,
  [283700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_RPAREN,
  [283707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      sym_raw_string_delimiter,
  [283714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
  [283721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_STAR,
  [283728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      aux_sym_preproc_if_token2,
  [283735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_DOT_DOT_DOT,
  [283742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13264), 1,
      anon_sym_RPAREN,
  [283749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13266), 1,
      anon_sym_COLON,
  [283756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      anon_sym_STAR,
  [283763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      sym_identifier,
  [283770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_SEMI,
  [283777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13272), 1,
      anon_sym_RBRACE,
  [283784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_SEMI,
  [283791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9019), 1,
      anon_sym_RPAREN,
  [283798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PLUS,
  [283805] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13276), 1,
      aux_sym_preproc_include_token2,
  [283812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      sym_identifier,
  [283819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 1,
      anon_sym_RBRACE,
  [283826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_DOT_DOT_DOT,
  [283833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13280), 1,
      sym_identifier,
  [283840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_SEMI,
  [283847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_RPAREN,
  [283854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11169), 1,
      anon_sym_SEMI,
  [283861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_SEMI,
  [283868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      sym_identifier,
  [283875] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13290), 1,
      aux_sym_preproc_include_token2,
  [283882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      anon_sym_RPAREN,
  [283889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_SEMI,
  [283896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      anon_sym_DOT_DOT_DOT,
  [283903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      anon_sym_SEMI,
  [283910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13298), 1,
      anon_sym_STAR,
  [283917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_RPAREN,
  [283924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_SEMI,
  [283931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      sym_auto,
  [283938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13304), 1,
      anon_sym_SEMI,
  [283945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_SEMI,
  [283952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      aux_sym_preproc_if_token2,
  [283959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8801), 1,
      anon_sym_COLON,
  [283966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      sym_identifier,
  [283973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13312), 1,
      aux_sym_preproc_if_token2,
  [283980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      aux_sym_preproc_if_token2,
  [283987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      sym_identifier,
  [283994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      aux_sym_preproc_if_token2,
  [284001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_SEMI,
  [284008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13320), 1,
      aux_sym_preproc_if_token2,
  [284015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_LPAREN2,
  [284022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      aux_sym_preproc_if_token2,
  [284029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13326), 1,
      sym_identifier,
  [284036] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13328), 1,
      aux_sym_preproc_include_token2,
  [284043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 1,
      aux_sym_preproc_if_token2,
  [284050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11941), 1,
      anon_sym_SEMI,
  [284057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      anon_sym_SEMI,
  [284064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      sym_identifier,
  [284071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13336), 1,
      anon_sym_SEMI,
  [284078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 1,
      anon_sym_RPAREN,
  [284085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13340), 1,
      sym_raw_string_delimiter,
  [284092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13342), 1,
      anon_sym_SEMI,
  [284099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      aux_sym_preproc_if_token2,
  [284106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13346), 1,
      anon_sym_RPAREN,
  [284113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13348), 1,
      anon_sym_SEMI,
  [284120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      aux_sym_preproc_if_token2,
  [284127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13352), 1,
      aux_sym_preproc_if_token2,
  [284134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_DQUOTE,
  [284141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13356), 1,
      aux_sym_preproc_if_token2,
  [284148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_RBRACE,
  [284155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13358), 1,
      aux_sym_preproc_if_token2,
  [284162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13360), 1,
      anon_sym_SEMI,
  [284169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13362), 1,
      sym_identifier,
  [284176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 1,
      anon_sym_DQUOTE,
  [284183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      anon_sym_LPAREN2,
  [284190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_STAR,
  [284197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13368), 1,
      anon_sym_SEMI,
  [284204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13370), 1,
      aux_sym_preproc_if_token2,
  [284211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 1,
      anon_sym_RPAREN,
  [284218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      sym_raw_string_delimiter,
  [284225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      anon_sym_SEMI,
  [284232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13378), 1,
      sym_identifier,
  [284239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13380), 1,
      anon_sym_RPAREN,
  [284246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13382), 1,
      anon_sym_SEMI,
  [284253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13384), 1,
      anon_sym_SEMI,
  [284260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13386), 1,
      aux_sym_preproc_if_token2,
  [284267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
  [284274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13388), 1,
      anon_sym_SEMI,
  [284281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 1,
      anon_sym_STAR,
  [284288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_STAR,
  [284295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_RPAREN,
  [284302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      anon_sym_SEMI,
  [284309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13398), 1,
      sym_identifier,
  [284316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 1,
      anon_sym_SEMI,
  [284323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13402), 1,
      aux_sym_preproc_if_token2,
  [284330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      sym_identifier,
  [284337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13404), 1,
      anon_sym_SEMI,
  [284344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13406), 1,
      anon_sym_SEMI,
  [284351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 1,
      anon_sym_SEMI,
  [284358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13410), 1,
      anon_sym_DQUOTE,
  [284365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13412), 1,
      anon_sym_DQUOTE,
  [284372] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13414), 1,
      aux_sym_preproc_include_token2,
  [284379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      anon_sym_LPAREN2,
  [284386] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12310), 1,
      aux_sym_preproc_include_token2,
  [284393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_SEMI,
  [284400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 1,
      anon_sym_STAR,
  [284407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      anon_sym_SEMI,
  [284414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      anon_sym_SEMI,
  [284421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 1,
      sym_identifier,
  [284428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_DQUOTE,
  [284435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
  [284442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_SEMI,
  [284449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13428), 1,
      aux_sym_preproc_if_token2,
  [284456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      anon_sym_SEMI,
  [284463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      anon_sym_RPAREN,
  [284470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13434), 1,
      aux_sym_preproc_if_token2,
  [284477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13436), 1,
      anon_sym_SEMI,
  [284484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      sym_identifier,
  [284491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13440), 1,
      anon_sym_RPAREN,
  [284498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_SEMI,
  [284505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      anon_sym_SLASH,
  [284512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 1,
      anon_sym_SEMI,
  [284519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      anon_sym_SEMI,
  [284526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13446), 1,
      sym_identifier,
  [284533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      sym_identifier,
  [284540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      anon_sym_SEMI,
  [284547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13452), 1,
      anon_sym_RPAREN,
  [284554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
  [284561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13454), 1,
      anon_sym_SEMI,
  [284568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      anon_sym_RPAREN,
  [284575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      sym_raw_string_delimiter,
  [284582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13460), 1,
      anon_sym_RPAREN,
  [284589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      sym_identifier,
  [284596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_SEMI,
  [284603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8995), 1,
      anon_sym_RPAREN,
  [284610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8824), 1,
      anon_sym_SEMI,
  [284617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13466), 1,
      sym_auto,
  [284624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      anon_sym_SEMI,
  [284631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13470), 1,
      aux_sym_preproc_if_token2,
  [284638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13472), 1,
      anon_sym_STAR,
  [284645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13474), 1,
      anon_sym_RPAREN,
  [284652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_DQUOTE,
  [284659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_RBRACE,
  [284666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      anon_sym_DQUOTE,
  [284673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_SEMI,
  [284680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_DQUOTE,
  [284687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 1,
      anon_sym_DQUOTE,
  [284694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      anon_sym_RPAREN,
  [284701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13488), 1,
      anon_sym_while,
  [284708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_DQUOTE,
  [284715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
  [284722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      anon_sym_RPAREN,
  [284729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_LPAREN2,
  [284736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13496), 1,
      aux_sym_preproc_if_token2,
  [284743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13498), 1,
      anon_sym_RPAREN,
  [284750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13500), 1,
      anon_sym_DQUOTE,
  [284757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      anon_sym_SEMI,
  [284764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13504), 1,
      anon_sym_STAR,
  [284771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13506), 1,
      anon_sym_SEMI,
  [284778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13508), 1,
      anon_sym_SEMI,
  [284785] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13510), 1,
      aux_sym_preproc_include_token2,
  [284792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      anon_sym_RPAREN,
  [284799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PERCENT,
  [284806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_DQUOTE,
  [284813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 1,
      anon_sym_RPAREN,
  [284820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_DOT_DOT_DOT,
  [284827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 1,
      aux_sym_preproc_if_token2,
  [284834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13520), 1,
      anon_sym_LPAREN2,
  [284841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13522), 1,
      anon_sym_COLON,
  [284848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13524), 1,
      sym_identifier,
  [284855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13526), 1,
      sym_identifier,
  [284862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_COLON_COLON,
  [284869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 1,
      sym_identifier,
  [284876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13530), 1,
      anon_sym_RPAREN,
  [284883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13532), 1,
      sym_raw_string_delimiter,
  [284890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13534), 1,
      anon_sym_SEMI,
  [284897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 1,
      anon_sym_RPAREN,
  [284904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_RPAREN,
  [284911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13540), 1,
      aux_sym_preproc_if_token2,
  [284918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13542), 1,
      anon_sym_SEMI,
  [284925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13544), 1,
      anon_sym_RPAREN,
  [284932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      anon_sym_SEMI,
  [284939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13548), 1,
      anon_sym_LPAREN2,
  [284946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13550), 1,
      anon_sym_SEMI,
  [284953] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13552), 1,
      aux_sym_preproc_include_token2,
  [284960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      aux_sym_preproc_if_token2,
  [284967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13556), 1,
      anon_sym_RPAREN,
  [284974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PIPE_PIPE,
  [284981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_LPAREN2,
  [284988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13560), 1,
      sym_raw_string_delimiter,
  [284995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13562), 1,
      sym_identifier,
  [285002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 1,
      sym_auto,
  [285009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13566), 1,
      anon_sym_RPAREN,
  [285016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_RPAREN,
  [285023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8730), 1,
      anon_sym_RBRACE,
  [285030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      anon_sym_LPAREN2,
  [285037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 1,
      sym_raw_string_content,
  [285044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
  [285051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_RPAREN,
  [285058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13576), 1,
      anon_sym_SEMI,
  [285065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13578), 1,
      sym_raw_string_delimiter,
  [285072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      aux_sym_preproc_if_token2,
  [285079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10739), 1,
      anon_sym_RBRACE,
  [285086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_AMP_AMP,
  [285093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
  [285100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      anon_sym_LPAREN2,
  [285107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_RPAREN,
  [285114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13586), 1,
      sym_raw_string_delimiter,
  [285121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13588), 1,
      anon_sym_RPAREN,
  [285128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13590), 1,
      anon_sym_SEMI,
  [285135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13592), 1,
      anon_sym_RPAREN,
  [285142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      sym_raw_string_delimiter,
  [285149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13596), 1,
      anon_sym_RPAREN,
  [285156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      anon_sym_RPAREN,
  [285163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
  [285170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 1,
      sym_raw_string_delimiter,
  [285177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13604), 1,
      anon_sym_RPAREN,
  [285184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13606), 1,
      sym_raw_string_delimiter,
  [285191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      anon_sym_RPAREN,
  [285198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      sym_raw_string_delimiter,
  [285205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13612), 1,
      anon_sym_RPAREN,
  [285212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      sym_raw_string_delimiter,
  [285219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_RPAREN,
  [285226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      sym_raw_string_delimiter,
  [285233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13620), 1,
      anon_sym_RPAREN,
  [285240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      sym_raw_string_delimiter,
  [285247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      anon_sym_COLON,
  [285254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PIPE,
  [285261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      sym_identifier,
  [285268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      anon_sym_LPAREN2,
  [285275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_SEMI,
  [285282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_LPAREN2,
  [285289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13634), 1,
      anon_sym_LPAREN2,
  [285296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      anon_sym_LPAREN2,
  [285303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_LPAREN2,
  [285310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13640), 1,
      anon_sym_RPAREN,
  [285317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13642), 1,
      anon_sym_LPAREN2,
  [285324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11823), 1,
      anon_sym_SEMI,
  [285331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      anon_sym_LPAREN2,
  [285338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_SEMI,
  [285345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13648), 1,
      anon_sym_SEMI,
  [285352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13650), 1,
      anon_sym_SEMI,
  [285359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_RPAREN,
  [285366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      anon_sym_LPAREN2,
  [285373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8844), 1,
      anon_sym_COLON,
  [285380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      anon_sym_STAR,
  [285387] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13658), 1,
      aux_sym_preproc_include_token2,
  [285394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      anon_sym_RPAREN,
  [285401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      sym_identifier,
  [285408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_DQUOTE,
  [285415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      anon_sym_RPAREN,
  [285422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13668), 1,
      anon_sym_RPAREN,
  [285429] = 2,
    ACTIONS(5673), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9919), 1,
      sym_comment,
  [285436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      anon_sym_while,
  [285443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      sym_identifier,
  [285450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13674), 1,
      anon_sym_LPAREN2,
  [285457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
  [285464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      anon_sym_RPAREN,
  [285471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      anon_sym_RPAREN,
  [285478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
  [285485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_EQ,
  [285492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13684), 1,
      sym_raw_string_content,
  [285499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_RPAREN,
  [285506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      anon_sym_RPAREN,
  [285513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_SEMI,
  [285520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      anon_sym_STAR,
  [285527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_DOT_DOT_DOT,
  [285534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
  [285541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13694), 1,
      anon_sym_RPAREN,
  [285548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13696), 1,
      anon_sym_DQUOTE,
  [285555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
  [285562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      aux_sym_preproc_if_token2,
  [285569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      aux_sym_preproc_if_token2,
  [285576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      anon_sym_DQUOTE,
  [285583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      anon_sym_RPAREN,
  [285590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13708), 1,
      sym_identifier,
  [285597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_RPAREN,
  [285604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      anon_sym_COMMA,
  [285611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      sym_auto,
  [285618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
  [285625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      anon_sym_LPAREN2,
  [285632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      anon_sym_SEMI,
  [285639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8902), 1,
      anon_sym_COLON,
  [285646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      sym_identifier,
  [285653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11861), 1,
      anon_sym_SEMI,
  [285660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_SEMI,
  [285667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11203), 1,
      anon_sym_SEMI,
  [285674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      sym_identifier,
  [285681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      anon_sym_SEMI,
  [285688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      anon_sym_LPAREN2,
  [285695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      anon_sym_RPAREN,
  [285702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      aux_sym_preproc_if_token2,
  [285709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      aux_sym_preproc_if_token2,
  [285716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8914), 1,
      anon_sym_COLON,
  [285723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      anon_sym_RPAREN,
  [285730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      anon_sym_SEMI,
  [285737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11653), 1,
      anon_sym_SEMI,
  [285744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      sym_identifier,
  [285751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_SEMI,
  [285758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      anon_sym_COLON,
  [285765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8904), 1,
      anon_sym_COLON,
  [285772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_SEMI,
  [285779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13748), 1,
      anon_sym_SEMI,
  [285786] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13750), 1,
      aux_sym_preproc_include_token2,
  [285793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_SEMI,
  [285800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      sym_identifier,
  [285807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      anon_sym_SEMI,
  [285814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_SEMI,
  [285821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8846), 1,
      anon_sym_SEMI,
  [285828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      sym_auto,
  [285835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      anon_sym_SEMI,
  [285842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_RPAREN,
  [285849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      anon_sym_SEMI,
  [285856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_DOT_DOT_DOT,
  [285863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_RPAREN,
  [285870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8912), 1,
      anon_sym_COLON,
  [285877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      anon_sym_SEMI,
  [285884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_DOT_DOT_DOT,
  [285891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_SEMI,
  [285898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9071), 1,
      anon_sym_RPAREN,
  [285905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_RPAREN,
  [285912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
  [285919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_DOT_DOT_DOT,
  [285926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_SEMI,
  [285933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_SEMI,
  [285940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_RPAREN,
  [285947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_SEMI,
  [285954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_COLON,
  [285961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_RPAREN,
  [285968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_RPAREN,
  [285975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      anon_sym_SEMI,
  [285982] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13788), 1,
      aux_sym_preproc_include_token2,
  [285989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_COLON,
  [285996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_RPAREN,
  [286003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_RPAREN,
  [286010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      anon_sym_COMMA,
  [286017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_LPAREN2,
  [286024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_SEMI,
  [286031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_SEMI,
  [286038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8870), 1,
      anon_sym_SEMI,
  [286045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_RPAREN,
  [286052] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13802), 1,
      aux_sym_preproc_include_token2,
  [286059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
  [286066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      aux_sym_preproc_if_token2,
  [286073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_SEMI,
  [286080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10281), 1,
      sym_identifier,
  [286087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
  [286094] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(10112), 1,
      aux_sym_preproc_include_token2,
  [286101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6754), 1,
      anon_sym_SEMI,
  [286108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_SEMI,
  [286115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_SEMI,
  [286122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      anon_sym_SEMI,
  [286129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      sym_identifier,
  [286136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      sym_auto,
  [286143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_SEMI,
  [286150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8842), 1,
      anon_sym_COLON,
  [286157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      sym_identifier,
  [286164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      sym_raw_string_content,
  [286171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_CARET,
  [286178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
  [286185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      anon_sym_RPAREN,
  [286192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_SEMI,
  [286199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_DOT_DOT_DOT,
  [286206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_SEMI,
  [286213] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13830), 1,
      aux_sym_preproc_include_token2,
  [286220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_DOT_DOT_DOT,
  [286227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_RPAREN,
  [286234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym_DOT_DOT_DOT,
  [286241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_DOT_DOT_DOT,
  [286248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_AMP,
  [286255] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13834), 1,
      aux_sym_preproc_include_token2,
  [286262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      anon_sym_RBRACE,
  [286269] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13836), 1,
      aux_sym_preproc_include_token2,
  [286276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      anon_sym_SEMI,
  [286283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_RPAREN,
  [286290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_RBRACE,
  [286297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_RPAREN,
  [286304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_EQ_EQ,
  [286311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_SEMI,
  [286318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_SEMI,
  [286325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_SEMI,
  [286332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8559), 1,
      anon_sym_RBRACE,
  [286339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_SEMI,
  [286346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_SEMI,
  [286353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      anon_sym_SEMI,
  [286360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      anon_sym_SEMI,
  [286367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      anon_sym_SEMI,
  [286374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_DQUOTE,
  [286381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9093), 1,
      anon_sym_RPAREN,
  [286388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      aux_sym_preproc_if_token2,
  [286395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_RPAREN,
  [286402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      anon_sym_SEMI,
  [286409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_SEMI,
  [286416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_RBRACE,
  [286423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_SEMI,
  [286430] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(13870), 1,
      aux_sym_preproc_include_token2,
  [286437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      anon_sym_DQUOTE,
  [286444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_BANG_EQ,
  [286451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6781), 1,
      anon_sym_SEMI,
  [286458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      anon_sym_DQUOTE,
  [286465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      anon_sym_SEMI,
  [286472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      aux_sym_preproc_if_token2,
  [286479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      sym_identifier,
  [286486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_SEMI,
  [286493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      aux_sym_preproc_if_token2,
  [286500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      sym_identifier,
  [286507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      anon_sym_RPAREN,
  [286514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      anon_sym_SEMI,
  [286521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_RPAREN,
  [286528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      anon_sym_COLON,
  [286535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_DQUOTE,
  [286542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      anon_sym_LPAREN2,
  [286549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_EQ,
  [286556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      aux_sym_preproc_if_token2,
  [286563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      anon_sym_SEMI,
  [286570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
  [286577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      anon_sym_DQUOTE,
  [286584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_RPAREN,
  [286591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      anon_sym_RPAREN,
  [286598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      sym_auto,
  [286605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      sym_identifier,
  [286612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_RPAREN,
  [286619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      aux_sym_preproc_if_token2,
  [286626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_RPAREN,
  [286633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_SEMI,
  [286640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      aux_sym_preproc_if_token2,
  [286647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      aux_sym_preproc_if_token2,
  [286654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_SEMI,
  [286661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_LPAREN2,
  [286668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_LPAREN2,
  [286675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_LPAREN2,
  [286682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      anon_sym_LPAREN2,
  [286689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_SEMI,
  [286696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      anon_sym_LPAREN2,
  [286703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_GT,
  [286710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_RPAREN,
  [286717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_LPAREN2,
  [286724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      aux_sym_preproc_if_token2,
  [286731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      anon_sym_LPAREN2,
  [286738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_while,
  [286745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      sym_identifier,
  [286752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_LPAREN2,
  [286759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_STAR,
  [286766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_GT_EQ,
  [286773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      sym_identifier,
  [286780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      anon_sym_EQ,
  [286787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      sym_raw_string_content,
  [286794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_RPAREN,
  [286801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_RPAREN,
  [286808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      anon_sym_COMMA,
  [286815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_LT_EQ,
  [286822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_SEMI,
  [286829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8898), 1,
      anon_sym_COLON,
  [286836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_RPAREN,
  [286843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_COLON,
  [286850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      sym_identifier,
  [286857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      anon_sym_RPAREN,
  [286864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      anon_sym_LPAREN2,
  [286871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_LPAREN2,
  [286878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_LPAREN2,
  [286885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      anon_sym_SEMI,
  [286892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_LPAREN2,
  [286899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_DOT_DOT_DOT,
  [286906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_DOT_DOT_DOT,
  [286913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_while,
  [286920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_RPAREN,
  [286927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13994), 1,
      anon_sym_LPAREN2,
  [286934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
  [286941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_RPAREN,
  [286948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_EQ,
  [286955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      sym_raw_string_content,
  [286962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_COMMA,
  [286969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_RPAREN,
  [286976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      anon_sym_RPAREN,
  [286983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      anon_sym_RPAREN,
  [286990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_RPAREN,
  [286997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      anon_sym_COLON,
  [287004] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12741), 1,
      aux_sym_preproc_include_token2,
  [287011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      anon_sym_LPAREN2,
  [287018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_LPAREN2,
  [287025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_LPAREN2,
  [287032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6801), 1,
      anon_sym_SEMI,
  [287039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_LPAREN2,
  [287046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      anon_sym_LBRACE,
  [287053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_DQUOTE,
  [287060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      anon_sym_while,
  [287067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      anon_sym_LPAREN2,
  [287074] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(14030), 1,
      aux_sym_preproc_include_token2,
  [287081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_LT,
  [287088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      anon_sym_EQ,
  [287095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      sym_raw_string_content,
  [287102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_COMMA,
  [287109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      anon_sym_COLON,
  [287116] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(14040), 1,
      aux_sym_preproc_include_token2,
  [287123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_RPAREN,
  [287130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      anon_sym_RPAREN,
  [287137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_COLON,
  [287144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_RPAREN,
  [287151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      anon_sym_LPAREN2,
  [287158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      anon_sym_LPAREN2,
  [287165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      anon_sym_LPAREN2,
  [287172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_LT_LT,
  [287179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_LPAREN2,
  [287186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      anon_sym_RBRACE,
  [287193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_SEMI,
  [287200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_LPAREN2,
  [287207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_RPAREN,
  [287214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
  [287221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_EQ,
  [287228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      sym_raw_string_content,
  [287235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_COMMA,
  [287242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      anon_sym_RPAREN,
  [287249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
  [287256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      anon_sym_RPAREN,
  [287263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      anon_sym_RPAREN,
  [287270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      anon_sym_COLON,
  [287277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_RPAREN,
  [287284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      anon_sym_LPAREN2,
  [287291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_LPAREN2,
  [287298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_RPAREN,
  [287305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_LPAREN2,
  [287312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      anon_sym_SEMI,
  [287319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      anon_sym_RPAREN,
  [287326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_SEMI,
  [287333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      anon_sym_DQUOTE,
  [287340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_EQ,
  [287347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14100), 1,
      sym_raw_string_content,
  [287354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14102), 1,
      aux_sym_preproc_if_token2,
  [287361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
  [287368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      anon_sym_RPAREN,
  [287375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      anon_sym_RPAREN,
  [287382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      anon_sym_RPAREN,
  [287389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_LPAREN2,
  [287396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      anon_sym_LPAREN2,
  [287403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_LPAREN2,
  [287410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11153), 1,
      anon_sym_SEMI,
  [287417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      sym_raw_string_content,
  [287424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      anon_sym_LPAREN2,
  [287431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      anon_sym_SEMI,
  [287438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      anon_sym_RPAREN,
  [287445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
  [287452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      anon_sym_LPAREN2,
  [287459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14128), 1,
      anon_sym_LPAREN2,
  [287466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14130), 1,
      anon_sym_LPAREN2,
  [287473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14132), 1,
      anon_sym_RPAREN,
  [287480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14134), 1,
      sym_raw_string_content,
  [287487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14136), 1,
      sym_identifier,
  [287494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14138), 1,
      anon_sym_RPAREN,
  [287501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14140), 1,
      anon_sym_LPAREN2,
  [287508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14142), 1,
      anon_sym_LPAREN2,
  [287515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14144), 1,
      anon_sym_LPAREN2,
  [287522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14146), 1,
      sym_raw_string_content,
  [287529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      anon_sym_RPAREN,
  [287536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14150), 1,
      anon_sym_LPAREN2,
  [287543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14152), 1,
      sym_raw_string_content,
  [287550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
  [287557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      anon_sym_LPAREN2,
  [287564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14158), 1,
      sym_raw_string_content,
  [287571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14160), 1,
      anon_sym_RPAREN,
  [287578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14162), 1,
      sym_raw_string_content,
  [287585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14164), 1,
      anon_sym_RPAREN,
  [287592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      sym_raw_string_content,
  [287599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14168), 1,
      anon_sym_RPAREN,
  [287606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14170), 1,
      sym_raw_string_content,
  [287613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      anon_sym_RPAREN,
  [287620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14174), 1,
      sym_raw_string_content,
  [287627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14176), 1,
      anon_sym_RPAREN,
  [287634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14178), 1,
      sym_raw_string_content,
  [287641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14180), 1,
      anon_sym_RPAREN,
  [287648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14182), 1,
      anon_sym_RPAREN,
  [287655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      anon_sym_RPAREN,
  [287662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 1,
      anon_sym_LPAREN2,
  [287669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      anon_sym_LPAREN2,
  [287676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14190), 1,
      sym_identifier,
  [287683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14192), 1,
      sym_identifier,
  [287690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      anon_sym_RPAREN,
  [287697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14196), 1,
      sym_identifier,
  [287704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
  [287711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14198), 1,
      sym_identifier,
  [287718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14200), 1,
      anon_sym_RPAREN,
  [287725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10778), 1,
      anon_sym_RBRACE,
  [287732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8959), 1,
      anon_sym_RPAREN,
  [287739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14202), 1,
      sym_raw_string_delimiter,
  [287746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_RPAREN,
  [287753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14204), 1,
      anon_sym_STAR,
  [287760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14206), 1,
      anon_sym_COLON,
  [287767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_RPAREN,
  [287774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14210), 1,
      anon_sym_DQUOTE,
  [287781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14212), 1,
      anon_sym_RPAREN,
  [287788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14214), 1,
      sym_identifier,
  [287795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14216), 1,
      sym_raw_string_content,
  [287802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14218), 1,
      sym_auto,
  [287809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8910), 1,
      anon_sym_RPAREN,
  [287816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      anon_sym_SEMI,
  [287823] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(12081), 1,
      aux_sym_preproc_include_token2,
  [287830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      sym_identifier,
  [287837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      anon_sym_RPAREN,
  [287844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14226), 1,
      anon_sym_SEMI,
  [287851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14228), 1,
      anon_sym_SEMI,
  [287858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8832), 1,
      anon_sym_COLON,
  [287865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_EQ,
  [287872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_GT_GT,
  [287879] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(14232), 1,
      aux_sym_preproc_include_token2,
  [287886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14234), 1,
      sym_auto,
  [287893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
  [287900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8864), 1,
      anon_sym_COLON,
  [287907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8862), 1,
      anon_sym_SEMI,
  [287914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14236), 1,
      sym_auto,
  [287921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
  [287928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      aux_sym_preproc_if_token2,
  [287935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_LBRACE,
  [287942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14242), 1,
      anon_sym_STAR,
  [287949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14244), 1,
      anon_sym_RPAREN,
  [287956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14246), 1,
      sym_identifier,
  [287963] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(9958), 1,
      aux_sym_preproc_include_token2,
  [287970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14248), 1,
      anon_sym_RPAREN,
  [287977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_SEMI,
  [287984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14250), 1,
      aux_sym_preproc_if_token2,
  [287991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_RBRACE,
  [287998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
  [288005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 1,
      anon_sym_SEMI,
  [288012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
  [288019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8882), 1,
      anon_sym_COLON,
  [288026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_EQ,
  [288033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
  [288040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14256), 1,
      anon_sym_SEMI,
  [288047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_DQUOTE,
  [288054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
  [288061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14262), 1,
      aux_sym_preproc_if_token2,
  [288068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14264), 1,
      anon_sym_LPAREN2,
  [288075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14266), 1,
      anon_sym_RBRACE,
  [288082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_RBRACE,
  [288089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14268), 1,
      anon_sym_SEMI,
  [288096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14270), 1,
      aux_sym_preproc_if_token2,
  [288103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14272), 1,
      anon_sym_DQUOTE,
  [288110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_LPAREN2,
  [288117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14276), 1,
      anon_sym_LPAREN2,
  [288124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      ts_builtin_sym_end,
  [288131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14280), 1,
      aux_sym_preproc_if_token2,
  [288138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_COLON_COLON,
  [288145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 1,
      anon_sym_COLON,
  [288152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11315), 1,
      anon_sym_EQ,
  [288159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
  [288166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14282), 1,
      anon_sym_RPAREN,
  [288173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8814), 1,
      anon_sym_SEMI,
  [288180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14284), 1,
      anon_sym_COLON,
  [288187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14286), 1,
      anon_sym_SEMI,
  [288194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14288), 1,
      anon_sym_SEMI,
  [288201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14290), 1,
      anon_sym_STAR,
  [288208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      sym_identifier,
  [288215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_DQUOTE,
  [288222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14296), 1,
      anon_sym_RBRACK,
  [288229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8900), 1,
      anon_sym_COLON,
  [288236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      sym_identifier,
  [288243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14300), 1,
      sym_identifier,
  [288250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14302), 1,
      anon_sym_LPAREN2,
  [288257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14304), 1,
      anon_sym_LPAREN2,
  [288264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14306), 1,
      sym_identifier,
  [288271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14308), 1,
      anon_sym_DQUOTE,
  [288278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14310), 1,
      anon_sym_RPAREN,
  [288285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14312), 1,
      anon_sym_LPAREN2,
  [288292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
  [288299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14314), 1,
      sym_identifier,
  [288306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14316), 1,
      sym_raw_string_content,
  [288313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      sym_identifier,
  [288320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14318), 1,
      anon_sym_LPAREN2,
  [288327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14320), 1,
      anon_sym_SEMI,
  [288334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 1,
      sym_identifier,
  [288341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14322), 1,
      anon_sym_LPAREN2,
  [288348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14324), 1,
      anon_sym_LPAREN2,
  [288355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14326), 1,
      sym_identifier,
  [288362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9101), 1,
      anon_sym_RPAREN,
  [288369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_RBRACE,
  [288376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14328), 1,
      aux_sym_preproc_if_token2,
  [288383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14330), 1,
      sym_raw_string_content,
  [288390] = 2,
    ACTIONS(9919), 1,
      sym_comment,
    ACTIONS(14332), 1,
      aux_sym_preproc_include_token2,
  [288397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14334), 1,
      anon_sym_RPAREN,
  [288404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14336), 1,
      anon_sym_RPAREN,
  [288411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14338), 1,
      anon_sym_LPAREN2,
  [288418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14340), 1,
      sym_identifier,
  [288425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_RBRACE,
  [288432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14342), 1,
      anon_sym_RPAREN,
  [288439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14344), 1,
      sym_identifier,
  [288446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14346), 1,
      sym_raw_string_content,
  [288453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14348), 1,
      anon_sym_RPAREN,
  [288460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14350), 1,
      sym_identifier,
  [288467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14352), 1,
      anon_sym_LPAREN2,
  [288474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14354), 1,
      sym_identifier,
  [288481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14356), 1,
      anon_sym_RBRACE,
  [288488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 1,
      anon_sym_RPAREN,
  [288495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14358), 1,
      sym_identifier,
  [288502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14360), 1,
      sym_raw_string_content,
  [288509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14362), 1,
      anon_sym_SEMI,
  [288516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14364), 1,
      anon_sym_LPAREN2,
  [288523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14366), 1,
      sym_identifier,
  [288530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_STAR_EQ,
  [288537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14368), 1,
      sym_identifier,
  [288544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14370), 1,
      sym_raw_string_content,
  [288551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14372), 1,
      anon_sym_RPAREN,
  [288558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14374), 1,
      sym_identifier,
  [288565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14376), 1,
      sym_raw_string_content,
  [288572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14378), 1,
      anon_sym_RPAREN,
  [288579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14380), 1,
      sym_raw_string_content,
  [288586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14382), 1,
      sym_identifier,
  [288593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14384), 1,
      sym_raw_string_content,
  [288600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14386), 1,
      anon_sym_RBRACK,
  [288607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14388), 1,
      sym_raw_string_content,
  [288614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_SLASH_EQ,
  [288621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14390), 1,
      sym_raw_string_content,
  [288628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14392), 1,
      anon_sym_SEMI,
  [288635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14394), 1,
      sym_raw_string_content,
  [288642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14396), 1,
      anon_sym_LPAREN2,
  [288649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14398), 1,
      sym_raw_string_content,
  [288656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PERCENT_EQ,
  [288663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14400), 1,
      sym_raw_string_content,
  [288670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_PLUS_EQ,
  [288677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14402), 1,
      sym_raw_string_content,
  [288684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14404), 1,
      anon_sym_RPAREN,
  [288691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14406), 1,
      sym_raw_string_content,
  [288698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14408), 1,
      anon_sym_LPAREN2,
  [288705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14410), 1,
      anon_sym_LPAREN2,
  [288712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14412), 1,
      anon_sym_SEMI,
  [288719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14414), 1,
      anon_sym_LPAREN2,
  [288726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14416), 1,
      anon_sym_LPAREN2,
  [288733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14418), 1,
      sym_identifier,
  [288740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14420), 1,
      anon_sym_LPAREN2,
  [288747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14422), 1,
      anon_sym_LPAREN2,
  [288754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_DASH_EQ,
  [288761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_LPAREN2,
  [288768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14426), 1,
      anon_sym_LPAREN2,
  [288775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8890), 1,
      anon_sym_RPAREN,
  [288782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14428), 1,
      anon_sym_LPAREN2,
  [288789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14430), 1,
      anon_sym_LPAREN2,
  [288796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14432), 1,
      anon_sym_SEMI,
  [288803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14434), 1,
      anon_sym_LPAREN2,
  [288810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14436), 1,
      anon_sym_LPAREN2,
  [288817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14438), 1,
      anon_sym_LPAREN2,
  [288824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14440), 1,
      anon_sym_LPAREN2,
  [288831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14442), 1,
      anon_sym_LPAREN2,
  [288838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14444), 1,
      anon_sym_LPAREN2,
  [288845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14446), 1,
      anon_sym_LPAREN2,
  [288852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14448), 1,
      anon_sym_LPAREN2,
  [288859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14450), 1,
      anon_sym_LPAREN2,
  [288866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14452), 1,
      anon_sym_LPAREN2,
  [288873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14454), 1,
      anon_sym_LPAREN2,
  [288880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14456), 1,
      anon_sym_SEMI,
  [288887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_LT_LT_EQ,
  [288894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym_SEMI,
  [288901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      anon_sym_SEMI,
  [288908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14458), 1,
      anon_sym_RPAREN,
  [288915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14460), 1,
      anon_sym_LPAREN2,
  [288922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14462), 1,
      anon_sym_LPAREN2,
  [288929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14464), 1,
      anon_sym_LPAREN2,
  [288936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14466), 1,
      anon_sym_LPAREN2,
  [288943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14468), 1,
      anon_sym_LPAREN2,
  [288950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14470), 1,
      aux_sym_preproc_if_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2336)] = 0,
  [SMALL_STATE(2337)] = 71,
  [SMALL_STATE(2338)] = 142,
  [SMALL_STATE(2339)] = 213,
  [SMALL_STATE(2340)] = 284,
  [SMALL_STATE(2341)] = 355,
  [SMALL_STATE(2342)] = 430,
  [SMALL_STATE(2343)] = 501,
  [SMALL_STATE(2344)] = 572,
  [SMALL_STATE(2345)] = 643,
  [SMALL_STATE(2346)] = 714,
  [SMALL_STATE(2347)] = 785,
  [SMALL_STATE(2348)] = 856,
  [SMALL_STATE(2349)] = 927,
  [SMALL_STATE(2350)] = 998,
  [SMALL_STATE(2351)] = 1069,
  [SMALL_STATE(2352)] = 1140,
  [SMALL_STATE(2353)] = 1225,
  [SMALL_STATE(2354)] = 1296,
  [SMALL_STATE(2355)] = 1367,
  [SMALL_STATE(2356)] = 1438,
  [SMALL_STATE(2357)] = 1509,
  [SMALL_STATE(2358)] = 1580,
  [SMALL_STATE(2359)] = 1651,
  [SMALL_STATE(2360)] = 1722,
  [SMALL_STATE(2361)] = 1793,
  [SMALL_STATE(2362)] = 1864,
  [SMALL_STATE(2363)] = 1935,
  [SMALL_STATE(2364)] = 2006,
  [SMALL_STATE(2365)] = 2077,
  [SMALL_STATE(2366)] = 2148,
  [SMALL_STATE(2367)] = 2219,
  [SMALL_STATE(2368)] = 2290,
  [SMALL_STATE(2369)] = 2361,
  [SMALL_STATE(2370)] = 2432,
  [SMALL_STATE(2371)] = 2503,
  [SMALL_STATE(2372)] = 2574,
  [SMALL_STATE(2373)] = 2655,
  [SMALL_STATE(2374)] = 2726,
  [SMALL_STATE(2375)] = 2797,
  [SMALL_STATE(2376)] = 2880,
  [SMALL_STATE(2377)] = 2951,
  [SMALL_STATE(2378)] = 3022,
  [SMALL_STATE(2379)] = 3093,
  [SMALL_STATE(2380)] = 3164,
  [SMALL_STATE(2381)] = 3253,
  [SMALL_STATE(2382)] = 3338,
  [SMALL_STATE(2383)] = 3421,
  [SMALL_STATE(2384)] = 3498,
  [SMALL_STATE(2385)] = 3569,
  [SMALL_STATE(2386)] = 3648,
  [SMALL_STATE(2387)] = 3733,
  [SMALL_STATE(2388)] = 3808,
  [SMALL_STATE(2389)] = 3879,
  [SMALL_STATE(2390)] = 3964,
  [SMALL_STATE(2391)] = 4035,
  [SMALL_STATE(2392)] = 4106,
  [SMALL_STATE(2393)] = 4177,
  [SMALL_STATE(2394)] = 4248,
  [SMALL_STATE(2395)] = 4319,
  [SMALL_STATE(2396)] = 4390,
  [SMALL_STATE(2397)] = 4461,
  [SMALL_STATE(2398)] = 4532,
  [SMALL_STATE(2399)] = 4605,
  [SMALL_STATE(2400)] = 4676,
  [SMALL_STATE(2401)] = 4747,
  [SMALL_STATE(2402)] = 4824,
  [SMALL_STATE(2403)] = 4903,
  [SMALL_STATE(2404)] = 4974,
  [SMALL_STATE(2405)] = 5045,
  [SMALL_STATE(2406)] = 5124,
  [SMALL_STATE(2407)] = 5195,
  [SMALL_STATE(2408)] = 5284,
  [SMALL_STATE(2409)] = 5355,
  [SMALL_STATE(2410)] = 5432,
  [SMALL_STATE(2411)] = 5521,
  [SMALL_STATE(2412)] = 5592,
  [SMALL_STATE(2413)] = 5663,
  [SMALL_STATE(2414)] = 5750,
  [SMALL_STATE(2415)] = 5821,
  [SMALL_STATE(2416)] = 5900,
  [SMALL_STATE(2417)] = 5985,
  [SMALL_STATE(2418)] = 6055,
  [SMALL_STATE(2419)] = 6125,
  [SMALL_STATE(2420)] = 6195,
  [SMALL_STATE(2421)] = 6265,
  [SMALL_STATE(2422)] = 6335,
  [SMALL_STATE(2423)] = 6405,
  [SMALL_STATE(2424)] = 6475,
  [SMALL_STATE(2425)] = 6545,
  [SMALL_STATE(2426)] = 6615,
  [SMALL_STATE(2427)] = 6685,
  [SMALL_STATE(2428)] = 6755,
  [SMALL_STATE(2429)] = 6843,
  [SMALL_STATE(2430)] = 6913,
  [SMALL_STATE(2431)] = 6983,
  [SMALL_STATE(2432)] = 7053,
  [SMALL_STATE(2433)] = 7123,
  [SMALL_STATE(2434)] = 7193,
  [SMALL_STATE(2435)] = 7263,
  [SMALL_STATE(2436)] = 7333,
  [SMALL_STATE(2437)] = 7417,
  [SMALL_STATE(2438)] = 7499,
  [SMALL_STATE(2439)] = 7569,
  [SMALL_STATE(2440)] = 7639,
  [SMALL_STATE(2441)] = 7709,
  [SMALL_STATE(2442)] = 7779,
  [SMALL_STATE(2443)] = 7857,
  [SMALL_STATE(2444)] = 7927,
  [SMALL_STATE(2445)] = 8015,
  [SMALL_STATE(2446)] = 8085,
  [SMALL_STATE(2447)] = 8155,
  [SMALL_STATE(2448)] = 8225,
  [SMALL_STATE(2449)] = 8305,
  [SMALL_STATE(2450)] = 8375,
  [SMALL_STATE(2451)] = 8445,
  [SMALL_STATE(2452)] = 8515,
  [SMALL_STATE(2453)] = 8587,
  [SMALL_STATE(2454)] = 8657,
  [SMALL_STATE(2455)] = 8727,
  [SMALL_STATE(2456)] = 8797,
  [SMALL_STATE(2457)] = 8867,
  [SMALL_STATE(2458)] = 8937,
  [SMALL_STATE(2459)] = 9007,
  [SMALL_STATE(2460)] = 9077,
  [SMALL_STATE(2461)] = 9147,
  [SMALL_STATE(2462)] = 9217,
  [SMALL_STATE(2463)] = 9291,
  [SMALL_STATE(2464)] = 9361,
  [SMALL_STATE(2465)] = 9431,
  [SMALL_STATE(2466)] = 9501,
  [SMALL_STATE(2467)] = 9571,
  [SMALL_STATE(2468)] = 9641,
  [SMALL_STATE(2469)] = 9711,
  [SMALL_STATE(2470)] = 9781,
  [SMALL_STATE(2471)] = 9851,
  [SMALL_STATE(2472)] = 9921,
  [SMALL_STATE(2473)] = 10005,
  [SMALL_STATE(2474)] = 10085,
  [SMALL_STATE(2475)] = 10159,
  [SMALL_STATE(2476)] = 10229,
  [SMALL_STATE(2477)] = 10299,
  [SMALL_STATE(2478)] = 10369,
  [SMALL_STATE(2479)] = 10439,
  [SMALL_STATE(2480)] = 10509,
  [SMALL_STATE(2481)] = 10579,
  [SMALL_STATE(2482)] = 10649,
  [SMALL_STATE(2483)] = 10719,
  [SMALL_STATE(2484)] = 10789,
  [SMALL_STATE(2485)] = 10859,
  [SMALL_STATE(2486)] = 10929,
  [SMALL_STATE(2487)] = 10999,
  [SMALL_STATE(2488)] = 11069,
  [SMALL_STATE(2489)] = 11143,
  [SMALL_STATE(2490)] = 11213,
  [SMALL_STATE(2491)] = 11283,
  [SMALL_STATE(2492)] = 11353,
  [SMALL_STATE(2493)] = 11423,
  [SMALL_STATE(2494)] = 11493,
  [SMALL_STATE(2495)] = 11563,
  [SMALL_STATE(2496)] = 11633,
  [SMALL_STATE(2497)] = 11707,
  [SMALL_STATE(2498)] = 11777,
  [SMALL_STATE(2499)] = 11847,
  [SMALL_STATE(2500)] = 11917,
  [SMALL_STATE(2501)] = 12005,
  [SMALL_STATE(2502)] = 12075,
  [SMALL_STATE(2503)] = 12145,
  [SMALL_STATE(2504)] = 12215,
  [SMALL_STATE(2505)] = 12285,
  [SMALL_STATE(2506)] = 12355,
  [SMALL_STATE(2507)] = 12425,
  [SMALL_STATE(2508)] = 12495,
  [SMALL_STATE(2509)] = 12565,
  [SMALL_STATE(2510)] = 12635,
  [SMALL_STATE(2511)] = 12707,
  [SMALL_STATE(2512)] = 12795,
  [SMALL_STATE(2513)] = 12865,
  [SMALL_STATE(2514)] = 12935,
  [SMALL_STATE(2515)] = 13013,
  [SMALL_STATE(2516)] = 13133,
  [SMALL_STATE(2517)] = 13253,
  [SMALL_STATE(2518)] = 13327,
  [SMALL_STATE(2519)] = 13397,
  [SMALL_STATE(2520)] = 13467,
  [SMALL_STATE(2521)] = 13537,
  [SMALL_STATE(2522)] = 13607,
  [SMALL_STATE(2523)] = 13677,
  [SMALL_STATE(2524)] = 13747,
  [SMALL_STATE(2525)] = 13817,
  [SMALL_STATE(2526)] = 13887,
  [SMALL_STATE(2527)] = 13957,
  [SMALL_STATE(2528)] = 14029,
  [SMALL_STATE(2529)] = 14098,
  [SMALL_STATE(2530)] = 14167,
  [SMALL_STATE(2531)] = 14236,
  [SMALL_STATE(2532)] = 14305,
  [SMALL_STATE(2533)] = 14378,
  [SMALL_STATE(2534)] = 14447,
  [SMALL_STATE(2535)] = 14522,
  [SMALL_STATE(2536)] = 14597,
  [SMALL_STATE(2537)] = 14666,
  [SMALL_STATE(2538)] = 14735,
  [SMALL_STATE(2539)] = 14808,
  [SMALL_STATE(2540)] = 14877,
  [SMALL_STATE(2541)] = 14946,
  [SMALL_STATE(2542)] = 15021,
  [SMALL_STATE(2543)] = 15090,
  [SMALL_STATE(2544)] = 15165,
  [SMALL_STATE(2545)] = 15238,
  [SMALL_STATE(2546)] = 15313,
  [SMALL_STATE(2547)] = 15392,
  [SMALL_STATE(2548)] = 15465,
  [SMALL_STATE(2549)] = 15540,
  [SMALL_STATE(2550)] = 15609,
  [SMALL_STATE(2551)] = 15678,
  [SMALL_STATE(2552)] = 15747,
  [SMALL_STATE(2553)] = 15820,
  [SMALL_STATE(2554)] = 15893,
  [SMALL_STATE(2555)] = 15962,
  [SMALL_STATE(2556)] = 16031,
  [SMALL_STATE(2557)] = 16100,
  [SMALL_STATE(2558)] = 16169,
  [SMALL_STATE(2559)] = 16238,
  [SMALL_STATE(2560)] = 16313,
  [SMALL_STATE(2561)] = 16388,
  [SMALL_STATE(2562)] = 16459,
  [SMALL_STATE(2563)] = 16532,
  [SMALL_STATE(2564)] = 16601,
  [SMALL_STATE(2565)] = 16674,
  [SMALL_STATE(2566)] = 16743,
  [SMALL_STATE(2567)] = 16816,
  [SMALL_STATE(2568)] = 16889,
  [SMALL_STATE(2569)] = 16964,
  [SMALL_STATE(2570)] = 17033,
  [SMALL_STATE(2571)] = 17106,
  [SMALL_STATE(2572)] = 17175,
  [SMALL_STATE(2573)] = 17244,
  [SMALL_STATE(2574)] = 17313,
  [SMALL_STATE(2575)] = 17386,
  [SMALL_STATE(2576)] = 17459,
  [SMALL_STATE(2577)] = 17530,
  [SMALL_STATE(2578)] = 17603,
  [SMALL_STATE(2579)] = 17678,
  [SMALL_STATE(2580)] = 17751,
  [SMALL_STATE(2581)] = 17824,
  [SMALL_STATE(2582)] = 17895,
  [SMALL_STATE(2583)] = 17968,
  [SMALL_STATE(2584)] = 18041,
  [SMALL_STATE(2585)] = 18110,
  [SMALL_STATE(2586)] = 18183,
  [SMALL_STATE(2587)] = 18256,
  [SMALL_STATE(2588)] = 18329,
  [SMALL_STATE(2589)] = 18400,
  [SMALL_STATE(2590)] = 18473,
  [SMALL_STATE(2591)] = 18542,
  [SMALL_STATE(2592)] = 18617,
  [SMALL_STATE(2593)] = 18690,
  [SMALL_STATE(2594)] = 18759,
  [SMALL_STATE(2595)] = 18834,
  [SMALL_STATE(2596)] = 18909,
  [SMALL_STATE(2597)] = 18984,
  [SMALL_STATE(2598)] = 19059,
  [SMALL_STATE(2599)] = 19128,
  [SMALL_STATE(2600)] = 19201,
  [SMALL_STATE(2601)] = 19270,
  [SMALL_STATE(2602)] = 19339,
  [SMALL_STATE(2603)] = 19414,
  [SMALL_STATE(2604)] = 19487,
  [SMALL_STATE(2605)] = 19555,
  [SMALL_STATE(2606)] = 19625,
  [SMALL_STATE(2607)] = 19693,
  [SMALL_STATE(2608)] = 19763,
  [SMALL_STATE(2609)] = 19831,
  [SMALL_STATE(2610)] = 19899,
  [SMALL_STATE(2611)] = 19967,
  [SMALL_STATE(2612)] = 20035,
  [SMALL_STATE(2613)] = 20103,
  [SMALL_STATE(2614)] = 20171,
  [SMALL_STATE(2615)] = 20239,
  [SMALL_STATE(2616)] = 20307,
  [SMALL_STATE(2617)] = 20375,
  [SMALL_STATE(2618)] = 20443,
  [SMALL_STATE(2619)] = 20511,
  [SMALL_STATE(2620)] = 20629,
  [SMALL_STATE(2621)] = 20697,
  [SMALL_STATE(2622)] = 20765,
  [SMALL_STATE(2623)] = 20833,
  [SMALL_STATE(2624)] = 20951,
  [SMALL_STATE(2625)] = 21027,
  [SMALL_STATE(2626)] = 21103,
  [SMALL_STATE(2627)] = 21171,
  [SMALL_STATE(2628)] = 21239,
  [SMALL_STATE(2629)] = 21307,
  [SMALL_STATE(2630)] = 21375,
  [SMALL_STATE(2631)] = 21443,
  [SMALL_STATE(2632)] = 21525,
  [SMALL_STATE(2633)] = 21593,
  [SMALL_STATE(2634)] = 21661,
  [SMALL_STATE(2635)] = 21729,
  [SMALL_STATE(2636)] = 21797,
  [SMALL_STATE(2637)] = 21865,
  [SMALL_STATE(2638)] = 21937,
  [SMALL_STATE(2639)] = 22015,
  [SMALL_STATE(2640)] = 22089,
  [SMALL_STATE(2641)] = 22175,
  [SMALL_STATE(2642)] = 22247,
  [SMALL_STATE(2643)] = 22315,
  [SMALL_STATE(2644)] = 22383,
  [SMALL_STATE(2645)] = 22451,
  [SMALL_STATE(2646)] = 22523,
  [SMALL_STATE(2647)] = 22591,
  [SMALL_STATE(2648)] = 22659,
  [SMALL_STATE(2649)] = 22731,
  [SMALL_STATE(2650)] = 22803,
  [SMALL_STATE(2651)] = 22871,
  [SMALL_STATE(2652)] = 22939,
  [SMALL_STATE(2653)] = 23007,
  [SMALL_STATE(2654)] = 23079,
  [SMALL_STATE(2655)] = 23147,
  [SMALL_STATE(2656)] = 23215,
  [SMALL_STATE(2657)] = 23333,
  [SMALL_STATE(2658)] = 23405,
  [SMALL_STATE(2659)] = 23473,
  [SMALL_STATE(2660)] = 23545,
  [SMALL_STATE(2661)] = 23627,
  [SMALL_STATE(2662)] = 23699,
  [SMALL_STATE(2663)] = 23767,
  [SMALL_STATE(2664)] = 23835,
  [SMALL_STATE(2665)] = 23953,
  [SMALL_STATE(2666)] = 24025,
  [SMALL_STATE(2667)] = 24093,
  [SMALL_STATE(2668)] = 24161,
  [SMALL_STATE(2669)] = 24237,
  [SMALL_STATE(2670)] = 24305,
  [SMALL_STATE(2671)] = 24377,
  [SMALL_STATE(2672)] = 24447,
  [SMALL_STATE(2673)] = 24515,
  [SMALL_STATE(2674)] = 24583,
  [SMALL_STATE(2675)] = 24655,
  [SMALL_STATE(2676)] = 24727,
  [SMALL_STATE(2677)] = 24795,
  [SMALL_STATE(2678)] = 24869,
  [SMALL_STATE(2679)] = 24945,
  [SMALL_STATE(2680)] = 25013,
  [SMALL_STATE(2681)] = 25081,
  [SMALL_STATE(2682)] = 25149,
  [SMALL_STATE(2683)] = 25242,
  [SMALL_STATE(2684)] = 25311,
  [SMALL_STATE(2685)] = 25392,
  [SMALL_STATE(2686)] = 25459,
  [SMALL_STATE(2687)] = 25526,
  [SMALL_STATE(2688)] = 25595,
  [SMALL_STATE(2689)] = 25662,
  [SMALL_STATE(2690)] = 25729,
  [SMALL_STATE(2691)] = 25822,
  [SMALL_STATE(2692)] = 25889,
  [SMALL_STATE(2693)] = 25982,
  [SMALL_STATE(2694)] = 26049,
  [SMALL_STATE(2695)] = 26116,
  [SMALL_STATE(2696)] = 26183,
  [SMALL_STATE(2697)] = 26276,
  [SMALL_STATE(2698)] = 26369,
  [SMALL_STATE(2699)] = 26436,
  [SMALL_STATE(2700)] = 26505,
  [SMALL_STATE(2701)] = 26586,
  [SMALL_STATE(2702)] = 26653,
  [SMALL_STATE(2703)] = 26720,
  [SMALL_STATE(2704)] = 26791,
  [SMALL_STATE(2705)] = 26884,
  [SMALL_STATE(2706)] = 26951,
  [SMALL_STATE(2707)] = 27044,
  [SMALL_STATE(2708)] = 27111,
  [SMALL_STATE(2709)] = 27178,
  [SMALL_STATE(2710)] = 27251,
  [SMALL_STATE(2711)] = 27318,
  [SMALL_STATE(2712)] = 27388,
  [SMALL_STATE(2713)] = 27472,
  [SMALL_STATE(2714)] = 27556,
  [SMALL_STATE(2715)] = 27626,
  [SMALL_STATE(2716)] = 27702,
  [SMALL_STATE(2717)] = 27786,
  [SMALL_STATE(2718)] = 27862,
  [SMALL_STATE(2719)] = 27944,
  [SMALL_STATE(2720)] = 28016,
  [SMALL_STATE(2721)] = 28086,
  [SMALL_STATE(2722)] = 28156,
  [SMALL_STATE(2723)] = 28226,
  [SMALL_STATE(2724)] = 28300,
  [SMALL_STATE(2725)] = 28384,
  [SMALL_STATE(2726)] = 28454,
  [SMALL_STATE(2727)] = 28524,
  [SMALL_STATE(2728)] = 28608,
  [SMALL_STATE(2729)] = 28692,
  [SMALL_STATE(2730)] = 28762,
  [SMALL_STATE(2731)] = 28832,
  [SMALL_STATE(2732)] = 28916,
  [SMALL_STATE(2733)] = 28986,
  [SMALL_STATE(2734)] = 29060,
  [SMALL_STATE(2735)] = 29144,
  [SMALL_STATE(2736)] = 29228,
  [SMALL_STATE(2737)] = 29294,
  [SMALL_STATE(2738)] = 29376,
  [SMALL_STATE(2739)] = 29460,
  [SMALL_STATE(2740)] = 29544,
  [SMALL_STATE(2741)] = 29628,
  [SMALL_STATE(2742)] = 29712,
  [SMALL_STATE(2743)] = 29782,
  [SMALL_STATE(2744)] = 29854,
  [SMALL_STATE(2745)] = 29936,
  [SMALL_STATE(2746)] = 30006,
  [SMALL_STATE(2747)] = 30082,
  [SMALL_STATE(2748)] = 30158,
  [SMALL_STATE(2749)] = 30228,
  [SMALL_STATE(2750)] = 30312,
  [SMALL_STATE(2751)] = 30394,
  [SMALL_STATE(2752)] = 30485,
  [SMALL_STATE(2753)] = 30550,
  [SMALL_STATE(2754)] = 30629,
  [SMALL_STATE(2755)] = 30694,
  [SMALL_STATE(2756)] = 30759,
  [SMALL_STATE(2757)] = 30824,
  [SMALL_STATE(2758)] = 30937,
  [SMALL_STATE(2759)] = 31012,
  [SMALL_STATE(2760)] = 31125,
  [SMALL_STATE(2761)] = 31202,
  [SMALL_STATE(2762)] = 31311,
  [SMALL_STATE(2763)] = 31424,
  [SMALL_STATE(2764)] = 31495,
  [SMALL_STATE(2765)] = 31600,
  [SMALL_STATE(2766)] = 31701,
  [SMALL_STATE(2767)] = 31800,
  [SMALL_STATE(2768)] = 31897,
  [SMALL_STATE(2769)] = 31992,
  [SMALL_STATE(2770)] = 32079,
  [SMALL_STATE(2771)] = 32188,
  [SMALL_STATE(2772)] = 32301,
  [SMALL_STATE(2773)] = 32410,
  [SMALL_STATE(2774)] = 32523,
  [SMALL_STATE(2775)] = 32594,
  [SMALL_STATE(2776)] = 32665,
  [SMALL_STATE(2777)] = 32736,
  [SMALL_STATE(2778)] = 32801,
  [SMALL_STATE(2779)] = 32866,
  [SMALL_STATE(2780)] = 32931,
  [SMALL_STATE(2781)] = 32996,
  [SMALL_STATE(2782)] = 33063,
  [SMALL_STATE(2783)] = 33128,
  [SMALL_STATE(2784)] = 33193,
  [SMALL_STATE(2785)] = 33258,
  [SMALL_STATE(2786)] = 33323,
  [SMALL_STATE(2787)] = 33388,
  [SMALL_STATE(2788)] = 33453,
  [SMALL_STATE(2789)] = 33518,
  [SMALL_STATE(2790)] = 33583,
  [SMALL_STATE(2791)] = 33650,
  [SMALL_STATE(2792)] = 33715,
  [SMALL_STATE(2793)] = 33786,
  [SMALL_STATE(2794)] = 33857,
  [SMALL_STATE(2795)] = 33922,
  [SMALL_STATE(2796)] = 33993,
  [SMALL_STATE(2797)] = 34064,
  [SMALL_STATE(2798)] = 34131,
  [SMALL_STATE(2799)] = 34206,
  [SMALL_STATE(2800)] = 34325,
  [SMALL_STATE(2801)] = 34396,
  [SMALL_STATE(2802)] = 34467,
  [SMALL_STATE(2803)] = 34534,
  [SMALL_STATE(2804)] = 34599,
  [SMALL_STATE(2805)] = 34666,
  [SMALL_STATE(2806)] = 34741,
  [SMALL_STATE(2807)] = 34850,
  [SMALL_STATE(2808)] = 34959,
  [SMALL_STATE(2809)] = 35040,
  [SMALL_STATE(2810)] = 35123,
  [SMALL_STATE(2811)] = 35208,
  [SMALL_STATE(2812)] = 35275,
  [SMALL_STATE(2813)] = 35354,
  [SMALL_STATE(2814)] = 35419,
  [SMALL_STATE(2815)] = 35486,
  [SMALL_STATE(2816)] = 35567,
  [SMALL_STATE(2817)] = 35634,
  [SMALL_STATE(2818)] = 35701,
  [SMALL_STATE(2819)] = 35768,
  [SMALL_STATE(2820)] = 35835,
  [SMALL_STATE(2821)] = 35900,
  [SMALL_STATE(2822)] = 35981,
  [SMALL_STATE(2823)] = 36048,
  [SMALL_STATE(2824)] = 36127,
  [SMALL_STATE(2825)] = 36192,
  [SMALL_STATE(2826)] = 36259,
  [SMALL_STATE(2827)] = 36326,
  [SMALL_STATE(2828)] = 36445,
  [SMALL_STATE(2829)] = 36526,
  [SMALL_STATE(2830)] = 36593,
  [SMALL_STATE(2831)] = 36674,
  [SMALL_STATE(2832)] = 36741,
  [SMALL_STATE(2833)] = 36812,
  [SMALL_STATE(2834)] = 36879,
  [SMALL_STATE(2835)] = 36950,
  [SMALL_STATE(2836)] = 37014,
  [SMALL_STATE(2837)] = 37082,
  [SMALL_STATE(2838)] = 37192,
  [SMALL_STATE(2839)] = 37302,
  [SMALL_STATE(2840)] = 37366,
  [SMALL_STATE(2841)] = 37430,
  [SMALL_STATE(2842)] = 37540,
  [SMALL_STATE(2843)] = 37658,
  [SMALL_STATE(2844)] = 37722,
  [SMALL_STATE(2845)] = 37792,
  [SMALL_STATE(2846)] = 37856,
  [SMALL_STATE(2847)] = 37926,
  [SMALL_STATE(2848)] = 37990,
  [SMALL_STATE(2849)] = 38062,
  [SMALL_STATE(2850)] = 38172,
  [SMALL_STATE(2851)] = 38236,
  [SMALL_STATE(2852)] = 38346,
  [SMALL_STATE(2853)] = 38456,
  [SMALL_STATE(2854)] = 38524,
  [SMALL_STATE(2855)] = 38634,
  [SMALL_STATE(2856)] = 38752,
  [SMALL_STATE(2857)] = 38862,
  [SMALL_STATE(2858)] = 38972,
  [SMALL_STATE(2859)] = 39042,
  [SMALL_STATE(2860)] = 39152,
  [SMALL_STATE(2861)] = 39220,
  [SMALL_STATE(2862)] = 39290,
  [SMALL_STATE(2863)] = 39408,
  [SMALL_STATE(2864)] = 39476,
  [SMALL_STATE(2865)] = 39546,
  [SMALL_STATE(2866)] = 39656,
  [SMALL_STATE(2867)] = 39774,
  [SMALL_STATE(2868)] = 39838,
  [SMALL_STATE(2869)] = 39902,
  [SMALL_STATE(2870)] = 39970,
  [SMALL_STATE(2871)] = 40038,
  [SMALL_STATE(2872)] = 40102,
  [SMALL_STATE(2873)] = 40166,
  [SMALL_STATE(2874)] = 40236,
  [SMALL_STATE(2875)] = 40346,
  [SMALL_STATE(2876)] = 40464,
  [SMALL_STATE(2877)] = 40574,
  [SMALL_STATE(2878)] = 40684,
  [SMALL_STATE(2879)] = 40794,
  [SMALL_STATE(2880)] = 40864,
  [SMALL_STATE(2881)] = 40982,
  [SMALL_STATE(2882)] = 41092,
  [SMALL_STATE(2883)] = 41160,
  [SMALL_STATE(2884)] = 41270,
  [SMALL_STATE(2885)] = 41334,
  [SMALL_STATE(2886)] = 41444,
  [SMALL_STATE(2887)] = 41514,
  [SMALL_STATE(2888)] = 41582,
  [SMALL_STATE(2889)] = 41650,
  [SMALL_STATE(2890)] = 41720,
  [SMALL_STATE(2891)] = 41830,
  [SMALL_STATE(2892)] = 41940,
  [SMALL_STATE(2893)] = 42008,
  [SMALL_STATE(2894)] = 42118,
  [SMALL_STATE(2895)] = 42228,
  [SMALL_STATE(2896)] = 42296,
  [SMALL_STATE(2897)] = 42406,
  [SMALL_STATE(2898)] = 42516,
  [SMALL_STATE(2899)] = 42586,
  [SMALL_STATE(2900)] = 42696,
  [SMALL_STATE(2901)] = 42764,
  [SMALL_STATE(2902)] = 42834,
  [SMALL_STATE(2903)] = 42944,
  [SMALL_STATE(2904)] = 43014,
  [SMALL_STATE(2905)] = 43124,
  [SMALL_STATE(2906)] = 43194,
  [SMALL_STATE(2907)] = 43264,
  [SMALL_STATE(2908)] = 43330,
  [SMALL_STATE(2909)] = 43400,
  [SMALL_STATE(2910)] = 43510,
  [SMALL_STATE(2911)] = 43576,
  [SMALL_STATE(2912)] = 43644,
  [SMALL_STATE(2913)] = 43708,
  [SMALL_STATE(2914)] = 43779,
  [SMALL_STATE(2915)] = 43888,
  [SMALL_STATE(2916)] = 43951,
  [SMALL_STATE(2917)] = 44064,
  [SMALL_STATE(2918)] = 44127,
  [SMALL_STATE(2919)] = 44194,
  [SMALL_STATE(2920)] = 44267,
  [SMALL_STATE(2921)] = 44384,
  [SMALL_STATE(2922)] = 44451,
  [SMALL_STATE(2923)] = 44568,
  [SMALL_STATE(2924)] = 44639,
  [SMALL_STATE(2925)] = 44706,
  [SMALL_STATE(2926)] = 44815,
  [SMALL_STATE(2927)] = 44878,
  [SMALL_STATE(2928)] = 44951,
  [SMALL_STATE(2929)] = 45032,
  [SMALL_STATE(2930)] = 45105,
  [SMALL_STATE(2931)] = 45222,
  [SMALL_STATE(2932)] = 45303,
  [SMALL_STATE(2933)] = 45416,
  [SMALL_STATE(2934)] = 45577,
  [SMALL_STATE(2935)] = 45652,
  [SMALL_STATE(2936)] = 45719,
  [SMALL_STATE(2937)] = 45782,
  [SMALL_STATE(2938)] = 45855,
  [SMALL_STATE(2939)] = 45930,
  [SMALL_STATE(2940)] = 46043,
  [SMALL_STATE(2941)] = 46160,
  [SMALL_STATE(2942)] = 46239,
  [SMALL_STATE(2943)] = 46348,
  [SMALL_STATE(2944)] = 46419,
  [SMALL_STATE(2945)] = 46486,
  [SMALL_STATE(2946)] = 46549,
  [SMALL_STATE(2947)] = 46666,
  [SMALL_STATE(2948)] = 46783,
  [SMALL_STATE(2949)] = 46862,
  [SMALL_STATE(2950)] = 46925,
  [SMALL_STATE(2951)] = 46998,
  [SMALL_STATE(2952)] = 47081,
  [SMALL_STATE(2953)] = 47162,
  [SMALL_STATE(2954)] = 47229,
  [SMALL_STATE(2955)] = 47390,
  [SMALL_STATE(2956)] = 47453,
  [SMALL_STATE(2957)] = 47562,
  [SMALL_STATE(2958)] = 47647,
  [SMALL_STATE(2959)] = 47722,
  [SMALL_STATE(2960)] = 47795,
  [SMALL_STATE(2961)] = 47858,
  [SMALL_STATE(2962)] = 47921,
  [SMALL_STATE(2963)] = 47990,
  [SMALL_STATE(2964)] = 48053,
  [SMALL_STATE(2965)] = 48132,
  [SMALL_STATE(2966)] = 48199,
  [SMALL_STATE(2967)] = 48316,
  [SMALL_STATE(2968)] = 48383,
  [SMALL_STATE(2969)] = 48500,
  [SMALL_STATE(2970)] = 48571,
  [SMALL_STATE(2971)] = 48636,
  [SMALL_STATE(2972)] = 48701,
  [SMALL_STATE(2973)] = 48780,
  [SMALL_STATE(2974)] = 48853,
  [SMALL_STATE(2975)] = 48918,
  [SMALL_STATE(2976)] = 48997,
  [SMALL_STATE(2977)] = 49114,
  [SMALL_STATE(2978)] = 49223,
  [SMALL_STATE(2979)] = 49286,
  [SMALL_STATE(2980)] = 49349,
  [SMALL_STATE(2981)] = 49416,
  [SMALL_STATE(2982)] = 49483,
  [SMALL_STATE(2983)] = 49644,
  [SMALL_STATE(2984)] = 49749,
  [SMALL_STATE(2985)] = 49866,
  [SMALL_STATE(2986)] = 49967,
  [SMALL_STATE(2987)] = 50064,
  [SMALL_STATE(2988)] = 50131,
  [SMALL_STATE(2989)] = 50198,
  [SMALL_STATE(2990)] = 50287,
  [SMALL_STATE(2991)] = 50360,
  [SMALL_STATE(2992)] = 50427,
  [SMALL_STATE(2993)] = 50494,
  [SMALL_STATE(2994)] = 50589,
  [SMALL_STATE(2995)] = 50680,
  [SMALL_STATE(2996)] = 50747,
  [SMALL_STATE(2997)] = 50815,
  [SMALL_STATE(2998)] = 50895,
  [SMALL_STATE(2999)] = 50963,
  [SMALL_STATE(3000)] = 51031,
  [SMALL_STATE(3001)] = 51103,
  [SMALL_STATE(3002)] = 51165,
  [SMALL_STATE(3003)] = 51227,
  [SMALL_STATE(3004)] = 51289,
  [SMALL_STATE(3005)] = 51357,
  [SMALL_STATE(3006)] = 51419,
  [SMALL_STATE(3007)] = 51485,
  [SMALL_STATE(3008)] = 51547,
  [SMALL_STATE(3009)] = 51609,
  [SMALL_STATE(3010)] = 51671,
  [SMALL_STATE(3011)] = 51733,
  [SMALL_STATE(3012)] = 51801,
  [SMALL_STATE(3013)] = 51863,
  [SMALL_STATE(3014)] = 51945,
  [SMALL_STATE(3015)] = 52035,
  [SMALL_STATE(3016)] = 52097,
  [SMALL_STATE(3017)] = 52163,
  [SMALL_STATE(3018)] = 52231,
  [SMALL_STATE(3019)] = 52299,
  [SMALL_STATE(3020)] = 52361,
  [SMALL_STATE(3021)] = 52425,
  [SMALL_STATE(3022)] = 52487,
  [SMALL_STATE(3023)] = 52551,
  [SMALL_STATE(3024)] = 52613,
  [SMALL_STATE(3025)] = 52675,
  [SMALL_STATE(3026)] = 52791,
  [SMALL_STATE(3027)] = 52867,
  [SMALL_STATE(3028)] = 52975,
  [SMALL_STATE(3029)] = 53091,
  [SMALL_STATE(3030)] = 53163,
  [SMALL_STATE(3031)] = 53225,
  [SMALL_STATE(3032)] = 53291,
  [SMALL_STATE(3033)] = 53367,
  [SMALL_STATE(3034)] = 53433,
  [SMALL_STATE(3035)] = 53495,
  [SMALL_STATE(3036)] = 53557,
  [SMALL_STATE(3037)] = 53669,
  [SMALL_STATE(3038)] = 53731,
  [SMALL_STATE(3039)] = 53797,
  [SMALL_STATE(3040)] = 53859,
  [SMALL_STATE(3041)] = 53927,
  [SMALL_STATE(3042)] = 53989,
  [SMALL_STATE(3043)] = 54051,
  [SMALL_STATE(3044)] = 54113,
  [SMALL_STATE(3045)] = 54197,
  [SMALL_STATE(3046)] = 54267,
  [SMALL_STATE(3047)] = 54339,
  [SMALL_STATE(3048)] = 54401,
  [SMALL_STATE(3049)] = 54463,
  [SMALL_STATE(3050)] = 54525,
  [SMALL_STATE(3051)] = 54587,
  [SMALL_STATE(3052)] = 54695,
  [SMALL_STATE(3053)] = 54757,
  [SMALL_STATE(3054)] = 54869,
  [SMALL_STATE(3055)] = 54931,
  [SMALL_STATE(3056)] = 54999,
  [SMALL_STATE(3057)] = 55067,
  [SMALL_STATE(3058)] = 55135,
  [SMALL_STATE(3059)] = 55207,
  [SMALL_STATE(3060)] = 55273,
  [SMALL_STATE(3061)] = 55335,
  [SMALL_STATE(3062)] = 55397,
  [SMALL_STATE(3063)] = 55465,
  [SMALL_STATE(3064)] = 55553,
  [SMALL_STATE(3065)] = 55615,
  [SMALL_STATE(3066)] = 55681,
  [SMALL_STATE(3067)] = 55793,
  [SMALL_STATE(3068)] = 55855,
  [SMALL_STATE(3069)] = 55923,
  [SMALL_STATE(3070)] = 55991,
  [SMALL_STATE(3071)] = 56053,
  [SMALL_STATE(3072)] = 56121,
  [SMALL_STATE(3073)] = 56189,
  [SMALL_STATE(3074)] = 56257,
  [SMALL_STATE(3075)] = 56319,
  [SMALL_STATE(3076)] = 56387,
  [SMALL_STATE(3077)] = 56455,
  [SMALL_STATE(3078)] = 56563,
  [SMALL_STATE(3079)] = 56671,
  [SMALL_STATE(3080)] = 56739,
  [SMALL_STATE(3081)] = 56847,
  [SMALL_STATE(3082)] = 56959,
  [SMALL_STATE(3083)] = 57021,
  [SMALL_STATE(3084)] = 57083,
  [SMALL_STATE(3085)] = 57149,
  [SMALL_STATE(3086)] = 57227,
  [SMALL_STATE(3087)] = 57331,
  [SMALL_STATE(3088)] = 57431,
  [SMALL_STATE(3089)] = 57525,
  [SMALL_STATE(3090)] = 57621,
  [SMALL_STATE(3091)] = 57693,
  [SMALL_STATE(3092)] = 57802,
  [SMALL_STATE(3093)] = 57917,
  [SMALL_STATE(3094)] = 58026,
  [SMALL_STATE(3095)] = 58125,
  [SMALL_STATE(3096)] = 58186,
  [SMALL_STATE(3097)] = 58295,
  [SMALL_STATE(3098)] = 58358,
  [SMALL_STATE(3099)] = 58467,
  [SMALL_STATE(3100)] = 58576,
  [SMALL_STATE(3101)] = 58637,
  [SMALL_STATE(3102)] = 58746,
  [SMALL_STATE(3103)] = 58807,
  [SMALL_STATE(3104)] = 58884,
  [SMALL_STATE(3105)] = 58993,
  [SMALL_STATE(3106)] = 59056,
  [SMALL_STATE(3107)] = 59165,
  [SMALL_STATE(3108)] = 59274,
  [SMALL_STATE(3109)] = 59389,
  [SMALL_STATE(3110)] = 59468,
  [SMALL_STATE(3111)] = 59577,
  [SMALL_STATE(3112)] = 59642,
  [SMALL_STATE(3113)] = 59703,
  [SMALL_STATE(3114)] = 59764,
  [SMALL_STATE(3115)] = 59845,
  [SMALL_STATE(3116)] = 59912,
  [SMALL_STATE(3117)] = 59973,
  [SMALL_STATE(3118)] = 60082,
  [SMALL_STATE(3119)] = 60151,
  [SMALL_STATE(3120)] = 60258,
  [SMALL_STATE(3121)] = 60367,
  [SMALL_STATE(3122)] = 60440,
  [SMALL_STATE(3123)] = 60507,
  [SMALL_STATE(3124)] = 60576,
  [SMALL_STATE(3125)] = 60643,
  [SMALL_STATE(3126)] = 60752,
  [SMALL_STATE(3127)] = 60847,
  [SMALL_STATE(3128)] = 60954,
  [SMALL_STATE(3129)] = 61063,
  [SMALL_STATE(3130)] = 61172,
  [SMALL_STATE(3131)] = 61241,
  [SMALL_STATE(3132)] = 61350,
  [SMALL_STATE(3133)] = 61443,
  [SMALL_STATE(3134)] = 61552,
  [SMALL_STATE(3135)] = 61661,
  [SMALL_STATE(3136)] = 61724,
  [SMALL_STATE(3137)] = 61833,
  [SMALL_STATE(3138)] = 61942,
  [SMALL_STATE(3139)] = 62051,
  [SMALL_STATE(3140)] = 62158,
  [SMALL_STATE(3141)] = 62223,
  [SMALL_STATE(3142)] = 62284,
  [SMALL_STATE(3143)] = 62393,
  [SMALL_STATE(3144)] = 62502,
  [SMALL_STATE(3145)] = 62611,
  [SMALL_STATE(3146)] = 62672,
  [SMALL_STATE(3147)] = 62761,
  [SMALL_STATE(3148)] = 62826,
  [SMALL_STATE(3149)] = 62935,
  [SMALL_STATE(3150)] = 63044,
  [SMALL_STATE(3151)] = 63105,
  [SMALL_STATE(3152)] = 63166,
  [SMALL_STATE(3153)] = 63275,
  [SMALL_STATE(3154)] = 63342,
  [SMALL_STATE(3155)] = 63453,
  [SMALL_STATE(3156)] = 63516,
  [SMALL_STATE(3157)] = 63625,
  [SMALL_STATE(3158)] = 63734,
  [SMALL_STATE(3159)] = 63795,
  [SMALL_STATE(3160)] = 63856,
  [SMALL_STATE(3161)] = 63917,
  [SMALL_STATE(3162)] = 64026,
  [SMALL_STATE(3163)] = 64087,
  [SMALL_STATE(3164)] = 64152,
  [SMALL_STATE(3165)] = 64213,
  [SMALL_STATE(3166)] = 64322,
  [SMALL_STATE(3167)] = 64431,
  [SMALL_STATE(3168)] = 64540,
  [SMALL_STATE(3169)] = 64607,
  [SMALL_STATE(3170)] = 64716,
  [SMALL_STATE(3171)] = 64785,
  [SMALL_STATE(3172)] = 64894,
  [SMALL_STATE(3173)] = 64955,
  [SMALL_STATE(3174)] = 65064,
  [SMALL_STATE(3175)] = 65173,
  [SMALL_STATE(3176)] = 65282,
  [SMALL_STATE(3177)] = 65391,
  [SMALL_STATE(3178)] = 65452,
  [SMALL_STATE(3179)] = 65567,
  [SMALL_STATE(3180)] = 65676,
  [SMALL_STATE(3181)] = 65785,
  [SMALL_STATE(3182)] = 65860,
  [SMALL_STATE(3183)] = 65967,
  [SMALL_STATE(3184)] = 66078,
  [SMALL_STATE(3185)] = 66139,
  [SMALL_STATE(3186)] = 66254,
  [SMALL_STATE(3187)] = 66363,
  [SMALL_STATE(3188)] = 66436,
  [SMALL_STATE(3189)] = 66497,
  [SMALL_STATE(3190)] = 66558,
  [SMALL_STATE(3191)] = 66667,
  [SMALL_STATE(3192)] = 66740,
  [SMALL_STATE(3193)] = 66801,
  [SMALL_STATE(3194)] = 66862,
  [SMALL_STATE(3195)] = 66923,
  [SMALL_STATE(3196)] = 67032,
  [SMALL_STATE(3197)] = 67093,
  [SMALL_STATE(3198)] = 67154,
  [SMALL_STATE(3199)] = 67269,
  [SMALL_STATE(3200)] = 67330,
  [SMALL_STATE(3201)] = 67437,
  [SMALL_STATE(3202)] = 67514,
  [SMALL_STATE(3203)] = 67623,
  [SMALL_STATE(3204)] = 67684,
  [SMALL_STATE(3205)] = 67793,
  [SMALL_STATE(3206)] = 67902,
  [SMALL_STATE(3207)] = 67977,
  [SMALL_STATE(3208)] = 68086,
  [SMALL_STATE(3209)] = 68161,
  [SMALL_STATE(3210)] = 68270,
  [SMALL_STATE(3211)] = 68379,
  [SMALL_STATE(3212)] = 68444,
  [SMALL_STATE(3213)] = 68553,
  [SMALL_STATE(3214)] = 68614,
  [SMALL_STATE(3215)] = 68723,
  [SMALL_STATE(3216)] = 68784,
  [SMALL_STATE(3217)] = 68893,
  [SMALL_STATE(3218)] = 68954,
  [SMALL_STATE(3219)] = 69063,
  [SMALL_STATE(3220)] = 69172,
  [SMALL_STATE(3221)] = 69281,
  [SMALL_STATE(3222)] = 69348,
  [SMALL_STATE(3223)] = 69457,
  [SMALL_STATE(3224)] = 69566,
  [SMALL_STATE(3225)] = 69675,
  [SMALL_STATE(3226)] = 69784,
  [SMALL_STATE(3227)] = 69893,
  [SMALL_STATE(3228)] = 69954,
  [SMALL_STATE(3229)] = 70063,
  [SMALL_STATE(3230)] = 70124,
  [SMALL_STATE(3231)] = 70191,
  [SMALL_STATE(3232)] = 70258,
  [SMALL_STATE(3233)] = 70319,
  [SMALL_STATE(3234)] = 70384,
  [SMALL_STATE(3235)] = 70495,
  [SMALL_STATE(3236)] = 70556,
  [SMALL_STATE(3237)] = 70617,
  [SMALL_STATE(3238)] = 70678,
  [SMALL_STATE(3239)] = 70793,
  [SMALL_STATE(3240)] = 70860,
  [SMALL_STATE(3241)] = 70935,
  [SMALL_STATE(3242)] = 70996,
  [SMALL_STATE(3243)] = 71105,
  [SMALL_STATE(3244)] = 71166,
  [SMALL_STATE(3245)] = 71253,
  [SMALL_STATE(3246)] = 71362,
  [SMALL_STATE(3247)] = 71471,
  [SMALL_STATE(3248)] = 71554,
  [SMALL_STATE(3249)] = 71623,
  [SMALL_STATE(3250)] = 71688,
  [SMALL_STATE(3251)] = 71791,
  [SMALL_STATE(3252)] = 71900,
  [SMALL_STATE(3253)] = 71961,
  [SMALL_STATE(3254)] = 72070,
  [SMALL_STATE(3255)] = 72141,
  [SMALL_STATE(3256)] = 72202,
  [SMALL_STATE(3257)] = 72311,
  [SMALL_STATE(3258)] = 72392,
  [SMALL_STATE(3259)] = 72501,
  [SMALL_STATE(3260)] = 72610,
  [SMALL_STATE(3261)] = 72719,
  [SMALL_STATE(3262)] = 72828,
  [SMALL_STATE(3263)] = 72903,
  [SMALL_STATE(3264)] = 72968,
  [SMALL_STATE(3265)] = 73041,
  [SMALL_STATE(3266)] = 73102,
  [SMALL_STATE(3267)] = 73208,
  [SMALL_STATE(3268)] = 73268,
  [SMALL_STATE(3269)] = 73328,
  [SMALL_STATE(3270)] = 73388,
  [SMALL_STATE(3271)] = 73448,
  [SMALL_STATE(3272)] = 73508,
  [SMALL_STATE(3273)] = 73578,
  [SMALL_STATE(3274)] = 73682,
  [SMALL_STATE(3275)] = 73796,
  [SMALL_STATE(3276)] = 73856,
  [SMALL_STATE(3277)] = 73964,
  [SMALL_STATE(3278)] = 74024,
  [SMALL_STATE(3279)] = 74084,
  [SMALL_STATE(3280)] = 74144,
  [SMALL_STATE(3281)] = 74204,
  [SMALL_STATE(3282)] = 74308,
  [SMALL_STATE(3283)] = 74368,
  [SMALL_STATE(3284)] = 74430,
  [SMALL_STATE(3285)] = 74492,
  [SMALL_STATE(3286)] = 74606,
  [SMALL_STATE(3287)] = 74670,
  [SMALL_STATE(3288)] = 74730,
  [SMALL_STATE(3289)] = 74838,
  [SMALL_STATE(3290)] = 74944,
  [SMALL_STATE(3291)] = 75014,
  [SMALL_STATE(3292)] = 75074,
  [SMALL_STATE(3293)] = 75134,
  [SMALL_STATE(3294)] = 75194,
  [SMALL_STATE(3295)] = 75254,
  [SMALL_STATE(3296)] = 75360,
  [SMALL_STATE(3297)] = 75420,
  [SMALL_STATE(3298)] = 75480,
  [SMALL_STATE(3299)] = 75544,
  [SMALL_STATE(3300)] = 75604,
  [SMALL_STATE(3301)] = 75760,
  [SMALL_STATE(3302)] = 75824,
  [SMALL_STATE(3303)] = 75884,
  [SMALL_STATE(3304)] = 75944,
  [SMALL_STATE(3305)] = 76010,
  [SMALL_STATE(3306)] = 76070,
  [SMALL_STATE(3307)] = 76130,
  [SMALL_STATE(3308)] = 76200,
  [SMALL_STATE(3309)] = 76298,
  [SMALL_STATE(3310)] = 76372,
  [SMALL_STATE(3311)] = 76442,
  [SMALL_STATE(3312)] = 76540,
  [SMALL_STATE(3313)] = 76600,
  [SMALL_STATE(3314)] = 76660,
  [SMALL_STATE(3315)] = 76728,
  [SMALL_STATE(3316)] = 76788,
  [SMALL_STATE(3317)] = 76886,
  [SMALL_STATE(3318)] = 76946,
  [SMALL_STATE(3319)] = 77044,
  [SMALL_STATE(3320)] = 77110,
  [SMALL_STATE(3321)] = 77224,
  [SMALL_STATE(3322)] = 77288,
  [SMALL_STATE(3323)] = 77348,
  [SMALL_STATE(3324)] = 77410,
  [SMALL_STATE(3325)] = 77516,
  [SMALL_STATE(3326)] = 77576,
  [SMALL_STATE(3327)] = 77638,
  [SMALL_STATE(3328)] = 77698,
  [SMALL_STATE(3329)] = 77758,
  [SMALL_STATE(3330)] = 77914,
  [SMALL_STATE(3331)] = 78012,
  [SMALL_STATE(3332)] = 78110,
  [SMALL_STATE(3333)] = 78170,
  [SMALL_STATE(3334)] = 78276,
  [SMALL_STATE(3335)] = 78336,
  [SMALL_STATE(3336)] = 78402,
  [SMALL_STATE(3337)] = 78466,
  [SMALL_STATE(3338)] = 78526,
  [SMALL_STATE(3339)] = 78632,
  [SMALL_STATE(3340)] = 78692,
  [SMALL_STATE(3341)] = 78752,
  [SMALL_STATE(3342)] = 78908,
  [SMALL_STATE(3343)] = 78968,
  [SMALL_STATE(3344)] = 79030,
  [SMALL_STATE(3345)] = 79090,
  [SMALL_STATE(3346)] = 79156,
  [SMALL_STATE(3347)] = 79262,
  [SMALL_STATE(3348)] = 79418,
  [SMALL_STATE(3349)] = 79484,
  [SMALL_STATE(3350)] = 79544,
  [SMALL_STATE(3351)] = 79700,
  [SMALL_STATE(3352)] = 79760,
  [SMALL_STATE(3353)] = 79866,
  [SMALL_STATE(3354)] = 80022,
  [SMALL_STATE(3355)] = 80082,
  [SMALL_STATE(3356)] = 80142,
  [SMALL_STATE(3357)] = 80248,
  [SMALL_STATE(3358)] = 80404,
  [SMALL_STATE(3359)] = 80464,
  [SMALL_STATE(3360)] = 80524,
  [SMALL_STATE(3361)] = 80680,
  [SMALL_STATE(3362)] = 80786,
  [SMALL_STATE(3363)] = 80942,
  [SMALL_STATE(3364)] = 81014,
  [SMALL_STATE(3365)] = 81118,
  [SMALL_STATE(3366)] = 81224,
  [SMALL_STATE(3367)] = 81298,
  [SMALL_STATE(3368)] = 81372,
  [SMALL_STATE(3369)] = 81484,
  [SMALL_STATE(3370)] = 81544,
  [SMALL_STATE(3371)] = 81604,
  [SMALL_STATE(3372)] = 81664,
  [SMALL_STATE(3373)] = 81768,
  [SMALL_STATE(3374)] = 81840,
  [SMALL_STATE(3375)] = 81946,
  [SMALL_STATE(3376)] = 82060,
  [SMALL_STATE(3377)] = 82166,
  [SMALL_STATE(3378)] = 82272,
  [SMALL_STATE(3379)] = 82378,
  [SMALL_STATE(3380)] = 82484,
  [SMALL_STATE(3381)] = 82590,
  [SMALL_STATE(3382)] = 82650,
  [SMALL_STATE(3383)] = 82754,
  [SMALL_STATE(3384)] = 82814,
  [SMALL_STATE(3385)] = 82874,
  [SMALL_STATE(3386)] = 82980,
  [SMALL_STATE(3387)] = 83040,
  [SMALL_STATE(3388)] = 83148,
  [SMALL_STATE(3389)] = 83208,
  [SMALL_STATE(3390)] = 83268,
  [SMALL_STATE(3391)] = 83344,
  [SMALL_STATE(3392)] = 83418,
  [SMALL_STATE(3393)] = 83518,
  [SMALL_STATE(3394)] = 83614,
  [SMALL_STATE(3395)] = 83706,
  [SMALL_STATE(3396)] = 83796,
  [SMALL_STATE(3397)] = 83882,
  [SMALL_STATE(3398)] = 83966,
  [SMALL_STATE(3399)] = 84048,
  [SMALL_STATE(3400)] = 84126,
  [SMALL_STATE(3401)] = 84240,
  [SMALL_STATE(3402)] = 84310,
  [SMALL_STATE(3403)] = 84380,
  [SMALL_STATE(3404)] = 84460,
  [SMALL_STATE(3405)] = 84532,
  [SMALL_STATE(3406)] = 84638,
  [SMALL_STATE(3407)] = 84712,
  [SMALL_STATE(3408)] = 84786,
  [SMALL_STATE(3409)] = 84892,
  [SMALL_STATE(3410)] = 84964,
  [SMALL_STATE(3411)] = 85074,
  [SMALL_STATE(3412)] = 85150,
  [SMALL_STATE(3413)] = 85224,
  [SMALL_STATE(3414)] = 85326,
  [SMALL_STATE(3415)] = 85424,
  [SMALL_STATE(3416)] = 85518,
  [SMALL_STATE(3417)] = 85610,
  [SMALL_STATE(3418)] = 85698,
  [SMALL_STATE(3419)] = 85784,
  [SMALL_STATE(3420)] = 85866,
  [SMALL_STATE(3421)] = 85944,
  [SMALL_STATE(3422)] = 86024,
  [SMALL_STATE(3423)] = 86098,
  [SMALL_STATE(3424)] = 86204,
  [SMALL_STATE(3425)] = 86314,
  [SMALL_STATE(3426)] = 86420,
  [SMALL_STATE(3427)] = 86530,
  [SMALL_STATE(3428)] = 86590,
  [SMALL_STATE(3429)] = 86664,
  [SMALL_STATE(3430)] = 86738,
  [SMALL_STATE(3431)] = 86802,
  [SMALL_STATE(3432)] = 86868,
  [SMALL_STATE(3433)] = 86934,
  [SMALL_STATE(3434)] = 87002,
  [SMALL_STATE(3435)] = 87108,
  [SMALL_STATE(3436)] = 87214,
  [SMALL_STATE(3437)] = 87273,
  [SMALL_STATE(3438)] = 87332,
  [SMALL_STATE(3439)] = 87397,
  [SMALL_STATE(3440)] = 87456,
  [SMALL_STATE(3441)] = 87521,
  [SMALL_STATE(3442)] = 87580,
  [SMALL_STATE(3443)] = 87639,
  [SMALL_STATE(3444)] = 87698,
  [SMALL_STATE(3445)] = 87757,
  [SMALL_STATE(3446)] = 87816,
  [SMALL_STATE(3447)] = 87877,
  [SMALL_STATE(3448)] = 87936,
  [SMALL_STATE(3449)] = 87995,
  [SMALL_STATE(3450)] = 88054,
  [SMALL_STATE(3451)] = 88113,
  [SMALL_STATE(3452)] = 88172,
  [SMALL_STATE(3453)] = 88231,
  [SMALL_STATE(3454)] = 88290,
  [SMALL_STATE(3455)] = 88349,
  [SMALL_STATE(3456)] = 88408,
  [SMALL_STATE(3457)] = 88467,
  [SMALL_STATE(3458)] = 88526,
  [SMALL_STATE(3459)] = 88585,
  [SMALL_STATE(3460)] = 88648,
  [SMALL_STATE(3461)] = 88707,
  [SMALL_STATE(3462)] = 88772,
  [SMALL_STATE(3463)] = 88831,
  [SMALL_STATE(3464)] = 88890,
  [SMALL_STATE(3465)] = 88949,
  [SMALL_STATE(3466)] = 89008,
  [SMALL_STATE(3467)] = 89067,
  [SMALL_STATE(3468)] = 89126,
  [SMALL_STATE(3469)] = 89185,
  [SMALL_STATE(3470)] = 89244,
  [SMALL_STATE(3471)] = 89303,
  [SMALL_STATE(3472)] = 89362,
  [SMALL_STATE(3473)] = 89421,
  [SMALL_STATE(3474)] = 89480,
  [SMALL_STATE(3475)] = 89539,
  [SMALL_STATE(3476)] = 89598,
  [SMALL_STATE(3477)] = 89657,
  [SMALL_STATE(3478)] = 89716,
  [SMALL_STATE(3479)] = 89775,
  [SMALL_STATE(3480)] = 89834,
  [SMALL_STATE(3481)] = 89893,
  [SMALL_STATE(3482)] = 89968,
  [SMALL_STATE(3483)] = 90027,
  [SMALL_STATE(3484)] = 90086,
  [SMALL_STATE(3485)] = 90145,
  [SMALL_STATE(3486)] = 90204,
  [SMALL_STATE(3487)] = 90263,
  [SMALL_STATE(3488)] = 90322,
  [SMALL_STATE(3489)] = 90389,
  [SMALL_STATE(3490)] = 90452,
  [SMALL_STATE(3491)] = 90511,
  [SMALL_STATE(3492)] = 90570,
  [SMALL_STATE(3493)] = 90629,
  [SMALL_STATE(3494)] = 90688,
  [SMALL_STATE(3495)] = 90747,
  [SMALL_STATE(3496)] = 90806,
  [SMALL_STATE(3497)] = 90865,
  [SMALL_STATE(3498)] = 90924,
  [SMALL_STATE(3499)] = 90983,
  [SMALL_STATE(3500)] = 91042,
  [SMALL_STATE(3501)] = 91101,
  [SMALL_STATE(3502)] = 91160,
  [SMALL_STATE(3503)] = 91219,
  [SMALL_STATE(3504)] = 91278,
  [SMALL_STATE(3505)] = 91337,
  [SMALL_STATE(3506)] = 91396,
  [SMALL_STATE(3507)] = 91461,
  [SMALL_STATE(3508)] = 91522,
  [SMALL_STATE(3509)] = 91583,
  [SMALL_STATE(3510)] = 91642,
  [SMALL_STATE(3511)] = 91701,
  [SMALL_STATE(3512)] = 91760,
  [SMALL_STATE(3513)] = 91819,
  [SMALL_STATE(3514)] = 91878,
  [SMALL_STATE(3515)] = 91937,
  [SMALL_STATE(3516)] = 91996,
  [SMALL_STATE(3517)] = 92055,
  [SMALL_STATE(3518)] = 92114,
  [SMALL_STATE(3519)] = 92173,
  [SMALL_STATE(3520)] = 92232,
  [SMALL_STATE(3521)] = 92291,
  [SMALL_STATE(3522)] = 92350,
  [SMALL_STATE(3523)] = 92409,
  [SMALL_STATE(3524)] = 92468,
  [SMALL_STATE(3525)] = 92527,
  [SMALL_STATE(3526)] = 92592,
  [SMALL_STATE(3527)] = 92657,
  [SMALL_STATE(3528)] = 92716,
  [SMALL_STATE(3529)] = 92775,
  [SMALL_STATE(3530)] = 92834,
  [SMALL_STATE(3531)] = 92893,
  [SMALL_STATE(3532)] = 92952,
  [SMALL_STATE(3533)] = 93011,
  [SMALL_STATE(3534)] = 93070,
  [SMALL_STATE(3535)] = 93129,
  [SMALL_STATE(3536)] = 93188,
  [SMALL_STATE(3537)] = 93247,
  [SMALL_STATE(3538)] = 93306,
  [SMALL_STATE(3539)] = 93365,
  [SMALL_STATE(3540)] = 93424,
  [SMALL_STATE(3541)] = 93483,
  [SMALL_STATE(3542)] = 93542,
  [SMALL_STATE(3543)] = 93601,
  [SMALL_STATE(3544)] = 93660,
  [SMALL_STATE(3545)] = 93719,
  [SMALL_STATE(3546)] = 93778,
  [SMALL_STATE(3547)] = 93837,
  [SMALL_STATE(3548)] = 93896,
  [SMALL_STATE(3549)] = 93961,
  [SMALL_STATE(3550)] = 94020,
  [SMALL_STATE(3551)] = 94079,
  [SMALL_STATE(3552)] = 94138,
  [SMALL_STATE(3553)] = 94197,
  [SMALL_STATE(3554)] = 94262,
  [SMALL_STATE(3555)] = 94327,
  [SMALL_STATE(3556)] = 94390,
  [SMALL_STATE(3557)] = 94455,
  [SMALL_STATE(3558)] = 94520,
  [SMALL_STATE(3559)] = 94579,
  [SMALL_STATE(3560)] = 94644,
  [SMALL_STATE(3561)] = 94709,
  [SMALL_STATE(3562)] = 94774,
  [SMALL_STATE(3563)] = 94833,
  [SMALL_STATE(3564)] = 94898,
  [SMALL_STATE(3565)] = 94963,
  [SMALL_STATE(3566)] = 95028,
  [SMALL_STATE(3567)] = 95087,
  [SMALL_STATE(3568)] = 95152,
  [SMALL_STATE(3569)] = 95217,
  [SMALL_STATE(3570)] = 95284,
  [SMALL_STATE(3571)] = 95343,
  [SMALL_STATE(3572)] = 95402,
  [SMALL_STATE(3573)] = 95461,
  [SMALL_STATE(3574)] = 95520,
  [SMALL_STATE(3575)] = 95579,
  [SMALL_STATE(3576)] = 95638,
  [SMALL_STATE(3577)] = 95697,
  [SMALL_STATE(3578)] = 95756,
  [SMALL_STATE(3579)] = 95815,
  [SMALL_STATE(3580)] = 95874,
  [SMALL_STATE(3581)] = 95933,
  [SMALL_STATE(3582)] = 96000,
  [SMALL_STATE(3583)] = 96063,
  [SMALL_STATE(3584)] = 96122,
  [SMALL_STATE(3585)] = 96185,
  [SMALL_STATE(3586)] = 96244,
  [SMALL_STATE(3587)] = 96303,
  [SMALL_STATE(3588)] = 96362,
  [SMALL_STATE(3589)] = 96439,
  [SMALL_STATE(3590)] = 96508,
  [SMALL_STATE(3591)] = 96567,
  [SMALL_STATE(3592)] = 96630,
  [SMALL_STATE(3593)] = 96689,
  [SMALL_STATE(3594)] = 96752,
  [SMALL_STATE(3595)] = 96815,
  [SMALL_STATE(3596)] = 96878,
  [SMALL_STATE(3597)] = 96955,
  [SMALL_STATE(3598)] = 97016,
  [SMALL_STATE(3599)] = 97075,
  [SMALL_STATE(3600)] = 97134,
  [SMALL_STATE(3601)] = 97193,
  [SMALL_STATE(3602)] = 97256,
  [SMALL_STATE(3603)] = 97319,
  [SMALL_STATE(3604)] = 97382,
  [SMALL_STATE(3605)] = 97441,
  [SMALL_STATE(3606)] = 97504,
  [SMALL_STATE(3607)] = 97567,
  [SMALL_STATE(3608)] = 97626,
  [SMALL_STATE(3609)] = 97689,
  [SMALL_STATE(3610)] = 97752,
  [SMALL_STATE(3611)] = 97815,
  [SMALL_STATE(3612)] = 97874,
  [SMALL_STATE(3613)] = 97933,
  [SMALL_STATE(3614)] = 97992,
  [SMALL_STATE(3615)] = 98059,
  [SMALL_STATE(3616)] = 98118,
  [SMALL_STATE(3617)] = 98177,
  [SMALL_STATE(3618)] = 98236,
  [SMALL_STATE(3619)] = 98295,
  [SMALL_STATE(3620)] = 98354,
  [SMALL_STATE(3621)] = 98413,
  [SMALL_STATE(3622)] = 98485,
  [SMALL_STATE(3623)] = 98543,
  [SMALL_STATE(3624)] = 98601,
  [SMALL_STATE(3625)] = 98659,
  [SMALL_STATE(3626)] = 98729,
  [SMALL_STATE(3627)] = 98787,
  [SMALL_STATE(3628)] = 98845,
  [SMALL_STATE(3629)] = 98915,
  [SMALL_STATE(3630)] = 99021,
  [SMALL_STATE(3631)] = 99079,
  [SMALL_STATE(3632)] = 99137,
  [SMALL_STATE(3633)] = 99195,
  [SMALL_STATE(3634)] = 99253,
  [SMALL_STATE(3635)] = 99311,
  [SMALL_STATE(3636)] = 99369,
  [SMALL_STATE(3637)] = 99443,
  [SMALL_STATE(3638)] = 99501,
  [SMALL_STATE(3639)] = 99559,
  [SMALL_STATE(3640)] = 99655,
  [SMALL_STATE(3641)] = 99713,
  [SMALL_STATE(3642)] = 99785,
  [SMALL_STATE(3643)] = 99843,
  [SMALL_STATE(3644)] = 99901,
  [SMALL_STATE(3645)] = 99963,
  [SMALL_STATE(3646)] = 100021,
  [SMALL_STATE(3647)] = 100079,
  [SMALL_STATE(3648)] = 100151,
  [SMALL_STATE(3649)] = 100213,
  [SMALL_STATE(3650)] = 100271,
  [SMALL_STATE(3651)] = 100331,
  [SMALL_STATE(3652)] = 100389,
  [SMALL_STATE(3653)] = 100455,
  [SMALL_STATE(3654)] = 100555,
  [SMALL_STATE(3655)] = 100657,
  [SMALL_STATE(3656)] = 100715,
  [SMALL_STATE(3657)] = 100773,
  [SMALL_STATE(3658)] = 100875,
  [SMALL_STATE(3659)] = 100933,
  [SMALL_STATE(3660)] = 100991,
  [SMALL_STATE(3661)] = 101051,
  [SMALL_STATE(3662)] = 101153,
  [SMALL_STATE(3663)] = 101215,
  [SMALL_STATE(3664)] = 101273,
  [SMALL_STATE(3665)] = 101379,
  [SMALL_STATE(3666)] = 101437,
  [SMALL_STATE(3667)] = 101495,
  [SMALL_STATE(3668)] = 101597,
  [SMALL_STATE(3669)] = 101655,
  [SMALL_STATE(3670)] = 101713,
  [SMALL_STATE(3671)] = 101779,
  [SMALL_STATE(3672)] = 101837,
  [SMALL_STATE(3673)] = 101895,
  [SMALL_STATE(3674)] = 101965,
  [SMALL_STATE(3675)] = 102023,
  [SMALL_STATE(3676)] = 102081,
  [SMALL_STATE(3677)] = 102151,
  [SMALL_STATE(3678)] = 102209,
  [SMALL_STATE(3679)] = 102307,
  [SMALL_STATE(3680)] = 102369,
  [SMALL_STATE(3681)] = 102427,
  [SMALL_STATE(3682)] = 102523,
  [SMALL_STATE(3683)] = 102581,
  [SMALL_STATE(3684)] = 102639,
  [SMALL_STATE(3685)] = 102697,
  [SMALL_STATE(3686)] = 102755,
  [SMALL_STATE(3687)] = 102817,
  [SMALL_STATE(3688)] = 102875,
  [SMALL_STATE(3689)] = 102933,
  [SMALL_STATE(3690)] = 102991,
  [SMALL_STATE(3691)] = 103049,
  [SMALL_STATE(3692)] = 103107,
  [SMALL_STATE(3693)] = 103201,
  [SMALL_STATE(3694)] = 103259,
  [SMALL_STATE(3695)] = 103349,
  [SMALL_STATE(3696)] = 103407,
  [SMALL_STATE(3697)] = 103465,
  [SMALL_STATE(3698)] = 103523,
  [SMALL_STATE(3699)] = 103581,
  [SMALL_STATE(3700)] = 103639,
  [SMALL_STATE(3701)] = 103701,
  [SMALL_STATE(3702)] = 103759,
  [SMALL_STATE(3703)] = 103817,
  [SMALL_STATE(3704)] = 103875,
  [SMALL_STATE(3705)] = 103933,
  [SMALL_STATE(3706)] = 103991,
  [SMALL_STATE(3707)] = 104097,
  [SMALL_STATE(3708)] = 104159,
  [SMALL_STATE(3709)] = 104217,
  [SMALL_STATE(3710)] = 104275,
  [SMALL_STATE(3711)] = 104333,
  [SMALL_STATE(3712)] = 104405,
  [SMALL_STATE(3713)] = 104465,
  [SMALL_STATE(3714)] = 104551,
  [SMALL_STATE(3715)] = 104609,
  [SMALL_STATE(3716)] = 104669,
  [SMALL_STATE(3717)] = 104727,
  [SMALL_STATE(3718)] = 104785,
  [SMALL_STATE(3719)] = 104843,
  [SMALL_STATE(3720)] = 104901,
  [SMALL_STATE(3721)] = 104985,
  [SMALL_STATE(3722)] = 105043,
  [SMALL_STATE(3723)] = 105105,
  [SMALL_STATE(3724)] = 105167,
  [SMALL_STATE(3725)] = 105247,
  [SMALL_STATE(3726)] = 105323,
  [SMALL_STATE(3727)] = 105381,
  [SMALL_STATE(3728)] = 105459,
  [SMALL_STATE(3729)] = 105517,
  [SMALL_STATE(3730)] = 105575,
  [SMALL_STATE(3731)] = 105633,
  [SMALL_STATE(3732)] = 105691,
  [SMALL_STATE(3733)] = 105749,
  [SMALL_STATE(3734)] = 105819,
  [SMALL_STATE(3735)] = 105877,
  [SMALL_STATE(3736)] = 105935,
  [SMALL_STATE(3737)] = 106037,
  [SMALL_STATE(3738)] = 106095,
  [SMALL_STATE(3739)] = 106157,
  [SMALL_STATE(3740)] = 106215,
  [SMALL_STATE(3741)] = 106273,
  [SMALL_STATE(3742)] = 106331,
  [SMALL_STATE(3743)] = 106389,
  [SMALL_STATE(3744)] = 106447,
  [SMALL_STATE(3745)] = 106505,
  [SMALL_STATE(3746)] = 106563,
  [SMALL_STATE(3747)] = 106621,
  [SMALL_STATE(3748)] = 106679,
  [SMALL_STATE(3749)] = 106737,
  [SMALL_STATE(3750)] = 106795,
  [SMALL_STATE(3751)] = 106853,
  [SMALL_STATE(3752)] = 106911,
  [SMALL_STATE(3753)] = 106969,
  [SMALL_STATE(3754)] = 107029,
  [SMALL_STATE(3755)] = 107087,
  [SMALL_STATE(3756)] = 107145,
  [SMALL_STATE(3757)] = 107207,
  [SMALL_STATE(3758)] = 107267,
  [SMALL_STATE(3759)] = 107325,
  [SMALL_STATE(3760)] = 107383,
  [SMALL_STATE(3761)] = 107441,
  [SMALL_STATE(3762)] = 107499,
  [SMALL_STATE(3763)] = 107557,
  [SMALL_STATE(3764)] = 107615,
  [SMALL_STATE(3765)] = 107673,
  [SMALL_STATE(3766)] = 107731,
  [SMALL_STATE(3767)] = 107789,
  [SMALL_STATE(3768)] = 107847,
  [SMALL_STATE(3769)] = 107905,
  [SMALL_STATE(3770)] = 107968,
  [SMALL_STATE(3771)] = 108031,
  [SMALL_STATE(3772)] = 108124,
  [SMALL_STATE(3773)] = 108217,
  [SMALL_STATE(3774)] = 108274,
  [SMALL_STATE(3775)] = 108331,
  [SMALL_STATE(3776)] = 108388,
  [SMALL_STATE(3777)] = 108451,
  [SMALL_STATE(3778)] = 108544,
  [SMALL_STATE(3779)] = 108637,
  [SMALL_STATE(3780)] = 108730,
  [SMALL_STATE(3781)] = 108823,
  [SMALL_STATE(3782)] = 108916,
  [SMALL_STATE(3783)] = 108973,
  [SMALL_STATE(3784)] = 109066,
  [SMALL_STATE(3785)] = 109159,
  [SMALL_STATE(3786)] = 109252,
  [SMALL_STATE(3787)] = 109323,
  [SMALL_STATE(3788)] = 109388,
  [SMALL_STATE(3789)] = 109481,
  [SMALL_STATE(3790)] = 109538,
  [SMALL_STATE(3791)] = 109595,
  [SMALL_STATE(3792)] = 109688,
  [SMALL_STATE(3793)] = 109745,
  [SMALL_STATE(3794)] = 109802,
  [SMALL_STATE(3795)] = 109895,
  [SMALL_STATE(3796)] = 109988,
  [SMALL_STATE(3797)] = 110081,
  [SMALL_STATE(3798)] = 110138,
  [SMALL_STATE(3799)] = 110231,
  [SMALL_STATE(3800)] = 110324,
  [SMALL_STATE(3801)] = 110417,
  [SMALL_STATE(3802)] = 110510,
  [SMALL_STATE(3803)] = 110605,
  [SMALL_STATE(3804)] = 110700,
  [SMALL_STATE(3805)] = 110793,
  [SMALL_STATE(3806)] = 110864,
  [SMALL_STATE(3807)] = 110935,
  [SMALL_STATE(3808)] = 110992,
  [SMALL_STATE(3809)] = 111085,
  [SMALL_STATE(3810)] = 111178,
  [SMALL_STATE(3811)] = 111271,
  [SMALL_STATE(3812)] = 111338,
  [SMALL_STATE(3813)] = 111431,
  [SMALL_STATE(3814)] = 111502,
  [SMALL_STATE(3815)] = 111565,
  [SMALL_STATE(3816)] = 111622,
  [SMALL_STATE(3817)] = 111715,
  [SMALL_STATE(3818)] = 111772,
  [SMALL_STATE(3819)] = 111829,
  [SMALL_STATE(3820)] = 111886,
  [SMALL_STATE(3821)] = 111979,
  [SMALL_STATE(3822)] = 112050,
  [SMALL_STATE(3823)] = 112107,
  [SMALL_STATE(3824)] = 112168,
  [SMALL_STATE(3825)] = 112237,
  [SMALL_STATE(3826)] = 112330,
  [SMALL_STATE(3827)] = 112423,
  [SMALL_STATE(3828)] = 112482,
  [SMALL_STATE(3829)] = 112551,
  [SMALL_STATE(3830)] = 112644,
  [SMALL_STATE(3831)] = 112737,
  [SMALL_STATE(3832)] = 112811,
  [SMALL_STATE(3833)] = 112867,
  [SMALL_STATE(3834)] = 112961,
  [SMALL_STATE(3835)] = 113055,
  [SMALL_STATE(3836)] = 113149,
  [SMALL_STATE(3837)] = 113205,
  [SMALL_STATE(3838)] = 113261,
  [SMALL_STATE(3839)] = 113317,
  [SMALL_STATE(3840)] = 113373,
  [SMALL_STATE(3841)] = 113429,
  [SMALL_STATE(3842)] = 113485,
  [SMALL_STATE(3843)] = 113579,
  [SMALL_STATE(3844)] = 113635,
  [SMALL_STATE(3845)] = 113691,
  [SMALL_STATE(3846)] = 113785,
  [SMALL_STATE(3847)] = 113841,
  [SMALL_STATE(3848)] = 113897,
  [SMALL_STATE(3849)] = 113953,
  [SMALL_STATE(3850)] = 114009,
  [SMALL_STATE(3851)] = 114065,
  [SMALL_STATE(3852)] = 114121,
  [SMALL_STATE(3853)] = 114215,
  [SMALL_STATE(3854)] = 114279,
  [SMALL_STATE(3855)] = 114335,
  [SMALL_STATE(3856)] = 114391,
  [SMALL_STATE(3857)] = 114485,
  [SMALL_STATE(3858)] = 114541,
  [SMALL_STATE(3859)] = 114597,
  [SMALL_STATE(3860)] = 114653,
  [SMALL_STATE(3861)] = 114747,
  [SMALL_STATE(3862)] = 114803,
  [SMALL_STATE(3863)] = 114897,
  [SMALL_STATE(3864)] = 114953,
  [SMALL_STATE(3865)] = 115009,
  [SMALL_STATE(3866)] = 115065,
  [SMALL_STATE(3867)] = 115129,
  [SMALL_STATE(3868)] = 115185,
  [SMALL_STATE(3869)] = 115241,
  [SMALL_STATE(3870)] = 115297,
  [SMALL_STATE(3871)] = 115353,
  [SMALL_STATE(3872)] = 115409,
  [SMALL_STATE(3873)] = 115465,
  [SMALL_STATE(3874)] = 115521,
  [SMALL_STATE(3875)] = 115615,
  [SMALL_STATE(3876)] = 115671,
  [SMALL_STATE(3877)] = 115727,
  [SMALL_STATE(3878)] = 115783,
  [SMALL_STATE(3879)] = 115839,
  [SMALL_STATE(3880)] = 115895,
  [SMALL_STATE(3881)] = 115953,
  [SMALL_STATE(3882)] = 116047,
  [SMALL_STATE(3883)] = 116103,
  [SMALL_STATE(3884)] = 116159,
  [SMALL_STATE(3885)] = 116215,
  [SMALL_STATE(3886)] = 116271,
  [SMALL_STATE(3887)] = 116327,
  [SMALL_STATE(3888)] = 116387,
  [SMALL_STATE(3889)] = 116443,
  [SMALL_STATE(3890)] = 116513,
  [SMALL_STATE(3891)] = 116583,
  [SMALL_STATE(3892)] = 116657,
  [SMALL_STATE(3893)] = 116713,
  [SMALL_STATE(3894)] = 116769,
  [SMALL_STATE(3895)] = 116825,
  [SMALL_STATE(3896)] = 116895,
  [SMALL_STATE(3897)] = 116951,
  [SMALL_STATE(3898)] = 117007,
  [SMALL_STATE(3899)] = 117063,
  [SMALL_STATE(3900)] = 117157,
  [SMALL_STATE(3901)] = 117213,
  [SMALL_STATE(3902)] = 117307,
  [SMALL_STATE(3903)] = 117401,
  [SMALL_STATE(3904)] = 117457,
  [SMALL_STATE(3905)] = 117513,
  [SMALL_STATE(3906)] = 117569,
  [SMALL_STATE(3907)] = 117625,
  [SMALL_STATE(3908)] = 117689,
  [SMALL_STATE(3909)] = 117783,
  [SMALL_STATE(3910)] = 117839,
  [SMALL_STATE(3911)] = 117895,
  [SMALL_STATE(3912)] = 117951,
  [SMALL_STATE(3913)] = 118007,
  [SMALL_STATE(3914)] = 118101,
  [SMALL_STATE(3915)] = 118157,
  [SMALL_STATE(3916)] = 118213,
  [SMALL_STATE(3917)] = 118307,
  [SMALL_STATE(3918)] = 118363,
  [SMALL_STATE(3919)] = 118419,
  [SMALL_STATE(3920)] = 118475,
  [SMALL_STATE(3921)] = 118569,
  [SMALL_STATE(3922)] = 118625,
  [SMALL_STATE(3923)] = 118681,
  [SMALL_STATE(3924)] = 118775,
  [SMALL_STATE(3925)] = 118831,
  [SMALL_STATE(3926)] = 118887,
  [SMALL_STATE(3927)] = 118943,
  [SMALL_STATE(3928)] = 118999,
  [SMALL_STATE(3929)] = 119071,
  [SMALL_STATE(3930)] = 119127,
  [SMALL_STATE(3931)] = 119183,
  [SMALL_STATE(3932)] = 119239,
  [SMALL_STATE(3933)] = 119301,
  [SMALL_STATE(3934)] = 119357,
  [SMALL_STATE(3935)] = 119449,
  [SMALL_STATE(3936)] = 119505,
  [SMALL_STATE(3937)] = 119599,
  [SMALL_STATE(3938)] = 119671,
  [SMALL_STATE(3939)] = 119727,
  [SMALL_STATE(3940)] = 119783,
  [SMALL_STATE(3941)] = 119839,
  [SMALL_STATE(3942)] = 119931,
  [SMALL_STATE(3943)] = 120001,
  [SMALL_STATE(3944)] = 120057,
  [SMALL_STATE(3945)] = 120113,
  [SMALL_STATE(3946)] = 120207,
  [SMALL_STATE(3947)] = 120279,
  [SMALL_STATE(3948)] = 120335,
  [SMALL_STATE(3949)] = 120391,
  [SMALL_STATE(3950)] = 120463,
  [SMALL_STATE(3951)] = 120519,
  [SMALL_STATE(3952)] = 120575,
  [SMALL_STATE(3953)] = 120631,
  [SMALL_STATE(3954)] = 120687,
  [SMALL_STATE(3955)] = 120759,
  [SMALL_STATE(3956)] = 120815,
  [SMALL_STATE(3957)] = 120871,
  [SMALL_STATE(3958)] = 120927,
  [SMALL_STATE(3959)] = 120983,
  [SMALL_STATE(3960)] = 121038,
  [SMALL_STATE(3961)] = 121093,
  [SMALL_STATE(3962)] = 121162,
  [SMALL_STATE(3963)] = 121233,
  [SMALL_STATE(3964)] = 121288,
  [SMALL_STATE(3965)] = 121381,
  [SMALL_STATE(3966)] = 121470,
  [SMALL_STATE(3967)] = 121529,
  [SMALL_STATE(3968)] = 121588,
  [SMALL_STATE(3969)] = 121677,
  [SMALL_STATE(3970)] = 121770,
  [SMALL_STATE(3971)] = 121829,
  [SMALL_STATE(3972)] = 121884,
  [SMALL_STATE(3973)] = 121939,
  [SMALL_STATE(3974)] = 121998,
  [SMALL_STATE(3975)] = 122057,
  [SMALL_STATE(3976)] = 122146,
  [SMALL_STATE(3977)] = 122235,
  [SMALL_STATE(3978)] = 122290,
  [SMALL_STATE(3979)] = 122399,
  [SMALL_STATE(3980)] = 122470,
  [SMALL_STATE(3981)] = 122561,
  [SMALL_STATE(3982)] = 122620,
  [SMALL_STATE(3983)] = 122675,
  [SMALL_STATE(3984)] = 122734,
  [SMALL_STATE(3985)] = 122793,
  [SMALL_STATE(3986)] = 122848,
  [SMALL_STATE(3987)] = 122909,
  [SMALL_STATE(3988)] = 122980,
  [SMALL_STATE(3989)] = 123071,
  [SMALL_STATE(3990)] = 123180,
  [SMALL_STATE(3991)] = 123269,
  [SMALL_STATE(3992)] = 123358,
  [SMALL_STATE(3993)] = 123417,
  [SMALL_STATE(3994)] = 123476,
  [SMALL_STATE(3995)] = 123535,
  [SMALL_STATE(3996)] = 123590,
  [SMALL_STATE(3997)] = 123683,
  [SMALL_STATE(3998)] = 123738,
  [SMALL_STATE(3999)] = 123829,
  [SMALL_STATE(4000)] = 123920,
  [SMALL_STATE(4001)] = 123979,
  [SMALL_STATE(4002)] = 124038,
  [SMALL_STATE(4003)] = 124131,
  [SMALL_STATE(4004)] = 124202,
  [SMALL_STATE(4005)] = 124257,
  [SMALL_STATE(4006)] = 124322,
  [SMALL_STATE(4007)] = 124382,
  [SMALL_STATE(4008)] = 124472,
  [SMALL_STATE(4009)] = 124526,
  [SMALL_STATE(4010)] = 124616,
  [SMALL_STATE(4011)] = 124670,
  [SMALL_STATE(4012)] = 124754,
  [SMALL_STATE(4013)] = 124808,
  [SMALL_STATE(4014)] = 124892,
  [SMALL_STATE(4015)] = 124964,
  [SMALL_STATE(4016)] = 125028,
  [SMALL_STATE(4017)] = 125118,
  [SMALL_STATE(4018)] = 125178,
  [SMALL_STATE(4019)] = 125238,
  [SMALL_STATE(4020)] = 125310,
  [SMALL_STATE(4021)] = 125364,
  [SMALL_STATE(4022)] = 125430,
  [SMALL_STATE(4023)] = 125490,
  [SMALL_STATE(4024)] = 125550,
  [SMALL_STATE(4025)] = 125604,
  [SMALL_STATE(4026)] = 125668,
  [SMALL_STATE(4027)] = 125730,
  [SMALL_STATE(4028)] = 125784,
  [SMALL_STATE(4029)] = 125848,
  [SMALL_STATE(4030)] = 125902,
  [SMALL_STATE(4031)] = 125962,
  [SMALL_STATE(4032)] = 126022,
  [SMALL_STATE(4033)] = 126082,
  [SMALL_STATE(4034)] = 126136,
  [SMALL_STATE(4035)] = 126226,
  [SMALL_STATE(4036)] = 126291,
  [SMALL_STATE(4037)] = 126350,
  [SMALL_STATE(4038)] = 126421,
  [SMALL_STATE(4039)] = 126486,
  [SMALL_STATE(4040)] = 126573,
  [SMALL_STATE(4041)] = 126660,
  [SMALL_STATE(4042)] = 126713,
  [SMALL_STATE(4043)] = 126812,
  [SMALL_STATE(4044)] = 126883,
  [SMALL_STATE(4045)] = 126950,
  [SMALL_STATE(4046)] = 127017,
  [SMALL_STATE(4047)] = 127084,
  [SMALL_STATE(4048)] = 127173,
  [SMALL_STATE(4049)] = 127262,
  [SMALL_STATE(4050)] = 127317,
  [SMALL_STATE(4051)] = 127403,
  [SMALL_STATE(4052)] = 127483,
  [SMALL_STATE(4053)] = 127535,
  [SMALL_STATE(4054)] = 127587,
  [SMALL_STATE(4055)] = 127673,
  [SMALL_STATE(4056)] = 127753,
  [SMALL_STATE(4057)] = 127809,
  [SMALL_STATE(4058)] = 127861,
  [SMALL_STATE(4059)] = 127941,
  [SMALL_STATE(4060)] = 127993,
  [SMALL_STATE(4061)] = 128045,
  [SMALL_STATE(4062)] = 128097,
  [SMALL_STATE(4063)] = 128181,
  [SMALL_STATE(4064)] = 128241,
  [SMALL_STATE(4065)] = 128293,
  [SMALL_STATE(4066)] = 128373,
  [SMALL_STATE(4067)] = 128459,
  [SMALL_STATE(4068)] = 128511,
  [SMALL_STATE(4069)] = 128563,
  [SMALL_STATE(4070)] = 128649,
  [SMALL_STATE(4071)] = 128737,
  [SMALL_STATE(4072)] = 128825,
  [SMALL_STATE(4073)] = 128905,
  [SMALL_STATE(4074)] = 128991,
  [SMALL_STATE(4075)] = 129043,
  [SMALL_STATE(4076)] = 129123,
  [SMALL_STATE(4077)] = 129185,
  [SMALL_STATE(4078)] = 129237,
  [SMALL_STATE(4079)] = 129323,
  [SMALL_STATE(4080)] = 129381,
  [SMALL_STATE(4081)] = 129461,
  [SMALL_STATE(4082)] = 129541,
  [SMALL_STATE(4083)] = 129627,
  [SMALL_STATE(4084)] = 129695,
  [SMALL_STATE(4085)] = 129783,
  [SMALL_STATE(4086)] = 129851,
  [SMALL_STATE(4087)] = 129931,
  [SMALL_STATE(4088)] = 129983,
  [SMALL_STATE(4089)] = 130051,
  [SMALL_STATE(4090)] = 130103,
  [SMALL_STATE(4091)] = 130155,
  [SMALL_STATE(4092)] = 130207,
  [SMALL_STATE(4093)] = 130259,
  [SMALL_STATE(4094)] = 130311,
  [SMALL_STATE(4095)] = 130397,
  [SMALL_STATE(4096)] = 130477,
  [SMALL_STATE(4097)] = 130529,
  [SMALL_STATE(4098)] = 130581,
  [SMALL_STATE(4099)] = 130661,
  [SMALL_STATE(4100)] = 130713,
  [SMALL_STATE(4101)] = 130765,
  [SMALL_STATE(4102)] = 130817,
  [SMALL_STATE(4103)] = 130869,
  [SMALL_STATE(4104)] = 130921,
  [SMALL_STATE(4105)] = 131005,
  [SMALL_STATE(4106)] = 131057,
  [SMALL_STATE(4107)] = 131143,
  [SMALL_STATE(4108)] = 131195,
  [SMALL_STATE(4109)] = 131247,
  [SMALL_STATE(4110)] = 131299,
  [SMALL_STATE(4111)] = 131385,
  [SMALL_STATE(4112)] = 131437,
  [SMALL_STATE(4113)] = 131489,
  [SMALL_STATE(4114)] = 131569,
  [SMALL_STATE(4115)] = 131637,
  [SMALL_STATE(4116)] = 131725,
  [SMALL_STATE(4117)] = 131777,
  [SMALL_STATE(4118)] = 131868,
  [SMALL_STATE(4119)] = 131951,
  [SMALL_STATE(4120)] = 132006,
  [SMALL_STATE(4121)] = 132081,
  [SMALL_STATE(4122)] = 132132,
  [SMALL_STATE(4123)] = 132187,
  [SMALL_STATE(4124)] = 132274,
  [SMALL_STATE(4125)] = 132331,
  [SMALL_STATE(4126)] = 132386,
  [SMALL_STATE(4127)] = 132441,
  [SMALL_STATE(4128)] = 132496,
  [SMALL_STATE(4129)] = 132549,
  [SMALL_STATE(4130)] = 132624,
  [SMALL_STATE(4131)] = 132685,
  [SMALL_STATE(4132)] = 132752,
  [SMALL_STATE(4133)] = 132839,
  [SMALL_STATE(4134)] = 132938,
  [SMALL_STATE(4135)] = 133021,
  [SMALL_STATE(4136)] = 133124,
  [SMALL_STATE(4137)] = 133193,
  [SMALL_STATE(4138)] = 133288,
  [SMALL_STATE(4139)] = 133343,
  [SMALL_STATE(4140)] = 133432,
  [SMALL_STATE(4141)] = 133487,
  [SMALL_STATE(4142)] = 133572,
  [SMALL_STATE(4143)] = 133655,
  [SMALL_STATE(4144)] = 133742,
  [SMALL_STATE(4145)] = 133821,
  [SMALL_STATE(4146)] = 133876,
  [SMALL_STATE(4147)] = 133969,
  [SMALL_STATE(4148)] = 134044,
  [SMALL_STATE(4149)] = 134115,
  [SMALL_STATE(4150)] = 134188,
  [SMALL_STATE(4151)] = 134287,
  [SMALL_STATE(4152)] = 134390,
  [SMALL_STATE(4153)] = 134457,
  [SMALL_STATE(4154)] = 134556,
  [SMALL_STATE(4155)] = 134659,
  [SMALL_STATE(4156)] = 134720,
  [SMALL_STATE(4157)] = 134823,
  [SMALL_STATE(4158)] = 134888,
  [SMALL_STATE(4159)] = 134949,
  [SMALL_STATE(4160)] = 135002,
  [SMALL_STATE(4161)] = 135067,
  [SMALL_STATE(4162)] = 135124,
  [SMALL_STATE(4163)] = 135223,
  [SMALL_STATE(4164)] = 135274,
  [SMALL_STATE(4165)] = 135373,
  [SMALL_STATE(4166)] = 135434,
  [SMALL_STATE(4167)] = 135501,
  [SMALL_STATE(4168)] = 135588,
  [SMALL_STATE(4169)] = 135639,
  [SMALL_STATE(4170)] = 135694,
  [SMALL_STATE(4171)] = 135751,
  [SMALL_STATE(4172)] = 135808,
  [SMALL_STATE(4173)] = 135859,
  [SMALL_STATE(4174)] = 135910,
  [SMALL_STATE(4175)] = 135965,
  [SMALL_STATE(4176)] = 136020,
  [SMALL_STATE(4177)] = 136075,
  [SMALL_STATE(4178)] = 136130,
  [SMALL_STATE(4179)] = 136181,
  [SMALL_STATE(4180)] = 136248,
  [SMALL_STATE(4181)] = 136323,
  [SMALL_STATE(4182)] = 136401,
  [SMALL_STATE(4183)] = 136451,
  [SMALL_STATE(4184)] = 136501,
  [SMALL_STATE(4185)] = 136585,
  [SMALL_STATE(4186)] = 136635,
  [SMALL_STATE(4187)] = 136689,
  [SMALL_STATE(4188)] = 136767,
  [SMALL_STATE(4189)] = 136823,
  [SMALL_STATE(4190)] = 136905,
  [SMALL_STATE(4191)] = 136961,
  [SMALL_STATE(4192)] = 137039,
  [SMALL_STATE(4193)] = 137091,
  [SMALL_STATE(4194)] = 137141,
  [SMALL_STATE(4195)] = 137225,
  [SMALL_STATE(4196)] = 137331,
  [SMALL_STATE(4197)] = 137413,
  [SMALL_STATE(4198)] = 137519,
  [SMALL_STATE(4199)] = 137601,
  [SMALL_STATE(4200)] = 137651,
  [SMALL_STATE(4201)] = 137707,
  [SMALL_STATE(4202)] = 137759,
  [SMALL_STATE(4203)] = 137827,
  [SMALL_STATE(4204)] = 137911,
  [SMALL_STATE(4205)] = 137995,
  [SMALL_STATE(4206)] = 138073,
  [SMALL_STATE(4207)] = 138155,
  [SMALL_STATE(4208)] = 138261,
  [SMALL_STATE(4209)] = 138311,
  [SMALL_STATE(4210)] = 138367,
  [SMALL_STATE(4211)] = 138421,
  [SMALL_STATE(4212)] = 138498,
  [SMALL_STATE(4213)] = 138561,
  [SMALL_STATE(4214)] = 138626,
  [SMALL_STATE(4215)] = 138703,
  [SMALL_STATE(4216)] = 138752,
  [SMALL_STATE(4217)] = 138829,
  [SMALL_STATE(4218)] = 138906,
  [SMALL_STATE(4219)] = 138955,
  [SMALL_STATE(4220)] = 139030,
  [SMALL_STATE(4221)] = 139107,
  [SMALL_STATE(4222)] = 139162,
  [SMALL_STATE(4223)] = 139239,
  [SMALL_STATE(4224)] = 139288,
  [SMALL_STATE(4225)] = 139337,
  [SMALL_STATE(4226)] = 139414,
  [SMALL_STATE(4227)] = 139463,
  [SMALL_STATE(4228)] = 139544,
  [SMALL_STATE(4229)] = 139621,
  [SMALL_STATE(4230)] = 139696,
  [SMALL_STATE(4231)] = 139745,
  [SMALL_STATE(4232)] = 139822,
  [SMALL_STATE(4233)] = 139871,
  [SMALL_STATE(4234)] = 139948,
  [SMALL_STATE(4235)] = 139997,
  [SMALL_STATE(4236)] = 140074,
  [SMALL_STATE(4237)] = 140123,
  [SMALL_STATE(4238)] = 140200,
  [SMALL_STATE(4239)] = 140257,
  [SMALL_STATE(4240)] = 140306,
  [SMALL_STATE(4241)] = 140383,
  [SMALL_STATE(4242)] = 140460,
  [SMALL_STATE(4243)] = 140509,
  [SMALL_STATE(4244)] = 140586,
  [SMALL_STATE(4245)] = 140663,
  [SMALL_STATE(4246)] = 140744,
  [SMALL_STATE(4247)] = 140825,
  [SMALL_STATE(4248)] = 140874,
  [SMALL_STATE(4249)] = 140937,
  [SMALL_STATE(4250)] = 141012,
  [SMALL_STATE(4251)] = 141071,
  [SMALL_STATE(4252)] = 141148,
  [SMALL_STATE(4253)] = 141233,
  [SMALL_STATE(4254)] = 141282,
  [SMALL_STATE(4255)] = 141331,
  [SMALL_STATE(4256)] = 141380,
  [SMALL_STATE(4257)] = 141431,
  [SMALL_STATE(4258)] = 141490,
  [SMALL_STATE(4259)] = 141567,
  [SMALL_STATE(4260)] = 141644,
  [SMALL_STATE(4261)] = 141721,
  [SMALL_STATE(4262)] = 141812,
  [SMALL_STATE(4263)] = 141889,
  [SMALL_STATE(4264)] = 141938,
  [SMALL_STATE(4265)] = 141987,
  [SMALL_STATE(4266)] = 142036,
  [SMALL_STATE(4267)] = 142089,
  [SMALL_STATE(4268)] = 142148,
  [SMALL_STATE(4269)] = 142225,
  [SMALL_STATE(4270)] = 142274,
  [SMALL_STATE(4271)] = 142351,
  [SMALL_STATE(4272)] = 142432,
  [SMALL_STATE(4273)] = 142481,
  [SMALL_STATE(4274)] = 142572,
  [SMALL_STATE(4275)] = 142647,
  [SMALL_STATE(4276)] = 142706,
  [SMALL_STATE(4277)] = 142755,
  [SMALL_STATE(4278)] = 142840,
  [SMALL_STATE(4279)] = 142917,
  [SMALL_STATE(4280)] = 142966,
  [SMALL_STATE(4281)] = 143043,
  [SMALL_STATE(4282)] = 143093,
  [SMALL_STATE(4283)] = 143141,
  [SMALL_STATE(4284)] = 143193,
  [SMALL_STATE(4285)] = 143287,
  [SMALL_STATE(4286)] = 143341,
  [SMALL_STATE(4287)] = 143415,
  [SMALL_STATE(4288)] = 143511,
  [SMALL_STATE(4289)] = 143563,
  [SMALL_STATE(4290)] = 143637,
  [SMALL_STATE(4291)] = 143695,
  [SMALL_STATE(4292)] = 143785,
  [SMALL_STATE(4293)] = 143885,
  [SMALL_STATE(4294)] = 143937,
  [SMALL_STATE(4295)] = 143989,
  [SMALL_STATE(4296)] = 144047,
  [SMALL_STATE(4297)] = 144143,
  [SMALL_STATE(4298)] = 144233,
  [SMALL_STATE(4299)] = 144285,
  [SMALL_STATE(4300)] = 144333,
  [SMALL_STATE(4301)] = 144385,
  [SMALL_STATE(4302)] = 144433,
  [SMALL_STATE(4303)] = 144529,
  [SMALL_STATE(4304)] = 144599,
  [SMALL_STATE(4305)] = 144665,
  [SMALL_STATE(4306)] = 144713,
  [SMALL_STATE(4307)] = 144765,
  [SMALL_STATE(4308)] = 144857,
  [SMALL_STATE(4309)] = 144911,
  [SMALL_STATE(4310)] = 144959,
  [SMALL_STATE(4311)] = 145007,
  [SMALL_STATE(4312)] = 145073,
  [SMALL_STATE(4313)] = 145163,
  [SMALL_STATE(4314)] = 145251,
  [SMALL_STATE(4315)] = 145335,
  [SMALL_STATE(4316)] = 145427,
  [SMALL_STATE(4317)] = 145509,
  [SMALL_STATE(4318)] = 145589,
  [SMALL_STATE(4319)] = 145681,
  [SMALL_STATE(4320)] = 145761,
  [SMALL_STATE(4321)] = 145839,
  [SMALL_STATE(4322)] = 145891,
  [SMALL_STATE(4323)] = 145963,
  [SMALL_STATE(4324)] = 146031,
  [SMALL_STATE(4325)] = 146083,
  [SMALL_STATE(4326)] = 146157,
  [SMALL_STATE(4327)] = 146227,
  [SMALL_STATE(4328)] = 146279,
  [SMALL_STATE(4329)] = 146373,
  [SMALL_STATE(4330)] = 146467,
  [SMALL_STATE(4331)] = 146519,
  [SMALL_STATE(4332)] = 146615,
  [SMALL_STATE(4333)] = 146707,
  [SMALL_STATE(4334)] = 146773,
  [SMALL_STATE(4335)] = 146861,
  [SMALL_STATE(4336)] = 146919,
  [SMALL_STATE(4337)] = 146971,
  [SMALL_STATE(4338)] = 147021,
  [SMALL_STATE(4339)] = 147071,
  [SMALL_STATE(4340)] = 147119,
  [SMALL_STATE(4341)] = 147215,
  [SMALL_STATE(4342)] = 147263,
  [SMALL_STATE(4343)] = 147317,
  [SMALL_STATE(4344)] = 147403,
  [SMALL_STATE(4345)] = 147493,
  [SMALL_STATE(4346)] = 147577,
  [SMALL_STATE(4347)] = 147659,
  [SMALL_STATE(4348)] = 147737,
  [SMALL_STATE(4349)] = 147813,
  [SMALL_STATE(4350)] = 147885,
  [SMALL_STATE(4351)] = 147953,
  [SMALL_STATE(4352)] = 148001,
  [SMALL_STATE(4353)] = 148091,
  [SMALL_STATE(4354)] = 148181,
  [SMALL_STATE(4355)] = 148255,
  [SMALL_STATE(4356)] = 148347,
  [SMALL_STATE(4357)] = 148399,
  [SMALL_STATE(4358)] = 148475,
  [SMALL_STATE(4359)] = 148528,
  [SMALL_STATE(4360)] = 148577,
  [SMALL_STATE(4361)] = 148674,
  [SMALL_STATE(4362)] = 148771,
  [SMALL_STATE(4363)] = 148824,
  [SMALL_STATE(4364)] = 148921,
  [SMALL_STATE(4365)] = 149000,
  [SMALL_STATE(4366)] = 149097,
  [SMALL_STATE(4367)] = 149194,
  [SMALL_STATE(4368)] = 149247,
  [SMALL_STATE(4369)] = 149320,
  [SMALL_STATE(4370)] = 149417,
  [SMALL_STATE(4371)] = 149470,
  [SMALL_STATE(4372)] = 149567,
  [SMALL_STATE(4373)] = 149664,
  [SMALL_STATE(4374)] = 149761,
  [SMALL_STATE(4375)] = 149858,
  [SMALL_STATE(4376)] = 149933,
  [SMALL_STATE(4377)] = 149986,
  [SMALL_STATE(4378)] = 150083,
  [SMALL_STATE(4379)] = 150180,
  [SMALL_STATE(4380)] = 150237,
  [SMALL_STATE(4381)] = 150334,
  [SMALL_STATE(4382)] = 150431,
  [SMALL_STATE(4383)] = 150506,
  [SMALL_STATE(4384)] = 150581,
  [SMALL_STATE(4385)] = 150678,
  [SMALL_STATE(4386)] = 150731,
  [SMALL_STATE(4387)] = 150828,
  [SMALL_STATE(4388)] = 150881,
  [SMALL_STATE(4389)] = 150978,
  [SMALL_STATE(4390)] = 151031,
  [SMALL_STATE(4391)] = 151128,
  [SMALL_STATE(4392)] = 151225,
  [SMALL_STATE(4393)] = 151278,
  [SMALL_STATE(4394)] = 151343,
  [SMALL_STATE(4395)] = 151390,
  [SMALL_STATE(4396)] = 151487,
  [SMALL_STATE(4397)] = 151584,
  [SMALL_STATE(4398)] = 151631,
  [SMALL_STATE(4399)] = 151728,
  [SMALL_STATE(4400)] = 151803,
  [SMALL_STATE(4401)] = 151878,
  [SMALL_STATE(4402)] = 151953,
  [SMALL_STATE(4403)] = 152006,
  [SMALL_STATE(4404)] = 152081,
  [SMALL_STATE(4405)] = 152178,
  [SMALL_STATE(4406)] = 152275,
  [SMALL_STATE(4407)] = 152328,
  [SMALL_STATE(4408)] = 152425,
  [SMALL_STATE(4409)] = 152522,
  [SMALL_STATE(4410)] = 152619,
  [SMALL_STATE(4411)] = 152666,
  [SMALL_STATE(4412)] = 152763,
  [SMALL_STATE(4413)] = 152816,
  [SMALL_STATE(4414)] = 152913,
  [SMALL_STATE(4415)] = 152974,
  [SMALL_STATE(4416)] = 153071,
  [SMALL_STATE(4417)] = 153124,
  [SMALL_STATE(4418)] = 153197,
  [SMALL_STATE(4419)] = 153294,
  [SMALL_STATE(4420)] = 153347,
  [SMALL_STATE(4421)] = 153444,
  [SMALL_STATE(4422)] = 153523,
  [SMALL_STATE(4423)] = 153584,
  [SMALL_STATE(4424)] = 153637,
  [SMALL_STATE(4425)] = 153710,
  [SMALL_STATE(4426)] = 153807,
  [SMALL_STATE(4427)] = 153902,
  [SMALL_STATE(4428)] = 153955,
  [SMALL_STATE(4429)] = 154052,
  [SMALL_STATE(4430)] = 154149,
  [SMALL_STATE(4431)] = 154222,
  [SMALL_STATE(4432)] = 154319,
  [SMALL_STATE(4433)] = 154416,
  [SMALL_STATE(4434)] = 154469,
  [SMALL_STATE(4435)] = 154522,
  [SMALL_STATE(4436)] = 154619,
  [SMALL_STATE(4437)] = 154692,
  [SMALL_STATE(4438)] = 154765,
  [SMALL_STATE(4439)] = 154862,
  [SMALL_STATE(4440)] = 154911,
  [SMALL_STATE(4441)] = 154964,
  [SMALL_STATE(4442)] = 155037,
  [SMALL_STATE(4443)] = 155134,
  [SMALL_STATE(4444)] = 155199,
  [SMALL_STATE(4445)] = 155272,
  [SMALL_STATE(4446)] = 155369,
  [SMALL_STATE(4447)] = 155444,
  [SMALL_STATE(4448)] = 155497,
  [SMALL_STATE(4449)] = 155592,
  [SMALL_STATE(4450)] = 155689,
  [SMALL_STATE(4451)] = 155736,
  [SMALL_STATE(4452)] = 155789,
  [SMALL_STATE(4453)] = 155869,
  [SMALL_STATE(4454)] = 155915,
  [SMALL_STATE(4455)] = 156007,
  [SMALL_STATE(4456)] = 156101,
  [SMALL_STATE(4457)] = 156155,
  [SMALL_STATE(4458)] = 156201,
  [SMALL_STATE(4459)] = 156295,
  [SMALL_STATE(4460)] = 156341,
  [SMALL_STATE(4461)] = 156435,
  [SMALL_STATE(4462)] = 156507,
  [SMALL_STATE(4463)] = 156577,
  [SMALL_STATE(4464)] = 156671,
  [SMALL_STATE(4465)] = 156719,
  [SMALL_STATE(4466)] = 156797,
  [SMALL_STATE(4467)] = 156875,
  [SMALL_STATE(4468)] = 156969,
  [SMALL_STATE(4469)] = 157061,
  [SMALL_STATE(4470)] = 157145,
  [SMALL_STATE(4471)] = 157191,
  [SMALL_STATE(4472)] = 157283,
  [SMALL_STATE(4473)] = 157375,
  [SMALL_STATE(4474)] = 157447,
  [SMALL_STATE(4475)] = 157493,
  [SMALL_STATE(4476)] = 157585,
  [SMALL_STATE(4477)] = 157663,
  [SMALL_STATE(4478)] = 157755,
  [SMALL_STATE(4479)] = 157827,
  [SMALL_STATE(4480)] = 157915,
  [SMALL_STATE(4481)] = 158009,
  [SMALL_STATE(4482)] = 158081,
  [SMALL_STATE(4483)] = 158173,
  [SMALL_STATE(4484)] = 158265,
  [SMALL_STATE(4485)] = 158357,
  [SMALL_STATE(4486)] = 158403,
  [SMALL_STATE(4487)] = 158497,
  [SMALL_STATE(4488)] = 158557,
  [SMALL_STATE(4489)] = 158651,
  [SMALL_STATE(4490)] = 158723,
  [SMALL_STATE(4491)] = 158817,
  [SMALL_STATE(4492)] = 158911,
  [SMALL_STATE(4493)] = 158983,
  [SMALL_STATE(4494)] = 159075,
  [SMALL_STATE(4495)] = 159121,
  [SMALL_STATE(4496)] = 159167,
  [SMALL_STATE(4497)] = 159239,
  [SMALL_STATE(4498)] = 159331,
  [SMALL_STATE(4499)] = 159389,
  [SMALL_STATE(4500)] = 159483,
  [SMALL_STATE(4501)] = 159547,
  [SMALL_STATE(4502)] = 159641,
  [SMALL_STATE(4503)] = 159687,
  [SMALL_STATE(4504)] = 159773,
  [SMALL_STATE(4505)] = 159861,
  [SMALL_STATE(4506)] = 159953,
  [SMALL_STATE(4507)] = 160017,
  [SMALL_STATE(4508)] = 160103,
  [SMALL_STATE(4509)] = 160187,
  [SMALL_STATE(4510)] = 160269,
  [SMALL_STATE(4511)] = 160363,
  [SMALL_STATE(4512)] = 160439,
  [SMALL_STATE(4513)] = 160513,
  [SMALL_STATE(4514)] = 160583,
  [SMALL_STATE(4515)] = 160649,
  [SMALL_STATE(4516)] = 160717,
  [SMALL_STATE(4517)] = 160809,
  [SMALL_STATE(4518)] = 160897,
  [SMALL_STATE(4519)] = 160989,
  [SMALL_STATE(4520)] = 161077,
  [SMALL_STATE(4521)] = 161169,
  [SMALL_STATE(4522)] = 161261,
  [SMALL_STATE(4523)] = 161345,
  [SMALL_STATE(4524)] = 161433,
  [SMALL_STATE(4525)] = 161515,
  [SMALL_STATE(4526)] = 161603,
  [SMALL_STATE(4527)] = 161663,
  [SMALL_STATE(4528)] = 161751,
  [SMALL_STATE(4529)] = 161811,
  [SMALL_STATE(4530)] = 161891,
  [SMALL_STATE(4531)] = 161983,
  [SMALL_STATE(4532)] = 162059,
  [SMALL_STATE(4533)] = 162111,
  [SMALL_STATE(4534)] = 162185,
  [SMALL_STATE(4535)] = 162255,
  [SMALL_STATE(4536)] = 162321,
  [SMALL_STATE(4537)] = 162415,
  [SMALL_STATE(4538)] = 162509,
  [SMALL_STATE(4539)] = 162577,
  [SMALL_STATE(4540)] = 162671,
  [SMALL_STATE(4541)] = 162717,
  [SMALL_STATE(4542)] = 162811,
  [SMALL_STATE(4543)] = 162905,
  [SMALL_STATE(4544)] = 162999,
  [SMALL_STATE(4545)] = 163049,
  [SMALL_STATE(4546)] = 163095,
  [SMALL_STATE(4547)] = 163187,
  [SMALL_STATE(4548)] = 163279,
  [SMALL_STATE(4549)] = 163337,
  [SMALL_STATE(4550)] = 163431,
  [SMALL_STATE(4551)] = 163525,
  [SMALL_STATE(4552)] = 163619,
  [SMALL_STATE(4553)] = 163713,
  [SMALL_STATE(4554)] = 163771,
  [SMALL_STATE(4555)] = 163865,
  [SMALL_STATE(4556)] = 163925,
  [SMALL_STATE(4557)] = 163971,
  [SMALL_STATE(4558)] = 164031,
  [SMALL_STATE(4559)] = 164095,
  [SMALL_STATE(4560)] = 164153,
  [SMALL_STATE(4561)] = 164211,
  [SMALL_STATE(4562)] = 164305,
  [SMALL_STATE(4563)] = 164351,
  [SMALL_STATE(4564)] = 164445,
  [SMALL_STATE(4565)] = 164503,
  [SMALL_STATE(4566)] = 164591,
  [SMALL_STATE(4567)] = 164637,
  [SMALL_STATE(4568)] = 164729,
  [SMALL_STATE(4569)] = 164775,
  [SMALL_STATE(4570)] = 164869,
  [SMALL_STATE(4571)] = 164915,
  [SMALL_STATE(4572)] = 165003,
  [SMALL_STATE(4573)] = 165089,
  [SMALL_STATE(4574)] = 165135,
  [SMALL_STATE(4575)] = 165229,
  [SMALL_STATE(4576)] = 165275,
  [SMALL_STATE(4577)] = 165353,
  [SMALL_STATE(4578)] = 165441,
  [SMALL_STATE(4579)] = 165487,
  [SMALL_STATE(4580)] = 165581,
  [SMALL_STATE(4581)] = 165673,
  [SMALL_STATE(4582)] = 165733,
  [SMALL_STATE(4583)] = 165807,
  [SMALL_STATE(4584)] = 165883,
  [SMALL_STATE(4585)] = 165965,
  [SMALL_STATE(4586)] = 166057,
  [SMALL_STATE(4587)] = 166151,
  [SMALL_STATE(4588)] = 166245,
  [SMALL_STATE(4589)] = 166339,
  [SMALL_STATE(4590)] = 166431,
  [SMALL_STATE(4591)] = 166477,
  [SMALL_STATE(4592)] = 166523,
  [SMALL_STATE(4593)] = 166611,
  [SMALL_STATE(4594)] = 166697,
  [SMALL_STATE(4595)] = 166791,
  [SMALL_STATE(4596)] = 166885,
  [SMALL_STATE(4597)] = 166979,
  [SMALL_STATE(4598)] = 167025,
  [SMALL_STATE(4599)] = 167071,
  [SMALL_STATE(4600)] = 167117,
  [SMALL_STATE(4601)] = 167189,
  [SMALL_STATE(4602)] = 167281,
  [SMALL_STATE(4603)] = 167369,
  [SMALL_STATE(4604)] = 167415,
  [SMALL_STATE(4605)] = 167509,
  [SMALL_STATE(4606)] = 167555,
  [SMALL_STATE(4607)] = 167601,
  [SMALL_STATE(4608)] = 167647,
  [SMALL_STATE(4609)] = 167695,
  [SMALL_STATE(4610)] = 167787,
  [SMALL_STATE(4611)] = 167833,
  [SMALL_STATE(4612)] = 167879,
  [SMALL_STATE(4613)] = 167973,
  [SMALL_STATE(4614)] = 168045,
  [SMALL_STATE(4615)] = 168105,
  [SMALL_STATE(4616)] = 168151,
  [SMALL_STATE(4617)] = 168197,
  [SMALL_STATE(4618)] = 168291,
  [SMALL_STATE(4619)] = 168351,
  [SMALL_STATE(4620)] = 168443,
  [SMALL_STATE(4621)] = 168537,
  [SMALL_STATE(4622)] = 168631,
  [SMALL_STATE(4623)] = 168723,
  [SMALL_STATE(4624)] = 168817,
  [SMALL_STATE(4625)] = 168905,
  [SMALL_STATE(4626)] = 168993,
  [SMALL_STATE(4627)] = 169085,
  [SMALL_STATE(4628)] = 169131,
  [SMALL_STATE(4629)] = 169225,
  [SMALL_STATE(4630)] = 169291,
  [SMALL_STATE(4631)] = 169337,
  [SMALL_STATE(4632)] = 169383,
  [SMALL_STATE(4633)] = 169463,
  [SMALL_STATE(4634)] = 169509,
  [SMALL_STATE(4635)] = 169555,
  [SMALL_STATE(4636)] = 169649,
  [SMALL_STATE(4637)] = 169737,
  [SMALL_STATE(4638)] = 169818,
  [SMALL_STATE(4639)] = 169909,
  [SMALL_STATE(4640)] = 170000,
  [SMALL_STATE(4641)] = 170091,
  [SMALL_STATE(4642)] = 170182,
  [SMALL_STATE(4643)] = 170273,
  [SMALL_STATE(4644)] = 170364,
  [SMALL_STATE(4645)] = 170455,
  [SMALL_STATE(4646)] = 170546,
  [SMALL_STATE(4647)] = 170633,
  [SMALL_STATE(4648)] = 170724,
  [SMALL_STATE(4649)] = 170815,
  [SMALL_STATE(4650)] = 170906,
  [SMALL_STATE(4651)] = 170997,
  [SMALL_STATE(4652)] = 171088,
  [SMALL_STATE(4653)] = 171179,
  [SMALL_STATE(4654)] = 171270,
  [SMALL_STATE(4655)] = 171361,
  [SMALL_STATE(4656)] = 171452,
  [SMALL_STATE(4657)] = 171543,
  [SMALL_STATE(4658)] = 171634,
  [SMALL_STATE(4659)] = 171725,
  [SMALL_STATE(4660)] = 171816,
  [SMALL_STATE(4661)] = 171907,
  [SMALL_STATE(4662)] = 171998,
  [SMALL_STATE(4663)] = 172089,
  [SMALL_STATE(4664)] = 172180,
  [SMALL_STATE(4665)] = 172271,
  [SMALL_STATE(4666)] = 172362,
  [SMALL_STATE(4667)] = 172453,
  [SMALL_STATE(4668)] = 172544,
  [SMALL_STATE(4669)] = 172635,
  [SMALL_STATE(4670)] = 172726,
  [SMALL_STATE(4671)] = 172815,
  [SMALL_STATE(4672)] = 172860,
  [SMALL_STATE(4673)] = 172943,
  [SMALL_STATE(4674)] = 173034,
  [SMALL_STATE(4675)] = 173125,
  [SMALL_STATE(4676)] = 173216,
  [SMALL_STATE(4677)] = 173261,
  [SMALL_STATE(4678)] = 173352,
  [SMALL_STATE(4679)] = 173443,
  [SMALL_STATE(4680)] = 173534,
  [SMALL_STATE(4681)] = 173625,
  [SMALL_STATE(4682)] = 173716,
  [SMALL_STATE(4683)] = 173807,
  [SMALL_STATE(4684)] = 173898,
  [SMALL_STATE(4685)] = 173989,
  [SMALL_STATE(4686)] = 174080,
  [SMALL_STATE(4687)] = 174171,
  [SMALL_STATE(4688)] = 174262,
  [SMALL_STATE(4689)] = 174353,
  [SMALL_STATE(4690)] = 174444,
  [SMALL_STATE(4691)] = 174535,
  [SMALL_STATE(4692)] = 174626,
  [SMALL_STATE(4693)] = 174717,
  [SMALL_STATE(4694)] = 174808,
  [SMALL_STATE(4695)] = 174899,
  [SMALL_STATE(4696)] = 174990,
  [SMALL_STATE(4697)] = 175081,
  [SMALL_STATE(4698)] = 175172,
  [SMALL_STATE(4699)] = 175263,
  [SMALL_STATE(4700)] = 175354,
  [SMALL_STATE(4701)] = 175445,
  [SMALL_STATE(4702)] = 175536,
  [SMALL_STATE(4703)] = 175627,
  [SMALL_STATE(4704)] = 175718,
  [SMALL_STATE(4705)] = 175809,
  [SMALL_STATE(4706)] = 175900,
  [SMALL_STATE(4707)] = 175991,
  [SMALL_STATE(4708)] = 176082,
  [SMALL_STATE(4709)] = 176173,
  [SMALL_STATE(4710)] = 176264,
  [SMALL_STATE(4711)] = 176355,
  [SMALL_STATE(4712)] = 176446,
  [SMALL_STATE(4713)] = 176537,
  [SMALL_STATE(4714)] = 176628,
  [SMALL_STATE(4715)] = 176719,
  [SMALL_STATE(4716)] = 176810,
  [SMALL_STATE(4717)] = 176901,
  [SMALL_STATE(4718)] = 176992,
  [SMALL_STATE(4719)] = 177083,
  [SMALL_STATE(4720)] = 177174,
  [SMALL_STATE(4721)] = 177265,
  [SMALL_STATE(4722)] = 177356,
  [SMALL_STATE(4723)] = 177447,
  [SMALL_STATE(4724)] = 177538,
  [SMALL_STATE(4725)] = 177629,
  [SMALL_STATE(4726)] = 177720,
  [SMALL_STATE(4727)] = 177811,
  [SMALL_STATE(4728)] = 177902,
  [SMALL_STATE(4729)] = 177993,
  [SMALL_STATE(4730)] = 178084,
  [SMALL_STATE(4731)] = 178175,
  [SMALL_STATE(4732)] = 178266,
  [SMALL_STATE(4733)] = 178357,
  [SMALL_STATE(4734)] = 178448,
  [SMALL_STATE(4735)] = 178539,
  [SMALL_STATE(4736)] = 178586,
  [SMALL_STATE(4737)] = 178677,
  [SMALL_STATE(4738)] = 178768,
  [SMALL_STATE(4739)] = 178859,
  [SMALL_STATE(4740)] = 178950,
  [SMALL_STATE(4741)] = 179041,
  [SMALL_STATE(4742)] = 179132,
  [SMALL_STATE(4743)] = 179223,
  [SMALL_STATE(4744)] = 179314,
  [SMALL_STATE(4745)] = 179395,
  [SMALL_STATE(4746)] = 179486,
  [SMALL_STATE(4747)] = 179577,
  [SMALL_STATE(4748)] = 179668,
  [SMALL_STATE(4749)] = 179755,
  [SMALL_STATE(4750)] = 179836,
  [SMALL_STATE(4751)] = 179917,
  [SMALL_STATE(4752)] = 179998,
  [SMALL_STATE(4753)] = 180079,
  [SMALL_STATE(4754)] = 180160,
  [SMALL_STATE(4755)] = 180231,
  [SMALL_STATE(4756)] = 180302,
  [SMALL_STATE(4757)] = 180373,
  [SMALL_STATE(4758)] = 180444,
  [SMALL_STATE(4759)] = 180535,
  [SMALL_STATE(4760)] = 180626,
  [SMALL_STATE(4761)] = 180681,
  [SMALL_STATE(4762)] = 180736,
  [SMALL_STATE(4763)] = 180827,
  [SMALL_STATE(4764)] = 180918,
  [SMALL_STATE(4765)] = 181009,
  [SMALL_STATE(4766)] = 181100,
  [SMALL_STATE(4767)] = 181145,
  [SMALL_STATE(4768)] = 181215,
  [SMALL_STATE(4769)] = 181269,
  [SMALL_STATE(4770)] = 181347,
  [SMALL_STATE(4771)] = 181391,
  [SMALL_STATE(4772)] = 181479,
  [SMALL_STATE(4773)] = 181523,
  [SMALL_STATE(4774)] = 181593,
  [SMALL_STATE(4775)] = 181663,
  [SMALL_STATE(4776)] = 181733,
  [SMALL_STATE(4777)] = 181803,
  [SMALL_STATE(4778)] = 181851,
  [SMALL_STATE(4779)] = 181895,
  [SMALL_STATE(4780)] = 181957,
  [SMALL_STATE(4781)] = 182001,
  [SMALL_STATE(4782)] = 182045,
  [SMALL_STATE(4783)] = 182089,
  [SMALL_STATE(4784)] = 182133,
  [SMALL_STATE(4785)] = 182211,
  [SMALL_STATE(4786)] = 182255,
  [SMALL_STATE(4787)] = 182341,
  [SMALL_STATE(4788)] = 182385,
  [SMALL_STATE(4789)] = 182429,
  [SMALL_STATE(4790)] = 182499,
  [SMALL_STATE(4791)] = 182569,
  [SMALL_STATE(4792)] = 182613,
  [SMALL_STATE(4793)] = 182657,
  [SMALL_STATE(4794)] = 182743,
  [SMALL_STATE(4795)] = 182813,
  [SMALL_STATE(4796)] = 182861,
  [SMALL_STATE(4797)] = 182905,
  [SMALL_STATE(4798)] = 182949,
  [SMALL_STATE(4799)] = 182993,
  [SMALL_STATE(4800)] = 183051,
  [SMALL_STATE(4801)] = 183129,
  [SMALL_STATE(4802)] = 183205,
  [SMALL_STATE(4803)] = 183275,
  [SMALL_STATE(4804)] = 183319,
  [SMALL_STATE(4805)] = 183363,
  [SMALL_STATE(4806)] = 183407,
  [SMALL_STATE(4807)] = 183485,
  [SMALL_STATE(4808)] = 183561,
  [SMALL_STATE(4809)] = 183607,
  [SMALL_STATE(4810)] = 183685,
  [SMALL_STATE(4811)] = 183729,
  [SMALL_STATE(4812)] = 183807,
  [SMALL_STATE(4813)] = 183851,
  [SMALL_STATE(4814)] = 183895,
  [SMALL_STATE(4815)] = 183973,
  [SMALL_STATE(4816)] = 184031,
  [SMALL_STATE(4817)] = 184109,
  [SMALL_STATE(4818)] = 184195,
  [SMALL_STATE(4819)] = 184265,
  [SMALL_STATE(4820)] = 184309,
  [SMALL_STATE(4821)] = 184353,
  [SMALL_STATE(4822)] = 184397,
  [SMALL_STATE(4823)] = 184441,
  [SMALL_STATE(4824)] = 184487,
  [SMALL_STATE(4825)] = 184531,
  [SMALL_STATE(4826)] = 184617,
  [SMALL_STATE(4827)] = 184669,
  [SMALL_STATE(4828)] = 184721,
  [SMALL_STATE(4829)] = 184773,
  [SMALL_STATE(4830)] = 184821,
  [SMALL_STATE(4831)] = 184865,
  [SMALL_STATE(4832)] = 184915,
  [SMALL_STATE(4833)] = 184973,
  [SMALL_STATE(4834)] = 185023,
  [SMALL_STATE(4835)] = 185067,
  [SMALL_STATE(4836)] = 185111,
  [SMALL_STATE(4837)] = 185161,
  [SMALL_STATE(4838)] = 185211,
  [SMALL_STATE(4839)] = 185269,
  [SMALL_STATE(4840)] = 185319,
  [SMALL_STATE(4841)] = 185389,
  [SMALL_STATE(4842)] = 185439,
  [SMALL_STATE(4843)] = 185489,
  [SMALL_STATE(4844)] = 185533,
  [SMALL_STATE(4845)] = 185577,
  [SMALL_STATE(4846)] = 185621,
  [SMALL_STATE(4847)] = 185665,
  [SMALL_STATE(4848)] = 185715,
  [SMALL_STATE(4849)] = 185765,
  [SMALL_STATE(4850)] = 185815,
  [SMALL_STATE(4851)] = 185865,
  [SMALL_STATE(4852)] = 185915,
  [SMALL_STATE(4853)] = 185965,
  [SMALL_STATE(4854)] = 186009,
  [SMALL_STATE(4855)] = 186053,
  [SMALL_STATE(4856)] = 186097,
  [SMALL_STATE(4857)] = 186183,
  [SMALL_STATE(4858)] = 186253,
  [SMALL_STATE(4859)] = 186315,
  [SMALL_STATE(4860)] = 186401,
  [SMALL_STATE(4861)] = 186445,
  [SMALL_STATE(4862)] = 186489,
  [SMALL_STATE(4863)] = 186558,
  [SMALL_STATE(4864)] = 186643,
  [SMALL_STATE(4865)] = 186728,
  [SMALL_STATE(4866)] = 186775,
  [SMALL_STATE(4867)] = 186844,
  [SMALL_STATE(4868)] = 186929,
  [SMALL_STATE(4869)] = 187014,
  [SMALL_STATE(4870)] = 187083,
  [SMALL_STATE(4871)] = 187130,
  [SMALL_STATE(4872)] = 187177,
  [SMALL_STATE(4873)] = 187262,
  [SMALL_STATE(4874)] = 187347,
  [SMALL_STATE(4875)] = 187432,
  [SMALL_STATE(4876)] = 187501,
  [SMALL_STATE(4877)] = 187570,
  [SMALL_STATE(4878)] = 187617,
  [SMALL_STATE(4879)] = 187670,
  [SMALL_STATE(4880)] = 187755,
  [SMALL_STATE(4881)] = 187840,
  [SMALL_STATE(4882)] = 187925,
  [SMALL_STATE(4883)] = 187982,
  [SMALL_STATE(4884)] = 188067,
  [SMALL_STATE(4885)] = 188152,
  [SMALL_STATE(4886)] = 188237,
  [SMALL_STATE(4887)] = 188280,
  [SMALL_STATE(4888)] = 188323,
  [SMALL_STATE(4889)] = 188370,
  [SMALL_STATE(4890)] = 188417,
  [SMALL_STATE(4891)] = 188464,
  [SMALL_STATE(4892)] = 188507,
  [SMALL_STATE(4893)] = 188550,
  [SMALL_STATE(4894)] = 188593,
  [SMALL_STATE(4895)] = 188636,
  [SMALL_STATE(4896)] = 188721,
  [SMALL_STATE(4897)] = 188768,
  [SMALL_STATE(4898)] = 188815,
  [SMALL_STATE(4899)] = 188858,
  [SMALL_STATE(4900)] = 188915,
  [SMALL_STATE(4901)] = 188958,
  [SMALL_STATE(4902)] = 189043,
  [SMALL_STATE(4903)] = 189090,
  [SMALL_STATE(4904)] = 189133,
  [SMALL_STATE(4905)] = 189176,
  [SMALL_STATE(4906)] = 189221,
  [SMALL_STATE(4907)] = 189268,
  [SMALL_STATE(4908)] = 189311,
  [SMALL_STATE(4909)] = 189354,
  [SMALL_STATE(4910)] = 189397,
  [SMALL_STATE(4911)] = 189440,
  [SMALL_STATE(4912)] = 189525,
  [SMALL_STATE(4913)] = 189568,
  [SMALL_STATE(4914)] = 189611,
  [SMALL_STATE(4915)] = 189696,
  [SMALL_STATE(4916)] = 189781,
  [SMALL_STATE(4917)] = 189824,
  [SMALL_STATE(4918)] = 189909,
  [SMALL_STATE(4919)] = 189952,
  [SMALL_STATE(4920)] = 189995,
  [SMALL_STATE(4921)] = 190038,
  [SMALL_STATE(4922)] = 190129,
  [SMALL_STATE(4923)] = 190172,
  [SMALL_STATE(4924)] = 190215,
  [SMALL_STATE(4925)] = 190258,
  [SMALL_STATE(4926)] = 190327,
  [SMALL_STATE(4927)] = 190370,
  [SMALL_STATE(4928)] = 190413,
  [SMALL_STATE(4929)] = 190456,
  [SMALL_STATE(4930)] = 190525,
  [SMALL_STATE(4931)] = 190568,
  [SMALL_STATE(4932)] = 190653,
  [SMALL_STATE(4933)] = 190696,
  [SMALL_STATE(4934)] = 190739,
  [SMALL_STATE(4935)] = 190782,
  [SMALL_STATE(4936)] = 190825,
  [SMALL_STATE(4937)] = 190868,
  [SMALL_STATE(4938)] = 190913,
  [SMALL_STATE(4939)] = 190956,
  [SMALL_STATE(4940)] = 190999,
  [SMALL_STATE(4941)] = 191068,
  [SMALL_STATE(4942)] = 191111,
  [SMALL_STATE(4943)] = 191154,
  [SMALL_STATE(4944)] = 191197,
  [SMALL_STATE(4945)] = 191240,
  [SMALL_STATE(4946)] = 191325,
  [SMALL_STATE(4947)] = 191410,
  [SMALL_STATE(4948)] = 191495,
  [SMALL_STATE(4949)] = 191580,
  [SMALL_STATE(4950)] = 191665,
  [SMALL_STATE(4951)] = 191750,
  [SMALL_STATE(4952)] = 191835,
  [SMALL_STATE(4953)] = 191920,
  [SMALL_STATE(4954)] = 191963,
  [SMALL_STATE(4955)] = 192010,
  [SMALL_STATE(4956)] = 192094,
  [SMALL_STATE(4957)] = 192140,
  [SMALL_STATE(4958)] = 192186,
  [SMALL_STATE(4959)] = 192232,
  [SMALL_STATE(4960)] = 192310,
  [SMALL_STATE(4961)] = 192356,
  [SMALL_STATE(4962)] = 192412,
  [SMALL_STATE(4963)] = 192466,
  [SMALL_STATE(4964)] = 192522,
  [SMALL_STATE(4965)] = 192568,
  [SMALL_STATE(4966)] = 192614,
  [SMALL_STATE(4967)] = 192692,
  [SMALL_STATE(4968)] = 192738,
  [SMALL_STATE(4969)] = 192784,
  [SMALL_STATE(4970)] = 192862,
  [SMALL_STATE(4971)] = 192908,
  [SMALL_STATE(4972)] = 192954,
  [SMALL_STATE(4973)] = 193032,
  [SMALL_STATE(4974)] = 193078,
  [SMALL_STATE(4975)] = 193162,
  [SMALL_STATE(4976)] = 193208,
  [SMALL_STATE(4977)] = 193287,
  [SMALL_STATE(4978)] = 193366,
  [SMALL_STATE(4979)] = 193445,
  [SMALL_STATE(4980)] = 193524,
  [SMALL_STATE(4981)] = 193603,
  [SMALL_STATE(4982)] = 193682,
  [SMALL_STATE(4983)] = 193761,
  [SMALL_STATE(4984)] = 193840,
  [SMALL_STATE(4985)] = 193919,
  [SMALL_STATE(4986)] = 193998,
  [SMALL_STATE(4987)] = 194077,
  [SMALL_STATE(4988)] = 194156,
  [SMALL_STATE(4989)] = 194235,
  [SMALL_STATE(4990)] = 194314,
  [SMALL_STATE(4991)] = 194397,
  [SMALL_STATE(4992)] = 194474,
  [SMALL_STATE(4993)] = 194553,
  [SMALL_STATE(4994)] = 194632,
  [SMALL_STATE(4995)] = 194711,
  [SMALL_STATE(4996)] = 194790,
  [SMALL_STATE(4997)] = 194867,
  [SMALL_STATE(4998)] = 194944,
  [SMALL_STATE(4999)] = 195023,
  [SMALL_STATE(5000)] = 195102,
  [SMALL_STATE(5001)] = 195179,
  [SMALL_STATE(5002)] = 195258,
  [SMALL_STATE(5003)] = 195337,
  [SMALL_STATE(5004)] = 195416,
  [SMALL_STATE(5005)] = 195499,
  [SMALL_STATE(5006)] = 195578,
  [SMALL_STATE(5007)] = 195657,
  [SMALL_STATE(5008)] = 195724,
  [SMALL_STATE(5009)] = 195803,
  [SMALL_STATE(5010)] = 195886,
  [SMALL_STATE(5011)] = 195965,
  [SMALL_STATE(5012)] = 196044,
  [SMALL_STATE(5013)] = 196111,
  [SMALL_STATE(5014)] = 196190,
  [SMALL_STATE(5015)] = 196257,
  [SMALL_STATE(5016)] = 196336,
  [SMALL_STATE(5017)] = 196415,
  [SMALL_STATE(5018)] = 196492,
  [SMALL_STATE(5019)] = 196571,
  [SMALL_STATE(5020)] = 196654,
  [SMALL_STATE(5021)] = 196733,
  [SMALL_STATE(5022)] = 196810,
  [SMALL_STATE(5023)] = 196889,
  [SMALL_STATE(5024)] = 196940,
  [SMALL_STATE(5025)] = 197007,
  [SMALL_STATE(5026)] = 197086,
  [SMALL_STATE(5027)] = 197163,
  [SMALL_STATE(5028)] = 197242,
  [SMALL_STATE(5029)] = 197319,
  [SMALL_STATE(5030)] = 197398,
  [SMALL_STATE(5031)] = 197475,
  [SMALL_STATE(5032)] = 197554,
  [SMALL_STATE(5033)] = 197633,
  [SMALL_STATE(5034)] = 197716,
  [SMALL_STATE(5035)] = 197793,
  [SMALL_STATE(5036)] = 197870,
  [SMALL_STATE(5037)] = 197949,
  [SMALL_STATE(5038)] = 198026,
  [SMALL_STATE(5039)] = 198109,
  [SMALL_STATE(5040)] = 198185,
  [SMALL_STATE(5041)] = 198261,
  [SMALL_STATE(5042)] = 198305,
  [SMALL_STATE(5043)] = 198381,
  [SMALL_STATE(5044)] = 198463,
  [SMALL_STATE(5045)] = 198545,
  [SMALL_STATE(5046)] = 198621,
  [SMALL_STATE(5047)] = 198669,
  [SMALL_STATE(5048)] = 198745,
  [SMALL_STATE(5049)] = 198821,
  [SMALL_STATE(5050)] = 198897,
  [SMALL_STATE(5051)] = 198973,
  [SMALL_STATE(5052)] = 199049,
  [SMALL_STATE(5053)] = 199131,
  [SMALL_STATE(5054)] = 199207,
  [SMALL_STATE(5055)] = 199259,
  [SMALL_STATE(5056)] = 199311,
  [SMALL_STATE(5057)] = 199387,
  [SMALL_STATE(5058)] = 199463,
  [SMALL_STATE(5059)] = 199539,
  [SMALL_STATE(5060)] = 199615,
  [SMALL_STATE(5061)] = 199691,
  [SMALL_STATE(5062)] = 199767,
  [SMALL_STATE(5063)] = 199843,
  [SMALL_STATE(5064)] = 199889,
  [SMALL_STATE(5065)] = 199965,
  [SMALL_STATE(5066)] = 200041,
  [SMALL_STATE(5067)] = 200123,
  [SMALL_STATE(5068)] = 200171,
  [SMALL_STATE(5069)] = 200247,
  [SMALL_STATE(5070)] = 200328,
  [SMALL_STATE(5071)] = 200409,
  [SMALL_STATE(5072)] = 200490,
  [SMALL_STATE(5073)] = 200571,
  [SMALL_STATE(5074)] = 200652,
  [SMALL_STATE(5075)] = 200733,
  [SMALL_STATE(5076)] = 200814,
  [SMALL_STATE(5077)] = 200895,
  [SMALL_STATE(5078)] = 200976,
  [SMALL_STATE(5079)] = 201057,
  [SMALL_STATE(5080)] = 201138,
  [SMALL_STATE(5081)] = 201219,
  [SMALL_STATE(5082)] = 201300,
  [SMALL_STATE(5083)] = 201381,
  [SMALL_STATE(5084)] = 201462,
  [SMALL_STATE(5085)] = 201543,
  [SMALL_STATE(5086)] = 201624,
  [SMALL_STATE(5087)] = 201705,
  [SMALL_STATE(5088)] = 201786,
  [SMALL_STATE(5089)] = 201867,
  [SMALL_STATE(5090)] = 201948,
  [SMALL_STATE(5091)] = 202029,
  [SMALL_STATE(5092)] = 202110,
  [SMALL_STATE(5093)] = 202191,
  [SMALL_STATE(5094)] = 202272,
  [SMALL_STATE(5095)] = 202353,
  [SMALL_STATE(5096)] = 202434,
  [SMALL_STATE(5097)] = 202515,
  [SMALL_STATE(5098)] = 202596,
  [SMALL_STATE(5099)] = 202677,
  [SMALL_STATE(5100)] = 202758,
  [SMALL_STATE(5101)] = 202839,
  [SMALL_STATE(5102)] = 202920,
  [SMALL_STATE(5103)] = 203001,
  [SMALL_STATE(5104)] = 203082,
  [SMALL_STATE(5105)] = 203163,
  [SMALL_STATE(5106)] = 203244,
  [SMALL_STATE(5107)] = 203325,
  [SMALL_STATE(5108)] = 203406,
  [SMALL_STATE(5109)] = 203487,
  [SMALL_STATE(5110)] = 203562,
  [SMALL_STATE(5111)] = 203637,
  [SMALL_STATE(5112)] = 203712,
  [SMALL_STATE(5113)] = 203787,
  [SMALL_STATE(5114)] = 203868,
  [SMALL_STATE(5115)] = 203949,
  [SMALL_STATE(5116)] = 204030,
  [SMALL_STATE(5117)] = 204111,
  [SMALL_STATE(5118)] = 204192,
  [SMALL_STATE(5119)] = 204273,
  [SMALL_STATE(5120)] = 204354,
  [SMALL_STATE(5121)] = 204435,
  [SMALL_STATE(5122)] = 204516,
  [SMALL_STATE(5123)] = 204597,
  [SMALL_STATE(5124)] = 204678,
  [SMALL_STATE(5125)] = 204759,
  [SMALL_STATE(5126)] = 204840,
  [SMALL_STATE(5127)] = 204921,
  [SMALL_STATE(5128)] = 205002,
  [SMALL_STATE(5129)] = 205083,
  [SMALL_STATE(5130)] = 205164,
  [SMALL_STATE(5131)] = 205245,
  [SMALL_STATE(5132)] = 205326,
  [SMALL_STATE(5133)] = 205407,
  [SMALL_STATE(5134)] = 205488,
  [SMALL_STATE(5135)] = 205569,
  [SMALL_STATE(5136)] = 205650,
  [SMALL_STATE(5137)] = 205731,
  [SMALL_STATE(5138)] = 205812,
  [SMALL_STATE(5139)] = 205893,
  [SMALL_STATE(5140)] = 205974,
  [SMALL_STATE(5141)] = 206055,
  [SMALL_STATE(5142)] = 206136,
  [SMALL_STATE(5143)] = 206217,
  [SMALL_STATE(5144)] = 206298,
  [SMALL_STATE(5145)] = 206379,
  [SMALL_STATE(5146)] = 206460,
  [SMALL_STATE(5147)] = 206541,
  [SMALL_STATE(5148)] = 206622,
  [SMALL_STATE(5149)] = 206703,
  [SMALL_STATE(5150)] = 206784,
  [SMALL_STATE(5151)] = 206865,
  [SMALL_STATE(5152)] = 206946,
  [SMALL_STATE(5153)] = 207027,
  [SMALL_STATE(5154)] = 207108,
  [SMALL_STATE(5155)] = 207189,
  [SMALL_STATE(5156)] = 207270,
  [SMALL_STATE(5157)] = 207351,
  [SMALL_STATE(5158)] = 207432,
  [SMALL_STATE(5159)] = 207513,
  [SMALL_STATE(5160)] = 207594,
  [SMALL_STATE(5161)] = 207675,
  [SMALL_STATE(5162)] = 207756,
  [SMALL_STATE(5163)] = 207837,
  [SMALL_STATE(5164)] = 207918,
  [SMALL_STATE(5165)] = 207999,
  [SMALL_STATE(5166)] = 208080,
  [SMALL_STATE(5167)] = 208123,
  [SMALL_STATE(5168)] = 208204,
  [SMALL_STATE(5169)] = 208285,
  [SMALL_STATE(5170)] = 208366,
  [SMALL_STATE(5171)] = 208440,
  [SMALL_STATE(5172)] = 208514,
  [SMALL_STATE(5173)] = 208592,
  [SMALL_STATE(5174)] = 208662,
  [SMALL_STATE(5175)] = 208740,
  [SMALL_STATE(5176)] = 208818,
  [SMALL_STATE(5177)] = 208896,
  [SMALL_STATE(5178)] = 208974,
  [SMALL_STATE(5179)] = 209048,
  [SMALL_STATE(5180)] = 209126,
  [SMALL_STATE(5181)] = 209204,
  [SMALL_STATE(5182)] = 209282,
  [SMALL_STATE(5183)] = 209360,
  [SMALL_STATE(5184)] = 209434,
  [SMALL_STATE(5185)] = 209504,
  [SMALL_STATE(5186)] = 209582,
  [SMALL_STATE(5187)] = 209620,
  [SMALL_STATE(5188)] = 209658,
  [SMALL_STATE(5189)] = 209732,
  [SMALL_STATE(5190)] = 209806,
  [SMALL_STATE(5191)] = 209880,
  [SMALL_STATE(5192)] = 209954,
  [SMALL_STATE(5193)] = 210028,
  [SMALL_STATE(5194)] = 210106,
  [SMALL_STATE(5195)] = 210176,
  [SMALL_STATE(5196)] = 210254,
  [SMALL_STATE(5197)] = 210324,
  [SMALL_STATE(5198)] = 210402,
  [SMALL_STATE(5199)] = 210472,
  [SMALL_STATE(5200)] = 210550,
  [SMALL_STATE(5201)] = 210624,
  [SMALL_STATE(5202)] = 210694,
  [SMALL_STATE(5203)] = 210764,
  [SMALL_STATE(5204)] = 210842,
  [SMALL_STATE(5205)] = 210920,
  [SMALL_STATE(5206)] = 210994,
  [SMALL_STATE(5207)] = 211072,
  [SMALL_STATE(5208)] = 211150,
  [SMALL_STATE(5209)] = 211220,
  [SMALL_STATE(5210)] = 211294,
  [SMALL_STATE(5211)] = 211367,
  [SMALL_STATE(5212)] = 211428,
  [SMALL_STATE(5213)] = 211501,
  [SMALL_STATE(5214)] = 211568,
  [SMALL_STATE(5215)] = 211635,
  [SMALL_STATE(5216)] = 211702,
  [SMALL_STATE(5217)] = 211769,
  [SMALL_STATE(5218)] = 211810,
  [SMALL_STATE(5219)] = 211877,
  [SMALL_STATE(5220)] = 211944,
  [SMALL_STATE(5221)] = 212011,
  [SMALL_STATE(5222)] = 212078,
  [SMALL_STATE(5223)] = 212145,
  [SMALL_STATE(5224)] = 212212,
  [SMALL_STATE(5225)] = 212279,
  [SMALL_STATE(5226)] = 212346,
  [SMALL_STATE(5227)] = 212419,
  [SMALL_STATE(5228)] = 212486,
  [SMALL_STATE(5229)] = 212553,
  [SMALL_STATE(5230)] = 212620,
  [SMALL_STATE(5231)] = 212681,
  [SMALL_STATE(5232)] = 212748,
  [SMALL_STATE(5233)] = 212815,
  [SMALL_STATE(5234)] = 212888,
  [SMALL_STATE(5235)] = 212955,
  [SMALL_STATE(5236)] = 213022,
  [SMALL_STATE(5237)] = 213089,
  [SMALL_STATE(5238)] = 213156,
  [SMALL_STATE(5239)] = 213223,
  [SMALL_STATE(5240)] = 213290,
  [SMALL_STATE(5241)] = 213357,
  [SMALL_STATE(5242)] = 213424,
  [SMALL_STATE(5243)] = 213491,
  [SMALL_STATE(5244)] = 213558,
  [SMALL_STATE(5245)] = 213631,
  [SMALL_STATE(5246)] = 213698,
  [SMALL_STATE(5247)] = 213771,
  [SMALL_STATE(5248)] = 213838,
  [SMALL_STATE(5249)] = 213899,
  [SMALL_STATE(5250)] = 213966,
  [SMALL_STATE(5251)] = 214033,
  [SMALL_STATE(5252)] = 214106,
  [SMALL_STATE(5253)] = 214173,
  [SMALL_STATE(5254)] = 214240,
  [SMALL_STATE(5255)] = 214313,
  [SMALL_STATE(5256)] = 214380,
  [SMALL_STATE(5257)] = 214441,
  [SMALL_STATE(5258)] = 214507,
  [SMALL_STATE(5259)] = 214573,
  [SMALL_STATE(5260)] = 214639,
  [SMALL_STATE(5261)] = 214705,
  [SMALL_STATE(5262)] = 214771,
  [SMALL_STATE(5263)] = 214837,
  [SMALL_STATE(5264)] = 214903,
  [SMALL_STATE(5265)] = 214969,
  [SMALL_STATE(5266)] = 215035,
  [SMALL_STATE(5267)] = 215101,
  [SMALL_STATE(5268)] = 215139,
  [SMALL_STATE(5269)] = 215205,
  [SMALL_STATE(5270)] = 215271,
  [SMALL_STATE(5271)] = 215337,
  [SMALL_STATE(5272)] = 215403,
  [SMALL_STATE(5273)] = 215469,
  [SMALL_STATE(5274)] = 215535,
  [SMALL_STATE(5275)] = 215601,
  [SMALL_STATE(5276)] = 215667,
  [SMALL_STATE(5277)] = 215732,
  [SMALL_STATE(5278)] = 215797,
  [SMALL_STATE(5279)] = 215862,
  [SMALL_STATE(5280)] = 215927,
  [SMALL_STATE(5281)] = 215992,
  [SMALL_STATE(5282)] = 216057,
  [SMALL_STATE(5283)] = 216122,
  [SMALL_STATE(5284)] = 216187,
  [SMALL_STATE(5285)] = 216252,
  [SMALL_STATE(5286)] = 216317,
  [SMALL_STATE(5287)] = 216382,
  [SMALL_STATE(5288)] = 216447,
  [SMALL_STATE(5289)] = 216512,
  [SMALL_STATE(5290)] = 216577,
  [SMALL_STATE(5291)] = 216642,
  [SMALL_STATE(5292)] = 216707,
  [SMALL_STATE(5293)] = 216772,
  [SMALL_STATE(5294)] = 216837,
  [SMALL_STATE(5295)] = 216902,
  [SMALL_STATE(5296)] = 216967,
  [SMALL_STATE(5297)] = 217032,
  [SMALL_STATE(5298)] = 217097,
  [SMALL_STATE(5299)] = 217162,
  [SMALL_STATE(5300)] = 217227,
  [SMALL_STATE(5301)] = 217292,
  [SMALL_STATE(5302)] = 217357,
  [SMALL_STATE(5303)] = 217422,
  [SMALL_STATE(5304)] = 217487,
  [SMALL_STATE(5305)] = 217552,
  [SMALL_STATE(5306)] = 217617,
  [SMALL_STATE(5307)] = 217681,
  [SMALL_STATE(5308)] = 217745,
  [SMALL_STATE(5309)] = 217809,
  [SMALL_STATE(5310)] = 217873,
  [SMALL_STATE(5311)] = 217937,
  [SMALL_STATE(5312)] = 218001,
  [SMALL_STATE(5313)] = 218064,
  [SMALL_STATE(5314)] = 218127,
  [SMALL_STATE(5315)] = 218190,
  [SMALL_STATE(5316)] = 218253,
  [SMALL_STATE(5317)] = 218316,
  [SMALL_STATE(5318)] = 218379,
  [SMALL_STATE(5319)] = 218442,
  [SMALL_STATE(5320)] = 218503,
  [SMALL_STATE(5321)] = 218564,
  [SMALL_STATE(5322)] = 218627,
  [SMALL_STATE(5323)] = 218678,
  [SMALL_STATE(5324)] = 218741,
  [SMALL_STATE(5325)] = 218804,
  [SMALL_STATE(5326)] = 218867,
  [SMALL_STATE(5327)] = 218930,
  [SMALL_STATE(5328)] = 218991,
  [SMALL_STATE(5329)] = 219052,
  [SMALL_STATE(5330)] = 219115,
  [SMALL_STATE(5331)] = 219166,
  [SMALL_STATE(5332)] = 219227,
  [SMALL_STATE(5333)] = 219290,
  [SMALL_STATE(5334)] = 219351,
  [SMALL_STATE(5335)] = 219402,
  [SMALL_STATE(5336)] = 219465,
  [SMALL_STATE(5337)] = 219526,
  [SMALL_STATE(5338)] = 219589,
  [SMALL_STATE(5339)] = 219652,
  [SMALL_STATE(5340)] = 219715,
  [SMALL_STATE(5341)] = 219789,
  [SMALL_STATE(5342)] = 219851,
  [SMALL_STATE(5343)] = 219913,
  [SMALL_STATE(5344)] = 219975,
  [SMALL_STATE(5345)] = 220037,
  [SMALL_STATE(5346)] = 220091,
  [SMALL_STATE(5347)] = 220165,
  [SMALL_STATE(5348)] = 220227,
  [SMALL_STATE(5349)] = 220289,
  [SMALL_STATE(5350)] = 220351,
  [SMALL_STATE(5351)] = 220413,
  [SMALL_STATE(5352)] = 220475,
  [SMALL_STATE(5353)] = 220537,
  [SMALL_STATE(5354)] = 220611,
  [SMALL_STATE(5355)] = 220653,
  [SMALL_STATE(5356)] = 220715,
  [SMALL_STATE(5357)] = 220757,
  [SMALL_STATE(5358)] = 220819,
  [SMALL_STATE(5359)] = 220866,
  [SMALL_STATE(5360)] = 220919,
  [SMALL_STATE(5361)] = 220972,
  [SMALL_STATE(5362)] = 221025,
  [SMALL_STATE(5363)] = 221078,
  [SMALL_STATE(5364)] = 221131,
  [SMALL_STATE(5365)] = 221184,
  [SMALL_STATE(5366)] = 221237,
  [SMALL_STATE(5367)] = 221290,
  [SMALL_STATE(5368)] = 221337,
  [SMALL_STATE(5369)] = 221390,
  [SMALL_STATE(5370)] = 221443,
  [SMALL_STATE(5371)] = 221496,
  [SMALL_STATE(5372)] = 221545,
  [SMALL_STATE(5373)] = 221598,
  [SMALL_STATE(5374)] = 221651,
  [SMALL_STATE(5375)] = 221698,
  [SMALL_STATE(5376)] = 221751,
  [SMALL_STATE(5377)] = 221804,
  [SMALL_STATE(5378)] = 221835,
  [SMALL_STATE(5379)] = 221888,
  [SMALL_STATE(5380)] = 221941,
  [SMALL_STATE(5381)] = 221994,
  [SMALL_STATE(5382)] = 222038,
  [SMALL_STATE(5383)] = 222082,
  [SMALL_STATE(5384)] = 222126,
  [SMALL_STATE(5385)] = 222164,
  [SMALL_STATE(5386)] = 222208,
  [SMALL_STATE(5387)] = 222258,
  [SMALL_STATE(5388)] = 222302,
  [SMALL_STATE(5389)] = 222346,
  [SMALL_STATE(5390)] = 222390,
  [SMALL_STATE(5391)] = 222428,
  [SMALL_STATE(5392)] = 222466,
  [SMALL_STATE(5393)] = 222504,
  [SMALL_STATE(5394)] = 222542,
  [SMALL_STATE(5395)] = 222586,
  [SMALL_STATE(5396)] = 222630,
  [SMALL_STATE(5397)] = 222674,
  [SMALL_STATE(5398)] = 222718,
  [SMALL_STATE(5399)] = 222762,
  [SMALL_STATE(5400)] = 222806,
  [SMALL_STATE(5401)] = 222840,
  [SMALL_STATE(5402)] = 222884,
  [SMALL_STATE(5403)] = 222936,
  [SMALL_STATE(5404)] = 222974,
  [SMALL_STATE(5405)] = 223008,
  [SMALL_STATE(5406)] = 223052,
  [SMALL_STATE(5407)] = 223102,
  [SMALL_STATE(5408)] = 223146,
  [SMALL_STATE(5409)] = 223190,
  [SMALL_STATE(5410)] = 223240,
  [SMALL_STATE(5411)] = 223284,
  [SMALL_STATE(5412)] = 223328,
  [SMALL_STATE(5413)] = 223398,
  [SMALL_STATE(5414)] = 223442,
  [SMALL_STATE(5415)] = 223480,
  [SMALL_STATE(5416)] = 223524,
  [SMALL_STATE(5417)] = 223568,
  [SMALL_STATE(5418)] = 223620,
  [SMALL_STATE(5419)] = 223672,
  [SMALL_STATE(5420)] = 223724,
  [SMALL_STATE(5421)] = 223774,
  [SMALL_STATE(5422)] = 223826,
  [SMALL_STATE(5423)] = 223878,
  [SMALL_STATE(5424)] = 223930,
  [SMALL_STATE(5425)] = 223974,
  [SMALL_STATE(5426)] = 224008,
  [SMALL_STATE(5427)] = 224046,
  [SMALL_STATE(5428)] = 224090,
  [SMALL_STATE(5429)] = 224134,
  [SMALL_STATE(5430)] = 224186,
  [SMALL_STATE(5431)] = 224232,
  [SMALL_STATE(5432)] = 224284,
  [SMALL_STATE(5433)] = 224318,
  [SMALL_STATE(5434)] = 224356,
  [SMALL_STATE(5435)] = 224400,
  [SMALL_STATE(5436)] = 224444,
  [SMALL_STATE(5437)] = 224488,
  [SMALL_STATE(5438)] = 224540,
  [SMALL_STATE(5439)] = 224592,
  [SMALL_STATE(5440)] = 224642,
  [SMALL_STATE(5441)] = 224692,
  [SMALL_STATE(5442)] = 224736,
  [SMALL_STATE(5443)] = 224776,
  [SMALL_STATE(5444)] = 224824,
  [SMALL_STATE(5445)] = 224876,
  [SMALL_STATE(5446)] = 224928,
  [SMALL_STATE(5447)] = 224980,
  [SMALL_STATE(5448)] = 225032,
  [SMALL_STATE(5449)] = 225082,
  [SMALL_STATE(5450)] = 225134,
  [SMALL_STATE(5451)] = 225184,
  [SMALL_STATE(5452)] = 225228,
  [SMALL_STATE(5453)] = 225298,
  [SMALL_STATE(5454)] = 225342,
  [SMALL_STATE(5455)] = 225394,
  [SMALL_STATE(5456)] = 225446,
  [SMALL_STATE(5457)] = 225496,
  [SMALL_STATE(5458)] = 225548,
  [SMALL_STATE(5459)] = 225598,
  [SMALL_STATE(5460)] = 225650,
  [SMALL_STATE(5461)] = 225720,
  [SMALL_STATE(5462)] = 225764,
  [SMALL_STATE(5463)] = 225814,
  [SMALL_STATE(5464)] = 225866,
  [SMALL_STATE(5465)] = 225910,
  [SMALL_STATE(5466)] = 225954,
  [SMALL_STATE(5467)] = 226006,
  [SMALL_STATE(5468)] = 226058,
  [SMALL_STATE(5469)] = 226110,
  [SMALL_STATE(5470)] = 226162,
  [SMALL_STATE(5471)] = 226214,
  [SMALL_STATE(5472)] = 226266,
  [SMALL_STATE(5473)] = 226318,
  [SMALL_STATE(5474)] = 226370,
  [SMALL_STATE(5475)] = 226408,
  [SMALL_STATE(5476)] = 226460,
  [SMALL_STATE(5477)] = 226512,
  [SMALL_STATE(5478)] = 226556,
  [SMALL_STATE(5479)] = 226608,
  [SMALL_STATE(5480)] = 226642,
  [SMALL_STATE(5481)] = 226694,
  [SMALL_STATE(5482)] = 226746,
  [SMALL_STATE(5483)] = 226798,
  [SMALL_STATE(5484)] = 226850,
  [SMALL_STATE(5485)] = 226894,
  [SMALL_STATE(5486)] = 226926,
  [SMALL_STATE(5487)] = 226970,
  [SMALL_STATE(5488)] = 227020,
  [SMALL_STATE(5489)] = 227072,
  [SMALL_STATE(5490)] = 227124,
  [SMALL_STATE(5491)] = 227176,
  [SMALL_STATE(5492)] = 227228,
  [SMALL_STATE(5493)] = 227280,
  [SMALL_STATE(5494)] = 227320,
  [SMALL_STATE(5495)] = 227364,
  [SMALL_STATE(5496)] = 227408,
  [SMALL_STATE(5497)] = 227467,
  [SMALL_STATE(5498)] = 227526,
  [SMALL_STATE(5499)] = 227585,
  [SMALL_STATE(5500)] = 227644,
  [SMALL_STATE(5501)] = 227703,
  [SMALL_STATE(5502)] = 227762,
  [SMALL_STATE(5503)] = 227821,
  [SMALL_STATE(5504)] = 227880,
  [SMALL_STATE(5505)] = 227939,
  [SMALL_STATE(5506)] = 227998,
  [SMALL_STATE(5507)] = 228057,
  [SMALL_STATE(5508)] = 228116,
  [SMALL_STATE(5509)] = 228175,
  [SMALL_STATE(5510)] = 228204,
  [SMALL_STATE(5511)] = 228233,
  [SMALL_STATE(5512)] = 228262,
  [SMALL_STATE(5513)] = 228321,
  [SMALL_STATE(5514)] = 228366,
  [SMALL_STATE(5515)] = 228425,
  [SMALL_STATE(5516)] = 228484,
  [SMALL_STATE(5517)] = 228543,
  [SMALL_STATE(5518)] = 228572,
  [SMALL_STATE(5519)] = 228633,
  [SMALL_STATE(5520)] = 228692,
  [SMALL_STATE(5521)] = 228751,
  [SMALL_STATE(5522)] = 228780,
  [SMALL_STATE(5523)] = 228817,
  [SMALL_STATE(5524)] = 228846,
  [SMALL_STATE(5525)] = 228875,
  [SMALL_STATE(5526)] = 228904,
  [SMALL_STATE(5527)] = 228963,
  [SMALL_STATE(5528)] = 229022,
  [SMALL_STATE(5529)] = 229081,
  [SMALL_STATE(5530)] = 229110,
  [SMALL_STATE(5531)] = 229143,
  [SMALL_STATE(5532)] = 229172,
  [SMALL_STATE(5533)] = 229209,
  [SMALL_STATE(5534)] = 229268,
  [SMALL_STATE(5535)] = 229327,
  [SMALL_STATE(5536)] = 229386,
  [SMALL_STATE(5537)] = 229445,
  [SMALL_STATE(5538)] = 229504,
  [SMALL_STATE(5539)] = 229541,
  [SMALL_STATE(5540)] = 229600,
  [SMALL_STATE(5541)] = 229629,
  [SMALL_STATE(5542)] = 229658,
  [SMALL_STATE(5543)] = 229719,
  [SMALL_STATE(5544)] = 229778,
  [SMALL_STATE(5545)] = 229837,
  [SMALL_STATE(5546)] = 229896,
  [SMALL_STATE(5547)] = 229955,
  [SMALL_STATE(5548)] = 230014,
  [SMALL_STATE(5549)] = 230043,
  [SMALL_STATE(5550)] = 230102,
  [SMALL_STATE(5551)] = 230139,
  [SMALL_STATE(5552)] = 230198,
  [SMALL_STATE(5553)] = 230259,
  [SMALL_STATE(5554)] = 230314,
  [SMALL_STATE(5555)] = 230373,
  [SMALL_STATE(5556)] = 230432,
  [SMALL_STATE(5557)] = 230491,
  [SMALL_STATE(5558)] = 230550,
  [SMALL_STATE(5559)] = 230587,
  [SMALL_STATE(5560)] = 230646,
  [SMALL_STATE(5561)] = 230705,
  [SMALL_STATE(5562)] = 230734,
  [SMALL_STATE(5563)] = 230793,
  [SMALL_STATE(5564)] = 230852,
  [SMALL_STATE(5565)] = 230881,
  [SMALL_STATE(5566)] = 230940,
  [SMALL_STATE(5567)] = 230999,
  [SMALL_STATE(5568)] = 231060,
  [SMALL_STATE(5569)] = 231089,
  [SMALL_STATE(5570)] = 231126,
  [SMALL_STATE(5571)] = 231185,
  [SMALL_STATE(5572)] = 231214,
  [SMALL_STATE(5573)] = 231273,
  [SMALL_STATE(5574)] = 231332,
  [SMALL_STATE(5575)] = 231393,
  [SMALL_STATE(5576)] = 231452,
  [SMALL_STATE(5577)] = 231507,
  [SMALL_STATE(5578)] = 231566,
  [SMALL_STATE(5579)] = 231625,
  [SMALL_STATE(5580)] = 231678,
  [SMALL_STATE(5581)] = 231741,
  [SMALL_STATE(5582)] = 231800,
  [SMALL_STATE(5583)] = 231859,
  [SMALL_STATE(5584)] = 231918,
  [SMALL_STATE(5585)] = 231977,
  [SMALL_STATE(5586)] = 232036,
  [SMALL_STATE(5587)] = 232095,
  [SMALL_STATE(5588)] = 232154,
  [SMALL_STATE(5589)] = 232183,
  [SMALL_STATE(5590)] = 232242,
  [SMALL_STATE(5591)] = 232301,
  [SMALL_STATE(5592)] = 232354,
  [SMALL_STATE(5593)] = 232387,
  [SMALL_STATE(5594)] = 232446,
  [SMALL_STATE(5595)] = 232483,
  [SMALL_STATE(5596)] = 232542,
  [SMALL_STATE(5597)] = 232597,
  [SMALL_STATE(5598)] = 232656,
  [SMALL_STATE(5599)] = 232715,
  [SMALL_STATE(5600)] = 232752,
  [SMALL_STATE(5601)] = 232811,
  [SMALL_STATE(5602)] = 232870,
  [SMALL_STATE(5603)] = 232929,
  [SMALL_STATE(5604)] = 232958,
  [SMALL_STATE(5605)] = 233017,
  [SMALL_STATE(5606)] = 233078,
  [SMALL_STATE(5607)] = 233137,
  [SMALL_STATE(5608)] = 233196,
  [SMALL_STATE(5609)] = 233227,
  [SMALL_STATE(5610)] = 233286,
  [SMALL_STATE(5611)] = 233345,
  [SMALL_STATE(5612)] = 233398,
  [SMALL_STATE(5613)] = 233457,
  [SMALL_STATE(5614)] = 233488,
  [SMALL_STATE(5615)] = 233547,
  [SMALL_STATE(5616)] = 233606,
  [SMALL_STATE(5617)] = 233665,
  [SMALL_STATE(5618)] = 233724,
  [SMALL_STATE(5619)] = 233753,
  [SMALL_STATE(5620)] = 233814,
  [SMALL_STATE(5621)] = 233873,
  [SMALL_STATE(5622)] = 233932,
  [SMALL_STATE(5623)] = 233991,
  [SMALL_STATE(5624)] = 234028,
  [SMALL_STATE(5625)] = 234061,
  [SMALL_STATE(5626)] = 234094,
  [SMALL_STATE(5627)] = 234153,
  [SMALL_STATE(5628)] = 234212,
  [SMALL_STATE(5629)] = 234271,
  [SMALL_STATE(5630)] = 234330,
  [SMALL_STATE(5631)] = 234389,
  [SMALL_STATE(5632)] = 234426,
  [SMALL_STATE(5633)] = 234485,
  [SMALL_STATE(5634)] = 234544,
  [SMALL_STATE(5635)] = 234603,
  [SMALL_STATE(5636)] = 234632,
  [SMALL_STATE(5637)] = 234691,
  [SMALL_STATE(5638)] = 234720,
  [SMALL_STATE(5639)] = 234779,
  [SMALL_STATE(5640)] = 234827,
  [SMALL_STATE(5641)] = 234855,
  [SMALL_STATE(5642)] = 234907,
  [SMALL_STATE(5643)] = 234953,
  [SMALL_STATE(5644)] = 235005,
  [SMALL_STATE(5645)] = 235069,
  [SMALL_STATE(5646)] = 235133,
  [SMALL_STATE(5647)] = 235185,
  [SMALL_STATE(5648)] = 235231,
  [SMALL_STATE(5649)] = 235283,
  [SMALL_STATE(5650)] = 235311,
  [SMALL_STATE(5651)] = 235375,
  [SMALL_STATE(5652)] = 235427,
  [SMALL_STATE(5653)] = 235479,
  [SMALL_STATE(5654)] = 235513,
  [SMALL_STATE(5655)] = 235565,
  [SMALL_STATE(5656)] = 235629,
  [SMALL_STATE(5657)] = 235681,
  [SMALL_STATE(5658)] = 235733,
  [SMALL_STATE(5659)] = 235765,
  [SMALL_STATE(5660)] = 235829,
  [SMALL_STATE(5661)] = 235881,
  [SMALL_STATE(5662)] = 235909,
  [SMALL_STATE(5663)] = 235961,
  [SMALL_STATE(5664)] = 235989,
  [SMALL_STATE(5665)] = 236017,
  [SMALL_STATE(5666)] = 236081,
  [SMALL_STATE(5667)] = 236133,
  [SMALL_STATE(5668)] = 236185,
  [SMALL_STATE(5669)] = 236217,
  [SMALL_STATE(5670)] = 236281,
  [SMALL_STATE(5671)] = 236345,
  [SMALL_STATE(5672)] = 236409,
  [SMALL_STATE(5673)] = 236473,
  [SMALL_STATE(5674)] = 236537,
  [SMALL_STATE(5675)] = 236589,
  [SMALL_STATE(5676)] = 236639,
  [SMALL_STATE(5677)] = 236683,
  [SMALL_STATE(5678)] = 236735,
  [SMALL_STATE(5679)] = 236775,
  [SMALL_STATE(5680)] = 236827,
  [SMALL_STATE(5681)] = 236867,
  [SMALL_STATE(5682)] = 236907,
  [SMALL_STATE(5683)] = 236947,
  [SMALL_STATE(5684)] = 236987,
  [SMALL_STATE(5685)] = 237027,
  [SMALL_STATE(5686)] = 237067,
  [SMALL_STATE(5687)] = 237107,
  [SMALL_STATE(5688)] = 237149,
  [SMALL_STATE(5689)] = 237189,
  [SMALL_STATE(5690)] = 237229,
  [SMALL_STATE(5691)] = 237269,
  [SMALL_STATE(5692)] = 237309,
  [SMALL_STATE(5693)] = 237349,
  [SMALL_STATE(5694)] = 237389,
  [SMALL_STATE(5695)] = 237429,
  [SMALL_STATE(5696)] = 237469,
  [SMALL_STATE(5697)] = 237521,
  [SMALL_STATE(5698)] = 237573,
  [SMALL_STATE(5699)] = 237601,
  [SMALL_STATE(5700)] = 237629,
  [SMALL_STATE(5701)] = 237669,
  [SMALL_STATE(5702)] = 237709,
  [SMALL_STATE(5703)] = 237749,
  [SMALL_STATE(5704)] = 237789,
  [SMALL_STATE(5705)] = 237829,
  [SMALL_STATE(5706)] = 237869,
  [SMALL_STATE(5707)] = 237909,
  [SMALL_STATE(5708)] = 237949,
  [SMALL_STATE(5709)] = 237977,
  [SMALL_STATE(5710)] = 238009,
  [SMALL_STATE(5711)] = 238037,
  [SMALL_STATE(5712)] = 238101,
  [SMALL_STATE(5713)] = 238133,
  [SMALL_STATE(5714)] = 238185,
  [SMALL_STATE(5715)] = 238237,
  [SMALL_STATE(5716)] = 238301,
  [SMALL_STATE(5717)] = 238353,
  [SMALL_STATE(5718)] = 238397,
  [SMALL_STATE(5719)] = 238449,
  [SMALL_STATE(5720)] = 238501,
  [SMALL_STATE(5721)] = 238553,
  [SMALL_STATE(5722)] = 238617,
  [SMALL_STATE(5723)] = 238653,
  [SMALL_STATE(5724)] = 238705,
  [SMALL_STATE(5725)] = 238757,
  [SMALL_STATE(5726)] = 238809,
  [SMALL_STATE(5727)] = 238861,
  [SMALL_STATE(5728)] = 238889,
  [SMALL_STATE(5729)] = 238921,
  [SMALL_STATE(5730)] = 238949,
  [SMALL_STATE(5731)] = 238995,
  [SMALL_STATE(5732)] = 239041,
  [SMALL_STATE(5733)] = 239085,
  [SMALL_STATE(5734)] = 239125,
  [SMALL_STATE(5735)] = 239170,
  [SMALL_STATE(5736)] = 239197,
  [SMALL_STATE(5737)] = 239242,
  [SMALL_STATE(5738)] = 239287,
  [SMALL_STATE(5739)] = 239330,
  [SMALL_STATE(5740)] = 239371,
  [SMALL_STATE(5741)] = 239410,
  [SMALL_STATE(5742)] = 239447,
  [SMALL_STATE(5743)] = 239474,
  [SMALL_STATE(5744)] = 239501,
  [SMALL_STATE(5745)] = 239536,
  [SMALL_STATE(5746)] = 239569,
  [SMALL_STATE(5747)] = 239614,
  [SMALL_STATE(5748)] = 239641,
  [SMALL_STATE(5749)] = 239686,
  [SMALL_STATE(5750)] = 239731,
  [SMALL_STATE(5751)] = 239758,
  [SMALL_STATE(5752)] = 239785,
  [SMALL_STATE(5753)] = 239828,
  [SMALL_STATE(5754)] = 239873,
  [SMALL_STATE(5755)] = 239906,
  [SMALL_STATE(5756)] = 239951,
  [SMALL_STATE(5757)] = 239982,
  [SMALL_STATE(5758)] = 240039,
  [SMALL_STATE(5759)] = 240084,
  [SMALL_STATE(5760)] = 240129,
  [SMALL_STATE(5761)] = 240156,
  [SMALL_STATE(5762)] = 240213,
  [SMALL_STATE(5763)] = 240262,
  [SMALL_STATE(5764)] = 240289,
  [SMALL_STATE(5765)] = 240334,
  [SMALL_STATE(5766)] = 240379,
  [SMALL_STATE(5767)] = 240424,
  [SMALL_STATE(5768)] = 240451,
  [SMALL_STATE(5769)] = 240478,
  [SMALL_STATE(5770)] = 240505,
  [SMALL_STATE(5771)] = 240532,
  [SMALL_STATE(5772)] = 240559,
  [SMALL_STATE(5773)] = 240604,
  [SMALL_STATE(5774)] = 240631,
  [SMALL_STATE(5775)] = 240676,
  [SMALL_STATE(5776)] = 240733,
  [SMALL_STATE(5777)] = 240760,
  [SMALL_STATE(5778)] = 240805,
  [SMALL_STATE(5779)] = 240850,
  [SMALL_STATE(5780)] = 240895,
  [SMALL_STATE(5781)] = 240940,
  [SMALL_STATE(5782)] = 240973,
  [SMALL_STATE(5783)] = 241000,
  [SMALL_STATE(5784)] = 241045,
  [SMALL_STATE(5785)] = 241102,
  [SMALL_STATE(5786)] = 241129,
  [SMALL_STATE(5787)] = 241186,
  [SMALL_STATE(5788)] = 241243,
  [SMALL_STATE(5789)] = 241270,
  [SMALL_STATE(5790)] = 241315,
  [SMALL_STATE(5791)] = 241360,
  [SMALL_STATE(5792)] = 241417,
  [SMALL_STATE(5793)] = 241444,
  [SMALL_STATE(5794)] = 241473,
  [SMALL_STATE(5795)] = 241500,
  [SMALL_STATE(5796)] = 241533,
  [SMALL_STATE(5797)] = 241578,
  [SMALL_STATE(5798)] = 241633,
  [SMALL_STATE(5799)] = 241676,
  [SMALL_STATE(5800)] = 241703,
  [SMALL_STATE(5801)] = 241730,
  [SMALL_STATE(5802)] = 241775,
  [SMALL_STATE(5803)] = 241802,
  [SMALL_STATE(5804)] = 241829,
  [SMALL_STATE(5805)] = 241856,
  [SMALL_STATE(5806)] = 241883,
  [SMALL_STATE(5807)] = 241910,
  [SMALL_STATE(5808)] = 241937,
  [SMALL_STATE(5809)] = 241982,
  [SMALL_STATE(5810)] = 242027,
  [SMALL_STATE(5811)] = 242060,
  [SMALL_STATE(5812)] = 242105,
  [SMALL_STATE(5813)] = 242132,
  [SMALL_STATE(5814)] = 242177,
  [SMALL_STATE(5815)] = 242204,
  [SMALL_STATE(5816)] = 242231,
  [SMALL_STATE(5817)] = 242276,
  [SMALL_STATE(5818)] = 242325,
  [SMALL_STATE(5819)] = 242370,
  [SMALL_STATE(5820)] = 242415,
  [SMALL_STATE(5821)] = 242444,
  [SMALL_STATE(5822)] = 242471,
  [SMALL_STATE(5823)] = 242516,
  [SMALL_STATE(5824)] = 242561,
  [SMALL_STATE(5825)] = 242606,
  [SMALL_STATE(5826)] = 242640,
  [SMALL_STATE(5827)] = 242676,
  [SMALL_STATE(5828)] = 242724,
  [SMALL_STATE(5829)] = 242776,
  [SMALL_STATE(5830)] = 242810,
  [SMALL_STATE(5831)] = 242862,
  [SMALL_STATE(5832)] = 242896,
  [SMALL_STATE(5833)] = 242922,
  [SMALL_STATE(5834)] = 242952,
  [SMALL_STATE(5835)] = 242982,
  [SMALL_STATE(5836)] = 243008,
  [SMALL_STATE(5837)] = 243042,
  [SMALL_STATE(5838)] = 243078,
  [SMALL_STATE(5839)] = 243116,
  [SMALL_STATE(5840)] = 243154,
  [SMALL_STATE(5841)] = 243192,
  [SMALL_STATE(5842)] = 243230,
  [SMALL_STATE(5843)] = 243264,
  [SMALL_STATE(5844)] = 243302,
  [SMALL_STATE(5845)] = 243340,
  [SMALL_STATE(5846)] = 243378,
  [SMALL_STATE(5847)] = 243416,
  [SMALL_STATE(5848)] = 243442,
  [SMALL_STATE(5849)] = 243478,
  [SMALL_STATE(5850)] = 243504,
  [SMALL_STATE(5851)] = 243534,
  [SMALL_STATE(5852)] = 243568,
  [SMALL_STATE(5853)] = 243594,
  [SMALL_STATE(5854)] = 243630,
  [SMALL_STATE(5855)] = 243678,
  [SMALL_STATE(5856)] = 243704,
  [SMALL_STATE(5857)] = 243730,
  [SMALL_STATE(5858)] = 243756,
  [SMALL_STATE(5859)] = 243804,
  [SMALL_STATE(5860)] = 243830,
  [SMALL_STATE(5861)] = 243856,
  [SMALL_STATE(5862)] = 243882,
  [SMALL_STATE(5863)] = 243908,
  [SMALL_STATE(5864)] = 243960,
  [SMALL_STATE(5865)] = 244014,
  [SMALL_STATE(5866)] = 244066,
  [SMALL_STATE(5867)] = 244092,
  [SMALL_STATE(5868)] = 244118,
  [SMALL_STATE(5869)] = 244144,
  [SMALL_STATE(5870)] = 244170,
  [SMALL_STATE(5871)] = 244196,
  [SMALL_STATE(5872)] = 244222,
  [SMALL_STATE(5873)] = 244248,
  [SMALL_STATE(5874)] = 244290,
  [SMALL_STATE(5875)] = 244342,
  [SMALL_STATE(5876)] = 244390,
  [SMALL_STATE(5877)] = 244416,
  [SMALL_STATE(5878)] = 244446,
  [SMALL_STATE(5879)] = 244472,
  [SMALL_STATE(5880)] = 244506,
  [SMALL_STATE(5881)] = 244540,
  [SMALL_STATE(5882)] = 244574,
  [SMALL_STATE(5883)] = 244608,
  [SMALL_STATE(5884)] = 244636,
  [SMALL_STATE(5885)] = 244672,
  [SMALL_STATE(5886)] = 244702,
  [SMALL_STATE(5887)] = 244745,
  [SMALL_STATE(5888)] = 244782,
  [SMALL_STATE(5889)] = 244813,
  [SMALL_STATE(5890)] = 244862,
  [SMALL_STATE(5891)] = 244911,
  [SMALL_STATE(5892)] = 244948,
  [SMALL_STATE(5893)] = 244975,
  [SMALL_STATE(5894)] = 245016,
  [SMALL_STATE(5895)] = 245059,
  [SMALL_STATE(5896)] = 245102,
  [SMALL_STATE(5897)] = 245139,
  [SMALL_STATE(5898)] = 245188,
  [SMALL_STATE(5899)] = 245237,
  [SMALL_STATE(5900)] = 245262,
  [SMALL_STATE(5901)] = 245291,
  [SMALL_STATE(5902)] = 245322,
  [SMALL_STATE(5903)] = 245359,
  [SMALL_STATE(5904)] = 245408,
  [SMALL_STATE(5905)] = 245457,
  [SMALL_STATE(5906)] = 245506,
  [SMALL_STATE(5907)] = 245553,
  [SMALL_STATE(5908)] = 245602,
  [SMALL_STATE(5909)] = 245651,
  [SMALL_STATE(5910)] = 245700,
  [SMALL_STATE(5911)] = 245749,
  [SMALL_STATE(5912)] = 245798,
  [SMALL_STATE(5913)] = 245841,
  [SMALL_STATE(5914)] = 245890,
  [SMALL_STATE(5915)] = 245923,
  [SMALL_STATE(5916)] = 245972,
  [SMALL_STATE(5917)] = 246021,
  [SMALL_STATE(5918)] = 246070,
  [SMALL_STATE(5919)] = 246119,
  [SMALL_STATE(5920)] = 246150,
  [SMALL_STATE(5921)] = 246181,
  [SMALL_STATE(5922)] = 246218,
  [SMALL_STATE(5923)] = 246255,
  [SMALL_STATE(5924)] = 246292,
  [SMALL_STATE(5925)] = 246329,
  [SMALL_STATE(5926)] = 246366,
  [SMALL_STATE(5927)] = 246403,
  [SMALL_STATE(5928)] = 246440,
  [SMALL_STATE(5929)] = 246477,
  [SMALL_STATE(5930)] = 246506,
  [SMALL_STATE(5931)] = 246543,
  [SMALL_STATE(5932)] = 246580,
  [SMALL_STATE(5933)] = 246629,
  [SMALL_STATE(5934)] = 246678,
  [SMALL_STATE(5935)] = 246721,
  [SMALL_STATE(5936)] = 246758,
  [SMALL_STATE(5937)] = 246799,
  [SMALL_STATE(5938)] = 246842,
  [SMALL_STATE(5939)] = 246879,
  [SMALL_STATE(5940)] = 246928,
  [SMALL_STATE(5941)] = 246960,
  [SMALL_STATE(5942)] = 246984,
  [SMALL_STATE(5943)] = 247016,
  [SMALL_STATE(5944)] = 247048,
  [SMALL_STATE(5945)] = 247084,
  [SMALL_STATE(5946)] = 247116,
  [SMALL_STATE(5947)] = 247148,
  [SMALL_STATE(5948)] = 247180,
  [SMALL_STATE(5949)] = 247226,
  [SMALL_STATE(5950)] = 247258,
  [SMALL_STATE(5951)] = 247290,
  [SMALL_STATE(5952)] = 247314,
  [SMALL_STATE(5953)] = 247346,
  [SMALL_STATE(5954)] = 247378,
  [SMALL_STATE(5955)] = 247410,
  [SMALL_STATE(5956)] = 247442,
  [SMALL_STATE(5957)] = 247474,
  [SMALL_STATE(5958)] = 247516,
  [SMALL_STATE(5959)] = 247548,
  [SMALL_STATE(5960)] = 247580,
  [SMALL_STATE(5961)] = 247612,
  [SMALL_STATE(5962)] = 247636,
  [SMALL_STATE(5963)] = 247668,
  [SMALL_STATE(5964)] = 247692,
  [SMALL_STATE(5965)] = 247716,
  [SMALL_STATE(5966)] = 247748,
  [SMALL_STATE(5967)] = 247780,
  [SMALL_STATE(5968)] = 247804,
  [SMALL_STATE(5969)] = 247836,
  [SMALL_STATE(5970)] = 247876,
  [SMALL_STATE(5971)] = 247900,
  [SMALL_STATE(5972)] = 247940,
  [SMALL_STATE(5973)] = 247972,
  [SMALL_STATE(5974)] = 247996,
  [SMALL_STATE(5975)] = 248020,
  [SMALL_STATE(5976)] = 248044,
  [SMALL_STATE(5977)] = 248072,
  [SMALL_STATE(5978)] = 248096,
  [SMALL_STATE(5979)] = 248120,
  [SMALL_STATE(5980)] = 248156,
  [SMALL_STATE(5981)] = 248180,
  [SMALL_STATE(5982)] = 248204,
  [SMALL_STATE(5983)] = 248240,
  [SMALL_STATE(5984)] = 248264,
  [SMALL_STATE(5985)] = 248288,
  [SMALL_STATE(5986)] = 248324,
  [SMALL_STATE(5987)] = 248348,
  [SMALL_STATE(5988)] = 248372,
  [SMALL_STATE(5989)] = 248396,
  [SMALL_STATE(5990)] = 248422,
  [SMALL_STATE(5991)] = 248446,
  [SMALL_STATE(5992)] = 248470,
  [SMALL_STATE(5993)] = 248494,
  [SMALL_STATE(5994)] = 248518,
  [SMALL_STATE(5995)] = 248550,
  [SMALL_STATE(5996)] = 248574,
  [SMALL_STATE(5997)] = 248598,
  [SMALL_STATE(5998)] = 248622,
  [SMALL_STATE(5999)] = 248646,
  [SMALL_STATE(6000)] = 248670,
  [SMALL_STATE(6001)] = 248694,
  [SMALL_STATE(6002)] = 248726,
  [SMALL_STATE(6003)] = 248758,
  [SMALL_STATE(6004)] = 248790,
  [SMALL_STATE(6005)] = 248814,
  [SMALL_STATE(6006)] = 248838,
  [SMALL_STATE(6007)] = 248862,
  [SMALL_STATE(6008)] = 248886,
  [SMALL_STATE(6009)] = 248918,
  [SMALL_STATE(6010)] = 248954,
  [SMALL_STATE(6011)] = 248986,
  [SMALL_STATE(6012)] = 249010,
  [SMALL_STATE(6013)] = 249034,
  [SMALL_STATE(6014)] = 249058,
  [SMALL_STATE(6015)] = 249094,
  [SMALL_STATE(6016)] = 249126,
  [SMALL_STATE(6017)] = 249158,
  [SMALL_STATE(6018)] = 249190,
  [SMALL_STATE(6019)] = 249222,
  [SMALL_STATE(6020)] = 249258,
  [SMALL_STATE(6021)] = 249294,
  [SMALL_STATE(6022)] = 249318,
  [SMALL_STATE(6023)] = 249350,
  [SMALL_STATE(6024)] = 249382,
  [SMALL_STATE(6025)] = 249414,
  [SMALL_STATE(6026)] = 249438,
  [SMALL_STATE(6027)] = 249462,
  [SMALL_STATE(6028)] = 249486,
  [SMALL_STATE(6029)] = 249510,
  [SMALL_STATE(6030)] = 249534,
  [SMALL_STATE(6031)] = 249558,
  [SMALL_STATE(6032)] = 249582,
  [SMALL_STATE(6033)] = 249606,
  [SMALL_STATE(6034)] = 249630,
  [SMALL_STATE(6035)] = 249654,
  [SMALL_STATE(6036)] = 249678,
  [SMALL_STATE(6037)] = 249702,
  [SMALL_STATE(6038)] = 249735,
  [SMALL_STATE(6039)] = 249770,
  [SMALL_STATE(6040)] = 249797,
  [SMALL_STATE(6041)] = 249832,
  [SMALL_STATE(6042)] = 249867,
  [SMALL_STATE(6043)] = 249902,
  [SMALL_STATE(6044)] = 249937,
  [SMALL_STATE(6045)] = 249972,
  [SMALL_STATE(6046)] = 250001,
  [SMALL_STATE(6047)] = 250044,
  [SMALL_STATE(6048)] = 250087,
  [SMALL_STATE(6049)] = 250116,
  [SMALL_STATE(6050)] = 250149,
  [SMALL_STATE(6051)] = 250178,
  [SMALL_STATE(6052)] = 250213,
  [SMALL_STATE(6053)] = 250248,
  [SMALL_STATE(6054)] = 250281,
  [SMALL_STATE(6055)] = 250314,
  [SMALL_STATE(6056)] = 250349,
  [SMALL_STATE(6057)] = 250378,
  [SMALL_STATE(6058)] = 250411,
  [SMALL_STATE(6059)] = 250454,
  [SMALL_STATE(6060)] = 250487,
  [SMALL_STATE(6061)] = 250522,
  [SMALL_STATE(6062)] = 250555,
  [SMALL_STATE(6063)] = 250588,
  [SMALL_STATE(6064)] = 250617,
  [SMALL_STATE(6065)] = 250652,
  [SMALL_STATE(6066)] = 250687,
  [SMALL_STATE(6067)] = 250722,
  [SMALL_STATE(6068)] = 250757,
  [SMALL_STATE(6069)] = 250792,
  [SMALL_STATE(6070)] = 250835,
  [SMALL_STATE(6071)] = 250870,
  [SMALL_STATE(6072)] = 250899,
  [SMALL_STATE(6073)] = 250928,
  [SMALL_STATE(6074)] = 250963,
  [SMALL_STATE(6075)] = 250992,
  [SMALL_STATE(6076)] = 251035,
  [SMALL_STATE(6077)] = 251064,
  [SMALL_STATE(6078)] = 251107,
  [SMALL_STATE(6079)] = 251136,
  [SMALL_STATE(6080)] = 251179,
  [SMALL_STATE(6081)] = 251222,
  [SMALL_STATE(6082)] = 251261,
  [SMALL_STATE(6083)] = 251290,
  [SMALL_STATE(6084)] = 251325,
  [SMALL_STATE(6085)] = 251354,
  [SMALL_STATE(6086)] = 251383,
  [SMALL_STATE(6087)] = 251416,
  [SMALL_STATE(6088)] = 251451,
  [SMALL_STATE(6089)] = 251486,
  [SMALL_STATE(6090)] = 251521,
  [SMALL_STATE(6091)] = 251554,
  [SMALL_STATE(6092)] = 251583,
  [SMALL_STATE(6093)] = 251618,
  [SMALL_STATE(6094)] = 251653,
  [SMALL_STATE(6095)] = 251686,
  [SMALL_STATE(6096)] = 251725,
  [SMALL_STATE(6097)] = 251760,
  [SMALL_STATE(6098)] = 251795,
  [SMALL_STATE(6099)] = 251834,
  [SMALL_STATE(6100)] = 251869,
  [SMALL_STATE(6101)] = 251908,
  [SMALL_STATE(6102)] = 251943,
  [SMALL_STATE(6103)] = 251986,
  [SMALL_STATE(6104)] = 252021,
  [SMALL_STATE(6105)] = 252056,
  [SMALL_STATE(6106)] = 252085,
  [SMALL_STATE(6107)] = 252114,
  [SMALL_STATE(6108)] = 252153,
  [SMALL_STATE(6109)] = 252186,
  [SMALL_STATE(6110)] = 252219,
  [SMALL_STATE(6111)] = 252254,
  [SMALL_STATE(6112)] = 252287,
  [SMALL_STATE(6113)] = 252320,
  [SMALL_STATE(6114)] = 252359,
  [SMALL_STATE(6115)] = 252398,
  [SMALL_STATE(6116)] = 252441,
  [SMALL_STATE(6117)] = 252470,
  [SMALL_STATE(6118)] = 252499,
  [SMALL_STATE(6119)] = 252528,
  [SMALL_STATE(6120)] = 252561,
  [SMALL_STATE(6121)] = 252596,
  [SMALL_STATE(6122)] = 252635,
  [SMALL_STATE(6123)] = 252664,
  [SMALL_STATE(6124)] = 252693,
  [SMALL_STATE(6125)] = 252722,
  [SMALL_STATE(6126)] = 252760,
  [SMALL_STATE(6127)] = 252800,
  [SMALL_STATE(6128)] = 252832,
  [SMALL_STATE(6129)] = 252872,
  [SMALL_STATE(6130)] = 252912,
  [SMALL_STATE(6131)] = 252952,
  [SMALL_STATE(6132)] = 252992,
  [SMALL_STATE(6133)] = 253032,
  [SMALL_STATE(6134)] = 253072,
  [SMALL_STATE(6135)] = 253110,
  [SMALL_STATE(6136)] = 253148,
  [SMALL_STATE(6137)] = 253186,
  [SMALL_STATE(6138)] = 253218,
  [SMALL_STATE(6139)] = 253248,
  [SMALL_STATE(6140)] = 253280,
  [SMALL_STATE(6141)] = 253310,
  [SMALL_STATE(6142)] = 253348,
  [SMALL_STATE(6143)] = 253378,
  [SMALL_STATE(6144)] = 253416,
  [SMALL_STATE(6145)] = 253446,
  [SMALL_STATE(6146)] = 253476,
  [SMALL_STATE(6147)] = 253514,
  [SMALL_STATE(6148)] = 253544,
  [SMALL_STATE(6149)] = 253574,
  [SMALL_STATE(6150)] = 253604,
  [SMALL_STATE(6151)] = 253634,
  [SMALL_STATE(6152)] = 253664,
  [SMALL_STATE(6153)] = 253696,
  [SMALL_STATE(6154)] = 253728,
  [SMALL_STATE(6155)] = 253760,
  [SMALL_STATE(6156)] = 253792,
  [SMALL_STATE(6157)] = 253822,
  [SMALL_STATE(6158)] = 253852,
  [SMALL_STATE(6159)] = 253882,
  [SMALL_STATE(6160)] = 253912,
  [SMALL_STATE(6161)] = 253942,
  [SMALL_STATE(6162)] = 253972,
  [SMALL_STATE(6163)] = 254004,
  [SMALL_STATE(6164)] = 254036,
  [SMALL_STATE(6165)] = 254068,
  [SMALL_STATE(6166)] = 254100,
  [SMALL_STATE(6167)] = 254130,
  [SMALL_STATE(6168)] = 254160,
  [SMALL_STATE(6169)] = 254190,
  [SMALL_STATE(6170)] = 254220,
  [SMALL_STATE(6171)] = 254258,
  [SMALL_STATE(6172)] = 254288,
  [SMALL_STATE(6173)] = 254318,
  [SMALL_STATE(6174)] = 254348,
  [SMALL_STATE(6175)] = 254388,
  [SMALL_STATE(6176)] = 254420,
  [SMALL_STATE(6177)] = 254444,
  [SMALL_STATE(6178)] = 254484,
  [SMALL_STATE(6179)] = 254524,
  [SMALL_STATE(6180)] = 254548,
  [SMALL_STATE(6181)] = 254580,
  [SMALL_STATE(6182)] = 254618,
  [SMALL_STATE(6183)] = 254650,
  [SMALL_STATE(6184)] = 254688,
  [SMALL_STATE(6185)] = 254720,
  [SMALL_STATE(6186)] = 254752,
  [SMALL_STATE(6187)] = 254778,
  [SMALL_STATE(6188)] = 254816,
  [SMALL_STATE(6189)] = 254856,
  [SMALL_STATE(6190)] = 254888,
  [SMALL_STATE(6191)] = 254928,
  [SMALL_STATE(6192)] = 254962,
  [SMALL_STATE(6193)] = 254996,
  [SMALL_STATE(6194)] = 255030,
  [SMALL_STATE(6195)] = 255064,
  [SMALL_STATE(6196)] = 255098,
  [SMALL_STATE(6197)] = 255132,
  [SMALL_STATE(6198)] = 255166,
  [SMALL_STATE(6199)] = 255200,
  [SMALL_STATE(6200)] = 255230,
  [SMALL_STATE(6201)] = 255260,
  [SMALL_STATE(6202)] = 255300,
  [SMALL_STATE(6203)] = 255330,
  [SMALL_STATE(6204)] = 255360,
  [SMALL_STATE(6205)] = 255398,
  [SMALL_STATE(6206)] = 255428,
  [SMALL_STATE(6207)] = 255466,
  [SMALL_STATE(6208)] = 255492,
  [SMALL_STATE(6209)] = 255530,
  [SMALL_STATE(6210)] = 255568,
  [SMALL_STATE(6211)] = 255608,
  [SMALL_STATE(6212)] = 255648,
  [SMALL_STATE(6213)] = 255688,
  [SMALL_STATE(6214)] = 255726,
  [SMALL_STATE(6215)] = 255748,
  [SMALL_STATE(6216)] = 255786,
  [SMALL_STATE(6217)] = 255808,
  [SMALL_STATE(6218)] = 255848,
  [SMALL_STATE(6219)] = 255880,
  [SMALL_STATE(6220)] = 255918,
  [SMALL_STATE(6221)] = 255958,
  [SMALL_STATE(6222)] = 255998,
  [SMALL_STATE(6223)] = 256038,
  [SMALL_STATE(6224)] = 256060,
  [SMALL_STATE(6225)] = 256100,
  [SMALL_STATE(6226)] = 256122,
  [SMALL_STATE(6227)] = 256160,
  [SMALL_STATE(6228)] = 256200,
  [SMALL_STATE(6229)] = 256227,
  [SMALL_STATE(6230)] = 256264,
  [SMALL_STATE(6231)] = 256297,
  [SMALL_STATE(6232)] = 256330,
  [SMALL_STATE(6233)] = 256369,
  [SMALL_STATE(6234)] = 256402,
  [SMALL_STATE(6235)] = 256429,
  [SMALL_STATE(6236)] = 256456,
  [SMALL_STATE(6237)] = 256485,
  [SMALL_STATE(6238)] = 256514,
  [SMALL_STATE(6239)] = 256543,
  [SMALL_STATE(6240)] = 256572,
  [SMALL_STATE(6241)] = 256605,
  [SMALL_STATE(6242)] = 256634,
  [SMALL_STATE(6243)] = 256663,
  [SMALL_STATE(6244)] = 256692,
  [SMALL_STATE(6245)] = 256721,
  [SMALL_STATE(6246)] = 256748,
  [SMALL_STATE(6247)] = 256773,
  [SMALL_STATE(6248)] = 256806,
  [SMALL_STATE(6249)] = 256845,
  [SMALL_STATE(6250)] = 256878,
  [SMALL_STATE(6251)] = 256913,
  [SMALL_STATE(6252)] = 256948,
  [SMALL_STATE(6253)] = 256981,
  [SMALL_STATE(6254)] = 257014,
  [SMALL_STATE(6255)] = 257047,
  [SMALL_STATE(6256)] = 257080,
  [SMALL_STATE(6257)] = 257115,
  [SMALL_STATE(6258)] = 257150,
  [SMALL_STATE(6259)] = 257183,
  [SMALL_STATE(6260)] = 257216,
  [SMALL_STATE(6261)] = 257249,
  [SMALL_STATE(6262)] = 257282,
  [SMALL_STATE(6263)] = 257309,
  [SMALL_STATE(6264)] = 257336,
  [SMALL_STATE(6265)] = 257369,
  [SMALL_STATE(6266)] = 257394,
  [SMALL_STATE(6267)] = 257429,
  [SMALL_STATE(6268)] = 257454,
  [SMALL_STATE(6269)] = 257489,
  [SMALL_STATE(6270)] = 257514,
  [SMALL_STATE(6271)] = 257553,
  [SMALL_STATE(6272)] = 257586,
  [SMALL_STATE(6273)] = 257621,
  [SMALL_STATE(6274)] = 257654,
  [SMALL_STATE(6275)] = 257687,
  [SMALL_STATE(6276)] = 257720,
  [SMALL_STATE(6277)] = 257753,
  [SMALL_STATE(6278)] = 257786,
  [SMALL_STATE(6279)] = 257819,
  [SMALL_STATE(6280)] = 257854,
  [SMALL_STATE(6281)] = 257889,
  [SMALL_STATE(6282)] = 257924,
  [SMALL_STATE(6283)] = 257957,
  [SMALL_STATE(6284)] = 257990,
  [SMALL_STATE(6285)] = 258025,
  [SMALL_STATE(6286)] = 258058,
  [SMALL_STATE(6287)] = 258091,
  [SMALL_STATE(6288)] = 258124,
  [SMALL_STATE(6289)] = 258161,
  [SMALL_STATE(6290)] = 258200,
  [SMALL_STATE(6291)] = 258225,
  [SMALL_STATE(6292)] = 258264,
  [SMALL_STATE(6293)] = 258297,
  [SMALL_STATE(6294)] = 258324,
  [SMALL_STATE(6295)] = 258357,
  [SMALL_STATE(6296)] = 258384,
  [SMALL_STATE(6297)] = 258417,
  [SMALL_STATE(6298)] = 258442,
  [SMALL_STATE(6299)] = 258475,
  [SMALL_STATE(6300)] = 258510,
  [SMALL_STATE(6301)] = 258543,
  [SMALL_STATE(6302)] = 258576,
  [SMALL_STATE(6303)] = 258602,
  [SMALL_STATE(6304)] = 258638,
  [SMALL_STATE(6305)] = 258674,
  [SMALL_STATE(6306)] = 258710,
  [SMALL_STATE(6307)] = 258746,
  [SMALL_STATE(6308)] = 258776,
  [SMALL_STATE(6309)] = 258812,
  [SMALL_STATE(6310)] = 258848,
  [SMALL_STATE(6311)] = 258884,
  [SMALL_STATE(6312)] = 258904,
  [SMALL_STATE(6313)] = 258924,
  [SMALL_STATE(6314)] = 258960,
  [SMALL_STATE(6315)] = 258986,
  [SMALL_STATE(6316)] = 259022,
  [SMALL_STATE(6317)] = 259058,
  [SMALL_STATE(6318)] = 259084,
  [SMALL_STATE(6319)] = 259104,
  [SMALL_STATE(6320)] = 259134,
  [SMALL_STATE(6321)] = 259154,
  [SMALL_STATE(6322)] = 259180,
  [SMALL_STATE(6323)] = 259216,
  [SMALL_STATE(6324)] = 259236,
  [SMALL_STATE(6325)] = 259272,
  [SMALL_STATE(6326)] = 259308,
  [SMALL_STATE(6327)] = 259328,
  [SMALL_STATE(6328)] = 259348,
  [SMALL_STATE(6329)] = 259384,
  [SMALL_STATE(6330)] = 259414,
  [SMALL_STATE(6331)] = 259434,
  [SMALL_STATE(6332)] = 259456,
  [SMALL_STATE(6333)] = 259486,
  [SMALL_STATE(6334)] = 259516,
  [SMALL_STATE(6335)] = 259542,
  [SMALL_STATE(6336)] = 259572,
  [SMALL_STATE(6337)] = 259608,
  [SMALL_STATE(6338)] = 259634,
  [SMALL_STATE(6339)] = 259660,
  [SMALL_STATE(6340)] = 259680,
  [SMALL_STATE(6341)] = 259706,
  [SMALL_STATE(6342)] = 259742,
  [SMALL_STATE(6343)] = 259778,
  [SMALL_STATE(6344)] = 259808,
  [SMALL_STATE(6345)] = 259844,
  [SMALL_STATE(6346)] = 259874,
  [SMALL_STATE(6347)] = 259894,
  [SMALL_STATE(6348)] = 259930,
  [SMALL_STATE(6349)] = 259950,
  [SMALL_STATE(6350)] = 259986,
  [SMALL_STATE(6351)] = 260011,
  [SMALL_STATE(6352)] = 260038,
  [SMALL_STATE(6353)] = 260069,
  [SMALL_STATE(6354)] = 260104,
  [SMALL_STATE(6355)] = 260135,
  [SMALL_STATE(6356)] = 260170,
  [SMALL_STATE(6357)] = 260195,
  [SMALL_STATE(6358)] = 260224,
  [SMALL_STATE(6359)] = 260251,
  [SMALL_STATE(6360)] = 260276,
  [SMALL_STATE(6361)] = 260303,
  [SMALL_STATE(6362)] = 260338,
  [SMALL_STATE(6363)] = 260373,
  [SMALL_STATE(6364)] = 260402,
  [SMALL_STATE(6365)] = 260433,
  [SMALL_STATE(6366)] = 260468,
  [SMALL_STATE(6367)] = 260495,
  [SMALL_STATE(6368)] = 260526,
  [SMALL_STATE(6369)] = 260561,
  [SMALL_STATE(6370)] = 260596,
  [SMALL_STATE(6371)] = 260625,
  [SMALL_STATE(6372)] = 260650,
  [SMALL_STATE(6373)] = 260685,
  [SMALL_STATE(6374)] = 260720,
  [SMALL_STATE(6375)] = 260747,
  [SMALL_STATE(6376)] = 260772,
  [SMALL_STATE(6377)] = 260803,
  [SMALL_STATE(6378)] = 260830,
  [SMALL_STATE(6379)] = 260855,
  [SMALL_STATE(6380)] = 260884,
  [SMALL_STATE(6381)] = 260915,
  [SMALL_STATE(6382)] = 260950,
  [SMALL_STATE(6383)] = 260975,
  [SMALL_STATE(6384)] = 261008,
  [SMALL_STATE(6385)] = 261037,
  [SMALL_STATE(6386)] = 261068,
  [SMALL_STATE(6387)] = 261093,
  [SMALL_STATE(6388)] = 261120,
  [SMALL_STATE(6389)] = 261151,
  [SMALL_STATE(6390)] = 261178,
  [SMALL_STATE(6391)] = 261211,
  [SMALL_STATE(6392)] = 261238,
  [SMALL_STATE(6393)] = 261273,
  [SMALL_STATE(6394)] = 261300,
  [SMALL_STATE(6395)] = 261327,
  [SMALL_STATE(6396)] = 261358,
  [SMALL_STATE(6397)] = 261387,
  [SMALL_STATE(6398)] = 261414,
  [SMALL_STATE(6399)] = 261441,
  [SMALL_STATE(6400)] = 261468,
  [SMALL_STATE(6401)] = 261495,
  [SMALL_STATE(6402)] = 261526,
  [SMALL_STATE(6403)] = 261553,
  [SMALL_STATE(6404)] = 261586,
  [SMALL_STATE(6405)] = 261613,
  [SMALL_STATE(6406)] = 261640,
  [SMALL_STATE(6407)] = 261667,
  [SMALL_STATE(6408)] = 261698,
  [SMALL_STATE(6409)] = 261719,
  [SMALL_STATE(6410)] = 261754,
  [SMALL_STATE(6411)] = 261779,
  [SMALL_STATE(6412)] = 261814,
  [SMALL_STATE(6413)] = 261847,
  [SMALL_STATE(6414)] = 261880,
  [SMALL_STATE(6415)] = 261909,
  [SMALL_STATE(6416)] = 261938,
  [SMALL_STATE(6417)] = 261969,
  [SMALL_STATE(6418)] = 261998,
  [SMALL_STATE(6419)] = 262033,
  [SMALL_STATE(6420)] = 262060,
  [SMALL_STATE(6421)] = 262087,
  [SMALL_STATE(6422)] = 262114,
  [SMALL_STATE(6423)] = 262137,
  [SMALL_STATE(6424)] = 262164,
  [SMALL_STATE(6425)] = 262199,
  [SMALL_STATE(6426)] = 262234,
  [SMALL_STATE(6427)] = 262269,
  [SMALL_STATE(6428)] = 262294,
  [SMALL_STATE(6429)] = 262329,
  [SMALL_STATE(6430)] = 262354,
  [SMALL_STATE(6431)] = 262373,
  [SMALL_STATE(6432)] = 262404,
  [SMALL_STATE(6433)] = 262439,
  [SMALL_STATE(6434)] = 262466,
  [SMALL_STATE(6435)] = 262497,
  [SMALL_STATE(6436)] = 262522,
  [SMALL_STATE(6437)] = 262547,
  [SMALL_STATE(6438)] = 262572,
  [SMALL_STATE(6439)] = 262591,
  [SMALL_STATE(6440)] = 262610,
  [SMALL_STATE(6441)] = 262629,
  [SMALL_STATE(6442)] = 262648,
  [SMALL_STATE(6443)] = 262667,
  [SMALL_STATE(6444)] = 262686,
  [SMALL_STATE(6445)] = 262721,
  [SMALL_STATE(6446)] = 262756,
  [SMALL_STATE(6447)] = 262785,
  [SMALL_STATE(6448)] = 262816,
  [SMALL_STATE(6449)] = 262847,
  [SMALL_STATE(6450)] = 262878,
  [SMALL_STATE(6451)] = 262903,
  [SMALL_STATE(6452)] = 262932,
  [SMALL_STATE(6453)] = 262963,
  [SMALL_STATE(6454)] = 262990,
  [SMALL_STATE(6455)] = 263019,
  [SMALL_STATE(6456)] = 263044,
  [SMALL_STATE(6457)] = 263071,
  [SMALL_STATE(6458)] = 263095,
  [SMALL_STATE(6459)] = 263119,
  [SMALL_STATE(6460)] = 263143,
  [SMALL_STATE(6461)] = 263173,
  [SMALL_STATE(6462)] = 263197,
  [SMALL_STATE(6463)] = 263221,
  [SMALL_STATE(6464)] = 263247,
  [SMALL_STATE(6465)] = 263277,
  [SMALL_STATE(6466)] = 263303,
  [SMALL_STATE(6467)] = 263329,
  [SMALL_STATE(6468)] = 263353,
  [SMALL_STATE(6469)] = 263377,
  [SMALL_STATE(6470)] = 263401,
  [SMALL_STATE(6471)] = 263425,
  [SMALL_STATE(6472)] = 263449,
  [SMALL_STATE(6473)] = 263471,
  [SMALL_STATE(6474)] = 263495,
  [SMALL_STATE(6475)] = 263519,
  [SMALL_STATE(6476)] = 263541,
  [SMALL_STATE(6477)] = 263571,
  [SMALL_STATE(6478)] = 263593,
  [SMALL_STATE(6479)] = 263623,
  [SMALL_STATE(6480)] = 263647,
  [SMALL_STATE(6481)] = 263673,
  [SMALL_STATE(6482)] = 263697,
  [SMALL_STATE(6483)] = 263719,
  [SMALL_STATE(6484)] = 263741,
  [SMALL_STATE(6485)] = 263773,
  [SMALL_STATE(6486)] = 263795,
  [SMALL_STATE(6487)] = 263817,
  [SMALL_STATE(6488)] = 263839,
  [SMALL_STATE(6489)] = 263861,
  [SMALL_STATE(6490)] = 263889,
  [SMALL_STATE(6491)] = 263913,
  [SMALL_STATE(6492)] = 263937,
  [SMALL_STATE(6493)] = 263959,
  [SMALL_STATE(6494)] = 263981,
  [SMALL_STATE(6495)] = 264003,
  [SMALL_STATE(6496)] = 264027,
  [SMALL_STATE(6497)] = 264057,
  [SMALL_STATE(6498)] = 264087,
  [SMALL_STATE(6499)] = 264111,
  [SMALL_STATE(6500)] = 264133,
  [SMALL_STATE(6501)] = 264163,
  [SMALL_STATE(6502)] = 264190,
  [SMALL_STATE(6503)] = 264211,
  [SMALL_STATE(6504)] = 264242,
  [SMALL_STATE(6505)] = 264273,
  [SMALL_STATE(6506)] = 264296,
  [SMALL_STATE(6507)] = 264327,
  [SMALL_STATE(6508)] = 264358,
  [SMALL_STATE(6509)] = 264389,
  [SMALL_STATE(6510)] = 264420,
  [SMALL_STATE(6511)] = 264451,
  [SMALL_STATE(6512)] = 264474,
  [SMALL_STATE(6513)] = 264495,
  [SMALL_STATE(6514)] = 264526,
  [SMALL_STATE(6515)] = 264549,
  [SMALL_STATE(6516)] = 264580,
  [SMALL_STATE(6517)] = 264601,
  [SMALL_STATE(6518)] = 264632,
  [SMALL_STATE(6519)] = 264663,
  [SMALL_STATE(6520)] = 264690,
  [SMALL_STATE(6521)] = 264721,
  [SMALL_STATE(6522)] = 264752,
  [SMALL_STATE(6523)] = 264771,
  [SMALL_STATE(6524)] = 264802,
  [SMALL_STATE(6525)] = 264825,
  [SMALL_STATE(6526)] = 264852,
  [SMALL_STATE(6527)] = 264879,
  [SMALL_STATE(6528)] = 264910,
  [SMALL_STATE(6529)] = 264931,
  [SMALL_STATE(6530)] = 264962,
  [SMALL_STATE(6531)] = 264993,
  [SMALL_STATE(6532)] = 265024,
  [SMALL_STATE(6533)] = 265055,
  [SMALL_STATE(6534)] = 265076,
  [SMALL_STATE(6535)] = 265107,
  [SMALL_STATE(6536)] = 265138,
  [SMALL_STATE(6537)] = 265161,
  [SMALL_STATE(6538)] = 265184,
  [SMALL_STATE(6539)] = 265211,
  [SMALL_STATE(6540)] = 265238,
  [SMALL_STATE(6541)] = 265269,
  [SMALL_STATE(6542)] = 265300,
  [SMALL_STATE(6543)] = 265323,
  [SMALL_STATE(6544)] = 265350,
  [SMALL_STATE(6545)] = 265377,
  [SMALL_STATE(6546)] = 265408,
  [SMALL_STATE(6547)] = 265435,
  [SMALL_STATE(6548)] = 265462,
  [SMALL_STATE(6549)] = 265489,
  [SMALL_STATE(6550)] = 265520,
  [SMALL_STATE(6551)] = 265551,
  [SMALL_STATE(6552)] = 265574,
  [SMALL_STATE(6553)] = 265601,
  [SMALL_STATE(6554)] = 265632,
  [SMALL_STATE(6555)] = 265655,
  [SMALL_STATE(6556)] = 265686,
  [SMALL_STATE(6557)] = 265709,
  [SMALL_STATE(6558)] = 265740,
  [SMALL_STATE(6559)] = 265766,
  [SMALL_STATE(6560)] = 265792,
  [SMALL_STATE(6561)] = 265814,
  [SMALL_STATE(6562)] = 265840,
  [SMALL_STATE(6563)] = 265862,
  [SMALL_STATE(6564)] = 265882,
  [SMALL_STATE(6565)] = 265898,
  [SMALL_STATE(6566)] = 265924,
  [SMALL_STATE(6567)] = 265950,
  [SMALL_STATE(6568)] = 265966,
  [SMALL_STATE(6569)] = 265992,
  [SMALL_STATE(6570)] = 266018,
  [SMALL_STATE(6571)] = 266044,
  [SMALL_STATE(6572)] = 266068,
  [SMALL_STATE(6573)] = 266094,
  [SMALL_STATE(6574)] = 266120,
  [SMALL_STATE(6575)] = 266142,
  [SMALL_STATE(6576)] = 266168,
  [SMALL_STATE(6577)] = 266190,
  [SMALL_STATE(6578)] = 266216,
  [SMALL_STATE(6579)] = 266238,
  [SMALL_STATE(6580)] = 266262,
  [SMALL_STATE(6581)] = 266284,
  [SMALL_STATE(6582)] = 266304,
  [SMALL_STATE(6583)] = 266330,
  [SMALL_STATE(6584)] = 266356,
  [SMALL_STATE(6585)] = 266382,
  [SMALL_STATE(6586)] = 266408,
  [SMALL_STATE(6587)] = 266434,
  [SMALL_STATE(6588)] = 266460,
  [SMALL_STATE(6589)] = 266484,
  [SMALL_STATE(6590)] = 266506,
  [SMALL_STATE(6591)] = 266532,
  [SMALL_STATE(6592)] = 266558,
  [SMALL_STATE(6593)] = 266580,
  [SMALL_STATE(6594)] = 266598,
  [SMALL_STATE(6595)] = 266620,
  [SMALL_STATE(6596)] = 266646,
  [SMALL_STATE(6597)] = 266672,
  [SMALL_STATE(6598)] = 266694,
  [SMALL_STATE(6599)] = 266718,
  [SMALL_STATE(6600)] = 266742,
  [SMALL_STATE(6601)] = 266766,
  [SMALL_STATE(6602)] = 266788,
  [SMALL_STATE(6603)] = 266808,
  [SMALL_STATE(6604)] = 266832,
  [SMALL_STATE(6605)] = 266856,
  [SMALL_STATE(6606)] = 266876,
  [SMALL_STATE(6607)] = 266898,
  [SMALL_STATE(6608)] = 266924,
  [SMALL_STATE(6609)] = 266950,
  [SMALL_STATE(6610)] = 266976,
  [SMALL_STATE(6611)] = 267004,
  [SMALL_STATE(6612)] = 267030,
  [SMALL_STATE(6613)] = 267056,
  [SMALL_STATE(6614)] = 267082,
  [SMALL_STATE(6615)] = 267108,
  [SMALL_STATE(6616)] = 267130,
  [SMALL_STATE(6617)] = 267152,
  [SMALL_STATE(6618)] = 267174,
  [SMALL_STATE(6619)] = 267196,
  [SMALL_STATE(6620)] = 267222,
  [SMALL_STATE(6621)] = 267237,
  [SMALL_STATE(6622)] = 267260,
  [SMALL_STATE(6623)] = 267281,
  [SMALL_STATE(6624)] = 267302,
  [SMALL_STATE(6625)] = 267321,
  [SMALL_STATE(6626)] = 267342,
  [SMALL_STATE(6627)] = 267357,
  [SMALL_STATE(6628)] = 267380,
  [SMALL_STATE(6629)] = 267399,
  [SMALL_STATE(6630)] = 267422,
  [SMALL_STATE(6631)] = 267439,
  [SMALL_STATE(6632)] = 267462,
  [SMALL_STATE(6633)] = 267479,
  [SMALL_STATE(6634)] = 267502,
  [SMALL_STATE(6635)] = 267517,
  [SMALL_STATE(6636)] = 267540,
  [SMALL_STATE(6637)] = 267555,
  [SMALL_STATE(6638)] = 267580,
  [SMALL_STATE(6639)] = 267605,
  [SMALL_STATE(6640)] = 267628,
  [SMALL_STATE(6641)] = 267653,
  [SMALL_STATE(6642)] = 267678,
  [SMALL_STATE(6643)] = 267699,
  [SMALL_STATE(6644)] = 267722,
  [SMALL_STATE(6645)] = 267737,
  [SMALL_STATE(6646)] = 267752,
  [SMALL_STATE(6647)] = 267773,
  [SMALL_STATE(6648)] = 267792,
  [SMALL_STATE(6649)] = 267815,
  [SMALL_STATE(6650)] = 267832,
  [SMALL_STATE(6651)] = 267849,
  [SMALL_STATE(6652)] = 267872,
  [SMALL_STATE(6653)] = 267889,
  [SMALL_STATE(6654)] = 267908,
  [SMALL_STATE(6655)] = 267925,
  [SMALL_STATE(6656)] = 267948,
  [SMALL_STATE(6657)] = 267965,
  [SMALL_STATE(6658)] = 267982,
  [SMALL_STATE(6659)] = 268003,
  [SMALL_STATE(6660)] = 268020,
  [SMALL_STATE(6661)] = 268039,
  [SMALL_STATE(6662)] = 268056,
  [SMALL_STATE(6663)] = 268073,
  [SMALL_STATE(6664)] = 268090,
  [SMALL_STATE(6665)] = 268107,
  [SMALL_STATE(6666)] = 268132,
  [SMALL_STATE(6667)] = 268149,
  [SMALL_STATE(6668)] = 268166,
  [SMALL_STATE(6669)] = 268187,
  [SMALL_STATE(6670)] = 268210,
  [SMALL_STATE(6671)] = 268233,
  [SMALL_STATE(6672)] = 268252,
  [SMALL_STATE(6673)] = 268273,
  [SMALL_STATE(6674)] = 268294,
  [SMALL_STATE(6675)] = 268315,
  [SMALL_STATE(6676)] = 268332,
  [SMALL_STATE(6677)] = 268355,
  [SMALL_STATE(6678)] = 268370,
  [SMALL_STATE(6679)] = 268393,
  [SMALL_STATE(6680)] = 268416,
  [SMALL_STATE(6681)] = 268437,
  [SMALL_STATE(6682)] = 268458,
  [SMALL_STATE(6683)] = 268483,
  [SMALL_STATE(6684)] = 268504,
  [SMALL_STATE(6685)] = 268525,
  [SMALL_STATE(6686)] = 268550,
  [SMALL_STATE(6687)] = 268571,
  [SMALL_STATE(6688)] = 268586,
  [SMALL_STATE(6689)] = 268609,
  [SMALL_STATE(6690)] = 268630,
  [SMALL_STATE(6691)] = 268647,
  [SMALL_STATE(6692)] = 268664,
  [SMALL_STATE(6693)] = 268689,
  [SMALL_STATE(6694)] = 268710,
  [SMALL_STATE(6695)] = 268731,
  [SMALL_STATE(6696)] = 268753,
  [SMALL_STATE(6697)] = 268771,
  [SMALL_STATE(6698)] = 268785,
  [SMALL_STATE(6699)] = 268805,
  [SMALL_STATE(6700)] = 268819,
  [SMALL_STATE(6701)] = 268841,
  [SMALL_STATE(6702)] = 268859,
  [SMALL_STATE(6703)] = 268873,
  [SMALL_STATE(6704)] = 268891,
  [SMALL_STATE(6705)] = 268909,
  [SMALL_STATE(6706)] = 268931,
  [SMALL_STATE(6707)] = 268953,
  [SMALL_STATE(6708)] = 268973,
  [SMALL_STATE(6709)] = 268987,
  [SMALL_STATE(6710)] = 269009,
  [SMALL_STATE(6711)] = 269029,
  [SMALL_STATE(6712)] = 269051,
  [SMALL_STATE(6713)] = 269073,
  [SMALL_STATE(6714)] = 269095,
  [SMALL_STATE(6715)] = 269109,
  [SMALL_STATE(6716)] = 269131,
  [SMALL_STATE(6717)] = 269153,
  [SMALL_STATE(6718)] = 269175,
  [SMALL_STATE(6719)] = 269197,
  [SMALL_STATE(6720)] = 269211,
  [SMALL_STATE(6721)] = 269233,
  [SMALL_STATE(6722)] = 269255,
  [SMALL_STATE(6723)] = 269275,
  [SMALL_STATE(6724)] = 269295,
  [SMALL_STATE(6725)] = 269317,
  [SMALL_STATE(6726)] = 269337,
  [SMALL_STATE(6727)] = 269357,
  [SMALL_STATE(6728)] = 269379,
  [SMALL_STATE(6729)] = 269401,
  [SMALL_STATE(6730)] = 269423,
  [SMALL_STATE(6731)] = 269441,
  [SMALL_STATE(6732)] = 269455,
  [SMALL_STATE(6733)] = 269477,
  [SMALL_STATE(6734)] = 269499,
  [SMALL_STATE(6735)] = 269519,
  [SMALL_STATE(6736)] = 269533,
  [SMALL_STATE(6737)] = 269555,
  [SMALL_STATE(6738)] = 269575,
  [SMALL_STATE(6739)] = 269589,
  [SMALL_STATE(6740)] = 269611,
  [SMALL_STATE(6741)] = 269631,
  [SMALL_STATE(6742)] = 269649,
  [SMALL_STATE(6743)] = 269663,
  [SMALL_STATE(6744)] = 269683,
  [SMALL_STATE(6745)] = 269703,
  [SMALL_STATE(6746)] = 269725,
  [SMALL_STATE(6747)] = 269745,
  [SMALL_STATE(6748)] = 269759,
  [SMALL_STATE(6749)] = 269773,
  [SMALL_STATE(6750)] = 269787,
  [SMALL_STATE(6751)] = 269801,
  [SMALL_STATE(6752)] = 269821,
  [SMALL_STATE(6753)] = 269843,
  [SMALL_STATE(6754)] = 269860,
  [SMALL_STATE(6755)] = 269879,
  [SMALL_STATE(6756)] = 269896,
  [SMALL_STATE(6757)] = 269913,
  [SMALL_STATE(6758)] = 269930,
  [SMALL_STATE(6759)] = 269947,
  [SMALL_STATE(6760)] = 269964,
  [SMALL_STATE(6761)] = 269983,
  [SMALL_STATE(6762)] = 270000,
  [SMALL_STATE(6763)] = 270019,
  [SMALL_STATE(6764)] = 270038,
  [SMALL_STATE(6765)] = 270057,
  [SMALL_STATE(6766)] = 270076,
  [SMALL_STATE(6767)] = 270093,
  [SMALL_STATE(6768)] = 270110,
  [SMALL_STATE(6769)] = 270121,
  [SMALL_STATE(6770)] = 270138,
  [SMALL_STATE(6771)] = 270157,
  [SMALL_STATE(6772)] = 270174,
  [SMALL_STATE(6773)] = 270191,
  [SMALL_STATE(6774)] = 270210,
  [SMALL_STATE(6775)] = 270227,
  [SMALL_STATE(6776)] = 270244,
  [SMALL_STATE(6777)] = 270261,
  [SMALL_STATE(6778)] = 270278,
  [SMALL_STATE(6779)] = 270295,
  [SMALL_STATE(6780)] = 270312,
  [SMALL_STATE(6781)] = 270329,
  [SMALL_STATE(6782)] = 270348,
  [SMALL_STATE(6783)] = 270365,
  [SMALL_STATE(6784)] = 270382,
  [SMALL_STATE(6785)] = 270399,
  [SMALL_STATE(6786)] = 270416,
  [SMALL_STATE(6787)] = 270433,
  [SMALL_STATE(6788)] = 270450,
  [SMALL_STATE(6789)] = 270467,
  [SMALL_STATE(6790)] = 270486,
  [SMALL_STATE(6791)] = 270505,
  [SMALL_STATE(6792)] = 270522,
  [SMALL_STATE(6793)] = 270539,
  [SMALL_STATE(6794)] = 270556,
  [SMALL_STATE(6795)] = 270575,
  [SMALL_STATE(6796)] = 270594,
  [SMALL_STATE(6797)] = 270611,
  [SMALL_STATE(6798)] = 270628,
  [SMALL_STATE(6799)] = 270647,
  [SMALL_STATE(6800)] = 270664,
  [SMALL_STATE(6801)] = 270683,
  [SMALL_STATE(6802)] = 270700,
  [SMALL_STATE(6803)] = 270717,
  [SMALL_STATE(6804)] = 270734,
  [SMALL_STATE(6805)] = 270753,
  [SMALL_STATE(6806)] = 270770,
  [SMALL_STATE(6807)] = 270789,
  [SMALL_STATE(6808)] = 270806,
  [SMALL_STATE(6809)] = 270819,
  [SMALL_STATE(6810)] = 270836,
  [SMALL_STATE(6811)] = 270853,
  [SMALL_STATE(6812)] = 270870,
  [SMALL_STATE(6813)] = 270889,
  [SMALL_STATE(6814)] = 270908,
  [SMALL_STATE(6815)] = 270927,
  [SMALL_STATE(6816)] = 270940,
  [SMALL_STATE(6817)] = 270957,
  [SMALL_STATE(6818)] = 270974,
  [SMALL_STATE(6819)] = 270991,
  [SMALL_STATE(6820)] = 271010,
  [SMALL_STATE(6821)] = 271027,
  [SMALL_STATE(6822)] = 271046,
  [SMALL_STATE(6823)] = 271065,
  [SMALL_STATE(6824)] = 271082,
  [SMALL_STATE(6825)] = 271099,
  [SMALL_STATE(6826)] = 271116,
  [SMALL_STATE(6827)] = 271135,
  [SMALL_STATE(6828)] = 271149,
  [SMALL_STATE(6829)] = 271161,
  [SMALL_STATE(6830)] = 271177,
  [SMALL_STATE(6831)] = 271193,
  [SMALL_STATE(6832)] = 271209,
  [SMALL_STATE(6833)] = 271225,
  [SMALL_STATE(6834)] = 271241,
  [SMALL_STATE(6835)] = 271257,
  [SMALL_STATE(6836)] = 271271,
  [SMALL_STATE(6837)] = 271285,
  [SMALL_STATE(6838)] = 271301,
  [SMALL_STATE(6839)] = 271315,
  [SMALL_STATE(6840)] = 271331,
  [SMALL_STATE(6841)] = 271345,
  [SMALL_STATE(6842)] = 271361,
  [SMALL_STATE(6843)] = 271375,
  [SMALL_STATE(6844)] = 271389,
  [SMALL_STATE(6845)] = 271405,
  [SMALL_STATE(6846)] = 271421,
  [SMALL_STATE(6847)] = 271431,
  [SMALL_STATE(6848)] = 271447,
  [SMALL_STATE(6849)] = 271461,
  [SMALL_STATE(6850)] = 271477,
  [SMALL_STATE(6851)] = 271493,
  [SMALL_STATE(6852)] = 271509,
  [SMALL_STATE(6853)] = 271523,
  [SMALL_STATE(6854)] = 271537,
  [SMALL_STATE(6855)] = 271553,
  [SMALL_STATE(6856)] = 271567,
  [SMALL_STATE(6857)] = 271581,
  [SMALL_STATE(6858)] = 271593,
  [SMALL_STATE(6859)] = 271609,
  [SMALL_STATE(6860)] = 271625,
  [SMALL_STATE(6861)] = 271641,
  [SMALL_STATE(6862)] = 271657,
  [SMALL_STATE(6863)] = 271673,
  [SMALL_STATE(6864)] = 271687,
  [SMALL_STATE(6865)] = 271703,
  [SMALL_STATE(6866)] = 271717,
  [SMALL_STATE(6867)] = 271733,
  [SMALL_STATE(6868)] = 271749,
  [SMALL_STATE(6869)] = 271765,
  [SMALL_STATE(6870)] = 271781,
  [SMALL_STATE(6871)] = 271795,
  [SMALL_STATE(6872)] = 271811,
  [SMALL_STATE(6873)] = 271827,
  [SMALL_STATE(6874)] = 271841,
  [SMALL_STATE(6875)] = 271857,
  [SMALL_STATE(6876)] = 271873,
  [SMALL_STATE(6877)] = 271889,
  [SMALL_STATE(6878)] = 271903,
  [SMALL_STATE(6879)] = 271919,
  [SMALL_STATE(6880)] = 271935,
  [SMALL_STATE(6881)] = 271949,
  [SMALL_STATE(6882)] = 271965,
  [SMALL_STATE(6883)] = 271979,
  [SMALL_STATE(6884)] = 271995,
  [SMALL_STATE(6885)] = 272009,
  [SMALL_STATE(6886)] = 272025,
  [SMALL_STATE(6887)] = 272041,
  [SMALL_STATE(6888)] = 272055,
  [SMALL_STATE(6889)] = 272071,
  [SMALL_STATE(6890)] = 272087,
  [SMALL_STATE(6891)] = 272103,
  [SMALL_STATE(6892)] = 272119,
  [SMALL_STATE(6893)] = 272135,
  [SMALL_STATE(6894)] = 272151,
  [SMALL_STATE(6895)] = 272167,
  [SMALL_STATE(6896)] = 272183,
  [SMALL_STATE(6897)] = 272199,
  [SMALL_STATE(6898)] = 272215,
  [SMALL_STATE(6899)] = 272231,
  [SMALL_STATE(6900)] = 272247,
  [SMALL_STATE(6901)] = 272261,
  [SMALL_STATE(6902)] = 272275,
  [SMALL_STATE(6903)] = 272291,
  [SMALL_STATE(6904)] = 272307,
  [SMALL_STATE(6905)] = 272321,
  [SMALL_STATE(6906)] = 272337,
  [SMALL_STATE(6907)] = 272351,
  [SMALL_STATE(6908)] = 272367,
  [SMALL_STATE(6909)] = 272383,
  [SMALL_STATE(6910)] = 272397,
  [SMALL_STATE(6911)] = 272411,
  [SMALL_STATE(6912)] = 272425,
  [SMALL_STATE(6913)] = 272439,
  [SMALL_STATE(6914)] = 272455,
  [SMALL_STATE(6915)] = 272471,
  [SMALL_STATE(6916)] = 272487,
  [SMALL_STATE(6917)] = 272501,
  [SMALL_STATE(6918)] = 272515,
  [SMALL_STATE(6919)] = 272531,
  [SMALL_STATE(6920)] = 272547,
  [SMALL_STATE(6921)] = 272563,
  [SMALL_STATE(6922)] = 272577,
  [SMALL_STATE(6923)] = 272593,
  [SMALL_STATE(6924)] = 272607,
  [SMALL_STATE(6925)] = 272623,
  [SMALL_STATE(6926)] = 272639,
  [SMALL_STATE(6927)] = 272655,
  [SMALL_STATE(6928)] = 272669,
  [SMALL_STATE(6929)] = 272683,
  [SMALL_STATE(6930)] = 272697,
  [SMALL_STATE(6931)] = 272713,
  [SMALL_STATE(6932)] = 272729,
  [SMALL_STATE(6933)] = 272745,
  [SMALL_STATE(6934)] = 272761,
  [SMALL_STATE(6935)] = 272777,
  [SMALL_STATE(6936)] = 272793,
  [SMALL_STATE(6937)] = 272807,
  [SMALL_STATE(6938)] = 272821,
  [SMALL_STATE(6939)] = 272837,
  [SMALL_STATE(6940)] = 272853,
  [SMALL_STATE(6941)] = 272869,
  [SMALL_STATE(6942)] = 272883,
  [SMALL_STATE(6943)] = 272899,
  [SMALL_STATE(6944)] = 272913,
  [SMALL_STATE(6945)] = 272927,
  [SMALL_STATE(6946)] = 272941,
  [SMALL_STATE(6947)] = 272955,
  [SMALL_STATE(6948)] = 272971,
  [SMALL_STATE(6949)] = 272987,
  [SMALL_STATE(6950)] = 273003,
  [SMALL_STATE(6951)] = 273019,
  [SMALL_STATE(6952)] = 273035,
  [SMALL_STATE(6953)] = 273049,
  [SMALL_STATE(6954)] = 273063,
  [SMALL_STATE(6955)] = 273077,
  [SMALL_STATE(6956)] = 273093,
  [SMALL_STATE(6957)] = 273109,
  [SMALL_STATE(6958)] = 273123,
  [SMALL_STATE(6959)] = 273137,
  [SMALL_STATE(6960)] = 273151,
  [SMALL_STATE(6961)] = 273167,
  [SMALL_STATE(6962)] = 273181,
  [SMALL_STATE(6963)] = 273197,
  [SMALL_STATE(6964)] = 273213,
  [SMALL_STATE(6965)] = 273227,
  [SMALL_STATE(6966)] = 273243,
  [SMALL_STATE(6967)] = 273257,
  [SMALL_STATE(6968)] = 273273,
  [SMALL_STATE(6969)] = 273289,
  [SMALL_STATE(6970)] = 273305,
  [SMALL_STATE(6971)] = 273319,
  [SMALL_STATE(6972)] = 273335,
  [SMALL_STATE(6973)] = 273349,
  [SMALL_STATE(6974)] = 273365,
  [SMALL_STATE(6975)] = 273381,
  [SMALL_STATE(6976)] = 273397,
  [SMALL_STATE(6977)] = 273411,
  [SMALL_STATE(6978)] = 273425,
  [SMALL_STATE(6979)] = 273441,
  [SMALL_STATE(6980)] = 273457,
  [SMALL_STATE(6981)] = 273473,
  [SMALL_STATE(6982)] = 273489,
  [SMALL_STATE(6983)] = 273505,
  [SMALL_STATE(6984)] = 273521,
  [SMALL_STATE(6985)] = 273537,
  [SMALL_STATE(6986)] = 273553,
  [SMALL_STATE(6987)] = 273569,
  [SMALL_STATE(6988)] = 273585,
  [SMALL_STATE(6989)] = 273599,
  [SMALL_STATE(6990)] = 273615,
  [SMALL_STATE(6991)] = 273631,
  [SMALL_STATE(6992)] = 273645,
  [SMALL_STATE(6993)] = 273661,
  [SMALL_STATE(6994)] = 273677,
  [SMALL_STATE(6995)] = 273693,
  [SMALL_STATE(6996)] = 273707,
  [SMALL_STATE(6997)] = 273723,
  [SMALL_STATE(6998)] = 273737,
  [SMALL_STATE(6999)] = 273753,
  [SMALL_STATE(7000)] = 273767,
  [SMALL_STATE(7001)] = 273781,
  [SMALL_STATE(7002)] = 273795,
  [SMALL_STATE(7003)] = 273809,
  [SMALL_STATE(7004)] = 273825,
  [SMALL_STATE(7005)] = 273839,
  [SMALL_STATE(7006)] = 273853,
  [SMALL_STATE(7007)] = 273869,
  [SMALL_STATE(7008)] = 273885,
  [SMALL_STATE(7009)] = 273901,
  [SMALL_STATE(7010)] = 273917,
  [SMALL_STATE(7011)] = 273933,
  [SMALL_STATE(7012)] = 273949,
  [SMALL_STATE(7013)] = 273963,
  [SMALL_STATE(7014)] = 273977,
  [SMALL_STATE(7015)] = 273991,
  [SMALL_STATE(7016)] = 274007,
  [SMALL_STATE(7017)] = 274021,
  [SMALL_STATE(7018)] = 274037,
  [SMALL_STATE(7019)] = 274049,
  [SMALL_STATE(7020)] = 274063,
  [SMALL_STATE(7021)] = 274077,
  [SMALL_STATE(7022)] = 274093,
  [SMALL_STATE(7023)] = 274109,
  [SMALL_STATE(7024)] = 274125,
  [SMALL_STATE(7025)] = 274141,
  [SMALL_STATE(7026)] = 274157,
  [SMALL_STATE(7027)] = 274173,
  [SMALL_STATE(7028)] = 274189,
  [SMALL_STATE(7029)] = 274205,
  [SMALL_STATE(7030)] = 274219,
  [SMALL_STATE(7031)] = 274233,
  [SMALL_STATE(7032)] = 274243,
  [SMALL_STATE(7033)] = 274257,
  [SMALL_STATE(7034)] = 274273,
  [SMALL_STATE(7035)] = 274287,
  [SMALL_STATE(7036)] = 274299,
  [SMALL_STATE(7037)] = 274315,
  [SMALL_STATE(7038)] = 274329,
  [SMALL_STATE(7039)] = 274345,
  [SMALL_STATE(7040)] = 274361,
  [SMALL_STATE(7041)] = 274375,
  [SMALL_STATE(7042)] = 274391,
  [SMALL_STATE(7043)] = 274407,
  [SMALL_STATE(7044)] = 274421,
  [SMALL_STATE(7045)] = 274437,
  [SMALL_STATE(7046)] = 274453,
  [SMALL_STATE(7047)] = 274469,
  [SMALL_STATE(7048)] = 274483,
  [SMALL_STATE(7049)] = 274497,
  [SMALL_STATE(7050)] = 274513,
  [SMALL_STATE(7051)] = 274529,
  [SMALL_STATE(7052)] = 274542,
  [SMALL_STATE(7053)] = 274555,
  [SMALL_STATE(7054)] = 274568,
  [SMALL_STATE(7055)] = 274581,
  [SMALL_STATE(7056)] = 274590,
  [SMALL_STATE(7057)] = 274603,
  [SMALL_STATE(7058)] = 274616,
  [SMALL_STATE(7059)] = 274627,
  [SMALL_STATE(7060)] = 274640,
  [SMALL_STATE(7061)] = 274651,
  [SMALL_STATE(7062)] = 274664,
  [SMALL_STATE(7063)] = 274677,
  [SMALL_STATE(7064)] = 274690,
  [SMALL_STATE(7065)] = 274703,
  [SMALL_STATE(7066)] = 274716,
  [SMALL_STATE(7067)] = 274729,
  [SMALL_STATE(7068)] = 274742,
  [SMALL_STATE(7069)] = 274755,
  [SMALL_STATE(7070)] = 274768,
  [SMALL_STATE(7071)] = 274781,
  [SMALL_STATE(7072)] = 274794,
  [SMALL_STATE(7073)] = 274807,
  [SMALL_STATE(7074)] = 274820,
  [SMALL_STATE(7075)] = 274833,
  [SMALL_STATE(7076)] = 274844,
  [SMALL_STATE(7077)] = 274857,
  [SMALL_STATE(7078)] = 274870,
  [SMALL_STATE(7079)] = 274883,
  [SMALL_STATE(7080)] = 274896,
  [SMALL_STATE(7081)] = 274909,
  [SMALL_STATE(7082)] = 274922,
  [SMALL_STATE(7083)] = 274935,
  [SMALL_STATE(7084)] = 274948,
  [SMALL_STATE(7085)] = 274961,
  [SMALL_STATE(7086)] = 274974,
  [SMALL_STATE(7087)] = 274987,
  [SMALL_STATE(7088)] = 275000,
  [SMALL_STATE(7089)] = 275013,
  [SMALL_STATE(7090)] = 275026,
  [SMALL_STATE(7091)] = 275039,
  [SMALL_STATE(7092)] = 275052,
  [SMALL_STATE(7093)] = 275065,
  [SMALL_STATE(7094)] = 275078,
  [SMALL_STATE(7095)] = 275091,
  [SMALL_STATE(7096)] = 275104,
  [SMALL_STATE(7097)] = 275117,
  [SMALL_STATE(7098)] = 275130,
  [SMALL_STATE(7099)] = 275143,
  [SMALL_STATE(7100)] = 275156,
  [SMALL_STATE(7101)] = 275169,
  [SMALL_STATE(7102)] = 275182,
  [SMALL_STATE(7103)] = 275193,
  [SMALL_STATE(7104)] = 275206,
  [SMALL_STATE(7105)] = 275219,
  [SMALL_STATE(7106)] = 275232,
  [SMALL_STATE(7107)] = 275245,
  [SMALL_STATE(7108)] = 275258,
  [SMALL_STATE(7109)] = 275271,
  [SMALL_STATE(7110)] = 275284,
  [SMALL_STATE(7111)] = 275295,
  [SMALL_STATE(7112)] = 275308,
  [SMALL_STATE(7113)] = 275319,
  [SMALL_STATE(7114)] = 275332,
  [SMALL_STATE(7115)] = 275345,
  [SMALL_STATE(7116)] = 275358,
  [SMALL_STATE(7117)] = 275371,
  [SMALL_STATE(7118)] = 275384,
  [SMALL_STATE(7119)] = 275397,
  [SMALL_STATE(7120)] = 275410,
  [SMALL_STATE(7121)] = 275423,
  [SMALL_STATE(7122)] = 275436,
  [SMALL_STATE(7123)] = 275449,
  [SMALL_STATE(7124)] = 275462,
  [SMALL_STATE(7125)] = 275473,
  [SMALL_STATE(7126)] = 275486,
  [SMALL_STATE(7127)] = 275499,
  [SMALL_STATE(7128)] = 275512,
  [SMALL_STATE(7129)] = 275525,
  [SMALL_STATE(7130)] = 275534,
  [SMALL_STATE(7131)] = 275545,
  [SMALL_STATE(7132)] = 275558,
  [SMALL_STATE(7133)] = 275571,
  [SMALL_STATE(7134)] = 275584,
  [SMALL_STATE(7135)] = 275597,
  [SMALL_STATE(7136)] = 275610,
  [SMALL_STATE(7137)] = 275623,
  [SMALL_STATE(7138)] = 275636,
  [SMALL_STATE(7139)] = 275649,
  [SMALL_STATE(7140)] = 275662,
  [SMALL_STATE(7141)] = 275675,
  [SMALL_STATE(7142)] = 275688,
  [SMALL_STATE(7143)] = 275701,
  [SMALL_STATE(7144)] = 275712,
  [SMALL_STATE(7145)] = 275725,
  [SMALL_STATE(7146)] = 275738,
  [SMALL_STATE(7147)] = 275751,
  [SMALL_STATE(7148)] = 275764,
  [SMALL_STATE(7149)] = 275777,
  [SMALL_STATE(7150)] = 275790,
  [SMALL_STATE(7151)] = 275803,
  [SMALL_STATE(7152)] = 275814,
  [SMALL_STATE(7153)] = 275823,
  [SMALL_STATE(7154)] = 275836,
  [SMALL_STATE(7155)] = 275849,
  [SMALL_STATE(7156)] = 275862,
  [SMALL_STATE(7157)] = 275875,
  [SMALL_STATE(7158)] = 275888,
  [SMALL_STATE(7159)] = 275901,
  [SMALL_STATE(7160)] = 275914,
  [SMALL_STATE(7161)] = 275925,
  [SMALL_STATE(7162)] = 275938,
  [SMALL_STATE(7163)] = 275951,
  [SMALL_STATE(7164)] = 275962,
  [SMALL_STATE(7165)] = 275975,
  [SMALL_STATE(7166)] = 275988,
  [SMALL_STATE(7167)] = 276001,
  [SMALL_STATE(7168)] = 276014,
  [SMALL_STATE(7169)] = 276025,
  [SMALL_STATE(7170)] = 276038,
  [SMALL_STATE(7171)] = 276051,
  [SMALL_STATE(7172)] = 276064,
  [SMALL_STATE(7173)] = 276077,
  [SMALL_STATE(7174)] = 276088,
  [SMALL_STATE(7175)] = 276099,
  [SMALL_STATE(7176)] = 276112,
  [SMALL_STATE(7177)] = 276123,
  [SMALL_STATE(7178)] = 276136,
  [SMALL_STATE(7179)] = 276149,
  [SMALL_STATE(7180)] = 276160,
  [SMALL_STATE(7181)] = 276173,
  [SMALL_STATE(7182)] = 276186,
  [SMALL_STATE(7183)] = 276199,
  [SMALL_STATE(7184)] = 276208,
  [SMALL_STATE(7185)] = 276221,
  [SMALL_STATE(7186)] = 276234,
  [SMALL_STATE(7187)] = 276247,
  [SMALL_STATE(7188)] = 276260,
  [SMALL_STATE(7189)] = 276273,
  [SMALL_STATE(7190)] = 276286,
  [SMALL_STATE(7191)] = 276299,
  [SMALL_STATE(7192)] = 276312,
  [SMALL_STATE(7193)] = 276325,
  [SMALL_STATE(7194)] = 276338,
  [SMALL_STATE(7195)] = 276349,
  [SMALL_STATE(7196)] = 276362,
  [SMALL_STATE(7197)] = 276375,
  [SMALL_STATE(7198)] = 276388,
  [SMALL_STATE(7199)] = 276401,
  [SMALL_STATE(7200)] = 276414,
  [SMALL_STATE(7201)] = 276425,
  [SMALL_STATE(7202)] = 276436,
  [SMALL_STATE(7203)] = 276449,
  [SMALL_STATE(7204)] = 276462,
  [SMALL_STATE(7205)] = 276475,
  [SMALL_STATE(7206)] = 276488,
  [SMALL_STATE(7207)] = 276501,
  [SMALL_STATE(7208)] = 276514,
  [SMALL_STATE(7209)] = 276527,
  [SMALL_STATE(7210)] = 276540,
  [SMALL_STATE(7211)] = 276553,
  [SMALL_STATE(7212)] = 276566,
  [SMALL_STATE(7213)] = 276579,
  [SMALL_STATE(7214)] = 276592,
  [SMALL_STATE(7215)] = 276605,
  [SMALL_STATE(7216)] = 276618,
  [SMALL_STATE(7217)] = 276631,
  [SMALL_STATE(7218)] = 276644,
  [SMALL_STATE(7219)] = 276657,
  [SMALL_STATE(7220)] = 276670,
  [SMALL_STATE(7221)] = 276683,
  [SMALL_STATE(7222)] = 276696,
  [SMALL_STATE(7223)] = 276709,
  [SMALL_STATE(7224)] = 276722,
  [SMALL_STATE(7225)] = 276735,
  [SMALL_STATE(7226)] = 276746,
  [SMALL_STATE(7227)] = 276759,
  [SMALL_STATE(7228)] = 276772,
  [SMALL_STATE(7229)] = 276785,
  [SMALL_STATE(7230)] = 276798,
  [SMALL_STATE(7231)] = 276811,
  [SMALL_STATE(7232)] = 276824,
  [SMALL_STATE(7233)] = 276837,
  [SMALL_STATE(7234)] = 276850,
  [SMALL_STATE(7235)] = 276863,
  [SMALL_STATE(7236)] = 276876,
  [SMALL_STATE(7237)] = 276889,
  [SMALL_STATE(7238)] = 276902,
  [SMALL_STATE(7239)] = 276915,
  [SMALL_STATE(7240)] = 276926,
  [SMALL_STATE(7241)] = 276939,
  [SMALL_STATE(7242)] = 276950,
  [SMALL_STATE(7243)] = 276963,
  [SMALL_STATE(7244)] = 276976,
  [SMALL_STATE(7245)] = 276989,
  [SMALL_STATE(7246)] = 277002,
  [SMALL_STATE(7247)] = 277015,
  [SMALL_STATE(7248)] = 277028,
  [SMALL_STATE(7249)] = 277039,
  [SMALL_STATE(7250)] = 277052,
  [SMALL_STATE(7251)] = 277065,
  [SMALL_STATE(7252)] = 277078,
  [SMALL_STATE(7253)] = 277091,
  [SMALL_STATE(7254)] = 277104,
  [SMALL_STATE(7255)] = 277117,
  [SMALL_STATE(7256)] = 277130,
  [SMALL_STATE(7257)] = 277143,
  [SMALL_STATE(7258)] = 277154,
  [SMALL_STATE(7259)] = 277167,
  [SMALL_STATE(7260)] = 277180,
  [SMALL_STATE(7261)] = 277191,
  [SMALL_STATE(7262)] = 277200,
  [SMALL_STATE(7263)] = 277213,
  [SMALL_STATE(7264)] = 277226,
  [SMALL_STATE(7265)] = 277239,
  [SMALL_STATE(7266)] = 277248,
  [SMALL_STATE(7267)] = 277261,
  [SMALL_STATE(7268)] = 277274,
  [SMALL_STATE(7269)] = 277287,
  [SMALL_STATE(7270)] = 277300,
  [SMALL_STATE(7271)] = 277313,
  [SMALL_STATE(7272)] = 277326,
  [SMALL_STATE(7273)] = 277339,
  [SMALL_STATE(7274)] = 277352,
  [SMALL_STATE(7275)] = 277365,
  [SMALL_STATE(7276)] = 277378,
  [SMALL_STATE(7277)] = 277391,
  [SMALL_STATE(7278)] = 277402,
  [SMALL_STATE(7279)] = 277415,
  [SMALL_STATE(7280)] = 277428,
  [SMALL_STATE(7281)] = 277441,
  [SMALL_STATE(7282)] = 277452,
  [SMALL_STATE(7283)] = 277465,
  [SMALL_STATE(7284)] = 277476,
  [SMALL_STATE(7285)] = 277489,
  [SMALL_STATE(7286)] = 277502,
  [SMALL_STATE(7287)] = 277515,
  [SMALL_STATE(7288)] = 277526,
  [SMALL_STATE(7289)] = 277539,
  [SMALL_STATE(7290)] = 277552,
  [SMALL_STATE(7291)] = 277565,
  [SMALL_STATE(7292)] = 277578,
  [SMALL_STATE(7293)] = 277591,
  [SMALL_STATE(7294)] = 277604,
  [SMALL_STATE(7295)] = 277617,
  [SMALL_STATE(7296)] = 277630,
  [SMALL_STATE(7297)] = 277639,
  [SMALL_STATE(7298)] = 277652,
  [SMALL_STATE(7299)] = 277665,
  [SMALL_STATE(7300)] = 277678,
  [SMALL_STATE(7301)] = 277691,
  [SMALL_STATE(7302)] = 277704,
  [SMALL_STATE(7303)] = 277717,
  [SMALL_STATE(7304)] = 277728,
  [SMALL_STATE(7305)] = 277741,
  [SMALL_STATE(7306)] = 277754,
  [SMALL_STATE(7307)] = 277767,
  [SMALL_STATE(7308)] = 277780,
  [SMALL_STATE(7309)] = 277793,
  [SMALL_STATE(7310)] = 277806,
  [SMALL_STATE(7311)] = 277817,
  [SMALL_STATE(7312)] = 277828,
  [SMALL_STATE(7313)] = 277841,
  [SMALL_STATE(7314)] = 277854,
  [SMALL_STATE(7315)] = 277867,
  [SMALL_STATE(7316)] = 277878,
  [SMALL_STATE(7317)] = 277891,
  [SMALL_STATE(7318)] = 277902,
  [SMALL_STATE(7319)] = 277915,
  [SMALL_STATE(7320)] = 277928,
  [SMALL_STATE(7321)] = 277941,
  [SMALL_STATE(7322)] = 277954,
  [SMALL_STATE(7323)] = 277967,
  [SMALL_STATE(7324)] = 277980,
  [SMALL_STATE(7325)] = 277993,
  [SMALL_STATE(7326)] = 278006,
  [SMALL_STATE(7327)] = 278019,
  [SMALL_STATE(7328)] = 278030,
  [SMALL_STATE(7329)] = 278039,
  [SMALL_STATE(7330)] = 278052,
  [SMALL_STATE(7331)] = 278061,
  [SMALL_STATE(7332)] = 278074,
  [SMALL_STATE(7333)] = 278087,
  [SMALL_STATE(7334)] = 278098,
  [SMALL_STATE(7335)] = 278111,
  [SMALL_STATE(7336)] = 278124,
  [SMALL_STATE(7337)] = 278137,
  [SMALL_STATE(7338)] = 278150,
  [SMALL_STATE(7339)] = 278163,
  [SMALL_STATE(7340)] = 278176,
  [SMALL_STATE(7341)] = 278189,
  [SMALL_STATE(7342)] = 278202,
  [SMALL_STATE(7343)] = 278215,
  [SMALL_STATE(7344)] = 278228,
  [SMALL_STATE(7345)] = 278241,
  [SMALL_STATE(7346)] = 278252,
  [SMALL_STATE(7347)] = 278265,
  [SMALL_STATE(7348)] = 278278,
  [SMALL_STATE(7349)] = 278291,
  [SMALL_STATE(7350)] = 278304,
  [SMALL_STATE(7351)] = 278315,
  [SMALL_STATE(7352)] = 278326,
  [SMALL_STATE(7353)] = 278339,
  [SMALL_STATE(7354)] = 278350,
  [SMALL_STATE(7355)] = 278363,
  [SMALL_STATE(7356)] = 278374,
  [SMALL_STATE(7357)] = 278385,
  [SMALL_STATE(7358)] = 278398,
  [SMALL_STATE(7359)] = 278411,
  [SMALL_STATE(7360)] = 278424,
  [SMALL_STATE(7361)] = 278435,
  [SMALL_STATE(7362)] = 278448,
  [SMALL_STATE(7363)] = 278459,
  [SMALL_STATE(7364)] = 278472,
  [SMALL_STATE(7365)] = 278485,
  [SMALL_STATE(7366)] = 278496,
  [SMALL_STATE(7367)] = 278507,
  [SMALL_STATE(7368)] = 278520,
  [SMALL_STATE(7369)] = 278531,
  [SMALL_STATE(7370)] = 278544,
  [SMALL_STATE(7371)] = 278557,
  [SMALL_STATE(7372)] = 278570,
  [SMALL_STATE(7373)] = 278579,
  [SMALL_STATE(7374)] = 278592,
  [SMALL_STATE(7375)] = 278601,
  [SMALL_STATE(7376)] = 278614,
  [SMALL_STATE(7377)] = 278627,
  [SMALL_STATE(7378)] = 278640,
  [SMALL_STATE(7379)] = 278653,
  [SMALL_STATE(7380)] = 278666,
  [SMALL_STATE(7381)] = 278679,
  [SMALL_STATE(7382)] = 278692,
  [SMALL_STATE(7383)] = 278701,
  [SMALL_STATE(7384)] = 278714,
  [SMALL_STATE(7385)] = 278727,
  [SMALL_STATE(7386)] = 278740,
  [SMALL_STATE(7387)] = 278753,
  [SMALL_STATE(7388)] = 278766,
  [SMALL_STATE(7389)] = 278779,
  [SMALL_STATE(7390)] = 278790,
  [SMALL_STATE(7391)] = 278801,
  [SMALL_STATE(7392)] = 278810,
  [SMALL_STATE(7393)] = 278821,
  [SMALL_STATE(7394)] = 278834,
  [SMALL_STATE(7395)] = 278843,
  [SMALL_STATE(7396)] = 278856,
  [SMALL_STATE(7397)] = 278869,
  [SMALL_STATE(7398)] = 278882,
  [SMALL_STATE(7399)] = 278895,
  [SMALL_STATE(7400)] = 278908,
  [SMALL_STATE(7401)] = 278921,
  [SMALL_STATE(7402)] = 278932,
  [SMALL_STATE(7403)] = 278945,
  [SMALL_STATE(7404)] = 278958,
  [SMALL_STATE(7405)] = 278971,
  [SMALL_STATE(7406)] = 278984,
  [SMALL_STATE(7407)] = 278997,
  [SMALL_STATE(7408)] = 279010,
  [SMALL_STATE(7409)] = 279023,
  [SMALL_STATE(7410)] = 279036,
  [SMALL_STATE(7411)] = 279049,
  [SMALL_STATE(7412)] = 279062,
  [SMALL_STATE(7413)] = 279075,
  [SMALL_STATE(7414)] = 279086,
  [SMALL_STATE(7415)] = 279099,
  [SMALL_STATE(7416)] = 279112,
  [SMALL_STATE(7417)] = 279125,
  [SMALL_STATE(7418)] = 279136,
  [SMALL_STATE(7419)] = 279149,
  [SMALL_STATE(7420)] = 279162,
  [SMALL_STATE(7421)] = 279175,
  [SMALL_STATE(7422)] = 279186,
  [SMALL_STATE(7423)] = 279199,
  [SMALL_STATE(7424)] = 279212,
  [SMALL_STATE(7425)] = 279225,
  [SMALL_STATE(7426)] = 279238,
  [SMALL_STATE(7427)] = 279247,
  [SMALL_STATE(7428)] = 279260,
  [SMALL_STATE(7429)] = 279273,
  [SMALL_STATE(7430)] = 279286,
  [SMALL_STATE(7431)] = 279299,
  [SMALL_STATE(7432)] = 279308,
  [SMALL_STATE(7433)] = 279321,
  [SMALL_STATE(7434)] = 279334,
  [SMALL_STATE(7435)] = 279347,
  [SMALL_STATE(7436)] = 279360,
  [SMALL_STATE(7437)] = 279373,
  [SMALL_STATE(7438)] = 279386,
  [SMALL_STATE(7439)] = 279395,
  [SMALL_STATE(7440)] = 279408,
  [SMALL_STATE(7441)] = 279421,
  [SMALL_STATE(7442)] = 279434,
  [SMALL_STATE(7443)] = 279447,
  [SMALL_STATE(7444)] = 279460,
  [SMALL_STATE(7445)] = 279471,
  [SMALL_STATE(7446)] = 279484,
  [SMALL_STATE(7447)] = 279497,
  [SMALL_STATE(7448)] = 279510,
  [SMALL_STATE(7449)] = 279523,
  [SMALL_STATE(7450)] = 279534,
  [SMALL_STATE(7451)] = 279545,
  [SMALL_STATE(7452)] = 279558,
  [SMALL_STATE(7453)] = 279571,
  [SMALL_STATE(7454)] = 279581,
  [SMALL_STATE(7455)] = 279591,
  [SMALL_STATE(7456)] = 279601,
  [SMALL_STATE(7457)] = 279611,
  [SMALL_STATE(7458)] = 279621,
  [SMALL_STATE(7459)] = 279631,
  [SMALL_STATE(7460)] = 279641,
  [SMALL_STATE(7461)] = 279651,
  [SMALL_STATE(7462)] = 279661,
  [SMALL_STATE(7463)] = 279671,
  [SMALL_STATE(7464)] = 279681,
  [SMALL_STATE(7465)] = 279691,
  [SMALL_STATE(7466)] = 279701,
  [SMALL_STATE(7467)] = 279711,
  [SMALL_STATE(7468)] = 279721,
  [SMALL_STATE(7469)] = 279731,
  [SMALL_STATE(7470)] = 279741,
  [SMALL_STATE(7471)] = 279751,
  [SMALL_STATE(7472)] = 279761,
  [SMALL_STATE(7473)] = 279771,
  [SMALL_STATE(7474)] = 279781,
  [SMALL_STATE(7475)] = 279791,
  [SMALL_STATE(7476)] = 279801,
  [SMALL_STATE(7477)] = 279811,
  [SMALL_STATE(7478)] = 279821,
  [SMALL_STATE(7479)] = 279831,
  [SMALL_STATE(7480)] = 279841,
  [SMALL_STATE(7481)] = 279851,
  [SMALL_STATE(7482)] = 279861,
  [SMALL_STATE(7483)] = 279871,
  [SMALL_STATE(7484)] = 279881,
  [SMALL_STATE(7485)] = 279891,
  [SMALL_STATE(7486)] = 279901,
  [SMALL_STATE(7487)] = 279911,
  [SMALL_STATE(7488)] = 279921,
  [SMALL_STATE(7489)] = 279931,
  [SMALL_STATE(7490)] = 279941,
  [SMALL_STATE(7491)] = 279951,
  [SMALL_STATE(7492)] = 279961,
  [SMALL_STATE(7493)] = 279971,
  [SMALL_STATE(7494)] = 279981,
  [SMALL_STATE(7495)] = 279991,
  [SMALL_STATE(7496)] = 279999,
  [SMALL_STATE(7497)] = 280009,
  [SMALL_STATE(7498)] = 280019,
  [SMALL_STATE(7499)] = 280029,
  [SMALL_STATE(7500)] = 280039,
  [SMALL_STATE(7501)] = 280049,
  [SMALL_STATE(7502)] = 280059,
  [SMALL_STATE(7503)] = 280069,
  [SMALL_STATE(7504)] = 280079,
  [SMALL_STATE(7505)] = 280087,
  [SMALL_STATE(7506)] = 280097,
  [SMALL_STATE(7507)] = 280107,
  [SMALL_STATE(7508)] = 280117,
  [SMALL_STATE(7509)] = 280127,
  [SMALL_STATE(7510)] = 280137,
  [SMALL_STATE(7511)] = 280147,
  [SMALL_STATE(7512)] = 280155,
  [SMALL_STATE(7513)] = 280165,
  [SMALL_STATE(7514)] = 280175,
  [SMALL_STATE(7515)] = 280185,
  [SMALL_STATE(7516)] = 280195,
  [SMALL_STATE(7517)] = 280205,
  [SMALL_STATE(7518)] = 280215,
  [SMALL_STATE(7519)] = 280225,
  [SMALL_STATE(7520)] = 280235,
  [SMALL_STATE(7521)] = 280245,
  [SMALL_STATE(7522)] = 280255,
  [SMALL_STATE(7523)] = 280263,
  [SMALL_STATE(7524)] = 280273,
  [SMALL_STATE(7525)] = 280283,
  [SMALL_STATE(7526)] = 280293,
  [SMALL_STATE(7527)] = 280303,
  [SMALL_STATE(7528)] = 280313,
  [SMALL_STATE(7529)] = 280323,
  [SMALL_STATE(7530)] = 280333,
  [SMALL_STATE(7531)] = 280343,
  [SMALL_STATE(7532)] = 280353,
  [SMALL_STATE(7533)] = 280361,
  [SMALL_STATE(7534)] = 280371,
  [SMALL_STATE(7535)] = 280381,
  [SMALL_STATE(7536)] = 280391,
  [SMALL_STATE(7537)] = 280401,
  [SMALL_STATE(7538)] = 280411,
  [SMALL_STATE(7539)] = 280421,
  [SMALL_STATE(7540)] = 280431,
  [SMALL_STATE(7541)] = 280441,
  [SMALL_STATE(7542)] = 280451,
  [SMALL_STATE(7543)] = 280461,
  [SMALL_STATE(7544)] = 280471,
  [SMALL_STATE(7545)] = 280481,
  [SMALL_STATE(7546)] = 280491,
  [SMALL_STATE(7547)] = 280501,
  [SMALL_STATE(7548)] = 280511,
  [SMALL_STATE(7549)] = 280521,
  [SMALL_STATE(7550)] = 280531,
  [SMALL_STATE(7551)] = 280541,
  [SMALL_STATE(7552)] = 280551,
  [SMALL_STATE(7553)] = 280561,
  [SMALL_STATE(7554)] = 280571,
  [SMALL_STATE(7555)] = 280579,
  [SMALL_STATE(7556)] = 280589,
  [SMALL_STATE(7557)] = 280599,
  [SMALL_STATE(7558)] = 280609,
  [SMALL_STATE(7559)] = 280619,
  [SMALL_STATE(7560)] = 280629,
  [SMALL_STATE(7561)] = 280639,
  [SMALL_STATE(7562)] = 280647,
  [SMALL_STATE(7563)] = 280657,
  [SMALL_STATE(7564)] = 280667,
  [SMALL_STATE(7565)] = 280677,
  [SMALL_STATE(7566)] = 280687,
  [SMALL_STATE(7567)] = 280697,
  [SMALL_STATE(7568)] = 280707,
  [SMALL_STATE(7569)] = 280717,
  [SMALL_STATE(7570)] = 280725,
  [SMALL_STATE(7571)] = 280735,
  [SMALL_STATE(7572)] = 280745,
  [SMALL_STATE(7573)] = 280755,
  [SMALL_STATE(7574)] = 280763,
  [SMALL_STATE(7575)] = 280773,
  [SMALL_STATE(7576)] = 280783,
  [SMALL_STATE(7577)] = 280793,
  [SMALL_STATE(7578)] = 280801,
  [SMALL_STATE(7579)] = 280811,
  [SMALL_STATE(7580)] = 280821,
  [SMALL_STATE(7581)] = 280831,
  [SMALL_STATE(7582)] = 280841,
  [SMALL_STATE(7583)] = 280851,
  [SMALL_STATE(7584)] = 280861,
  [SMALL_STATE(7585)] = 280871,
  [SMALL_STATE(7586)] = 280881,
  [SMALL_STATE(7587)] = 280891,
  [SMALL_STATE(7588)] = 280901,
  [SMALL_STATE(7589)] = 280911,
  [SMALL_STATE(7590)] = 280921,
  [SMALL_STATE(7591)] = 280931,
  [SMALL_STATE(7592)] = 280941,
  [SMALL_STATE(7593)] = 280951,
  [SMALL_STATE(7594)] = 280961,
  [SMALL_STATE(7595)] = 280971,
  [SMALL_STATE(7596)] = 280981,
  [SMALL_STATE(7597)] = 280989,
  [SMALL_STATE(7598)] = 280997,
  [SMALL_STATE(7599)] = 281007,
  [SMALL_STATE(7600)] = 281017,
  [SMALL_STATE(7601)] = 281027,
  [SMALL_STATE(7602)] = 281037,
  [SMALL_STATE(7603)] = 281045,
  [SMALL_STATE(7604)] = 281055,
  [SMALL_STATE(7605)] = 281065,
  [SMALL_STATE(7606)] = 281075,
  [SMALL_STATE(7607)] = 281085,
  [SMALL_STATE(7608)] = 281095,
  [SMALL_STATE(7609)] = 281105,
  [SMALL_STATE(7610)] = 281115,
  [SMALL_STATE(7611)] = 281125,
  [SMALL_STATE(7612)] = 281135,
  [SMALL_STATE(7613)] = 281145,
  [SMALL_STATE(7614)] = 281155,
  [SMALL_STATE(7615)] = 281163,
  [SMALL_STATE(7616)] = 281173,
  [SMALL_STATE(7617)] = 281183,
  [SMALL_STATE(7618)] = 281193,
  [SMALL_STATE(7619)] = 281201,
  [SMALL_STATE(7620)] = 281211,
  [SMALL_STATE(7621)] = 281221,
  [SMALL_STATE(7622)] = 281231,
  [SMALL_STATE(7623)] = 281241,
  [SMALL_STATE(7624)] = 281251,
  [SMALL_STATE(7625)] = 281259,
  [SMALL_STATE(7626)] = 281267,
  [SMALL_STATE(7627)] = 281277,
  [SMALL_STATE(7628)] = 281285,
  [SMALL_STATE(7629)] = 281295,
  [SMALL_STATE(7630)] = 281305,
  [SMALL_STATE(7631)] = 281315,
  [SMALL_STATE(7632)] = 281325,
  [SMALL_STATE(7633)] = 281335,
  [SMALL_STATE(7634)] = 281345,
  [SMALL_STATE(7635)] = 281355,
  [SMALL_STATE(7636)] = 281365,
  [SMALL_STATE(7637)] = 281375,
  [SMALL_STATE(7638)] = 281385,
  [SMALL_STATE(7639)] = 281395,
  [SMALL_STATE(7640)] = 281405,
  [SMALL_STATE(7641)] = 281415,
  [SMALL_STATE(7642)] = 281425,
  [SMALL_STATE(7643)] = 281435,
  [SMALL_STATE(7644)] = 281445,
  [SMALL_STATE(7645)] = 281455,
  [SMALL_STATE(7646)] = 281465,
  [SMALL_STATE(7647)] = 281475,
  [SMALL_STATE(7648)] = 281485,
  [SMALL_STATE(7649)] = 281495,
  [SMALL_STATE(7650)] = 281505,
  [SMALL_STATE(7651)] = 281515,
  [SMALL_STATE(7652)] = 281525,
  [SMALL_STATE(7653)] = 281535,
  [SMALL_STATE(7654)] = 281545,
  [SMALL_STATE(7655)] = 281555,
  [SMALL_STATE(7656)] = 281565,
  [SMALL_STATE(7657)] = 281575,
  [SMALL_STATE(7658)] = 281585,
  [SMALL_STATE(7659)] = 281595,
  [SMALL_STATE(7660)] = 281603,
  [SMALL_STATE(7661)] = 281613,
  [SMALL_STATE(7662)] = 281623,
  [SMALL_STATE(7663)] = 281633,
  [SMALL_STATE(7664)] = 281641,
  [SMALL_STATE(7665)] = 281649,
  [SMALL_STATE(7666)] = 281659,
  [SMALL_STATE(7667)] = 281669,
  [SMALL_STATE(7668)] = 281679,
  [SMALL_STATE(7669)] = 281689,
  [SMALL_STATE(7670)] = 281699,
  [SMALL_STATE(7671)] = 281709,
  [SMALL_STATE(7672)] = 281719,
  [SMALL_STATE(7673)] = 281729,
  [SMALL_STATE(7674)] = 281739,
  [SMALL_STATE(7675)] = 281747,
  [SMALL_STATE(7676)] = 281757,
  [SMALL_STATE(7677)] = 281765,
  [SMALL_STATE(7678)] = 281775,
  [SMALL_STATE(7679)] = 281785,
  [SMALL_STATE(7680)] = 281795,
  [SMALL_STATE(7681)] = 281805,
  [SMALL_STATE(7682)] = 281815,
  [SMALL_STATE(7683)] = 281823,
  [SMALL_STATE(7684)] = 281833,
  [SMALL_STATE(7685)] = 281843,
  [SMALL_STATE(7686)] = 281853,
  [SMALL_STATE(7687)] = 281863,
  [SMALL_STATE(7688)] = 281873,
  [SMALL_STATE(7689)] = 281881,
  [SMALL_STATE(7690)] = 281891,
  [SMALL_STATE(7691)] = 281901,
  [SMALL_STATE(7692)] = 281911,
  [SMALL_STATE(7693)] = 281921,
  [SMALL_STATE(7694)] = 281931,
  [SMALL_STATE(7695)] = 281941,
  [SMALL_STATE(7696)] = 281951,
  [SMALL_STATE(7697)] = 281961,
  [SMALL_STATE(7698)] = 281971,
  [SMALL_STATE(7699)] = 281981,
  [SMALL_STATE(7700)] = 281991,
  [SMALL_STATE(7701)] = 282001,
  [SMALL_STATE(7702)] = 282011,
  [SMALL_STATE(7703)] = 282021,
  [SMALL_STATE(7704)] = 282031,
  [SMALL_STATE(7705)] = 282041,
  [SMALL_STATE(7706)] = 282051,
  [SMALL_STATE(7707)] = 282061,
  [SMALL_STATE(7708)] = 282071,
  [SMALL_STATE(7709)] = 282081,
  [SMALL_STATE(7710)] = 282091,
  [SMALL_STATE(7711)] = 282099,
  [SMALL_STATE(7712)] = 282109,
  [SMALL_STATE(7713)] = 282119,
  [SMALL_STATE(7714)] = 282129,
  [SMALL_STATE(7715)] = 282139,
  [SMALL_STATE(7716)] = 282149,
  [SMALL_STATE(7717)] = 282159,
  [SMALL_STATE(7718)] = 282169,
  [SMALL_STATE(7719)] = 282179,
  [SMALL_STATE(7720)] = 282189,
  [SMALL_STATE(7721)] = 282199,
  [SMALL_STATE(7722)] = 282209,
  [SMALL_STATE(7723)] = 282219,
  [SMALL_STATE(7724)] = 282227,
  [SMALL_STATE(7725)] = 282237,
  [SMALL_STATE(7726)] = 282247,
  [SMALL_STATE(7727)] = 282257,
  [SMALL_STATE(7728)] = 282267,
  [SMALL_STATE(7729)] = 282275,
  [SMALL_STATE(7730)] = 282285,
  [SMALL_STATE(7731)] = 282295,
  [SMALL_STATE(7732)] = 282303,
  [SMALL_STATE(7733)] = 282313,
  [SMALL_STATE(7734)] = 282323,
  [SMALL_STATE(7735)] = 282333,
  [SMALL_STATE(7736)] = 282343,
  [SMALL_STATE(7737)] = 282353,
  [SMALL_STATE(7738)] = 282363,
  [SMALL_STATE(7739)] = 282373,
  [SMALL_STATE(7740)] = 282383,
  [SMALL_STATE(7741)] = 282393,
  [SMALL_STATE(7742)] = 282403,
  [SMALL_STATE(7743)] = 282411,
  [SMALL_STATE(7744)] = 282421,
  [SMALL_STATE(7745)] = 282431,
  [SMALL_STATE(7746)] = 282441,
  [SMALL_STATE(7747)] = 282451,
  [SMALL_STATE(7748)] = 282461,
  [SMALL_STATE(7749)] = 282469,
  [SMALL_STATE(7750)] = 282479,
  [SMALL_STATE(7751)] = 282487,
  [SMALL_STATE(7752)] = 282495,
  [SMALL_STATE(7753)] = 282505,
  [SMALL_STATE(7754)] = 282515,
  [SMALL_STATE(7755)] = 282525,
  [SMALL_STATE(7756)] = 282533,
  [SMALL_STATE(7757)] = 282541,
  [SMALL_STATE(7758)] = 282551,
  [SMALL_STATE(7759)] = 282561,
  [SMALL_STATE(7760)] = 282571,
  [SMALL_STATE(7761)] = 282581,
  [SMALL_STATE(7762)] = 282591,
  [SMALL_STATE(7763)] = 282601,
  [SMALL_STATE(7764)] = 282609,
  [SMALL_STATE(7765)] = 282619,
  [SMALL_STATE(7766)] = 282629,
  [SMALL_STATE(7767)] = 282637,
  [SMALL_STATE(7768)] = 282647,
  [SMALL_STATE(7769)] = 282657,
  [SMALL_STATE(7770)] = 282667,
  [SMALL_STATE(7771)] = 282677,
  [SMALL_STATE(7772)] = 282687,
  [SMALL_STATE(7773)] = 282697,
  [SMALL_STATE(7774)] = 282707,
  [SMALL_STATE(7775)] = 282717,
  [SMALL_STATE(7776)] = 282727,
  [SMALL_STATE(7777)] = 282737,
  [SMALL_STATE(7778)] = 282747,
  [SMALL_STATE(7779)] = 282755,
  [SMALL_STATE(7780)] = 282765,
  [SMALL_STATE(7781)] = 282775,
  [SMALL_STATE(7782)] = 282785,
  [SMALL_STATE(7783)] = 282795,
  [SMALL_STATE(7784)] = 282805,
  [SMALL_STATE(7785)] = 282815,
  [SMALL_STATE(7786)] = 282825,
  [SMALL_STATE(7787)] = 282832,
  [SMALL_STATE(7788)] = 282839,
  [SMALL_STATE(7789)] = 282846,
  [SMALL_STATE(7790)] = 282853,
  [SMALL_STATE(7791)] = 282860,
  [SMALL_STATE(7792)] = 282867,
  [SMALL_STATE(7793)] = 282874,
  [SMALL_STATE(7794)] = 282881,
  [SMALL_STATE(7795)] = 282888,
  [SMALL_STATE(7796)] = 282895,
  [SMALL_STATE(7797)] = 282902,
  [SMALL_STATE(7798)] = 282909,
  [SMALL_STATE(7799)] = 282916,
  [SMALL_STATE(7800)] = 282923,
  [SMALL_STATE(7801)] = 282930,
  [SMALL_STATE(7802)] = 282937,
  [SMALL_STATE(7803)] = 282944,
  [SMALL_STATE(7804)] = 282951,
  [SMALL_STATE(7805)] = 282958,
  [SMALL_STATE(7806)] = 282965,
  [SMALL_STATE(7807)] = 282972,
  [SMALL_STATE(7808)] = 282979,
  [SMALL_STATE(7809)] = 282986,
  [SMALL_STATE(7810)] = 282993,
  [SMALL_STATE(7811)] = 283000,
  [SMALL_STATE(7812)] = 283007,
  [SMALL_STATE(7813)] = 283014,
  [SMALL_STATE(7814)] = 283021,
  [SMALL_STATE(7815)] = 283028,
  [SMALL_STATE(7816)] = 283035,
  [SMALL_STATE(7817)] = 283042,
  [SMALL_STATE(7818)] = 283049,
  [SMALL_STATE(7819)] = 283056,
  [SMALL_STATE(7820)] = 283063,
  [SMALL_STATE(7821)] = 283070,
  [SMALL_STATE(7822)] = 283077,
  [SMALL_STATE(7823)] = 283084,
  [SMALL_STATE(7824)] = 283091,
  [SMALL_STATE(7825)] = 283098,
  [SMALL_STATE(7826)] = 283105,
  [SMALL_STATE(7827)] = 283112,
  [SMALL_STATE(7828)] = 283119,
  [SMALL_STATE(7829)] = 283126,
  [SMALL_STATE(7830)] = 283133,
  [SMALL_STATE(7831)] = 283140,
  [SMALL_STATE(7832)] = 283147,
  [SMALL_STATE(7833)] = 283154,
  [SMALL_STATE(7834)] = 283161,
  [SMALL_STATE(7835)] = 283168,
  [SMALL_STATE(7836)] = 283175,
  [SMALL_STATE(7837)] = 283182,
  [SMALL_STATE(7838)] = 283189,
  [SMALL_STATE(7839)] = 283196,
  [SMALL_STATE(7840)] = 283203,
  [SMALL_STATE(7841)] = 283210,
  [SMALL_STATE(7842)] = 283217,
  [SMALL_STATE(7843)] = 283224,
  [SMALL_STATE(7844)] = 283231,
  [SMALL_STATE(7845)] = 283238,
  [SMALL_STATE(7846)] = 283245,
  [SMALL_STATE(7847)] = 283252,
  [SMALL_STATE(7848)] = 283259,
  [SMALL_STATE(7849)] = 283266,
  [SMALL_STATE(7850)] = 283273,
  [SMALL_STATE(7851)] = 283280,
  [SMALL_STATE(7852)] = 283287,
  [SMALL_STATE(7853)] = 283294,
  [SMALL_STATE(7854)] = 283301,
  [SMALL_STATE(7855)] = 283308,
  [SMALL_STATE(7856)] = 283315,
  [SMALL_STATE(7857)] = 283322,
  [SMALL_STATE(7858)] = 283329,
  [SMALL_STATE(7859)] = 283336,
  [SMALL_STATE(7860)] = 283343,
  [SMALL_STATE(7861)] = 283350,
  [SMALL_STATE(7862)] = 283357,
  [SMALL_STATE(7863)] = 283364,
  [SMALL_STATE(7864)] = 283371,
  [SMALL_STATE(7865)] = 283378,
  [SMALL_STATE(7866)] = 283385,
  [SMALL_STATE(7867)] = 283392,
  [SMALL_STATE(7868)] = 283399,
  [SMALL_STATE(7869)] = 283406,
  [SMALL_STATE(7870)] = 283413,
  [SMALL_STATE(7871)] = 283420,
  [SMALL_STATE(7872)] = 283427,
  [SMALL_STATE(7873)] = 283434,
  [SMALL_STATE(7874)] = 283441,
  [SMALL_STATE(7875)] = 283448,
  [SMALL_STATE(7876)] = 283455,
  [SMALL_STATE(7877)] = 283462,
  [SMALL_STATE(7878)] = 283469,
  [SMALL_STATE(7879)] = 283476,
  [SMALL_STATE(7880)] = 283483,
  [SMALL_STATE(7881)] = 283490,
  [SMALL_STATE(7882)] = 283497,
  [SMALL_STATE(7883)] = 283504,
  [SMALL_STATE(7884)] = 283511,
  [SMALL_STATE(7885)] = 283518,
  [SMALL_STATE(7886)] = 283525,
  [SMALL_STATE(7887)] = 283532,
  [SMALL_STATE(7888)] = 283539,
  [SMALL_STATE(7889)] = 283546,
  [SMALL_STATE(7890)] = 283553,
  [SMALL_STATE(7891)] = 283560,
  [SMALL_STATE(7892)] = 283567,
  [SMALL_STATE(7893)] = 283574,
  [SMALL_STATE(7894)] = 283581,
  [SMALL_STATE(7895)] = 283588,
  [SMALL_STATE(7896)] = 283595,
  [SMALL_STATE(7897)] = 283602,
  [SMALL_STATE(7898)] = 283609,
  [SMALL_STATE(7899)] = 283616,
  [SMALL_STATE(7900)] = 283623,
  [SMALL_STATE(7901)] = 283630,
  [SMALL_STATE(7902)] = 283637,
  [SMALL_STATE(7903)] = 283644,
  [SMALL_STATE(7904)] = 283651,
  [SMALL_STATE(7905)] = 283658,
  [SMALL_STATE(7906)] = 283665,
  [SMALL_STATE(7907)] = 283672,
  [SMALL_STATE(7908)] = 283679,
  [SMALL_STATE(7909)] = 283686,
  [SMALL_STATE(7910)] = 283693,
  [SMALL_STATE(7911)] = 283700,
  [SMALL_STATE(7912)] = 283707,
  [SMALL_STATE(7913)] = 283714,
  [SMALL_STATE(7914)] = 283721,
  [SMALL_STATE(7915)] = 283728,
  [SMALL_STATE(7916)] = 283735,
  [SMALL_STATE(7917)] = 283742,
  [SMALL_STATE(7918)] = 283749,
  [SMALL_STATE(7919)] = 283756,
  [SMALL_STATE(7920)] = 283763,
  [SMALL_STATE(7921)] = 283770,
  [SMALL_STATE(7922)] = 283777,
  [SMALL_STATE(7923)] = 283784,
  [SMALL_STATE(7924)] = 283791,
  [SMALL_STATE(7925)] = 283798,
  [SMALL_STATE(7926)] = 283805,
  [SMALL_STATE(7927)] = 283812,
  [SMALL_STATE(7928)] = 283819,
  [SMALL_STATE(7929)] = 283826,
  [SMALL_STATE(7930)] = 283833,
  [SMALL_STATE(7931)] = 283840,
  [SMALL_STATE(7932)] = 283847,
  [SMALL_STATE(7933)] = 283854,
  [SMALL_STATE(7934)] = 283861,
  [SMALL_STATE(7935)] = 283868,
  [SMALL_STATE(7936)] = 283875,
  [SMALL_STATE(7937)] = 283882,
  [SMALL_STATE(7938)] = 283889,
  [SMALL_STATE(7939)] = 283896,
  [SMALL_STATE(7940)] = 283903,
  [SMALL_STATE(7941)] = 283910,
  [SMALL_STATE(7942)] = 283917,
  [SMALL_STATE(7943)] = 283924,
  [SMALL_STATE(7944)] = 283931,
  [SMALL_STATE(7945)] = 283938,
  [SMALL_STATE(7946)] = 283945,
  [SMALL_STATE(7947)] = 283952,
  [SMALL_STATE(7948)] = 283959,
  [SMALL_STATE(7949)] = 283966,
  [SMALL_STATE(7950)] = 283973,
  [SMALL_STATE(7951)] = 283980,
  [SMALL_STATE(7952)] = 283987,
  [SMALL_STATE(7953)] = 283994,
  [SMALL_STATE(7954)] = 284001,
  [SMALL_STATE(7955)] = 284008,
  [SMALL_STATE(7956)] = 284015,
  [SMALL_STATE(7957)] = 284022,
  [SMALL_STATE(7958)] = 284029,
  [SMALL_STATE(7959)] = 284036,
  [SMALL_STATE(7960)] = 284043,
  [SMALL_STATE(7961)] = 284050,
  [SMALL_STATE(7962)] = 284057,
  [SMALL_STATE(7963)] = 284064,
  [SMALL_STATE(7964)] = 284071,
  [SMALL_STATE(7965)] = 284078,
  [SMALL_STATE(7966)] = 284085,
  [SMALL_STATE(7967)] = 284092,
  [SMALL_STATE(7968)] = 284099,
  [SMALL_STATE(7969)] = 284106,
  [SMALL_STATE(7970)] = 284113,
  [SMALL_STATE(7971)] = 284120,
  [SMALL_STATE(7972)] = 284127,
  [SMALL_STATE(7973)] = 284134,
  [SMALL_STATE(7974)] = 284141,
  [SMALL_STATE(7975)] = 284148,
  [SMALL_STATE(7976)] = 284155,
  [SMALL_STATE(7977)] = 284162,
  [SMALL_STATE(7978)] = 284169,
  [SMALL_STATE(7979)] = 284176,
  [SMALL_STATE(7980)] = 284183,
  [SMALL_STATE(7981)] = 284190,
  [SMALL_STATE(7982)] = 284197,
  [SMALL_STATE(7983)] = 284204,
  [SMALL_STATE(7984)] = 284211,
  [SMALL_STATE(7985)] = 284218,
  [SMALL_STATE(7986)] = 284225,
  [SMALL_STATE(7987)] = 284232,
  [SMALL_STATE(7988)] = 284239,
  [SMALL_STATE(7989)] = 284246,
  [SMALL_STATE(7990)] = 284253,
  [SMALL_STATE(7991)] = 284260,
  [SMALL_STATE(7992)] = 284267,
  [SMALL_STATE(7993)] = 284274,
  [SMALL_STATE(7994)] = 284281,
  [SMALL_STATE(7995)] = 284288,
  [SMALL_STATE(7996)] = 284295,
  [SMALL_STATE(7997)] = 284302,
  [SMALL_STATE(7998)] = 284309,
  [SMALL_STATE(7999)] = 284316,
  [SMALL_STATE(8000)] = 284323,
  [SMALL_STATE(8001)] = 284330,
  [SMALL_STATE(8002)] = 284337,
  [SMALL_STATE(8003)] = 284344,
  [SMALL_STATE(8004)] = 284351,
  [SMALL_STATE(8005)] = 284358,
  [SMALL_STATE(8006)] = 284365,
  [SMALL_STATE(8007)] = 284372,
  [SMALL_STATE(8008)] = 284379,
  [SMALL_STATE(8009)] = 284386,
  [SMALL_STATE(8010)] = 284393,
  [SMALL_STATE(8011)] = 284400,
  [SMALL_STATE(8012)] = 284407,
  [SMALL_STATE(8013)] = 284414,
  [SMALL_STATE(8014)] = 284421,
  [SMALL_STATE(8015)] = 284428,
  [SMALL_STATE(8016)] = 284435,
  [SMALL_STATE(8017)] = 284442,
  [SMALL_STATE(8018)] = 284449,
  [SMALL_STATE(8019)] = 284456,
  [SMALL_STATE(8020)] = 284463,
  [SMALL_STATE(8021)] = 284470,
  [SMALL_STATE(8022)] = 284477,
  [SMALL_STATE(8023)] = 284484,
  [SMALL_STATE(8024)] = 284491,
  [SMALL_STATE(8025)] = 284498,
  [SMALL_STATE(8026)] = 284505,
  [SMALL_STATE(8027)] = 284512,
  [SMALL_STATE(8028)] = 284519,
  [SMALL_STATE(8029)] = 284526,
  [SMALL_STATE(8030)] = 284533,
  [SMALL_STATE(8031)] = 284540,
  [SMALL_STATE(8032)] = 284547,
  [SMALL_STATE(8033)] = 284554,
  [SMALL_STATE(8034)] = 284561,
  [SMALL_STATE(8035)] = 284568,
  [SMALL_STATE(8036)] = 284575,
  [SMALL_STATE(8037)] = 284582,
  [SMALL_STATE(8038)] = 284589,
  [SMALL_STATE(8039)] = 284596,
  [SMALL_STATE(8040)] = 284603,
  [SMALL_STATE(8041)] = 284610,
  [SMALL_STATE(8042)] = 284617,
  [SMALL_STATE(8043)] = 284624,
  [SMALL_STATE(8044)] = 284631,
  [SMALL_STATE(8045)] = 284638,
  [SMALL_STATE(8046)] = 284645,
  [SMALL_STATE(8047)] = 284652,
  [SMALL_STATE(8048)] = 284659,
  [SMALL_STATE(8049)] = 284666,
  [SMALL_STATE(8050)] = 284673,
  [SMALL_STATE(8051)] = 284680,
  [SMALL_STATE(8052)] = 284687,
  [SMALL_STATE(8053)] = 284694,
  [SMALL_STATE(8054)] = 284701,
  [SMALL_STATE(8055)] = 284708,
  [SMALL_STATE(8056)] = 284715,
  [SMALL_STATE(8057)] = 284722,
  [SMALL_STATE(8058)] = 284729,
  [SMALL_STATE(8059)] = 284736,
  [SMALL_STATE(8060)] = 284743,
  [SMALL_STATE(8061)] = 284750,
  [SMALL_STATE(8062)] = 284757,
  [SMALL_STATE(8063)] = 284764,
  [SMALL_STATE(8064)] = 284771,
  [SMALL_STATE(8065)] = 284778,
  [SMALL_STATE(8066)] = 284785,
  [SMALL_STATE(8067)] = 284792,
  [SMALL_STATE(8068)] = 284799,
  [SMALL_STATE(8069)] = 284806,
  [SMALL_STATE(8070)] = 284813,
  [SMALL_STATE(8071)] = 284820,
  [SMALL_STATE(8072)] = 284827,
  [SMALL_STATE(8073)] = 284834,
  [SMALL_STATE(8074)] = 284841,
  [SMALL_STATE(8075)] = 284848,
  [SMALL_STATE(8076)] = 284855,
  [SMALL_STATE(8077)] = 284862,
  [SMALL_STATE(8078)] = 284869,
  [SMALL_STATE(8079)] = 284876,
  [SMALL_STATE(8080)] = 284883,
  [SMALL_STATE(8081)] = 284890,
  [SMALL_STATE(8082)] = 284897,
  [SMALL_STATE(8083)] = 284904,
  [SMALL_STATE(8084)] = 284911,
  [SMALL_STATE(8085)] = 284918,
  [SMALL_STATE(8086)] = 284925,
  [SMALL_STATE(8087)] = 284932,
  [SMALL_STATE(8088)] = 284939,
  [SMALL_STATE(8089)] = 284946,
  [SMALL_STATE(8090)] = 284953,
  [SMALL_STATE(8091)] = 284960,
  [SMALL_STATE(8092)] = 284967,
  [SMALL_STATE(8093)] = 284974,
  [SMALL_STATE(8094)] = 284981,
  [SMALL_STATE(8095)] = 284988,
  [SMALL_STATE(8096)] = 284995,
  [SMALL_STATE(8097)] = 285002,
  [SMALL_STATE(8098)] = 285009,
  [SMALL_STATE(8099)] = 285016,
  [SMALL_STATE(8100)] = 285023,
  [SMALL_STATE(8101)] = 285030,
  [SMALL_STATE(8102)] = 285037,
  [SMALL_STATE(8103)] = 285044,
  [SMALL_STATE(8104)] = 285051,
  [SMALL_STATE(8105)] = 285058,
  [SMALL_STATE(8106)] = 285065,
  [SMALL_STATE(8107)] = 285072,
  [SMALL_STATE(8108)] = 285079,
  [SMALL_STATE(8109)] = 285086,
  [SMALL_STATE(8110)] = 285093,
  [SMALL_STATE(8111)] = 285100,
  [SMALL_STATE(8112)] = 285107,
  [SMALL_STATE(8113)] = 285114,
  [SMALL_STATE(8114)] = 285121,
  [SMALL_STATE(8115)] = 285128,
  [SMALL_STATE(8116)] = 285135,
  [SMALL_STATE(8117)] = 285142,
  [SMALL_STATE(8118)] = 285149,
  [SMALL_STATE(8119)] = 285156,
  [SMALL_STATE(8120)] = 285163,
  [SMALL_STATE(8121)] = 285170,
  [SMALL_STATE(8122)] = 285177,
  [SMALL_STATE(8123)] = 285184,
  [SMALL_STATE(8124)] = 285191,
  [SMALL_STATE(8125)] = 285198,
  [SMALL_STATE(8126)] = 285205,
  [SMALL_STATE(8127)] = 285212,
  [SMALL_STATE(8128)] = 285219,
  [SMALL_STATE(8129)] = 285226,
  [SMALL_STATE(8130)] = 285233,
  [SMALL_STATE(8131)] = 285240,
  [SMALL_STATE(8132)] = 285247,
  [SMALL_STATE(8133)] = 285254,
  [SMALL_STATE(8134)] = 285261,
  [SMALL_STATE(8135)] = 285268,
  [SMALL_STATE(8136)] = 285275,
  [SMALL_STATE(8137)] = 285282,
  [SMALL_STATE(8138)] = 285289,
  [SMALL_STATE(8139)] = 285296,
  [SMALL_STATE(8140)] = 285303,
  [SMALL_STATE(8141)] = 285310,
  [SMALL_STATE(8142)] = 285317,
  [SMALL_STATE(8143)] = 285324,
  [SMALL_STATE(8144)] = 285331,
  [SMALL_STATE(8145)] = 285338,
  [SMALL_STATE(8146)] = 285345,
  [SMALL_STATE(8147)] = 285352,
  [SMALL_STATE(8148)] = 285359,
  [SMALL_STATE(8149)] = 285366,
  [SMALL_STATE(8150)] = 285373,
  [SMALL_STATE(8151)] = 285380,
  [SMALL_STATE(8152)] = 285387,
  [SMALL_STATE(8153)] = 285394,
  [SMALL_STATE(8154)] = 285401,
  [SMALL_STATE(8155)] = 285408,
  [SMALL_STATE(8156)] = 285415,
  [SMALL_STATE(8157)] = 285422,
  [SMALL_STATE(8158)] = 285429,
  [SMALL_STATE(8159)] = 285436,
  [SMALL_STATE(8160)] = 285443,
  [SMALL_STATE(8161)] = 285450,
  [SMALL_STATE(8162)] = 285457,
  [SMALL_STATE(8163)] = 285464,
  [SMALL_STATE(8164)] = 285471,
  [SMALL_STATE(8165)] = 285478,
  [SMALL_STATE(8166)] = 285485,
  [SMALL_STATE(8167)] = 285492,
  [SMALL_STATE(8168)] = 285499,
  [SMALL_STATE(8169)] = 285506,
  [SMALL_STATE(8170)] = 285513,
  [SMALL_STATE(8171)] = 285520,
  [SMALL_STATE(8172)] = 285527,
  [SMALL_STATE(8173)] = 285534,
  [SMALL_STATE(8174)] = 285541,
  [SMALL_STATE(8175)] = 285548,
  [SMALL_STATE(8176)] = 285555,
  [SMALL_STATE(8177)] = 285562,
  [SMALL_STATE(8178)] = 285569,
  [SMALL_STATE(8179)] = 285576,
  [SMALL_STATE(8180)] = 285583,
  [SMALL_STATE(8181)] = 285590,
  [SMALL_STATE(8182)] = 285597,
  [SMALL_STATE(8183)] = 285604,
  [SMALL_STATE(8184)] = 285611,
  [SMALL_STATE(8185)] = 285618,
  [SMALL_STATE(8186)] = 285625,
  [SMALL_STATE(8187)] = 285632,
  [SMALL_STATE(8188)] = 285639,
  [SMALL_STATE(8189)] = 285646,
  [SMALL_STATE(8190)] = 285653,
  [SMALL_STATE(8191)] = 285660,
  [SMALL_STATE(8192)] = 285667,
  [SMALL_STATE(8193)] = 285674,
  [SMALL_STATE(8194)] = 285681,
  [SMALL_STATE(8195)] = 285688,
  [SMALL_STATE(8196)] = 285695,
  [SMALL_STATE(8197)] = 285702,
  [SMALL_STATE(8198)] = 285709,
  [SMALL_STATE(8199)] = 285716,
  [SMALL_STATE(8200)] = 285723,
  [SMALL_STATE(8201)] = 285730,
  [SMALL_STATE(8202)] = 285737,
  [SMALL_STATE(8203)] = 285744,
  [SMALL_STATE(8204)] = 285751,
  [SMALL_STATE(8205)] = 285758,
  [SMALL_STATE(8206)] = 285765,
  [SMALL_STATE(8207)] = 285772,
  [SMALL_STATE(8208)] = 285779,
  [SMALL_STATE(8209)] = 285786,
  [SMALL_STATE(8210)] = 285793,
  [SMALL_STATE(8211)] = 285800,
  [SMALL_STATE(8212)] = 285807,
  [SMALL_STATE(8213)] = 285814,
  [SMALL_STATE(8214)] = 285821,
  [SMALL_STATE(8215)] = 285828,
  [SMALL_STATE(8216)] = 285835,
  [SMALL_STATE(8217)] = 285842,
  [SMALL_STATE(8218)] = 285849,
  [SMALL_STATE(8219)] = 285856,
  [SMALL_STATE(8220)] = 285863,
  [SMALL_STATE(8221)] = 285870,
  [SMALL_STATE(8222)] = 285877,
  [SMALL_STATE(8223)] = 285884,
  [SMALL_STATE(8224)] = 285891,
  [SMALL_STATE(8225)] = 285898,
  [SMALL_STATE(8226)] = 285905,
  [SMALL_STATE(8227)] = 285912,
  [SMALL_STATE(8228)] = 285919,
  [SMALL_STATE(8229)] = 285926,
  [SMALL_STATE(8230)] = 285933,
  [SMALL_STATE(8231)] = 285940,
  [SMALL_STATE(8232)] = 285947,
  [SMALL_STATE(8233)] = 285954,
  [SMALL_STATE(8234)] = 285961,
  [SMALL_STATE(8235)] = 285968,
  [SMALL_STATE(8236)] = 285975,
  [SMALL_STATE(8237)] = 285982,
  [SMALL_STATE(8238)] = 285989,
  [SMALL_STATE(8239)] = 285996,
  [SMALL_STATE(8240)] = 286003,
  [SMALL_STATE(8241)] = 286010,
  [SMALL_STATE(8242)] = 286017,
  [SMALL_STATE(8243)] = 286024,
  [SMALL_STATE(8244)] = 286031,
  [SMALL_STATE(8245)] = 286038,
  [SMALL_STATE(8246)] = 286045,
  [SMALL_STATE(8247)] = 286052,
  [SMALL_STATE(8248)] = 286059,
  [SMALL_STATE(8249)] = 286066,
  [SMALL_STATE(8250)] = 286073,
  [SMALL_STATE(8251)] = 286080,
  [SMALL_STATE(8252)] = 286087,
  [SMALL_STATE(8253)] = 286094,
  [SMALL_STATE(8254)] = 286101,
  [SMALL_STATE(8255)] = 286108,
  [SMALL_STATE(8256)] = 286115,
  [SMALL_STATE(8257)] = 286122,
  [SMALL_STATE(8258)] = 286129,
  [SMALL_STATE(8259)] = 286136,
  [SMALL_STATE(8260)] = 286143,
  [SMALL_STATE(8261)] = 286150,
  [SMALL_STATE(8262)] = 286157,
  [SMALL_STATE(8263)] = 286164,
  [SMALL_STATE(8264)] = 286171,
  [SMALL_STATE(8265)] = 286178,
  [SMALL_STATE(8266)] = 286185,
  [SMALL_STATE(8267)] = 286192,
  [SMALL_STATE(8268)] = 286199,
  [SMALL_STATE(8269)] = 286206,
  [SMALL_STATE(8270)] = 286213,
  [SMALL_STATE(8271)] = 286220,
  [SMALL_STATE(8272)] = 286227,
  [SMALL_STATE(8273)] = 286234,
  [SMALL_STATE(8274)] = 286241,
  [SMALL_STATE(8275)] = 286248,
  [SMALL_STATE(8276)] = 286255,
  [SMALL_STATE(8277)] = 286262,
  [SMALL_STATE(8278)] = 286269,
  [SMALL_STATE(8279)] = 286276,
  [SMALL_STATE(8280)] = 286283,
  [SMALL_STATE(8281)] = 286290,
  [SMALL_STATE(8282)] = 286297,
  [SMALL_STATE(8283)] = 286304,
  [SMALL_STATE(8284)] = 286311,
  [SMALL_STATE(8285)] = 286318,
  [SMALL_STATE(8286)] = 286325,
  [SMALL_STATE(8287)] = 286332,
  [SMALL_STATE(8288)] = 286339,
  [SMALL_STATE(8289)] = 286346,
  [SMALL_STATE(8290)] = 286353,
  [SMALL_STATE(8291)] = 286360,
  [SMALL_STATE(8292)] = 286367,
  [SMALL_STATE(8293)] = 286374,
  [SMALL_STATE(8294)] = 286381,
  [SMALL_STATE(8295)] = 286388,
  [SMALL_STATE(8296)] = 286395,
  [SMALL_STATE(8297)] = 286402,
  [SMALL_STATE(8298)] = 286409,
  [SMALL_STATE(8299)] = 286416,
  [SMALL_STATE(8300)] = 286423,
  [SMALL_STATE(8301)] = 286430,
  [SMALL_STATE(8302)] = 286437,
  [SMALL_STATE(8303)] = 286444,
  [SMALL_STATE(8304)] = 286451,
  [SMALL_STATE(8305)] = 286458,
  [SMALL_STATE(8306)] = 286465,
  [SMALL_STATE(8307)] = 286472,
  [SMALL_STATE(8308)] = 286479,
  [SMALL_STATE(8309)] = 286486,
  [SMALL_STATE(8310)] = 286493,
  [SMALL_STATE(8311)] = 286500,
  [SMALL_STATE(8312)] = 286507,
  [SMALL_STATE(8313)] = 286514,
  [SMALL_STATE(8314)] = 286521,
  [SMALL_STATE(8315)] = 286528,
  [SMALL_STATE(8316)] = 286535,
  [SMALL_STATE(8317)] = 286542,
  [SMALL_STATE(8318)] = 286549,
  [SMALL_STATE(8319)] = 286556,
  [SMALL_STATE(8320)] = 286563,
  [SMALL_STATE(8321)] = 286570,
  [SMALL_STATE(8322)] = 286577,
  [SMALL_STATE(8323)] = 286584,
  [SMALL_STATE(8324)] = 286591,
  [SMALL_STATE(8325)] = 286598,
  [SMALL_STATE(8326)] = 286605,
  [SMALL_STATE(8327)] = 286612,
  [SMALL_STATE(8328)] = 286619,
  [SMALL_STATE(8329)] = 286626,
  [SMALL_STATE(8330)] = 286633,
  [SMALL_STATE(8331)] = 286640,
  [SMALL_STATE(8332)] = 286647,
  [SMALL_STATE(8333)] = 286654,
  [SMALL_STATE(8334)] = 286661,
  [SMALL_STATE(8335)] = 286668,
  [SMALL_STATE(8336)] = 286675,
  [SMALL_STATE(8337)] = 286682,
  [SMALL_STATE(8338)] = 286689,
  [SMALL_STATE(8339)] = 286696,
  [SMALL_STATE(8340)] = 286703,
  [SMALL_STATE(8341)] = 286710,
  [SMALL_STATE(8342)] = 286717,
  [SMALL_STATE(8343)] = 286724,
  [SMALL_STATE(8344)] = 286731,
  [SMALL_STATE(8345)] = 286738,
  [SMALL_STATE(8346)] = 286745,
  [SMALL_STATE(8347)] = 286752,
  [SMALL_STATE(8348)] = 286759,
  [SMALL_STATE(8349)] = 286766,
  [SMALL_STATE(8350)] = 286773,
  [SMALL_STATE(8351)] = 286780,
  [SMALL_STATE(8352)] = 286787,
  [SMALL_STATE(8353)] = 286794,
  [SMALL_STATE(8354)] = 286801,
  [SMALL_STATE(8355)] = 286808,
  [SMALL_STATE(8356)] = 286815,
  [SMALL_STATE(8357)] = 286822,
  [SMALL_STATE(8358)] = 286829,
  [SMALL_STATE(8359)] = 286836,
  [SMALL_STATE(8360)] = 286843,
  [SMALL_STATE(8361)] = 286850,
  [SMALL_STATE(8362)] = 286857,
  [SMALL_STATE(8363)] = 286864,
  [SMALL_STATE(8364)] = 286871,
  [SMALL_STATE(8365)] = 286878,
  [SMALL_STATE(8366)] = 286885,
  [SMALL_STATE(8367)] = 286892,
  [SMALL_STATE(8368)] = 286899,
  [SMALL_STATE(8369)] = 286906,
  [SMALL_STATE(8370)] = 286913,
  [SMALL_STATE(8371)] = 286920,
  [SMALL_STATE(8372)] = 286927,
  [SMALL_STATE(8373)] = 286934,
  [SMALL_STATE(8374)] = 286941,
  [SMALL_STATE(8375)] = 286948,
  [SMALL_STATE(8376)] = 286955,
  [SMALL_STATE(8377)] = 286962,
  [SMALL_STATE(8378)] = 286969,
  [SMALL_STATE(8379)] = 286976,
  [SMALL_STATE(8380)] = 286983,
  [SMALL_STATE(8381)] = 286990,
  [SMALL_STATE(8382)] = 286997,
  [SMALL_STATE(8383)] = 287004,
  [SMALL_STATE(8384)] = 287011,
  [SMALL_STATE(8385)] = 287018,
  [SMALL_STATE(8386)] = 287025,
  [SMALL_STATE(8387)] = 287032,
  [SMALL_STATE(8388)] = 287039,
  [SMALL_STATE(8389)] = 287046,
  [SMALL_STATE(8390)] = 287053,
  [SMALL_STATE(8391)] = 287060,
  [SMALL_STATE(8392)] = 287067,
  [SMALL_STATE(8393)] = 287074,
  [SMALL_STATE(8394)] = 287081,
  [SMALL_STATE(8395)] = 287088,
  [SMALL_STATE(8396)] = 287095,
  [SMALL_STATE(8397)] = 287102,
  [SMALL_STATE(8398)] = 287109,
  [SMALL_STATE(8399)] = 287116,
  [SMALL_STATE(8400)] = 287123,
  [SMALL_STATE(8401)] = 287130,
  [SMALL_STATE(8402)] = 287137,
  [SMALL_STATE(8403)] = 287144,
  [SMALL_STATE(8404)] = 287151,
  [SMALL_STATE(8405)] = 287158,
  [SMALL_STATE(8406)] = 287165,
  [SMALL_STATE(8407)] = 287172,
  [SMALL_STATE(8408)] = 287179,
  [SMALL_STATE(8409)] = 287186,
  [SMALL_STATE(8410)] = 287193,
  [SMALL_STATE(8411)] = 287200,
  [SMALL_STATE(8412)] = 287207,
  [SMALL_STATE(8413)] = 287214,
  [SMALL_STATE(8414)] = 287221,
  [SMALL_STATE(8415)] = 287228,
  [SMALL_STATE(8416)] = 287235,
  [SMALL_STATE(8417)] = 287242,
  [SMALL_STATE(8418)] = 287249,
  [SMALL_STATE(8419)] = 287256,
  [SMALL_STATE(8420)] = 287263,
  [SMALL_STATE(8421)] = 287270,
  [SMALL_STATE(8422)] = 287277,
  [SMALL_STATE(8423)] = 287284,
  [SMALL_STATE(8424)] = 287291,
  [SMALL_STATE(8425)] = 287298,
  [SMALL_STATE(8426)] = 287305,
  [SMALL_STATE(8427)] = 287312,
  [SMALL_STATE(8428)] = 287319,
  [SMALL_STATE(8429)] = 287326,
  [SMALL_STATE(8430)] = 287333,
  [SMALL_STATE(8431)] = 287340,
  [SMALL_STATE(8432)] = 287347,
  [SMALL_STATE(8433)] = 287354,
  [SMALL_STATE(8434)] = 287361,
  [SMALL_STATE(8435)] = 287368,
  [SMALL_STATE(8436)] = 287375,
  [SMALL_STATE(8437)] = 287382,
  [SMALL_STATE(8438)] = 287389,
  [SMALL_STATE(8439)] = 287396,
  [SMALL_STATE(8440)] = 287403,
  [SMALL_STATE(8441)] = 287410,
  [SMALL_STATE(8442)] = 287417,
  [SMALL_STATE(8443)] = 287424,
  [SMALL_STATE(8444)] = 287431,
  [SMALL_STATE(8445)] = 287438,
  [SMALL_STATE(8446)] = 287445,
  [SMALL_STATE(8447)] = 287452,
  [SMALL_STATE(8448)] = 287459,
  [SMALL_STATE(8449)] = 287466,
  [SMALL_STATE(8450)] = 287473,
  [SMALL_STATE(8451)] = 287480,
  [SMALL_STATE(8452)] = 287487,
  [SMALL_STATE(8453)] = 287494,
  [SMALL_STATE(8454)] = 287501,
  [SMALL_STATE(8455)] = 287508,
  [SMALL_STATE(8456)] = 287515,
  [SMALL_STATE(8457)] = 287522,
  [SMALL_STATE(8458)] = 287529,
  [SMALL_STATE(8459)] = 287536,
  [SMALL_STATE(8460)] = 287543,
  [SMALL_STATE(8461)] = 287550,
  [SMALL_STATE(8462)] = 287557,
  [SMALL_STATE(8463)] = 287564,
  [SMALL_STATE(8464)] = 287571,
  [SMALL_STATE(8465)] = 287578,
  [SMALL_STATE(8466)] = 287585,
  [SMALL_STATE(8467)] = 287592,
  [SMALL_STATE(8468)] = 287599,
  [SMALL_STATE(8469)] = 287606,
  [SMALL_STATE(8470)] = 287613,
  [SMALL_STATE(8471)] = 287620,
  [SMALL_STATE(8472)] = 287627,
  [SMALL_STATE(8473)] = 287634,
  [SMALL_STATE(8474)] = 287641,
  [SMALL_STATE(8475)] = 287648,
  [SMALL_STATE(8476)] = 287655,
  [SMALL_STATE(8477)] = 287662,
  [SMALL_STATE(8478)] = 287669,
  [SMALL_STATE(8479)] = 287676,
  [SMALL_STATE(8480)] = 287683,
  [SMALL_STATE(8481)] = 287690,
  [SMALL_STATE(8482)] = 287697,
  [SMALL_STATE(8483)] = 287704,
  [SMALL_STATE(8484)] = 287711,
  [SMALL_STATE(8485)] = 287718,
  [SMALL_STATE(8486)] = 287725,
  [SMALL_STATE(8487)] = 287732,
  [SMALL_STATE(8488)] = 287739,
  [SMALL_STATE(8489)] = 287746,
  [SMALL_STATE(8490)] = 287753,
  [SMALL_STATE(8491)] = 287760,
  [SMALL_STATE(8492)] = 287767,
  [SMALL_STATE(8493)] = 287774,
  [SMALL_STATE(8494)] = 287781,
  [SMALL_STATE(8495)] = 287788,
  [SMALL_STATE(8496)] = 287795,
  [SMALL_STATE(8497)] = 287802,
  [SMALL_STATE(8498)] = 287809,
  [SMALL_STATE(8499)] = 287816,
  [SMALL_STATE(8500)] = 287823,
  [SMALL_STATE(8501)] = 287830,
  [SMALL_STATE(8502)] = 287837,
  [SMALL_STATE(8503)] = 287844,
  [SMALL_STATE(8504)] = 287851,
  [SMALL_STATE(8505)] = 287858,
  [SMALL_STATE(8506)] = 287865,
  [SMALL_STATE(8507)] = 287872,
  [SMALL_STATE(8508)] = 287879,
  [SMALL_STATE(8509)] = 287886,
  [SMALL_STATE(8510)] = 287893,
  [SMALL_STATE(8511)] = 287900,
  [SMALL_STATE(8512)] = 287907,
  [SMALL_STATE(8513)] = 287914,
  [SMALL_STATE(8514)] = 287921,
  [SMALL_STATE(8515)] = 287928,
  [SMALL_STATE(8516)] = 287935,
  [SMALL_STATE(8517)] = 287942,
  [SMALL_STATE(8518)] = 287949,
  [SMALL_STATE(8519)] = 287956,
  [SMALL_STATE(8520)] = 287963,
  [SMALL_STATE(8521)] = 287970,
  [SMALL_STATE(8522)] = 287977,
  [SMALL_STATE(8523)] = 287984,
  [SMALL_STATE(8524)] = 287991,
  [SMALL_STATE(8525)] = 287998,
  [SMALL_STATE(8526)] = 288005,
  [SMALL_STATE(8527)] = 288012,
  [SMALL_STATE(8528)] = 288019,
  [SMALL_STATE(8529)] = 288026,
  [SMALL_STATE(8530)] = 288033,
  [SMALL_STATE(8531)] = 288040,
  [SMALL_STATE(8532)] = 288047,
  [SMALL_STATE(8533)] = 288054,
  [SMALL_STATE(8534)] = 288061,
  [SMALL_STATE(8535)] = 288068,
  [SMALL_STATE(8536)] = 288075,
  [SMALL_STATE(8537)] = 288082,
  [SMALL_STATE(8538)] = 288089,
  [SMALL_STATE(8539)] = 288096,
  [SMALL_STATE(8540)] = 288103,
  [SMALL_STATE(8541)] = 288110,
  [SMALL_STATE(8542)] = 288117,
  [SMALL_STATE(8543)] = 288124,
  [SMALL_STATE(8544)] = 288131,
  [SMALL_STATE(8545)] = 288138,
  [SMALL_STATE(8546)] = 288145,
  [SMALL_STATE(8547)] = 288152,
  [SMALL_STATE(8548)] = 288159,
  [SMALL_STATE(8549)] = 288166,
  [SMALL_STATE(8550)] = 288173,
  [SMALL_STATE(8551)] = 288180,
  [SMALL_STATE(8552)] = 288187,
  [SMALL_STATE(8553)] = 288194,
  [SMALL_STATE(8554)] = 288201,
  [SMALL_STATE(8555)] = 288208,
  [SMALL_STATE(8556)] = 288215,
  [SMALL_STATE(8557)] = 288222,
  [SMALL_STATE(8558)] = 288229,
  [SMALL_STATE(8559)] = 288236,
  [SMALL_STATE(8560)] = 288243,
  [SMALL_STATE(8561)] = 288250,
  [SMALL_STATE(8562)] = 288257,
  [SMALL_STATE(8563)] = 288264,
  [SMALL_STATE(8564)] = 288271,
  [SMALL_STATE(8565)] = 288278,
  [SMALL_STATE(8566)] = 288285,
  [SMALL_STATE(8567)] = 288292,
  [SMALL_STATE(8568)] = 288299,
  [SMALL_STATE(8569)] = 288306,
  [SMALL_STATE(8570)] = 288313,
  [SMALL_STATE(8571)] = 288320,
  [SMALL_STATE(8572)] = 288327,
  [SMALL_STATE(8573)] = 288334,
  [SMALL_STATE(8574)] = 288341,
  [SMALL_STATE(8575)] = 288348,
  [SMALL_STATE(8576)] = 288355,
  [SMALL_STATE(8577)] = 288362,
  [SMALL_STATE(8578)] = 288369,
  [SMALL_STATE(8579)] = 288376,
  [SMALL_STATE(8580)] = 288383,
  [SMALL_STATE(8581)] = 288390,
  [SMALL_STATE(8582)] = 288397,
  [SMALL_STATE(8583)] = 288404,
  [SMALL_STATE(8584)] = 288411,
  [SMALL_STATE(8585)] = 288418,
  [SMALL_STATE(8586)] = 288425,
  [SMALL_STATE(8587)] = 288432,
  [SMALL_STATE(8588)] = 288439,
  [SMALL_STATE(8589)] = 288446,
  [SMALL_STATE(8590)] = 288453,
  [SMALL_STATE(8591)] = 288460,
  [SMALL_STATE(8592)] = 288467,
  [SMALL_STATE(8593)] = 288474,
  [SMALL_STATE(8594)] = 288481,
  [SMALL_STATE(8595)] = 288488,
  [SMALL_STATE(8596)] = 288495,
  [SMALL_STATE(8597)] = 288502,
  [SMALL_STATE(8598)] = 288509,
  [SMALL_STATE(8599)] = 288516,
  [SMALL_STATE(8600)] = 288523,
  [SMALL_STATE(8601)] = 288530,
  [SMALL_STATE(8602)] = 288537,
  [SMALL_STATE(8603)] = 288544,
  [SMALL_STATE(8604)] = 288551,
  [SMALL_STATE(8605)] = 288558,
  [SMALL_STATE(8606)] = 288565,
  [SMALL_STATE(8607)] = 288572,
  [SMALL_STATE(8608)] = 288579,
  [SMALL_STATE(8609)] = 288586,
  [SMALL_STATE(8610)] = 288593,
  [SMALL_STATE(8611)] = 288600,
  [SMALL_STATE(8612)] = 288607,
  [SMALL_STATE(8613)] = 288614,
  [SMALL_STATE(8614)] = 288621,
  [SMALL_STATE(8615)] = 288628,
  [SMALL_STATE(8616)] = 288635,
  [SMALL_STATE(8617)] = 288642,
  [SMALL_STATE(8618)] = 288649,
  [SMALL_STATE(8619)] = 288656,
  [SMALL_STATE(8620)] = 288663,
  [SMALL_STATE(8621)] = 288670,
  [SMALL_STATE(8622)] = 288677,
  [SMALL_STATE(8623)] = 288684,
  [SMALL_STATE(8624)] = 288691,
  [SMALL_STATE(8625)] = 288698,
  [SMALL_STATE(8626)] = 288705,
  [SMALL_STATE(8627)] = 288712,
  [SMALL_STATE(8628)] = 288719,
  [SMALL_STATE(8629)] = 288726,
  [SMALL_STATE(8630)] = 288733,
  [SMALL_STATE(8631)] = 288740,
  [SMALL_STATE(8632)] = 288747,
  [SMALL_STATE(8633)] = 288754,
  [SMALL_STATE(8634)] = 288761,
  [SMALL_STATE(8635)] = 288768,
  [SMALL_STATE(8636)] = 288775,
  [SMALL_STATE(8637)] = 288782,
  [SMALL_STATE(8638)] = 288789,
  [SMALL_STATE(8639)] = 288796,
  [SMALL_STATE(8640)] = 288803,
  [SMALL_STATE(8641)] = 288810,
  [SMALL_STATE(8642)] = 288817,
  [SMALL_STATE(8643)] = 288824,
  [SMALL_STATE(8644)] = 288831,
  [SMALL_STATE(8645)] = 288838,
  [SMALL_STATE(8646)] = 288845,
  [SMALL_STATE(8647)] = 288852,
  [SMALL_STATE(8648)] = 288859,
  [SMALL_STATE(8649)] = 288866,
  [SMALL_STATE(8650)] = 288873,
  [SMALL_STATE(8651)] = 288880,
  [SMALL_STATE(8652)] = 288887,
  [SMALL_STATE(8653)] = 288894,
  [SMALL_STATE(8654)] = 288901,
  [SMALL_STATE(8655)] = 288908,
  [SMALL_STATE(8656)] = 288915,
  [SMALL_STATE(8657)] = 288922,
  [SMALL_STATE(8658)] = 288929,
  [SMALL_STATE(8659)] = 288936,
  [SMALL_STATE(8660)] = 288943,
  [SMALL_STATE(8661)] = 288950,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8342),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7693),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8503),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6690),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8535),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8479),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8477),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 8),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 79),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 79),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 8),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6533),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8482),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5461),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8484),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7546),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5235),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2488),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6487),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3299),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5697),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2811),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6211),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5102),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5129),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5146),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7167),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8315),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7558),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8477),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8298),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8427),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8501),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7669),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8013),
  [524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8186),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6690),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6985),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3854),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8535),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4128),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5016),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1109),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6503),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6416),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8562),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8563),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7652),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1491),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4947),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7930),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5465),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7837),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7643),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2496),
  [653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2816),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7259),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7458),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7838),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7647),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8561),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8333),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8338),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7468),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8504),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7462),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6534),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6376),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8584),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8576),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7837),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6516),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8258),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5434),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8262),
  [820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7680),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(538),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7448),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7557),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8491),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7526),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8139),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8089),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8243),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7639),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1514),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7562),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6555),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6364),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8478),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8479),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1067),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6502),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5416),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8030),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7605),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [1018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5235),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(747),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2517),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6487),
  [1045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3299),
  [1057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5697),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6211),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5102),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5129),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5146),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7378),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8238),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7693),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8149),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(958),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8499),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8503),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8211),
  [1126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8186),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6690),
  [1144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [1153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6985),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4937),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3854),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8535),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4128),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5016),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6507),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6434),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8542),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8096),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [1207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7652),
  [1210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1491),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4947),
  [1216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [1269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [1287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6487),
  [1290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7642),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5696),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6211),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5102),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5129),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5146),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7167),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [1332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7558),
  [1335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [1338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8477),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8298),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8427),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8501),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7669),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8013),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8186),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6690),
  [1377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [1386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6985),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3854),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8535),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5016),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7482),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1109),
  [1416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [1422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7652),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1491),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4947),
  [1431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(935),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7259),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7458),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7647),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8561),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8333),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8338),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7468),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8504),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7462),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [1523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(538),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [1532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7448),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7557),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7526),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8139),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8089),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8243),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7639),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7562),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1067),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [1583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7378),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7693),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8149),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(958),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8499),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8503),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8211),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7590),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7935),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7918),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3210),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(62),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7286),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7503),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7460),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8574),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7844),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7845),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7935),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7508),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7945),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1128),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1417),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8625),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8656),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2186),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(154),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1347),
  [2051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1347),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1295),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(289),
  [2060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1338),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6487),
  [2066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7642),
  [2069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(50),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5696),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2112),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7167),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7645),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1409),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8315),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7558),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(212),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8477),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(951),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8298),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8427),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8501),
  [2111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7669),
  [2114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8013),
  [2117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1173),
  [2120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1107),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8186),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8242),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7847),
  [2132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6690),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4276),
  [2138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4276),
  [2141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7194),
  [2144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6985),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3858),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3854),
  [2153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8541),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7482),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7650),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1271),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1109),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1110),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1402),
  [2174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7652),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1491),
  [2180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4947),
  [2183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5327),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2183),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(490),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(41),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7378),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7686),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1222),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8238),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7693),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(200),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8149),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(958),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8499),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8503),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8211),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7590),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7931),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7528),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1122),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1123),
  [2245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1341),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2172),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(538),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7065),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1401),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7918),
  [2267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7725),
  [2270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8336),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7592),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8267),
  [2279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2165),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7448),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7557),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1375),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8491),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7526),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(209),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8139),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(950),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8089),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8243),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8308),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7639),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7562),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1066),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1067),
  [2330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1376),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2153),
  [2336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(480),
  [2339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(58),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7259),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7458),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1416),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7838),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7647),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(214),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8561),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(962),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8333),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8338),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7846),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7468),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8504),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7462),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1120),
  [2387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1121),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1410),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2154),
  [2402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(882),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(62),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7286),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7503),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7460),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(215),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8574),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(940),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7844),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7845),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7935),
  [2435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7508),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7945),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7525),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1127),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1128),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1417),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2136),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(154),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1347),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1295),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1295),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1338),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6487),
  [2480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5696),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2112),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8541),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7482),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2136),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1338),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6487),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2112),
  [2681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8541),
  [2684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7482),
  [2687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2136),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1338),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6487),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2112),
  [2705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8541),
  [2708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7482),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2136),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1338),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6487),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2112),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8541),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7482),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 115),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 115),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 169),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 169),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7730),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 117),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 117),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 126),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 126),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 127),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 127),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 128),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 128),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 129),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 129),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 171),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 171),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 176),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 176),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 177),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 177),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7480),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7648),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2169),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1281),
  [3164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6492),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5387),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7949),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 8),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 8),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 79),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 79),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3813),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7987),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5381),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7811),
  [3351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4784),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7799),
  [3360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [3363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5235),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5235),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [3372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [3375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [3378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [3387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5412),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2822),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6190),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5163),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5164),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5165),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8535),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4128),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5025),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6969),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [3447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1591),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8546),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6380),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8592),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [3489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7658),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8575),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7836),
  [3582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5451),
  [3585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8076),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7658),
  [3591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [3594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2790),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2797),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6987),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1587),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6354),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8575),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8038),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5464),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8591),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7581),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2833),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3224),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2826),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6925),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1582),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6388),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8599),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8038),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8599),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2189),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1335),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6475),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2289),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1174),
  [3782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6499),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8593),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8385),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8605),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(140),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1242),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1342),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1342),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5696),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1667),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(144),
  [4008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1216),
  [4011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1278),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6494),
  [4017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2302),
  [4020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(155),
  [4023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1489),
  [4026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1489),
  [4029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1475),
  [4032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6493),
  [4035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1490),
  [4038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1161),
  [4041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8186),
  [4044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8242),
  [4047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7847),
  [4050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6690),
  [4053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4276),
  [4056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4276),
  [4059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7194),
  [4062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6985),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3858),
  [4068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3854),
  [4071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1492),
  [4074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7652),
  [4077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1493),
  [4080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4884),
  [4083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5327),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4111] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(228),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [4130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [4137] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [4211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2136),
  [4214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [4217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6487),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5696),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [4246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [4249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8186),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6690),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7194),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6985),
  [4276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [4279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3854),
  [4282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8541),
  [4285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [4288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7482),
  [4291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7652),
  [4297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1491),
  [4300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4947),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(242),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8257),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8004),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7934),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8529),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8601),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8613),
  [4464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8619),
  [4467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8621),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7804),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7805),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8652),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7797),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [4492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8633),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7787),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 189),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7815),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 79),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8394),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8349),
  [4567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8356),
  [4570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8407),
  [4573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8507),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7817),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7831),
  [4596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7839),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7842),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7857),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7861),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7910),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7925),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7981),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8026),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8068),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8093),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8109),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8133),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8264),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8275),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8283),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8303),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8340),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7903),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8169),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7812),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [4831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(237),
  [4848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 15),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 15),
  [4887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [4896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(247),
  [4899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [4906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8439),
  [4909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(247),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1539),
  [4927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(252),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [4944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(233),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [4957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2241),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [4970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2246),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [4979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(241),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [4996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [5029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8424),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5151),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [5070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [5073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8459),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [5140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1596),
  [5147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 175),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 175),
  [5183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 125),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 125),
  [5191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [5198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [5209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1642),
  [5212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [5215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [5218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8364),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [5226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [5229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7559),
  [5234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7559),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [5244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [5247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8385),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(243),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [5289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8566),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 128),
  [5349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 128),
  [5351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 129),
  [5357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 129),
  [5359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 198),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 198),
  [5371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 177),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 177),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3594),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [5414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1752),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6963),
  [5424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7764),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 198),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 198),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3603),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7574),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7574),
  [5535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [5636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(252),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(246),
  [5644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [5647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8448),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [5689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [5697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(243),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(244),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [5717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7875),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [5810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(243),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [5817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [5833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [5855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2562),
  [5858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1625),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [5863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(7980),
  [5866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2585),
  [5869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1625),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(7980),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [5893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [5909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2142),
  [5912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6888),
  [5915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7777),
  [5918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(237),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [5953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [5959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [5963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [5979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5980),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [5988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(229),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [6006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6876),
  [6009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7762),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [6020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [6022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [6030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [6036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [6038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [6042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7756),
  [6045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(8160),
  [6048] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(5980),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [6054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [6081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2229),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7017),
  [6113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [6116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(246),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [6125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [6140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [6148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [6159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7523),
  [6166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [6180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [6182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(243),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [6227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 119),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 119),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(243),
  [6248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [6254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 15),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 15),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6121),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [6294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [6304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2385),
  [6325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6931),
  [6328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7772),
  [6331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(243),
  [6342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8384),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [6380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [6390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [6406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(957),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [6411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [6428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2444),
  [6431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [6437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7547),
  [6440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8137),
  [6443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [6446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [6460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [6488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [6506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8447),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [6604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [6630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2538),
  [6633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [6641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [6669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [6677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(252),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [6685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6975),
  [6688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7759),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(246),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [6742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [6766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(229),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [6815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [6872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8334),
  [6875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8334),
  [6878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7502),
  [6881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [6893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5803),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [6900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5438),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6545),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [6961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [6969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6661),
  [6972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6661),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [6995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7547),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [7002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5491),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [7025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [7093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7849),
  [7096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7849),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [7105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6029),
  [7108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5402),
  [7111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3291),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3371),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [7126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [7129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [7132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [7135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [7138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [7141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5471),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [7265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(954),
  [7268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5421),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [7281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [7293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5470),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [7344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 108),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [7348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7548),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [7385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [7469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(252),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [7514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(247),
  [7517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(237),
  [7520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7566),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [7533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(252),
  [7536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [7539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6868),
  [7542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7776),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2961),
  [7552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3257),
  [7555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [7558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [7561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7547),
  [7564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8137),
  [7567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [7570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4128),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [7599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [7621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [7657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [7687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [7747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(252),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [7788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(246),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [7793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(246),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [7808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 4, 0, 136),
  [7810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5463),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3790),
  [7826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [7839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(244),
  [7842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3555),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [7851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(246),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [7856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3790),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [7861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8405),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [7872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3790),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [7877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8405),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [7882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [7888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [7891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6833),
  [7894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7771),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [7909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 2, 0, 0),
  [7947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 2, 0, 0),
  [7950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(241),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [8017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4029),
  [8020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4010),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [8033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [8057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [8059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [8061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4173),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [8066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8462),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [8075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [8077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4173),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [8082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8462),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5513),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8111),
  [8099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [8131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [8135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [8153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3994),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5676),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [8184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1633),
  [8187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8364),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [8192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1633),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [8197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8364),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [8202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4173),
  [8205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8462),
  [8208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(233),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [8213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2102),
  [8216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8448),
  [8219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2102),
  [8226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [8228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8448),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [8239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6265),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [8247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [8249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4056),
  [8252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [8254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [8256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4239),
  [8259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [8328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [8331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [8334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [8337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [8340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [8343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8342),
  [8346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [8351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [8355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [8371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [8389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [8395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [8411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [8418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [8471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [8479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [8489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [8503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8454),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8334),
  [8538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8334),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [8545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 176),
  [8551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 176),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4865),
  [8676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4871),
  [8679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1786),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [8720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 113),
  [8722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 184),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 152), SHIFT(1102),
  [8739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 152),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [8745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1102),
  [8748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 82),
  [8750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4897),
  [8755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4954),
  [8758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1786),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 195),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [8777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [8781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [8811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 5, 0, 180),
  [8818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 3, 0, 82),
  [8820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [8836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [8852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 153),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 160),
  [8890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [8894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 188),
  [8896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [8908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 200),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [8930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [8932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8334),
  [8935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8334),
  [8938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7502),
  [8941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [8943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5803),
  [8946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5438),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [8981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [9007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 187),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [9053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 201),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [9099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [9101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [9103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 83),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [9121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7547),
  [9124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6661),
  [9127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6661),
  [9130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5491),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [9139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 1, 0, 0),
  [9141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 1, 0, 0),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [9168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4877),
  [9171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [9175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [9179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [9181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [9207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18), SHIFT(4888),
  [9210] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1860),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [9234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1860),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [9247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7849),
  [9250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7849),
  [9253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [9255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [9257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5421),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [9268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [9276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18), SHIFT(1860),
  [9279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75), SHIFT(1860),
  [9282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1860),
  [9285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45), SHIFT(1860),
  [9288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75), SHIFT(4889),
  [9291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [9315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45), SHIFT(4896),
  [9318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16), SHIFT(1860),
  [9321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6029),
  [9324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5402),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [9329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5471),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [9352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(1860),
  [9355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5470),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [9360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(963),
  [9363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [9365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8334),
  [9368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8334),
  [9371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7502),
  [9374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [9376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5803),
  [9379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5438),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [9388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7547),
  [9391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6661),
  [9394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6661),
  [9397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5491),
  [9400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5186),
  [9403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5186),
  [9406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5187),
  [9409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7849),
  [9412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7849),
  [9415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4890),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6029),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5471),
  [9424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5463),
  [9427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5402),
  [9434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5421),
  [9437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [9465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5470),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [9472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7547),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8334),
  [9484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8334),
  [9487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7502),
  [9490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5803),
  [9495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5438),
  [9498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5463),
  [9501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6661),
  [9504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6661),
  [9507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7547),
  [9510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5491),
  [9513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6029),
  [9516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5471),
  [9519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5402),
  [9522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7849),
  [9525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7849),
  [9528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5421),
  [9531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5470),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6986),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [9614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5463),
  [9621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [9647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [9667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [9679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [9687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5803),
  [9690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5491),
  [9693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [9701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5803),
  [9704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5491),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [9777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6408),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6179),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [9819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [9837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [9875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6542),
  [9913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [9919] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5438),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [9926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5438),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [9949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5803),
  [9956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6643),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [9982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [9984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [9994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [10000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [10018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [10032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [10042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [10058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [10064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [10068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [10074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [10082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [10086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [10090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [10104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [10120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7502),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [10141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [10163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [10169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [10177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [10183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [10189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [10197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [10209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7042),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [10231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 123),
  [10237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 123),
  [10239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 174),
  [10241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 174),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [10245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [10255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [10261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [10263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [10265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [10267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [10287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [10293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [10307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [10315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [10335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(6029),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [10350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(6029),
  [10353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5402),
  [10356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(6029),
  [10359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5402),
  [10362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5920),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [10379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5901),
  [10394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6850),
  [10397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7769),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [10412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [10414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [10423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [10428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [10430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [10472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7862),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [10479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5471),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [10490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5471),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5421),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5470),
  [10535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [10561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [10573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [10577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 8),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5494),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 79),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [10649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5470),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [10686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [10690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5421),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [10699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [10703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6336),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6676),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [10757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5463),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [10762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [10766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6799),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [10798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [10856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7110),
  [10859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5441),
  [10862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8023),
  [10865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7605),
  [10868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 79),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [10880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 79),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6543),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [10896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5463),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [10901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [10903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [10909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [10915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 79),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6570),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [10929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 8),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [10933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 8),
  [10935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 8),
  [10937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [10941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [10961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [10987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6854),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7343),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [11071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [11085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7738),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [11109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [11111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [11129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [11131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [11137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [11177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7110),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [11194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6593),
  [11197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [11209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(5980),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [11230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [11234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [11238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7267),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [11261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8189),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6768),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [11311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 56),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [11323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [11333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [11335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [11345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [11359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 128),
  [11361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 128),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [11371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [11403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [11405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [11415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 177),
  [11417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 177),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [11425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [11449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 129),
  [11451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 129),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [11461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [11477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7781),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [11491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183), SHIFT_REPEAT(5894),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 194),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [11508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [11530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [11532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 159),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [11542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [11550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [11556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7734),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [11588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116), SHIFT_REPEAT(5456),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [11601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [11603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [11609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 92),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [11615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [11617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 17),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [11639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [11643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [11645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [11649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [11651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [11667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [11673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [11679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 191),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [11685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [11699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [11701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [11705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [11711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [11715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [11719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [11721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [11733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [11741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [11749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [11751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [11759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6912),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [11778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6581),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [11795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6905),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [11811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [11817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [11819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 211),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [11837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [11845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [11851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [11859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [11863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [11867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [11873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [11877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [11885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6982),
  [11890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6982),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [11895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [11901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [11903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 155),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [11917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 191),
  [11919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [11925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 204),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [11943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215), SHIFT_REPEAT(6071),
  [11946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215),
  [11948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [11952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [11956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 155),
  [11960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [11968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [11974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 197),
  [11986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 197),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [11992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5663),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [11998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6605),
  [12001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [12005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [12023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 219),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [12097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6288),
  [12100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [12142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(980),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [12161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1031),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [12218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7048),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [12274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5405),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [12281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7728),
  [12284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [12294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [12306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [12318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5858),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [12334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [12380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8160),
  [12383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [12391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5895),
  [12394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [12398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [12412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [12420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 202),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [12428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 155),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [12454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [12460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116), SHIFT_REPEAT(5196),
  [12463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [12475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [12481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3242),
  [12484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [12506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [12522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [12538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [12542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6853),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [12566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [12574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [12580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [12602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [12610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [12615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [12623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [12627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [12629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [12637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [12643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [12645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [12650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [12658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 210),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [12662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 155),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [12670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [12676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 212),
  [12678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [12692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 106),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [12736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1622),
  [12739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [12747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3129),
  [12750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [12760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 210),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [12770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 204),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [12782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 219),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [12792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [12795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [12799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [12803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [12806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 216),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [12812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218), SHIFT_REPEAT(8555),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [12827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [12831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [12839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [12857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [12867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [12877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [12897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [12907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [12911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [12917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [12921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 158),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [12925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [12927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [12933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [12945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [12949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [12953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [12957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [12959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 92),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [12963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [12969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [12975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [12983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [13001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 168),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [13007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_parameter_pack_expansion, 2, 0, 28),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [13069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 212),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [13117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 80),
  [13119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 80),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [13181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 8),
  [13203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 128),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [13219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 129),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [13229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [13259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 129),
  [13261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7864),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [13272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 177),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [13308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 128),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [13314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 128),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [13358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 129),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [13370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 129),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [13386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 80),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [13442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [13470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 128),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [13496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 129),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [13734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 177),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [13862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 177),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [13878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 177),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [14022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [14056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 128),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [14240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [14266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 79),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [14278] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 80),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [14356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 80),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [14470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 177),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_arduino_external_scanner_create(void);
void tree_sitter_arduino_external_scanner_destroy(void *);
bool tree_sitter_arduino_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_arduino_external_scanner_serialize(void *, char *);
void tree_sitter_arduino_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_arduino(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_arduino_external_scanner_create,
      tree_sitter_arduino_external_scanner_destroy,
      tree_sitter_arduino_external_scanner_scan,
      tree_sitter_arduino_external_scanner_serialize,
      tree_sitter_arduino_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
